import { PropsWithChildren, useEffect, useRef } from 'react';
import { Dialog, DialogProps } from '../../components/Dialog';
import React from 'react';
import CloseIcon from '@mui/icons-material/Close';

export const SchemaDialog = React.forwardRef<HTMLDivElement, DialogProps>((props, ref) => {
  return (
    <>
      {props.open && (
        <div className="absolute top-0 left-10 opacity-100 transition-opacity group-hover:opacity-100 z-50 " ref={ref}>
          <div className="card absolute card-bordered bg-white rounded-none">
            <form
              className="card-body px-0 w-72 py-5"
              onSubmit={(e) => {
                e.preventDefault();
              }}
            >
              <div className="card-title p-5 py-0 flex w-full">
                <h2 className="w-full">Quick Settings</h2>
                <button className="btn btn-circle btn-sm btn-ghost" onClick={() => props.onClose()}>
                  <CloseIcon fontSize="small" />
                </button>
              </div>
              <div className="divider m-0"></div>
              <div className="form-control px-5">
                <label className="label cursor-pointer w-fit gap-2 px-0 py-1">
                  <input type="checkbox" checked={true} className="checkbox checkbox-xs" />
                  <span className="label-text">Points</span>
                </label>
                <label className="label cursor-pointer w-fit gap-2 px-0 py-1">
                  <input type="checkbox" checked={true} className="checkbox checkbox-xs" />
                  <span className="label-text">Line</span>
                </label>
                <label className="label cursor-pointer w-fit gap-2 px-0 py-1">
                  <input type="checkbox" checked={true} className="checkbox checkbox-xs" />
                  <span className="label-text">Line</span>
                </label>
              </div>
              <div className="divider m-0"></div>
              <div className="form-control px-5">
                <label className="label">
                  <span className="label-text">Opacity</span>
                </label>
                <input type="range" min={0} max="100" value="40" className="range range-sm" />
              </div>
              <div className="divider m-0"></div>
              <div className="form-control px-5">
                <label className="label">
                  <span className="label-text">Histogram</span>
                </label>
                ...
              </div>
              <div className="divider m-0"></div>
              <div className="form-control px-5">
                <label className="label">
                  <span className="label-text">Goal Value</span>
                </label>
                <select className="select select-primary select-sm ">
                  <option className="option">35438</option>
                </select>
              </div>
              <div className="divider m-0"></div>
              <div className="card-actions w-full px-5">
                <button className="btn btn-primary w-full">Apply</button>
              </div>
              <div className="card-actions w-full px-5">
                <button className="btn btn-secondary w-full">Cancel</button>
              </div>
              <div className="card-actions w-full px-5">
                <button className="btn btn-outline w-full">Advance settings</button>
              </div>
            </form>
          </div>
        </div>
      )}
    </>
  );
});
