/**
 * Data set retrieved from:
 * Liang Mao et al
 * Modeling monthly flows of global air travel passengers
 * In: Journal of Transport Geography 48 (2015), pp. 52–60
 */

export const flights = {
  nodes: [
    {
      id: 'AMM',

      attributes: {
        airport: 'AMM',
        city: 'Amman',
        region: "['Jordan']-JO",
        country: 'Jordan',
        continent: 'Asia',
        coordinates: [35.99, 31.72],
      },
    },
    {
      id: 'ALY',
      attributes: {
        airport: 'ALY',
        city: 'Alexandria',
        region: "['Egypt']-EG",
        country: 'Egypt',
        continent: 'Africa',
        coordinates: [29.95, 31.19],
      },
    },
    {
      id: 'AMS',
      attributes: {
        airport: 'AMS',
        city: 'Amsterdam',
        region: "['Netherlands']-NL",
        country: 'Netherlands',
        continent: 'Europe',
        coordinates: [4.76, 52.31],
      },
    },
    {
      id: 'ABV',
      attributes: {
        airport: 'ABV',
        city: 'Abuja',
        region: "['Nigeria']-NG",
        country: 'Nigeria',
        continent: 'Africa',
        coordinates: [7.27, 9.0],
      },
    },
    {
      id: 'BHX',
      attributes: {
        airport: 'BHX',
        city: 'Birmingham',
        region: 'GB-EN',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-1.73, 52.45],
      },
    },
    {
      id: 'KTW',
      attributes: {
        airport: 'KTW',
        city: 'Katowice',
        region: "['Poland']-PL",
        country: 'Poland',
        continent: 'Europe',
        coordinates: [19.07, 50.47],
      },
    },
    {
      id: 'BIL',
      attributes: {
        airport: 'BIL',
        city: 'Billings',
        region: 'US-MT',
        country: 'United States',
        continent: 'North America',
        coordinates: [-108.54, 45.8],
      },
    },
    {
      id: 'MSP',
      attributes: {
        airport: 'MSP',
        city: 'Minneapolis',
        region: 'US-MN',
        country: 'United States',
        continent: 'North America',
        coordinates: [-93.21, 44.88],
      },
    },
    {
      id: 'BLA',
      attributes: {
        airport: 'BLA',
        city: 'Barcelona',
        region: "['Venezuela']-VE",
        country: 'Venezuela',
        continent: 'South America',
        coordinates: [-64.69, 10.11],
      },
    },
    {
      id: 'VLN',
      attributes: {
        airport: 'VLN',
        city: 'Valencia',
        region: "['Venezuela']-VE",
        country: 'Venezuela',
        continent: 'South America',
        coordinates: [-67.92, 10.15],
      },
    },
    {
      id: 'DME',
      attributes: {
        airport: 'DME',
        city: 'Moscow',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [37.9, 55.41],
      },
    },
    {
      id: 'LED',
      attributes: {
        airport: 'LED',
        city: 'Saint Petersburg',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [30.31, 59.81],
      },
    },
    {
      id: 'DMM',
      attributes: {
        airport: 'DMM',
        city: 'Dammam',
        region: "['Saudi Arabia']-SA",
        country: 'Saudi Arabia',
        continent: 'Asia',
        coordinates: [49.8, 26.47],
      },
    },
    {
      id: 'DNH',
      attributes: {
        airport: 'DNH',
        city: 'Dunhuang',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [94.68, 40.2],
      },
    },
    {
      id: 'XIY',
      attributes: {
        airport: 'XIY',
        city: 'Xian',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [108.76, 34.44],
      },
    },
    {
      id: 'DOH',
      attributes: {
        airport: 'DOH',
        city: 'Doha',
        region: "['Qatar']-QA",
        country: 'Qatar',
        continent: 'Asia',
        coordinates: [51.56, 25.27],
      },
    },
    {
      id: 'KRT',
      attributes: {
        airport: 'KRT',
        city: 'Khartoum',
        region: "['Sudan']-SD",
        country: 'Sudan',
        continent: 'Africa',
        coordinates: [32.55, 15.59],
      },
    },
    {
      id: 'DRW',
      attributes: {
        airport: 'DRW',
        city: 'Darwin',
        region: 'AU-NT',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [130.88, -12.41],
      },
    },
    {
      id: 'DIL',
      attributes: {
        airport: 'DIL',
        city: 'Dili',
        region: "['Timor-Leste']-TL",
        country: 'Timor-Leste',
        continent: 'Asia',
        coordinates: [125.53, -8.55],
      },
    },
    {
      id: 'DSN',
      attributes: {
        airport: 'DSN',
        city: 'Dongsheng',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [110.03, 39.85],
      },
    },
    {
      id: 'NAY',
      attributes: {
        airport: 'NAY',
        city: 'Beijing',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [116.59, 40.08],
      },
    },
    {
      id: 'DTM',
      attributes: {
        airport: 'DTM',
        city: 'Dortmund',
        region: "['Germany']-DE",
        country: 'Germany',
        continent: 'Europe',
        coordinates: [7.61, 51.51],
      },
    },
    {
      id: 'BUD',
      attributes: {
        airport: 'BUD',
        city: 'Budapest',
        region: "['Hungary']-HU",
        country: 'Hungary',
        continent: 'Europe',
        coordinates: [19.26, 47.43],
      },
    },
    {
      id: 'DTW',
      attributes: {
        airport: 'DTW',
        city: 'Detroit',
        region: 'US-MI',
        country: 'United States',
        continent: 'North America',
        coordinates: [-83.36, 42.21],
      },
    },
    {
      id: 'CUN',
      attributes: {
        airport: 'CUN',
        city: 'Cancun',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-86.87, 21.04],
      },
    },
    {
      id: 'FRA',
      attributes: {
        airport: 'FRA',
        city: 'Frankfurt',
        region: "['Germany']-DE",
        country: 'Germany',
        continent: 'Europe',
        coordinates: [8.57, 50.05],
      },
    },
    {
      id: 'FWA',
      attributes: {
        airport: 'FWA',
        city: 'Fort Wayne',
        region: 'US-IN',
        country: 'United States',
        continent: 'North America',
        coordinates: [-85.19, 40.99],
      },
    },
    {
      id: 'SNA',
      attributes: {
        airport: 'SNA',
        city: 'Santa Ana',
        region: 'US-CA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-117.86, 33.68],
      },
    },
    {
      id: 'DUB',
      attributes: {
        airport: 'DUB',
        city: 'Dublin',
        region: "['Ireland']-IE",
        country: 'Ireland',
        continent: 'Europe',
        coordinates: [-6.24, 53.43],
      },
    },
    {
      id: 'AGA',
      attributes: {
        airport: 'AGA',
        city: 'Agadir',
        region: "['Morocco']-MA",
        country: 'Morocco',
        continent: 'Africa',
        coordinates: [-9.56, 30.38],
      },
    },
    {
      id: 'FAR',
      attributes: {
        airport: 'FAR',
        city: 'Fargo',
        region: 'US-ND',
        country: 'United States',
        continent: 'North America',
        coordinates: [-96.83, 46.92],
      },
    },
    {
      id: 'SLC',
      attributes: {
        airport: 'SLC',
        city: 'Salt Lake City',
        region: 'US-UT',
        country: 'United States',
        continent: 'North America',
        coordinates: [-111.98, 40.79],
      },
    },
    {
      id: 'FCO',
      attributes: {
        airport: 'FCO',
        city: 'Rome',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [12.25, 41.79],
      },
    },
    {
      id: 'ALP',
      attributes: {
        airport: 'ALP',
        city: 'Aleppo',
        region: "['Syria']-SY",
        country: 'Syria',
        continent: 'Asia',
        coordinates: [37.23, 36.19],
      },
    },
    {
      id: 'MLE',
      attributes: {
        airport: 'MLE',
        city: 'Male',
        region: "['Maldives']-MV",
        country: 'Maldives',
        continent: 'Asia',
        coordinates: [73.52, 4.2],
      },
    },
    {
      id: 'HAM',
      attributes: {
        airport: 'HAM',
        city: 'Hamburg',
        region: "['Germany']-DE",
        country: 'Germany',
        continent: 'Europe',
        coordinates: [10.01, 53.63],
      },
    },
    {
      id: 'EWR',
      attributes: {
        airport: 'EWR',
        city: 'Newark',
        region: 'US-NJ',
        country: 'United States',
        continent: 'North America',
        coordinates: [-74.18, 40.69],
      },
    },
    {
      id: 'ACE',
      attributes: {
        airport: 'ACE',
        city: 'Lanzarote',
        region: 'ES-CI',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [-13.61, 28.95],
      },
    },
    {
      id: 'LGW',
      attributes: {
        airport: 'LGW',
        city: 'London',
        region: 'GB-EN',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-0.16, 51.16],
      },
    },
    {
      id: 'AGP',
      attributes: {
        airport: 'AGP',
        city: 'Malaga',
        region: 'ES-SP',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [-4.49, 36.68],
      },
    },
    {
      id: 'CMN',
      attributes: {
        airport: 'CMN',
        city: 'Casablanca',
        region: "['Morocco']-MA",
        country: 'Morocco',
        continent: 'Africa',
        coordinates: [-7.59, 33.37],
      },
    },
    {
      id: 'SVO',
      attributes: {
        airport: 'SVO',
        city: 'Moscow',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [37.42, 55.97],
      },
    },
    {
      id: 'AHU',
      attributes: {
        airport: 'AHU',
        city: 'Al Hoceima',
        region: "['Morocco']-MA",
        country: 'Morocco',
        continent: 'Africa',
        coordinates: [-3.84, 35.18],
      },
    },
    {
      id: 'TNG',
      attributes: {
        airport: 'TNG',
        city: 'Tangier',
        region: "['Morocco']-MA",
        country: 'Morocco',
        continent: 'Africa',
        coordinates: [-5.91, 35.73],
      },
    },
    {
      id: 'ALB',
      attributes: {
        airport: 'ALB',
        city: 'Albany',
        region: 'US-NY',
        country: 'United States',
        continent: 'North America',
        coordinates: [-73.81, 42.75],
      },
    },
    {
      id: 'ART',
      attributes: {
        airport: 'ART',
        city: 'Watertown',
        region: 'US-NY',
        country: 'United States',
        continent: 'North America',
        coordinates: [-76.02, 43.99],
      },
    },
    {
      id: 'ALC',
      attributes: {
        airport: 'ALC',
        city: 'Alicante',
        region: 'ES-SP',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [-0.56, 38.29],
      },
    },
    {
      id: 'CRL',
      attributes: {
        airport: 'CRL',
        city: 'Brussels',
        region: "['Belgium']-BE",
        country: 'Belgium',
        continent: 'Europe',
        coordinates: [4.45, 50.46],
      },
    },
    {
      id: 'EDI',
      attributes: {
        airport: 'EDI',
        city: 'Edinburgh',
        region: 'GB-SC',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-3.36, 55.95],
      },
    },
    {
      id: 'HGH',
      attributes: {
        airport: 'HGH',
        city: 'Hangzhou',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [120.43, 30.24],
      },
    },
    {
      id: 'TYN',
      attributes: {
        airport: 'TYN',
        city: 'Taiyuan',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [112.63, 37.75],
      },
    },
    {
      id: 'LIS',
      attributes: {
        airport: 'LIS',
        city: 'Lisbon',
        region: "['Portugal']-PT",
        country: 'Portugal',
        continent: 'Europe',
        coordinates: [-9.13, 38.77],
      },
    },
    {
      id: 'CNF',
      attributes: {
        airport: 'CNF',
        city: 'Belo Horizonte',
        region: 'BR-MG',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-43.96, -19.63],
      },
    },
    {
      id: 'LLW',
      attributes: {
        airport: 'LLW',
        city: 'Lilongwe',
        region: "['Malawi']-MW",
        country: 'Malawi',
        continent: 'Africa',
        coordinates: [33.78, -13.78],
      },
    },
    {
      id: 'BLZ',
      attributes: {
        airport: 'BLZ',
        city: 'Blantyre',
        region: "['Malawi']-MW",
        country: 'Malawi',
        continent: 'Africa',
        coordinates: [34.97, -15.67],
      },
    },
    {
      id: 'LPA',
      attributes: {
        airport: 'LPA',
        city: 'Las Palmas',
        region: 'ES-CI',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [-15.39, 27.94],
      },
    },
    {
      id: 'OSL',
      attributes: {
        airport: 'OSL',
        city: 'Gardermoen',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [11.1, 60.19],
      },
    },
    {
      id: 'LPL',
      attributes: {
        airport: 'LPL',
        city: 'Liverpool',
        region: 'GB-EN',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-2.85, 53.34],
      },
    },
    {
      id: 'PRG',
      attributes: {
        airport: 'PRG',
        city: 'Prague',
        region: "['Czech Republic']-CZ",
        country: 'Czech Republic',
        continent: 'Europe',
        coordinates: [14.27, 50.11],
      },
    },
    {
      id: 'SNN',
      attributes: {
        airport: 'SNN',
        city: 'Shannon',
        region: "['Ireland']-IE",
        country: 'Ireland',
        continent: 'Europe',
        coordinates: [-8.92, 52.69],
      },
    },
    {
      id: 'LSH',
      attributes: {
        airport: 'LSH',
        city: 'Lashio',
        region: "['Myanmar']-MM",
        country: 'Myanmar',
        continent: 'Asia',
        coordinates: [97.75, 22.97],
      },
    },
    {
      id: 'HEH',
      attributes: {
        airport: 'HEH',
        city: 'Heho',
        region: "['Myanmar']-MM",
        country: 'Myanmar',
        continent: 'Asia',
        coordinates: [96.79, 20.74],
      },
    },
    {
      id: 'LUO',
      attributes: {
        airport: 'LUO',
        city: 'Luena',
        region: "['Angola']-AO",
        country: 'Angola',
        continent: 'Africa',
        coordinates: [20.17, -11.5],
      },
    },
    {
      id: 'LAD',
      attributes: {
        airport: 'LAD',
        city: 'Luanda',
        region: "['Angola']-AO",
        country: 'Angola',
        continent: 'Africa',
        coordinates: [13.23, -8.85],
      },
    },
    {
      id: 'LWO',
      attributes: {
        airport: 'LWO',
        city: 'Lviv',
        region: "['Ukraine']-UA",
        country: 'Ukraine',
        continent: 'Europe',
        coordinates: [23.96, 49.82],
      },
    },
    {
      id: 'VKO',
      attributes: {
        airport: 'VKO',
        city: 'Moscow',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [37.29, 55.6],
      },
    },
    {
      id: 'LYS',
      attributes: {
        airport: 'LYS',
        city: 'Lyon',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [5.08, 45.72],
      },
    },
    {
      id: 'BCN',
      attributes: {
        airport: 'BCN',
        city: 'Barcelona',
        region: 'ES-SP',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [2.08, 41.3],
      },
    },
    {
      id: 'BSK',
      attributes: {
        airport: 'BSK',
        city: 'Biskra',
        region: "['Algeria']-DZ",
        country: 'Algeria',
        continent: 'Africa',
        coordinates: [5.74, 34.79],
      },
    },
    {
      id: 'MGA',
      attributes: {
        airport: 'MGA',
        city: 'Managua',
        region: "['Nicaragua']-NI",
        country: 'Nicaragua',
        continent: 'Central America',
        coordinates: [-86.17, 12.14],
      },
    },
    {
      id: 'MIA',
      attributes: {
        airport: 'MIA',
        city: 'Miami',
        region: 'US-FL',
        country: 'United States',
        continent: 'North America',
        coordinates: [-80.28, 25.8],
      },
    },
    {
      id: 'MHD',
      attributes: {
        airport: 'MHD',
        city: 'Mashad',
        region: "['Iran']-IR",
        country: 'Iran',
        continent: 'Asia',
        coordinates: [59.64, 36.23],
      },
    },
    {
      id: 'BND',
      attributes: {
        airport: 'BND',
        city: 'Bandar Abbas',
        region: "['Iran']-IR",
        country: 'Iran',
        continent: 'Asia',
        coordinates: [56.37, 27.21],
      },
    },
    {
      id: 'PEC',
      attributes: {
        airport: 'PEC',
        city: 'Pelican',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-136.23, 57.95],
      },
    },
    {
      id: 'JNU',
      attributes: {
        airport: 'JNU',
        city: 'Juneau',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-134.58, 58.36],
      },
    },
    {
      id: 'PEK',
      attributes: {
        airport: 'PEK',
        city: 'Beijing',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [116.59, 40.08],
      },
    },
    {
      id: 'IKT',
      attributes: {
        airport: 'IKT',
        city: 'Irkutsk',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [104.36, 52.27],
      },
    },
    {
      id: 'TGO',
      attributes: {
        airport: 'TGO',
        city: 'Tongliao',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [122.2, 43.56],
      },
    },
    {
      id: 'TPE',
      attributes: {
        airport: 'TPE',
        city: 'Taipei',
        region: "['Taiwan']-TW",
        country: 'Taiwan',
        continent: 'Asia',
        coordinates: [121.22, 25.08],
      },
    },
    {
      id: 'PER',
      attributes: {
        airport: 'PER',
        city: 'Perth',
        region: 'AU-WA',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [115.96, -31.93],
      },
    },
    {
      id: 'CNS',
      attributes: {
        airport: 'CNS',
        city: 'Cairns',
        region: 'AU-QLD',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [145.75, -16.88],
      },
    },
    {
      id: 'PEW',
      attributes: {
        airport: 'PEW',
        city: 'Peshawar',
        region: "['Pakistan']-PK",
        country: 'Pakistan',
        continent: 'Asia',
        coordinates: [71.52, 33.99],
      },
    },
    {
      id: 'ISB',
      attributes: {
        airport: 'ISB',
        city: 'Islamabad',
        region: "['Pakistan']-PK",
        country: 'Pakistan',
        continent: 'Asia',
        coordinates: [73.11, 33.61],
      },
    },
    {
      id: 'PFO',
      attributes: {
        airport: 'PFO',
        city: 'Paphos',
        region: "['Cyprus']-CY",
        country: 'Cyprus',
        continent: 'Asia',
        coordinates: [32.49, 34.71],
      },
    },
    {
      id: 'DSA',
      attributes: {
        airport: 'DSA',
        city: 'Doncaster',
        region: 'GB-EN',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-1.01, 53.48],
      },
    },
    {
      id: 'GLA',
      attributes: {
        airport: 'GLA',
        city: 'Glasgow',
        region: 'GB-SC',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-4.43, 55.86],
      },
    },
    {
      id: 'PHF',
      attributes: {
        airport: 'PHF',
        city: 'Newport News',
        region: 'US-VA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-76.5, 37.13],
      },
    },
    {
      id: 'MCO',
      attributes: {
        airport: 'MCO',
        city: 'Orlando',
        region: 'US-FL',
        country: 'United States',
        continent: 'North America',
        coordinates: [-81.31, 28.43],
      },
    },
    {
      id: 'PHL',
      attributes: {
        airport: 'PHL',
        city: 'Philadelphia',
        region: 'US-PA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-75.24, 39.88],
      },
    },
    {
      id: 'PIS',
      attributes: {
        airport: 'PIS',
        city: 'Poitiers',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [0.31, 46.59],
      },
    },
    {
      id: 'PMI',
      attributes: {
        airport: 'PMI',
        city: 'Palma Mallorca',
        region: 'ES-SP',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [2.73, 39.55],
      },
    },
    {
      id: 'LBC',
      attributes: {
        airport: 'LBC',
        city: 'Hamburg',
        region: "['Germany']-DE",
        country: 'Germany',
        continent: 'Europe',
        coordinates: [10.7, 53.81],
      },
    },
    {
      id: 'PNH',
      attributes: {
        airport: 'PNH',
        city: 'Phnom Penh',
        region: "['Cambodia']-KH",
        country: 'Cambodia',
        continent: 'Asia',
        coordinates: [104.85, 11.55],
      },
    },
    {
      id: 'REC',
      attributes: {
        airport: 'REC',
        city: 'Recife',
        region: 'BR-PE',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-34.92, -8.13],
      },
    },
    {
      id: 'SDU',
      attributes: {
        airport: 'SDU',
        city: 'Rio De Janeiro',
        region: 'BR-RJ',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-43.17, -22.91],
      },
    },
    {
      id: 'RIC',
      attributes: {
        airport: 'RIC',
        city: 'Richmond',
        region: 'US-VA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-77.32, 37.51],
      },
    },
    {
      id: 'YYZ',
      attributes: {
        airport: 'YYZ',
        city: 'Toronto',
        region: 'CA-ON',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-79.61, 43.68],
      },
    },
    {
      id: 'SPN',
      attributes: {
        airport: 'SPN',
        city: 'Saipan',
        region: "['Northern Mariana Islands']-MP",
        country: 'Northern Mariana Islands',
        continent: 'Oceania',
        coordinates: [145.72, 15.12],
      },
    },
    {
      id: 'TIQ',
      attributes: {
        airport: 'TIQ',
        city: 'Tinian',
        region: "['Northern Mariana Islands']-MP",
        country: 'Northern Mariana Islands',
        continent: 'Oceania',
        coordinates: [145.63, 14.99],
      },
    },
    {
      id: 'TAS',
      attributes: {
        airport: 'TAS',
        city: 'Tashkent',
        region: "['Uzbekistan']-UZ",
        country: 'Uzbekistan',
        continent: 'Asia',
        coordinates: [69.27, 41.26],
      },
    },
    {
      id: 'KSQ',
      attributes: {
        airport: 'KSQ',
        city: 'Karshi',
        region: "['Uzbekistan']-UZ",
        country: 'Uzbekistan',
        continent: 'Asia',
        coordinates: [65.78, 38.81],
      },
    },
    {
      id: 'TBU',
      attributes: {
        airport: 'TBU',
        city: "Nukualofa'",
        region: "['Tonga']-TO",
        country: 'Tonga',
        continent: 'Oceania',
        coordinates: [-175.14, -21.24],
      },
    },
    {
      id: 'SUV',
      attributes: {
        airport: 'SUV',
        city: 'Suva',
        region: "['Fiji']-FJ",
        country: 'Fiji',
        continent: 'Oceania',
        coordinates: [178.56, -18.05],
      },
    },
    {
      id: 'TBZ',
      attributes: {
        airport: 'TBZ',
        city: 'Tabriz',
        region: "['Iran']-IR",
        country: 'Iran',
        continent: 'Asia',
        coordinates: [46.24, 38.12],
      },
    },
    {
      id: 'PGU',
      attributes: {
        airport: 'PGU',
        city: 'Asaloyeh ',
        region: "['Iran']-IR",
        country: 'Iran',
        continent: 'Asia',
        coordinates: [52.62, 27.48],
      },
    },
    {
      id: 'TFS',
      attributes: {
        airport: 'TFS',
        city: 'Tenerife',
        region: 'ES-CI',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [-16.57, 28.04],
      },
    },
    {
      id: 'HAJ',
      attributes: {
        airport: 'HAJ',
        city: 'Hanover',
        region: "['Germany']-DE",
        country: 'Germany',
        continent: 'Europe',
        coordinates: [9.69, 52.46],
      },
    },
    {
      id: 'LNZ',
      attributes: {
        airport: 'LNZ',
        city: 'Linz',
        region: "['Austria']-AT",
        country: 'Austria',
        continent: 'Europe',
        coordinates: [14.19, 48.24],
      },
    },
    {
      id: 'THR',
      attributes: {
        airport: 'THR',
        city: 'Tehran',
        region: "['Iran']-IR",
        country: 'Iran',
        continent: 'Asia',
        coordinates: [51.32, 35.69],
      },
    },
    {
      id: 'KHY',
      attributes: {
        airport: 'KHY',
        city: 'Khoy',
        region: "['Iran']-IR",
        country: 'Iran',
        continent: 'Asia',
        coordinates: [44.97, 38.43],
      },
    },
    {
      id: 'PFQ',
      attributes: {
        airport: 'PFQ',
        city: 'Parsabad',
        region: "['Iran']-IR",
        country: 'Iran',
        continent: 'Asia',
        coordinates: [47.88, 39.61],
      },
    },
    {
      id: 'TIA',
      attributes: {
        airport: 'TIA',
        city: 'Tirana',
        region: "['Albania']-AL",
        country: 'Albania',
        continent: 'Europe',
        coordinates: [19.71, 41.42],
      },
    },
    {
      id: 'STN',
      attributes: {
        airport: 'STN',
        city: 'London',
        region: 'GB-EN',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [0.26, 51.89],
      },
    },
    {
      id: 'TIJ',
      attributes: {
        airport: 'TIJ',
        city: 'Tijuana',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-116.97, 32.55],
      },
    },
    {
      id: 'UPN',
      attributes: {
        airport: 'UPN',
        city: 'Uruapan',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-102.05, 19.41],
      },
    },
    {
      id: 'TIV',
      attributes: {
        airport: 'TIV',
        city: 'Tivat',
        region: "['Montenegro']-ME",
        country: 'Montenegro',
        continent: 'Europe',
        coordinates: [18.73, 42.4],
      },
    },
    {
      id: 'BEG',
      attributes: {
        airport: 'BEG',
        city: 'Belgrade',
        region: "['Serbia']-RS",
        country: 'Serbia',
        continent: 'Europe',
        coordinates: [20.31, 44.82],
      },
    },
    {
      id: 'TLL',
      attributes: {
        airport: 'TLL',
        city: 'Tallinn',
        region: "['Estonia']-EE",
        country: 'Estonia',
        continent: 'Europe',
        coordinates: [24.8, 59.42],
      },
    },
    {
      id: 'LPP',
      attributes: {
        airport: 'LPP',
        city: 'Lappeenranta',
        region: "['Finland']-FI",
        country: 'Finland',
        continent: 'Europe',
        coordinates: [28.16, 61.05],
      },
    },
    {
      id: 'TLV',
      attributes: {
        airport: 'TLV',
        city: 'Tel Aviv-Yafo',
        region: "['Israel']-IL",
        country: 'Israel',
        continent: 'Asia',
        coordinates: [34.87, 32.0],
      },
    },
    {
      id: 'GYD',
      attributes: {
        airport: 'GYD',
        city: 'Baku',
        region: "['Azerbaijan']-AZ",
        country: 'Azerbaijan',
        continent: 'Asia',
        coordinates: [50.05, 40.46],
      },
    },
    {
      id: 'BAQ',
      attributes: {
        airport: 'BAQ',
        city: 'Barranquilla',
        region: "['Colombia']-CO",
        country: 'Colombia',
        continent: 'South America',
        coordinates: [-74.78, 10.89],
      },
    },
    {
      id: 'MAR',
      attributes: {
        airport: 'MAR',
        city: 'Maracaibo',
        region: "['Venezuela']-VE",
        country: 'Venezuela',
        continent: 'South America',
        coordinates: [-71.72, 10.56],
      },
    },
    {
      id: 'BBO',
      attributes: {
        airport: 'BBO',
        city: 'Berbera',
        region: "['Somalia']-SO",
        country: 'Somalia',
        continent: 'Africa',
        coordinates: [45.01, 10.42],
      },
    },
    {
      id: 'ADE',
      attributes: {
        airport: 'ADE',
        city: 'Aden',
        region: "['Yemen']-YE",
        country: 'Yemen',
        continent: 'Asia',
        coordinates: [45.04, 12.83],
      },
    },
    {
      id: 'STR',
      attributes: {
        airport: 'STR',
        city: 'Stuttgart',
        region: "['Germany']-DE",
        country: 'Germany',
        continent: 'Europe',
        coordinates: [9.19, 48.69],
      },
    },
    {
      id: 'BDA',
      attributes: {
        airport: 'BDA',
        city: 'Bermuda',
        region: "['Bermuda']-BM",
        country: 'Bermuda',
        continent: 'Central America',
        coordinates: [-64.7, 32.36],
      },
    },
    {
      id: 'LHR',
      attributes: {
        airport: 'LHR',
        city: 'London',
        region: 'GB-EN',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-0.45, 51.47],
      },
    },
    {
      id: 'LUX',
      attributes: {
        airport: 'LUX',
        city: 'Luxembourg',
        region: "['Luxembourg']-LU",
        country: 'Luxembourg',
        continent: 'Europe',
        coordinates: [6.21, 49.63],
      },
    },
    {
      id: 'ARD',
      attributes: {
        airport: 'ARD',
        city: 'Alor Island',
        region: "['Indonesia']-ID",
        country: 'Indonesia',
        continent: 'Asia',
        coordinates: [124.53, -8.68],
      },
    },
    {
      id: 'KOE',
      attributes: {
        airport: 'KOE',
        city: 'Kupang',
        region: "['Indonesia']-ID",
        country: 'Indonesia',
        continent: 'Asia',
        coordinates: [123.67, -10.17],
      },
    },
    {
      id: 'ARN',
      attributes: {
        airport: 'ARN',
        city: 'Stockholm',
        region: "['Sweden']-SE",
        country: 'Sweden',
        continent: 'Europe',
        coordinates: [17.93, 59.65],
      },
    },
    {
      id: 'ASB',
      attributes: {
        airport: 'ASB',
        city: 'Ashgabat',
        region: "['Turkmenistan']-TM",
        country: 'Turkmenistan',
        continent: 'Asia',
        coordinates: [58.37, 37.98],
      },
    },
    {
      id: 'ASO',
      attributes: {
        airport: 'ASO',
        city: 'Asosa',
        region: "['Ethiopia']-ET",
        country: 'Ethiopia',
        continent: 'Africa',
        coordinates: [34.54, 10.05],
      },
    },
    {
      id: 'JIM',
      attributes: {
        airport: 'JIM',
        city: 'Jimma',
        region: "['Ethiopia']-ET",
        country: 'Ethiopia',
        continent: 'Africa',
        coordinates: [36.82, 7.65],
      },
    },
    {
      id: 'ATH',
      attributes: {
        airport: 'ATH',
        city: 'Athens',
        region: "['Greece']-GR",
        country: 'Greece',
        continent: 'Europe',
        coordinates: [23.95, 37.94],
      },
    },
    {
      id: 'MXP',
      attributes: {
        airport: 'MXP',
        city: 'Milan',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [8.71, 45.63],
      },
    },
    {
      id: 'ATL',
      attributes: {
        airport: 'ATL',
        city: 'Atlanta',
        region: 'US-GA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-84.44, 33.64],
      },
    },
    {
      id: 'MTY',
      attributes: {
        airport: 'MTY',
        city: 'Monterrey',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-100.11, 25.78],
      },
    },
    {
      id: 'SAP',
      attributes: {
        airport: 'SAP',
        city: 'San Pedro Sula',
        region: "['Honduras']-HN",
        country: 'Honduras',
        continent: 'Central America',
        coordinates: [-87.93, 15.46],
      },
    },
    {
      id: 'SMF',
      attributes: {
        airport: 'SMF',
        city: 'Sacramento',
        region: 'US-CA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-121.59, 38.69],
      },
    },
    {
      id: 'STX',
      attributes: {
        airport: 'STX',
        city: 'Saint Croix',
        region: "['U.S. Virgin Islands']-VI",
        country: 'U.S. Virgin Islands',
        continent: 'Central America',
        coordinates: [-64.8, 17.7],
      },
    },
    {
      id: 'TYS',
      attributes: {
        airport: 'TYS',
        city: 'Knoxville',
        region: 'US-TN',
        country: 'United States',
        continent: 'North America',
        coordinates: [-83.99, 35.81],
      },
    },
    {
      id: 'AUC',
      attributes: {
        airport: 'AUC',
        city: 'Arauca',
        region: "['Colombia']-CO",
        country: 'Colombia',
        continent: 'South America',
        coordinates: [-70.74, 7.07],
      },
    },
    {
      id: 'BOG',
      attributes: {
        airport: 'BOG',
        city: 'Bogota',
        region: "['Colombia']-CO",
        country: 'Colombia',
        continent: 'South America',
        coordinates: [-74.14, 4.7],
      },
    },
    {
      id: 'AUH',
      attributes: {
        airport: 'AUH',
        city: 'Abu Dhabi',
        region: "['United Arab Emirates']-AE",
        country: 'United Arab Emirates',
        continent: 'Asia',
        coordinates: [54.65, 24.43],
      },
    },
    {
      id: 'BEY',
      attributes: {
        airport: 'BEY',
        city: 'Beirut',
        region: "['Lebanon']-LB",
        country: 'Lebanon',
        continent: 'Asia',
        coordinates: [35.49, 33.83],
      },
    },
    {
      id: 'AUS',
      attributes: {
        airport: 'AUS',
        city: 'Austin',
        region: 'US-TX',
        country: 'United States',
        continent: 'North America',
        coordinates: [-97.67, 30.2],
      },
    },
    {
      id: 'LNK',
      attributes: {
        airport: 'LNK',
        city: 'Lincoln',
        region: 'US-NE',
        country: 'United States',
        continent: 'North America',
        coordinates: [-96.75, 40.85],
      },
    },
    {
      id: 'TPA',
      attributes: {
        airport: 'TPA',
        city: 'Tampa',
        region: 'US-FL',
        country: 'United States',
        continent: 'North America',
        coordinates: [-82.54, 27.98],
      },
    },
    {
      id: 'AYP',
      attributes: {
        airport: 'AYP',
        city: 'Ayacucho',
        region: "['Peru']-PE",
        country: 'Peru',
        continent: 'South America',
        coordinates: [-74.25, -13.2],
      },
    },
    {
      id: 'LIM',
      attributes: {
        airport: 'LIM',
        city: 'Lima',
        region: "['Peru']-PE",
        country: 'Peru',
        continent: 'South America',
        coordinates: [-77.11, -12.02],
      },
    },
    {
      id: 'KBP',
      attributes: {
        airport: 'KBP',
        city: 'Kiev/Kyiv',
        region: "['Ukraine']-UA",
        country: 'Ukraine',
        continent: 'Europe',
        coordinates: [30.9, 50.34],
      },
    },
    {
      id: 'BGY',
      attributes: {
        airport: 'BGY',
        city: 'Milan',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [9.7, 45.67],
      },
    },
    {
      id: 'BTS',
      attributes: {
        airport: 'BTS',
        city: 'Bratislava',
        region: "['Slovakia']-SK",
        country: 'Slovakia',
        continent: 'Europe',
        coordinates: [17.2, 48.17],
      },
    },
    {
      id: 'CIA',
      attributes: {
        airport: 'CIA',
        city: 'Rome',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [12.59, 41.8],
      },
    },
    {
      id: 'GRO',
      attributes: {
        airport: 'GRO',
        city: 'Girona',
        region: 'ES-SP',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [2.77, 41.9],
      },
    },
    {
      id: 'NTE',
      attributes: {
        airport: 'NTE',
        city: 'Nantes',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [-1.6, 47.16],
      },
    },
    {
      id: 'TOY',
      attributes: {
        airport: 'TOY',
        city: 'Toyama',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [137.19, 36.64],
      },
    },
    {
      id: 'ICN',
      attributes: {
        airport: 'ICN',
        city: 'Seoul',
        region: "['South Korea']-KR",
        country: 'South Korea',
        continent: 'Asia',
        coordinates: [126.45, 37.45],
      },
    },
    {
      id: 'PVG',
      attributes: {
        airport: 'PVG',
        city: 'Shanghai',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [121.8, 31.15],
      },
    },
    {
      id: 'ISP',
      attributes: {
        airport: 'ISP',
        city: 'Islip',
        region: 'US-NY',
        country: 'United States',
        continent: 'North America',
        coordinates: [-73.1, 40.79],
      },
    },
    {
      id: 'BKK',
      attributes: {
        airport: 'BKK',
        city: 'Bangkok',
        region: "['Thailand']-TH",
        country: 'Thailand',
        continent: 'Asia',
        coordinates: [100.75, 13.69],
      },
    },
    {
      id: 'NGO',
      attributes: {
        airport: 'NGO',
        city: 'Nagoya',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [136.81, 34.86],
      },
    },
    {
      id: 'TRV',
      attributes: {
        airport: 'TRV',
        city: 'Thiruvananthapuram',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [76.92, 8.48],
      },
    },
    {
      id: 'BAH',
      attributes: {
        airport: 'BAH',
        city: 'Bahrain',
        region: "['Bahrain']-BH",
        country: 'Bahrain',
        continent: 'Asia',
        coordinates: [50.63, 26.27],
      },
    },
    {
      id: 'CID',
      attributes: {
        airport: 'CID',
        city: 'Cedar Rapids',
        region: 'US-IA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-91.7, 41.89],
      },
    },
    {
      id: 'LAN',
      attributes: {
        airport: 'LAN',
        city: 'Lansing',
        region: 'US-MI',
        country: 'United States',
        continent: 'North America',
        coordinates: [-84.59, 42.77],
      },
    },
    {
      id: 'CIJ',
      attributes: {
        airport: 'CIJ',
        city: 'Cobija',
        region: "['Bolivia']-BO",
        country: 'Bolivia',
        continent: 'South America',
        coordinates: [-68.75, -11.03],
      },
    },
    {
      id: 'TDD',
      attributes: {
        airport: 'TDD',
        city: 'Trinidad',
        region: "['Bolivia']-BO",
        country: 'Bolivia',
        continent: 'South America',
        coordinates: [-64.92, -14.82],
      },
    },
    {
      id: 'CJU',
      attributes: {
        airport: 'CJU',
        city: 'Jeju',
        region: "['South Korea']-KR",
        country: 'South Korea',
        continent: 'Asia',
        coordinates: [126.49, 33.51],
      },
    },
    {
      id: 'CJJ',
      attributes: {
        airport: 'CJJ',
        city: 'Cheongju',
        region: "['South Korea']-KR",
        country: 'South Korea',
        continent: 'Asia',
        coordinates: [127.5, 36.72],
      },
    },
    {
      id: 'CKG',
      attributes: {
        airport: 'CKG',
        city: 'Chongqing',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [106.63, 29.72],
      },
    },
    {
      id: 'XMN',
      attributes: {
        airport: 'XMN',
        city: 'Xiamen',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [118.13, 24.54],
      },
    },
    {
      id: 'CLE',
      attributes: {
        airport: 'CLE',
        city: 'Cleveland',
        region: 'US-OH',
        country: 'United States',
        continent: 'North America',
        coordinates: [-81.84, 41.41],
      },
    },
    {
      id: 'CLJ',
      attributes: {
        airport: 'CLJ',
        city: 'Cluj',
        region: "['Romania']-RO",
        country: 'Romania',
        continent: 'Europe',
        coordinates: [23.69, 46.78],
      },
    },
    {
      id: 'BNE',
      attributes: {
        airport: 'BNE',
        city: 'Brisbane',
        region: 'AU-QLD',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [153.11, -27.4],
      },
    },
    {
      id: 'GLT',
      attributes: {
        airport: 'GLT',
        city: 'Gladstone',
        region: 'AU-QLD',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [151.22, -23.87],
      },
    },
    {
      id: 'BOM',
      attributes: {
        airport: 'BOM',
        city: 'Mumbai',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [72.87, 19.1],
      },
    },
    {
      id: 'IKA',
      attributes: {
        airport: 'IKA',
        city: 'Tehran',
        region: "['Iran']-IR",
        country: 'Iran',
        continent: 'Asia',
        coordinates: [51.15, 35.41],
      },
    },
    {
      id: 'SHJ',
      attributes: {
        airport: 'SHJ',
        city: 'Sharjah',
        region: "['United Arab Emirates']-AE",
        country: 'United Arab Emirates',
        continent: 'Asia',
        coordinates: [55.52, 25.32],
      },
    },
    {
      id: 'SIN',
      attributes: {
        airport: 'SIN',
        city: 'Singapore',
        region: "['Singapore']-SG",
        country: 'Singapore',
        continent: 'Asia',
        coordinates: [103.99, 1.36],
      },
    },
    {
      id: 'BOS',
      attributes: {
        airport: 'BOS',
        city: 'Boston',
        region: 'US-MA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-71.02, 42.37],
      },
    },
    {
      id: 'BPX',
      attributes: {
        airport: 'BPX',
        city: 'Bangda',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [97.11, 30.56],
      },
    },
    {
      id: 'CTU',
      attributes: {
        airport: 'CTU',
        city: 'Chengdu',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [103.96, 30.58],
      },
    },
    {
      id: 'BRU',
      attributes: {
        airport: 'BRU',
        city: 'Brussels',
        region: "['Belgium']-BE",
        country: 'Belgium',
        continent: 'Europe',
        coordinates: [4.48, 50.9],
      },
    },
    {
      id: 'KGL',
      attributes: {
        airport: 'KGL',
        city: 'Kigali',
        region: "['Rwanda']-RW",
        country: 'Rwanda',
        continent: 'Africa',
        coordinates: [30.14, -1.96],
      },
    },
    {
      id: 'NYO',
      attributes: {
        airport: 'NYO',
        city: 'Stockholm',
        region: "['Sweden']-SE",
        country: 'Sweden',
        continent: 'Europe',
        coordinates: [16.92, 58.78],
      },
    },
    {
      id: 'CLT',
      attributes: {
        airport: 'CLT',
        city: 'Charlotte',
        region: 'US-NC',
        country: 'United States',
        continent: 'North America',
        coordinates: [-80.94, 35.22],
      },
    },
    {
      id: 'MGM',
      attributes: {
        airport: 'MGM',
        city: 'Montgomery',
        region: 'US-AL',
        country: 'United States',
        continent: 'North America',
        coordinates: [-86.39, 32.31],
      },
    },
    {
      id: 'BWI',
      attributes: {
        airport: 'BWI',
        city: 'Baltimore',
        region: 'US-MD',
        country: 'United States',
        continent: 'North America',
        coordinates: [-76.67, 39.18],
      },
    },
    {
      id: 'SDF',
      attributes: {
        airport: 'SDF',
        city: 'Louisville',
        region: 'US-KY ',
        country: 'United States',
        continent: 'North America',
        coordinates: [-85.74, 38.19],
      },
    },
    {
      id: 'CCS',
      attributes: {
        airport: 'CCS',
        city: 'Caracas',
        region: "['Venezuela']-VE",
        country: 'Venezuela',
        continent: 'South America',
        coordinates: [-67.01, 10.6],
      },
    },
    {
      id: 'CDG',
      attributes: {
        airport: 'CDG',
        city: 'Paris',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [2.57, 49.0],
      },
    },
    {
      id: 'TRS',
      attributes: {
        airport: 'TRS',
        city: 'Trieste',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [13.49, 45.82],
      },
    },
    {
      id: 'CEB',
      attributes: {
        airport: 'CEB',
        city: 'Cebu',
        region: "['Philippines']-PH",
        country: 'Philippines',
        continent: 'Asia',
        coordinates: [123.98, 10.32],
      },
    },
    {
      id: 'OZC',
      attributes: {
        airport: 'OZC',
        city: 'Ozamis City',
        region: "['Philippines']-PH",
        country: 'Philippines',
        continent: 'Asia',
        coordinates: [123.85, 8.18],
      },
    },
    {
      id: 'CGK',
      attributes: {
        airport: 'CGK',
        city: 'Jakarta',
        region: "['Indonesia']-ID",
        country: 'Indonesia',
        continent: 'Asia',
        coordinates: [106.66, -6.13],
      },
    },
    {
      id: 'PKY',
      attributes: {
        airport: 'PKY',
        city: 'Palangkaraya',
        region: "['Indonesia']-ID",
        country: 'Indonesia',
        continent: 'Asia',
        coordinates: [113.95, -2.22],
      },
    },
    {
      id: 'ORY',
      attributes: {
        airport: 'ORY',
        city: 'Paris',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [2.36, 48.73],
      },
    },
    {
      id: 'COQ',
      attributes: {
        airport: 'COQ',
        city: 'Choibalsan',
        region: "['Mongolia']-MN",
        country: 'Mongolia',
        continent: 'Asia',
        coordinates: [114.9, 48.13],
      },
    },
    {
      id: 'ULN',
      attributes: {
        airport: 'ULN',
        city: 'Ulaanbaatar',
        region: "['Mongolia']-MN",
        country: 'Mongolia',
        continent: 'Asia',
        coordinates: [106.76, 47.85],
      },
    },
    {
      id: 'CPH',
      attributes: {
        airport: 'CPH',
        city: 'Copenhagen',
        region: "['Denmark']-DK",
        country: 'Denmark',
        continent: 'Europe',
        coordinates: [12.65, 55.63],
      },
    },
    {
      id: 'BGO',
      attributes: {
        airport: 'BGO',
        city: 'Bergen',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [5.23, 60.29],
      },
    },
    {
      id: 'CPT',
      attributes: {
        airport: 'CPT',
        city: 'Cape Town',
        region: "['South Africa']-ZA",
        country: 'South Africa',
        continent: 'Africa',
        coordinates: [18.6, -33.97],
      },
    },
    {
      id: 'DXB',
      attributes: {
        airport: 'DXB',
        city: 'Dubai',
        region: "['United Arab Emirates']-AE",
        country: 'United Arab Emirates',
        continent: 'Asia',
        coordinates: [55.35, 25.25],
      },
    },
    {
      id: 'CRW',
      attributes: {
        airport: 'CRW',
        city: 'Charleston',
        region: 'US-WV',
        country: 'United States',
        continent: 'North America',
        coordinates: [-81.6, 38.37],
      },
    },
    {
      id: 'IAD',
      attributes: {
        airport: 'IAD',
        city: 'Washington',
        region: 'US-DC',
        country: 'United States',
        continent: 'North America',
        coordinates: [-77.45, 38.95],
      },
    },
    {
      id: 'VCE',
      attributes: {
        airport: 'VCE',
        city: 'Venice',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [12.34, 45.5],
      },
    },
    {
      id: 'NAP',
      attributes: {
        airport: 'NAP',
        city: 'Naples',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [14.29, 40.89],
      },
    },
    {
      id: 'VDM',
      attributes: {
        airport: 'VDM',
        city: 'Viedma',
        region: 'AR-RN',
        country: 'Argentina',
        continent: 'South America',
        coordinates: [-63.02, -40.85],
      },
    },
    {
      id: 'BHI',
      attributes: {
        airport: 'BHI',
        city: 'Bahia Blanca',
        region: 'AR-BA',
        country: 'Argentina',
        continent: 'South America',
        coordinates: [-62.15, -38.73],
      },
    },
    {
      id: 'VGO',
      attributes: {
        airport: 'VGO',
        city: 'Vigo',
        region: 'ES-SP',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [-8.63, 42.22],
      },
    },
    {
      id: 'HMA',
      attributes: {
        airport: 'HMA',
        city: 'Khanty-Mansiysk',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [69.1, 61.03],
      },
    },
    {
      id: 'ZIH',
      attributes: {
        airport: 'ZIH',
        city: 'Ixtapa/Zihuatanejo',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-101.46, 17.61],
      },
    },
    {
      id: 'PHX',
      attributes: {
        airport: 'PHX',
        city: 'Phoenix',
        region: 'US-AZ',
        country: 'United States',
        continent: 'North America',
        coordinates: [-112.0, 33.44],
      },
    },
    {
      id: 'YYC',
      attributes: {
        airport: 'YYC',
        city: 'Calgary',
        region: 'CA-AB',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-114.01, 51.13],
      },
    },
    {
      id: 'DIK',
      attributes: {
        airport: 'DIK',
        city: 'Dickinson',
        region: 'US-ND',
        country: 'United States',
        continent: 'North America',
        coordinates: [-102.9, 46.83],
      },
    },
    {
      id: 'ISN',
      attributes: {
        airport: 'ISN',
        city: 'Williston',
        region: 'US-ND',
        country: 'United States',
        continent: 'North America',
        coordinates: [-103.64, 48.18],
      },
    },
    {
      id: 'DIR',
      attributes: {
        airport: 'DIR',
        city: 'Dire Dawa',
        region: "['Ethiopia']-ET",
        country: 'Ethiopia',
        continent: 'Africa',
        coordinates: [41.86, 9.61],
      },
    },
    {
      id: 'ABK',
      attributes: {
        airport: 'ABK',
        city: 'Kabri Dar',
        region: "['Ethiopia']-ET",
        country: 'Ethiopia',
        continent: 'Africa',
        coordinates: [44.27, 6.73],
      },
    },
    {
      id: 'CSX',
      attributes: {
        airport: 'CSX',
        city: 'Changsha',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [113.21, 28.19],
      },
    },
    {
      id: 'YIW',
      attributes: {
        airport: 'YIW',
        city: 'Yiwu',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [120.03, 29.34],
      },
    },
    {
      id: 'CTS',
      attributes: {
        airport: 'CTS',
        city: 'Sapporo',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [141.68, 42.79],
      },
    },
    {
      id: 'CUF',
      attributes: {
        airport: 'CUF',
        city: 'Cuneo',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [7.62, 44.54],
      },
    },
    {
      id: 'BBU',
      attributes: {
        airport: 'BBU',
        city: 'Bucharest',
        region: "['Romania']-RO",
        country: 'Romania',
        continent: 'Europe',
        coordinates: [26.08, 44.5],
      },
    },
    {
      id: 'CUR',
      attributes: {
        airport: 'CUR',
        city: 'Curacao',
        region: "['Dutch Antilles']-AN",
        country: 'Dutch Antilles',
        continent: 'Central America',
        coordinates: [-68.96, 12.18],
      },
    },
    {
      id: 'CWB',
      attributes: {
        airport: 'CWB',
        city: 'Curitiba',
        region: 'BR-PR',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-49.24, -25.4],
      },
    },
    {
      id: 'CAC',
      attributes: {
        airport: 'CAC',
        city: 'Cascavel',
        region: 'BR-PR',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-53.47, -24.95],
      },
    },
    {
      id: 'CZL',
      attributes: {
        airport: 'CZL',
        city: 'Constantine',
        region: "['Algeria']-DZ",
        country: 'Algeria',
        continent: 'Africa',
        coordinates: [6.62, 36.29],
      },
    },
    {
      id: 'DAC',
      attributes: {
        airport: 'DAC',
        city: 'Dhaka',
        region: "['Bangladesh']-BD",
        country: 'Bangladesh',
        continent: 'Asia',
        coordinates: [90.41, 23.85],
      },
    },
    {
      id: 'JED',
      attributes: {
        airport: 'JED',
        city: 'Jeddah',
        region: "['Saudi Arabia']-SA",
        country: 'Saudi Arabia',
        continent: 'Asia',
        coordinates: [39.15, 21.67],
      },
    },
    {
      id: 'DAM',
      attributes: {
        airport: 'DAM',
        city: 'Damascus',
        region: "['Syria']-SY",
        country: 'Syria',
        continent: 'Asia',
        coordinates: [36.51, 33.41],
      },
    },
    {
      id: 'LCA',
      attributes: {
        airport: 'LCA',
        city: 'Larnaca',
        region: "['Cyprus']-CY",
        country: 'Cyprus',
        continent: 'Asia',
        coordinates: [33.63, 34.88],
      },
    },
    {
      id: 'DCA',
      attributes: {
        airport: 'DCA',
        city: 'Washington',
        region: 'US-DC',
        country: 'United States',
        continent: 'North America',
        coordinates: [-77.04, 38.85],
      },
    },
    {
      id: 'BUF',
      attributes: {
        airport: 'BUF',
        city: 'Buffalo',
        region: 'US-NY',
        country: 'United States',
        continent: 'North America',
        coordinates: [-78.73, 42.93],
      },
    },
    {
      id: 'DEN',
      attributes: {
        airport: 'DEN',
        city: 'Denver',
        region: 'US-CO',
        country: 'United States',
        continent: 'North America',
        coordinates: [-104.67, 39.85],
      },
    },
    {
      id: 'DAY',
      attributes: {
        airport: 'DAY',
        city: 'Dayton',
        region: 'US-OH',
        country: 'United States',
        continent: 'North America',
        coordinates: [-84.22, 39.9],
      },
    },
    {
      id: 'DLC',
      attributes: {
        airport: 'DLC',
        city: 'Dalian',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [121.54, 38.96],
      },
    },
    {
      id: 'WUH',
      attributes: {
        airport: 'WUH',
        city: 'Wuhan',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [114.21, 30.78],
      },
    },
    {
      id: 'DLH',
      attributes: {
        airport: 'DLH',
        city: 'Duluth',
        region: 'US-MN',
        country: 'United States',
        continent: 'North America',
        coordinates: [-92.18, 46.84],
      },
    },
    {
      id: 'LAS',
      attributes: {
        airport: 'LAS',
        city: 'Las Vegas',
        region: 'US-NV',
        country: 'United States',
        continent: 'North America',
        coordinates: [-115.15, 36.09],
      },
    },
    {
      id: 'TUP',
      attributes: {
        airport: 'TUP',
        city: 'Tupelo',
        region: 'US-MS',
        country: 'United States',
        continent: 'North America',
        coordinates: [-88.77, 34.26],
      },
    },
    {
      id: 'COK',
      attributes: {
        airport: 'COK',
        city: 'Kochi',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [76.39, 10.16],
      },
    },
    {
      id: 'ALG',
      attributes: {
        airport: 'ALG',
        city: 'Algiers',
        region: "['Algeria']-DZ",
        country: 'Algeria',
        continent: 'Africa',
        coordinates: [3.21, 36.7],
      },
    },
    {
      id: 'ETZ',
      attributes: {
        airport: 'ETZ',
        city: 'Metz/Nancy',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [6.24, 48.98],
      },
    },
    {
      id: 'EVN',
      attributes: {
        airport: 'EVN',
        city: 'Yerevan',
        region: "['Armenia']-AM",
        country: 'Armenia',
        continent: 'Asia',
        coordinates: [44.4, 40.15],
      },
    },
    {
      id: 'MUC',
      attributes: {
        airport: 'MUC',
        city: 'Munich',
        region: "['Germany']-DE",
        country: 'Germany',
        continent: 'Europe',
        coordinates: [11.79, 48.35],
      },
    },
    {
      id: 'EBL',
      attributes: {
        airport: 'EBL',
        city: 'Erbil',
        region: "['Iraq']-IQ",
        country: 'Iraq',
        continent: 'Asia',
        coordinates: [43.96, 36.24],
      },
    },
    {
      id: 'CMF',
      attributes: {
        airport: 'CMF',
        city: 'Chambery',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [5.88, 45.64],
      },
    },
    {
      id: 'NCE',
      attributes: {
        airport: 'NCE',
        city: 'Nice',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [7.21, 43.66],
      },
    },
    {
      id: 'HRK',
      attributes: {
        airport: 'HRK',
        city: 'Kharkov',
        region: "['Ukraine']-UA",
        country: 'Ukraine',
        continent: 'Europe',
        coordinates: [36.28, 49.92],
      },
    },
    {
      id: 'LGA',
      attributes: {
        airport: 'LGA',
        city: 'New York',
        region: 'US-NY',
        country: 'United States',
        continent: 'North America',
        coordinates: [-73.87, 40.77],
      },
    },
    {
      id: 'TUL',
      attributes: {
        airport: 'TUL',
        city: 'Tulsa',
        region: 'US-OK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-95.89, 36.19],
      },
    },
    {
      id: 'GND',
      attributes: {
        airport: 'GND',
        city: 'Grenada',
        region: "['Grenada']-GD",
        country: 'Grenada',
        continent: 'Central America',
        coordinates: [-61.62, 12.15],
      },
    },
    {
      id: 'JFK',
      attributes: {
        airport: 'JFK',
        city: 'New York',
        region: 'US-NY',
        country: 'United States',
        continent: 'North America',
        coordinates: [-73.79, 40.64],
      },
    },
    {
      id: 'GRU',
      attributes: {
        airport: 'GRU',
        city: 'Sao Paulo',
        region: 'BR-SP',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-46.48, -23.43],
      },
    },
    {
      id: 'SCL',
      attributes: {
        airport: 'SCL',
        city: 'Santiago',
        region: "['Chile']-CL",
        country: 'Chile',
        continent: 'South America',
        coordinates: [-70.79, -33.4],
      },
    },
    {
      id: 'GSO',
      attributes: {
        airport: 'GSO',
        city: 'Greensboro/High Point',
        region: 'US-NC',
        country: 'United States',
        continent: 'North America',
        coordinates: [-79.94, 36.11],
      },
    },
    {
      id: 'FLL',
      attributes: {
        airport: 'FLL',
        city: 'Fort Lauderdale',
        region: 'US-FL',
        country: 'United States',
        continent: 'North America',
        coordinates: [-80.14, 26.07],
      },
    },
    {
      id: 'FKB',
      attributes: {
        airport: 'FKB',
        city: 'Karlsruhe/Baden Baden',
        region: "['Germany']-DE",
        country: 'Germany',
        continent: 'Europe',
        coordinates: [8.09, 48.78],
      },
    },
    {
      id: 'FKI',
      attributes: {
        airport: 'FKI',
        city: 'Kisangani',
        region: "['Democratic Republic of the Congo']-CD",
        country: 'Democratic Republic of the Congo',
        continent: 'Africa',
        coordinates: [25.2, 0.52],
      },
    },
    {
      id: 'GOM',
      attributes: {
        airport: 'GOM',
        city: 'Goma',
        region: "['Democratic Republic of the Congo']-CD",
        country: 'Democratic Republic of the Congo',
        continent: 'Africa',
        coordinates: [29.23, -1.67],
      },
    },
    {
      id: 'TSE',
      attributes: {
        airport: 'TSE',
        city: 'Astana',
        region: "['Kazakhstan']-KZ",
        country: 'Kazakhstan',
        continent: 'Asia',
        coordinates: [71.46, 51.03],
      },
    },
    {
      id: 'XRY',
      attributes: {
        airport: 'XRY',
        city: 'Jerez De La Frontera',
        region: 'ES-SP',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [-6.06, 36.75],
      },
    },
    {
      id: 'FRO',
      attributes: {
        airport: 'FRO',
        city: 'Floro',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [5.02, 61.59],
      },
    },
    {
      id: 'FUE',
      attributes: {
        airport: 'FUE',
        city: 'Puerto del Rosario',
        region: 'ES-CI',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [-13.87, 28.45],
      },
    },
    {
      id: 'ZRH',
      attributes: {
        airport: 'ZRH',
        city: 'Zurich',
        region: "['Switzerland']-CH",
        country: 'Switzerland',
        continent: 'Europe',
        coordinates: [8.56, 47.45],
      },
    },
    {
      id: 'GAJ',
      attributes: {
        airport: 'GAJ',
        city: 'Yamagata',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [140.37, 38.41],
      },
    },
    {
      id: 'NKM',
      attributes: {
        airport: 'NKM',
        city: 'Nagoya',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [136.92, 35.25],
      },
    },
    {
      id: 'GCM',
      attributes: {
        airport: 'GCM',
        city: 'Grand Cayman Island',
        region: "['Cayman Islands']-KY",
        country: 'Cayman Islands',
        continent: 'Central America',
        coordinates: [-81.36, 19.3],
      },
    },
    {
      id: 'MBJ',
      attributes: {
        airport: 'MBJ',
        city: 'Montego Bay',
        region: "['Jamaica']-JM",
        country: 'Jamaica',
        continent: 'Central America',
        coordinates: [-77.92, 18.5],
      },
    },
    {
      id: 'GDL',
      attributes: {
        airport: 'GDL',
        city: 'Guadalajara',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-103.3, 20.53],
      },
    },
    {
      id: 'GIZ',
      attributes: {
        airport: 'GIZ',
        city: 'Jazan',
        region: "['Saudi Arabia']-SA",
        country: 'Saudi Arabia',
        continent: 'Asia',
        coordinates: [42.58, 16.9],
      },
    },
    {
      id: 'GLK',
      attributes: {
        airport: 'GLK',
        city: 'Galcaio',
        region: "['Somalia']-SO",
        country: 'Somalia',
        continent: 'Africa',
        coordinates: [47.43, 6.77],
      },
    },
    {
      id: 'JIB',
      attributes: {
        airport: 'JIB',
        city: 'Djibouti',
        region: "['Djibouti']-DJ",
        country: 'Djibouti',
        continent: 'Africa',
        coordinates: [43.15, 11.55],
      },
    },
    {
      id: 'GZO',
      attributes: {
        airport: 'GZO',
        city: 'Gizo',
        region: "['Solomon Islands']-SB",
        country: 'Solomon Islands',
        continent: 'Oceania',
        coordinates: [156.83, -8.12],
      },
    },
    {
      id: 'BAS',
      attributes: {
        airport: 'BAS',
        city: 'Balalae',
        region: "['Solomon Islands']-SB",
        country: 'Solomon Islands',
        continent: 'Oceania',
        coordinates: [155.88, -6.98],
      },
    },
    {
      id: 'JOG',
      attributes: {
        airport: 'JOG',
        city: 'Yogyakarta',
        region: "['Indonesia']-ID",
        country: 'Indonesia',
        continent: 'Asia',
        coordinates: [110.44, -7.79],
      },
    },
    {
      id: 'KHH',
      attributes: {
        airport: 'KHH',
        city: 'Kaohsiung',
        region: "['Taiwan']-TW",
        country: 'Taiwan',
        continent: 'Asia',
        coordinates: [120.35, 22.57],
      },
    },
    {
      id: 'KMG',
      attributes: {
        airport: 'KMG',
        city: 'Kunming',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [102.74, 25.0],
      },
    },
    {
      id: 'KHN',
      attributes: {
        airport: 'KHN',
        city: 'Nanchang',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [115.91, 28.86],
      },
    },
    {
      id: 'HKG',
      attributes: {
        airport: 'HKG',
        city: 'Hong Kong',
        region: "['Hong Kong']-HK",
        country: 'Hong Kong',
        continent: 'Asia',
        coordinates: [113.94, 22.32],
      },
    },
    {
      id: 'KHZ',
      attributes: {
        airport: 'KHZ',
        city: 'Kauehi',
        region: "['French Polynesia']-PF",
        country: 'French Polynesia',
        continent: 'Oceania',
        coordinates: [-145.12, -15.77],
      },
    },
    {
      id: 'MKP',
      attributes: {
        airport: 'MKP',
        city: 'Makemo',
        region: "['French Polynesia']-PF",
        country: 'French Polynesia',
        continent: 'Oceania',
        coordinates: [-143.65, -16.59],
      },
    },
    {
      id: 'WNZ',
      attributes: {
        airport: 'WNZ',
        city: 'Wenzhou',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [120.85, 27.92],
      },
    },
    {
      id: 'NAN',
      attributes: {
        airport: 'NAN',
        city: 'Nadi',
        region: "['Fiji']-FJ",
        country: 'Fiji',
        continent: 'Oceania',
        coordinates: [177.45, -17.75],
      },
    },
    {
      id: 'HOB',
      attributes: {
        airport: 'HOB',
        city: 'Hobbs',
        region: 'US-NM',
        country: 'United States',
        continent: 'North America',
        coordinates: [-103.22, 32.69],
      },
    },
    {
      id: 'CNM',
      attributes: {
        airport: 'CNM',
        city: 'Carlsbad',
        region: 'US-NM',
        country: 'United States',
        continent: 'North America',
        coordinates: [-104.26, 32.34],
      },
    },
    {
      id: 'HPN',
      attributes: {
        airport: 'HPN',
        city: 'Westchester County',
        region: 'US-NY',
        country: 'United States',
        continent: 'North America',
        coordinates: [-73.7, 41.07],
      },
    },
    {
      id: 'HSV',
      attributes: {
        airport: 'HSV',
        city: 'Huntsville',
        region: 'US-AL',
        country: 'United States',
        continent: 'North America',
        coordinates: [-86.77, 34.65],
      },
    },
    {
      id: 'ORD',
      attributes: {
        airport: 'ORD',
        city: 'Chicago',
        region: 'US-IL',
        country: 'United States',
        continent: 'North America',
        coordinates: [-87.99, 41.98],
      },
    },
    {
      id: 'HTY',
      attributes: {
        airport: 'HTY',
        city: 'Antakya',
        region: "['Turkey']-TR",
        country: 'Turkey',
        continent: 'Asia',
        coordinates: [36.28, 36.36],
      },
    },
    {
      id: 'IST',
      attributes: {
        airport: 'IST',
        city: 'Istanbul',
        region: "['Turkey']-TR",
        country: 'Turkey',
        continent: 'Asia',
        coordinates: [28.82, 40.98],
      },
    },
    {
      id: 'IAH',
      attributes: {
        airport: 'IAH',
        city: 'Houston',
        region: 'US-TX',
        country: 'United States',
        continent: 'North America',
        coordinates: [-95.34, 29.98],
      },
    },
    {
      id: 'VER',
      attributes: {
        airport: 'VER',
        city: 'Veracruz',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-96.18, 19.14],
      },
    },
    {
      id: 'OKA',
      attributes: {
        airport: 'OKA',
        city: 'Okinawa',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [127.77, 26.37],
      },
    },
    {
      id: 'KIX',
      attributes: {
        airport: 'KIX',
        city: 'Osaka',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [135.24, 34.44],
      },
    },
    {
      id: 'KKR',
      attributes: {
        airport: 'KKR',
        city: 'Kaukura Atoll',
        region: "['French Polynesia']-PF",
        country: 'French Polynesia',
        continent: 'Oceania',
        coordinates: [-146.67, -15.78],
      },
    },
    {
      id: 'RGI',
      attributes: {
        airport: 'RGI',
        city: 'Rangiroa',
        region: "['French Polynesia']-PF",
        country: 'French Polynesia',
        continent: 'Oceania',
        coordinates: [-147.66, -14.96],
      },
    },
    {
      id: 'KLU',
      attributes: {
        airport: 'KLU',
        city: 'Klagenfurt',
        region: "['Austria']-AT",
        country: 'Austria',
        continent: 'Europe',
        coordinates: [14.32, 46.65],
      },
    },
    {
      id: 'TXL',
      attributes: {
        airport: 'TXL',
        city: 'Berlin',
        region: "['Germany']-DE",
        country: 'Germany',
        continent: 'Europe',
        coordinates: [13.29, 52.55],
      },
    },
    {
      id: 'SAW',
      attributes: {
        airport: 'SAW',
        city: 'Istanbul',
        region: "['Turkey']-TR",
        country: 'Turkey',
        continent: 'Asia',
        coordinates: [29.31, 40.9],
      },
    },
    {
      id: 'IND',
      attributes: {
        airport: 'IND',
        city: 'Indianapolis',
        region: 'US-IN',
        country: 'United States',
        continent: 'North America',
        coordinates: [-86.27, 39.73],
      },
    },
    {
      id: 'IQQ',
      attributes: {
        airport: 'IQQ',
        city: 'Iquique',
        region: "['Chile']-CL",
        country: 'Chile',
        continent: 'South America',
        coordinates: [-70.18, -20.55],
      },
    },
    {
      id: 'CPO',
      attributes: {
        airport: 'CPO',
        city: 'Copiapo',
        region: "['Chile']-CL",
        country: 'Chile',
        continent: 'South America',
        coordinates: [-70.41, -27.3],
      },
    },
    {
      id: 'ISG',
      attributes: {
        airport: 'ISG',
        city: 'Ishigaki',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [124.17, 24.34],
      },
    },
    {
      id: 'MMY',
      attributes: {
        airport: 'MMY',
        city: 'Miyako',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [125.3, 24.78],
      },
    },
    {
      id: 'IXS',
      attributes: {
        airport: 'IXS',
        city: 'Silchar',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [92.98, 24.92],
      },
    },
    {
      id: 'CCU',
      attributes: {
        airport: 'CCU',
        city: 'Kolkata',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [88.44, 22.65],
      },
    },
    {
      id: 'PVR',
      attributes: {
        airport: 'PVR',
        city: 'Puerto Vallarta',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-105.25, 20.68],
      },
    },
    {
      id: 'YUL',
      attributes: {
        airport: 'YUL',
        city: 'Montreal',
        region: 'CA-QC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-73.75, 45.46],
      },
    },
    {
      id: 'JJU',
      attributes: {
        airport: 'JJU',
        city: 'Qaqortoq',
        region: "['Greenland']-GL",
        country: 'Greenland',
        continent: 'North America',
        coordinates: [-46.03, 60.72],
      },
    },
    {
      id: 'UAK',
      attributes: {
        airport: 'UAK',
        city: 'Narsarsuaq',
        region: "['Greenland']-GL",
        country: 'Greenland',
        continent: 'North America',
        coordinates: [-45.32, 61.17],
      },
    },
    {
      id: 'HFE',
      attributes: {
        airport: 'HFE',
        city: 'Hefei',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [117.28, 31.85],
      },
    },
    {
      id: 'KMI',
      attributes: {
        airport: 'KMI',
        city: 'Miyazaki',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [131.44, 31.87],
      },
    },
    {
      id: 'FUK',
      attributes: {
        airport: 'FUK',
        city: 'Fukuoka',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [130.44, 33.58],
      },
    },
    {
      id: 'KOT',
      attributes: {
        airport: 'KOT',
        city: 'Kotlik',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-163.56, 63.03],
      },
    },
    {
      id: 'BET',
      attributes: {
        airport: 'BET',
        city: 'Bethel',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-161.83, 60.78],
      },
    },
    {
      id: 'KRK',
      attributes: {
        airport: 'KRK',
        city: 'Krakow',
        region: "['Poland']-PL",
        country: 'Poland',
        continent: 'Europe',
        coordinates: [19.79, 50.08],
      },
    },
    {
      id: 'KRR',
      attributes: {
        airport: 'KRR',
        city: 'Krasnodar',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [39.14, 45.03],
      },
    },
    {
      id: 'UFA',
      attributes: {
        airport: 'UFA',
        city: 'Ufa',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [55.88, 54.57],
      },
    },
    {
      id: 'GOT',
      attributes: {
        airport: 'GOT',
        city: 'Gothenburg',
        region: "['Sweden']-SE",
        country: 'Sweden',
        continent: 'Europe',
        coordinates: [12.29, 57.67],
      },
    },
    {
      id: 'JNB',
      attributes: {
        airport: 'JNB',
        city: 'Johannesburg',
        region: "['South Africa']-ZA",
        country: 'South Africa',
        continent: 'Africa',
        coordinates: [28.23, -26.13],
      },
    },
    {
      id: 'GRJ',
      attributes: {
        airport: 'GRJ',
        city: 'George',
        region: "['South Africa']-ZA",
        country: 'South Africa',
        continent: 'Africa',
        coordinates: [22.38, -34.0],
      },
    },
    {
      id: 'CAG',
      attributes: {
        airport: 'CAG',
        city: 'Cagliari',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [9.06, 39.25],
      },
    },
    {
      id: 'GRZ',
      attributes: {
        airport: 'GRZ',
        city: 'Graz',
        region: "['Austria']-AT",
        country: 'Austria',
        continent: 'Europe',
        coordinates: [15.44, 46.99],
      },
    },
    {
      id: 'GSP',
      attributes: {
        airport: 'GSP',
        city: 'Greenville',
        region: 'US-SC',
        country: 'United States',
        continent: 'North America',
        coordinates: [-82.22, 34.89],
      },
    },
    {
      id: 'SVG',
      attributes: {
        airport: 'SVG',
        city: 'Stavanger',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [5.63, 58.88],
      },
    },
    {
      id: 'LHW',
      attributes: {
        airport: 'LHW',
        city: 'Lanzhou',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [103.87, 36.03],
      },
    },
    {
      id: 'HAK',
      attributes: {
        airport: 'HAK',
        city: 'Haikou',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [110.46, 19.94],
      },
    },
    {
      id: 'GOJ',
      attributes: {
        airport: 'GOJ',
        city: 'Nizhniy Novgorod',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [43.79, 56.22],
      },
    },
    {
      id: 'LEX',
      attributes: {
        airport: 'LEX',
        city: 'Lexington',
        region: 'US-KY',
        country: 'United States',
        continent: 'North America',
        coordinates: [-84.6, 38.04],
      },
    },
    {
      id: 'LIN',
      attributes: {
        airport: 'LIN',
        city: 'Milan',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [9.26, 45.45],
      },
    },
    {
      id: 'PTY',
      attributes: {
        airport: 'PTY',
        city: 'Panama City',
        region: "['Panama']-PA",
        country: 'Panama',
        continent: 'Central America',
        coordinates: [-79.39, 9.07],
      },
    },
    {
      id: 'GYN',
      attributes: {
        airport: 'GYN',
        city: 'Goiania',
        region: 'BR-GO',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-49.23, -16.63],
      },
    },
    {
      id: 'RUN',
      attributes: {
        airport: 'RUN',
        city: 'Saint Denis de la Reunion',
        region: "['R\u00e9union']-RE",
        country: 'R\u00e9union',
        continent: 'Africa',
        coordinates: [55.51, -20.89],
      },
    },
    {
      id: 'HAH',
      attributes: {
        airport: 'HAH',
        city: 'Moroni',
        region: "['Comoros']-KM",
        country: 'Comoros',
        continent: 'Africa',
        coordinates: [43.27, -11.54],
      },
    },
    {
      id: 'SPC',
      attributes: {
        airport: 'SPC',
        city: 'Santa Cruz De La Palma',
        region: 'ES-CI',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [-17.76, 28.63],
      },
    },
    {
      id: 'HEL',
      attributes: {
        airport: 'HEL',
        city: 'Helsinki',
        region: "['Finland']-FI",
        country: 'Finland',
        continent: 'Europe',
        coordinates: [24.97, 60.32],
      },
    },
    {
      id: 'OTP',
      attributes: {
        airport: 'OTP',
        city: 'Bucharest',
        region: "['Romania']-RO",
        country: 'Romania',
        continent: 'Europe',
        coordinates: [26.08, 44.57],
      },
    },
    {
      id: 'MAA',
      attributes: {
        airport: 'MAA',
        city: 'Chennai',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [80.16, 12.98],
      },
    },
    {
      id: 'GOI',
      attributes: {
        airport: 'GOI',
        city: 'Goa',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [73.84, 15.38],
      },
    },
    {
      id: 'MAD',
      attributes: {
        airport: 'MAD',
        city: 'Madrid',
        region: 'ES-SP',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [-3.57, 40.47],
      },
    },
    {
      id: 'ZAZ',
      attributes: {
        airport: 'ZAZ',
        city: 'Zaragoza',
        region: 'ES-SP',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [-1.01, 41.66],
      },
    },
    {
      id: 'MAN',
      attributes: {
        airport: 'MAN',
        city: 'Manchester',
        region: 'GB-EN',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-2.27, 53.36],
      },
    },
    {
      id: 'BGI',
      attributes: {
        airport: 'BGI',
        city: 'Bridgetown',
        region: "['Barbados']-BB",
        country: 'Barbados',
        continent: 'Central America',
        coordinates: [-59.49, 13.08],
      },
    },
    {
      id: 'LSP',
      attributes: {
        airport: 'LSP',
        city: 'Las Piedras',
        region: "['Venezuela']-VE",
        country: 'Venezuela',
        continent: 'South America',
        coordinates: [-70.15, 11.78],
      },
    },
    {
      id: 'MCM',
      attributes: {
        airport: 'MCM',
        city: 'Monte Carlo',
        region: "['Monaco']-MC",
        country: 'Monaco',
        continent: 'Europe',
        coordinates: [7.42, 43.73],
      },
    },
    {
      id: 'MCT',
      attributes: {
        airport: 'MCT',
        city: 'Muscat',
        region: "['Oman']-OM",
        country: 'Oman',
        continent: 'Asia',
        coordinates: [58.29, 23.59],
      },
    },
    {
      id: 'BLR',
      attributes: {
        airport: 'BLR',
        city: 'Bangalore',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [77.71, 13.2],
      },
    },
    {
      id: 'MDE',
      attributes: {
        airport: 'MDE',
        city: 'Medellin',
        region: "['Colombia']-CO",
        country: 'Colombia',
        continent: 'South America',
        coordinates: [-75.43, 6.17],
      },
    },
    {
      id: 'MEL',
      attributes: {
        airport: 'MEL',
        city: 'Melbourne',
        region: 'AU-VIC',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [144.85, -37.67],
      },
    },
    {
      id: 'BME',
      attributes: {
        airport: 'BME',
        city: 'Broome',
        region: 'AU-WA',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [122.23, -17.95],
      },
    },
    {
      id: 'MEM',
      attributes: {
        airport: 'MEM',
        city: 'Memphis',
        region: 'US-TN',
        country: 'United States',
        continent: 'North America',
        coordinates: [-89.98, 35.04],
      },
    },
    {
      id: 'AEX',
      attributes: {
        airport: 'AEX',
        city: 'Alexandria',
        region: 'US-LA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-92.54, 31.32],
      },
    },
    {
      id: 'MEX',
      attributes: {
        airport: 'MEX',
        city: 'Mexico City',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-99.07, 19.44],
      },
    },
    {
      id: 'HUX',
      attributes: {
        airport: 'HUX',
        city: 'Huatulco',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-96.24, 15.77],
      },
    },
    {
      id: 'MZV',
      attributes: {
        airport: 'MZV',
        city: 'Mulu',
        region: "['Malaysia']-MY",
        country: 'Malaysia',
        continent: 'Asia',
        coordinates: [114.8, 4.03],
      },
    },
    {
      id: 'MYY',
      attributes: {
        airport: 'MYY',
        city: 'Miri',
        region: "['Malaysia']-MY",
        country: 'Malaysia',
        continent: 'Asia',
        coordinates: [113.98, 4.33],
      },
    },
    {
      id: 'KDV',
      attributes: {
        airport: 'KDV',
        city: 'Kandavu',
        region: "['Fiji']-FJ",
        country: 'Fiji',
        continent: 'Oceania',
        coordinates: [178.16, -19.05],
      },
    },
    {
      id: 'UYN',
      attributes: {
        airport: 'UYN',
        city: 'Yulin',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [109.73, 38.27],
      },
    },
    {
      id: 'MHK',
      attributes: {
        airport: 'MHK',
        city: 'Manhattan',
        region: 'US-KS',
        country: 'United States',
        continent: 'North America',
        coordinates: [-96.67, 39.14],
      },
    },
    {
      id: 'MCK',
      attributes: {
        airport: 'MCK',
        city: 'McCook',
        region: 'US-NE',
        country: 'United States',
        continent: 'North America',
        coordinates: [-100.67, 40.26],
      },
    },
    {
      id: 'UVF',
      attributes: {
        airport: 'UVF',
        city: 'Saint Lucia',
        region: "['Saint Lucia']-LC",
        country: 'Saint Lucia',
        continent: 'Central America',
        coordinates: [-60.95, 13.74],
      },
    },
    {
      id: 'MJF',
      attributes: {
        airport: 'MJF',
        city: 'Mosjoen',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [13.22, 65.78],
      },
    },
    {
      id: 'SSJ',
      attributes: {
        airport: 'SSJ',
        city: 'Sandnessjoen',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [12.48, 65.96],
      },
    },
    {
      id: 'MKE',
      attributes: {
        airport: 'MKE',
        city: 'Milwaukee',
        region: 'US-WI',
        country: 'United States',
        continent: 'North America',
        coordinates: [-87.9, 42.95],
      },
    },
    {
      id: 'MOB',
      attributes: {
        airport: 'MOB',
        city: 'Mobile',
        region: 'US-AL',
        country: 'United States',
        continent: 'North America',
        coordinates: [-88.24, 30.68],
      },
    },
    {
      id: 'LAX',
      attributes: {
        airport: 'LAX',
        city: 'Los Angeles',
        region: 'US-CA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-118.41, 33.94],
      },
    },
    {
      id: 'MSN',
      attributes: {
        airport: 'MSN',
        city: 'Madison',
        region: 'US-WI',
        country: 'United States',
        continent: 'North America',
        coordinates: [-89.35, 43.14],
      },
    },
    {
      id: 'CWA',
      attributes: {
        airport: 'CWA',
        city: 'Wausau',
        region: 'US-WI',
        country: 'United States',
        continent: 'North America',
        coordinates: [-89.67, 44.78],
      },
    },
    {
      id: 'HKT',
      attributes: {
        airport: 'HKT',
        city: 'Phuket',
        region: "['Thailand']-TH",
        country: 'Thailand',
        continent: 'Asia',
        coordinates: [98.31, 8.11],
      },
    },
    {
      id: 'NBO',
      attributes: {
        airport: 'NBO',
        city: 'Nairobi',
        region: "['Kenya']-KE",
        country: 'Kenya',
        continent: 'Africa',
        coordinates: [36.93, -1.32],
      },
    },
    {
      id: 'LKG',
      attributes: {
        airport: 'LKG',
        city: 'Lokichoggio',
        region: "['Kenya']-KE",
        country: 'Kenya',
        continent: 'Africa',
        coordinates: [34.35, 4.23],
      },
    },
    {
      id: 'NOU',
      attributes: {
        airport: 'NOU',
        city: 'Noumea',
        region: "['New Caledonia']-NC",
        country: 'New Caledonia',
        continent: 'Oceania',
        coordinates: [166.22, -22.02],
      },
    },
    {
      id: 'NRT',
      attributes: {
        airport: 'NRT',
        city: 'Tokyo',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [140.39, 35.77],
      },
    },
    {
      id: 'OTZ',
      attributes: {
        airport: 'OTZ',
        city: 'Kotzebue',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-162.61, 66.89],
      },
    },
    {
      id: 'IAN',
      attributes: {
        airport: 'IAN',
        city: 'Kiana',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-160.43, 66.98],
      },
    },
    {
      id: 'FIH',
      attributes: {
        airport: 'FIH',
        city: 'Kinshasa',
        region: "['Democratic Republic of the Congo']-CD",
        country: 'Democratic Republic of the Congo',
        continent: 'Africa',
        coordinates: [15.45, -4.39],
      },
    },
    {
      id: 'LOS',
      attributes: {
        airport: 'LOS',
        city: 'Lagos',
        region: "['Nigeria']-NG",
        country: 'Nigeria',
        continent: 'Africa',
        coordinates: [3.32, 6.58],
      },
    },
    {
      id: 'SDR',
      attributes: {
        airport: 'SDR',
        city: 'Santander',
        region: 'ES-SP',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [-3.82, 43.42],
      },
    },
    {
      id: 'MFU',
      attributes: {
        airport: 'MFU',
        city: 'Mfuwe',
        region: "['Zambia']-ZM",
        country: 'Zambia',
        continent: 'Africa',
        coordinates: [31.93, -13.27],
      },
    },
    {
      id: 'LUN',
      attributes: {
        airport: 'LUN',
        city: 'Lusaka',
        region: "['Zambia']-ZM",
        country: 'Zambia',
        continent: 'Africa',
        coordinates: [28.45, -15.33],
      },
    },
    {
      id: 'MHT',
      attributes: {
        airport: 'MHT',
        city: 'Manchester',
        region: 'US-NH',
        country: 'United States',
        continent: 'North America',
        coordinates: [-71.44, 42.93],
      },
    },
    {
      id: 'BUR',
      attributes: {
        airport: 'BUR',
        city: 'Burbank',
        region: 'US-CA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-118.35, 34.2],
      },
    },
    {
      id: 'PAD',
      attributes: {
        airport: 'PAD',
        city: 'Paderborn',
        region: "['Germany']-DE",
        country: 'Germany',
        continent: 'Europe',
        coordinates: [8.62, 51.61],
      },
    },
    {
      id: 'PBI',
      attributes: {
        airport: 'PBI',
        city: 'West Palm Beach',
        region: 'US-FL',
        country: 'United States',
        continent: 'North America',
        coordinates: [-80.09, 26.69],
      },
    },
    {
      id: 'CVG',
      attributes: {
        airport: 'CVG',
        city: 'Cincinnati',
        region: 'US-OH',
        country: 'United States',
        continent: 'North America',
        coordinates: [-84.66, 39.06],
      },
    },
    {
      id: 'PBM',
      attributes: {
        airport: 'PBM',
        city: 'Paramaribo',
        region: "['Suriname']-SR",
        country: 'Suriname',
        continent: 'South America',
        coordinates: [-55.19, 5.45],
      },
    },
    {
      id: 'CAY',
      attributes: {
        airport: 'CAY',
        city: 'Cayenne',
        region: "['French Guiana']-GF",
        country: 'French Guiana',
        continent: 'South America',
        coordinates: [-52.37, 4.82],
      },
    },
    {
      id: 'PDA',
      attributes: {
        airport: 'PDA',
        city: 'Puerto Inirida',
        region: "['Colombia']-CO",
        country: 'Colombia',
        continent: 'South America',
        coordinates: [-67.88, 3.88],
      },
    },
    {
      id: 'VVC',
      attributes: {
        airport: 'VVC',
        city: 'Villavicencio',
        region: "['Colombia']-CO",
        country: 'Colombia',
        continent: 'South America',
        coordinates: [-73.57, 4.08],
      },
    },
    {
      id: 'NUX',
      attributes: {
        airport: 'NUX',
        city: 'Novyj Urengoj',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [76.52, 66.07],
      },
    },
    {
      id: 'NYU',
      attributes: {
        airport: 'NYU',
        city: 'Nyaung-u',
        region: "['Myanmar']-MM",
        country: 'Myanmar',
        continent: 'Asia',
        coordinates: [94.93, 21.18],
      },
    },
    {
      id: 'MDL',
      attributes: {
        airport: 'MDL',
        city: 'Mandalay',
        region: "['Myanmar']-MM",
        country: 'Myanmar',
        continent: 'Asia',
        coordinates: [96.09, 21.94],
      },
    },
    {
      id: 'OAK',
      attributes: {
        airport: 'OAK',
        city: 'Oakland',
        region: 'US-CA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-122.21, 37.71],
      },
    },
    {
      id: 'LGB',
      attributes: {
        airport: 'LGB',
        city: 'Long Beach',
        region: 'US-CA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-118.14, 33.82],
      },
    },
    {
      id: 'OKC',
      attributes: {
        airport: 'OKC',
        city: 'Oklahoma City',
        region: 'US-OK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-97.6, 35.4],
      },
    },
    {
      id: 'OLH',
      attributes: {
        airport: 'OLH',
        city: 'Old Harbor',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-153.3, 57.2],
      },
    },
    {
      id: 'ADQ',
      attributes: {
        airport: 'ADQ',
        city: 'Kodiak',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-152.51, 57.76],
      },
    },
    {
      id: 'ONT',
      attributes: {
        airport: 'ONT',
        city: 'Ontario',
        region: 'US-CA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-117.6, 34.06],
      },
    },
    {
      id: 'DFW',
      attributes: {
        airport: 'DFW',
        city: 'Dallas',
        region: 'US-TX',
        country: 'United States',
        continent: 'North America',
        coordinates: [-97.04, 32.9],
      },
    },
    {
      id: 'OOL',
      attributes: {
        airport: 'OOL',
        city: 'Coolangatta (Gold Coast)',
        region: 'AU-QLD',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [153.51, -28.17],
      },
    },
    {
      id: 'PGX',
      attributes: {
        airport: 'PGX',
        city: 'Perigueux',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [0.72, 45.18],
      },
    },
    {
      id: 'TRD',
      attributes: {
        airport: 'TRD',
        city: 'Trondheim',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [10.92, 63.45],
      },
    },
    {
      id: 'OSR',
      attributes: {
        airport: 'OSR',
        city: 'Ostrava',
        region: "['Czech Republic']-CZ",
        country: 'Czech Republic',
        continent: 'Europe',
        coordinates: [18.12, 49.7],
      },
    },
    {
      id: 'OVB',
      attributes: {
        airport: 'OVB',
        city: 'Novosibirsk',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [82.67, 55.01],
      },
    },
    {
      id: 'SEA',
      attributes: {
        airport: 'SEA',
        city: 'Seattle',
        region: 'US-WA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-122.3, 47.44],
      },
    },
    {
      id: 'STL',
      attributes: {
        airport: 'STL',
        city: 'Saint Louis',
        region: 'US-MO',
        country: 'United States',
        continent: 'North America',
        coordinates: [-90.37, 38.74],
      },
    },
    {
      id: 'CTA',
      attributes: {
        airport: 'CTA',
        city: 'Catania',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [15.07, 37.47],
      },
    },
    {
      id: 'MLA',
      attributes: {
        airport: 'MLA',
        city: 'Malta',
        region: "['Malta']-MT",
        country: 'Malta',
        continent: 'Europe',
        coordinates: [14.5, 35.85],
      },
    },
    {
      id: 'ESB',
      attributes: {
        airport: 'ESB',
        city: 'Ankara',
        region: "['Turkey']-TR",
        country: 'Turkey',
        continent: 'Asia',
        coordinates: [32.99, 40.11],
      },
    },
    {
      id: 'MLX',
      attributes: {
        airport: 'MLX',
        city: 'Malatya',
        region: "['Turkey']-TR",
        country: 'Turkey',
        continent: 'Asia',
        coordinates: [38.25, 38.35],
      },
    },
    {
      id: 'MNL',
      attributes: {
        airport: 'MNL',
        city: 'Manila',
        region: "['Philippines']-PH",
        country: 'Philippines',
        continent: 'Asia',
        coordinates: [121.01, 14.51],
      },
    },
    {
      id: 'MXM',
      attributes: {
        airport: 'MXM',
        city: 'Morombe',
        region: "['Madagascar']-MG",
        country: 'Madagascar',
        continent: 'Africa',
        coordinates: [43.37, -21.75],
      },
    },
    {
      id: 'MOQ',
      attributes: {
        airport: 'MOQ',
        city: 'Morondava',
        region: "['Madagascar']-MG",
        country: 'Madagascar',
        continent: 'Africa',
        coordinates: [44.32, -20.28],
      },
    },
    {
      id: 'RVK',
      attributes: {
        airport: 'RVK',
        city: 'Roervik',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [11.23, 64.88],
      },
    },
    {
      id: 'MQN',
      attributes: {
        airport: 'MQN',
        city: 'Mo I Rana',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [14.3, 66.36],
      },
    },
    {
      id: 'MRS',
      attributes: {
        airport: 'MRS',
        city: 'Marseille',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [5.22, 43.44],
      },
    },
    {
      id: 'DUR',
      attributes: {
        airport: 'DUR',
        city: 'Durban',
        region: "['South Africa']-ZA",
        country: 'South Africa',
        continent: 'Africa',
        coordinates: [31.12, -29.61],
      },
    },
    {
      id: 'MRU',
      attributes: {
        airport: 'MRU',
        city: 'Mauritius',
        region: "['Mauritius']-MU",
        country: 'Mauritius',
        continent: 'Africa',
        coordinates: [57.68, -20.43],
      },
    },
    {
      id: 'BJI',
      attributes: {
        airport: 'BJI',
        city: 'Bemidji',
        region: 'US-MN',
        country: 'United States',
        continent: 'North America',
        coordinates: [-94.93, 47.51],
      },
    },
    {
      id: 'MZT',
      attributes: {
        airport: 'MZT',
        city: 'Mazatlan',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-106.27, 23.17],
      },
    },
    {
      id: 'NKC',
      attributes: {
        airport: 'NKC',
        city: 'Nouakchott',
        region: "['Mauritania']-MR",
        country: 'Mauritania',
        continent: 'Africa',
        coordinates: [-15.95, 18.1],
      },
    },
    {
      id: 'PSC',
      attributes: {
        airport: 'PSC',
        city: 'Pasco',
        region: 'US-WA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-119.12, 46.26],
      },
    },
    {
      id: 'SHA',
      attributes: {
        airport: 'SHA',
        city: 'Shanghai',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [121.34, 31.2],
      },
    },
    {
      id: 'JIU',
      attributes: {
        airport: 'JIU',
        city: 'Jiujiang',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [115.97, 29.7],
      },
    },
    {
      id: 'LYI',
      attributes: {
        airport: 'LYI',
        city: 'Linyi',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [118.41, 35.05],
      },
    },
    {
      id: 'WEH',
      attributes: {
        airport: 'WEH',
        city: 'Weihai',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [122.24, 37.19],
      },
    },
    {
      id: 'SHE',
      attributes: {
        airport: 'SHE',
        city: 'Shenyang',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [123.43, 41.86],
      },
    },
    {
      id: 'POP',
      attributes: {
        airport: 'POP',
        city: 'Puerto Plata',
        region: "['Dominican Republic']-DO",
        country: 'Dominican Republic',
        continent: 'Central America',
        coordinates: [-70.56, 19.75],
      },
    },
    {
      id: 'POS',
      attributes: {
        airport: 'POS',
        city: 'Port Of Spain',
        region: "['Trinidad and Tobago']-TT",
        country: 'Trinidad and Tobago',
        continent: 'Central America',
        coordinates: [-61.34, 10.6],
      },
    },
    {
      id: 'POW',
      attributes: {
        airport: 'POW',
        city: 'Portoroz',
        region: "['Slovenia']-SI",
        country: 'Slovenia',
        continent: 'Europe',
        coordinates: [13.58, 45.52],
      },
    },
    {
      id: 'PPT',
      attributes: {
        airport: 'PPT',
        city: 'Papeete',
        region: "['French Polynesia']-PF",
        country: 'French Polynesia',
        continent: 'Oceania',
        coordinates: [-149.61, -17.56],
      },
    },
    {
      id: 'KXU',
      attributes: {
        airport: 'KXU',
        city: 'Katiu',
        region: "['French Polynesia']-PF",
        country: 'French Polynesia',
        continent: 'Oceania',
        coordinates: [-144.4, -16.34],
      },
    },
    {
      id: 'PSA',
      attributes: {
        airport: 'PSA',
        city: 'Pisa',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [10.4, 43.7],
      },
    },
    {
      id: 'EIN',
      attributes: {
        airport: 'EIN',
        city: 'Eindhoven',
        region: "['Netherlands']-NL",
        country: 'Netherlands',
        continent: 'Europe',
        coordinates: [5.39, 51.46],
      },
    },
    {
      id: 'HHN',
      attributes: {
        airport: 'HHN',
        city: 'Hahn',
        region: "['Germany']-DE",
        country: 'Germany',
        continent: 'Europe',
        coordinates: [7.26, 49.95],
      },
    },
    {
      id: 'PTP',
      attributes: {
        airport: 'PTP',
        city: 'Pointe A Pitre',
        region: "['Guadeloupe']-GP",
        country: 'Guadeloupe',
        continent: 'Central America',
        coordinates: [-61.53, 16.27],
      },
    },
    {
      id: 'PAP',
      attributes: {
        airport: 'PAP',
        city: 'Port Au Prince',
        region: "['Haiti']-HT",
        country: 'Haiti',
        continent: 'Central America',
        coordinates: [-72.29, 18.58],
      },
    },
    {
      id: 'PYY',
      attributes: {
        airport: 'PYY',
        city: 'Pai ',
        region: "['Thailand']-TH",
        country: 'Thailand',
        continent: 'Asia',
        coordinates: [98.44, 19.36],
      },
    },
    {
      id: 'CNX',
      attributes: {
        airport: 'CNX',
        city: 'Chiang Mai',
        region: "['Thailand']-TH",
        country: 'Thailand',
        continent: 'Asia',
        coordinates: [98.97, 18.77],
      },
    },
    {
      id: 'QSF',
      attributes: {
        airport: 'QSF',
        city: 'Setif',
        region: "['Algeria']-DZ",
        country: 'Algeria',
        continent: 'Africa',
        coordinates: [5.33, 36.18],
      },
    },
    {
      id: 'RAI',
      attributes: {
        airport: 'RAI',
        city: 'Praia',
        region: "['Cape Verde']-CV",
        country: 'Cape Verde',
        continent: 'Africa',
        coordinates: [-23.49, 14.95],
      },
    },
    {
      id: 'RAK',
      attributes: {
        airport: 'RAK',
        city: 'Marrakech',
        region: "['Morocco']-MA",
        country: 'Morocco',
        continent: 'Africa',
        coordinates: [-8.03, 31.6],
      },
    },
    {
      id: 'EMA',
      attributes: {
        airport: 'EMA',
        city: 'Leicestershire',
        region: 'GB-EN',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-1.33, 52.83],
      },
    },
    {
      id: 'RAP',
      attributes: {
        airport: 'RAP',
        city: 'Rapid City',
        region: 'US-SD',
        country: 'United States',
        continent: 'North America',
        coordinates: [-103.06, 44.04],
      },
    },
    {
      id: 'RBQ',
      attributes: {
        airport: 'RBQ',
        city: 'Rurrenabaque',
        region: "['Bolivia']-BO",
        country: 'Bolivia',
        continent: 'South America',
        coordinates: [-67.55, -14.45],
      },
    },
    {
      id: 'LPB',
      attributes: {
        airport: 'LPB',
        city: 'La Paz',
        region: "['Bolivia']-BO",
        country: 'Bolivia',
        continent: 'South America',
        coordinates: [-68.18, -16.51],
      },
    },
    {
      id: 'RDV',
      attributes: {
        airport: 'RDV',
        city: 'Red Devil',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-157.35, 61.79],
      },
    },
    {
      id: 'SLQ',
      attributes: {
        airport: 'SLQ',
        city: 'Sleetmute',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-157.17, 61.7],
      },
    },
    {
      id: 'RSW',
      attributes: {
        airport: 'RSW',
        city: 'Fort Myers',
        region: 'US-FL',
        country: 'United States',
        continent: 'North America',
        coordinates: [-81.75, 26.54],
      },
    },
    {
      id: 'RUT',
      attributes: {
        airport: 'RUT',
        city: 'Rutland',
        region: 'US-VT',
        country: 'United States',
        continent: 'North America',
        coordinates: [-72.95, 43.53],
      },
    },
    {
      id: 'SAL',
      attributes: {
        airport: 'SAL',
        city: 'San Salvador',
        region: "['El Salvador']-SV",
        country: 'El Salvador',
        continent: 'Central America',
        coordinates: [-89.06, 13.45],
      },
    },
    {
      id: 'SAN',
      attributes: {
        airport: 'SAN',
        city: 'San Diego',
        region: 'US-CA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-117.2, 32.73],
      },
    },
    {
      id: 'SCU',
      attributes: {
        airport: 'SCU',
        city: 'Santiago',
        region: "['Cuba']-CU",
        country: 'Cuba',
        continent: 'Central America',
        coordinates: [-75.84, 19.97],
      },
    },
    {
      id: 'FAI',
      attributes: {
        airport: 'FAI',
        city: 'Fairbanks',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-147.87, 64.82],
      },
    },
    {
      id: 'HLN',
      attributes: {
        airport: 'HLN',
        city: 'Helena',
        region: 'US-MT',
        country: 'United States',
        continent: 'North America',
        coordinates: [-111.99, 46.61],
      },
    },
    {
      id: 'SJU',
      attributes: {
        airport: 'SJU',
        city: 'San Juan',
        region: "['Puerto Rico']-PR",
        country: 'Puerto Rico',
        continent: 'Central America',
        coordinates: [-66.0, 18.44],
      },
    },
    {
      id: 'SLU',
      attributes: {
        airport: 'SLU',
        city: 'Saint Lucia',
        region: "['Saint Lucia']-LC",
        country: 'Saint Lucia',
        continent: 'Central America',
        coordinates: [-60.99, 14.02],
      },
    },
    {
      id: 'SJW',
      attributes: {
        airport: 'SJW',
        city: 'Shijiazhuang',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [114.69, 38.27],
      },
    },
    {
      id: 'CAN',
      attributes: {
        airport: 'CAN',
        city: 'Guangzhou',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [113.3, 23.39],
      },
    },
    {
      id: 'SKK',
      attributes: {
        airport: 'SKK',
        city: 'Shaktoolik',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-161.14, 64.32],
      },
    },
    {
      id: 'UNK',
      attributes: {
        airport: 'UNK',
        city: 'Unalakleet',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-160.8, 63.88],
      },
    },
    {
      id: 'YXL',
      attributes: {
        airport: 'YXL',
        city: 'Sioux Lookout',
        region: 'CA-ON',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-91.9, 50.12],
      },
    },
    {
      id: 'SUR',
      attributes: {
        airport: 'SUR',
        city: 'Summer Beaver',
        region: 'CA-ON',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-88.55, 52.72],
      },
    },
    {
      id: 'SVQ',
      attributes: {
        airport: 'SVQ',
        city: 'Sevilla',
        region: 'ES-SP',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [-5.9, 37.42],
      },
    },
    {
      id: 'SWA',
      attributes: {
        airport: 'SWA',
        city: 'Shantou',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [116.76, 23.43],
      },
    },
    {
      id: 'ABX',
      attributes: {
        airport: 'ABX',
        city: 'Albury',
        region: 'AU-NSW',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [146.95, -36.07],
      },
    },
    {
      id: 'SYD',
      attributes: {
        airport: 'SYD',
        city: 'Sydney',
        region: 'AU-NSW',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [151.18, -33.93],
      },
    },
    {
      id: 'POM',
      attributes: {
        airport: 'POM',
        city: 'Port Moresby',
        region: "['Papua New Guinea']-PG",
        country: 'Papua New Guinea',
        continent: 'Oceania',
        coordinates: [147.21, -9.44],
      },
    },
    {
      id: 'LRR',
      attributes: {
        airport: 'LRR',
        city: 'Lar',
        region: "['Iran']-IR",
        country: 'Iran',
        continent: 'Asia',
        coordinates: [54.38, 27.67],
      },
    },
    {
      id: 'SYZ',
      attributes: {
        airport: 'SYZ',
        city: 'Shiraz',
        region: "['Iran']-IR",
        country: 'Iran',
        continent: 'Asia',
        coordinates: [52.59, 29.55],
      },
    },
    {
      id: 'GUM',
      attributes: {
        airport: 'GUM',
        city: 'Guam',
        region: "['Guam']-GU",
        country: 'Guam',
        continent: 'Oceania',
        coordinates: [144.8, 13.49],
      },
    },
    {
      id: 'KIR',
      attributes: {
        airport: 'KIR',
        city: 'Kerry County',
        region: "['Ireland']-IE",
        country: 'Ireland',
        continent: 'Europe',
        coordinates: [-9.54, 52.18],
      },
    },
    {
      id: 'LEJ',
      attributes: {
        airport: 'LEJ',
        city: 'Leipzig/Halle',
        region: "['Germany']-DE",
        country: 'Germany',
        continent: 'Europe',
        coordinates: [12.22, 51.42],
      },
    },
    {
      id: 'SWJ',
      attributes: {
        airport: 'SWJ',
        city: 'South West Bay',
        region: "['Vanuatu']-VU",
        country: 'Vanuatu',
        continent: 'Oceania',
        coordinates: [167.17, -16.25],
      },
    },
    {
      id: 'NUS',
      attributes: {
        airport: 'NUS',
        city: 'Norsup',
        region: "['Vanuatu']-VU",
        country: 'Vanuatu',
        continent: 'Oceania',
        coordinates: [167.4, -16.06],
      },
    },
    {
      id: 'ARM',
      attributes: {
        airport: 'ARM',
        city: 'Armidale',
        region: 'AU-NSW',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [151.61, -30.53],
      },
    },
    {
      id: 'SYX',
      attributes: {
        airport: 'SYX',
        city: 'Sanya',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [109.41, 18.31],
      },
    },
    {
      id: 'SZX',
      attributes: {
        airport: 'SZX',
        city: 'Shenzhen',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [113.93, 22.3],
      },
    },
    {
      id: 'FOC',
      attributes: {
        airport: 'FOC',
        city: 'Fuzhou',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [119.67, 25.93],
      },
    },
    {
      id: 'TRF',
      attributes: {
        airport: 'TRF',
        city: 'Oslo',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [10.25, 59.18],
      },
    },
    {
      id: 'TSA',
      attributes: {
        airport: 'TSA',
        city: 'Taipei',
        region: "['Taiwan']-TW",
        country: 'Taiwan',
        continent: 'Asia',
        coordinates: [121.55, 25.06],
      },
    },
    {
      id: 'TSN',
      attributes: {
        airport: 'TSN',
        city: 'Tianjin',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [117.34, 39.12],
      },
    },
    {
      id: 'FLR',
      attributes: {
        airport: 'FLR',
        city: 'Florence',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [11.2, 43.8],
      },
    },
    {
      id: 'TSR',
      attributes: {
        airport: 'TSR',
        city: 'Timisoara',
        region: "['Romania']-RO",
        country: 'Romania',
        continent: 'Europe',
        coordinates: [21.32, 45.81],
      },
    },
    {
      id: 'GVA',
      attributes: {
        airport: 'GVA',
        city: 'Geneva',
        region: "['Switzerland']-CH",
        country: 'Switzerland',
        continent: 'Europe',
        coordinates: [6.11, 46.23],
      },
    },
    {
      id: 'TUN',
      attributes: {
        airport: 'TUN',
        city: 'Tunis',
        region: "['Tunisia']-TN",
        country: 'Tunisia',
        continent: 'Africa',
        coordinates: [10.22, 36.85],
      },
    },
    {
      id: 'ELQ',
      attributes: {
        airport: 'ELQ',
        city: 'Gassim',
        region: "['Saudi Arabia']-SA",
        country: 'Saudi Arabia',
        continent: 'Asia',
        coordinates: [43.77, 26.31],
      },
    },
    {
      id: 'TUU',
      attributes: {
        airport: 'TUU',
        city: 'Tabuk',
        region: "['Saudi Arabia']-SA",
        country: 'Saudi Arabia',
        continent: 'Asia',
        coordinates: [36.61, 28.38],
      },
    },
    {
      id: 'FRL',
      attributes: {
        airport: 'FRL',
        city: 'Forli',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [12.07, 44.2],
      },
    },
    {
      id: 'SOF',
      attributes: {
        airport: 'SOF',
        city: 'Sofia',
        region: "['Bulgaria']-BG",
        country: 'Bulgaria',
        continent: 'Europe',
        coordinates: [23.41, 42.69],
      },
    },
    {
      id: 'UDI',
      attributes: {
        airport: 'UDI',
        city: 'Uberlandia',
        region: 'BR-MG',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-48.23, -18.9],
      },
    },
    {
      id: 'UBA',
      attributes: {
        airport: 'UBA',
        city: 'Uberaba',
        region: 'BR-MG',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-47.96, -19.78],
      },
    },
    {
      id: 'UGC',
      attributes: {
        airport: 'UGC',
        city: 'Urgench',
        region: "['Uzbekistan']-UZ",
        country: 'Uzbekistan',
        continent: 'Asia',
        coordinates: [60.63, 41.58],
      },
    },
    {
      id: 'XMS',
      attributes: {
        airport: 'XMS',
        city: 'Macas',
        region: "['Ecuador']-EC",
        country: 'Ecuador',
        continent: 'South America',
        coordinates: [-78.13, -2.32],
      },
    },
    {
      id: 'UIO',
      attributes: {
        airport: 'UIO',
        city: 'Quito',
        region: "['Ecuador']-EC",
        country: 'Ecuador',
        continent: 'South America',
        coordinates: [-78.49, -0.15],
      },
    },
    {
      id: 'KGF',
      attributes: {
        airport: 'KGF',
        city: 'Karaganda',
        region: "['Kazakhstan']-KZ",
        country: 'Kazakhstan',
        continent: 'Asia',
        coordinates: [73.33, 49.68],
      },
    },
    {
      id: 'UKK',
      attributes: {
        airport: 'UKK',
        city: 'Ust-Kamenogorsk',
        region: "['Kazakhstan']-KZ",
        country: 'Kazakhstan',
        continent: 'Asia',
        coordinates: [82.51, 50.03],
      },
    },
    {
      id: 'WNR',
      attributes: {
        airport: 'WNR',
        city: 'Windorah',
        region: 'AU-QLD',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [142.67, -25.42],
      },
    },
    {
      id: 'ULP',
      attributes: {
        airport: 'ULP',
        city: 'Quilpie',
        region: 'AU-QLD',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [144.3, -26.63],
      },
    },
    {
      id: 'LBD',
      attributes: {
        airport: 'LBD',
        city: 'Khudzhand',
        region: "['Tajikistan']-TJ",
        country: 'Tajikistan',
        continent: 'Asia',
        coordinates: [69.7, 40.22],
      },
    },
    {
      id: 'URC',
      attributes: {
        airport: 'URC',
        city: 'Urumqi',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [87.48, 43.9],
      },
    },
    {
      id: 'UUA',
      attributes: {
        airport: 'UUA',
        city: 'Bugulma',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [52.82, 54.62],
      },
    },
    {
      id: 'YNJ',
      attributes: {
        airport: 'YNJ',
        city: 'Yanji',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [129.44, 42.89],
      },
    },
    {
      id: 'YNT',
      attributes: {
        airport: 'YNT',
        city: 'Yantai',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [121.37, 37.41],
      },
    },
    {
      id: 'CGQ',
      attributes: {
        airport: 'CGQ',
        city: 'Changchun',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [125.22, 43.9],
      },
    },
    {
      id: 'YOW',
      attributes: {
        airport: 'YOW',
        city: 'Ottawa',
        region: 'CA-ON',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-75.67, 45.32],
      },
    },
    {
      id: 'KUL',
      attributes: {
        airport: 'KUL',
        city: 'Kuala Lumpur',
        region: "['Malaysia']-MY",
        country: 'Malaysia',
        continent: 'Asia',
        coordinates: [101.71, 2.76],
      },
    },
    {
      id: 'YQB',
      attributes: {
        airport: 'YQB',
        city: 'Quebec',
        region: 'CA-QC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-71.38, 46.79],
      },
    },
    {
      id: 'YTE',
      attributes: {
        airport: 'YTE',
        city: 'Cape Dorset',
        region: 'CA-NU',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-76.53, 64.23],
      },
    },
    {
      id: 'YFB',
      attributes: {
        airport: 'YFB',
        city: 'Iqaluit',
        region: 'CA-NU',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-68.54, 63.75],
      },
    },
    {
      id: 'YVR',
      attributes: {
        airport: 'YVR',
        city: 'Vancouver',
        region: 'CA-BC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-123.18, 49.19],
      },
    },
    {
      id: 'VOZ',
      attributes: {
        airport: 'VOZ',
        city: 'Voronezh',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [39.23, 51.81],
      },
    },
    {
      id: 'VSG',
      attributes: {
        airport: 'VSG',
        city: 'Lugansk',
        region: "['Ukraine']-UA",
        country: 'Ukraine',
        continent: 'Europe',
        coordinates: [39.33, 48.57],
      },
    },
    {
      id: 'WAW',
      attributes: {
        airport: 'WAW',
        city: 'Warsaw',
        region: "['Poland']-PL",
        country: 'Poland',
        continent: 'Europe',
        coordinates: [20.97, 52.17],
      },
    },
    {
      id: 'RIX',
      attributes: {
        airport: 'RIX',
        city: 'Riga',
        region: "['Latvia']-LV",
        country: 'Latvia',
        continent: 'Europe',
        coordinates: [23.98, 56.92],
      },
    },
    {
      id: 'WRO',
      attributes: {
        airport: 'WRO',
        city: 'Wroclaw',
        region: "['Poland']-PL",
        country: 'Poland',
        continent: 'Europe',
        coordinates: [16.9, 51.1],
      },
    },
    {
      id: 'XFN',
      attributes: {
        airport: 'XFN',
        city: 'Xiangfan',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [112.29, 32.15],
      },
    },
    {
      id: 'XKS',
      attributes: {
        airport: 'XKS',
        city: 'Kasabonika',
        region: 'CA-ON',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-88.65, 53.52],
      },
    },
    {
      id: 'WNN',
      attributes: {
        airport: 'WNN',
        city: 'Wunnummin Lake',
        region: 'CA-ON',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-89.17, 52.92],
      },
    },
    {
      id: 'YEV',
      attributes: {
        airport: 'YEV',
        city: 'Inuvik',
        region: 'CA-NT',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-133.5, 68.31],
      },
    },
    {
      id: 'YHI',
      attributes: {
        airport: 'YHI',
        city: 'Holman',
        region: 'CA-NT',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-117.72, 70.72],
      },
    },
    {
      id: 'YHD',
      attributes: {
        airport: 'YHD',
        city: 'Dryden',
        region: 'CA-ON',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-92.83, 49.78],
      },
    },
    {
      id: 'YQT',
      attributes: {
        airport: 'YQT',
        city: 'Thunder Bay',
        region: 'CA-ON',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-89.31, 48.37],
      },
    },
    {
      id: 'YHZ',
      attributes: {
        airport: 'YHZ',
        city: 'Halifax',
        region: 'CA-NS',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-63.51, 44.88],
      },
    },
    {
      id: 'YXS',
      attributes: {
        airport: 'YXS',
        city: 'Prince George',
        region: 'CA-BC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-122.67, 53.88],
      },
    },
    {
      id: 'YXJ',
      attributes: {
        airport: 'YXJ',
        city: 'Fort St. John',
        region: 'CA-BC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-120.73, 56.25],
      },
    },
    {
      id: 'YXY',
      attributes: {
        airport: 'YXY',
        city: 'Whitehorse',
        region: 'CA-YT',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-135.07, 60.72],
      },
    },
    {
      id: 'YFS',
      attributes: {
        airport: 'YFS',
        city: 'Fort Simpson',
        region: 'CA-NT',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-121.23, 61.75],
      },
    },
    {
      id: 'ANU',
      attributes: {
        airport: 'ANU',
        city: 'Antigua',
        region: "['Antigua and Barbuda']-AG",
        country: 'Antigua and Barbuda',
        continent: 'Central America',
        coordinates: [-61.76, 17.11],
      },
    },
    {
      id: 'XUZ',
      attributes: {
        airport: 'XUZ',
        city: 'Xuzhou',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [117.55, 34.05],
      },
    },
    {
      id: 'YBX',
      attributes: {
        airport: 'YBX',
        city: 'Blanc Sablon',
        region: 'CA-QC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-57.22, 51.43],
      },
    },
    {
      id: 'YAY',
      attributes: {
        airport: 'YAY',
        city: 'Saint Anthony',
        region: 'CA-NL',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-55.58, 51.37],
      },
    },
    {
      id: 'LFW',
      attributes: {
        airport: 'LFW',
        city: 'Lome',
        region: "['Togo']-TG",
        country: 'Togo',
        continent: 'Africa',
        coordinates: [1.25, 6.17],
      },
    },
    {
      id: 'ABJ',
      attributes: {
        airport: 'ABJ',
        city: 'Abidjan',
        region: '["C\u00f4te d\'Ivoire"]-CI',
        country: "C\u00f4te d'Ivoire",
        continent: 'Africa',
        coordinates: [-3.93, 5.25],
      },
    },
    {
      id: 'HYA',
      attributes: {
        airport: 'HYA',
        city: 'Hyannis',
        region: 'US-MA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-70.28, 41.67],
      },
    },
    {
      id: 'ACK',
      attributes: {
        airport: 'ACK',
        city: 'Nantucket',
        region: 'US-MA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-70.06, 41.26],
      },
    },
    {
      id: 'AFA',
      attributes: {
        airport: 'AFA',
        city: 'San Rafael',
        region: 'AR-MD',
        country: 'Argentina',
        continent: 'South America',
        coordinates: [-68.4, -34.59],
      },
    },
    {
      id: 'AEP',
      attributes: {
        airport: 'AEP',
        city: 'Buenos Aires',
        region: 'AR-BA',
        country: 'Argentina',
        continent: 'South America',
        coordinates: [-58.42, -34.56],
      },
    },
    {
      id: 'MDW',
      attributes: {
        airport: 'MDW',
        city: 'Chicago',
        region: 'US-IL',
        country: 'United States',
        continent: 'North America',
        coordinates: [-87.74, 41.79],
      },
    },
    {
      id: 'ANC',
      attributes: {
        airport: 'ANC',
        city: 'Anchorage',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-149.99, 61.17],
      },
    },
    {
      id: 'SXM',
      attributes: {
        airport: 'SXM',
        city: 'Saint Maarten',
        region: "['Dutch Antilles']-AN",
        country: 'Dutch Antilles',
        continent: 'Central America',
        coordinates: [-63.11, 18.04],
      },
    },
    {
      id: 'ITM',
      attributes: {
        airport: 'ITM',
        city: 'Osaka',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [135.44, 34.79],
      },
    },
    {
      id: 'AOJ',
      attributes: {
        airport: 'AOJ',
        city: 'Aomori',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [140.69, 40.74],
      },
    },
    {
      id: 'KRN',
      attributes: {
        airport: 'KRN',
        city: 'Kiruna',
        region: "['Sweden']-SE",
        country: 'Sweden',
        continent: 'Europe',
        coordinates: [20.35, 67.82],
      },
    },
    {
      id: 'CAI',
      attributes: {
        airport: 'CAI',
        city: 'Cairo',
        region: "['Egypt']-EG",
        country: 'Egypt',
        continent: 'Africa',
        coordinates: [31.41, 30.12],
      },
    },
    {
      id: 'ASW',
      attributes: {
        airport: 'ASW',
        city: 'Aswan',
        region: "['Egypt']-EG",
        country: 'Egypt',
        continent: 'Africa',
        coordinates: [32.82, 23.97],
      },
    },
    {
      id: 'BGW',
      attributes: {
        airport: 'BGW',
        city: 'Baghdad',
        region: "['Iraq']-IQ",
        country: 'Iraq',
        continent: 'Asia',
        coordinates: [44.23, 33.26],
      },
    },
    {
      id: 'BVA',
      attributes: {
        airport: 'BVA',
        city: 'Paris',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [2.11, 49.46],
      },
    },
    {
      id: 'ZHA',
      attributes: {
        airport: 'ZHA',
        city: 'Zhanjiang',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [110.36, 21.21],
      },
    },
    {
      id: 'BAV',
      attributes: {
        airport: 'BAV',
        city: 'Baotou',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [110.0, 40.56],
      },
    },
    {
      id: 'VIE',
      attributes: {
        airport: 'VIE',
        city: 'Vienna',
        region: "['Austria']-AT",
        country: 'Austria',
        continent: 'Europe',
        coordinates: [16.56, 48.12],
      },
    },
    {
      id: 'BDL',
      attributes: {
        airport: 'BDL',
        city: 'Hartford',
        region: 'US-CT',
        country: 'United States',
        continent: 'North America',
        coordinates: [-72.68, 41.93],
      },
    },
    {
      id: 'BLL',
      attributes: {
        airport: 'BLL',
        city: 'Billund',
        region: "['Denmark']-DK",
        country: 'Denmark',
        continent: 'Europe',
        coordinates: [9.15, 55.75],
      },
    },
    {
      id: 'MSY',
      attributes: {
        airport: 'MSY',
        city: 'New Orleans',
        region: 'US-LA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-90.26, 29.98],
      },
    },
    {
      id: 'BHM',
      attributes: {
        airport: 'BHM',
        city: 'Birmingham',
        region: 'US-AL',
        country: 'United States',
        continent: 'North America',
        coordinates: [-86.75, 33.56],
      },
    },
    {
      id: 'FNC',
      attributes: {
        airport: 'FNC',
        city: 'Funchal',
        region: "['Portugal']-PT",
        country: 'Portugal',
        continent: 'Europe',
        coordinates: [-16.78, 32.69],
      },
    },
    {
      id: 'BKG',
      attributes: {
        airport: 'BKG',
        city: 'Hollister',
        region: 'US-MO',
        country: 'United States',
        continent: 'North America',
        coordinates: [-93.2, 36.53],
      },
    },
    {
      id: 'BLQ',
      attributes: {
        airport: 'BLQ',
        city: 'Bologna',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [11.29, 44.53],
      },
    },
    {
      id: 'BNA',
      attributes: {
        airport: 'BNA',
        city: 'Nashville',
        region: 'US-TN',
        country: 'United States',
        continent: 'North America',
        coordinates: [-86.67, 36.13],
      },
    },
    {
      id: 'ADZ',
      attributes: {
        airport: 'ADZ',
        city: 'San Andres Island',
        region: "['Colombia']-CO",
        country: 'Colombia',
        continent: 'South America',
        coordinates: [-81.7, 12.59],
      },
    },
    {
      id: 'JAX',
      attributes: {
        airport: 'JAX',
        city: 'Jacksonville',
        region: 'US-FL',
        country: 'United States',
        continent: 'North America',
        coordinates: [-81.68, 30.49],
      },
    },
    {
      id: 'BRI',
      attributes: {
        airport: 'BRI',
        city: 'Bari',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [16.76, 41.13],
      },
    },
    {
      id: 'BRS',
      attributes: {
        airport: 'BRS',
        city: 'Bristol',
        region: 'GB-EN',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-2.71, 51.39],
      },
    },
    {
      id: 'SID',
      attributes: {
        airport: 'SID',
        city: 'Sal',
        region: "['Cape Verde']-CV",
        country: 'Cape Verde',
        continent: 'Africa',
        coordinates: [-22.94, 16.73],
      },
    },
    {
      id: 'BSL',
      attributes: {
        airport: 'BSL',
        city: 'Basel, Switzerland/Mulhouse',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [7.53, 47.6],
      },
    },
    {
      id: 'CGN',
      attributes: {
        airport: 'CGN',
        city: 'Cologne',
        region: "['Germany']-DE",
        country: 'Germany',
        continent: 'Europe',
        coordinates: [7.12, 50.88],
      },
    },
    {
      id: 'GGW',
      attributes: {
        airport: 'GGW',
        city: 'Glasgow',
        region: 'US-MT',
        country: 'United States',
        continent: 'North America',
        coordinates: [-106.62, 48.21],
      },
    },
    {
      id: 'BJA',
      attributes: {
        airport: 'BJA',
        city: 'Bejaia',
        region: "['Algeria']-DZ",
        country: 'Algeria',
        continent: 'Africa',
        coordinates: [5.08, 36.75],
      },
    },
    {
      id: 'VDS',
      attributes: {
        airport: 'VDS',
        city: 'Vadso',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [29.85, 70.06],
      },
    },
    {
      id: 'BJF',
      attributes: {
        airport: 'BJF',
        city: 'Batsfjord',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [29.67, 70.6],
      },
    },
    {
      id: 'YYJ',
      attributes: {
        airport: 'YYJ',
        city: 'Victoria',
        region: 'CA-BC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-123.43, 48.64],
      },
    },
    {
      id: 'CJL',
      attributes: {
        airport: 'CJL',
        city: 'Chitral',
        region: "['Pakistan']-PK",
        country: 'Pakistan',
        continent: 'Asia',
        coordinates: [71.79, 35.89],
      },
    },
    {
      id: 'BSB',
      attributes: {
        airport: 'BSB',
        city: 'Brasilia',
        region: 'BR-DF',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-47.92, -15.87],
      },
    },
    {
      id: 'CPQ',
      attributes: {
        airport: 'CPQ',
        city: 'Campinas',
        region: 'BR-SP',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-47.11, -22.86],
      },
    },
    {
      id: 'DAL',
      attributes: {
        airport: 'DAL',
        city: 'Dallas',
        region: 'US-TX',
        country: 'United States',
        continent: 'North America',
        coordinates: [-96.85, 32.84],
      },
    },
    {
      id: 'DAX',
      attributes: {
        airport: 'DAX',
        city: 'Daxian',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [107.43, 31.14],
      },
    },
    {
      id: 'JLR',
      attributes: {
        airport: 'JLR',
        city: 'Jabalpur',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [79.92, 22.67],
      },
    },
    {
      id: 'DEL',
      attributes: {
        airport: 'DEL',
        city: 'Delhi',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [77.1, 28.56],
      },
    },
    {
      id: 'PIA',
      attributes: {
        airport: 'PIA',
        city: 'Peoria',
        region: 'US-IL',
        country: 'United States',
        continent: 'North America',
        coordinates: [-89.69, 40.67],
      },
    },
    {
      id: 'SSH',
      attributes: {
        airport: 'SSH',
        city: 'Sharm el Sheikh',
        region: "['Egypt']-EG",
        country: 'Egypt',
        continent: 'Africa',
        coordinates: [34.39, 27.98],
      },
    },
    {
      id: 'JAI',
      attributes: {
        airport: 'JAI',
        city: 'Jaipur',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [75.8, 26.82],
      },
    },
    {
      id: 'ISU',
      attributes: {
        airport: 'ISU',
        city: 'Sulaimaniyah',
        region: "['Iraq']-IQ",
        country: 'Iraq',
        continent: 'Asia',
        coordinates: [45.31, 35.56],
      },
    },
    {
      id: 'SAV',
      attributes: {
        airport: 'SAV',
        city: 'Savannah',
        region: 'US-GA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-81.21, 32.14],
      },
    },
    {
      id: 'SFO',
      attributes: {
        airport: 'SFO',
        city: 'San Francisco',
        region: 'US-CA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-122.39, 37.62],
      },
    },
    {
      id: 'VOG',
      attributes: {
        airport: 'VOG',
        city: 'Volgograd',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [44.35, 48.79],
      },
    },
    {
      id: 'SJO',
      attributes: {
        airport: 'SJO',
        city: 'San Jose',
        region: "['Costa Rica']-CR",
        country: 'Costa Rica',
        continent: 'Central America',
        coordinates: [-84.2, 10.0],
      },
    },
    {
      id: 'DRK',
      attributes: {
        airport: 'DRK',
        city: 'Drake Bay',
        region: "['Costa Rica']-CR",
        country: 'Costa Rica',
        continent: 'Central America',
        coordinates: [-83.65, 8.73],
      },
    },
    {
      id: 'ELP',
      attributes: {
        airport: 'ELP',
        city: 'El Paso',
        region: 'US-TX',
        country: 'United States',
        continent: 'North America',
        coordinates: [-106.4, 31.8],
      },
    },
    {
      id: 'DSM',
      attributes: {
        airport: 'DSM',
        city: 'Des Moines',
        region: 'US-IA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-93.65, 41.53],
      },
    },
    {
      id: 'RTM',
      attributes: {
        airport: 'RTM',
        city: 'Rotterdam',
        region: "['Netherlands']-NL",
        country: 'Netherlands',
        continent: 'Europe',
        coordinates: [4.43, 51.95],
      },
    },
    {
      id: 'GIG',
      attributes: {
        airport: 'GIG',
        city: 'Rio De Janeiro',
        region: 'BR-RJ',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-43.25, -22.81],
      },
    },
    {
      id: 'FOR',
      attributes: {
        airport: 'FOR',
        city: 'Fortaleza',
        region: 'BR-CE',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-38.54, -3.78],
      },
    },
    {
      id: 'FKS',
      attributes: {
        airport: 'FKS',
        city: 'Fukushima',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [140.43, 37.23],
      },
    },
    {
      id: 'DKR',
      attributes: {
        airport: 'DKR',
        city: 'Dakar',
        region: "['Senegal']-SN",
        country: 'Senegal',
        continent: 'Africa',
        coordinates: [-17.49, 14.74],
      },
    },
    {
      id: 'FNA',
      attributes: {
        airport: 'FNA',
        city: 'Freetown',
        region: "['Sierra Leone']-SL",
        country: 'Sierra Leone',
        continent: 'Africa',
        coordinates: [-13.2, 8.62],
      },
    },
    {
      id: 'ROV',
      attributes: {
        airport: 'ROV',
        city: 'Rostov',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [39.75, 47.25],
      },
    },
    {
      id: 'PUS',
      attributes: {
        airport: 'PUS',
        city: 'Busan',
        region: "['South Korea']-KR",
        country: 'South Korea',
        continent: 'Asia',
        coordinates: [128.95, 35.18],
      },
    },
    {
      id: 'ACI',
      attributes: {
        airport: 'ACI',
        city: 'Alderney',
        region: 'GB-CI',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-2.22, 49.71],
      },
    },
    {
      id: 'GCI',
      attributes: {
        airport: 'GCI',
        city: 'Guernsey',
        region: 'GB-CI',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-2.6, 49.43],
      },
    },
    {
      id: 'CEN',
      attributes: {
        airport: 'CEN',
        city: 'Ciudad Obregon',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-109.84, 27.39],
      },
    },
    {
      id: 'PUW',
      attributes: {
        airport: 'PUW',
        city: 'Pullman',
        region: 'US-WA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-117.11, 46.74],
      },
    },
    {
      id: 'LWS',
      attributes: {
        airport: 'LWS',
        city: 'Lewiston',
        region: 'US-ID',
        country: 'United States',
        continent: 'North America',
        coordinates: [-117.01, 46.37],
      },
    },
    {
      id: 'LXR',
      attributes: {
        airport: 'LXR',
        city: 'Luxor',
        region: "['Egypt']-EG",
        country: 'Egypt',
        continent: 'Africa',
        coordinates: [32.7, 25.67],
      },
    },
    {
      id: 'SXB',
      attributes: {
        airport: 'SXB',
        city: 'Strasbourg',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [7.63, 48.54],
      },
    },
    {
      id: 'PEN',
      attributes: {
        airport: 'PEN',
        city: 'Penang',
        region: "['Malaysia']-MY",
        country: 'Malaysia',
        continent: 'Asia',
        coordinates: [100.27, 5.29],
      },
    },
    {
      id: 'JHB',
      attributes: {
        airport: 'JHB',
        city: 'Johor Bharu',
        region: "['Malaysia']-MY",
        country: 'Malaysia',
        continent: 'Asia',
        coordinates: [103.67, 1.64],
      },
    },
    {
      id: 'MTS',
      attributes: {
        airport: 'MTS',
        city: 'Manzini',
        region: "['Eswatini']-SZ",
        country: 'Eswatini',
        continent: 'Africa',
        coordinates: [31.31, -26.52],
      },
    },
    {
      id: 'JPA',
      attributes: {
        airport: 'JPA',
        city: 'Joao Pessoa',
        region: 'BR-PB',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-34.95, -7.15],
      },
    },
    {
      id: 'RNL',
      attributes: {
        airport: 'RNL',
        city: 'Rennell',
        region: "['Solomon Islands']-SB",
        country: 'Solomon Islands',
        continent: 'Oceania',
        coordinates: [160.3, -11.67],
      },
    },
    {
      id: 'HIR',
      attributes: {
        airport: 'HIR',
        city: 'Honiara',
        region: "['Solomon Islands']-SB",
        country: 'Solomon Islands',
        continent: 'Oceania',
        coordinates: [160.05, -9.43],
      },
    },
    {
      id: 'TNA',
      attributes: {
        airport: 'TNA',
        city: 'Jinan',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [117.21, 36.86],
      },
    },
    {
      id: 'HND',
      attributes: {
        airport: 'HND',
        city: 'Tokyo',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [139.78, 35.55],
      },
    },
    {
      id: 'ASJ',
      attributes: {
        airport: 'ASJ',
        city: 'Amami O Shima',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [129.71, 28.43],
      },
    },
    {
      id: 'NTQ',
      attributes: {
        airport: 'NTQ',
        city: 'Wajima',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [136.96, 37.29],
      },
    },
    {
      id: 'HRB',
      attributes: {
        airport: 'HRB',
        city: 'Harbin',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [126.24, 45.62],
      },
    },
    {
      id: 'HEK',
      attributes: {
        airport: 'HEK',
        city: 'Heihe',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [127.43, 50.22],
      },
    },
    {
      id: 'HRE',
      attributes: {
        airport: 'HRE',
        city: 'Harare',
        region: "['Zimbabwe']-ZW",
        country: 'Zimbabwe',
        continent: 'Africa',
        coordinates: [31.1, -17.92],
      },
    },
    {
      id: 'VFA',
      attributes: {
        airport: 'VFA',
        city: 'Victoria Falls',
        region: "['Zimbabwe']-ZW",
        country: 'Zimbabwe',
        continent: 'Africa',
        coordinates: [25.84, -18.09],
      },
    },
    {
      id: 'HTS',
      attributes: {
        airport: 'HTS',
        city: 'Huntington',
        region: 'US-WV',
        country: 'United States',
        continent: 'North America',
        coordinates: [-82.56, 38.37],
      },
    },
    {
      id: 'ZAH',
      attributes: {
        airport: 'ZAH',
        city: 'Zahedan',
        region: "['Iran']-IR",
        country: 'Iran',
        continent: 'Asia',
        coordinates: [60.9, 29.48],
      },
    },
    {
      id: 'KER',
      attributes: {
        airport: 'KER',
        city: 'Kerman',
        region: "['Iran']-IR",
        country: 'Iran',
        continent: 'Asia',
        coordinates: [56.96, 30.26],
      },
    },
    {
      id: 'KGI',
      attributes: {
        airport: 'KGI',
        city: 'Kalgoorlie',
        region: 'AU-WA',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [121.46, -30.79],
      },
    },
    {
      id: 'NAG',
      attributes: {
        airport: 'NAG',
        city: 'Nagpur',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [79.06, 21.09],
      },
    },
    {
      id: 'IDR',
      attributes: {
        airport: 'IDR',
        city: 'Indore',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [75.81, 22.73],
      },
    },
    {
      id: 'RUH',
      attributes: {
        airport: 'RUH',
        city: 'Riyadh',
        region: "['Saudi Arabia']-SA",
        country: 'Saudi Arabia',
        continent: 'Asia',
        coordinates: [46.7, 24.96],
      },
    },
    {
      id: 'IXC',
      attributes: {
        airport: 'IXC',
        city: 'Chandigarh',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [76.8, 30.67],
      },
    },
    {
      id: 'IXJ',
      attributes: {
        airport: 'IXJ',
        city: 'Jammu',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [74.84, 32.68],
      },
    },
    {
      id: 'JAC',
      attributes: {
        airport: 'JAC',
        city: 'Jackson',
        region: 'US-WY',
        country: 'United States',
        continent: 'North America',
        coordinates: [-110.74, 43.6],
      },
    },
    {
      id: 'JCH',
      attributes: {
        airport: 'JCH',
        city: 'Qasigiannguit',
        region: "['Greenland']-GL",
        country: 'Greenland',
        continent: 'North America',
        coordinates: [-51.2, 68.82],
      },
    },
    {
      id: 'JAV',
      attributes: {
        airport: 'JAV',
        city: 'Ilulissat',
        region: "['Greenland']-GL",
        country: 'Greenland',
        continent: 'North America',
        coordinates: [-51.05, 69.23],
      },
    },
    {
      id: 'CMB',
      attributes: {
        airport: 'CMB',
        city: 'Colombo',
        region: "['Sri Lanka']-LK",
        country: 'Sri Lanka',
        continent: 'Asia',
        coordinates: [79.89, 7.17],
      },
    },
    {
      id: 'RDU',
      attributes: {
        airport: 'RDU',
        city: 'Raleigh/Durham',
        region: 'US-NC',
        country: 'United States',
        continent: 'North America',
        coordinates: [-78.79, 35.87],
      },
    },
    {
      id: 'KIV',
      attributes: {
        airport: 'KIV',
        city: 'Chisinau',
        region: "['Moldova']-MD",
        country: 'Moldova',
        continent: 'Europe',
        coordinates: [28.93, 46.94],
      },
    },
    {
      id: 'HYN',
      attributes: {
        airport: 'HYN',
        city: 'Huangyan',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [121.42, 28.56],
      },
    },
    {
      id: 'KPN',
      attributes: {
        airport: 'KPN',
        city: 'Kipnuk',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-164.05, 59.93],
      },
    },
    {
      id: 'BJZ',
      attributes: {
        airport: 'BJZ',
        city: 'Badajoz',
        region: 'ES-SP',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [-6.82, 38.89],
      },
    },
    {
      id: 'KWI',
      attributes: {
        airport: 'KWI',
        city: 'Kuwait',
        region: "['Kuwait']-KW",
        country: 'Kuwait',
        continent: 'Asia',
        coordinates: [47.97, 29.24],
      },
    },
    {
      id: 'LAP',
      attributes: {
        airport: 'LAP',
        city: 'La Paz',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-110.37, 24.08],
      },
    },
    {
      id: 'IDA',
      attributes: {
        airport: 'IDA',
        city: 'Idaho Falls',
        region: 'US-ID',
        country: 'United States',
        continent: 'North America',
        coordinates: [-112.07, 43.51],
      },
    },
    {
      id: 'RNO',
      attributes: {
        airport: 'RNO',
        city: 'Reno',
        region: 'US-NV',
        country: 'United States',
        continent: 'North America',
        coordinates: [-119.78, 39.51],
      },
    },
    {
      id: 'YQR',
      attributes: {
        airport: 'YQR',
        city: 'Regina',
        region: 'CA-SK',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-104.66, 50.43],
      },
    },
    {
      id: 'PIU',
      attributes: {
        airport: 'PIU',
        city: 'Piura',
        region: "['Peru']-PE",
        country: 'Peru',
        continent: 'South America',
        coordinates: [-80.61, -5.2],
      },
    },
    {
      id: 'LKO',
      attributes: {
        airport: 'LKO',
        city: 'Lucknow',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [80.88, 26.76],
      },
    },
    {
      id: 'JRO',
      attributes: {
        airport: 'JRO',
        city: 'Kilimanjaro',
        region: "['Tanzania']-TZ",
        country: 'Tanzania',
        continent: 'Africa',
        coordinates: [37.07, -3.42],
      },
    },
    {
      id: 'MBA',
      attributes: {
        airport: 'MBA',
        city: 'Mombasa',
        region: "['Kenya']-KE",
        country: 'Kenya',
        continent: 'Africa',
        coordinates: [39.6, -4.03],
      },
    },
    {
      id: 'DUS',
      attributes: {
        airport: 'DUS',
        city: 'Dusseldorf',
        region: "['Germany']-DE",
        country: 'Germany',
        continent: 'Europe',
        coordinates: [6.77, 51.28],
      },
    },
    {
      id: 'ROR',
      attributes: {
        airport: 'ROR',
        city: 'Koror',
        region: "['Palau']-PW",
        country: 'Palau',
        continent: 'Oceania',
        coordinates: [134.53, 7.36],
      },
    },
    {
      id: 'DPS',
      attributes: {
        airport: 'DPS',
        city: 'Denpasar Bali',
        region: "['Indonesia']-ID",
        country: 'Indonesia',
        continent: 'Asia',
        coordinates: [115.16, -8.74],
      },
    },
    {
      id: 'MOF',
      attributes: {
        airport: 'MOF',
        city: 'Maumere',
        region: "['Indonesia']-ID",
        country: 'Indonesia',
        continent: 'Asia',
        coordinates: [122.25, -8.63],
      },
    },
    {
      id: 'MPL',
      attributes: {
        airport: 'MPL',
        city: 'Montpellier',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [3.96, 43.58],
      },
    },
    {
      id: 'VPY',
      attributes: {
        airport: 'VPY',
        city: 'Chimoio',
        region: "['Mozambique']-MZ",
        country: 'Mozambique',
        continent: 'Africa',
        coordinates: [33.48, -19.13],
      },
    },
    {
      id: 'MPM',
      attributes: {
        airport: 'MPM',
        city: 'Maputo',
        region: "['Mozambique']-MZ",
        country: 'Mozambique',
        continent: 'Africa',
        coordinates: [32.57, -25.92],
      },
    },
    {
      id: 'BOO',
      attributes: {
        airport: 'BOO',
        city: 'Bodo',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [14.37, 67.27],
      },
    },
    {
      id: 'MTT',
      attributes: {
        airport: 'MTT',
        city: 'Minatitlan',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-94.52, 17.98],
      },
    },
    {
      id: 'MKK',
      attributes: {
        airport: 'MKK',
        city: 'Hoolehua',
        region: 'US-HI',
        country: 'United States',
        continent: 'North America',
        coordinates: [-157.1, 21.15],
      },
    },
    {
      id: 'LUP',
      attributes: {
        airport: 'LUP',
        city: 'Kalaupapa',
        region: 'US-HI',
        country: 'United States',
        continent: 'North America',
        coordinates: [-156.97, 21.21],
      },
    },
    {
      id: 'PWM',
      attributes: {
        airport: 'PWM',
        city: 'Portland',
        region: 'US-ME',
        country: 'United States',
        continent: 'North America',
        coordinates: [-70.31, 43.65],
      },
    },
    {
      id: 'VSA',
      attributes: {
        airport: 'VSA',
        city: 'Villahermosa',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-92.82, 17.99],
      },
    },
    {
      id: 'BDU',
      attributes: {
        airport: 'BDU',
        city: 'Bardufoss',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [18.54, 69.06],
      },
    },
    {
      id: 'DJE',
      attributes: {
        airport: 'DJE',
        city: 'Djerba',
        region: "['Tunisia']-TN",
        country: 'Tunisia',
        continent: 'Africa',
        coordinates: [10.78, 33.87],
      },
    },
    {
      id: 'MIM',
      attributes: {
        airport: 'MIM',
        city: 'Merimbula',
        region: 'AU-NSW',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [149.9, -36.91],
      },
    },
    {
      id: 'MYA',
      attributes: {
        airport: 'MYA',
        city: 'Moruya',
        region: 'AU-NSW',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [150.15, -35.9],
      },
    },
    {
      id: 'BBN',
      attributes: {
        airport: 'BBN',
        city: 'Bario',
        region: "['Malaysia']-MY",
        country: 'Malaysia',
        continent: 'Asia',
        coordinates: [115.47, 3.68],
      },
    },
    {
      id: 'NNG',
      attributes: {
        airport: 'NNG',
        city: 'Nanning',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [108.17, 22.61],
      },
    },
    {
      id: 'NOC',
      attributes: {
        airport: 'NOC',
        city: 'Knock',
        region: "['Ireland']-IE",
        country: 'Ireland',
        continent: 'Europe',
        coordinates: [-8.81, 53.91],
      },
    },
    {
      id: 'PDX',
      attributes: {
        airport: 'PDX',
        city: 'Portland',
        region: 'US-OR',
        country: 'United States',
        continent: 'North America',
        coordinates: [-122.59, 45.59],
      },
    },
    {
      id: 'NSI',
      attributes: {
        airport: 'NSI',
        city: 'Yaounde',
        region: "['Cameroon']-CM",
        country: 'Cameroon',
        continent: 'Africa',
        coordinates: [11.55, 3.7],
      },
    },
    {
      id: 'EGO',
      attributes: {
        airport: 'EGO',
        city: 'Belgorod',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [36.65, 50.63],
      },
    },
    {
      id: 'MCI',
      attributes: {
        airport: 'MCI',
        city: 'Kansas City',
        region: 'US-MO',
        country: 'United States',
        continent: 'North America',
        coordinates: [-94.72, 39.29],
      },
    },
    {
      id: 'OMA',
      attributes: {
        airport: 'OMA',
        city: 'Omaha',
        region: 'US-NE',
        country: 'United States',
        continent: 'North America',
        coordinates: [-95.9, 41.3],
      },
    },
    {
      id: 'OPO',
      attributes: {
        airport: 'OPO',
        city: 'Porto',
        region: "['Portugal']-PT",
        country: 'Portugal',
        continent: 'Europe',
        coordinates: [-8.67, 41.24],
      },
    },
    {
      id: 'PIT',
      attributes: {
        airport: 'PIT',
        city: 'Pittsburgh',
        region: 'US-PA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-80.26, 40.5],
      },
    },
    {
      id: 'XNA',
      attributes: {
        airport: 'XNA',
        city: 'Bentonville',
        region: 'US-AR',
        country: 'United States',
        continent: 'North America',
        coordinates: [-94.3, 36.28],
      },
    },
    {
      id: 'ORK',
      attributes: {
        airport: 'ORK',
        city: 'Cork',
        region: "['Ireland']-IE",
        country: 'Ireland',
        continent: 'Europe',
        coordinates: [-8.49, 51.85],
      },
    },
    {
      id: 'GLF',
      attributes: {
        airport: 'GLF',
        city: 'Golfito',
        region: "['Costa Rica']-CR",
        country: 'Costa Rica',
        continent: 'Central America',
        coordinates: [-83.18, 8.65],
      },
    },
    {
      id: 'PJM',
      attributes: {
        airport: 'PJM',
        city: 'Puerto Jimenez',
        region: "['Costa Rica']-CR",
        country: 'Costa Rica',
        continent: 'Central America',
        coordinates: [-83.33, 8.58],
      },
    },
    {
      id: 'MWA',
      attributes: {
        airport: 'MWA',
        city: 'Marion',
        region: 'US-IL',
        country: 'United States',
        continent: 'North America',
        coordinates: [-89.02, 37.75],
      },
    },
    {
      id: 'MWQ',
      attributes: {
        airport: 'MWQ',
        city: 'Magwe',
        region: "['Myanmar']-MM",
        country: 'Myanmar',
        continent: 'Asia',
        coordinates: [94.94, 20.17],
      },
    },
    {
      id: 'RGN',
      attributes: {
        airport: 'RGN',
        city: 'Yangon',
        region: "['Myanmar']-MM",
        country: 'Myanmar',
        continent: 'Asia',
        coordinates: [96.13, 16.9],
      },
    },
    {
      id: 'MKY',
      attributes: {
        airport: 'MKY',
        city: 'Mackay',
        region: 'AU-QLD',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [149.18, -21.18],
      },
    },
    {
      id: 'ROK',
      attributes: {
        airport: 'ROK',
        city: 'Rockhampton',
        region: 'AU-QLD',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [150.48, -23.38],
      },
    },
    {
      id: 'RPR',
      attributes: {
        airport: 'RPR',
        city: 'Raipur',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [81.74, 21.18],
      },
    },
    {
      id: 'RST',
      attributes: {
        airport: 'RST',
        city: 'Rochester',
        region: 'US-MN',
        country: 'United States',
        continent: 'North America',
        coordinates: [-92.49, 43.91],
      },
    },
    {
      id: 'POA',
      attributes: {
        airport: 'POA',
        city: 'Porto Alegre',
        region: 'BR-RS',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-51.18, -29.99],
      },
    },
    {
      id: 'HNL',
      attributes: {
        airport: 'HNL',
        city: 'Honolulu',
        region: 'US-HI',
        country: 'United States',
        continent: 'North America',
        coordinates: [-157.92, 21.33],
      },
    },
    {
      id: 'RAR',
      attributes: {
        airport: 'RAR',
        city: 'Rarotonga',
        region: "['Cook Islands']-CK",
        country: 'Cook Islands',
        continent: 'Oceania',
        coordinates: [-159.8, -21.2],
      },
    },
    {
      id: 'PXO',
      attributes: {
        airport: 'PXO',
        city: 'Porto Santo (Madeira)',
        region: "['Portugal']-PT",
        country: 'Portugal',
        continent: 'Europe',
        coordinates: [-16.35, 33.07],
      },
    },
    {
      id: 'SJP',
      attributes: {
        airport: 'SJP',
        city: 'Sao Jose Do Rio Preto',
        region: 'BR-SP',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-49.42, -20.82],
      },
    },
    {
      id: 'RAO',
      attributes: {
        airport: 'RAO',
        city: 'Ribeirao Preto',
        region: 'BR-SP',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-47.77, -21.14],
      },
    },
    {
      id: 'SCC',
      attributes: {
        airport: 'SCC',
        city: 'Prudhoe Bay/Deadhorse',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-148.46, 70.2],
      },
    },
    {
      id: 'KMQ',
      attributes: {
        airport: 'KMQ',
        city: 'Komatsu',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [136.41, 36.4],
      },
    },
    {
      id: 'SDJ',
      attributes: {
        airport: 'SDJ',
        city: 'Sendai',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [140.92, 38.14],
      },
    },
    {
      id: 'SDQ',
      attributes: {
        airport: 'SDQ',
        city: 'Santo Domingo',
        region: "['Dominican Republic']-DO",
        country: 'Dominican Republic',
        continent: 'Central America',
        coordinates: [-69.68, 18.43],
      },
    },
    {
      id: 'FAO',
      attributes: {
        airport: 'FAO',
        city: 'Faro',
        region: "['Portugal']-PT",
        country: 'Portugal',
        continent: 'Europe',
        coordinates: [-7.97, 37.02],
      },
    },
    {
      id: 'FAT',
      attributes: {
        airport: 'FAT',
        city: 'Fresno',
        region: 'US-CA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-119.72, 36.77],
      },
    },
    {
      id: 'DLI',
      attributes: {
        airport: 'DLI',
        city: 'Dalat',
        region: "['Vietnam']-VN",
        country: 'Vietnam',
        continent: 'Asia',
        coordinates: [108.38, 11.75],
      },
    },
    {
      id: 'SGN',
      attributes: {
        airport: 'SGN',
        city: 'Ho Chi Minh City',
        region: "['Vietnam']-VN",
        country: 'Vietnam',
        continent: 'Asia',
        coordinates: [106.66, 10.81],
      },
    },
    {
      id: 'HET',
      attributes: {
        airport: 'HET',
        city: 'Hohhot',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [111.81, 40.85],
      },
    },
    {
      id: 'PLU',
      attributes: {
        airport: 'PLU',
        city: 'Belo Horizonte',
        region: 'BR-MG',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-43.75, -19.75],
      },
    },
    {
      id: 'SJK',
      attributes: {
        airport: 'SJK',
        city: 'Sao Jose dos Campos',
        region: 'BR-SP',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-46.12, -23.18],
      },
    },
    {
      id: 'TNO',
      attributes: {
        airport: 'TNO',
        city: 'Tamarindo',
        region: "['Costa Rica']-CR",
        country: 'Costa Rica',
        continent: 'Central America',
        coordinates: [-85.82, 10.31],
      },
    },
    {
      id: 'SKB',
      attributes: {
        airport: 'SKB',
        city: 'Saint Kitts',
        region: "['Saint Kitts and Nevis']-KN",
        country: 'Saint Kitts and Nevis',
        continent: 'Central America',
        coordinates: [-62.71, 17.31],
      },
    },
    {
      id: 'SLK',
      attributes: {
        airport: 'SLK',
        city: 'Saranac Lake',
        region: 'US-NY',
        country: 'United States',
        continent: 'North America',
        coordinates: [-74.21, 44.38],
      },
    },
    {
      id: 'IMP',
      attributes: {
        airport: 'IMP',
        city: 'Imperatriz',
        region: 'BR-MA',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-47.48, -5.53],
      },
    },
    {
      id: 'SLZ',
      attributes: {
        airport: 'SLZ',
        city: 'Sao Luiz',
        region: 'BR-MA',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-44.24, -2.58],
      },
    },
    {
      id: 'HER',
      attributes: {
        airport: 'HER',
        city: 'Heraklion',
        region: "['Greece']-GR",
        country: 'Greece',
        continent: 'Europe',
        coordinates: [25.17, 35.34],
      },
    },
    {
      id: 'SMI',
      attributes: {
        airport: 'SMI',
        city: 'Samos',
        region: "['Greece']-GR",
        country: 'Greece',
        continent: 'Europe',
        coordinates: [26.91, 37.69],
      },
    },
    {
      id: 'GNB',
      attributes: {
        airport: 'GNB',
        city: 'Grenoble',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [5.33, 45.36],
      },
    },
    {
      id: 'ATZ',
      attributes: {
        airport: 'ATZ',
        city: 'Assiut',
        region: "['Egypt']-EG",
        country: 'Egypt',
        continent: 'Africa',
        coordinates: [31.0, 27.03],
      },
    },
    {
      id: 'ZAG',
      attributes: {
        airport: 'ZAG',
        city: 'Zagreb',
        region: "['Croatia']-HR",
        country: 'Croatia',
        continent: 'Europe',
        coordinates: [16.06, 45.73],
      },
    },
    {
      id: 'SXF',
      attributes: {
        airport: 'SXF',
        city: 'Berlin',
        region: "['Germany']-DE",
        country: 'Germany',
        continent: 'Europe',
        coordinates: [13.52, 52.37],
      },
    },
    {
      id: 'SYQ',
      attributes: {
        airport: 'SYQ',
        city: 'San Jose',
        region: "['Costa Rica']-CR",
        country: 'Costa Rica',
        continent: 'Central America',
        coordinates: [-84.13, 9.95],
      },
    },
    {
      id: 'SYR',
      attributes: {
        airport: 'SYR',
        city: 'Syracuse',
        region: 'US-NY',
        country: 'United States',
        continent: 'North America',
        coordinates: [-76.11, 43.11],
      },
    },
    {
      id: 'SZG',
      attributes: {
        airport: 'SZG',
        city: 'Salzburg',
        region: "['Austria']-AT",
        country: 'Austria',
        continent: 'Europe',
        coordinates: [13.0, 47.79],
      },
    },
    {
      id: 'EXT',
      attributes: {
        airport: 'EXT',
        city: 'Exeter',
        region: 'GB-EN',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-3.41, 50.73],
      },
    },
    {
      id: 'SRZ',
      attributes: {
        airport: 'SRZ',
        city: 'Santa Cruz',
        region: "['Bolivia']-BO",
        country: 'Bolivia',
        continent: 'South America',
        coordinates: [-63.17, -17.8],
      },
    },
    {
      id: 'FLW',
      attributes: {
        airport: 'FLW',
        city: 'Flores Island (Azores)',
        region: "['Portugal']-PT",
        country: 'Portugal',
        continent: 'Europe',
        coordinates: [-31.15, 39.47],
      },
    },
    {
      id: 'TER',
      attributes: {
        airport: 'TER',
        city: 'Terceira',
        region: "['Portugal']-PT",
        country: 'Portugal',
        continent: 'Europe',
        coordinates: [-27.09, 38.76],
      },
    },
    {
      id: 'LCE',
      attributes: {
        airport: 'LCE',
        city: 'La Ceiba',
        region: "['Honduras']-HN",
        country: 'Honduras',
        continent: 'Central America',
        coordinates: [-86.86, 15.74],
      },
    },
    {
      id: 'TGU',
      attributes: {
        airport: 'TGU',
        city: 'Tegucigalpa',
        region: "['Honduras']-HN",
        country: 'Honduras',
        continent: 'Central America',
        coordinates: [-87.22, 14.06],
      },
    },
    {
      id: 'CBH',
      attributes: {
        airport: 'CBH',
        city: 'Bechar',
        region: "['Algeria']-DZ",
        country: 'Algeria',
        continent: 'Africa',
        coordinates: [-2.26, 31.65],
      },
    },
    {
      id: 'TIN',
      attributes: {
        airport: 'TIN',
        city: 'Tindouf',
        region: "['Algeria']-DZ",
        country: 'Algeria',
        continent: 'Africa',
        coordinates: [-8.17, 27.72],
      },
    },
    {
      id: 'TIP',
      attributes: {
        airport: 'TIP',
        city: 'Tripoli',
        region: "['Libya']-LY",
        country: 'Libya',
        continent: 'Africa',
        coordinates: [13.14, 32.67],
      },
    },
    {
      id: 'CUU',
      attributes: {
        airport: 'CUU',
        city: 'Chihuahua',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-105.97, 28.7],
      },
    },
    {
      id: 'TLC',
      attributes: {
        airport: 'TLC',
        city: 'Toluca',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-99.67, 19.28],
      },
    },
    {
      id: 'MSQ',
      attributes: {
        airport: 'MSQ',
        city: 'Minsk',
        region: "['Belarus']-BY",
        country: 'Belarus',
        continent: 'Europe',
        coordinates: [28.03, 53.89],
      },
    },
    {
      id: 'SNR',
      attributes: {
        airport: 'SNR',
        city: 'Saint Nazaire',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [-2.18, 47.29],
      },
    },
    {
      id: 'TLS',
      attributes: {
        airport: 'TLS',
        city: 'Toulouse',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [1.37, 43.63],
      },
    },
    {
      id: 'TMJ',
      attributes: {
        airport: 'TMJ',
        city: 'Termez',
        region: "['Uzbekistan']-UZ",
        country: 'Uzbekistan',
        continent: 'Asia',
        coordinates: [67.32, 37.28],
      },
    },
    {
      id: 'GEA',
      attributes: {
        airport: 'GEA',
        city: 'Noumea',
        region: "['New Caledonia']-NC",
        country: 'New Caledonia',
        continent: 'Oceania',
        coordinates: [166.47, -22.26],
      },
    },
    {
      id: 'TOU',
      attributes: {
        airport: 'TOU',
        city: 'Touho',
        region: "['New Caledonia']-NC",
        country: 'New Caledonia',
        continent: 'Oceania',
        coordinates: [165.25, -20.8],
      },
    },
    {
      id: 'TAM',
      attributes: {
        airport: 'TAM',
        city: 'Tampico',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-97.87, 22.29],
      },
    },
    {
      id: 'VLL',
      attributes: {
        airport: 'VLL',
        city: 'Valladolid',
        region: 'ES-SP',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [-4.84, 41.71],
      },
    },
    {
      id: 'BDS',
      attributes: {
        airport: 'BDS',
        city: 'Brindisi',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [17.94, 40.66],
      },
    },
    {
      id: 'BEW',
      attributes: {
        airport: 'BEW',
        city: 'Beira',
        region: "['Mozambique']-MZ",
        country: 'Mozambique',
        continent: 'Africa',
        coordinates: [34.9, -19.8],
      },
    },
    {
      id: 'VNO',
      attributes: {
        airport: 'VNO',
        city: 'Vilnius',
        region: "['Lithuania']-LT",
        country: 'Lithuania',
        continent: 'Europe',
        coordinates: [25.28, 54.64],
      },
    },
    {
      id: 'VUP',
      attributes: {
        airport: 'VUP',
        city: 'Valledupar',
        region: "['Colombia']-CO",
        country: 'Colombia',
        continent: 'South America',
        coordinates: [-73.25, 10.44],
      },
    },
    {
      id: 'SLA',
      attributes: {
        airport: 'SLA',
        city: 'Salta',
        region: 'AR-SA',
        country: 'Argentina',
        continent: 'South America',
        coordinates: [-65.48, -24.84],
      },
    },
    {
      id: 'VVI',
      attributes: {
        airport: 'VVI',
        city: 'Santa Cruz',
        region: "['Bolivia']-BO",
        country: 'Bolivia',
        continent: 'South America',
        coordinates: [-63.14, -17.65],
      },
    },
    {
      id: 'KIJ',
      attributes: {
        airport: 'KIJ',
        city: 'Niigata',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [139.11, 37.95],
      },
    },
    {
      id: 'VVO',
      attributes: {
        airport: 'VVO',
        city: 'Vladivostok',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [132.14, 43.38],
      },
    },
    {
      id: 'JJN',
      attributes: {
        airport: 'JJN',
        city: 'Jinjiang',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [118.59, 24.8],
      },
    },
    {
      id: 'BHK',
      attributes: {
        airport: 'BHK',
        city: 'Bukhara',
        region: "['Uzbekistan']-UZ",
        country: 'Uzbekistan',
        continent: 'Asia',
        coordinates: [64.47, 39.76],
      },
    },
    {
      id: 'YRL',
      attributes: {
        airport: 'YRL',
        city: 'Red Lake',
        region: 'CA-ON',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-93.8, 51.07],
      },
    },
    {
      id: 'YHP',
      attributes: {
        airport: 'YHP',
        city: 'Poplar Hill',
        region: 'CA-ON',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-94.3, 52.08],
      },
    },
    {
      id: 'PYJ',
      attributes: {
        airport: 'PYJ',
        city: 'Polyarnyj',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [112.05, 66.42],
      },
    },
    {
      id: 'YKS',
      attributes: {
        airport: 'YKS',
        city: 'Yakutsk',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [129.75, 62.09],
      },
    },
    {
      id: 'YQY',
      attributes: {
        airport: 'YQY',
        city: 'Sydney',
        region: 'CA-NS',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-60.05, 46.17],
      },
    },
    {
      id: 'PSP',
      attributes: {
        airport: 'PSP',
        city: 'Palm Springs',
        region: 'US-CA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-116.51, 33.82],
      },
    },
    {
      id: 'YPW',
      attributes: {
        airport: 'YPW',
        city: 'Powell River',
        region: 'CA-BC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-124.5, 49.82],
      },
    },
    {
      id: 'KGX',
      attributes: {
        airport: 'KGX',
        city: 'Grayling',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-160.06, 62.9],
      },
    },
    {
      id: 'ANV',
      attributes: {
        airport: 'ANV',
        city: 'Anvik',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-160.19, 62.65],
      },
    },
    {
      id: 'RYG',
      attributes: {
        airport: 'RYG',
        city: 'Rygge',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [10.8, 59.38],
      },
    },
    {
      id: 'BMI',
      attributes: {
        airport: 'BMI',
        city: 'Bloomington-Normal',
        region: 'US-IL',
        country: 'United States',
        continent: 'North America',
        coordinates: [-88.91, 40.48],
      },
    },
    {
      id: 'GRK',
      attributes: {
        airport: 'GRK',
        city: 'Killeen',
        region: 'US-TX',
        country: 'United States',
        continent: 'North America',
        coordinates: [-97.82, 31.06],
      },
    },
    {
      id: 'MAO',
      attributes: {
        airport: 'MAO',
        city: 'Manaus',
        region: 'BR-AM',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-60.05, -3.03],
      },
    },
    {
      id: 'MEI',
      attributes: {
        airport: 'MEI',
        city: 'Meridian',
        region: 'US-MS',
        country: 'United States',
        continent: 'North America',
        coordinates: [-88.75, 32.34],
      },
    },
    {
      id: 'ABQ',
      attributes: {
        airport: 'ABQ',
        city: 'Albuquerque',
        region: 'US-NM',
        country: 'United States',
        continent: 'North America',
        coordinates: [-106.62, 35.05],
      },
    },
    {
      id: 'ABZ',
      attributes: {
        airport: 'ABZ',
        city: 'Aberdeen',
        region: 'GB-SC',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-2.2, 57.2],
      },
    },
    {
      id: 'SVI',
      attributes: {
        airport: 'SVI',
        city: 'San Vicente',
        region: "['Colombia']-CO",
        country: 'Colombia',
        continent: 'South America',
        coordinates: [-74.77, 2.15],
      },
    },
    {
      id: 'ACR',
      attributes: {
        airport: 'ACR',
        city: 'Araracuara',
        region: "['Colombia']-CO",
        country: 'Colombia',
        continent: 'South America',
        coordinates: [-72.3, -0.38],
      },
    },
    {
      id: 'CNQ',
      attributes: {
        airport: 'CNQ',
        city: 'Corrientes',
        region: 'AR-CR',
        country: 'Argentina',
        continent: 'South America',
        coordinates: [-58.76, -27.45],
      },
    },
    {
      id: 'AER',
      attributes: {
        airport: 'AER',
        city: 'Adler/Sochi',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [39.94, 43.45],
      },
    },
    {
      id: 'AFT',
      attributes: {
        airport: 'AFT',
        city: 'Afutara',
        region: "['Solomon Islands']-SB",
        country: 'Solomon Islands',
        continent: 'Oceania',
        coordinates: [160.85, -9.2],
      },
    },
    {
      id: 'BWN',
      attributes: {
        airport: 'BWN',
        city: 'Bandar Seri Begawan',
        region: "['Brunei']-BN",
        country: 'Brunei',
        continent: 'Asia',
        coordinates: [114.93, 4.95],
      },
    },
    {
      id: 'AKL',
      attributes: {
        airport: 'AKL',
        city: 'Auckland',
        region: "['New Zealand']-NZ",
        country: 'New Zealand',
        continent: 'Oceania',
        coordinates: [174.78, -37.0],
      },
    },
    {
      id: 'TEE',
      attributes: {
        airport: 'TEE',
        city: 'Tebessa',
        region: "['Algeria']-DZ",
        country: 'Algeria',
        continent: 'Africa',
        coordinates: [8.15, 35.47],
      },
    },
    {
      id: 'IAM',
      attributes: {
        airport: 'IAM',
        city: 'In Amenas',
        region: "['Algeria']-DZ",
        country: 'Algeria',
        continent: 'Africa',
        coordinates: [9.64, 28.05],
      },
    },
    {
      id: 'AZR',
      attributes: {
        airport: 'AZR',
        city: 'Adrar',
        region: "['Algeria']-DZ",
        country: 'Algeria',
        continent: 'Africa',
        coordinates: [-0.28, 27.88],
      },
    },
    {
      id: 'ZCO',
      attributes: {
        airport: 'ZCO',
        city: 'Temuco',
        region: "['Chile']-CL",
        country: 'Chile',
        continent: 'South America',
        coordinates: [-72.64, -38.77],
      },
    },
    {
      id: 'BBA',
      attributes: {
        airport: 'BBA',
        city: 'Balmaceda',
        region: "['Chile']-CL",
        country: 'Chile',
        continent: 'South America',
        coordinates: [-71.69, -45.92],
      },
    },
    {
      id: 'BIQ',
      attributes: {
        airport: 'BIQ',
        city: 'Biarritz',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [-1.53, 43.47],
      },
    },
    {
      id: 'AZA',
      attributes: {
        airport: 'AZA',
        city: 'Mesa',
        region: 'US-AZ',
        country: 'United States',
        continent: 'North America',
        coordinates: [-111.66, 33.31],
      },
    },
    {
      id: 'BIS',
      attributes: {
        airport: 'BIS',
        city: 'Bismarck',
        region: 'US-ND',
        country: 'United States',
        continent: 'North America',
        coordinates: [-100.76, 46.77],
      },
    },
    {
      id: 'BJX',
      attributes: {
        airport: 'BJX',
        city: 'Leon/Guanajuato',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-101.48, 20.99],
      },
    },
    {
      id: 'BTU',
      attributes: {
        airport: 'BTU',
        city: 'Bintulu',
        region: "['Malaysia']-MY",
        country: 'Malaysia',
        continent: 'Asia',
        coordinates: [113.04, 3.17],
      },
    },
    {
      id: 'NUE',
      attributes: {
        airport: 'NUE',
        city: 'Nuremberg',
        region: "['Germany']-DE",
        country: 'Germany',
        continent: 'Europe',
        coordinates: [11.08, 49.49],
      },
    },
    {
      id: 'BKI',
      attributes: {
        airport: 'BKI',
        city: 'Kota Kinabalu',
        region: "['Malaysia']-MY",
        country: 'Malaysia',
        continent: 'Asia',
        coordinates: [116.05, 5.92],
      },
    },
    {
      id: 'MDC',
      attributes: {
        airport: 'MDC',
        city: 'Manado',
        region: "['Indonesia']-ID",
        country: 'Indonesia',
        continent: 'Asia',
        coordinates: [124.92, 1.54],
      },
    },
    {
      id: 'NIM',
      attributes: {
        airport: 'NIM',
        city: 'Niamey',
        region: "['Niger']-NE",
        country: 'Niger',
        continent: 'Africa',
        coordinates: [2.18, 13.48],
      },
    },
    {
      id: 'BKO',
      attributes: {
        airport: 'BKO',
        city: 'Bamako',
        region: "['Mali']-ML",
        country: 'Mali',
        continent: 'Africa',
        coordinates: [-7.95, 12.54],
      },
    },
    {
      id: 'BLI',
      attributes: {
        airport: 'BLI',
        city: 'Bellingham',
        region: 'US-WA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-122.53, 48.8],
      },
    },
    {
      id: 'TME',
      attributes: {
        airport: 'TME',
        city: 'Tame',
        region: "['Colombia']-CO",
        country: 'Colombia',
        continent: 'South America',
        coordinates: [-71.77, 6.5],
      },
    },
    {
      id: 'BOH',
      attributes: {
        airport: 'BOH',
        city: 'Bournemouth',
        region: 'GB-EN',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-1.83, 50.78],
      },
    },
    {
      id: 'BRE',
      attributes: {
        airport: 'BRE',
        city: 'Bremen',
        region: "['Germany']-DE",
        country: 'Germany',
        continent: 'Europe',
        coordinates: [8.79, 53.05],
      },
    },
    {
      id: 'SBW',
      attributes: {
        airport: 'SBW',
        city: 'Sibu',
        region: "['Malaysia']-MY",
        country: 'Malaysia',
        continent: 'Asia',
        coordinates: [111.99, 2.25],
      },
    },
    {
      id: 'LTN',
      attributes: {
        airport: 'LTN',
        city: 'London',
        region: 'GB-EN',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-0.38, 51.88],
      },
    },
    {
      id: 'MMX',
      attributes: {
        airport: 'MMX',
        city: 'Malmo',
        region: "['Sweden']-SE",
        country: 'Sweden',
        continent: 'Europe',
        coordinates: [13.36, 55.54],
      },
    },
    {
      id: 'TGD',
      attributes: {
        airport: 'TGD',
        city: 'Podgorica',
        region: "['Montenegro']-ME",
        country: 'Montenegro',
        continent: 'Europe',
        coordinates: [19.25, 42.37],
      },
    },
    {
      id: 'DOK',
      attributes: {
        airport: 'DOK',
        city: 'Donetsk',
        region: "['Ukraine']-UA",
        country: 'Ukraine',
        continent: 'Europe',
        coordinates: [37.75, 48.08],
      },
    },
    {
      id: 'BUS',
      attributes: {
        airport: 'BUS',
        city: 'Batumi',
        region: "['Georgia']-GE",
        country: 'Georgia',
        continent: 'Asia',
        coordinates: [41.6, 41.61],
      },
    },
    {
      id: 'KCH',
      attributes: {
        airport: 'KCH',
        city: 'Kuching',
        region: "['Malaysia']-MY",
        country: 'Malaysia',
        continent: 'Asia',
        coordinates: [110.34, 1.48],
      },
    },
    {
      id: 'NRN',
      attributes: {
        airport: 'NRN',
        city: 'Dusseldorf',
        region: "['Germany']-DE",
        country: 'Germany',
        continent: 'Europe',
        coordinates: [6.15, 51.6],
      },
    },
    {
      id: 'CAK',
      attributes: {
        airport: 'CAK',
        city: 'Akron/Canton',
        region: 'US-OH',
        country: 'United States',
        continent: 'North America',
        coordinates: [-81.44, 40.91],
      },
    },
    {
      id: 'CCC',
      attributes: {
        airport: 'CCC',
        city: 'Cayo Coco',
        region: "['Cuba']-CU",
        country: 'Cuba',
        continent: 'Central America',
        coordinates: [-78.51, 22.51],
      },
    },
    {
      id: 'CEK',
      attributes: {
        airport: 'CEK',
        city: 'Chelyabinsk',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [61.51, 55.3],
      },
    },
    {
      id: 'CGH',
      attributes: {
        airport: 'CGH',
        city: 'Sao Paulo',
        region: 'BR-SP',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-46.66, -23.63],
      },
    },
    {
      id: 'EUN',
      attributes: {
        airport: 'EUN',
        city: 'Laayoune',
        region: "['Morocco']-MA",
        country: 'Morocco',
        continent: 'Africa',
        coordinates: [-13.22, 27.13],
      },
    },
    {
      id: 'LIL',
      attributes: {
        airport: 'LIL',
        city: 'Lille',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [3.11, 50.57],
      },
    },
    {
      id: 'INN',
      attributes: {
        airport: 'INN',
        city: 'Innsbruck',
        region: "['Austria']-AT",
        country: 'Austria',
        continent: 'Europe',
        coordinates: [11.35, 47.26],
      },
    },
    {
      id: 'LYP',
      attributes: {
        airport: 'LYP',
        city: 'Faisalabad',
        region: "['Pakistan']-PK",
        country: 'Pakistan',
        continent: 'Asia',
        coordinates: [72.99, 31.36],
      },
    },
    {
      id: 'REN',
      attributes: {
        airport: 'REN',
        city: 'Orenburg',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [55.46, 51.79],
      },
    },
    {
      id: 'DYU',
      attributes: {
        airport: 'DYU',
        city: 'Dushanbe',
        region: "['Tajikistan']-TJ",
        country: 'Tajikistan',
        continent: 'Asia',
        coordinates: [68.82, 38.55],
      },
    },
    {
      id: 'EBD',
      attributes: {
        airport: 'EBD',
        city: 'El Obeid',
        region: "['Sudan']-SD",
        country: 'Sudan',
        continent: 'Africa',
        coordinates: [30.23, 13.16],
      },
    },
    {
      id: 'NGB',
      attributes: {
        airport: 'NGB',
        city: 'Ningbo',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [121.46, 29.82],
      },
    },
    {
      id: 'PZI',
      attributes: {
        airport: 'PZI',
        city: 'Pan Zhi Hua',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [101.79, 26.54],
      },
    },
    {
      id: 'HMO',
      attributes: {
        airport: 'HMO',
        city: 'Hermosillo',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-111.05, 29.09],
      },
    },
    {
      id: 'CUL',
      attributes: {
        airport: 'CUL',
        city: 'Culiacan',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-107.47, 24.77],
      },
    },
    {
      id: 'CFC',
      attributes: {
        airport: 'CFC',
        city: 'Cacador',
        region: 'BR-SC',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-50.94, -26.79],
      },
    },
    {
      id: 'CYF',
      attributes: {
        airport: 'CYF',
        city: 'Chefornak',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-164.2, 60.22],
      },
    },
    {
      id: 'DAD',
      attributes: {
        airport: 'DAD',
        city: 'Da Nang',
        region: "['Vietnam']-VN",
        country: 'Vietnam',
        continent: 'Asia',
        coordinates: [108.2, 16.06],
      },
    },
    {
      id: 'MAF',
      attributes: {
        airport: 'MAF',
        city: 'Midland/Odessa',
        region: 'US-TX',
        country: 'United States',
        continent: 'North America',
        coordinates: [-102.21, 31.94],
      },
    },
    {
      id: 'HRG',
      attributes: {
        airport: 'HRG',
        city: 'Hurghada',
        region: "['Egypt']-EG",
        country: 'Egypt',
        continent: 'Africa',
        coordinates: [33.81, 27.19],
      },
    },
    {
      id: 'BHH',
      attributes: {
        airport: 'BHH',
        city: 'Bisha',
        region: "['Saudi Arabia']-SA",
        country: 'Saudi Arabia',
        continent: 'Asia',
        coordinates: [42.62, 19.99],
      },
    },
    {
      id: 'MXL',
      attributes: {
        airport: 'MXL',
        city: 'Mexicali',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-115.25, 32.63],
      },
    },
    {
      id: 'TKU',
      attributes: {
        airport: 'TKU',
        city: 'Turku',
        region: "['Finland']-FI",
        country: 'Finland',
        continent: 'Europe',
        coordinates: [22.28, 60.51],
      },
    },
    {
      id: 'GDN',
      attributes: {
        airport: 'GDN',
        city: 'Gdansk',
        region: "['Poland']-PL",
        country: 'Poland',
        continent: 'Europe',
        coordinates: [18.47, 54.38],
      },
    },
    {
      id: 'EZE',
      attributes: {
        airport: 'EZE',
        city: 'Buenos Aires',
        region: 'AR-BA',
        country: 'Argentina',
        continent: 'South America',
        coordinates: [-58.54, -34.81],
      },
    },
    {
      id: 'BTT',
      attributes: {
        airport: 'BTT',
        city: 'Bettles',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-151.53, 66.92],
      },
    },
    {
      id: 'LBA',
      attributes: {
        airport: 'LBA',
        city: 'Leeds',
        region: 'GB-EN',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-1.66, 53.87],
      },
    },
    {
      id: 'PNQ',
      attributes: {
        airport: 'PNQ',
        city: 'Pune',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [73.92, 18.58],
      },
    },
    {
      id: 'DYG',
      attributes: {
        airport: 'DYG',
        city: 'Dayong',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [110.45, 29.11],
      },
    },
    {
      id: 'FRU',
      attributes: {
        airport: 'FRU',
        city: 'Bishkek',
        region: "['Kyrgyzstan']-KG",
        country: 'Kyrgyzstan',
        continent: 'Asia',
        coordinates: [74.47, 43.05],
      },
    },
    {
      id: 'ERZ',
      attributes: {
        airport: 'ERZ',
        city: 'Erzurum',
        region: "['Turkey']-TR",
        country: 'Turkey',
        continent: 'Asia',
        coordinates: [41.17, 39.96],
      },
    },
    {
      id: 'BAL',
      attributes: {
        airport: 'BAL',
        city: 'Batman',
        region: "['Turkey']-TR",
        country: 'Turkey',
        continent: 'Asia',
        coordinates: [41.08, 37.92],
      },
    },
    {
      id: 'EUG',
      attributes: {
        airport: 'EUG',
        city: 'Eugene',
        region: 'US-OR',
        country: 'United States',
        continent: 'North America',
        coordinates: [-123.21, 44.12],
      },
    },
    {
      id: 'HDN',
      attributes: {
        airport: 'HDN',
        city: 'Hayden',
        region: 'US-CO',
        country: 'United States',
        continent: 'North America',
        coordinates: [-107.22, 40.48],
      },
    },
    {
      id: 'NCL',
      attributes: {
        airport: 'NCL',
        city: 'Newcastle',
        region: 'GB-EN',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-1.71, 55.04],
      },
    },
    {
      id: 'RAB',
      attributes: {
        airport: 'RAB',
        city: 'Rabaul',
        region: "['Papua New Guinea']-PG",
        country: 'Papua New Guinea',
        continent: 'Oceania',
        coordinates: [152.37, -4.33],
      },
    },
    {
      id: 'HKN',
      attributes: {
        airport: 'HKN',
        city: 'Hoskins',
        region: "['Papua New Guinea']-PG",
        country: 'Papua New Guinea',
        continent: 'Oceania',
        coordinates: [150.4, -5.46],
      },
    },
    {
      id: 'BON',
      attributes: {
        airport: 'BON',
        city: 'Bonaire',
        region: "['Dutch Antilles']-AN",
        country: 'Dutch Antilles',
        continent: 'Central America',
        coordinates: [-68.28, 12.13],
      },
    },
    {
      id: 'FSZ',
      attributes: {
        airport: 'FSZ',
        city: 'Shizuoka',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [138.19, 34.8],
      },
    },
    {
      id: 'ICT',
      attributes: {
        airport: 'ICT',
        city: 'Wichita',
        region: 'US-KS',
        country: 'United States',
        continent: 'North America',
        coordinates: [-97.43, 37.65],
      },
    },
    {
      id: 'FUO',
      attributes: {
        airport: 'FUO',
        city: 'Fuoshan',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [113.28, 23.13],
      },
    },
    {
      id: 'GEG',
      attributes: {
        airport: 'GEG',
        city: 'Spokane',
        region: 'US-WA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-117.54, 47.63],
      },
    },
    {
      id: 'NQY',
      attributes: {
        airport: 'NQY',
        city: 'Newquay',
        region: 'GB-EN',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-5.0, 50.44],
      },
    },
    {
      id: 'GMR',
      attributes: {
        airport: 'GMR',
        city: 'Gambier Island',
        region: "['French Polynesia']-PF",
        country: 'French Polynesia',
        continent: 'Oceania',
        coordinates: [-134.89, -23.08],
      },
    },
    {
      id: 'PSR',
      attributes: {
        airport: 'PSR',
        city: 'Pescara',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [14.19, 42.43],
      },
    },
    {
      id: 'HOU',
      attributes: {
        airport: 'HOU',
        city: 'Houston',
        region: 'US-TX',
        country: 'United States',
        continent: 'North America',
        coordinates: [-95.28, 29.65],
      },
    },
    {
      id: 'SBN',
      attributes: {
        airport: 'SBN',
        city: 'South Bend',
        region: 'US-IN',
        country: 'United States',
        continent: 'North America',
        coordinates: [-86.31, 41.7],
      },
    },
    {
      id: 'HAN',
      attributes: {
        airport: 'HAN',
        city: 'Hanoi',
        region: "['Vietnam']-VN",
        country: 'Vietnam',
        continent: 'Asia',
        coordinates: [105.8, 21.21],
      },
    },
    {
      id: 'HAV',
      attributes: {
        airport: 'HAV',
        city: 'Havana',
        region: "['Cuba']-CU",
        country: 'Cuba',
        continent: 'Central America',
        coordinates: [-82.41, 23.0],
      },
    },
    {
      id: 'SFB',
      attributes: {
        airport: 'SFB',
        city: 'Orlando',
        region: 'US-FL',
        country: 'United States',
        continent: 'North America',
        coordinates: [-81.24, 28.78],
      },
    },
    {
      id: 'HGR',
      attributes: {
        airport: 'HGR',
        city: 'Hagerstown',
        region: 'US-MD',
        country: 'United States',
        continent: 'North America',
        coordinates: [-77.73, 39.71],
      },
    },
    {
      id: 'KTM',
      attributes: {
        airport: 'KTM',
        city: 'Kathmandu',
        region: "['Nepal']-NP",
        country: 'Nepal',
        continent: 'Asia',
        coordinates: [85.36, 27.7],
      },
    },
    {
      id: 'HME',
      attributes: {
        airport: 'HME',
        city: 'Hassi Messaoud',
        region: "['Algeria']-DZ",
        country: 'Algeria',
        continent: 'Africa',
        coordinates: [6.15, 31.68],
      },
    },
    {
      id: 'DNZ',
      attributes: {
        airport: 'DNZ',
        city: 'Denizli',
        region: "['Turkey']-TR",
        country: 'Turkey',
        continent: 'Asia',
        coordinates: [29.7, 37.79],
      },
    },
    {
      id: 'LIT',
      attributes: {
        airport: 'LIT',
        city: 'Little Rock',
        region: 'US-AR',
        country: 'United States',
        continent: 'North America',
        coordinates: [-92.22, 34.73],
      },
    },
    {
      id: 'DGO',
      attributes: {
        airport: 'DGO',
        city: 'Durango',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-104.53, 24.13],
      },
    },
    {
      id: 'KJA',
      attributes: {
        airport: 'KJA',
        city: 'Krasnojarsk',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [92.48, 56.18],
      },
    },
    {
      id: 'GSE',
      attributes: {
        airport: 'GSE',
        city: 'Gothenburg',
        region: "['Sweden']-SE",
        country: 'Sweden',
        continent: 'Europe',
        coordinates: [11.86, 57.78],
      },
    },
    {
      id: 'KUH',
      attributes: {
        airport: 'KUH',
        city: 'Kushiro',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [144.2, 43.05],
      },
    },
    {
      id: 'IYK',
      attributes: {
        airport: 'IYK',
        city: 'Inyokern',
        region: 'US-CA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-117.83, 35.66],
      },
    },
    {
      id: 'JER',
      attributes: {
        airport: 'JER',
        city: 'Jersey',
        region: 'GB-CI',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-2.19, 49.21],
      },
    },
    {
      id: 'SFJ',
      attributes: {
        airport: 'SFJ',
        city: 'Kangerlussuaq',
        region: "['Greenland']-GL",
        country: 'Greenland',
        continent: 'North America',
        coordinates: [-50.72, 67.01],
      },
    },
    {
      id: 'JSU',
      attributes: {
        airport: 'JSU',
        city: 'Maniitsoq',
        region: "['Greenland']-GL",
        country: 'Greenland',
        continent: 'North America',
        coordinates: [-52.9, 65.42],
      },
    },
    {
      id: 'KUN',
      attributes: {
        airport: 'KUN',
        city: 'Kaunas',
        region: "['Lithuania']-LT",
        country: 'Lithuania',
        continent: 'Europe',
        coordinates: [23.92, 54.9],
      },
    },
    {
      id: 'KKH',
      attributes: {
        airport: 'KKH',
        city: 'Kongiganak',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-162.75, 59.97],
      },
    },
    {
      id: 'KWK',
      attributes: {
        airport: 'KWK',
        city: 'Kwigillingok',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-163.13, 59.83],
      },
    },
    {
      id: 'MRY',
      attributes: {
        airport: 'MRY',
        city: 'Monterey',
        region: 'US-CA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-121.85, 36.59],
      },
    },
    {
      id: 'CLO',
      attributes: {
        airport: 'CLO',
        city: 'Cali',
        region: "['Colombia']-CO",
        country: 'Colombia',
        continent: 'South America',
        coordinates: [-76.38, 3.54],
      },
    },
    {
      id: 'MIR',
      attributes: {
        airport: 'MIR',
        city: 'Monastir',
        region: "['Tunisia']-TN",
        country: 'Tunisia',
        continent: 'Africa',
        coordinates: [10.75, 35.76],
      },
    },
    {
      id: 'KZN',
      attributes: {
        airport: 'KZN',
        city: 'Kazan',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [49.3, 55.61],
      },
    },
    {
      id: 'LCJ',
      attributes: {
        airport: 'LCJ',
        city: 'Lodz',
        region: "['Poland']-PL",
        country: 'Poland',
        continent: 'Europe',
        coordinates: [19.4, 51.72],
      },
    },
    {
      id: 'LIH',
      attributes: {
        airport: 'LIH',
        city: 'Kauai Island',
        region: 'US-HI',
        country: 'United States',
        continent: 'North America',
        coordinates: [-159.35, 21.98],
      },
    },
    {
      id: 'LTD',
      attributes: {
        airport: 'LTD',
        city: 'Ghadames',
        region: "['Libya']-LY",
        country: 'Libya',
        continent: 'Africa',
        coordinates: [9.51, 30.13],
      },
    },
    {
      id: 'NAS',
      attributes: {
        airport: 'NAS',
        city: 'Nassau',
        region: "['Bahamas']-BS",
        country: 'Bahamas',
        continent: 'Central America',
        coordinates: [-77.46, 25.05],
      },
    },
    {
      id: 'ADD',
      attributes: {
        airport: 'ADD',
        city: 'Addis Ababa',
        region: "['Ethiopia']-ET",
        country: 'Ethiopia',
        continent: 'Africa',
        coordinates: [38.8, 8.98],
      },
    },
    {
      id: 'FBM',
      attributes: {
        airport: 'FBM',
        city: 'Lubumbashi',
        region: "['Democratic Republic of the Congo']-CD",
        country: 'Democratic Republic of the Congo',
        continent: 'Africa',
        coordinates: [27.53, -11.59],
      },
    },
    {
      id: 'SBH',
      attributes: {
        airport: 'SBH',
        city: 'Saint Barthelemy',
        region: "['Guadeloupe']-GP",
        country: 'Guadeloupe',
        continent: 'Central America',
        coordinates: [-62.85, 17.9],
      },
    },
    {
      id: 'NEV',
      attributes: {
        airport: 'NEV',
        city: 'Nevis',
        region: "['Saint Kitts and Nevis']-KN",
        country: 'Saint Kitts and Nevis',
        continent: 'Central America',
        coordinates: [-62.59, 17.2],
      },
    },
    {
      id: 'NKG',
      attributes: {
        airport: 'NKG',
        city: 'Nanking',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [118.87, 31.74],
      },
    },
    {
      id: 'CDB',
      attributes: {
        airport: 'CDB',
        city: 'Cold Bay',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-162.72, 55.2],
      },
    },
    {
      id: 'NLG',
      attributes: {
        airport: 'NLG',
        city: 'Nelson Lagoon',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-161.15, 56.0],
      },
    },
    {
      id: 'TMU',
      attributes: {
        airport: 'TMU',
        city: 'Tambor',
        region: "['Costa Rica']-CR",
        country: 'Costa Rica',
        continent: 'Central America',
        coordinates: [-85.02, 9.73],
      },
    },
    {
      id: 'NOB',
      attributes: {
        airport: 'NOB',
        city: 'Nosara Beach',
        region: "['Costa Rica']-CR",
        country: 'Costa Rica',
        continent: 'Central America',
        coordinates: [-85.53, 9.8],
      },
    },
    {
      id: 'LEQ',
      attributes: {
        airport: 'LEQ',
        city: 'Lands End',
        region: 'GB-EN',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-5.73, 50.05],
      },
    },
    {
      id: 'MCY',
      attributes: {
        airport: 'MCY',
        city: 'Sunshine Coast',
        region: 'AU-QLD',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [153.09, -26.61],
      },
    },
    {
      id: 'COU',
      attributes: {
        airport: 'COU',
        city: 'Columbia',
        region: 'US-MO',
        country: 'United States',
        continent: 'North America',
        coordinates: [-92.22, 38.81],
      },
    },
    {
      id: 'PNS',
      attributes: {
        airport: 'PNS',
        city: 'Pensacola',
        region: 'US-FL',
        country: 'United States',
        continent: 'North America',
        coordinates: [-87.19, 30.48],
      },
    },
    {
      id: 'MFE',
      attributes: {
        airport: 'MFE',
        city: 'McAllen',
        region: 'US-TX',
        country: 'United States',
        continent: 'North America',
        coordinates: [-98.24, 26.18],
      },
    },
    {
      id: 'MFM',
      attributes: {
        airport: 'MFM',
        city: 'Macau',
        region: "['Macau']-MO",
        country: 'Macau',
        continent: 'Asia',
        coordinates: [113.57, 22.16],
      },
    },
    {
      id: 'LEA',
      attributes: {
        airport: 'LEA',
        city: 'Learmonth',
        region: 'AU-WA',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [114.09, -22.24],
      },
    },
    {
      id: 'MJK',
      attributes: {
        airport: 'MJK',
        city: 'Monkey Mia',
        region: 'AU-WA',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [113.58, -25.89],
      },
    },
    {
      id: 'PIK',
      attributes: {
        airport: 'PIK',
        city: 'Glasgow',
        region: 'GB-SC',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-4.61, 55.51],
      },
    },
    {
      id: 'MJV',
      attributes: {
        airport: 'MJV',
        city: 'Murcia',
        region: 'ES-SP',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [-0.82, 37.78],
      },
    },
    {
      id: 'TRN',
      attributes: {
        airport: 'TRN',
        city: 'Turin',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [7.64, 45.19],
      },
    },
    {
      id: 'AXT',
      attributes: {
        airport: 'AXT',
        city: 'Akita',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [140.22, 39.61],
      },
    },
    {
      id: 'OKJ',
      attributes: {
        airport: 'OKJ',
        city: 'Okayama',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [133.85, 34.76],
      },
    },
    {
      id: 'WMO',
      attributes: {
        airport: 'WMO',
        city: 'White Mountain',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-163.41, 64.69],
      },
    },
    {
      id: 'OME',
      attributes: {
        airport: 'OME',
        city: 'Nome',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-165.44, 64.51],
      },
    },
    {
      id: 'PUJ',
      attributes: {
        airport: 'PUJ',
        city: 'Punta Cana',
        region: "['Dominican Republic']-DO",
        country: 'Dominican Republic',
        continent: 'Central America',
        coordinates: [-68.36, 18.56],
      },
    },
    {
      id: 'CFE',
      attributes: {
        airport: 'CFE',
        city: 'Clermont-Ferrand',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [3.16, 45.78],
      },
    },
    {
      id: 'LDE',
      attributes: {
        airport: 'LDE',
        city: 'Lourdes',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [0.0, 43.19],
      },
    },
    {
      id: 'AZN',
      attributes: {
        airport: 'AZN',
        city: 'Andizhan',
        region: "['Uzbekistan']-UZ",
        country: 'Uzbekistan',
        continent: 'Asia',
        coordinates: [72.3, 40.73],
      },
    },
    {
      id: 'ELS',
      attributes: {
        airport: 'ELS',
        city: 'East London',
        region: "['South Africa']-ZA",
        country: 'South Africa',
        continent: 'Africa',
        coordinates: [27.83, -33.04],
      },
    },
    {
      id: 'PLZ',
      attributes: {
        airport: 'PLZ',
        city: 'Port Elizabeth',
        region: "['South Africa']-ZA",
        country: 'South Africa',
        continent: 'Africa',
        coordinates: [25.61, -33.98],
      },
    },
    {
      id: 'REP',
      attributes: {
        airport: 'REP',
        city: 'Siem Reap',
        region: "['Cambodia']-KH",
        country: 'Cambodia',
        continent: 'Asia',
        coordinates: [103.82, 13.41],
      },
    },
    {
      id: 'PNZ',
      attributes: {
        airport: 'PNZ',
        city: 'Petrolina',
        region: 'BR-PE',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-40.49, -9.39],
      },
    },
    {
      id: 'TIH',
      attributes: {
        airport: 'TIH',
        city: 'Tikehau Atoll',
        region: "['French Polynesia']-PF",
        country: 'French Polynesia',
        continent: 'Oceania',
        coordinates: [-148.23, -15.12],
      },
    },
    {
      id: 'SPU',
      attributes: {
        airport: 'SPU',
        city: 'Split',
        region: "['Croatia']-HR",
        country: 'Croatia',
        continent: 'Europe',
        coordinates: [16.3, 43.54],
      },
    },
    {
      id: 'BGA',
      attributes: {
        airport: 'BGA',
        city: 'Bucaramanga',
        region: "['Colombia']-CO",
        country: 'Colombia',
        continent: 'South America',
        coordinates: [-73.18, 7.13],
      },
    },
    {
      id: 'RVE',
      attributes: {
        airport: 'RVE',
        city: 'Saravena',
        region: "['Colombia']-CO",
        country: 'Colombia',
        continent: 'South America',
        coordinates: [-71.9, 6.92],
      },
    },
    {
      id: 'TAI',
      attributes: {
        airport: 'TAI',
        city: 'Taiz',
        region: "['Yemen']-YE",
        country: 'Yemen',
        continent: 'Asia',
        coordinates: [44.13, 13.69],
      },
    },
    {
      id: 'SAH',
      attributes: {
        airport: 'SAH',
        city: "Sanaa'",
        region: "['Yemen']-YE",
        country: 'Yemen',
        continent: 'Asia',
        coordinates: [44.23, 15.47],
      },
    },
    {
      id: 'BZE',
      attributes: {
        airport: 'BZE',
        city: 'Belize City',
        region: "['Belize']-BZ",
        country: 'Belize',
        continent: 'Central America',
        coordinates: [-88.19, 17.52],
      },
    },
    {
      id: 'SAT',
      attributes: {
        airport: 'SAT',
        city: 'San Antonio',
        region: 'US-TX',
        country: 'United States',
        continent: 'North America',
        coordinates: [-98.47, 29.52],
      },
    },
    {
      id: 'PRN',
      attributes: {
        airport: 'PRN',
        city: 'Pristina',
        region: "['Serbia']-RS",
        country: 'Serbia',
        continent: 'Europe',
        coordinates: [21.04, 42.57],
      },
    },
    {
      id: 'PSE',
      attributes: {
        airport: 'PSE',
        city: 'Ponce',
        region: "['Puerto Rico']-PR",
        country: 'Puerto Rico',
        continent: 'Central America',
        coordinates: [-66.56, 18.01],
      },
    },
    {
      id: 'MWX',
      attributes: {
        airport: 'MWX',
        city: 'Gwangju',
        region: "['South Korea']-KR",
        country: 'South Korea',
        continent: 'Asia',
        coordinates: [126.38, 34.99],
      },
    },
    {
      id: 'YXE',
      attributes: {
        airport: 'YXE',
        city: 'Saskatoon',
        region: 'CA-SK',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-106.69, 52.17],
      },
    },
    {
      id: 'RHO',
      attributes: {
        airport: 'RHO',
        city: 'Rhodes',
        region: "['Greece']-GR",
        country: 'Greece',
        continent: 'Europe',
        coordinates: [28.09, 36.4],
      },
    },
    {
      id: 'MJT',
      attributes: {
        airport: 'MJT',
        city: 'Mytilene',
        region: "['Greece']-GR",
        country: 'Greece',
        continent: 'Europe',
        coordinates: [26.6, 39.06],
      },
    },
    {
      id: 'ROB',
      attributes: {
        airport: 'ROB',
        city: 'Monrovia',
        region: "['Liberia']-LR",
        country: 'Liberia',
        continent: 'Africa',
        coordinates: [-10.36, 6.24],
      },
    },
    {
      id: 'NOV',
      attributes: {
        airport: 'NOV',
        city: 'Huambo',
        region: "['Angola']-AO",
        country: 'Angola',
        continent: 'Africa',
        coordinates: [15.76, -12.81],
      },
    },
    {
      id: 'SDD',
      attributes: {
        airport: 'SDD',
        city: 'Lubango',
        region: "['Angola']-AO",
        country: 'Angola',
        continent: 'Africa',
        coordinates: [13.58, -14.92],
      },
    },
    {
      id: 'ELM',
      attributes: {
        airport: 'ELM',
        city: 'Elmira',
        region: 'US-NY',
        country: 'United States',
        continent: 'North America',
        coordinates: [-76.9, 42.16],
      },
    },
    {
      id: 'BEN',
      attributes: {
        airport: 'BEN',
        city: 'Benghazi',
        region: "['Libya']-LY",
        country: 'Libya',
        continent: 'Africa',
        coordinates: [20.26, 32.09],
      },
    },
    {
      id: 'TWF',
      attributes: {
        airport: 'TWF',
        city: 'Twin Falls',
        region: 'US-ID',
        country: 'United States',
        continent: 'North America',
        coordinates: [-114.49, 42.48],
      },
    },
    {
      id: 'TXN',
      attributes: {
        airport: 'TXN',
        city: 'Tunxi',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [118.26, 29.73],
      },
    },
    {
      id: 'SBZ',
      attributes: {
        airport: 'SBZ',
        city: 'Sibiu',
        region: "['Romania']-RO",
        country: 'Romania',
        continent: 'Europe',
        coordinates: [24.09, 45.79],
      },
    },
    {
      id: 'MES',
      attributes: {
        airport: 'MES',
        city: 'Medan',
        region: "['Indonesia']-ID",
        country: 'Indonesia',
        continent: 'Asia',
        coordinates: [98.67, 3.56],
      },
    },
    {
      id: 'SKT',
      attributes: {
        airport: 'SKT',
        city: 'Sialkot',
        region: "['Pakistan']-PK",
        country: 'Pakistan',
        continent: 'Asia',
        coordinates: [74.5, 32.53],
      },
    },
    {
      id: 'BPS',
      attributes: {
        airport: 'BPS',
        city: 'Porto Seguro',
        region: 'BR-BA',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-39.08, -16.44],
      },
    },
    {
      id: 'SSA',
      attributes: {
        airport: 'SSA',
        city: 'Salvador',
        region: 'BR-BA',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-38.34, -12.91],
      },
    },
    {
      id: 'STI',
      attributes: {
        airport: 'STI',
        city: 'Santiago',
        region: "['Dominican Republic']-DO",
        country: 'Dominican Republic',
        continent: 'Central America',
        coordinates: [-70.6, 19.4],
      },
    },
    {
      id: 'BFS',
      attributes: {
        airport: 'BFS',
        city: 'Belfast',
        region: 'GB-NI',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-6.22, 54.66],
      },
    },
    {
      id: 'STT',
      attributes: {
        airport: 'STT',
        city: 'Saint Thomas',
        region: "['U.S. Virgin Islands']-VI",
        country: 'U.S. Virgin Islands',
        continent: 'Central America',
        coordinates: [-64.97, 18.34],
      },
    },
    {
      id: 'KKN',
      attributes: {
        airport: 'KKN',
        city: 'Kirkenes',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [29.89, 69.72],
      },
    },
    {
      id: 'BLJ',
      attributes: {
        airport: 'BLJ',
        city: 'Batna',
        region: "['Algeria']-DZ",
        country: 'Algeria',
        continent: 'Africa',
        coordinates: [6.18, 35.57],
      },
    },
    {
      id: 'CBT',
      attributes: {
        airport: 'CBT',
        city: 'Catumbela',
        region: "['Angola']-AO",
        country: 'Angola',
        continent: 'Africa',
        coordinates: [13.48, -12.48],
      },
    },
    {
      id: 'VPE',
      attributes: {
        airport: 'VPE',
        city: 'Ongiva',
        region: "['Angola']-AO",
        country: 'Angola',
        continent: 'Africa',
        coordinates: [15.7, -17.05],
      },
    },
    {
      id: 'VRN',
      attributes: {
        airport: 'VRN',
        city: 'Verona',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [10.91, 45.4],
      },
    },
    {
      id: 'WGA',
      attributes: {
        airport: 'WGA',
        city: 'Wagga Wagga',
        region: 'AU-NSW',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [147.47, -35.16],
      },
    },
    {
      id: 'MYD',
      attributes: {
        airport: 'MYD',
        city: 'Malindi',
        region: "['Kenya']-KE",
        country: 'Kenya',
        continent: 'Africa',
        coordinates: [40.1, -3.23],
      },
    },
    {
      id: 'WIL',
      attributes: {
        airport: 'WIL',
        city: 'Nairobi',
        region: "['Kenya']-KE",
        country: 'Kenya',
        continent: 'Africa',
        coordinates: [36.81, -1.32],
      },
    },
    {
      id: 'WUX',
      attributes: {
        airport: 'WUX',
        city: 'Wuxi',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [120.42, 31.49],
      },
    },
    {
      id: 'TJM',
      attributes: {
        airport: 'TJM',
        city: 'Tyumen',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [65.35, 57.18],
      },
    },
    {
      id: 'TBO',
      attributes: {
        airport: 'TBO',
        city: 'Tabora',
        region: "['Tanzania']-TZ",
        country: 'Tanzania',
        continent: 'Africa',
        coordinates: [32.84, -5.07],
      },
    },
    {
      id: 'TKQ',
      attributes: {
        airport: 'TKQ',
        city: 'Kigoma',
        region: "['Tanzania']-TZ",
        country: 'Tanzania',
        continent: 'Africa',
        coordinates: [29.67, -4.88],
      },
    },
    {
      id: 'TOL',
      attributes: {
        airport: 'TOL',
        city: 'Toledo',
        region: 'US-OH',
        country: 'United States',
        continent: 'North America',
        coordinates: [-83.81, 41.59],
      },
    },
    {
      id: 'XNN',
      attributes: {
        airport: 'XNN',
        city: 'Xining',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [102.04, 36.53],
      },
    },
    {
      id: 'TUB',
      attributes: {
        airport: 'TUB',
        city: 'Tubuai Island',
        region: "['French Polynesia']-PF",
        country: 'French Polynesia',
        continent: 'Oceania',
        coordinates: [-149.47, -23.35],
      },
    },
    {
      id: 'TXK',
      attributes: {
        airport: 'TXK',
        city: 'Texarkana',
        region: 'US-AR',
        country: 'United States',
        continent: 'North America',
        coordinates: [-93.99, 33.46],
      },
    },
    {
      id: 'NSK',
      attributes: {
        airport: 'NSK',
        city: "Norilsk'",
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [87.34, 69.32],
      },
    },
    {
      id: 'UPG',
      attributes: {
        airport: 'UPG',
        city: 'Ujung Pandang',
        region: "['Indonesia']-ID",
        country: 'Indonesia',
        continent: 'Asia',
        coordinates: [119.55, -5.06],
      },
    },
    {
      id: 'VAA',
      attributes: {
        airport: 'VAA',
        city: 'Vaasa',
        region: "['Finland']-FI",
        country: 'Finland',
        continent: 'Europe',
        coordinates: [21.76, 63.04],
      },
    },
    {
      id: 'VBY',
      attributes: {
        airport: 'VBY',
        city: 'Visby',
        region: "['Sweden']-SE",
        country: 'Sweden',
        continent: 'Europe',
        coordinates: [18.34, 57.66],
      },
    },
    {
      id: 'YCB',
      attributes: {
        airport: 'YCB',
        city: 'Cambridge Bay',
        region: 'CA-NU',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-105.13, 69.1],
      },
    },
    {
      id: 'YHK',
      attributes: {
        airport: 'YHK',
        city: 'Gjoa Haven',
        region: 'CA-NU',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-95.95, 68.63],
      },
    },
    {
      id: 'YKA',
      attributes: {
        airport: 'YKA',
        city: 'Kamloops',
        region: 'CA-BC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-120.44, 50.71],
      },
    },
    {
      id: 'YKL',
      attributes: {
        airport: 'YKL',
        city: 'Schefferville',
        region: 'CA-QC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-64.82, 54.78],
      },
    },
    {
      id: 'DLA',
      attributes: {
        airport: 'DLA',
        city: 'Douala',
        region: "['Cameroon']-CM",
        country: 'Cameroon',
        continent: 'Africa',
        coordinates: [9.72, 4.01],
      },
    },
    {
      id: 'YYY',
      attributes: {
        airport: 'YYY',
        city: 'Mont Joli',
        region: 'CA-QC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-68.2, 48.6],
      },
    },
    {
      id: 'YWG',
      attributes: {
        airport: 'YWG',
        city: 'Winnipeg',
        region: 'CA-MB',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-97.23, 49.9],
      },
    },
    {
      id: 'YTH',
      attributes: {
        airport: 'YTH',
        city: 'Thompson',
        region: 'CA-MB',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-97.86, 55.8],
      },
    },
    {
      id: 'YXX',
      attributes: {
        airport: 'YXX',
        city: 'Abbotsford',
        region: 'CA-BC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-122.36, 49.03],
      },
    },
    {
      id: 'YZF',
      attributes: {
        airport: 'YZF',
        city: 'Yellowknife',
        region: 'CA-NT',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-114.44, 62.47],
      },
    },
    {
      id: 'BRW',
      attributes: {
        airport: 'BRW',
        city: 'Barrow',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-156.78, 71.29],
      },
    },
    {
      id: 'CDV',
      attributes: {
        airport: 'CDV',
        city: 'Cordova',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-145.47, 60.49],
      },
    },
    {
      id: 'AGS',
      attributes: {
        airport: 'AGS',
        city: 'Augusta',
        region: 'US-GA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-81.97, 33.37],
      },
    },
    {
      id: 'FPO',
      attributes: {
        airport: 'FPO',
        city: 'Freeport',
        region: "['Bahamas']-BS",
        country: 'Bahamas',
        continent: 'Central America',
        coordinates: [-78.71, 26.55],
      },
    },
    {
      id: 'RTB',
      attributes: {
        airport: 'RTB',
        city: 'Roatan',
        region: "['Honduras']-HN",
        country: 'Honduras',
        continent: 'Central America',
        coordinates: [-86.53, 16.32],
      },
    },
    {
      id: 'ATT',
      attributes: {
        airport: 'ATT',
        city: 'Atmautluak',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-162.27, 60.87],
      },
    },
    {
      id: 'BAX',
      attributes: {
        airport: 'BAX',
        city: 'Barnaul',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [83.55, 53.36],
      },
    },
    {
      id: 'ALA',
      attributes: {
        airport: 'ALA',
        city: 'Almaty',
        region: "['Kazakhstan']-KZ",
        country: 'Kazakhstan',
        continent: 'Asia',
        coordinates: [77.01, 43.35],
      },
    },
    {
      id: 'DAR',
      attributes: {
        airport: 'DAR',
        city: 'Dar Es Salaam',
        region: "['Tanzania']-TZ",
        country: 'Tanzania',
        continent: 'Africa',
        coordinates: [39.2, -6.87],
      },
    },
    {
      id: 'CWL',
      attributes: {
        airport: 'CWL',
        city: 'Cardiff',
        region: 'GB-WL',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-3.34, 51.4],
      },
    },
    {
      id: 'VLY',
      attributes: {
        airport: 'VLY',
        city: 'Anglesey',
        region: "['United Kingdom']-GB",
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-4.53, 53.25],
      },
    },
    {
      id: 'BJL',
      attributes: {
        airport: 'BJL',
        city: 'Banjul',
        region: "['Gambia']-GM",
        country: 'Gambia',
        continent: 'Africa',
        coordinates: [-16.65, 13.34],
      },
    },
    {
      id: 'CKY',
      attributes: {
        airport: 'CKY',
        city: 'Conakry',
        region: "['Guinea']-GN",
        country: 'Guinea',
        continent: 'Africa',
        coordinates: [-13.62, 9.58],
      },
    },
    {
      id: 'AMI',
      attributes: {
        airport: 'AMI',
        city: 'Mataram',
        region: "['Indonesia']-ID",
        country: 'Indonesia',
        continent: 'Asia',
        coordinates: [116.1, -8.56],
      },
    },
    {
      id: 'BMU',
      attributes: {
        airport: 'BMU',
        city: 'Bima',
        region: "['Indonesia']-ID",
        country: 'Indonesia',
        continent: 'Asia',
        coordinates: [118.92, -8.5],
      },
    },
    {
      id: 'BOJ',
      attributes: {
        airport: 'BOJ',
        city: 'Bourgas',
        region: "['Bulgaria']-BG",
        country: 'Bulgaria',
        continent: 'Europe',
        coordinates: [27.28, 42.42],
      },
    },
    {
      id: 'BHU',
      attributes: {
        airport: 'BHU',
        city: 'Bhavnagar',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [72.18, 21.75],
      },
    },
    {
      id: 'AUX',
      attributes: {
        airport: 'AUX',
        city: 'Araguaina',
        region: 'BR-TO',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-48.2, -7.2],
      },
    },
    {
      id: 'CMH',
      attributes: {
        airport: 'CMH',
        city: 'Columbus',
        region: 'US-OH',
        country: 'United States',
        continent: 'North America',
        coordinates: [-82.88, 40.0],
      },
    },
    {
      id: 'BRM',
      attributes: {
        airport: 'BRM',
        city: 'Barquisimeto',
        region: "['Venezuela']-VE",
        country: 'Venezuela',
        continent: 'South America',
        coordinates: [-69.36, 10.05],
      },
    },
    {
      id: 'PNR',
      attributes: {
        airport: 'PNR',
        city: 'Pointe Noire',
        region: "['Republic of the Congo']-CG",
        country: 'Republic of the Congo',
        continent: 'Africa',
        coordinates: [11.88, -4.81],
      },
    },
    {
      id: 'CXJ',
      attributes: {
        airport: 'CXJ',
        city: 'Caxias Do Sul',
        region: 'BR-RS',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-51.18, -29.17],
      },
    },
    {
      id: 'CHM',
      attributes: {
        airport: 'CHM',
        city: 'Chimbote',
        region: "['Peru']-PE",
        country: 'Peru',
        continent: 'South America',
        coordinates: [-78.53, -9.15],
      },
    },
    {
      id: 'COS',
      attributes: {
        airport: 'COS',
        city: 'Colorado Springs',
        region: 'US-CO',
        country: 'United States',
        continent: 'North America',
        coordinates: [-104.7, 38.8],
      },
    },
    {
      id: 'SJJ',
      attributes: {
        airport: 'SJJ',
        city: 'Sarajevo',
        region: "['Bosnia and Herzegovina']-BA",
        country: 'Bosnia and Herzegovina',
        continent: 'Europe',
        coordinates: [18.34, 43.83],
      },
    },
    {
      id: 'MTR',
      attributes: {
        airport: 'MTR',
        city: 'Monteria',
        region: "['Colombia']-CO",
        country: 'Colombia',
        continent: 'South America',
        coordinates: [-75.82, 8.83],
      },
    },
    {
      id: 'CTG',
      attributes: {
        airport: 'CTG',
        city: 'Cartagena',
        region: "['Colombia']-CO",
        country: 'Colombia',
        continent: 'South America',
        coordinates: [-75.52, 10.45],
      },
    },
    {
      id: 'ORF',
      attributes: {
        airport: 'ORF',
        city: 'Norfolk',
        region: 'US-VA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-76.21, 36.9],
      },
    },
    {
      id: 'DLM',
      attributes: {
        airport: 'DLM',
        city: 'Dalaman',
        region: "['Turkey']-TR",
        country: 'Turkey',
        continent: 'Asia',
        coordinates: [28.78, 36.72],
      },
    },
    {
      id: 'TIF',
      attributes: {
        airport: 'TIF',
        city: 'Taif',
        region: "['Saudi Arabia']-SA",
        country: 'Saudi Arabia',
        continent: 'Asia',
        coordinates: [40.55, 21.48],
      },
    },
    {
      id: 'CBR',
      attributes: {
        airport: 'CBR',
        city: 'Canberra',
        region: 'AU-ACT',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [149.19, -35.31],
      },
    },
    {
      id: 'CVN',
      attributes: {
        airport: 'CVN',
        city: 'Clovis',
        region: 'US-NM',
        country: 'United States',
        continent: 'North America',
        coordinates: [-103.08, 34.43],
      },
    },
    {
      id: 'CZM',
      attributes: {
        airport: 'CZM',
        city: 'Cozumel',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-86.93, 20.51],
      },
    },
    {
      id: 'RDM',
      attributes: {
        airport: 'RDM',
        city: 'Redmond',
        region: 'US-OR',
        country: 'United States',
        continent: 'North America',
        coordinates: [-121.16, 44.25],
      },
    },
    {
      id: 'DBV',
      attributes: {
        airport: 'DBV',
        city: 'Dubrovnik',
        region: "['Croatia']-HR",
        country: 'Croatia',
        continent: 'Europe',
        coordinates: [18.26, 42.56],
      },
    },
    {
      id: 'COD',
      attributes: {
        airport: 'COD',
        city: 'Cody',
        region: 'US-WY',
        country: 'United States',
        continent: 'North America',
        coordinates: [-109.03, 44.52],
      },
    },
    {
      id: 'SOU',
      attributes: {
        airport: 'SOU',
        city: 'Southampton',
        region: 'GB-EN',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-1.36, 50.95],
      },
    },
    {
      id: 'SUF',
      attributes: {
        airport: 'SUF',
        city: 'Lamezia-Terme',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [16.24, 38.91],
      },
    },
    {
      id: 'CGY',
      attributes: {
        airport: 'CGY',
        city: 'Cagayan De Oro',
        region: "['Philippines']-PH",
        country: 'Philippines',
        continent: 'Asia',
        coordinates: [124.61, 8.41],
      },
    },
    {
      id: 'DVO',
      attributes: {
        airport: 'DVO',
        city: 'Davao',
        region: "['Philippines']-PH",
        country: 'Philippines',
        continent: 'Asia',
        coordinates: [125.64, 7.13],
      },
    },
    {
      id: 'FMM',
      attributes: {
        airport: 'FMM',
        city: 'Memmingen',
        region: "['Germany']-DE",
        country: 'Germany',
        continent: 'Europe',
        coordinates: [10.24, 47.99],
      },
    },
    {
      id: 'ELH',
      attributes: {
        airport: 'ELH',
        city: 'North Eleuthera',
        region: "['Bahamas']-BS",
        country: 'Bahamas',
        continent: 'Central America',
        coordinates: [-76.68, 25.48],
      },
    },
    {
      id: 'LIR',
      attributes: {
        airport: 'LIR',
        city: 'Liberia',
        region: "['Costa Rica']-CR",
        country: 'Costa Rica',
        continent: 'Central America',
        coordinates: [-85.54, 10.6],
      },
    },
    {
      id: 'KEF',
      attributes: {
        airport: 'KEF',
        city: 'Reykjavik',
        region: "['Iceland']-IS",
        country: 'Iceland',
        continent: 'Europe',
        coordinates: [-22.62, 64.0],
      },
    },
    {
      id: 'MZH',
      attributes: {
        airport: 'MZH',
        city: 'Merzifon',
        region: "['Turkey']-TR",
        country: 'Turkey',
        continent: 'Asia',
        coordinates: [35.53, 40.88],
      },
    },
    {
      id: 'SZF',
      attributes: {
        airport: 'SZF',
        city: 'Samsun',
        region: "['Turkey']-TR",
        country: 'Turkey',
        continent: 'Asia',
        coordinates: [36.56, 41.26],
      },
    },
    {
      id: 'IVL',
      attributes: {
        airport: 'IVL',
        city: 'Ivalo',
        region: "['Finland']-FI",
        country: 'Finland',
        continent: 'Europe',
        coordinates: [27.42, 68.61],
      },
    },
    {
      id: 'KUO',
      attributes: {
        airport: 'KUO',
        city: 'Kuopio',
        region: "['Finland']-FI",
        country: 'Finland',
        continent: 'Europe',
        coordinates: [27.79, 63.01],
      },
    },
    {
      id: 'CIF',
      attributes: {
        airport: 'CIF',
        city: 'Chifeng',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [118.91, 42.24],
      },
    },
    {
      id: 'JKR',
      attributes: {
        airport: 'JKR',
        city: 'Janakpur',
        region: "['Nepal']-NP",
        country: 'Nepal',
        continent: 'Asia',
        coordinates: [85.92, 26.71],
      },
    },
    {
      id: 'AKJ',
      attributes: {
        airport: 'AKJ',
        city: 'Asahikawa',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [142.45, 43.67],
      },
    },
    {
      id: 'BQS',
      attributes: {
        airport: 'BQS',
        city: 'Blagoveschensk',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [127.4, 50.42],
      },
    },
    {
      id: 'HTA',
      attributes: {
        airport: 'HTA',
        city: 'Chita',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [113.3, 52.03],
      },
    },
    {
      id: 'RJA',
      attributes: {
        airport: 'RJA',
        city: 'Rajahmundry',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [81.82, 17.11],
      },
    },
    {
      id: 'HYD',
      attributes: {
        airport: 'HYD',
        city: 'Hyderabad',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [78.47, 17.45],
      },
    },
    {
      id: 'IBZ',
      attributes: {
        airport: 'IBZ',
        city: 'Ibiza',
        region: 'ES-SP',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [1.37, 38.88],
      },
    },
    {
      id: 'LDB',
      attributes: {
        airport: 'LDB',
        city: 'Londrina',
        region: 'BR-PR',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-51.14, -23.33],
      },
    },
    {
      id: 'IGU',
      attributes: {
        airport: 'IGU',
        city: 'Iguassu Falls',
        region: 'BR-PR',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-54.49, -25.6],
      },
    },
    {
      id: 'ILI',
      attributes: {
        airport: 'ILI',
        city: 'Iliamna',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-154.91, 59.75],
      },
    },
    {
      id: 'ILM',
      attributes: {
        airport: 'ILM',
        city: 'Wilmington',
        region: 'US-NC',
        country: 'United States',
        continent: 'North America',
        coordinates: [-77.91, 34.27],
      },
    },
    {
      id: 'INH',
      attributes: {
        airport: 'INH',
        city: 'Inhambane',
        region: "['Mozambique']-MZ",
        country: 'Mozambique',
        continent: 'Africa',
        coordinates: [35.41, -23.87],
      },
    },
    {
      id: 'IOM',
      attributes: {
        airport: 'IOM',
        city: 'Isle Of Man',
        region: "['United Kingdom']-GB",
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-4.63, 54.09],
      },
    },
    {
      id: 'JNS',
      attributes: {
        airport: 'JNS',
        city: 'Narsaq',
        region: "['Greenland']-GL",
        country: 'Greenland',
        continent: 'North America',
        coordinates: [-46.05, 60.92],
      },
    },
    {
      id: 'JSH',
      attributes: {
        airport: 'JSH',
        city: 'Sitia',
        region: "['Greece']-GR",
        country: 'Greece',
        continent: 'Europe',
        coordinates: [26.12, 35.22],
      },
    },
    {
      id: 'KBL',
      attributes: {
        airport: 'KBL',
        city: 'Kabul',
        region: "['Afghanistan']-AF",
        country: 'Afghanistan',
        continent: 'Asia',
        coordinates: [69.21, 34.56],
      },
    },
    {
      id: 'DLG',
      attributes: {
        airport: 'DLG',
        city: 'Dillingham',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-158.51, 59.04],
      },
    },
    {
      id: 'KGK',
      attributes: {
        airport: 'KGK',
        city: 'New Koliganek',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-157.23, 59.8],
      },
    },
    {
      id: 'KIN',
      attributes: {
        airport: 'KIN',
        city: 'Kingston',
        region: "['Jamaica']-JM",
        country: 'Jamaica',
        continent: 'Central America',
        coordinates: [-76.78, 17.94],
      },
    },
    {
      id: 'NJC',
      attributes: {
        airport: 'NJC',
        city: 'Nizhnevartovsk',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [76.49, 60.95],
      },
    },
    {
      id: 'KMC',
      attributes: {
        airport: 'KMC',
        city: 'King Khalid Military City',
        region: "['Saudi Arabia']-SA",
        country: 'Saudi Arabia',
        continent: 'Asia',
        coordinates: [45.52, 27.91],
      },
    },
    {
      id: 'CGD',
      attributes: {
        airport: 'CGD',
        city: 'Changde',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [111.64, 28.92],
      },
    },
    {
      id: 'WRY',
      attributes: {
        airport: 'WRY',
        city: 'Westray',
        region: 'GB-SC',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-2.95, 59.35],
      },
    },
    {
      id: 'KOI',
      attributes: {
        airport: 'KOI',
        city: 'Kirkwall',
        region: 'GB-SC',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-2.97, 58.96],
      },
    },
    {
      id: 'KWE',
      attributes: {
        airport: 'KWE',
        city: 'Guiyang',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [106.8, 26.54],
      },
    },
    {
      id: 'EMK',
      attributes: {
        airport: 'EMK',
        city: 'Emmonak',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-164.52, 62.78],
      },
    },
    {
      id: 'VNS',
      attributes: {
        airport: 'VNS',
        city: 'Varanasi',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [82.85, 25.45],
      },
    },
    {
      id: 'KUF',
      attributes: {
        airport: 'KUF',
        city: 'Samara',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [50.15, 53.51],
      },
    },
    {
      id: 'FNT',
      attributes: {
        airport: 'FNT',
        city: 'Flint',
        region: 'US-MI',
        country: 'United States',
        continent: 'North America',
        coordinates: [-83.74, 42.97],
      },
    },
    {
      id: 'MVD',
      attributes: {
        airport: 'MVD',
        city: 'Montevideo',
        region: "['Uruguay']-UY",
        country: 'Uruguay',
        continent: 'South America',
        coordinates: [-56.03, -34.84],
      },
    },
    {
      id: 'GLH',
      attributes: {
        airport: 'GLH',
        city: 'Greenville',
        region: 'US-MS',
        country: 'United States',
        continent: 'North America',
        coordinates: [-90.98, 33.48],
      },
    },
    {
      id: 'MRE',
      attributes: {
        airport: 'MRE',
        city: 'Mara Lodges',
        region: "['Kenya']-KE",
        country: 'Kenya',
        continent: 'Africa',
        coordinates: [35.06, -1.3],
      },
    },
    {
      id: 'MYJ',
      attributes: {
        airport: 'MYJ',
        city: 'Matsuyama',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [132.7, 33.82],
      },
    },
    {
      id: 'RMF',
      attributes: {
        airport: 'RMF',
        city: 'Marsa Alam',
        region: "['Egypt']-EG",
        country: 'Egypt',
        continent: 'Africa',
        coordinates: [34.59, 25.56],
      },
    },
    {
      id: 'SCQ',
      attributes: {
        airport: 'SCQ',
        city: 'Santiago De Compostela',
        region: 'ES-SP',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [-8.42, 42.9],
      },
    },
    {
      id: 'PZO',
      attributes: {
        airport: 'PZO',
        city: 'Puerto Ordaz',
        region: "['Venezuela']-VE",
        country: 'Venezuela',
        continent: 'South America',
        coordinates: [-62.76, 8.29],
      },
    },
    {
      id: 'PIE',
      attributes: {
        airport: 'PIE',
        city: 'Saint Petersburg',
        region: 'US-FL',
        country: 'United States',
        continent: 'North America',
        coordinates: [-82.7, 27.91],
      },
    },
    {
      id: 'RFD',
      attributes: {
        airport: 'RFD',
        city: 'Rockford',
        region: 'US-IL',
        country: 'United States',
        continent: 'North America',
        coordinates: [-89.22, 42.3],
      },
    },
    {
      id: 'TGM',
      attributes: {
        airport: 'TGM',
        city: 'Tirgu Mures',
        region: "['Romania']-RO",
        country: 'Romania',
        continent: 'Europe',
        coordinates: [24.53, 46.53],
      },
    },
    {
      id: 'OUA',
      attributes: {
        airport: 'OUA',
        city: 'Ouagadougou',
        region: "['Burkina Faso']-BF",
        country: 'Burkina Faso',
        continent: 'Africa',
        coordinates: [-1.51, 12.36],
      },
    },
    {
      id: 'KVL',
      attributes: {
        airport: 'KVL',
        city: 'Kivalina',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-164.55, 67.73],
      },
    },
    {
      id: 'PHO',
      attributes: {
        airport: 'PHO',
        city: 'Point Hope',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-166.8, 68.35],
      },
    },
    {
      id: 'SBP',
      attributes: {
        airport: 'SBP',
        city: 'San Luis Obispo',
        region: 'US-CA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-120.64, 35.24],
      },
    },
    {
      id: 'AAX',
      attributes: {
        airport: 'AAX',
        city: 'Araxa',
        region: 'BR-MG',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-46.93, -19.57],
      },
    },
    {
      id: 'NNL',
      attributes: {
        airport: 'NNL',
        city: 'Nondalton',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-154.84, 59.98],
      },
    },
    {
      id: 'PTA',
      attributes: {
        airport: 'PTA',
        city: 'Port Alsworth',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-145.33, 60.2],
      },
    },
    {
      id: 'KHI',
      attributes: {
        airport: 'KHI',
        city: 'Karachi',
        region: "['Pakistan']-PK",
        country: 'Pakistan',
        continent: 'Asia',
        coordinates: [67.17, 24.9],
      },
    },
    {
      id: 'RZS',
      attributes: {
        airport: 'RZS',
        city: 'Sawan',
        region: "['Pakistan']-PK",
        country: 'Pakistan',
        continent: 'Asia',
        coordinates: [68.87, 26.97],
      },
    },
    {
      id: 'ADB',
      attributes: {
        airport: 'ADB',
        city: 'Izmir',
        region: "['Turkey']-TR",
        country: 'Turkey',
        continent: 'Asia',
        coordinates: [27.15, 38.29],
      },
    },
    {
      id: 'BLE',
      attributes: {
        airport: 'BLE',
        city: 'Borlange/Falun',
        region: "['Sweden']-SE",
        country: 'Sweden',
        continent: 'Europe',
        coordinates: [15.51, 60.43],
      },
    },
    {
      id: 'SDL',
      attributes: {
        airport: 'SDL',
        city: 'Sundsvall',
        region: "['Sweden']-SE",
        country: 'Sweden',
        continent: 'Europe',
        coordinates: [17.44, 62.52],
      },
    },
    {
      id: 'SDP',
      attributes: {
        airport: 'SDP',
        city: 'Sand Point',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-160.51, 55.32],
      },
    },
    {
      id: 'NDY',
      attributes: {
        airport: 'NDY',
        city: 'Sanday',
        region: 'GB-SC',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-2.58, 59.25],
      },
    },
    {
      id: 'SOY',
      attributes: {
        airport: 'SOY',
        city: 'Stronsay',
        region: 'GB-SC',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-2.63, 59.13],
      },
    },
    {
      id: 'FLN',
      attributes: {
        airport: 'FLN',
        city: 'Florianopolis',
        region: 'BR-SC',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-48.55, -27.66],
      },
    },
    {
      id: 'SJC',
      attributes: {
        airport: 'SJC',
        city: 'San Jose',
        region: 'US-CA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-121.93, 37.37],
      },
    },
    {
      id: 'SUJ',
      attributes: {
        airport: 'SUJ',
        city: 'Satu Mare',
        region: "['Romania']-RO",
        country: 'Romania',
        continent: 'Europe',
        coordinates: [22.88, 47.7],
      },
    },
    {
      id: 'SGF',
      attributes: {
        airport: 'SGF',
        city: 'Springfield',
        region: 'US-MO',
        country: 'United States',
        continent: 'North America',
        coordinates: [-93.38, 37.24],
      },
    },
    {
      id: 'TPS',
      attributes: {
        airport: 'TPS',
        city: 'Trapani',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [12.5, 37.9],
      },
    },
    {
      id: 'TAO',
      attributes: {
        airport: 'TAO',
        city: 'Qingdao',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [120.38, 36.27],
      },
    },
    {
      id: 'ACY',
      attributes: {
        airport: 'ACY',
        city: 'Atlantic City',
        region: 'US-NJ',
        country: 'United States',
        continent: 'North America',
        coordinates: [-74.57, 39.45],
      },
    },
    {
      id: 'HIJ',
      attributes: {
        airport: 'HIJ',
        city: 'Hiroshima',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [132.92, 34.44],
      },
    },
    {
      id: 'TSF',
      attributes: {
        airport: 'TSF',
        city: 'Venice',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [12.21, 45.66],
      },
    },
    {
      id: 'ZSJ',
      attributes: {
        airport: 'ZSJ',
        city: 'Sandy Lake',
        region: 'CA-ON',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-93.23, 53.03],
      },
    },
    {
      id: 'YWP',
      attributes: {
        airport: 'YWP',
        city: 'Webequie',
        region: 'CA-ON',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-87.37, 52.96],
      },
    },
    {
      id: 'PLO',
      attributes: {
        airport: 'PLO',
        city: 'Port Lincoln',
        region: 'AU-SA',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [135.87, -34.6],
      },
    },
    {
      id: 'ADL',
      attributes: {
        airport: 'ADL',
        city: 'Adelaide',
        region: 'AU-SA',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [138.54, -34.94],
      },
    },
    {
      id: 'EQS',
      attributes: {
        airport: 'EQS',
        city: 'Esquel',
        region: 'AR-CB',
        country: 'Argentina',
        continent: 'South America',
        coordinates: [-71.14, -42.91],
      },
    },
    {
      id: 'LYG',
      attributes: {
        airport: 'LYG',
        city: 'Lianyungang',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [118.88, 34.57],
      },
    },
    {
      id: 'YEG',
      attributes: {
        airport: 'YEG',
        city: 'Edmonton',
        region: 'CA-AB',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-113.58, 53.31],
      },
    },
    {
      id: 'YPR',
      attributes: {
        airport: 'YPR',
        city: 'Prince Rupert',
        region: 'CA-BC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-130.44, 54.29],
      },
    },
    {
      id: 'YLW',
      attributes: {
        airport: 'YLW',
        city: 'Kelowna',
        region: 'CA-BC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-119.38, 49.95],
      },
    },
    {
      id: 'GGT',
      attributes: {
        airport: 'GGT',
        city: 'George Town',
        region: "['Bahamas']-BS",
        country: 'Bahamas',
        continent: 'Central America',
        coordinates: [-75.87, 23.56],
      },
    },
    {
      id: 'YKT',
      attributes: {
        airport: 'YKT',
        city: 'Klemtu',
        region: 'CA-BC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-128.52, 52.6],
      },
    },
    {
      id: 'ZEL',
      attributes: {
        airport: 'ZEL',
        city: 'Bella Bella',
        region: 'CA-BC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-128.1, 52.17],
      },
    },
    {
      id: 'ZQW',
      attributes: {
        airport: 'ZQW',
        city: 'Zweibrucken',
        region: "['Germany']-DE",
        country: 'Germany',
        continent: 'Europe',
        coordinates: [7.4, 49.21],
      },
    },
    {
      id: 'ALW',
      attributes: {
        airport: 'ALW',
        city: 'Walla Walla',
        region: 'US-WA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-118.29, 46.09],
      },
    },
    {
      id: 'TMM',
      attributes: {
        airport: 'TMM',
        city: 'Tamatave',
        region: "['Madagascar']-MG",
        country: 'Madagascar',
        continent: 'Africa',
        coordinates: [49.39, -18.11],
      },
    },
    {
      id: 'ANM',
      attributes: {
        airport: 'ANM',
        city: 'Antalaha',
        region: "['Madagascar']-MG",
        country: 'Madagascar',
        continent: 'Africa',
        coordinates: [50.32, -15.0],
      },
    },
    {
      id: 'AOI',
      attributes: {
        airport: 'AOI',
        city: 'Ancona',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [13.36, 43.61],
      },
    },
    {
      id: 'ARI',
      attributes: {
        airport: 'ARI',
        city: 'Arica',
        region: "['Chile']-CL",
        country: 'Chile',
        continent: 'South America',
        coordinates: [-70.34, -18.35],
      },
    },
    {
      id: 'ASP',
      attributes: {
        airport: 'ASP',
        city: 'Alice Springs',
        region: 'AU-NT',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [133.9, -23.8],
      },
    },
    {
      id: 'GTR',
      attributes: {
        airport: 'GTR',
        city: 'Columbus',
        region: 'US-MS',
        country: 'United States',
        continent: 'North America',
        coordinates: [-88.6, 33.45],
      },
    },
    {
      id: 'ATQ',
      attributes: {
        airport: 'ATQ',
        city: 'Amritsar',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [74.81, 31.71],
      },
    },
    {
      id: 'AUA',
      attributes: {
        airport: 'AUA',
        city: 'Aruba',
        region: "['Aruba']-AW",
        country: 'Aruba',
        continent: 'Central America',
        coordinates: [-70.01, 12.5],
      },
    },
    {
      id: 'AYT',
      attributes: {
        airport: 'AYT',
        city: 'Antalya',
        region: "['Turkey']-TR",
        country: 'Turkey',
        continent: 'Asia',
        coordinates: [30.8, 36.9],
      },
    },
    {
      id: 'MFR',
      attributes: {
        airport: 'MFR',
        city: 'Medford',
        region: 'US-OR',
        country: 'United States',
        continent: 'North America',
        coordinates: [-122.87, 42.37],
      },
    },
    {
      id: 'BHD',
      attributes: {
        airport: 'BHD',
        city: 'Belfast',
        region: 'GB-NI',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-5.87, 54.61],
      },
    },
    {
      id: 'BJM',
      attributes: {
        airport: 'BJM',
        city: 'Bujumbura',
        region: "['Burundi']-BI",
        country: 'Burundi',
        continent: 'Africa',
        coordinates: [29.37, -3.38],
      },
    },
    {
      id: 'BJR',
      attributes: {
        airport: 'BJR',
        city: 'Bahar Dar',
        region: "['Ethiopia']-ET",
        country: 'Ethiopia',
        continent: 'Africa',
        coordinates: [37.32, 11.6],
      },
    },
    {
      id: 'AHO',
      attributes: {
        airport: 'AHO',
        city: 'Alghero',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [8.3, 40.63],
      },
    },
    {
      id: 'BVC',
      attributes: {
        airport: 'BVC',
        city: 'Boa Vista',
        region: "['Cape Verde']-CV",
        country: 'Cape Verde',
        continent: 'Africa',
        coordinates: [-22.83, 16.08],
      },
    },
    {
      id: 'BWK',
      attributes: {
        airport: 'BWK',
        city: 'Bol',
        region: "['Croatia']-HR",
        country: 'Croatia',
        continent: 'Europe',
        coordinates: [16.68, 43.28],
      },
    },
    {
      id: 'BZR',
      attributes: {
        airport: 'BZR',
        city: 'Beziers',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [3.35, 43.32],
      },
    },
    {
      id: 'HAD',
      attributes: {
        airport: 'HAD',
        city: 'Halmstad',
        region: "['Sweden']-SE",
        country: 'Sweden',
        continent: 'Europe',
        coordinates: [12.82, 56.68],
      },
    },
    {
      id: 'BMA',
      attributes: {
        airport: 'BMA',
        city: 'Stockholm',
        region: "['Sweden']-SE",
        country: 'Sweden',
        continent: 'Europe',
        coordinates: [17.95, 59.36],
      },
    },
    {
      id: 'BDB',
      attributes: {
        airport: 'BDB',
        city: 'Bundaberg',
        region: 'AU-QLD',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [152.32, -24.9],
      },
    },
    {
      id: 'PQI',
      attributes: {
        airport: 'PQI',
        city: 'Presque Isle',
        region: 'US-ME',
        country: 'United States',
        continent: 'North America',
        coordinates: [-68.05, 46.69],
      },
    },
    {
      id: 'SNW',
      attributes: {
        airport: 'SNW',
        city: 'Thandwe',
        region: "['Myanmar']-MM",
        country: 'Myanmar',
        continent: 'Asia',
        coordinates: [94.3, 18.45],
      },
    },
    {
      id: 'BSX',
      attributes: {
        airport: 'BSX',
        city: 'Bassein',
        region: "['Myanmar']-MM",
        country: 'Myanmar',
        continent: 'Asia',
        coordinates: [94.78, 16.8],
      },
    },
    {
      id: 'RBA',
      attributes: {
        airport: 'RBA',
        city: 'Rabat',
        region: "['Morocco']-MA",
        country: 'Morocco',
        continent: 'Africa',
        coordinates: [-6.75, 34.04],
      },
    },
    {
      id: 'CEM',
      attributes: {
        airport: 'CEM',
        city: 'Central',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-144.78, 65.57],
      },
    },
    {
      id: 'CHC',
      attributes: {
        airport: 'CHC',
        city: 'Christchurch',
        region: "['New Zealand']-NZ",
        country: 'New Zealand',
        continent: 'Oceania',
        coordinates: [172.54, -43.49],
      },
    },
    {
      id: 'CLQ',
      attributes: {
        airport: 'CLQ',
        city: 'Colima',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-103.65, 19.3],
      },
    },
    {
      id: 'NQN',
      attributes: {
        airport: 'NQN',
        city: 'Neuquen',
        region: 'AR-NE',
        country: 'Argentina',
        continent: 'South America',
        coordinates: [-68.15, -38.95],
      },
    },
    {
      id: 'CRD',
      attributes: {
        airport: 'CRD',
        city: 'Comodoro Rivadavia',
        region: 'AR-CB',
        country: 'Argentina',
        continent: 'South America',
        coordinates: [-67.46, -45.79],
      },
    },
    {
      id: 'KRP',
      attributes: {
        airport: 'KRP',
        city: 'Karup',
        region: "['Denmark']-DK",
        country: 'Denmark',
        continent: 'Europe',
        coordinates: [9.12, 56.3],
      },
    },
    {
      id: 'EBA',
      attributes: {
        airport: 'EBA',
        city: 'Elba Island',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [10.28, 42.77],
      },
    },
    {
      id: 'FDH',
      attributes: {
        airport: 'FDH',
        city: 'Friedrichshafen',
        region: "['Germany']-DE",
        country: 'Germany',
        continent: 'Europe',
        coordinates: [9.52, 47.67],
      },
    },
    {
      id: 'XAP',
      attributes: {
        airport: 'XAP',
        city: 'Chapeco',
        region: 'BR-SC',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-52.63, -27.09],
      },
    },
    {
      id: 'SCO',
      attributes: {
        airport: 'SCO',
        city: 'Aktau',
        region: "['Kazakhstan']-KZ",
        country: 'Kazakhstan',
        continent: 'Asia',
        coordinates: [51.1, 43.87],
      },
    },
    {
      id: 'ECP',
      attributes: {
        airport: 'ECP',
        city: 'Panama City',
        region: 'US-FL',
        country: 'United States',
        continent: 'North America',
        coordinates: [-85.8, 30.36],
      },
    },
    {
      id: 'AKN',
      attributes: {
        airport: 'AKN',
        city: 'King Salmon',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-156.67, 58.68],
      },
    },
    {
      id: 'EGX',
      attributes: {
        airport: 'EGX',
        city: 'Egegik',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-157.37, 58.21],
      },
    },
    {
      id: 'KBC',
      attributes: {
        airport: 'KBC',
        city: 'Birch Creek',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-145.8, 66.27],
      },
    },
    {
      id: 'GJT',
      attributes: {
        airport: 'GJT',
        city: 'Grand Junction',
        region: 'US-CO',
        country: 'United States',
        continent: 'North America',
        coordinates: [-108.53, 39.12],
      },
    },
    {
      id: 'HFT',
      attributes: {
        airport: 'HFT',
        city: 'Hammerfest',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [23.68, 70.68],
      },
    },
    {
      id: 'GMP',
      attributes: {
        airport: 'GMP',
        city: 'Seoul',
        region: "['South Korea']-KR",
        country: 'South Korea',
        continent: 'Asia',
        coordinates: [126.8, 37.56],
      },
    },
    {
      id: 'GNY',
      attributes: {
        airport: 'GNY',
        city: 'Sanliurfa',
        region: "['Turkey']-TR",
        country: 'Turkey',
        continent: 'Asia',
        coordinates: [38.85, 37.09],
      },
    },
    {
      id: 'GRR',
      attributes: {
        airport: 'GRR',
        city: 'Grand Rapids',
        region: 'US-MI',
        country: 'United States',
        continent: 'North America',
        coordinates: [-85.53, 42.89],
      },
    },
    {
      id: 'FSD',
      attributes: {
        airport: 'FSD',
        city: 'Sioux Falls',
        region: 'US-SD',
        country: 'United States',
        continent: 'North America',
        coordinates: [-96.73, 43.58],
      },
    },
    {
      id: 'BIA',
      attributes: {
        airport: 'BIA',
        city: 'Bastia',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [9.48, 42.55],
      },
    },
    {
      id: 'GYE',
      attributes: {
        airport: 'GYE',
        city: 'Guayaquil',
        region: "['Ecuador']-EC",
        country: 'Ecuador',
        continent: 'South America',
        coordinates: [-79.88, -2.14],
      },
    },
    {
      id: 'MQP',
      attributes: {
        airport: 'MQP',
        city: 'Nelspruit',
        region: "['South Africa']-ZA",
        country: 'South Africa',
        continent: 'Africa',
        coordinates: [31.1, -25.38],
      },
    },
    {
      id: 'JNX',
      attributes: {
        airport: 'JNX',
        city: 'Naxos, Cyclades Islands',
        region: "['Greece']-GR",
        country: 'Greece',
        continent: 'Europe',
        coordinates: [25.38, 37.1],
      },
    },
    {
      id: 'JEG',
      attributes: {
        airport: 'JEG',
        city: 'Aasiaat',
        region: "['Greenland']-GL",
        country: 'Greenland',
        continent: 'North America',
        coordinates: [-52.75, 68.7],
      },
    },
    {
      id: 'JQA',
      attributes: {
        airport: 'JQA',
        city: 'Qaarsut',
        region: "['Greenland']-GL",
        country: 'Greenland',
        continent: 'North America',
        coordinates: [-52.7, 70.73],
      },
    },
    {
      id: 'JZH',
      attributes: {
        airport: 'JZH',
        city: 'Song Pan',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [103.68, 32.86],
      },
    },
    {
      id: 'JGO',
      attributes: {
        airport: 'JGO',
        city: 'Qeqertarsuaq',
        region: "['Greenland']-GL",
        country: 'Greenland',
        continent: 'North America',
        coordinates: [-53.57, 69.25],
      },
    },
    {
      id: 'KMJ',
      attributes: {
        airport: 'KMJ',
        city: 'Kumamoto',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [130.86, 32.83],
      },
    },
    {
      id: 'BQN',
      attributes: {
        airport: 'BQN',
        city: 'Aguadilla',
        region: "['Puerto Rico']-PR",
        country: 'Puerto Rico',
        continent: 'Central America',
        coordinates: [-67.13, 18.5],
      },
    },
    {
      id: 'CNP',
      attributes: {
        airport: 'CNP',
        city: 'Neerlerit Inaat',
        region: "['Greenland']-GL",
        country: 'Greenland',
        continent: 'North America',
        coordinates: [-22.66, 70.74],
      },
    },
    {
      id: 'KUS',
      attributes: {
        airport: 'KUS',
        city: 'Kulusuk',
        region: "['Greenland']-GL",
        country: 'Greenland',
        continent: 'North America',
        coordinates: [-37.12, 65.57],
      },
    },
    {
      id: 'KVA',
      attributes: {
        airport: 'KVA',
        city: 'Kavala',
        region: "['Greece']-GR",
        country: 'Greece',
        continent: 'Europe',
        coordinates: [24.34, 40.97],
      },
    },
    {
      id: 'KZS',
      attributes: {
        airport: 'KZS',
        city: 'Kastelorizo',
        region: "['Greece']-GR",
        country: 'Greece',
        continent: 'Europe',
        coordinates: [29.33, 36.08],
      },
    },
    {
      id: 'BZN',
      attributes: {
        airport: 'BZN',
        city: 'Bozeman',
        region: 'US-MT',
        country: 'United States',
        continent: 'North America',
        coordinates: [-111.16, 45.78],
      },
    },
    {
      id: 'RKT',
      attributes: {
        airport: 'RKT',
        city: "Rasal-Khaymah'",
        region: "['United Arab Emirates']-AE",
        country: 'United Arab Emirates',
        continent: 'Asia',
        coordinates: [55.94, 25.62],
      },
    },
    {
      id: 'LCY',
      attributes: {
        airport: 'LCY',
        city: 'London',
        region: 'GB-EN',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [0.05, 51.5],
      },
    },
    {
      id: 'CHO',
      attributes: {
        airport: 'CHO',
        city: 'Charlottesville',
        region: 'US-VA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-78.45, 38.14],
      },
    },
    {
      id: 'LMN',
      attributes: {
        airport: 'LMN',
        city: 'Limbang',
        region: "['Malaysia']-MY",
        country: 'Malaysia',
        continent: 'Asia',
        coordinates: [115.0, 4.67],
      },
    },
    {
      id: 'LRH',
      attributes: {
        airport: 'LRH',
        city: 'La Rochelle',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [-1.19, 46.18],
      },
    },
    {
      id: 'CYB',
      attributes: {
        airport: 'CYB',
        city: 'Cayman Brac Island',
        region: "['Cayman Islands']-KY",
        country: 'Cayman Islands',
        continent: 'Central America',
        coordinates: [-79.88, 19.69],
      },
    },
    {
      id: 'LYB',
      attributes: {
        airport: 'LYB',
        city: 'Little Cayman',
        region: "['Cayman Islands']-KY",
        country: 'Cayman Islands',
        continent: 'Central America',
        coordinates: [-80.08, 19.66],
      },
    },
    {
      id: 'BES',
      attributes: {
        airport: 'BES',
        city: 'Brest',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [-4.42, 48.45],
      },
    },
    {
      id: 'MLM',
      attributes: {
        airport: 'MLM',
        city: 'Morelia',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-101.03, 19.84],
      },
    },
    {
      id: 'JTR',
      attributes: {
        airport: 'JTR',
        city: 'Thira',
        region: "['Greece']-GR",
        country: 'Greece',
        continent: 'Europe',
        coordinates: [25.48, 36.4],
      },
    },
    {
      id: 'MYR',
      attributes: {
        airport: 'MYR',
        city: 'Myrtle Beach',
        region: 'US-SC',
        country: 'United States',
        continent: 'North America',
        coordinates: [-78.92, 33.68],
      },
    },
    {
      id: 'MZG',
      attributes: {
        airport: 'MZG',
        city: 'Makung',
        region: "['Taiwan']-TW",
        country: 'Taiwan',
        continent: 'Asia',
        coordinates: [119.62, 23.57],
      },
    },
    {
      id: 'TCB',
      attributes: {
        airport: 'TCB',
        city: 'Treasure Cay',
        region: "['Bahamas']-BS",
        country: 'Bahamas',
        continent: 'Central America',
        coordinates: [-77.37, 26.73],
      },
    },
    {
      id: 'MHH',
      attributes: {
        airport: 'MHH',
        city: 'Marsh Harbour',
        region: "['Bahamas']-BS",
        country: 'Bahamas',
        continent: 'Central America',
        coordinates: [-77.08, 26.51],
      },
    },
    {
      id: 'TGZ',
      attributes: {
        airport: 'TGZ',
        city: 'Tuxtla Gutierrez',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-93.02, 16.56],
      },
    },
    {
      id: 'MID',
      attributes: {
        airport: 'MID',
        city: 'Merida',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-89.66, 20.93],
      },
    },
    {
      id: 'MLI',
      attributes: {
        airport: 'MLI',
        city: 'Moline',
        region: 'US-IL',
        country: 'United States',
        continent: 'North America',
        coordinates: [-90.51, 41.45],
      },
    },
    {
      id: 'AXU',
      attributes: {
        airport: 'AXU',
        city: 'Axum',
        region: "['Ethiopia']-ET",
        country: 'Ethiopia',
        continent: 'Africa',
        coordinates: [38.72, 14.12],
      },
    },
    {
      id: 'MQX',
      attributes: {
        airport: 'MQX',
        city: 'Makale',
        region: "['Ethiopia']-ET",
        country: 'Ethiopia',
        continent: 'Africa',
        coordinates: [39.53, 13.47],
      },
    },
    {
      id: 'MSR',
      attributes: {
        airport: 'MSR',
        city: 'Mus',
        region: "['Turkey']-TR",
        country: 'Turkey',
        continent: 'Asia',
        coordinates: [41.63, 38.73],
      },
    },
    {
      id: 'MSS',
      attributes: {
        airport: 'MSS',
        city: 'Massena',
        region: 'US-NY',
        country: 'United States',
        continent: 'North America',
        coordinates: [-74.85, 44.94],
      },
    },
    {
      id: 'SLP',
      attributes: {
        airport: 'SLP',
        city: 'San Luis Potosi',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-100.94, 22.26],
      },
    },
    {
      id: 'NDC',
      attributes: {
        airport: 'NDC',
        city: 'Nanded',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [77.32, 19.18],
      },
    },
    {
      id: 'FEN',
      attributes: {
        airport: 'FEN',
        city: 'Fernando De Noronha',
        region: 'BR-FN',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-32.42, -3.85],
      },
    },
    {
      id: 'NAT',
      attributes: {
        airport: 'NAT',
        city: 'Natal',
        region: 'BR-RN',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-35.25, -5.92],
      },
    },
    {
      id: 'BHY',
      attributes: {
        airport: 'BHY',
        city: 'Beihai',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [109.29, 21.54],
      },
    },
    {
      id: 'CHG',
      attributes: {
        airport: 'CHG',
        city: 'Chaoyang',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [120.44, 41.55],
      },
    },
    {
      id: 'NWI',
      attributes: {
        airport: 'NWI',
        city: 'Norwich',
        region: 'GB-EN',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [1.28, 52.67],
      },
    },
    {
      id: 'OSY',
      attributes: {
        airport: 'OSY',
        city: 'Namsos',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [11.57, 64.47],
      },
    },
    {
      id: 'SKG',
      attributes: {
        airport: 'SKG',
        city: 'Thessaloniki',
        region: "['Greece']-GR",
        country: 'Greece',
        continent: 'Europe',
        coordinates: [22.97, 40.52],
      },
    },
    {
      id: 'PGD',
      attributes: {
        airport: 'PGD',
        city: 'Punta Gorda',
        region: 'US-FL',
        country: 'United States',
        continent: 'North America',
        coordinates: [-81.99, 26.92],
      },
    },
    {
      id: 'PMV',
      attributes: {
        airport: 'PMV',
        city: 'Porlamar',
        region: "['Venezuela']-VE",
        country: 'Venezuela',
        continent: 'South America',
        coordinates: [-63.97, 10.92],
      },
    },
    {
      id: 'IKS',
      attributes: {
        airport: 'IKS',
        city: 'Tiksi',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [128.9, 71.7],
      },
    },
    {
      id: 'TLN',
      attributes: {
        airport: 'TLN',
        city: 'Toulon',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [6.16, 43.09],
      },
    },
    {
      id: 'WAA',
      attributes: {
        airport: 'WAA',
        city: 'Wales',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-168.09, 65.62],
      },
    },
    {
      id: 'SHH',
      attributes: {
        airport: 'SHH',
        city: 'Shishmaref',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-166.06, 66.26],
      },
    },
    {
      id: 'SHV',
      attributes: {
        airport: 'SHV',
        city: 'Shreveport',
        region: 'US-LA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-93.83, 32.45],
      },
    },
    {
      id: 'SIP',
      attributes: {
        airport: 'SIP',
        city: 'Simferopol',
        region: "['Ukraine']-UA",
        country: 'Ukraine',
        continent: 'Europe',
        coordinates: [34.0, 45.02],
      },
    },
    {
      id: 'SKD',
      attributes: {
        airport: 'SKD',
        city: 'Samarkand',
        region: "['Uzbekistan']-UZ",
        country: 'Uzbekistan',
        continent: 'Asia',
        coordinates: [66.99, 39.7],
      },
    },
    {
      id: 'SJI',
      attributes: {
        airport: 'SJI',
        city: 'San Jose',
        region: "['Philippines']-PH",
        country: 'Philippines',
        continent: 'Asia',
        coordinates: [121.05, 12.36],
      },
    },
    {
      id: 'TOS',
      attributes: {
        airport: 'TOS',
        city: 'Tromso',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [18.91, 69.68],
      },
    },
    {
      id: 'SOJ',
      attributes: {
        airport: 'SOJ',
        city: 'Sorkjosen',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [20.93, 69.78],
      },
    },
    {
      id: 'LKL',
      attributes: {
        airport: 'LKL',
        city: 'Lakselv',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [24.97, 70.07],
      },
    },
    {
      id: 'TRC',
      attributes: {
        airport: 'TRC',
        city: 'Torreon',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-103.4, 25.56],
      },
    },
    {
      id: 'SVX',
      attributes: {
        airport: 'SVX',
        city: 'Ekaterinburg',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [60.8, 56.75],
      },
    },
    {
      id: 'TAE',
      attributes: {
        airport: 'TAE',
        city: 'Daegu',
        region: "['South Korea']-KR",
        country: 'South Korea',
        continent: 'Asia',
        coordinates: [128.64, 35.9],
      },
    },
    {
      id: 'TBS',
      attributes: {
        airport: 'TBS',
        city: 'Tbilisi',
        region: "['Georgia']-GE",
        country: 'Georgia',
        continent: 'Asia',
        coordinates: [44.96, 41.67],
      },
    },
    {
      id: 'APW',
      attributes: {
        airport: 'APW',
        city: 'Apia',
        region: "['Samoa']-WS",
        country: 'Samoa',
        continent: 'Oceania',
        coordinates: [-172.0, -13.83],
      },
    },
    {
      id: 'GUA',
      attributes: {
        airport: 'GUA',
        city: 'Guatemala City',
        region: "['Guatemala']-GT",
        country: 'Guatemala',
        continent: 'Central America',
        coordinates: [-90.53, 14.59],
      },
    },
    {
      id: 'TSV',
      attributes: {
        airport: 'TSV',
        city: 'Townsville',
        region: 'AU-QLD',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [146.77, -19.26],
      },
    },
    {
      id: 'ABE',
      attributes: {
        airport: 'ABE',
        city: 'Allentown',
        region: 'US-PA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-75.43, 40.65],
      },
    },
    {
      id: 'YRF',
      attributes: {
        airport: 'YRF',
        city: 'Cartwright',
        region: 'CA-NL',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-57.04, 53.68],
      },
    },
    {
      id: 'YBI',
      attributes: {
        airport: 'YBI',
        city: 'Black Tickle',
        region: 'CA-NL',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-55.73, 53.45],
      },
    },
    {
      id: 'DMK',
      attributes: {
        airport: 'DMK',
        city: 'Bangkok',
        region: "['Thailand']-TH",
        country: 'Thailand',
        continent: 'Asia',
        coordinates: [100.61, 13.91],
      },
    },
    {
      id: 'URT',
      attributes: {
        airport: 'URT',
        city: 'Surat Thani',
        region: "['Thailand']-TH",
        country: 'Thailand',
        continent: 'Asia',
        coordinates: [99.14, 9.13],
      },
    },
    {
      id: 'VAR',
      attributes: {
        airport: 'VAR',
        city: 'Varna',
        region: "['Bulgaria']-BG",
        country: 'Bulgaria',
        continent: 'Europe',
        coordinates: [27.83, 43.24],
      },
    },
    {
      id: 'VAW',
      attributes: {
        airport: 'VAW',
        city: 'Vardoe',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [31.05, 70.35],
      },
    },
    {
      id: 'ARC',
      attributes: {
        airport: 'ARC',
        city: 'Arctic Village',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-145.52, 68.14],
      },
    },
    {
      id: 'VEE',
      attributes: {
        airport: 'VEE',
        city: 'Venetie',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-146.41, 67.02],
      },
    },
    {
      id: 'KHV',
      attributes: {
        airport: 'KHV',
        city: 'Khabarovsk',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [135.17, 48.52],
      },
    },
    {
      id: 'MAH',
      attributes: {
        airport: 'MAH',
        city: 'Menorca',
        region: 'ES-SP',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [4.23, 39.86],
      },
    },
    {
      id: 'VLC',
      attributes: {
        airport: 'VLC',
        city: 'Valencia',
        region: 'ES-SP',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [-0.47, 39.49],
      },
    },
    {
      id: 'SZZ',
      attributes: {
        airport: 'SZZ',
        city: 'Szczecin',
        region: "['Poland']-PL",
        country: 'Poland',
        continent: 'Europe',
        coordinates: [14.89, 53.59],
      },
    },
    {
      id: 'YTZ',
      attributes: {
        airport: 'YTZ',
        city: 'Toronto',
        region: 'CA-ON',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-79.4, 43.63],
      },
    },
    {
      id: 'ACC',
      attributes: {
        airport: 'ACC',
        city: 'Accra',
        region: "['Ghana']-GH",
        country: 'Ghana',
        continent: 'Africa',
        coordinates: [-0.17, 5.61],
      },
    },
    {
      id: 'OVD',
      attributes: {
        airport: 'OVD',
        city: 'Asturias',
        region: 'ES-SP',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [-6.03, 43.56],
      },
    },
    {
      id: 'LEN',
      attributes: {
        airport: 'LEN',
        city: 'Leon',
        region: 'ES-SP',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [-5.65, 42.59],
      },
    },
    {
      id: 'UIP',
      attributes: {
        airport: 'UIP',
        city: 'Quimper',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [-4.17, 47.97],
      },
    },
    {
      id: 'AJA',
      attributes: {
        airport: 'AJA',
        city: 'Ajaccio',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [8.79, 41.92],
      },
    },
    {
      id: 'LYC',
      attributes: {
        airport: 'LYC',
        city: 'Lycksele',
        region: "['Sweden']-SE",
        country: 'Sweden',
        continent: 'Europe',
        coordinates: [18.71, 64.55],
      },
    },
    {
      id: 'AJR',
      attributes: {
        airport: 'AJR',
        city: 'Arvidsjaur',
        region: "['Sweden']-SE",
        country: 'Sweden',
        continent: 'Europe',
        coordinates: [19.29, 65.59],
      },
    },
    {
      id: 'YXC',
      attributes: {
        airport: 'YXC',
        city: 'Cranbrook',
        region: 'CA-BC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-115.79, 49.61],
      },
    },
    {
      id: 'YYR',
      attributes: {
        airport: 'YYR',
        city: 'Goose Bay',
        region: 'CA-NL',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-60.41, 53.31],
      },
    },
    {
      id: 'YYT',
      attributes: {
        airport: 'YYT',
        city: "St. Johns'",
        region: 'CA-NL',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-52.74, 47.61],
      },
    },
    {
      id: 'YNA',
      attributes: {
        airport: 'YNA',
        city: 'Natashquan',
        region: 'CA-QC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-61.8, 50.18],
      },
    },
    {
      id: 'YZV',
      attributes: {
        airport: 'YZV',
        city: 'Sept-Iles',
        region: 'CA-QC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-66.26, 50.22],
      },
    },
    {
      id: 'MTV',
      attributes: {
        airport: 'MTV',
        city: 'Mota Lava',
        region: "['Vanuatu']-VU",
        country: 'Vanuatu',
        continent: 'Oceania',
        coordinates: [167.67, -13.67],
      },
    },
    {
      id: 'ZGU',
      attributes: {
        airport: 'ZGU',
        city: 'Gaua',
        region: "['Vanuatu']-VU",
        country: 'Vanuatu',
        continent: 'Oceania',
        coordinates: [167.59, -14.22],
      },
    },
    {
      id: 'ACA',
      attributes: {
        airport: 'ACA',
        city: 'Acapulco',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-99.75, 16.76],
      },
    },
    {
      id: 'AJU',
      attributes: {
        airport: 'AJU',
        city: 'Aracaju',
        region: 'BR-SE',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-37.07, -10.99],
      },
    },
    {
      id: 'AKY',
      attributes: {
        airport: 'AKY',
        city: 'Sittwe',
        region: "['Myanmar']-MM",
        country: 'Myanmar',
        continent: 'Asia',
        coordinates: [92.88, 20.13],
      },
    },
    {
      id: 'MME',
      attributes: {
        airport: 'MME',
        city: 'Durham Tees Valley',
        region: 'GB-EN',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-1.43, 54.51],
      },
    },
    {
      id: 'HFS',
      attributes: {
        airport: 'HFS',
        city: 'Hagfors',
        region: "['Sweden']-SE",
        country: 'Sweden',
        continent: 'Europe',
        coordinates: [13.57, 60.02],
      },
    },
    {
      id: 'KLR',
      attributes: {
        airport: 'KLR',
        city: 'Kalmar',
        region: "['Sweden']-SE",
        country: 'Sweden',
        continent: 'Europe',
        coordinates: [16.29, 56.69],
      },
    },
    {
      id: 'PMO',
      attributes: {
        airport: 'PMO',
        city: 'Palermo',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [13.1, 38.19],
      },
    },
    {
      id: 'ASM',
      attributes: {
        airport: 'ASM',
        city: 'Asmara',
        region: "['Eritrea']-ER",
        country: 'Eritrea',
        continent: 'Africa',
        coordinates: [38.91, 15.29],
      },
    },
    {
      id: 'ASU',
      attributes: {
        airport: 'ASU',
        city: 'Asuncion',
        region: "['Paraguay']-PY",
        country: 'Paraguay',
        continent: 'South America',
        coordinates: [-57.51, -25.24],
      },
    },
    {
      id: 'AKI',
      attributes: {
        airport: 'AKI',
        city: 'Akiak',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-161.22, 60.91],
      },
    },
    {
      id: 'GHA',
      attributes: {
        airport: 'GHA',
        city: 'Ghardaia',
        region: "['Algeria']-DZ",
        country: 'Algeria',
        continent: 'Africa',
        coordinates: [3.8, 32.38],
      },
    },
    {
      id: 'AVL',
      attributes: {
        airport: 'AVL',
        city: 'Asheville',
        region: 'US-NC',
        country: 'United States',
        continent: 'North America',
        coordinates: [-82.54, 35.44],
      },
    },
    {
      id: 'AWZ',
      attributes: {
        airport: 'AWZ',
        city: 'Ahwaz',
        region: "['Iran']-IR",
        country: 'Iran',
        continent: 'Asia',
        coordinates: [48.75, 31.34],
      },
    },
    {
      id: 'AXP',
      attributes: {
        airport: 'AXP',
        city: 'Spring Point',
        region: "['Bahamas']-BS",
        country: 'Bahamas',
        continent: 'Central America',
        coordinates: [-73.97, 22.45],
      },
    },
    {
      id: 'LLI',
      attributes: {
        airport: 'LLI',
        city: 'Lalibela',
        region: "['Ethiopia']-ET",
        country: 'Ethiopia',
        continent: 'Africa',
        coordinates: [39.07, 12.02],
      },
    },
    {
      id: 'OSD',
      attributes: {
        airport: 'OSD',
        city: 'Ostersund',
        region: "['Sweden']-SE",
        country: 'Sweden',
        continent: 'Europe',
        coordinates: [14.49, 63.2],
      },
    },
    {
      id: 'HVB',
      attributes: {
        airport: 'HVB',
        city: 'Hervey Bay',
        region: 'AU-QLD',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [152.89, -25.32],
      },
    },
    {
      id: 'TMP',
      attributes: {
        airport: 'TMP',
        city: 'Tampere',
        region: "['Finland']-FI",
        country: 'Finland',
        continent: 'Europe',
        coordinates: [23.62, 61.42],
      },
    },
    {
      id: 'PIZ',
      attributes: {
        airport: 'PIZ',
        city: 'Point Lay',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-163.17, 69.75],
      },
    },
    {
      id: 'BTI',
      attributes: {
        airport: 'BTI',
        city: 'Barter Island',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-143.58, 70.13],
      },
    },
    {
      id: 'BEU',
      attributes: {
        airport: 'BEU',
        city: 'Bedourie',
        region: 'AU-QLD',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [139.44, -24.23],
      },
    },
    {
      id: 'BVI',
      attributes: {
        airport: 'BVI',
        city: 'Birdsville',
        region: 'AU-QLD',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [139.34, -25.9],
      },
    },
    {
      id: 'BTK',
      attributes: {
        airport: 'BTK',
        city: 'Bratsk',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [101.82, 56.37],
      },
    },
    {
      id: 'AHB',
      attributes: {
        airport: 'AHB',
        city: 'Abha',
        region: "['Saudi Arabia']-SA",
        country: 'Saudi Arabia',
        continent: 'Asia',
        coordinates: [42.66, 18.23],
      },
    },
    {
      id: 'CGR',
      attributes: {
        airport: 'CGR',
        city: 'Campo Grande',
        region: 'BR-MS',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-54.67, -20.46],
      },
    },
    {
      id: 'CMG',
      attributes: {
        airport: 'CMG',
        city: 'Corumba',
        region: 'BR-MS',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-57.67, -19.01],
      },
    },
    {
      id: 'CND',
      attributes: {
        airport: 'CND',
        city: 'Constanta',
        region: "['Romania']-RO",
        country: 'Romania',
        continent: 'Europe',
        coordinates: [28.48, 44.35],
      },
    },
    {
      id: 'TIM',
      attributes: {
        airport: 'TIM',
        city: 'Tembagapura',
        region: "['Indonesia']-ID",
        country: 'Indonesia',
        continent: 'Asia',
        coordinates: [136.89, -4.53],
      },
    },
    {
      id: 'CFU',
      attributes: {
        airport: 'CFU',
        city: 'Kerkyra',
        region: "['Greece']-GR",
        country: 'Greece',
        continent: 'Europe',
        coordinates: [19.91, 39.61],
      },
    },
    {
      id: 'DRS',
      attributes: {
        airport: 'DRS',
        city: 'Dresden',
        region: "['Germany']-DE",
        country: 'Germany',
        continent: 'Europe',
        coordinates: [13.77, 51.12],
      },
    },
    {
      id: 'CUE',
      attributes: {
        airport: 'CUE',
        city: 'Cuenca',
        region: "['Ecuador']-EC",
        country: 'Ecuador',
        continent: 'South America',
        coordinates: [-78.99, -2.89],
      },
    },
    {
      id: 'YWH',
      attributes: {
        airport: 'YWH',
        city: 'Victoria',
        region: 'CA-BC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-123.37, 48.42],
      },
    },
    {
      id: 'CXH',
      attributes: {
        airport: 'CXH',
        city: 'Vancouver',
        region: 'CA-BC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-123.12, 49.27],
      },
    },
    {
      id: 'TRI',
      attributes: {
        airport: 'TRI',
        city: 'Bristol, VA/Johnson City/Kingsport',
        region: 'US-TN',
        country: 'United States',
        continent: 'North America',
        coordinates: [-82.41, 36.48],
      },
    },
    {
      id: 'GRB',
      attributes: {
        airport: 'GRB',
        city: 'Green Bay',
        region: 'US-WI',
        country: 'United States',
        continent: 'North America',
        coordinates: [-88.12, 44.49],
      },
    },
    {
      id: 'ASR',
      attributes: {
        airport: 'ASR',
        city: 'Kayseri',
        region: "['Turkey']-TR",
        country: 'Turkey',
        continent: 'Asia',
        coordinates: [35.49, 38.77],
      },
    },
    {
      id: 'ECN',
      attributes: {
        airport: 'ECN',
        city: 'Ercan',
        region: "['Cyprus']-CY",
        country: 'Cyprus',
        continent: 'Asia',
        coordinates: [33.5, 35.16],
      },
    },
    {
      id: 'ANF',
      attributes: {
        airport: 'ANF',
        city: 'Antofagasta',
        region: "['Chile']-CL",
        country: 'Chile',
        continent: 'South America',
        coordinates: [-70.44, -23.45],
      },
    },
    {
      id: 'ESR',
      attributes: {
        airport: 'ESR',
        city: 'El Salvador',
        region: "['Chile']-CL",
        country: 'Chile',
        continent: 'South America',
        coordinates: [-69.77, -26.32],
      },
    },
    {
      id: 'WDH',
      attributes: {
        airport: 'WDH',
        city: 'Windhoek',
        region: '[]-nan',
        country: 'Namibia',
        continent: 'Africa',
        coordinates: [17.46, -22.49],
      },
    },
    {
      id: 'MDT',
      attributes: {
        airport: 'MDT',
        city: 'Harrisburg',
        region: 'US-PA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-76.76, 40.2],
      },
    },
    {
      id: 'GHB',
      attributes: {
        airport: 'GHB',
        city: "Governors Harbour'",
        region: "['Bahamas']-BS",
        country: 'Bahamas',
        continent: 'Central America',
        coordinates: [-76.32, 25.28],
      },
    },
    {
      id: 'TRE',
      attributes: {
        airport: 'TRE',
        city: 'Tiree, Inner Hebrides',
        region: "['United Kingdom']-GB",
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-6.87, 56.5],
      },
    },
    {
      id: 'GZT',
      attributes: {
        airport: 'GZT',
        city: 'Gaziantep',
        region: "['Turkey']-TR",
        country: 'Turkey',
        continent: 'Asia',
        coordinates: [37.47, 36.94],
      },
    },
    {
      id: 'HAA',
      attributes: {
        airport: 'HAA',
        city: 'Hasvik',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [22.15, 70.47],
      },
    },
    {
      id: 'HAU',
      attributes: {
        airport: 'HAU',
        city: 'Haugesund',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [5.22, 59.34],
      },
    },
    {
      id: 'CGO',
      attributes: {
        airport: 'CGO',
        city: 'Zhengzhou',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [113.84, 34.53],
      },
    },
    {
      id: 'KKJ',
      attributes: {
        airport: 'KKJ',
        city: 'Kita Kyushu',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [130.94, 33.83],
      },
    },
    {
      id: 'KNK',
      attributes: {
        airport: 'KNK',
        city: 'Kakhonak',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-154.85, 59.43],
      },
    },
    {
      id: 'UET',
      attributes: {
        airport: 'UET',
        city: 'Quetta',
        region: "['Pakistan']-PK",
        country: 'Pakistan',
        continent: 'Asia',
        coordinates: [66.95, 30.25],
      },
    },
    {
      id: 'NAV',
      attributes: {
        airport: 'NAV',
        city: 'Nevsehir',
        region: "['Turkey']-TR",
        country: 'Turkey',
        continent: 'Asia',
        coordinates: [34.72, 38.63],
      },
    },
    {
      id: 'JAN',
      attributes: {
        airport: 'JAN',
        city: 'Jackson',
        region: 'US-MS',
        country: 'United States',
        continent: 'North America',
        coordinates: [-90.07, 32.31],
      },
    },
    {
      id: 'JCB',
      attributes: {
        airport: 'JCB',
        city: 'Joacaba',
        region: 'BR-SC',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-51.52, -27.17],
      },
    },
    {
      id: 'FEG',
      attributes: {
        airport: 'FEG',
        city: 'Fergana',
        region: "['Uzbekistan']-UZ",
        country: 'Uzbekistan',
        continent: 'Asia',
        coordinates: [71.73, 40.35],
      },
    },
    {
      id: 'LWE',
      attributes: {
        airport: 'LWE',
        city: 'Lewoleba',
        region: "['Indonesia']-ID",
        country: 'Indonesia',
        continent: 'Asia',
        coordinates: [123.37, -8.5],
      },
    },
    {
      id: 'EAS',
      attributes: {
        airport: 'EAS',
        city: 'San Sebastian',
        region: 'ES-SP',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [-1.79, 43.36],
      },
    },
    {
      id: 'WAT',
      attributes: {
        airport: 'WAT',
        city: 'Waterford',
        region: "['Ireland']-IE",
        country: 'Ireland',
        continent: 'Europe',
        coordinates: [-7.08, 52.19],
      },
    },
    {
      id: 'LEI',
      attributes: {
        airport: 'LEI',
        city: 'Almeria',
        region: 'ES-SP',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [-2.37, 36.85],
      },
    },
    {
      id: 'WRL',
      attributes: {
        airport: 'WRL',
        city: 'Worland',
        region: 'US-WY',
        country: 'United States',
        continent: 'North America',
        coordinates: [-107.95, 43.97],
      },
    },
    {
      id: 'LWT',
      attributes: {
        airport: 'LWT',
        city: 'Lewistown',
        region: 'US-MT',
        country: 'United States',
        continent: 'North America',
        coordinates: [-109.47, 47.05],
      },
    },
    {
      id: 'KSM',
      attributes: {
        airport: 'KSM',
        city: "Saint Marys'",
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-163.29, 62.06],
      },
    },
    {
      id: 'GRX',
      attributes: {
        airport: 'GRX',
        city: 'Granada',
        region: 'ES-SP',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [-3.78, 37.18],
      },
    },
    {
      id: 'EYW',
      attributes: {
        airport: 'EYW',
        city: 'Key West',
        region: 'US-FL',
        country: 'United States',
        continent: 'North America',
        coordinates: [-81.76, 24.55],
      },
    },
    {
      id: 'BOB',
      attributes: {
        airport: 'BOB',
        city: 'Bora Bora',
        region: "['French Polynesia']-PF",
        country: 'French Polynesia',
        continent: 'Oceania',
        coordinates: [-151.75, -16.45],
      },
    },
    {
      id: 'MAU',
      attributes: {
        airport: 'MAU',
        city: 'Maupiti',
        region: "['French Polynesia']-PF",
        country: 'French Polynesia',
        continent: 'Oceania',
        coordinates: [-152.24, -16.43],
      },
    },
    {
      id: 'BOI',
      attributes: {
        airport: 'BOI',
        city: 'Boise',
        region: 'US-ID',
        country: 'United States',
        continent: 'North America',
        coordinates: [-116.22, 43.57],
      },
    },
    {
      id: 'PKU',
      attributes: {
        airport: 'PKU',
        city: 'Pekanbaru',
        region: "['Indonesia']-ID",
        country: 'Indonesia',
        continent: 'Asia',
        coordinates: [101.45, 0.46],
      },
    },
    {
      id: 'MJZ',
      attributes: {
        airport: 'MJZ',
        city: 'Mirnyj',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [114.03, 62.53],
      },
    },
    {
      id: 'DEA',
      attributes: {
        airport: 'DEA',
        city: 'Dera Ghazi Khan',
        region: "['Pakistan']-PK",
        country: 'Pakistan',
        continent: 'Asia',
        coordinates: [70.49, 29.96],
      },
    },
    {
      id: 'MUX',
      attributes: {
        airport: 'MUX',
        city: 'Multan',
        region: "['Pakistan']-PK",
        country: 'Pakistan',
        continent: 'Asia',
        coordinates: [71.41, 30.2],
      },
    },
    {
      id: 'JMK',
      attributes: {
        airport: 'JMK',
        city: 'Mikonos',
        region: "['Greece']-GR",
        country: 'Greece',
        continent: 'Europe',
        coordinates: [25.34, 37.44],
      },
    },
    {
      id: 'ORB',
      attributes: {
        airport: 'ORB',
        city: 'Orebro',
        region: "['Sweden']-SE",
        country: 'Sweden',
        continent: 'Europe',
        coordinates: [15.05, 59.23],
      },
    },
    {
      id: 'TUG',
      attributes: {
        airport: 'TUG',
        city: 'Tuguegarao',
        region: "['Philippines']-PH",
        country: 'Philippines',
        continent: 'Asia',
        coordinates: [121.73, 17.64],
      },
    },
    {
      id: 'VNX',
      attributes: {
        airport: 'VNX',
        city: 'Vilanculos',
        region: "['Mozambique']-MZ",
        country: 'Mozambique',
        continent: 'Africa',
        coordinates: [35.28, -22.02],
      },
    },
    {
      id: 'TNC',
      attributes: {
        airport: 'TNC',
        city: 'Tin City',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-167.92, 65.56],
      },
    },
    {
      id: 'BOD',
      attributes: {
        airport: 'BOD',
        city: 'Bordeaux',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [-0.7, 44.83],
      },
    },
    {
      id: 'KPB',
      attributes: {
        airport: 'KPB',
        city: 'Point Baker',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-133.58, 56.33],
      },
    },
    {
      id: 'PPV',
      attributes: {
        airport: 'PPV',
        city: 'Port Protection',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-133.67, 56.33],
      },
    },
    {
      id: 'PVD',
      attributes: {
        airport: 'PVD',
        city: 'Providence',
        region: 'US-RI',
        country: 'United States',
        continent: 'North America',
        coordinates: [-71.44, 41.73],
      },
    },
    {
      id: 'SJD',
      attributes: {
        airport: 'SJD',
        city: 'San Jose Cabo',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-109.72, 23.16],
      },
    },
    {
      id: 'DOM',
      attributes: {
        airport: 'DOM',
        city: 'Dominica',
        region: "['Dominica']-DM",
        country: 'Dominica',
        continent: 'Central America',
        coordinates: [-61.31, 15.54],
      },
    },
    {
      id: 'CZS',
      attributes: {
        airport: 'CZS',
        city: 'Cruzeiro Do Sul',
        region: 'BR-AC',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-72.78, -7.58],
      },
    },
    {
      id: 'RBR',
      attributes: {
        airport: 'RBR',
        city: 'Rio Branco',
        region: 'BR-AC',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-67.8, -9.97],
      },
    },
    {
      id: 'WLH',
      attributes: {
        airport: 'WLH',
        city: 'Walaha',
        region: "['Vanuatu']-VU",
        country: 'Vanuatu',
        continent: 'Oceania',
        coordinates: [167.7, -15.42],
      },
    },
    {
      id: 'RCL',
      attributes: {
        airport: 'RCL',
        city: 'Redcliffe',
        region: "['Vanuatu']-VU",
        country: 'Vanuatu',
        continent: 'Oceania',
        coordinates: [153.07, -27.21],
      },
    },
    {
      id: 'RDD',
      attributes: {
        airport: 'RDD',
        city: 'Redding',
        region: 'US-CA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-122.3, 40.51],
      },
    },
    {
      id: 'SZB',
      attributes: {
        airport: 'SZB',
        city: 'Kuala Lumpur',
        region: "['Malaysia']-MY",
        country: 'Malaysia',
        continent: 'Asia',
        coordinates: [101.56, 3.13],
      },
    },
    {
      id: 'RDN',
      attributes: {
        airport: 'RDN',
        city: 'Redang',
        region: "['Malaysia']-MY",
        country: 'Malaysia',
        continent: 'Asia',
        coordinates: [103.01, 5.77],
      },
    },
    {
      id: 'KGD',
      attributes: {
        airport: 'KGD',
        city: 'Kaliningrad',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [20.59, 54.88],
      },
    },
    {
      id: 'ROC',
      attributes: {
        airport: 'ROC',
        city: 'Rochester',
        region: 'US-NY',
        country: 'United States',
        continent: 'North America',
        coordinates: [-77.67, 43.13],
      },
    },
    {
      id: 'ROT',
      attributes: {
        airport: 'ROT',
        city: 'Rotorua',
        region: "['New Zealand']-NZ",
        country: 'New Zealand',
        continent: 'Oceania',
        coordinates: [176.32, -38.11],
      },
    },
    {
      id: 'HOD',
      attributes: {
        airport: 'HOD',
        city: 'Hodeidah',
        region: "['Yemen']-YE",
        country: 'Yemen',
        continent: 'Asia',
        coordinates: [42.97, 14.76],
      },
    },
    {
      id: 'HPB',
      attributes: {
        airport: 'HPB',
        city: 'Hooper Bay',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-166.15, 61.53],
      },
    },
    {
      id: 'SCM',
      attributes: {
        airport: 'SCM',
        city: 'Scammon Bay',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-165.59, 61.85],
      },
    },
    {
      id: 'SNP',
      attributes: {
        airport: 'SNP',
        city: 'Saint Paul Island',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-170.22, 57.15],
      },
    },
    {
      id: 'TZX',
      attributes: {
        airport: 'TZX',
        city: 'Trabzon',
        region: "['Turkey']-TR",
        country: 'Turkey',
        continent: 'Asia',
        coordinates: [39.78, 40.99],
      },
    },
    {
      id: 'VLI',
      attributes: {
        airport: 'VLI',
        city: 'Port Vila',
        region: "['Vanuatu']-VU",
        country: 'Vanuatu',
        continent: 'Oceania',
        coordinates: [168.32, -17.7],
      },
    },
    {
      id: 'TGH',
      attributes: {
        airport: 'TGH',
        city: 'Tongoa',
        region: "['Vanuatu']-VU",
        country: 'Vanuatu',
        continent: 'Oceania',
        coordinates: [168.55, -16.9],
      },
    },
    {
      id: 'PEG',
      attributes: {
        airport: 'PEG',
        city: 'Perugia',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [12.37, 43.13],
      },
    },
    {
      id: 'GWD',
      attributes: {
        airport: 'GWD',
        city: 'Gwadar',
        region: "['Pakistan']-PK",
        country: 'Pakistan',
        continent: 'Asia',
        coordinates: [62.34, 25.23],
      },
    },
    {
      id: 'PBJ',
      attributes: {
        airport: 'PBJ',
        city: 'Paama',
        region: "['Vanuatu']-VU",
        country: 'Vanuatu',
        continent: 'Oceania',
        coordinates: [168.22, -16.43],
      },
    },
    {
      id: 'ULB',
      attributes: {
        airport: 'ULB',
        city: 'Ulei',
        region: "['Vanuatu']-VU",
        country: 'Vanuatu',
        continent: 'Oceania',
        coordinates: [168.33, -16.42],
      },
    },
    {
      id: 'KDI',
      attributes: {
        airport: 'KDI',
        city: 'Kendari',
        region: "['Indonesia']-ID",
        country: 'Indonesia',
        continent: 'Asia',
        coordinates: [122.41, -4.09],
      },
    },
    {
      id: 'NRK',
      attributes: {
        airport: 'NRK',
        city: 'Norrkoping',
        region: "['Sweden']-SE",
        country: 'Sweden',
        continent: 'Europe',
        coordinates: [16.23, 58.58],
      },
    },
    {
      id: 'RMI',
      attributes: {
        airport: 'RMI',
        city: 'Rimini',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [12.62, 44.02],
      },
    },
    {
      id: 'WAG',
      attributes: {
        airport: 'WAG',
        city: 'Wanganui',
        region: "['New Zealand']-NZ",
        country: 'New Zealand',
        continent: 'Oceania',
        coordinates: [175.02, -39.96],
      },
    },
    {
      id: 'WLG',
      attributes: {
        airport: 'WLG',
        city: 'Wellington',
        region: "['New Zealand']-NZ",
        country: 'New Zealand',
        continent: 'Oceania',
        coordinates: [174.81, -41.33],
      },
    },
    {
      id: 'YGK',
      attributes: {
        airport: 'YGK',
        city: 'Kingston',
        region: 'CA-ON',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-76.59, 44.22],
      },
    },
    {
      id: 'ZCL',
      attributes: {
        airport: 'ZCL',
        city: 'Zacatecas',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-102.55, 22.8],
      },
    },
    {
      id: 'ZTB',
      attributes: {
        airport: 'ZTB',
        city: 'Tete-A-La Baleine',
        region: 'CA-QC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-59.33, 50.72],
      },
    },
    {
      id: 'ZLT',
      attributes: {
        airport: 'ZLT',
        city: 'La Tabatiere',
        region: 'CA-QC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-58.98, 50.83],
      },
    },
    {
      id: 'ZQN',
      attributes: {
        airport: 'ZQN',
        city: 'Queenstown',
        region: "['New Zealand']-NZ",
        country: 'New Zealand',
        continent: 'Oceania',
        coordinates: [168.74, -45.02],
      },
    },
    {
      id: 'APN',
      attributes: {
        airport: 'APN',
        city: 'Alpena',
        region: 'US-MI',
        country: 'United States',
        continent: 'North America',
        coordinates: [-83.56, 45.08],
      },
    },
    {
      id: 'YQG',
      attributes: {
        airport: 'YQG',
        city: 'Windsor',
        region: 'CA-ON',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-82.96, 42.27],
      },
    },
    {
      id: 'YQD',
      attributes: {
        airport: 'YQD',
        city: 'The Pas',
        region: 'CA-MB',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-101.1, 53.97],
      },
    },
    {
      id: 'IXE',
      attributes: {
        airport: 'IXE',
        city: 'Mangalore',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [74.89, 12.96],
      },
    },
    {
      id: 'BMV',
      attributes: {
        airport: 'BMV',
        city: 'Banmethuot',
        region: "['Vietnam']-VN",
        country: 'Vietnam',
        continent: 'Asia',
        coordinates: [108.05, 12.67],
      },
    },
    {
      id: 'BNN',
      attributes: {
        airport: 'BNN',
        city: 'Bronnoysund',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [12.22, 65.46],
      },
    },
    {
      id: 'AOK',
      attributes: {
        airport: 'AOK',
        city: 'Karpathos',
        region: "['Greece']-GR",
        country: 'Greece',
        continent: 'Europe',
        coordinates: [27.15, 35.42],
      },
    },
    {
      id: 'LRS',
      attributes: {
        airport: 'LRS',
        city: 'Leros',
        region: "['Greece']-GR",
        country: 'Greece',
        continent: 'Europe',
        coordinates: [26.78, 37.52],
      },
    },
    {
      id: 'VPS',
      attributes: {
        airport: 'VPS',
        city: 'Fort Walton Beach',
        region: 'US-FL',
        country: 'United States',
        continent: 'North America',
        coordinates: [-86.55, 30.5],
      },
    },
    {
      id: 'MRV',
      attributes: {
        airport: 'MRV',
        city: 'Mineralnye Vody',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [43.09, 44.22],
      },
    },
    {
      id: 'BHR',
      attributes: {
        airport: 'BHR',
        city: 'Bharatpur',
        region: "['Nepal']-NP",
        country: 'Nepal',
        continent: 'Asia',
        coordinates: [84.43, 27.68],
      },
    },
    {
      id: 'SDY',
      attributes: {
        airport: 'SDY',
        city: 'Sidney',
        region: 'US-MT',
        country: 'United States',
        continent: 'North America',
        coordinates: [-104.19, 47.71],
      },
    },
    {
      id: 'WST',
      attributes: {
        airport: 'WST',
        city: 'Westerly',
        region: 'US-RI',
        country: 'United States',
        continent: 'North America',
        coordinates: [-71.81, 41.35],
      },
    },
    {
      id: 'BID',
      attributes: {
        airport: 'BID',
        city: 'Block Island',
        region: 'US-RI',
        country: 'United States',
        continent: 'North America',
        coordinates: [-71.58, 41.17],
      },
    },
    {
      id: 'BIO',
      attributes: {
        airport: 'BIO',
        city: 'Bilbao',
        region: 'ES-SP',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [-2.91, 43.31],
      },
    },
    {
      id: 'PNK',
      attributes: {
        airport: 'PNK',
        city: 'Pontianak',
        region: "['Indonesia']-ID",
        country: 'Indonesia',
        continent: 'Asia',
        coordinates: [109.41, -0.15],
      },
    },
    {
      id: 'BZG',
      attributes: {
        airport: 'BZG',
        city: 'Bydgoszcz',
        region: "['Poland']-PL",
        country: 'Poland',
        continent: 'Europe',
        coordinates: [17.98, 53.1],
      },
    },
    {
      id: 'DIB',
      attributes: {
        airport: 'DIB',
        city: 'Dibrugarh',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [95.02, 27.48],
      },
    },
    {
      id: 'AVP',
      attributes: {
        airport: 'AVP',
        city: 'Wilkes-Barre',
        region: 'US-PA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-75.73, 41.34],
      },
    },
    {
      id: 'LIG',
      attributes: {
        airport: 'LIG',
        city: 'Limoges',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [1.18, 45.86],
      },
    },
    {
      id: 'EGN',
      attributes: {
        airport: 'EGN',
        city: 'Geneina',
        region: "['Sudan']-SD",
        country: 'Sudan',
        continent: 'Africa',
        coordinates: [22.47, 13.49],
      },
    },
    {
      id: 'ELF',
      attributes: {
        airport: 'ELF',
        city: 'El Fasher',
        region: "['Sudan']-SD",
        country: 'Sudan',
        continent: 'Africa',
        coordinates: [25.32, 13.62],
      },
    },
    {
      id: 'ELI',
      attributes: {
        airport: 'ELI',
        city: 'Elim',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-162.27, 64.61],
      },
    },
    {
      id: 'CVQ',
      attributes: {
        airport: 'CVQ',
        city: 'Carnarvon',
        region: 'AU-WA',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [113.66, -24.88],
      },
    },
    {
      id: 'LBF',
      attributes: {
        airport: 'LBF',
        city: 'North Platte',
        region: 'US-NE',
        country: 'United States',
        continent: 'North America',
        coordinates: [-100.7, 41.13],
      },
    },
    {
      id: 'DIY',
      attributes: {
        airport: 'DIY',
        city: 'Diyarbakir',
        region: "['Turkey']-TR",
        country: 'Turkey',
        continent: 'Asia',
        coordinates: [40.2, 37.9],
      },
    },
    {
      id: 'ELV',
      attributes: {
        airport: 'ELV',
        city: 'Elfin Cove',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-136.32, 58.18],
      },
    },
    {
      id: 'GRI',
      attributes: {
        airport: 'GRI',
        city: 'Grand Island',
        region: 'US-NE',
        country: 'United States',
        continent: 'North America',
        coordinates: [-98.31, 40.97],
      },
    },
    {
      id: 'CAP',
      attributes: {
        airport: 'CAP',
        city: 'Cap Haitien',
        region: "['Haiti']-HT",
        country: 'Haiti',
        continent: 'Central America',
        coordinates: [-72.19, 19.73],
      },
    },
    {
      id: 'VRA',
      attributes: {
        airport: 'VRA',
        city: 'Varadero',
        region: "['Cuba']-CU",
        country: 'Cuba',
        continent: 'Central America',
        coordinates: [-81.44, 23.04],
      },
    },
    {
      id: 'FMO',
      attributes: {
        airport: 'FMO',
        city: 'Muenster',
        region: "['Germany']-DE",
        country: 'Germany',
        continent: 'Europe',
        coordinates: [7.69, 52.13],
      },
    },
    {
      id: 'KSN',
      attributes: {
        airport: 'KSN',
        city: 'Kostanay',
        region: "['Kazakhstan']-KZ",
        country: 'Kazakhstan',
        continent: 'Asia',
        coordinates: [63.55, 53.2],
      },
    },
    {
      id: 'FAE',
      attributes: {
        airport: 'FAE',
        city: 'Faroe Islands',
        region: "['Faroe Islands']-FO",
        country: 'Faroe Islands',
        continent: 'Europe',
        coordinates: [-7.27, 62.07],
      },
    },
    {
      id: 'DRT',
      attributes: {
        airport: 'DRT',
        city: 'Del Rio',
        region: 'US-TX',
        country: 'United States',
        continent: 'North America',
        coordinates: [-100.98, 29.33],
      },
    },
    {
      id: 'LRD',
      attributes: {
        airport: 'LRD',
        city: 'Laredo',
        region: 'US-TX',
        country: 'United States',
        continent: 'North America',
        coordinates: [-99.46, 27.54],
      },
    },
    {
      id: 'HDF',
      attributes: {
        airport: 'HDF',
        city: 'Heringsdorf',
        region: "['Germany']-DE",
        country: 'Germany',
        continent: 'Europe',
        coordinates: [14.14, 53.88],
      },
    },
    {
      id: 'WWK',
      attributes: {
        airport: 'WWK',
        city: 'Wewak',
        region: "['Papua New Guinea']-PG",
        country: 'Papua New Guinea',
        continent: 'Oceania',
        coordinates: [143.67, -3.58],
      },
    },
    {
      id: 'HGU',
      attributes: {
        airport: 'HGU',
        city: 'Mount Hagen',
        region: "['Papua New Guinea']-PG",
        country: 'Papua New Guinea',
        continent: 'Oceania',
        coordinates: [144.3, -5.83],
      },
    },
    {
      id: 'USM',
      attributes: {
        airport: 'USM',
        city: 'Koh Samui',
        region: "['Thailand']-TH",
        country: 'Thailand',
        continent: 'Asia',
        coordinates: [100.06, 9.56],
      },
    },
    {
      id: 'YNZ',
      attributes: {
        airport: 'YNZ',
        city: 'Yancheng',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [120.13, 33.39],
      },
    },
    {
      id: 'HOI',
      attributes: {
        airport: 'HOI',
        city: 'Hao Island',
        region: "['French Polynesia']-PF",
        country: 'French Polynesia',
        continent: 'Oceania',
        coordinates: [-140.97, -18.06],
      },
    },
    {
      id: 'JDH',
      attributes: {
        airport: 'JDH',
        city: 'Jodhpur',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [73.05, 26.26],
      },
    },
    {
      id: 'IQT',
      attributes: {
        airport: 'IQT',
        city: 'Iquitos',
        region: "['Peru']-PE",
        country: 'Peru',
        continent: 'South America',
        coordinates: [-73.3, -3.79],
      },
    },
    {
      id: 'KWF',
      attributes: {
        airport: 'KWF',
        city: 'Waterfall',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-133.24, 55.3],
      },
    },
    {
      id: 'KTN',
      attributes: {
        airport: 'KTN',
        city: 'Ketchikan',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-131.71, 55.36],
      },
    },
    {
      id: 'AXD',
      attributes: {
        airport: 'AXD',
        city: 'Alexandroupolis',
        region: "['Greece']-GR",
        country: 'Greece',
        continent: 'Europe',
        coordinates: [25.94, 40.86],
      },
    },
    {
      id: 'JSI',
      attributes: {
        airport: 'JSI',
        city: 'Skiathos',
        region: "['Greece']-GR",
        country: 'Greece',
        continent: 'Europe',
        coordinates: [23.51, 39.18],
      },
    },
    {
      id: 'KCG',
      attributes: {
        airport: 'KCG',
        city: 'Chignik',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-158.37, 56.31],
      },
    },
    {
      id: 'KCL',
      attributes: {
        airport: 'KCL',
        city: 'Chignik',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-158.53, 56.31],
      },
    },
    {
      id: 'BSD',
      attributes: {
        airport: 'BSD',
        city: 'Baoshan',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [99.16, 25.06],
      },
    },
    {
      id: 'LNE',
      attributes: {
        airport: 'LNE',
        city: 'Lonorore',
        region: "['Vanuatu']-VU",
        country: 'Vanuatu',
        continent: 'Oceania',
        coordinates: [168.17, -15.86],
      },
    },
    {
      id: 'LRM',
      attributes: {
        airport: 'LRM',
        city: 'La Romana',
        region: "['Dominican Republic']-DO",
        country: 'Dominican Republic',
        continent: 'Central America',
        coordinates: [-68.9, 18.42],
      },
    },
    {
      id: 'LJU',
      attributes: {
        airport: 'LJU',
        city: 'Ljubljana',
        region: "['Slovenia']-SI",
        country: 'Slovenia',
        continent: 'Europe',
        coordinates: [14.45, 46.23],
      },
    },
    {
      id: 'NGS',
      attributes: {
        airport: 'NGS',
        city: 'Nagasaki',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [129.92, 32.91],
      },
    },
    {
      id: 'KIH',
      attributes: {
        airport: 'KIH',
        city: 'Kish Island',
        region: "['Iran']-IR",
        country: 'Iran',
        continent: 'Asia',
        coordinates: [53.97, 26.53],
      },
    },
    {
      id: 'BLK',
      attributes: {
        airport: 'BLK',
        city: 'Blackpool',
        region: 'GB-EN',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-3.04, 53.78],
      },
    },
    {
      id: 'GTF',
      attributes: {
        airport: 'GTF',
        city: 'Great Falls',
        region: 'US-MT',
        country: 'United States',
        continent: 'North America',
        coordinates: [-111.36, 47.48],
      },
    },
    {
      id: 'LBV',
      attributes: {
        airport: 'LBV',
        city: 'Libreville',
        region: "['Gabon']-GA",
        country: 'Gabon',
        continent: 'Africa',
        coordinates: [9.41, 0.46],
      },
    },
    {
      id: 'POL',
      attributes: {
        airport: 'POL',
        city: 'Pemba',
        region: "['Mozambique']-MZ",
        country: 'Mozambique',
        continent: 'Africa',
        coordinates: [40.52, -12.99],
      },
    },
    {
      id: 'OGS',
      attributes: {
        airport: 'OGS',
        city: 'Ogdensburg',
        region: 'US-NY',
        country: 'United States',
        continent: 'North America',
        coordinates: [-75.47, 44.68],
      },
    },
    {
      id: 'OLB',
      attributes: {
        airport: 'OLB',
        city: 'Olbia',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [9.51, 40.9],
      },
    },
    {
      id: 'NDJ',
      attributes: {
        airport: 'NDJ',
        city: 'Ndjamena',
        region: "['Chad']-TD",
        country: 'Chad',
        continent: 'Africa',
        coordinates: [15.03, 12.13],
      },
    },
    {
      id: 'ABR',
      attributes: {
        airport: 'ABR',
        city: 'Aberdeen',
        region: 'US-SD',
        country: 'United States',
        continent: 'North America',
        coordinates: [-98.43, 45.45],
      },
    },
    {
      id: 'PIR',
      attributes: {
        airport: 'PIR',
        city: 'Pierre',
        region: 'US-SD',
        country: 'United States',
        continent: 'North America',
        coordinates: [-100.29, 44.38],
      },
    },
    {
      id: 'PLS',
      attributes: {
        airport: 'PLS',
        city: 'Providenciales',
        region: "['Turks and Caicos Islands']-TC",
        country: 'Turks and Caicos Islands',
        continent: 'Central America',
        coordinates: [-72.27, 21.77],
      },
    },
    {
      id: 'RJK',
      attributes: {
        airport: 'RJK',
        city: 'Rijeka',
        region: "['Croatia']-HR",
        country: 'Croatia',
        continent: 'Europe',
        coordinates: [14.57, 45.22],
      },
    },
    {
      id: 'MAG',
      attributes: {
        airport: 'MAG',
        city: 'Madang',
        region: "['Papua New Guinea']-PG",
        country: 'Papua New Guinea',
        continent: 'Oceania',
        coordinates: [145.79, -5.21],
      },
    },
    {
      id: 'TSO',
      attributes: {
        airport: 'TSO',
        city: 'Isles Of Scilly',
        region: 'GB-EN',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-6.33, 49.95],
      },
    },
    {
      id: 'PZE',
      attributes: {
        airport: 'PZE',
        city: 'Penzance',
        region: 'GB-EN',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-5.52, 50.11],
      },
    },
    {
      id: 'REX',
      attributes: {
        airport: 'REX',
        city: 'Reynosa',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-98.23, 26.01],
      },
    },
    {
      id: 'RNA',
      attributes: {
        airport: 'RNA',
        city: 'Arona',
        region: "['Solomon Islands']-SB",
        country: 'Solomon Islands',
        continent: 'Oceania',
        coordinates: [161.98, -9.86],
      },
    },
    {
      id: 'RRS',
      attributes: {
        airport: 'RRS',
        city: 'Roros',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [11.35, 62.58],
      },
    },
    {
      id: 'RTW',
      attributes: {
        airport: 'RTW',
        city: 'Saratov',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [46.07, 51.57],
      },
    },
    {
      id: 'EAM',
      attributes: {
        airport: 'EAM',
        city: 'Nejran',
        region: "['Saudi Arabia']-SA",
        country: 'Saudi Arabia',
        continent: 'Asia',
        coordinates: [44.41, 17.61],
      },
    },
    {
      id: 'SWF',
      attributes: {
        airport: 'SWF',
        city: 'Newburgh',
        region: 'US-NY',
        country: 'United States',
        continent: 'North America',
        coordinates: [-74.1, 41.5],
      },
    },
    {
      id: 'SXR',
      attributes: {
        airport: 'SXR',
        city: 'Srinagar',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [74.76, 34.0],
      },
    },
    {
      id: 'TUS',
      attributes: {
        airport: 'TUS',
        city: 'Tucson',
        region: 'US-AZ',
        country: 'United States',
        continent: 'North America',
        coordinates: [-110.94, 32.12],
      },
    },
    {
      id: 'CLY',
      attributes: {
        airport: 'CLY',
        city: 'Calvi',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [8.79, 42.53],
      },
    },
    {
      id: 'SMX',
      attributes: {
        airport: 'SMX',
        city: 'Santa Maria',
        region: 'US-CA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-120.46, 34.91],
      },
    },
    {
      id: 'SNU',
      attributes: {
        airport: 'SNU',
        city: 'Santa Clara',
        region: "['Cuba']-CU",
        country: 'Cuba',
        continent: 'Central America',
        coordinates: [-79.94, 22.49],
      },
    },
    {
      id: 'UUS',
      attributes: {
        airport: 'UUS',
        city: 'Yuzhno-Sakhalinsk',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [142.75, 46.97],
      },
    },
    {
      id: 'UME',
      attributes: {
        airport: 'UME',
        city: 'Umea',
        region: "['Sweden']-SE",
        country: 'Sweden',
        continent: 'Europe',
        coordinates: [20.29, 63.79],
      },
    },
    {
      id: 'TBG',
      attributes: {
        airport: 'TBG',
        city: 'Tabubil',
        region: "['Papua New Guinea']-PG",
        country: 'Papua New Guinea',
        continent: 'Oceania',
        coordinates: [141.23, -5.27],
      },
    },
    {
      id: 'UNG',
      attributes: {
        airport: 'UNG',
        city: 'Kiunga',
        region: "['Papua New Guinea']-PG",
        country: 'Papua New Guinea',
        continent: 'Oceania',
        coordinates: [141.29, -6.13],
      },
    },
    {
      id: 'YOC',
      attributes: {
        airport: 'YOC',
        city: 'Old Crow',
        region: 'CA-YT',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-139.83, 67.58],
      },
    },
    {
      id: 'YXN',
      attributes: {
        airport: 'YXN',
        city: 'Whale Cove',
        region: 'CA-NU',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-92.6, 62.23],
      },
    },
    {
      id: 'YRT',
      attributes: {
        airport: 'YRT',
        city: 'Rankin Inlet',
        region: 'CA-NU',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-92.1, 62.81],
      },
    },
    {
      id: 'PAZ',
      attributes: {
        airport: 'PAZ',
        city: 'Poza Rica',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-97.47, 20.52],
      },
    },
    {
      id: 'YAC',
      attributes: {
        airport: 'YAC',
        city: 'Cat Lake',
        region: 'CA-ON',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-91.82, 51.72],
      },
    },
    {
      id: 'YIF',
      attributes: {
        airport: 'YIF',
        city: 'Pakuashipi',
        region: 'CA-QC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-58.67, 51.22],
      },
    },
    {
      id: 'BGR',
      attributes: {
        airport: 'BGR',
        city: 'Bangor',
        region: 'US-ME',
        country: 'United States',
        continent: 'North America',
        coordinates: [-68.82, 44.81],
      },
    },
    {
      id: 'BJW',
      attributes: {
        airport: 'BJW',
        city: 'Bajawa',
        region: "['Indonesia']-ID",
        country: 'Indonesia',
        continent: 'Asia',
        coordinates: [120.98, -8.77],
      },
    },
    {
      id: 'AKU',
      attributes: {
        airport: 'AKU',
        city: 'Aksu',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [80.29, 41.26],
      },
    },
    {
      id: 'KYP',
      attributes: {
        airport: 'KYP',
        city: 'Kyaukpyu',
        region: "['Myanmar']-MM",
        country: 'Myanmar',
        continent: 'Asia',
        coordinates: [93.53, 19.43],
      },
    },
    {
      id: 'BTV',
      attributes: {
        airport: 'BTV',
        city: 'Burlington',
        region: 'US-VT',
        country: 'United States',
        continent: 'North America',
        coordinates: [-73.16, 44.47],
      },
    },
    {
      id: 'SKP',
      attributes: {
        airport: 'SKP',
        city: 'Skopje',
        region: "['North Macedonia']-MK",
        country: 'North Macedonia',
        continent: 'Europe',
        coordinates: [21.63, 41.96],
      },
    },
    {
      id: 'BEL',
      attributes: {
        airport: 'BEL',
        city: 'Belem',
        region: 'BR-PA',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-48.48, -1.39],
      },
    },
    {
      id: 'CCJ',
      attributes: {
        airport: 'CCJ',
        city: 'Kozhikode',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [75.95, 11.14],
      },
    },
    {
      id: 'PHE',
      attributes: {
        airport: 'PHE',
        city: 'Port Hedland',
        region: 'AU-WA',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [118.63, -20.38],
      },
    },
    {
      id: 'UIB',
      attributes: {
        airport: 'UIB',
        city: 'Quibdo',
        region: "['Colombia']-CO",
        country: 'Colombia',
        continent: 'South America',
        coordinates: [-76.64, 5.69],
      },
    },
    {
      id: 'CEI',
      attributes: {
        airport: 'CEI',
        city: 'Chiang Rai',
        region: "['Thailand']-TH",
        country: 'Thailand',
        continent: 'Asia',
        coordinates: [99.88, 19.95],
      },
    },
    {
      id: 'PUF',
      attributes: {
        airport: 'PUF',
        city: 'Pau',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [-0.41, 43.38],
      },
    },
    {
      id: 'CRK',
      attributes: {
        airport: 'CRK',
        city: 'Luzon Island',
        region: "['Philippines']-PH",
        country: 'Philippines',
        continent: 'Asia',
        coordinates: [120.55, 15.18],
      },
    },
    {
      id: 'CRP',
      attributes: {
        airport: 'CRP',
        city: 'Corpus Christi',
        region: 'US-TX',
        country: 'United States',
        continent: 'North America',
        coordinates: [-97.5, 27.77],
      },
    },
    {
      id: 'RIS',
      attributes: {
        airport: 'RIS',
        city: 'Rishiri',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [141.25, 45.18],
      },
    },
    {
      id: 'ZNZ',
      attributes: {
        airport: 'ZNZ',
        city: 'Zanzibar',
        region: "['Tanzania']-TZ",
        country: 'Tanzania',
        continent: 'Africa',
        coordinates: [39.22, -6.22],
      },
    },
    {
      id: 'PGF',
      attributes: {
        airport: 'PGF',
        city: 'Perpignan',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [2.87, 42.74],
      },
    },
    {
      id: 'NDR',
      attributes: {
        airport: 'NDR',
        city: 'Nador',
        region: "['Morocco']-MA",
        country: 'Morocco',
        continent: 'Africa',
        coordinates: [-2.92, 35.15],
      },
    },
    {
      id: 'LBB',
      attributes: {
        airport: 'LBB',
        city: 'Lubbock',
        region: 'US-TX',
        country: 'United States',
        continent: 'North America',
        coordinates: [-101.82, 33.66],
      },
    },
    {
      id: 'DLY',
      attributes: {
        airport: 'DLY',
        city: 'Dillons Bay',
        region: "['Vanuatu']-VU",
        country: 'Vanuatu',
        continent: 'Oceania',
        coordinates: [169.15, -18.7],
      },
    },
    {
      id: 'GPA',
      attributes: {
        airport: 'GPA',
        city: 'Patras',
        region: "['Greece']-GR",
        country: 'Greece',
        continent: 'Europe',
        coordinates: [21.73, 38.25],
      },
    },
    {
      id: 'GET',
      attributes: {
        airport: 'GET',
        city: 'Geraldton',
        region: 'AU-WA',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [114.7, -28.8],
      },
    },
    {
      id: 'HAC',
      attributes: {
        airport: 'HAC',
        city: 'Hachijo Jima',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [139.78, 33.12],
      },
    },
    {
      id: 'HBA',
      attributes: {
        airport: 'HBA',
        city: 'Hobart',
        region: 'AU-TAS',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [147.51, -42.84],
      },
    },
    {
      id: 'KEM',
      attributes: {
        airport: 'KEM',
        city: 'Kemi/Tornio',
        region: "['Finland']-FI",
        country: 'Finland',
        continent: 'Europe',
        coordinates: [24.58, 65.78],
      },
    },
    {
      id: 'HKD',
      attributes: {
        airport: 'HKD',
        city: 'Hakodate',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [140.82, 41.78],
      },
    },
    {
      id: 'OGG',
      attributes: {
        airport: 'OGG',
        city: 'Kahului',
        region: 'US-HI',
        country: 'United States',
        continent: 'North America',
        coordinates: [-156.44, 20.89],
      },
    },
    {
      id: 'RZE',
      attributes: {
        airport: 'RZE',
        city: 'Rzeszow',
        region: "['Poland']-PL",
        country: 'Poland',
        continent: 'Europe',
        coordinates: [22.03, 50.12],
      },
    },
    {
      id: 'REL',
      attributes: {
        airport: 'REL',
        city: 'Trelew',
        region: 'AR-CB',
        country: 'Argentina',
        continent: 'South America',
        coordinates: [-65.32, -43.23],
      },
    },
    {
      id: 'FTE',
      attributes: {
        airport: 'FTE',
        city: 'El Calafate',
        region: 'AR-SC',
        country: 'Argentina',
        continent: 'South America',
        coordinates: [-72.05, -50.28],
      },
    },
    {
      id: 'GOH',
      attributes: {
        airport: 'GOH',
        city: 'Nuuk',
        region: "['Greenland']-GL",
        country: 'Greenland',
        continent: 'North America',
        coordinates: [-51.73, 64.18],
      },
    },
    {
      id: 'KGS',
      attributes: {
        airport: 'KGS',
        city: 'Kos',
        region: "['Greece']-GR",
        country: 'Greece',
        continent: 'Europe',
        coordinates: [27.1, 36.79],
      },
    },
    {
      id: 'MVY',
      attributes: {
        airport: 'MVY',
        city: "Marthas Vineyard'",
        region: 'US-MA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-70.61, 41.39],
      },
    },
    {
      id: 'IXA',
      attributes: {
        airport: 'IXA',
        city: 'Agartala',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [91.24, 23.89],
      },
    },
    {
      id: 'KHM',
      attributes: {
        airport: 'KHM',
        city: 'Khamtis',
        region: "['Myanmar']-MM",
        country: 'Myanmar',
        continent: 'Asia',
        coordinates: [95.68, 25.99],
      },
    },
    {
      id: 'AXR',
      attributes: {
        airport: 'AXR',
        city: 'Arutua',
        region: "['French Polynesia']-PF",
        country: 'French Polynesia',
        continent: 'Oceania',
        coordinates: [-146.75, -15.25],
      },
    },
    {
      id: 'KLO',
      attributes: {
        airport: 'KLO',
        city: 'Kalibo',
        region: "['Philippines']-PH",
        country: 'Philippines',
        continent: 'Asia',
        coordinates: [122.38, 11.69],
      },
    },
    {
      id: 'RNB',
      attributes: {
        airport: 'RNB',
        city: 'Ronneby',
        region: "['Sweden']-SE",
        country: 'Sweden',
        continent: 'Europe',
        coordinates: [15.26, 56.26],
      },
    },
    {
      id: 'LJG',
      attributes: {
        airport: 'LJG',
        city: 'Lijiang',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [100.25, 26.68],
      },
    },
    {
      id: 'CAE',
      attributes: {
        airport: 'CAE',
        city: 'Columbia',
        region: 'US-SC',
        country: 'United States',
        continent: 'North America',
        coordinates: [-81.13, 33.95],
      },
    },
    {
      id: 'HYL',
      attributes: {
        airport: 'HYL',
        city: 'Hollis',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-132.65, 55.48],
      },
    },
    {
      id: 'KTS',
      attributes: {
        airport: 'KTS',
        city: 'Teller Mission',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-166.47, 65.33],
      },
    },
    {
      id: 'LDY',
      attributes: {
        airport: 'LDY',
        city: 'Londonderry',
        region: 'GB-NI',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-7.16, 55.04],
      },
    },
    {
      id: 'MCZ',
      attributes: {
        airport: 'MCZ',
        city: 'Maceio',
        region: 'BR-AL',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-35.8, -9.51],
      },
    },
    {
      id: 'PGK',
      attributes: {
        airport: 'PGK',
        city: 'Pangkalpinang',
        region: "['Indonesia']-ID",
        country: 'Indonesia',
        continent: 'Asia',
        coordinates: [106.14, -2.16],
      },
    },
    {
      id: 'LRT',
      attributes: {
        airport: 'LRT',
        city: 'Lorient',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [-3.44, 47.75],
      },
    },
    {
      id: 'NCY',
      attributes: {
        airport: 'NCY',
        city: 'Annecy',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [6.1, 45.93],
      },
    },
    {
      id: 'MUR',
      attributes: {
        airport: 'MUR',
        city: 'Marudi',
        region: "['Malaysia']-MY",
        country: 'Malaysia',
        continent: 'Asia',
        coordinates: [114.32, 4.18],
      },
    },
    {
      id: 'BIM',
      attributes: {
        airport: 'BIM',
        city: 'Bimini',
        region: "['Bahamas']-BS",
        country: 'Bahamas',
        continent: 'Central America',
        coordinates: [-79.28, 25.7],
      },
    },
    {
      id: 'PDG',
      attributes: {
        airport: 'PDG',
        city: 'Padang',
        region: "['Indonesia']-ID",
        country: 'Indonesia',
        continent: 'Asia',
        coordinates: [100.35, -0.88],
      },
    },
    {
      id: 'HLD',
      attributes: {
        airport: 'HLD',
        city: 'Hailar',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [119.81, 49.21],
      },
    },
    {
      id: 'ORN',
      attributes: {
        airport: 'ORN',
        city: 'Oran',
        region: "['Algeria']-DZ",
        country: 'Algeria',
        continent: 'Africa',
        coordinates: [-0.61, 35.62],
      },
    },
    {
      id: 'EPR',
      attributes: {
        airport: 'EPR',
        city: 'Esperance',
        region: 'AU-WA',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [121.83, -33.68],
      },
    },
    {
      id: 'GYM',
      attributes: {
        airport: 'GYM',
        city: 'Guaymas',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-110.93, 27.96],
      },
    },
    {
      id: 'GDX',
      attributes: {
        airport: 'GDX',
        city: 'Magadan',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [150.72, 59.92],
      },
    },
    {
      id: 'PKC',
      attributes: {
        airport: 'PKC',
        city: 'Petropavlovsk-Kamchatsky',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [158.65, 53.02],
      },
    },
    {
      id: 'TAL',
      attributes: {
        airport: 'TAL',
        city: 'Tanana',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-152.11, 65.17],
      },
    },
    {
      id: 'RBY',
      attributes: {
        airport: 'RBY',
        city: 'Ruby',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-155.46, 64.73],
      },
    },
    {
      id: 'PMF',
      attributes: {
        airport: 'PMF',
        city: 'Milan',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [10.33, 44.8],
      },
    },
    {
      id: 'FLG',
      attributes: {
        airport: 'FLG',
        city: 'Grand Canyon',
        region: 'US-AZ',
        country: 'United States',
        continent: 'North America',
        coordinates: [-111.67, 35.14],
      },
    },
    {
      id: 'PRC',
      attributes: {
        airport: 'PRC',
        city: 'Prescott',
        region: 'US-AZ',
        country: 'United States',
        continent: 'North America',
        coordinates: [-112.42, 34.65],
      },
    },
    {
      id: 'RYK',
      attributes: {
        airport: 'RYK',
        city: 'Rahim Yar Khan',
        region: "['Pakistan']-PK",
        country: 'Pakistan',
        continent: 'Asia',
        coordinates: [70.29, 28.39],
      },
    },
    {
      id: 'RLG',
      attributes: {
        airport: 'RLG',
        city: 'Rostock-Laage',
        region: "['Germany']-DE",
        country: 'Germany',
        continent: 'Europe',
        coordinates: [12.27, 53.92],
      },
    },
    {
      id: 'TRZ',
      attributes: {
        airport: 'TRZ',
        city: 'Tiruchirappalli',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [78.71, 10.76],
      },
    },
    {
      id: 'KOA',
      attributes: {
        airport: 'KOA',
        city: 'Kona',
        region: 'US-HI',
        country: 'United States',
        continent: 'North America',
        coordinates: [-156.04, 19.74],
      },
    },
    {
      id: 'CJB',
      attributes: {
        airport: 'CJB',
        city: 'Coimbatore',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [77.04, 11.03],
      },
    },
    {
      id: 'OBX',
      attributes: {
        airport: 'OBX',
        city: 'Obo',
        region: "['Papua New Guinea']-PG",
        country: 'Papua New Guinea',
        continent: 'Oceania',
        coordinates: [141.32, -7.58],
      },
    },
    {
      id: 'SKC',
      attributes: {
        airport: 'SKC',
        city: 'Suki',
        region: "['Papua New Guinea']-PG",
        country: 'Papua New Guinea',
        continent: 'Oceania',
        coordinates: [141.8, -8.08],
      },
    },
    {
      id: 'SLL',
      attributes: {
        airport: 'SLL',
        city: 'Salalah',
        region: "['Oman']-OM",
        country: 'Oman',
        continent: 'Asia',
        coordinates: [54.11, 17.04],
      },
    },
    {
      id: 'TNR',
      attributes: {
        airport: 'TNR',
        city: 'Antananarivo',
        region: "['Madagascar']-MG",
        country: 'Madagascar',
        continent: 'Africa',
        coordinates: [47.48, -18.8],
      },
    },
    {
      id: 'SMS',
      attributes: {
        airport: 'SMS',
        city: 'Sainte Marie',
        region: "['Madagascar']-MG",
        country: 'Madagascar',
        continent: 'Africa',
        coordinates: [49.82, -17.08],
      },
    },
    {
      id: 'YCD',
      attributes: {
        airport: 'YCD',
        city: 'Nanaimo',
        region: 'CA-BC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-123.87, 49.05],
      },
    },
    {
      id: 'YDF',
      attributes: {
        airport: 'YDF',
        city: 'Deer Lake',
        region: 'CA-NL',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-57.4, 49.21],
      },
    },
    {
      id: 'VOL',
      attributes: {
        airport: 'VOL',
        city: 'Volos',
        region: "['Greece']-GR",
        country: 'Greece',
        continent: 'Europe',
        coordinates: [22.93, 39.38],
      },
    },
    {
      id: 'YVP',
      attributes: {
        airport: 'YVP',
        city: 'Kuujjuaq',
        region: 'CA-QC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-68.42, 58.1],
      },
    },
    {
      id: 'XGR',
      attributes: {
        airport: 'XGR',
        city: 'Kangiqsualujjuaq',
        region: 'CA-QC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-65.98, 58.5],
      },
    },
    {
      id: 'KWL',
      attributes: {
        airport: 'KWL',
        city: 'Guilin',
        region: "['China']-CN",
        country: 'China',
        continent: 'Asia',
        coordinates: [110.32, 25.13],
      },
    },
    {
      id: 'TAB',
      attributes: {
        airport: 'TAB',
        city: 'Tobago',
        region: "['Trinidad and Tobago']-TT",
        country: 'Trinidad and Tobago',
        continent: 'Central America',
        coordinates: [-60.84, 11.15],
      },
    },
    {
      id: 'GRW',
      attributes: {
        airport: 'GRW',
        city: 'Graciosa Island (Azores)',
        region: "['Portugal']-PT",
        country: 'Portugal',
        continent: 'Europe',
        coordinates: [-28.05, 39.05],
      },
    },
    {
      id: 'RZR',
      attributes: {
        airport: 'RZR',
        city: 'Ramsar',
        region: "['Iran']-IR",
        country: 'Iran',
        continent: 'Asia',
        coordinates: [50.68, 36.9],
      },
    },
    {
      id: 'TLA',
      attributes: {
        airport: 'TLA',
        city: 'Teller',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-166.35, 65.27],
      },
    },
    {
      id: 'FTU',
      attributes: {
        airport: 'FTU',
        city: 'Fort Dauphin',
        region: "['Madagascar']-MG",
        country: 'Madagascar',
        continent: 'Africa',
        coordinates: [46.96, -25.04],
      },
    },
    {
      id: 'YCO',
      attributes: {
        airport: 'YCO',
        city: 'Kugluktuk/Coppermine',
        region: 'CA-NU',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-115.08, 67.83],
      },
    },
    {
      id: 'VIX',
      attributes: {
        airport: 'VIX',
        city: 'Vitoria',
        region: 'BR-ES',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-40.29, -20.26],
      },
    },
    {
      id: 'YQC',
      attributes: {
        airport: 'YQC',
        city: 'Quaqtaq',
        region: 'CA-QC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-69.63, 61.33],
      },
    },
    {
      id: 'YKG',
      attributes: {
        airport: 'YKG',
        city: 'Kangirsuk',
        region: 'CA-QC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-70.0, 60.02],
      },
    },
    {
      id: 'YVZ',
      attributes: {
        airport: 'YVZ',
        city: 'Deer Lake',
        region: 'CA-ON',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-94.5, 52.67],
      },
    },
    {
      id: 'YPM',
      attributes: {
        airport: 'YPM',
        city: 'Pikangikum',
        region: 'CA-ON',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-93.97, 51.82],
      },
    },
    {
      id: 'YQM',
      attributes: {
        airport: 'YQM',
        city: 'Moncton',
        region: 'CA-NB',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-64.68, 46.1],
      },
    },
    {
      id: 'YYH',
      attributes: {
        airport: 'YYH',
        city: 'Taloyoak',
        region: 'CA-NU',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-93.52, 69.53],
      },
    },
    {
      id: 'YJT',
      attributes: {
        airport: 'YJT',
        city: 'Stephenville',
        region: 'CA-NL',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-58.55, 48.53],
      },
    },
    {
      id: 'YGW',
      attributes: {
        airport: 'YGW',
        city: 'Kuujjuarapik',
        region: 'CA-QC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-77.77, 55.28],
      },
    },
    {
      id: 'YPH',
      attributes: {
        airport: 'YPH',
        city: 'Inukjuak',
        region: 'CA-QC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-78.17, 58.43],
      },
    },
    {
      id: 'AAL',
      attributes: {
        airport: 'AAL',
        city: 'Aalborg',
        region: "['Denmark']-DK",
        country: 'Denmark',
        continent: 'Europe',
        coordinates: [9.87, 57.09],
      },
    },
    {
      id: 'ADA',
      attributes: {
        airport: 'ADA',
        city: 'Adana',
        region: "['Turkey']-TR",
        country: 'Turkey',
        continent: 'Asia',
        coordinates: [35.3, 36.99],
      },
    },
    {
      id: 'YYE',
      attributes: {
        airport: 'YYE',
        city: 'Fort Nelson',
        region: 'CA-BC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-122.58, 58.83],
      },
    },
    {
      id: 'YSB',
      attributes: {
        airport: 'YSB',
        city: 'Sudbury',
        region: 'CA-ON',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-80.8, 46.62],
      },
    },
    {
      id: 'YZR',
      attributes: {
        airport: 'YZR',
        city: 'Sarnia',
        region: 'CA-ON',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-82.31, 43.0],
      },
    },
    {
      id: 'ABA',
      attributes: {
        airport: 'ABA',
        city: 'Abakan',
        region: "['Russia']-RU",
        country: 'Russia',
        continent: 'Europe',
        coordinates: [91.5, 53.72],
      },
    },
    {
      id: 'ANX',
      attributes: {
        airport: 'ANX',
        city: 'Andenes',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [16.13, 69.3],
      },
    },
    {
      id: 'JTY',
      attributes: {
        airport: 'JTY',
        city: 'Astypalaia Island',
        region: "['Greece']-GR",
        country: 'Greece',
        continent: 'Europe',
        coordinates: [26.37, 36.57],
      },
    },
    {
      id: 'EVV',
      attributes: {
        airport: 'EVV',
        city: 'Evansville',
        region: 'US-IN',
        country: 'United States',
        continent: 'North America',
        coordinates: [-87.53, 38.05],
      },
    },
    {
      id: 'AVN',
      attributes: {
        airport: 'AVN',
        city: 'Avignon',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [4.9, 43.9],
      },
    },
    {
      id: 'BJV',
      attributes: {
        airport: 'BJV',
        city: 'Bodrum',
        region: "['Turkey']-TR",
        country: 'Turkey',
        continent: 'Asia',
        coordinates: [27.67, 37.24],
      },
    },
    {
      id: 'BUQ',
      attributes: {
        airport: 'BUQ',
        city: 'Bulawayo',
        region: "['Zimbabwe']-ZW",
        country: 'Zimbabwe',
        continent: 'Africa',
        coordinates: [28.62, -20.01],
      },
    },
    {
      id: 'GIS',
      attributes: {
        airport: 'GIS',
        city: 'Gisborne',
        region: "['New Zealand']-NZ",
        country: 'New Zealand',
        continent: 'Oceania',
        coordinates: [177.98, -38.66],
      },
    },
    {
      id: 'FLA',
      attributes: {
        airport: 'FLA',
        city: 'Florencia',
        region: "['Colombia']-CO",
        country: 'Colombia',
        continent: 'South America',
        coordinates: [-75.56, 1.59],
      },
    },
    {
      id: 'LET',
      attributes: {
        airport: 'LET',
        city: 'Leticia',
        region: "['Colombia']-CO",
        country: 'Colombia',
        continent: 'South America',
        coordinates: [-69.94, -4.2],
      },
    },
    {
      id: 'BSR',
      attributes: {
        airport: 'BSR',
        city: 'Basra',
        region: "['Iraq']-IQ",
        country: 'Iraq',
        continent: 'Asia',
        coordinates: [47.79, 30.56],
      },
    },
    {
      id: 'BGF',
      attributes: {
        airport: 'BGF',
        city: 'Bangui',
        region: "['Central African Republic']-CF",
        country: 'Central African Republic',
        continent: 'Africa',
        coordinates: [18.52, 4.4],
      },
    },
    {
      id: 'NVI',
      attributes: {
        airport: 'NVI',
        city: 'Navoi',
        region: "['Uzbekistan']-UZ",
        country: 'Uzbekistan',
        continent: 'Asia',
        coordinates: [65.16, 40.12],
      },
    },
    {
      id: 'EBB',
      attributes: {
        airport: 'EBB',
        city: 'Entebbe',
        region: "['Uganda']-UG",
        country: 'Uganda',
        continent: 'Africa',
        coordinates: [32.44, 0.05],
      },
    },
    {
      id: 'EGC',
      attributes: {
        airport: 'EGC',
        city: 'Bergerac',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [0.48, 44.85],
      },
    },
    {
      id: 'PMY',
      attributes: {
        airport: 'PMY',
        city: 'Puerto Madryn',
        region: 'AR-CB',
        country: 'Argentina',
        continent: 'South America',
        coordinates: [-65.07, -42.73],
      },
    },
    {
      id: 'ERC',
      attributes: {
        airport: 'ERC',
        city: 'Erzincan',
        region: "['Turkey']-TR",
        country: 'Turkey',
        continent: 'Asia',
        coordinates: [39.52, 39.71],
      },
    },
    {
      id: 'EVE',
      attributes: {
        airport: 'EVE',
        city: 'Harstad-Narvik',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [16.68, 68.5],
      },
    },
    {
      id: 'OSS',
      attributes: {
        airport: 'OSS',
        city: 'Osh',
        region: "['Kyrgyzstan']-KG",
        country: 'Kyrgyzstan',
        continent: 'Asia',
        coordinates: [72.79, 40.61],
      },
    },
    {
      id: 'BQL',
      attributes: {
        airport: 'BQL',
        city: 'Boulia',
        region: 'AU-QLD',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [139.9, -22.9],
      },
    },
    {
      id: 'ISA',
      attributes: {
        airport: 'ISA',
        city: 'Mount Isa',
        region: 'AU-QLD',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [139.49, -20.67],
      },
    },
    {
      id: 'FEZ',
      attributes: {
        airport: 'FEZ',
        city: 'Fez',
        region: "['Morocco']-MA",
        country: 'Morocco',
        continent: 'Africa',
        coordinates: [-4.98, 33.93],
      },
    },
    {
      id: 'SVD',
      attributes: {
        airport: 'SVD',
        city: 'Saint Vincent',
        region: "['Saint Vincent and the Grenadines']-VC",
        country: 'Saint Vincent and the Grenadines',
        continent: 'Central America',
        coordinates: [-61.21, 13.15],
      },
    },
    {
      id: 'MUA',
      attributes: {
        airport: 'MUA',
        city: 'Munda',
        region: "['Solomon Islands']-SB",
        country: 'Solomon Islands',
        continent: 'Oceania',
        coordinates: [157.27, -8.33],
      },
    },
    {
      id: 'NHA',
      attributes: {
        airport: 'NHA',
        city: 'Nha Trang',
        region: "['Vietnam']-VN",
        country: 'Vietnam',
        continent: 'Asia',
        coordinates: [109.2, 12.23],
      },
    },
    {
      id: 'IOS',
      attributes: {
        airport: 'IOS',
        city: 'Ilheus',
        region: 'BR-BA',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-39.03, -14.81],
      },
    },
    {
      id: 'SIC',
      attributes: {
        airport: 'SIC',
        city: 'Sinop',
        region: "['Turkey']-TR",
        country: 'Turkey',
        continent: 'Asia',
        coordinates: [35.07, 42.02],
      },
    },
    {
      id: 'JHS',
      attributes: {
        airport: 'JHS',
        city: 'Sisimiut',
        region: "['Greenland']-GL",
        country: 'Greenland',
        continent: 'North America',
        coordinates: [-53.7, 66.94],
      },
    },
    {
      id: 'KCQ',
      attributes: {
        airport: 'KCQ',
        city: 'Chignik',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-158.78, 56.26],
      },
    },
    {
      id: 'KNQ',
      attributes: {
        airport: 'KNQ',
        city: 'Kone',
        region: "['New Caledonia']-NC",
        country: 'New Caledonia',
        continent: 'Oceania',
        coordinates: [164.82, -20.52],
      },
    },
    {
      id: 'KRS',
      attributes: {
        airport: 'KRS',
        city: 'Kristiansand',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [8.07, 58.2],
      },
    },
    {
      id: 'MBS',
      attributes: {
        airport: 'MBS',
        city: 'Saginaw',
        region: 'US-MI',
        country: 'United States',
        continent: 'North America',
        coordinates: [-84.09, 43.53],
      },
    },
    {
      id: 'LHE',
      attributes: {
        airport: 'LHE',
        city: 'Lahore',
        region: "['Pakistan']-PK",
        country: 'Pakistan',
        continent: 'Asia',
        coordinates: [74.4, 31.52],
      },
    },
    {
      id: 'FON',
      attributes: {
        airport: 'FON',
        city: 'Fortuna',
        region: "['Costa Rica']-CR",
        country: 'Costa Rica',
        continent: 'Central America',
        coordinates: [-84.48, 10.4],
      },
    },
    {
      id: 'PDL',
      attributes: {
        airport: 'PDL',
        city: 'Ponta Delgada (Azores)',
        region: "['Portugal']-PT",
        country: 'Portugal',
        continent: 'Europe',
        coordinates: [-25.7, 37.74],
      },
    },
    {
      id: 'TMS',
      attributes: {
        airport: 'TMS',
        city: 'Sao Tome Island',
        region: "['S\u00e3o Tom\u00e9 and Principe']-ST",
        country: 'S\u00e3o Tom\u00e9 and Principe',
        continent: 'Africa',
        coordinates: [6.72, 0.38],
      },
    },
    {
      id: 'ALF',
      attributes: {
        airport: 'ALF',
        city: 'Alta',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [23.36, 69.98],
      },
    },
    {
      id: 'CCF',
      attributes: {
        airport: 'CCF',
        city: 'Carcassonne',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [2.32, 43.22],
      },
    },
    {
      id: 'CFG',
      attributes: {
        airport: 'CFG',
        city: 'Cienfuegos',
        region: "['Cuba']-CU",
        country: 'Cuba',
        continent: 'Central America',
        coordinates: [-80.41, 22.15],
      },
    },
    {
      id: 'MLB',
      attributes: {
        airport: 'MLB',
        city: 'Melbourne',
        region: 'US-FL',
        country: 'United States',
        continent: 'North America',
        coordinates: [-80.63, 28.1],
      },
    },
    {
      id: 'CYP',
      attributes: {
        airport: 'CYP',
        city: 'Calbayog',
        region: "['Philippines']-PH",
        country: 'Philippines',
        continent: 'Asia',
        coordinates: [124.54, 12.08],
      },
    },
    {
      id: 'MQT',
      attributes: {
        airport: 'MQT',
        city: 'Marquette',
        region: 'US-MI',
        country: 'United States',
        continent: 'North America',
        coordinates: [-87.56, 46.53],
      },
    },
    {
      id: 'DVL',
      attributes: {
        airport: 'DVL',
        city: 'Devils Lake',
        region: 'US-ND',
        country: 'United States',
        continent: 'North America',
        coordinates: [-98.91, 48.11],
      },
    },
    {
      id: 'LWY',
      attributes: {
        airport: 'LWY',
        city: 'Lawas',
        region: "['Malaysia']-MY",
        country: 'Malaysia',
        continent: 'Asia',
        coordinates: [115.42, 4.92],
      },
    },
    {
      id: 'VBS',
      attributes: {
        airport: 'VBS',
        city: 'Brescia',
        region: "['Italy']-IT",
        country: 'Italy',
        continent: 'Europe',
        coordinates: [10.33, 45.43],
      },
    },
    {
      id: 'ODS',
      attributes: {
        airport: 'ODS',
        city: 'Odessa',
        region: "['Ukraine']-UA",
        country: 'Ukraine',
        continent: 'Europe',
        coordinates: [30.68, 46.44],
      },
    },
    {
      id: 'OHD',
      attributes: {
        airport: 'OHD',
        city: 'Ohrid',
        region: "['North Macedonia']-MK",
        country: 'North Macedonia',
        continent: 'Europe',
        coordinates: [20.74, 41.19],
      },
    },
    {
      id: 'GAM',
      attributes: {
        airport: 'GAM',
        city: 'Gambell',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-171.71, 63.78],
      },
    },
    {
      id: 'OWB',
      attributes: {
        airport: 'OWB',
        city: 'Owensboro',
        region: 'US-KY',
        country: 'United States',
        continent: 'North America',
        coordinates: [-87.17, 37.74],
      },
    },
    {
      id: 'HJR',
      attributes: {
        airport: 'HJR',
        city: 'Khajuraho',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [79.92, 24.82],
      },
    },
    {
      id: 'VRL',
      attributes: {
        airport: 'VRL',
        city: 'Vila Real',
        region: "['Portugal']-PT",
        country: 'Portugal',
        continent: 'Europe',
        coordinates: [-7.75, 41.3],
      },
    },
    {
      id: 'YVB',
      attributes: {
        airport: 'YVB',
        city: 'Bonaventure',
        region: 'CA-QC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-65.48, 48.05],
      },
    },
    {
      id: 'FSP',
      attributes: {
        airport: 'FSP',
        city: 'Saint Pierre',
        region: "['Saint Pierre and Miquelon']-PM",
        country: 'Saint Pierre and Miquelon',
        continent: 'Central America',
        coordinates: [-56.17, 46.92],
      },
    },
    {
      id: 'BDO',
      attributes: {
        airport: 'BDO',
        city: 'Bandung',
        region: "['Indonesia']-ID",
        country: 'Indonesia',
        continent: 'Asia',
        coordinates: [107.58, -6.9],
      },
    },
    {
      id: 'POZ',
      attributes: {
        airport: 'POZ',
        city: 'Poznan',
        region: "['Poland']-PL",
        country: 'Poland',
        continent: 'Europe',
        coordinates: [16.83, 52.41],
      },
    },
    {
      id: 'PPW',
      attributes: {
        airport: 'PPW',
        city: 'Papa Westray',
        region: 'GB-SC',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-2.9, 59.42],
      },
    },
    {
      id: 'PUU',
      attributes: {
        airport: 'PUU',
        city: 'Puerto Asis',
        region: "['Colombia']-CO",
        country: 'Colombia',
        continent: 'South America',
        coordinates: [-76.53, 0.53],
      },
    },
    {
      id: 'RAJ',
      attributes: {
        airport: 'RAJ',
        city: 'Rajkot',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [70.78, 22.31],
      },
    },
    {
      id: 'SCN',
      attributes: {
        airport: 'SCN',
        city: 'Saarbruecken',
        region: "['Germany']-DE",
        country: 'Germany',
        continent: 'Europe',
        coordinates: [7.11, 49.22],
      },
    },
    {
      id: 'BHS',
      attributes: {
        airport: 'BHS',
        city: 'Bathurst',
        region: 'AU-NSW',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [149.66, -33.41],
      },
    },
    {
      id: 'LCG',
      attributes: {
        airport: 'LCG',
        city: 'La Coruna',
        region: 'ES-SP',
        country: 'Spain',
        continent: 'Europe',
        coordinates: [-8.38, 43.3],
      },
    },
    {
      id: 'ELU',
      attributes: {
        airport: 'ELU',
        city: 'El Oued',
        region: "['Algeria']-DZ",
        country: 'Algeria',
        continent: 'Africa',
        coordinates: [6.78, 33.52],
      },
    },
    {
      id: 'TGR',
      attributes: {
        airport: 'TGR',
        city: 'Touggourt',
        region: "['Algeria']-DZ",
        country: 'Algeria',
        continent: 'Africa',
        coordinates: [6.08, 33.06],
      },
    },
    {
      id: 'COL',
      attributes: {
        airport: 'COL',
        city: 'Coll Island',
        region: 'GB-SC',
        country: 'United Kingdom',
        continent: 'Europe',
        coordinates: [-6.62, 56.62],
      },
    },
    {
      id: 'NVK',
      attributes: {
        airport: 'NVK',
        city: 'Narvik',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [17.43, 68.42],
      },
    },
    {
      id: 'WSN',
      attributes: {
        airport: 'WSN',
        city: 'South Naknek',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-156.93, 58.72],
      },
    },
    {
      id: 'KKA',
      attributes: {
        airport: 'KKA',
        city: 'Koyuk',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-161.15, 64.94],
      },
    },
    {
      id: 'VIJ',
      attributes: {
        airport: 'VIJ',
        city: 'Virgin Gorda',
        region: "['British Virgin Islands']-VG",
        country: 'British Virgin Islands',
        continent: 'Central America',
        coordinates: [-64.43, 18.45],
      },
    },
    {
      id: 'LNB',
      attributes: {
        airport: 'LNB',
        city: 'Lamen Bay',
        region: "['Vanuatu']-VU",
        country: 'Vanuatu',
        continent: 'Oceania',
        coordinates: [168.18, -16.58],
      },
    },
    {
      id: 'LMC',
      attributes: {
        airport: 'LMC',
        city: 'Lamacarena',
        region: "['Colombia']-CO",
        country: 'Colombia',
        continent: 'South America',
        coordinates: [-73.9, 3.32],
      },
    },
    {
      id: 'YAG',
      attributes: {
        airport: 'YAG',
        city: 'Fort Frances',
        region: 'CA-ON',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-93.45, 48.65],
      },
    },
    {
      id: 'YAP',
      attributes: {
        airport: 'YAP',
        city: 'Yap, Caroline Islands',
        region: "['Micronesia']-FM",
        country: 'Micronesia',
        continent: 'Oceania',
        coordinates: [138.09, 9.5],
      },
    },
    {
      id: 'BCM',
      attributes: {
        airport: 'BCM',
        city: 'Bacau',
        region: "['Romania']-RO",
        country: 'Romania',
        continent: 'Europe',
        coordinates: [26.88, 46.6],
      },
    },
    {
      id: 'KAN',
      attributes: {
        airport: 'KAN',
        city: 'Kano',
        region: "['Nigeria']-NG",
        country: 'Nigeria',
        continent: 'Africa',
        coordinates: [8.52, 12.05],
      },
    },
    {
      id: 'BBI',
      attributes: {
        airport: 'BBI',
        city: 'Bhubaneswar',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [85.82, 20.25],
      },
    },
    {
      id: 'RET',
      attributes: {
        airport: 'RET',
        city: 'Rost',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [12.08, 67.48],
      },
    },
    {
      id: 'CAH',
      attributes: {
        airport: 'CAH',
        city: 'Ca Mau',
        region: "['Vietnam']-VN",
        country: 'Vietnam',
        continent: 'Asia',
        coordinates: [105.18, 9.18],
      },
    },
    {
      id: 'CBB',
      attributes: {
        airport: 'CBB',
        city: 'Cochabamba',
        region: "['Bolivia']-BO",
        country: 'Bolivia',
        continent: 'South America',
        coordinates: [-66.18, -17.41],
      },
    },
    {
      id: 'HEA',
      attributes: {
        airport: 'HEA',
        city: 'Herat',
        region: "['Afghanistan']-AF",
        country: 'Afghanistan',
        continent: 'Asia',
        coordinates: [62.23, 34.21],
      },
    },
    {
      id: 'CCN',
      attributes: {
        airport: 'CCN',
        city: 'Chakcharan',
        region: "['Afghanistan']-AF",
        country: 'Afghanistan',
        continent: 'Asia',
        coordinates: [65.27, 34.53],
      },
    },
    {
      id: 'PBH',
      attributes: {
        airport: 'PBH',
        city: 'Paro',
        region: "['Bhutan']-BT",
        country: 'Bhutan',
        continent: 'Asia',
        coordinates: [89.42, 27.43],
      },
    },
    {
      id: 'CHA',
      attributes: {
        airport: 'CHA',
        city: 'Chattanooga',
        region: 'US-TN',
        country: 'United States',
        continent: 'North America',
        coordinates: [-85.2, 35.04],
      },
    },
    {
      id: 'WVB',
      attributes: {
        airport: 'WVB',
        city: 'Walvis Bay',
        region: '[]-nan',
        country: 'Namibia',
        continent: 'Africa',
        coordinates: [14.52, -22.98],
      },
    },
    {
      id: 'CRM',
      attributes: {
        airport: 'CRM',
        city: 'Catarman',
        region: "['Philippines']-PH",
        country: 'Philippines',
        continent: 'Asia',
        coordinates: [124.58, 12.48],
      },
    },
    {
      id: 'SUB',
      attributes: {
        airport: 'SUB',
        city: 'Surabaya',
        region: "['Indonesia']-ID",
        country: 'Indonesia',
        continent: 'Asia',
        coordinates: [112.78, -7.38],
      },
    },
    {
      id: 'BDJ',
      attributes: {
        airport: 'BDJ',
        city: 'Banjarmasin',
        region: "['Indonesia']-ID",
        country: 'Indonesia',
        continent: 'Asia',
        coordinates: [114.75, -3.44],
      },
    },
    {
      id: 'GOP',
      attributes: {
        airport: 'GOP',
        city: 'Gorakhpur',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [83.44, 26.75],
      },
    },
    {
      id: 'BRO',
      attributes: {
        airport: 'BRO',
        city: 'Brownsville',
        region: 'US-TX',
        country: 'United States',
        continent: 'North America',
        coordinates: [-97.42, 25.91],
      },
    },
    {
      id: 'ADF',
      attributes: {
        airport: 'ADF',
        city: 'Adiyaman',
        region: "['Turkey']-TR",
        country: 'Turkey',
        continent: 'Asia',
        coordinates: [38.27, 37.75],
      },
    },
    {
      id: 'SOG',
      attributes: {
        airport: 'SOG',
        city: 'Sogndal',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [7.14, 61.16],
      },
    },
    {
      id: 'FDE',
      attributes: {
        airport: 'FDE',
        city: 'Forde',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [5.76, 61.39],
      },
    },
    {
      id: 'HLZ',
      attributes: {
        airport: 'HLZ',
        city: 'Hamilton',
        region: "['New Zealand']-NZ",
        country: 'New Zealand',
        continent: 'Oceania',
        coordinates: [175.34, -37.87],
      },
    },
    {
      id: 'IXB',
      attributes: {
        airport: 'IXB',
        city: 'Bagdogra',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [88.32, 26.68],
      },
    },
    {
      id: 'LEB',
      attributes: {
        airport: 'LEB',
        city: 'Lebanon',
        region: 'US-NH',
        country: 'United States',
        continent: 'North America',
        coordinates: [-72.31, 43.63],
      },
    },
    {
      id: 'ITH',
      attributes: {
        airport: 'ITH',
        city: 'Ithaca',
        region: 'US-NY',
        country: 'United States',
        continent: 'North America',
        coordinates: [-76.46, 42.49],
      },
    },
    {
      id: 'GEO',
      attributes: {
        airport: 'GEO',
        city: 'Georgetown',
        region: "['Guyana']-GY",
        country: 'Guyana',
        continent: 'South America',
        coordinates: [-58.25, 6.5],
      },
    },
    {
      id: 'JLN',
      attributes: {
        airport: 'JLN',
        city: 'Joplin',
        region: 'US-MO',
        country: 'United States',
        continent: 'North America',
        coordinates: [-94.5, 37.15],
      },
    },
    {
      id: 'KSC',
      attributes: {
        airport: 'KSC',
        city: 'Kosice',
        region: "['Slovakia']-SK",
        country: 'Slovakia',
        continent: 'Europe',
        coordinates: [21.25, 48.67],
      },
    },
    {
      id: 'KTT',
      attributes: {
        airport: 'KTT',
        city: 'Kittila',
        region: "['Finland']-FI",
        country: 'Finland',
        continent: 'Europe',
        coordinates: [24.86, 67.7],
      },
    },
    {
      id: 'KSO',
      attributes: {
        airport: 'KSO',
        city: 'Kastoria',
        region: "['Greece']-GR",
        country: 'Greece',
        continent: 'Europe',
        coordinates: [21.27, 40.45],
      },
    },
    {
      id: 'KZI',
      attributes: {
        airport: 'KZI',
        city: 'Kozani',
        region: "['Greece']-GR",
        country: 'Greece',
        continent: 'Europe',
        coordinates: [21.84, 40.29],
      },
    },
    {
      id: 'MLU',
      attributes: {
        airport: 'MLU',
        city: 'Monroe',
        region: 'US-LA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-92.04, 32.51],
      },
    },
    {
      id: 'LPQ',
      attributes: {
        airport: 'LPQ',
        city: 'Luang Prabang',
        region: "['Laos']-LA",
        country: 'Laos',
        continent: 'Asia',
        coordinates: [102.16, 19.9],
      },
    },
    {
      id: 'TOE',
      attributes: {
        airport: 'TOE',
        city: 'Tozeur',
        region: "['Tunisia']-TN",
        country: 'Tunisia',
        continent: 'Africa',
        coordinates: [8.13, 33.92],
      },
    },
    {
      id: 'KWA',
      attributes: {
        airport: 'KWA',
        city: 'Kwajalein',
        region: "['Marshall Islands']-MH",
        country: 'Marshall Islands',
        continent: 'Oceania',
        coordinates: [167.72, 8.72],
      },
    },
    {
      id: 'MAJ',
      attributes: {
        airport: 'MAJ',
        city: 'Majuro',
        region: "['Marshall Islands']-MH",
        country: 'Marshall Islands',
        continent: 'Oceania',
        coordinates: [171.28, 7.07],
      },
    },
    {
      id: 'MGQ',
      attributes: {
        airport: 'MGQ',
        city: 'Mogadishu',
        region: "['Somalia']-SO",
        country: 'Somalia',
        continent: 'Africa',
        coordinates: [45.31, 2.01],
      },
    },
    {
      id: 'MMO',
      attributes: {
        airport: 'MMO',
        city: 'Maio',
        region: "['Cape Verde']-CV",
        country: 'Cape Verde',
        continent: 'Africa',
        coordinates: [-23.17, 15.25],
      },
    },
    {
      id: 'PQS',
      attributes: {
        airport: 'PQS',
        city: 'Pilot Station',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-162.89, 61.93],
      },
    },
    {
      id: 'MOU',
      attributes: {
        airport: 'MOU',
        city: 'Mountain Village',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-163.72, 62.09],
      },
    },
    {
      id: 'MPH',
      attributes: {
        airport: 'MPH',
        city: 'Caticlan',
        region: "['Philippines']-PH",
        country: 'Philippines',
        continent: 'Asia',
        coordinates: [121.95, 11.93],
      },
    },
    {
      id: 'MRQ',
      attributes: {
        airport: 'MRQ',
        city: 'Marinduque',
        region: "['Philippines']-PH",
        country: 'Philippines',
        continent: 'Asia',
        coordinates: [121.82, 13.36],
      },
    },
    {
      id: 'TOH',
      attributes: {
        airport: 'TOH',
        city: 'Torres',
        region: "['Vanuatu']-VU",
        country: 'Vanuatu',
        continent: 'Oceania',
        coordinates: [166.75, -13.17],
      },
    },
    {
      id: 'HUH',
      attributes: {
        airport: 'HUH',
        city: 'Huahine',
        region: "['French Polynesia']-PF",
        country: 'French Polynesia',
        continent: 'Oceania',
        coordinates: [-151.03, -16.69],
      },
    },
    {
      id: 'RFP',
      attributes: {
        airport: 'RFP',
        city: 'Raiatea',
        region: "['French Polynesia']-PF",
        country: 'French Polynesia',
        continent: 'Oceania',
        coordinates: [-151.47, -16.73],
      },
    },
    {
      id: 'RNS',
      attributes: {
        airport: 'RNS',
        city: 'Rennes',
        region: "['France']-FR",
        country: 'France',
        continent: 'Europe',
        coordinates: [-1.73, 48.07],
      },
    },
    {
      id: 'ROA',
      attributes: {
        airport: 'ROA',
        city: 'Roanoke',
        region: 'US-VA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-79.97, 37.32],
      },
    },
    {
      id: 'PAH',
      attributes: {
        airport: 'PAH',
        city: 'Paducah',
        region: 'US-KY',
        country: 'United States',
        continent: 'North America',
        coordinates: [-88.77, 37.06],
      },
    },
    {
      id: 'OMR',
      attributes: {
        airport: 'OMR',
        city: 'Oradea',
        region: "['Romania']-RO",
        country: 'Romania',
        continent: 'Europe',
        coordinates: [21.9, 47.03],
      },
    },
    {
      id: 'TKK',
      attributes: {
        airport: 'TKK',
        city: 'Truk, Caroline Islands',
        region: "['Micronesia']-FM",
        country: 'Micronesia',
        continent: 'Oceania',
        coordinates: [151.84, 7.46],
      },
    },
    {
      id: 'PNI',
      attributes: {
        airport: 'PNI',
        city: 'Pohnpei, Caroline Islands',
        region: "['Micronesia']-FM",
        country: 'Micronesia',
        continent: 'Oceania',
        coordinates: [158.2, 6.98],
      },
    },
    {
      id: 'PUY',
      attributes: {
        airport: 'PUY',
        city: 'Pula',
        region: "['Croatia']-HR",
        country: 'Croatia',
        continent: 'Europe',
        coordinates: [13.92, 44.89],
      },
    },
    {
      id: 'CCP',
      attributes: {
        airport: 'CCP',
        city: 'Concepcion',
        region: "['Chile']-CL",
        country: 'Chile',
        continent: 'South America',
        coordinates: [-73.06, -36.78],
      },
    },
    {
      id: 'SBA',
      attributes: {
        airport: 'SBA',
        city: 'Santa Barbara',
        region: 'US-CA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-119.84, 34.43],
      },
    },
    {
      id: 'SUX',
      attributes: {
        airport: 'SUX',
        city: 'Sioux City',
        region: 'US-IA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-96.38, 42.4],
      },
    },
    {
      id: 'LSY',
      attributes: {
        airport: 'LSY',
        city: 'Lismore',
        region: 'AU-NSW',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [153.26, -28.84],
      },
    },
    {
      id: 'TUK',
      attributes: {
        airport: 'TUK',
        city: 'Turbat',
        region: "['Pakistan']-PK",
        country: 'Pakistan',
        continent: 'Asia',
        coordinates: [63.07, 25.98],
      },
    },
    {
      id: 'TAK',
      attributes: {
        airport: 'TAK',
        city: 'Takamatsu',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [134.02, 34.22],
      },
    },
    {
      id: 'TGG',
      attributes: {
        airport: 'TGG',
        city: 'Kuala Terengganu',
        region: "['Malaysia']-MY",
        country: 'Malaysia',
        continent: 'Asia',
        coordinates: [103.11, 5.38],
      },
    },
    {
      id: 'AXA',
      attributes: {
        airport: 'AXA',
        city: 'Anguilla',
        region: "['Anguilla']-AI",
        country: 'Anguilla',
        continent: 'Central America',
        coordinates: [-63.07, 18.22],
      },
    },
    {
      id: 'BGM',
      attributes: {
        airport: 'BGM',
        city: 'Binghamton',
        region: 'US-NY',
        country: 'United States',
        continent: 'North America',
        coordinates: [-75.98, 42.21],
      },
    },
    {
      id: 'YAK',
      attributes: {
        airport: 'YAK',
        city: 'Yakutat',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-139.66, 59.51],
      },
    },
    {
      id: 'YFO',
      attributes: {
        airport: 'YFO',
        city: 'Flin Flon',
        region: 'CA-MB',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-101.68, 54.68],
      },
    },
    {
      id: 'YKU',
      attributes: {
        airport: 'YKU',
        city: 'Chisasibi',
        region: 'CA-QC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-78.92, 53.81],
      },
    },
    {
      id: 'YKQ',
      attributes: {
        airport: 'YKQ',
        city: 'Waskaganish',
        region: 'CA-QC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-78.75, 51.49],
      },
    },
    {
      id: 'YRA',
      attributes: {
        airport: 'YRA',
        city: 'Rae Lakes',
        region: 'CA-NT',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-117.35, 64.12],
      },
    },
    {
      id: 'YCS',
      attributes: {
        airport: 'YCS',
        city: 'Chesterfield Inlet',
        region: 'CA-NU',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-90.72, 63.33],
      },
    },
    {
      id: 'CGB',
      attributes: {
        airport: 'CGB',
        city: 'Cuiaba',
        region: 'BR-MT',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-56.12, -15.65],
      },
    },
    {
      id: 'KLN',
      attributes: {
        airport: 'KLN',
        city: 'Larsen Bay',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-154.0, 57.53],
      },
    },
    {
      id: 'DAB',
      attributes: {
        airport: 'DAB',
        city: 'Daytona Beach',
        region: 'US-FL',
        country: 'United States',
        continent: 'North America',
        coordinates: [-81.06, 29.19],
      },
    },
    {
      id: 'BTH',
      attributes: {
        airport: 'BTH',
        city: 'Batam',
        region: "['Indonesia']-ID",
        country: 'Indonesia',
        continent: 'Asia',
        coordinates: [104.12, 1.12],
      },
    },
    {
      id: 'AET',
      attributes: {
        airport: 'AET',
        city: 'Allakaket',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-152.66, 66.56],
      },
    },
    {
      id: 'VIG',
      attributes: {
        airport: 'VIG',
        city: 'El Vigia',
        region: "['Venezuela']-VE",
        country: 'Venezuela',
        continent: 'South America',
        coordinates: [-71.65, 8.63],
      },
    },
    {
      id: 'ROO',
      attributes: {
        airport: 'ROO',
        city: 'Rondonopolis',
        region: 'BR-MT',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-54.72, -16.43],
      },
    },
    {
      id: 'JFR',
      attributes: {
        airport: 'JFR',
        city: 'Paamiut',
        region: "['Greenland']-GL",
        country: 'Greenland',
        continent: 'North America',
        coordinates: [-49.7, 62.0],
      },
    },
    {
      id: 'UTT',
      attributes: {
        airport: 'UTT',
        city: 'Umtata',
        region: "['South Africa']-ZA",
        country: 'South Africa',
        continent: 'Africa',
        coordinates: [28.78, -31.58],
      },
    },
    {
      id: 'DUT',
      attributes: {
        airport: 'DUT',
        city: 'Dutch Harbor',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-166.54, 53.89],
      },
    },
    {
      id: 'PHC',
      attributes: {
        airport: 'PHC',
        city: 'Port Harcourt',
        region: "['Nigeria']-NG",
        country: 'Nigeria',
        continent: 'Africa',
        coordinates: [6.95, 5.01],
      },
    },
    {
      id: 'EBJ',
      attributes: {
        airport: 'EBJ',
        city: 'Esbjerg',
        region: "['Denmark']-DK",
        country: 'Denmark',
        continent: 'Europe',
        coordinates: [8.55, 55.52],
      },
    },
    {
      id: 'ZTH',
      attributes: {
        airport: 'ZTH',
        city: 'Zakinthos',
        region: "['Greece']-GR",
        country: 'Greece',
        continent: 'Europe',
        coordinates: [20.89, 37.76],
      },
    },
    {
      id: 'EFL',
      attributes: {
        airport: 'EFL',
        city: 'Kefallinia',
        region: "['Greece']-GR",
        country: 'Greece',
        continent: 'Europe',
        coordinates: [20.51, 38.12],
      },
    },
    {
      id: 'KLV',
      attributes: {
        airport: 'KLV',
        city: 'Karlovy Vary',
        region: "['Czech Republic']-CZ",
        country: 'Czech Republic',
        continent: 'Europe',
        coordinates: [12.92, 50.2],
      },
    },
    {
      id: 'MJM',
      attributes: {
        airport: 'MJM',
        city: 'Mbuji Mayi',
        region: "['Democratic Republic of the Congo']-CD",
        country: 'Democratic Republic of the Congo',
        continent: 'Africa',
        coordinates: [23.63, -6.15],
      },
    },
    {
      id: 'GCK',
      attributes: {
        airport: 'GCK',
        city: 'Garden City',
        region: 'US-KS',
        country: 'United States',
        continent: 'North America',
        coordinates: [-100.73, 37.93],
      },
    },
    {
      id: 'LGL',
      attributes: {
        airport: 'LGL',
        city: 'Long Lellang',
        region: "['Malaysia']-MY",
        country: 'Malaysia',
        continent: 'Asia',
        coordinates: [114.25, 4.18],
      },
    },
    {
      id: 'RGA',
      attributes: {
        airport: 'RGA',
        city: 'Rio Grande',
        region: 'AR-TF',
        country: 'Argentina',
        continent: 'South America',
        coordinates: [-67.75, -53.78],
      },
    },
    {
      id: 'RGL',
      attributes: {
        airport: 'RGL',
        city: 'Rio Gallegos',
        region: 'AR-SC',
        country: 'Argentina',
        continent: 'South America',
        coordinates: [-69.28, -51.62],
      },
    },
    {
      id: 'KWJ',
      attributes: {
        airport: 'KWJ',
        city: 'Gwangju',
        region: "['South Korea']-KR",
        country: 'South Korea',
        continent: 'Asia',
        coordinates: [126.81, 35.14],
      },
    },
    {
      id: 'AMD',
      attributes: {
        airport: 'AMD',
        city: 'Ahmedabad',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [72.62, 23.07],
      },
    },
    {
      id: 'CGP',
      attributes: {
        airport: 'CGP',
        city: 'Chittagong',
        region: "['Bangladesh']-BD",
        country: 'Bangladesh',
        continent: 'Asia',
        coordinates: [91.82, 22.25],
      },
    },
    {
      id: 'IMK',
      attributes: {
        airport: 'IMK',
        city: 'Simikot',
        region: "['Nepal']-NP",
        country: 'Nepal',
        continent: 'Asia',
        coordinates: [81.82, 29.97],
      },
    },
    {
      id: 'KEP',
      attributes: {
        airport: 'KEP',
        city: 'Nepalganj',
        region: "['Nepal']-NP",
        country: 'Nepal',
        continent: 'Asia',
        coordinates: [81.58, 28.13],
      },
    },
    {
      id: 'LCR',
      attributes: {
        airport: 'LCR',
        city: 'La Chorrera',
        region: "['Colombia']-CO",
        country: 'Colombia',
        continent: 'South America',
        coordinates: [-73.02, -0.73],
      },
    },
    {
      id: 'RAH',
      attributes: {
        airport: 'RAH',
        city: 'Rafha',
        region: "['Saudi Arabia']-SA",
        country: 'Saudi Arabia',
        continent: 'Asia',
        coordinates: [43.49, 29.62],
      },
    },
    {
      id: 'LMM',
      attributes: {
        airport: 'LMM',
        city: 'Los Mochis',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-108.98, 25.82],
      },
    },
    {
      id: 'WNP',
      attributes: {
        airport: 'WNP',
        city: 'Naga',
        region: "['Philippines']-PH",
        country: 'Philippines',
        continent: 'Asia',
        coordinates: [123.27, 13.59],
      },
    },
    {
      id: 'MSO',
      attributes: {
        airport: 'MSO',
        city: 'Missoula',
        region: 'US-MT',
        country: 'United States',
        continent: 'North America',
        coordinates: [-114.08, 46.92],
      },
    },
    {
      id: 'INL',
      attributes: {
        airport: 'INL',
        city: 'International Falls',
        region: 'US-MN',
        country: 'United States',
        continent: 'North America',
        coordinates: [-93.4, 48.56],
      },
    },
    {
      id: 'NLA',
      attributes: {
        airport: 'NLA',
        city: 'Ndola',
        region: "['Zambia']-ZM",
        country: 'Zambia',
        continent: 'Africa',
        coordinates: [28.67, -12.99],
      },
    },
    {
      id: 'SUG',
      attributes: {
        airport: 'SUG',
        city: 'Surigao',
        region: "['Philippines']-PH",
        country: 'Philippines',
        continent: 'Asia',
        coordinates: [125.48, 9.76],
      },
    },
    {
      id: 'RMQ',
      attributes: {
        airport: 'RMQ',
        city: 'Shalu',
        region: "['Taiwan']-TW",
        country: 'Taiwan',
        continent: 'Asia',
        coordinates: [120.6, 24.25],
      },
    },
    {
      id: 'PIP',
      attributes: {
        airport: 'PIP',
        city: 'Pilot Point',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-157.56, 57.56],
      },
    },
    {
      id: 'PMZ',
      attributes: {
        airport: 'PMZ',
        city: 'Palmar',
        region: "['Costa Rica']-CR",
        country: 'Costa Rica',
        continent: 'Central America',
        coordinates: [-83.47, 8.95],
      },
    },
    {
      id: 'FMN',
      attributes: {
        airport: 'FMN',
        city: 'Farmington',
        region: 'US-NM',
        country: 'United States',
        continent: 'North America',
        coordinates: [-108.23, 36.74],
      },
    },
    {
      id: 'BRQ',
      attributes: {
        airport: 'BRQ',
        city: 'Brno',
        region: "['Czech Republic']-CZ",
        country: 'Czech Republic',
        continent: 'Europe',
        coordinates: [16.7, 49.15],
      },
    },
    {
      id: 'UIN',
      attributes: {
        airport: 'UIN',
        city: 'Quincy',
        region: 'US-IL',
        country: 'United States',
        continent: 'North America',
        coordinates: [-91.2, 39.94],
      },
    },
    {
      id: 'UKB',
      attributes: {
        airport: 'UKB',
        city: 'Kobe',
        region: "['Japan']-JP",
        country: 'Japan',
        continent: 'Asia',
        coordinates: [135.23, 34.64],
      },
    },
    {
      id: 'BYN',
      attributes: {
        airport: 'BYN',
        city: 'Bayankhongor',
        region: "['Mongolia']-MN",
        country: 'Mongolia',
        continent: 'Asia',
        coordinates: [100.68, 46.1],
      },
    },
    {
      id: 'DJJ',
      attributes: {
        airport: 'DJJ',
        city: 'Jayapura',
        region: "['Indonesia']-ID",
        country: 'Indonesia',
        continent: 'Asia',
        coordinates: [140.51, -2.57],
      },
    },
    {
      id: 'TWB',
      attributes: {
        airport: 'TWB',
        city: 'Toowoomba',
        region: 'AU-QLD',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [151.91, -27.54],
      },
    },
    {
      id: 'SGO',
      attributes: {
        airport: 'SGO',
        city: 'Saint George',
        region: 'AU-QLD',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [148.59, -28.05],
      },
    },
    {
      id: 'NAA',
      attributes: {
        airport: 'NAA',
        city: 'Narrabri',
        region: 'AU-NSW',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [149.83, -30.32],
      },
    },
    {
      id: 'ULG',
      attributes: {
        airport: 'ULG',
        city: 'Ulgit',
        region: "['Mongolia']-MN",
        country: 'Mongolia',
        continent: 'Asia',
        coordinates: [89.97, 48.97],
      },
    },
    {
      id: 'YWB',
      attributes: {
        airport: 'YWB',
        city: 'Kangiqsujuaq',
        region: 'CA-QC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-71.95, 61.6],
      },
    },
    {
      id: 'YTS',
      attributes: {
        airport: 'YTS',
        city: 'Timmins',
        region: 'CA-ON',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-81.37, 48.57],
      },
    },
    {
      id: 'VEL',
      attributes: {
        airport: 'VEL',
        city: 'Vernal',
        region: 'US-UT',
        country: 'United States',
        continent: 'North America',
        coordinates: [-109.51, 40.44],
      },
    },
    {
      id: 'YTL',
      attributes: {
        airport: 'YTL',
        city: 'Big Trout',
        region: 'CA-ON',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-89.89, 53.82],
      },
    },
    {
      id: 'YBL',
      attributes: {
        airport: 'YBL',
        city: 'Campbell River',
        region: 'CA-BC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-125.27, 49.95],
      },
    },
    {
      id: 'YDQ',
      attributes: {
        airport: 'YDQ',
        city: 'Dawson Creek',
        region: 'CA-BC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-120.18, 55.73],
      },
    },
    {
      id: 'BRC',
      attributes: {
        airport: 'BRC',
        city: 'San Carlos de Bariloche',
        region: 'AR-RN',
        country: 'Argentina',
        continent: 'South America',
        coordinates: [-71.16, -41.15],
      },
    },
    {
      id: 'COO',
      attributes: {
        airport: 'COO',
        city: 'Cotonou',
        region: "['Benin']-BJ",
        country: 'Benin',
        continent: 'Africa',
        coordinates: [2.39, 6.35],
      },
    },
    {
      id: 'IXU',
      attributes: {
        airport: 'IXU',
        city: 'Aurangabad',
        region: "['India']-IN",
        country: 'India',
        continent: 'Asia',
        coordinates: [75.4, 19.87],
      },
    },
    {
      id: 'DMD',
      attributes: {
        airport: 'DMD',
        city: 'Doomadgee',
        region: 'AU-QLD',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [138.82, -17.94],
      },
    },
    {
      id: 'DUJ',
      attributes: {
        airport: 'DUJ',
        city: 'Dubois',
        region: 'US-PA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-78.9, 41.18],
      },
    },
    {
      id: 'FKL',
      attributes: {
        airport: 'FKL',
        city: 'Franklin',
        region: 'US-PA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-79.86, 41.38],
      },
    },
    {
      id: 'ANI',
      attributes: {
        airport: 'ANI',
        city: 'Aniak',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-159.54, 61.57],
      },
    },
    {
      id: 'HCR',
      attributes: {
        airport: 'HCR',
        city: 'Holy Cross',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-159.77, 62.19],
      },
    },
    {
      id: 'JAL',
      attributes: {
        airport: 'JAL',
        city: 'Jalapa',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-96.78, 19.47],
      },
    },
    {
      id: 'HVG',
      attributes: {
        airport: 'HVG',
        city: 'Honningsvag',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [25.83, 70.98],
      },
    },
    {
      id: 'AMA',
      attributes: {
        airport: 'AMA',
        city: 'Amarillo',
        region: 'US-TX',
        country: 'United States',
        continent: 'North America',
        coordinates: [-101.71, 35.22],
      },
    },
    {
      id: 'IPN',
      attributes: {
        airport: 'IPN',
        city: 'Ipatinga',
        region: 'BR-MG',
        country: 'Brazil',
        continent: 'South America',
        coordinates: [-42.53, -19.5],
      },
    },
    {
      id: 'IVC',
      attributes: {
        airport: 'IVC',
        city: 'Invercargill',
        region: "['New Zealand']-NZ",
        country: 'New Zealand',
        continent: 'Oceania',
        coordinates: [168.32, -46.42],
      },
    },
    {
      id: 'MED',
      attributes: {
        airport: 'MED',
        city: 'Madinah',
        region: "['Saudi Arabia']-SA",
        country: 'Saudi Arabia',
        continent: 'Asia',
        coordinates: [39.7, 24.54],
      },
    },
    {
      id: 'BIR',
      attributes: {
        airport: 'BIR',
        city: 'Biratnagar',
        region: "['Nepal']-NP",
        country: 'Nepal',
        continent: 'Asia',
        coordinates: [87.28, 26.43],
      },
    },
    {
      id: 'CPR',
      attributes: {
        airport: 'CPR',
        city: 'Casper',
        region: 'US-WY',
        country: 'United States',
        continent: 'North America',
        coordinates: [-106.46, 42.91],
      },
    },
    {
      id: 'ZLO',
      attributes: {
        airport: 'ZLO',
        city: 'Manzanillo',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-104.35, 19.11],
      },
    },
    {
      id: 'GJA',
      attributes: {
        airport: 'GJA',
        city: 'Guanaja',
        region: "['Honduras']-HN",
        country: 'Honduras',
        continent: 'Central America',
        coordinates: [-85.91, 16.45],
      },
    },
    {
      id: 'AZD',
      attributes: {
        airport: 'AZD',
        city: 'Yazd',
        region: "['Iran']-IR",
        country: 'Iran',
        continent: 'Asia',
        coordinates: [54.28, 31.9],
      },
    },
    {
      id: 'WLS',
      attributes: {
        airport: 'WLS',
        city: 'Wallis Island',
        region: "['Wallis and Futuna']-WF",
        country: 'Wallis and Futuna',
        continent: 'Oceania',
        coordinates: [-176.17, -13.23],
      },
    },
    {
      id: 'TVC',
      attributes: {
        airport: 'TVC',
        city: 'Traverse City',
        region: 'US-MI',
        country: 'United States',
        continent: 'North America',
        coordinates: [-85.58, 44.74],
      },
    },
    {
      id: 'SEZ',
      attributes: {
        airport: 'SEZ',
        city: 'Mahe Island',
        region: "['Seychelles']-SC",
        country: 'Seychelles',
        continent: 'Africa',
        coordinates: [55.51, -4.67],
      },
    },
    {
      id: 'AES',
      attributes: {
        airport: 'AES',
        city: 'Aalesund',
        region: "['Norway']-NO",
        country: 'Norway',
        continent: 'Europe',
        coordinates: [6.12, 62.56],
      },
    },
    {
      id: 'DRG',
      attributes: {
        airport: 'DRG',
        city: 'Deering',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-162.73, 66.08],
      },
    },
    {
      id: 'KAJ',
      attributes: {
        airport: 'KAJ',
        city: 'Kajaani',
        region: "['Finland']-FI",
        country: 'Finland',
        continent: 'Europe',
        coordinates: [27.69, 64.28],
      },
    },
    {
      id: 'OUL',
      attributes: {
        airport: 'OUL',
        city: 'Oulu',
        region: "['Finland']-FI",
        country: 'Finland',
        continent: 'Europe',
        coordinates: [25.38, 64.93],
      },
    },
    {
      id: 'FNJ',
      attributes: {
        airport: 'FNJ',
        city: 'Pyongyang',
        region: "['North Korea']-KP",
        country: 'North Korea',
        continent: 'Asia',
        coordinates: [125.67, 39.2],
      },
    },
    {
      id: 'SOV',
      attributes: {
        airport: 'SOV',
        city: 'Seldovia',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-151.7, 59.44],
      },
    },
    {
      id: 'PGM',
      attributes: {
        airport: 'PGM',
        city: 'Port Graham',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-151.83, 59.35],
      },
    },
    {
      id: 'VTE',
      attributes: {
        airport: 'VTE',
        city: 'Vientiane',
        region: "['Laos']-LA",
        country: 'Laos',
        continent: 'Asia',
        coordinates: [102.57, 17.98],
      },
    },
    {
      id: 'KVG',
      attributes: {
        airport: 'KVG',
        city: 'Kavieng',
        region: "['Papua New Guinea']-PG",
        country: 'Papua New Guinea',
        continent: 'Oceania',
        coordinates: [150.81, -2.58],
      },
    },
    {
      id: 'TPI',
      attributes: {
        airport: 'TPI',
        city: 'Tapini',
        region: "['Papua New Guinea']-PG",
        country: 'Papua New Guinea',
        continent: 'Oceania',
        coordinates: [146.98, -8.37],
      },
    },
    {
      id: 'PSZ',
      attributes: {
        airport: 'PSZ',
        city: 'Puerto Suarez',
        region: "['Bolivia']-BO",
        country: 'Bolivia',
        continent: 'South America',
        coordinates: [-57.8, -18.97],
      },
    },
    {
      id: 'GTA',
      attributes: {
        airport: 'GTA',
        city: 'Gatokae',
        region: "['Solomon Islands']-SB",
        country: 'Solomon Islands',
        continent: 'Oceania',
        coordinates: [158.18, -8.77],
      },
    },
    {
      id: 'RBV',
      attributes: {
        airport: 'RBV',
        city: 'Ramata',
        region: "['Solomon Islands']-SB",
        country: 'Solomon Islands',
        continent: 'Oceania',
        coordinates: [157.64, -8.17],
      },
    },
    {
      id: 'YKM',
      attributes: {
        airport: 'YKM',
        city: 'Yakima',
        region: 'US-WA',
        country: 'United States',
        continent: 'North America',
        coordinates: [-120.54, 46.57],
      },
    },
    {
      id: 'VKG',
      attributes: {
        airport: 'VKG',
        city: 'Rach Gia',
        region: "['Vietnam']-VN",
        country: 'Vietnam',
        continent: 'Asia',
        coordinates: [105.08, 10.08],
      },
    },
    {
      id: 'YSJ',
      attributes: {
        airport: 'YSJ',
        city: 'Saint John',
        region: 'CA-NB',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-65.89, 45.33],
      },
    },
    {
      id: 'YVQ',
      attributes: {
        airport: 'YVQ',
        city: 'Norman Wells',
        region: 'CA-NT',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-126.79, 65.28],
      },
    },
    {
      id: 'AGU',
      attributes: {
        airport: 'AGU',
        city: 'Aguascalientes',
        region: "['Mexico']-MX",
        country: 'Mexico',
        continent: 'Central America',
        coordinates: [-102.31, 21.7],
      },
    },
    {
      id: 'TOG',
      attributes: {
        airport: 'TOG',
        city: 'Togiak Village',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-160.38, 59.06],
      },
    },
    {
      id: 'TWA',
      attributes: {
        airport: 'TWA',
        city: 'Twin Hills',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-159.99, 59.17],
      },
    },
    {
      id: 'YXU',
      attributes: {
        airport: 'YXU',
        city: 'London',
        region: 'CA-ON',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-81.15, 43.03],
      },
    },
    {
      id: 'VQS',
      attributes: {
        airport: 'VQS',
        city: 'Vieques',
        region: "['Puerto Rico']-PR",
        country: 'Puerto Rico',
        continent: 'Central America',
        coordinates: [-65.49, 18.13],
      },
    },
    {
      id: 'WIN',
      attributes: {
        airport: 'WIN',
        city: 'Winton',
        region: 'AU-QLD',
        country: 'Australia',
        continent: 'Oceania',
        coordinates: [143.07, -22.35],
      },
    },
    {
      id: 'NPE',
      attributes: {
        airport: 'NPE',
        city: 'Napier',
        region: "['New Zealand']-NZ",
        country: 'New Zealand',
        continent: 'Oceania',
        coordinates: [176.87, -39.47],
      },
    },
    {
      id: 'WMK',
      attributes: {
        airport: 'WMK',
        city: 'Meyers Chuck',
        region: 'US-AK',
        country: 'United States',
        continent: 'North America',
        coordinates: [-132.18, 55.73],
      },
    },
    {
      id: 'GDT',
      attributes: {
        airport: 'GDT',
        city: 'Grand Turk Island',
        region: "['Turks and Caicos Islands']-TC",
        country: 'Turks and Caicos Islands',
        continent: 'Central America',
        coordinates: [-71.13, 21.47],
      },
    },
    {
      id: 'XSC',
      attributes: {
        airport: 'XSC',
        city: 'South Caicos',
        region: "['Turks and Caicos Islands']-TC",
        country: 'Turks and Caicos Islands',
        continent: 'Central America',
        coordinates: [-71.53, 21.52],
      },
    },
    {
      id: 'YFH',
      attributes: {
        airport: 'YFH',
        city: 'Fort Hope',
        region: 'CA-ON',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-87.9, 51.56],
      },
    },
    {
      id: 'YVO',
      attributes: {
        airport: 'YVO',
        city: "Val DOr'",
        region: 'CA-QC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-77.79, 48.05],
      },
    },
    {
      id: 'YHU',
      attributes: {
        airport: 'YHU',
        city: 'Montreal',
        region: 'CA-QC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-73.6, 45.5],
      },
    },
    {
      id: 'YPX',
      attributes: {
        airport: 'YPX',
        city: 'Povungnituk',
        region: 'CA-QC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-77.17, 60.03],
      },
    },
    {
      id: 'YZG',
      attributes: {
        airport: 'YZG',
        city: 'Salluit',
        region: 'CA-QC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-75.63, 62.2],
      },
    },
    {
      id: 'YNC',
      attributes: {
        airport: 'YNC',
        city: 'Wemindji',
        region: 'CA-QC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-78.82, 53.0],
      },
    },
    {
      id: 'ZEM',
      attributes: {
        airport: 'ZEM',
        city: 'East Main',
        region: 'CA-QC',
        country: 'Canada',
        continent: 'North America',
        coordinates: [-78.52, 52.25],
      },
    },
  ],
  edges: [
    {
      id: '0',
      from: 'AMM',
      to: 'ALY',
      attributes: { prediction: 1540 },
    },
    {
      id: '1',
      from: 'AMS',
      to: 'ABV',
      attributes: { prediction: 2581 },
    },
    {
      id: '2',
      from: 'BHX',
      to: 'KTW',
      attributes: { prediction: 1209 },
    },
    {
      id: '3',
      from: 'BIL',
      to: 'MSP',
      attributes: { prediction: 4134 },
    },
    {
      id: '4',
      from: 'BLA',
      to: 'VLN',
      attributes: { prediction: 2635 },
    },
    {
      id: '5',
      from: 'DME',
      to: 'LED',
      attributes: { prediction: 24341 },
    },
    {
      id: '6',
      from: 'DMM',
      to: 'ALY',
      attributes: { prediction: 449 },
    },
    {
      id: '7',
      from: 'DNH',
      to: 'XIY',
      attributes: { prediction: 449 },
    },
    {
      id: '8',
      from: 'DOH',
      to: 'AMM',
      attributes: { prediction: 6127 },
    },
    {
      id: '9',
      from: 'DOH',
      to: 'KRT',
      attributes: { prediction: 7872 },
    },
    {
      id: '10',
      from: 'DRW',
      to: 'DIL',
      attributes: { prediction: 1144 },
    },
    {
      id: '11',
      from: 'DSN',
      to: 'NAY',
      attributes: { prediction: 3554 },
    },
    {
      id: '12',
      from: 'DTM',
      to: 'BUD',
      attributes: { prediction: 1174 },
    },
    {
      id: '13',
      from: 'DTW',
      to: 'CUN',
      attributes: { prediction: 5807 },
    },
    {
      id: '14',
      from: 'DTW',
      to: 'FRA',
      attributes: { prediction: 10022 },
    },
    {
      id: '15',
      from: 'DTW',
      to: 'FWA',
      attributes: { prediction: 3402 },
    },
    {
      id: '16',
      from: 'DTW',
      to: 'SNA',
      attributes: { prediction: 2225 },
    },
    {
      id: '17',
      from: 'DUB',
      to: 'AGA',
      attributes: { prediction: 659 },
    },
    {
      id: '18',
      from: 'FAR',
      to: 'SLC',
      attributes: { prediction: 965 },
    },
    {
      id: '19',
      from: 'FCO',
      to: 'ALP',
      attributes: { prediction: 114 },
    },
    {
      id: '20',
      from: 'FCO',
      to: 'MLE',
      attributes: { prediction: 2017 },
    },
    {
      id: '21',
      from: 'HAM',
      to: 'EWR',
      attributes: { prediction: 3456 },
    },
    {
      id: '22',
      from: 'ACE',
      to: 'LGW',
      attributes: { prediction: 11927 },
    },
    {
      id: '23',
      from: 'AGP',
      to: 'CMN',
      attributes: { prediction: 808 },
    },
    {
      id: '24',
      from: 'AGP',
      to: 'SVO',
      attributes: { prediction: 989 },
    },
    {
      id: '25',
      from: 'AHU',
      to: 'TNG',
      attributes: { prediction: 100 },
    },
    {
      id: '26',
      from: 'ALB',
      to: 'ART',
      attributes: { prediction: 355 },
    },
    {
      id: '27',
      from: 'ALC',
      to: 'CRL',
      attributes: { prediction: 4697 },
    },
    {
      id: '28',
      from: 'ALC',
      to: 'EDI',
      attributes: { prediction: 1396 },
    },
    {
      id: '29',
      from: 'HGH',
      to: 'TYN',
      attributes: { prediction: 9358 },
    },
    {
      id: '30',
      from: 'LIS',
      to: 'CNF',
      attributes: { prediction: 4060 },
    },
    {
      id: '31',
      from: 'LLW',
      to: 'BLZ',
      attributes: { prediction: 3294 },
    },
    {
      id: '32',
      from: 'LPA',
      to: 'OSL',
      attributes: { prediction: 5701 },
    },
    {
      id: '33',
      from: 'LPL',
      to: 'PRG',
      attributes: { prediction: 1320 },
    },
    {
      id: '34',
      from: 'LPL',
      to: 'SNN',
      attributes: { prediction: 3943 },
    },
    {
      id: '35',
      from: 'LSH',
      to: 'HEH',
      attributes: { prediction: 260 },
    },
    {
      id: '36',
      from: 'LUO',
      to: 'LAD',
      attributes: { prediction: 2307 },
    },
    {
      id: '37',
      from: 'LWO',
      to: 'FCO',
      attributes: { prediction: 448 },
    },
    {
      id: '38',
      from: 'LWO',
      to: 'VKO',
      attributes: { prediction: 1346 },
    },
    {
      id: '39',
      from: 'LYS',
      to: 'BCN',
      attributes: { prediction: 5450 },
    },
    {
      id: '40',
      from: 'LYS',
      to: 'BSK',
      attributes: { prediction: 455 },
    },
    {
      id: '41',
      from: 'MGA',
      to: 'MIA',
      attributes: { prediction: 13456 },
    },
    {
      id: '42',
      from: 'MHD',
      to: 'BND',
      attributes: { prediction: 2521 },
    },
    {
      id: '43',
      from: 'PEC',
      to: 'JNU',
      attributes: { prediction: 145 },
    },
    {
      id: '44',
      from: 'PEK',
      to: 'IKT',
      attributes: { prediction: 1568 },
    },
    {
      id: '45',
      from: 'PEK',
      to: 'TGO',
      attributes: { prediction: 1651 },
    },
    {
      id: '46',
      from: 'PEK',
      to: 'TPE',
      attributes: { prediction: 18633 },
    },
    {
      id: '47',
      from: 'PER',
      to: 'CNS',
      attributes: { prediction: 2571 },
    },
    {
      id: '48',
      from: 'PEW',
      to: 'ISB',
      attributes: { prediction: 2145 },
    },
    {
      id: '49',
      from: 'PFO',
      to: 'DSA',
      attributes: { prediction: 735 },
    },
    {
      id: '50',
      from: 'PFO',
      to: 'GLA',
      attributes: { prediction: 791 },
    },
    {
      id: '51',
      from: 'PHF',
      to: 'MCO',
      attributes: { prediction: 2549 },
    },
    {
      id: '52',
      from: 'PHL',
      to: 'MIA',
      attributes: { prediction: 19207 },
    },
    {
      id: '53',
      from: 'PIS',
      to: 'LYS',
      attributes: { prediction: 1430 },
    },
    {
      id: '54',
      from: 'PMI',
      to: 'LBC',
      attributes: { prediction: 2445 },
    },
    {
      id: '55',
      from: 'PNH',
      to: 'TPE',
      attributes: { prediction: 5071 },
    },
    {
      id: '56',
      from: 'REC',
      to: 'SDU',
      attributes: { prediction: 2782 },
    },
    {
      id: '57',
      from: 'RIC',
      to: 'YYZ',
      attributes: { prediction: 988 },
    },
    {
      id: '58',
      from: 'SPN',
      to: 'TIQ',
      attributes: { prediction: 152 },
    },
    {
      id: '59',
      from: 'TAS',
      to: 'KSQ',
      attributes: { prediction: 2358 },
    },
    {
      id: '60',
      from: 'TAS',
      to: 'VKO',
      attributes: { prediction: 2312 },
    },
    {
      id: '61',
      from: 'TBU',
      to: 'SUV',
      attributes: { prediction: 315 },
    },
    {
      id: '62',
      from: 'TBZ',
      to: 'PGU',
      attributes: { prediction: 274 },
    },
    {
      id: '63',
      from: 'TFS',
      to: 'DSA',
      attributes: { prediction: 1563 },
    },
    {
      id: '64',
      from: 'TFS',
      to: 'HAJ',
      attributes: { prediction: 4084 },
    },
    {
      id: '65',
      from: 'TFS',
      to: 'LNZ',
      attributes: { prediction: 804 },
    },
    {
      id: '66',
      from: 'THR',
      to: 'KHY',
      attributes: { prediction: 433 },
    },
    {
      id: '67',
      from: 'THR',
      to: 'PFQ',
      attributes: { prediction: 268 },
    },
    {
      id: '68',
      from: 'TIA',
      to: 'STN',
      attributes: { prediction: 1158 },
    },
    {
      id: '69',
      from: 'TIJ',
      to: 'UPN',
      attributes: { prediction: 2423 },
    },
    {
      id: '70',
      from: 'TIV',
      to: 'BEG',
      attributes: { prediction: 5331 },
    },
    {
      id: '71',
      from: 'TLL',
      to: 'LPP',
      attributes: { prediction: 1140 },
    },
    {
      id: '72',
      from: 'TLV',
      to: 'GYD',
      attributes: { prediction: 448 },
    },
    {
      id: '73',
      from: 'BAQ',
      to: 'MAR',
      attributes: { prediction: 84 },
    },
    {
      id: '74',
      from: 'BBO',
      to: 'ADE',
      attributes: { prediction: 495 },
    },
    {
      id: '75',
      from: 'BCN',
      to: 'STR',
      attributes: { prediction: 4386 },
    },
    {
      id: '76',
      from: 'BDA',
      to: 'EWR',
      attributes: { prediction: 3831 },
    },
    {
      id: '77',
      from: 'BEG',
      to: 'LHR',
      attributes: { prediction: 5149 },
    },
    {
      id: '78',
      from: 'AMS',
      to: 'LUX',
      attributes: { prediction: 4075 },
    },
    {
      id: '79',
      from: 'AMS',
      to: 'PEK',
      attributes: { prediction: 12316 },
    },
    {
      id: '80',
      from: 'ARD',
      to: 'KOE',
      attributes: { prediction: 1194 },
    },
    {
      id: '81',
      from: 'ARN',
      to: 'TLL',
      attributes: { prediction: 5113 },
    },
    {
      id: '82',
      from: 'ASB',
      to: 'TAS',
      attributes: { prediction: 307 },
    },
    {
      id: '83',
      from: 'ASO',
      to: 'JIM',
      attributes: { prediction: 617 },
    },
    {
      id: '84',
      from: 'ATH',
      to: 'MXP',
      attributes: { prediction: 18303 },
    },
    {
      id: '85',
      from: 'ATL',
      to: 'MTY',
      attributes: { prediction: 1704 },
    },
    {
      id: '86',
      from: 'ATL',
      to: 'SAP',
      attributes: { prediction: 1605 },
    },
    {
      id: '87',
      from: 'ATL',
      to: 'SMF',
      attributes: { prediction: 6641 },
    },
    {
      id: '88',
      from: 'ATL',
      to: 'STX',
      attributes: { prediction: 1089 },
    },
    {
      id: '89',
      from: 'ATL',
      to: 'TYS',
      attributes: { prediction: 8891 },
    },
    {
      id: '90',
      from: 'AUC',
      to: 'BOG',
      attributes: { prediction: 2368 },
    },
    {
      id: '91',
      from: 'AUH',
      to: 'BEY',
      attributes: { prediction: 12811 },
    },
    {
      id: '92',
      from: 'AUS',
      to: 'LNK',
      attributes: { prediction: 40 },
    },
    {
      id: '93',
      from: 'AUS',
      to: 'MSP',
      attributes: { prediction: 3321 },
    },
    {
      id: '94',
      from: 'AUS',
      to: 'TPA',
      attributes: { prediction: 2954 },
    },
    {
      id: '95',
      from: 'AYP',
      to: 'LIM',
      attributes: { prediction: 1700 },
    },
    {
      id: '96',
      from: 'BEY',
      to: 'KBP',
      attributes: { prediction: 356 },
    },
    {
      id: '97',
      from: 'BGY',
      to: 'BTS',
      attributes: { prediction: 4613 },
    },
    {
      id: '98',
      from: 'BGY',
      to: 'CIA',
      attributes: { prediction: 15052 },
    },
    {
      id: '99',
      from: 'BGY',
      to: 'GRO',
      attributes: { prediction: 13017 },
    },
    {
      id: '100',
      from: 'BGY',
      to: 'NTE',
      attributes: { prediction: 2508 },
    },
    {
      id: '101',
      from: 'TOY',
      to: 'ICN',
      attributes: { prediction: 1330 },
    },
    {
      id: '102',
      from: 'TOY',
      to: 'PVG',
      attributes: { prediction: 660 },
    },
    {
      id: '103',
      from: 'TPA',
      to: 'EWR',
      attributes: { prediction: 25177 },
    },
    {
      id: '104',
      from: 'TPA',
      to: 'ISP',
      attributes: { prediction: 5100 },
    },
    {
      id: '105',
      from: 'TPE',
      to: 'BKK',
      attributes: { prediction: 72122 },
    },
    {
      id: '106',
      from: 'TPE',
      to: 'NGO',
      attributes: { prediction: 16707 },
    },
    {
      id: '107',
      from: 'TRV',
      to: 'BAH',
      attributes: { prediction: 3757 },
    },
    {
      id: '108',
      from: 'CID',
      to: 'LAN',
      attributes: { prediction: 74 },
    },
    {
      id: '109',
      from: 'CIJ',
      to: 'TDD',
      attributes: { prediction: 1594 },
    },
    {
      id: '110',
      from: 'CJU',
      to: 'CJJ',
      attributes: { prediction: 14731 },
    },
    {
      id: '111',
      from: 'CKG',
      to: 'XMN',
      attributes: { prediction: 6952 },
    },
    {
      id: '112',
      from: 'CLE',
      to: 'CUN',
      attributes: { prediction: 3089 },
    },
    {
      id: '113',
      from: 'CLJ',
      to: 'BCN',
      attributes: { prediction: 2239 },
    },
    {
      id: '114',
      from: 'BNE',
      to: 'GLT',
      attributes: { prediction: 4747 },
    },
    {
      id: '115',
      from: 'BOM',
      to: 'IKA',
      attributes: { prediction: 1983 },
    },
    {
      id: '116',
      from: 'BOM',
      to: 'SHJ',
      attributes: { prediction: 7381 },
    },
    {
      id: '117',
      from: 'BOM',
      to: 'SIN',
      attributes: { prediction: 30126 },
    },
    {
      id: '118',
      from: 'BOS',
      to: 'SLC',
      attributes: { prediction: 5875 },
    },
    {
      id: '119',
      from: 'BPX',
      to: 'CTU',
      attributes: { prediction: 2991 },
    },
    {
      id: '120',
      from: 'BRU',
      to: 'KGL',
      attributes: { prediction: 2595 },
    },
    {
      id: '121',
      from: 'BTS',
      to: 'NYO',
      attributes: { prediction: 1719 },
    },
    {
      id: '122',
      from: 'BUD',
      to: 'FCO',
      attributes: { prediction: 10501 },
    },
    {
      id: '123',
      from: 'CLT',
      to: 'MGM',
      attributes: { prediction: 2016 },
    },
    {
      id: '124',
      from: 'BWI',
      to: 'SDF',
      attributes: { prediction: 6945 },
    },
    {
      id: '125',
      from: 'CCS',
      to: 'EWR',
      attributes: { prediction: 1018 },
    },
    {
      id: '126',
      from: 'CDG',
      to: 'TRS',
      attributes: { prediction: 1725 },
    },
    {
      id: '127',
      from: 'CEB',
      to: 'OZC',
      attributes: { prediction: 2072 },
    },
    {
      id: '128',
      from: 'CGK',
      to: 'PKY',
      attributes: { prediction: 3264 },
    },
    {
      id: '129',
      from: 'CMN',
      to: 'ORY',
      attributes: { prediction: 26831 },
    },
    {
      id: '130',
      from: 'COQ',
      to: 'ULN',
      attributes: { prediction: 201 },
    },
    {
      id: '131',
      from: 'CPH',
      to: 'BGO',
      attributes: { prediction: 12329 },
    },
    {
      id: '132',
      from: 'CPT',
      to: 'DXB',
      attributes: { prediction: 9583 },
    },
    {
      id: '133',
      from: 'CRW',
      to: 'IAD',
      attributes: { prediction: 2409 },
    },
    {
      id: '134',
      from: 'VCE',
      to: 'NAP',
      attributes: { prediction: 14043 },
    },
    {
      id: '135',
      from: 'VDM',
      to: 'BHI',
      attributes: { prediction: 283 },
    },
    {
      id: '136',
      from: 'VGO',
      to: 'CDG',
      attributes: { prediction: 3353 },
    },
    {
      id: '137',
      from: 'VKO',
      to: 'HMA',
      attributes: { prediction: 2523 },
    },
    {
      id: '138',
      from: 'ZIH',
      to: 'PHX',
      attributes: { prediction: 1451 },
    },
    {
      id: '139',
      from: 'ZIH',
      to: 'YYC',
      attributes: { prediction: 1432 },
    },
    {
      id: '140',
      from: 'DIK',
      to: 'ISN',
      attributes: { prediction: 286 },
    },
    {
      id: '141',
      from: 'DIR',
      to: 'ABK',
      attributes: { prediction: 182 },
    },
    {
      id: '142',
      from: 'CSX',
      to: 'YIW',
      attributes: { prediction: 830 },
    },
    {
      id: '143',
      from: 'CTS',
      to: 'TPE',
      attributes: { prediction: 10977 },
    },
    {
      id: '144',
      from: 'CUF',
      to: 'BBU',
      attributes: { prediction: 934 },
    },
    {
      id: '145',
      from: 'CUR',
      to: 'YYZ',
      attributes: { prediction: 1038 },
    },
    {
      id: '146',
      from: 'CWB',
      to: 'CAC',
      attributes: { prediction: 1004 },
    },
    {
      id: '147',
      from: 'CZL',
      to: 'LYS',
      attributes: { prediction: 2316 },
    },
    {
      id: '148',
      from: 'DAC',
      to: 'BKK',
      attributes: { prediction: 10593 },
    },
    {
      id: '149',
      from: 'DAC',
      to: 'JED',
      attributes: { prediction: 5880 },
    },
    {
      id: '150',
      from: 'DAM',
      to: 'CDG',
      attributes: { prediction: 1958 },
    },
    {
      id: '151',
      from: 'DAM',
      to: 'LCA',
      attributes: { prediction: 2466 },
    },
    {
      id: '152',
      from: 'DCA',
      to: 'BUF',
      attributes: { prediction: 4445 },
    },
    {
      id: '153',
      from: 'DEN',
      to: 'DAY',
      attributes: { prediction: 4061 },
    },
    {
      id: '154',
      from: 'DEN',
      to: 'SLC',
      attributes: { prediction: 55602 },
    },
    {
      id: '155',
      from: 'DLC',
      to: 'WUH',
      attributes: { prediction: 6212 },
    },
    {
      id: '156',
      from: 'DLH',
      to: 'LAS',
      attributes: { prediction: 784 },
    },
    {
      id: '157',
      from: 'TUP',
      to: 'ATL',
      attributes: { prediction: 601 },
    },
    {
      id: '158',
      from: 'COK',
      to: 'AUH',
      attributes: { prediction: 6538 },
    },
    {
      id: '159',
      from: 'KBP',
      to: 'AUH',
      attributes: { prediction: 3072 },
    },
    {
      id: '160',
      from: 'EWR',
      to: 'AUS',
      attributes: { prediction: 5781 },
    },
    {
      id: '161',
      from: 'ALG',
      to: 'ETZ',
      attributes: { prediction: 839 },
    },
    {
      id: '162',
      from: 'DXB',
      to: 'EVN',
      attributes: { prediction: 1481 },
    },
    {
      id: '163',
      from: 'LED',
      to: 'EVN',
      attributes: { prediction: 799 },
    },
    {
      id: '164',
      from: 'BWI',
      to: 'EWR',
      attributes: { prediction: 3213 },
    },
    {
      id: '165',
      from: 'CLE',
      to: 'EWR',
      attributes: { prediction: 13730 },
    },
    {
      id: '166',
      from: 'DXB',
      to: 'MUC',
      attributes: { prediction: 22894 },
    },
    {
      id: '167',
      from: 'EBL',
      to: 'BEY',
      attributes: { prediction: 286 },
    },
    {
      id: '168',
      from: 'EDI',
      to: 'CMF',
      attributes: { prediction: 651 },
    },
    {
      id: '169',
      from: 'ETZ',
      to: 'NCE',
      attributes: { prediction: 549 },
    },
    {
      id: '170',
      from: 'EVN',
      to: 'HRK',
      attributes: { prediction: 258 },
    },
    {
      id: '171',
      from: 'EVN',
      to: 'KBP',
      attributes: { prediction: 1091 },
    },
    {
      id: '172',
      from: 'EWR',
      to: 'LGA',
      attributes: { prediction: 2 },
    },
    {
      id: '173',
      from: 'EWR',
      to: 'TUL',
      attributes: { prediction: 888 },
    },
    {
      id: '174',
      from: 'GND',
      to: 'JFK',
      attributes: { prediction: 1331 },
    },
    {
      id: '175',
      from: 'GRU',
      to: 'SCL',
      attributes: { prediction: 25868 },
    },
    {
      id: '176',
      from: 'GSO',
      to: 'FLL',
      attributes: { prediction: 36 },
    },
    {
      id: '177',
      from: 'FKB',
      to: 'ALC',
      attributes: { prediction: 2688 },
    },
    {
      id: '178',
      from: 'FKI',
      to: 'GOM',
      attributes: { prediction: 1327 },
    },
    {
      id: '179',
      from: 'FRA',
      to: 'TSE',
      attributes: { prediction: 4767 },
    },
    {
      id: '180',
      from: 'FRA',
      to: 'XRY',
      attributes: { prediction: 735 },
    },
    {
      id: '181',
      from: 'FRO',
      to: 'OSL',
      attributes: { prediction: 2774 },
    },
    {
      id: '182',
      from: 'FUE',
      to: 'ZRH',
      attributes: { prediction: 407 },
    },
    {
      id: '183',
      from: 'GAJ',
      to: 'NKM',
      attributes: { prediction: 830 },
    },
    {
      id: '184',
      from: 'GCM',
      to: 'MBJ',
      attributes: { prediction: 302 },
    },
    {
      id: '185',
      from: 'GDL',
      to: 'SMF',
      attributes: { prediction: 2823 },
    },
    {
      id: '186',
      from: 'GIZ',
      to: 'DMM',
      attributes: { prediction: 1737 },
    },
    {
      id: '187',
      from: 'GLK',
      to: 'JIB',
      attributes: { prediction: 381 },
    },
    {
      id: '188',
      from: 'GZO',
      to: 'BAS',
      attributes: { prediction: 72 },
    },
    {
      id: '189',
      from: 'JOG',
      to: 'CGK',
      attributes: { prediction: 82842 },
    },
    {
      id: '190',
      from: 'KHH',
      to: 'KMG',
      attributes: { prediction: 144 },
    },
    {
      id: '191',
      from: 'KHN',
      to: 'HKG',
      attributes: { prediction: 1055 },
    },
    {
      id: '192',
      from: 'KHZ',
      to: 'MKP',
      attributes: { prediction: 48 },
    },
    {
      id: '193',
      from: 'HGH',
      to: 'WNZ',
      attributes: { prediction: 1208 },
    },
    {
      id: '194',
      from: 'HKG',
      to: 'NAN',
      attributes: { prediction: 1729 },
    },
    {
      id: '195',
      from: 'HOB',
      to: 'CNM',
      attributes: { prediction: 387 },
    },
    {
      id: '196',
      from: 'HPN',
      to: 'PHL',
      attributes: { prediction: 2453 },
    },
    {
      id: '197',
      from: 'HSV',
      to: 'ORD',
      attributes: { prediction: 3797 },
    },
    {
      id: '198',
      from: 'HTY',
      to: 'IST',
      attributes: { prediction: 9676 },
    },
    {
      id: '199',
      from: 'IAD',
      to: 'BUF',
      attributes: { prediction: 4058 },
    },
    {
      id: '200',
      from: 'IAH',
      to: 'SMF',
      attributes: { prediction: 12616 },
    },
    {
      id: '201',
      from: 'IAH',
      to: 'VER',
      attributes: { prediction: 1111 },
    },
    {
      id: '202',
      from: 'ICN',
      to: 'OKA',
      attributes: { prediction: 2677 },
    },
    {
      id: '203',
      from: 'KIX',
      to: 'DOH',
      attributes: { prediction: 5789 },
    },
    {
      id: '204',
      from: 'KKR',
      to: 'RGI',
      attributes: { prediction: 27 },
    },
    {
      id: '205',
      from: 'KLU',
      to: 'TXL',
      attributes: { prediction: 2212 },
    },
    {
      id: '206',
      from: 'IKA',
      to: 'SAW',
      attributes: { prediction: 851 },
    },
    {
      id: '207',
      from: 'IND',
      to: 'FWA',
      attributes: { prediction: 23 },
    },
    {
      id: '208',
      from: 'IND',
      to: 'TPA',
      attributes: { prediction: 8287 },
    },
    {
      id: '209',
      from: 'IQQ',
      to: 'CPO',
      attributes: { prediction: 1700 },
    },
    {
      id: '210',
      from: 'ISG',
      to: 'MMY',
      attributes: { prediction: 2772 },
    },
    {
      id: '211',
      from: 'IXS',
      to: 'CCU',
      attributes: { prediction: 2583 },
    },
    {
      id: '212',
      from: 'JFK',
      to: 'PVR',
      attributes: { prediction: 130 },
    },
    {
      id: '213',
      from: 'JFK',
      to: 'YUL',
      attributes: { prediction: 4841 },
    },
    {
      id: '214',
      from: 'JIB',
      to: 'ADE',
      attributes: { prediction: 332 },
    },
    {
      id: '215',
      from: 'JJU',
      to: 'UAK',
      attributes: { prediction: 356 },
    },
    {
      id: '216',
      from: 'KMG',
      to: 'HFE',
      attributes: { prediction: 6540 },
    },
    {
      id: '217',
      from: 'KMI',
      to: 'FUK',
      attributes: { prediction: 11491 },
    },
    {
      id: '218',
      from: 'KOT',
      to: 'BET',
      attributes: { prediction: 90 },
    },
    {
      id: '219',
      from: 'KRK',
      to: 'BGO',
      attributes: { prediction: 1045 },
    },
    {
      id: '220',
      from: 'KRR',
      to: 'UFA',
      attributes: { prediction: 615 },
    },
    {
      id: '221',
      from: 'TLL',
      to: 'GOT',
      attributes: { prediction: 399 },
    },
    {
      id: '222',
      from: 'JNB',
      to: 'GRJ',
      attributes: { prediction: 12980 },
    },
    {
      id: '223',
      from: 'CAG',
      to: 'GRO',
      attributes: { prediction: 4152 },
    },
    {
      id: '224',
      from: 'TLV',
      to: 'GRZ',
      attributes: { prediction: 243 },
    },
    {
      id: '225',
      from: 'MCO',
      to: 'GSP',
      attributes: { prediction: 1248 },
    },
    {
      id: '226',
      from: 'LHR',
      to: 'DTW',
      attributes: { prediction: 4770 },
    },
    {
      id: '227',
      from: 'LHR',
      to: 'EDI',
      attributes: { prediction: 43251 },
    },
    {
      id: '228',
      from: 'LHR',
      to: 'SVG',
      attributes: { prediction: 4734 },
    },
    {
      id: '229',
      from: 'LHW',
      to: 'HAK',
      attributes: { prediction: 1372 },
    },
    {
      id: '230',
      from: 'LCA',
      to: 'AUH',
      attributes: { prediction: 1608 },
    },
    {
      id: '231',
      from: 'LED',
      to: 'GOJ',
      attributes: { prediction: 127 },
    },
    {
      id: '232',
      from: 'LEX',
      to: 'ORD',
      attributes: { prediction: 2780 },
    },
    {
      id: '233',
      from: 'LGW',
      to: 'LIN',
      attributes: { prediction: 3361 },
    },
    {
      id: '234',
      from: 'LIM',
      to: 'PTY',
      attributes: { prediction: 12750 },
    },
    {
      id: '235',
      from: 'GRU',
      to: 'GYN',
      attributes: { prediction: 11993 },
    },
    {
      id: '236',
      from: 'RUN',
      to: 'HAH',
      attributes: { prediction: 773 },
    },
    {
      id: '237',
      from: 'CTU',
      to: 'HAK',
      attributes: { prediction: 12961 },
    },
    {
      id: '238',
      from: 'SPC',
      to: 'HAM',
      attributes: { prediction: 1195 },
    },
    {
      id: '239',
      from: 'LPA',
      to: 'HEL',
      attributes: { prediction: 1590 },
    },
    {
      id: '240',
      from: 'MXP',
      to: 'OTP',
      attributes: { prediction: 5053 },
    },
    {
      id: '241',
      from: 'MAA',
      to: 'GOI',
      attributes: { prediction: 2706 },
    },
    {
      id: '242',
      from: 'MAD',
      to: 'HAM',
      attributes: { prediction: 1453 },
    },
    {
      id: '243',
      from: 'MAD',
      to: 'ZAZ',
      attributes: { prediction: 1114 },
    },
    {
      id: '244',
      from: 'MAN',
      to: 'BGI',
      attributes: { prediction: 1937 },
    },
    {
      id: '245',
      from: 'MAR',
      to: 'LSP',
      attributes: { prediction: 1273 },
    },
    {
      id: '246',
      from: 'MCM',
      to: 'NCE',
      attributes: { prediction: 566 },
    },
    {
      id: '247',
      from: 'MCO',
      to: 'BOS',
      attributes: { prediction: 28652 },
    },
    {
      id: '248',
      from: 'MCO',
      to: 'YYZ',
      attributes: { prediction: 26354 },
    },
    {
      id: '249',
      from: 'MCT',
      to: 'BLR',
      attributes: { prediction: 2195 },
    },
    {
      id: '250',
      from: 'MCT',
      to: 'DAC',
      attributes: { prediction: 1092 },
    },
    {
      id: '251',
      from: 'MDE',
      to: 'BAQ',
      attributes: { prediction: 1857 },
    },
    {
      id: '252',
      from: 'MEL',
      to: 'BME',
      attributes: { prediction: 403 },
    },
    {
      id: '253',
      from: 'MEM',
      to: 'AEX',
      attributes: { prediction: 1976 },
    },
    {
      id: '254',
      from: 'MEM',
      to: 'PHL',
      attributes: { prediction: 3466 },
    },
    {
      id: '255',
      from: 'MEX',
      to: 'HUX',
      attributes: { prediction: 9436 },
    },
    {
      id: '256',
      from: 'MZV',
      to: 'MYY',
      attributes: { prediction: 2253 },
    },
    {
      id: '257',
      from: 'NAN',
      to: 'KDV',
      attributes: { prediction: 292 },
    },
    {
      id: '258',
      from: 'NAY',
      to: 'UYN',
      attributes: { prediction: 1789 },
    },
    {
      id: '259',
      from: 'MHK',
      to: 'MCK',
      attributes: { prediction: 342 },
    },
    {
      id: '260',
      from: 'MIA',
      to: 'UVF',
      attributes: { prediction: 5299 },
    },
    {
      id: '261',
      from: 'MJF',
      to: 'SSJ',
      attributes: { prediction: 168 },
    },
    {
      id: '262',
      from: 'MKE',
      to: 'BWI',
      attributes: { prediction: 12409 },
    },
    {
      id: '263',
      from: 'MLE',
      to: 'FCO',
      attributes: { prediction: 2441 },
    },
    {
      id: '264',
      from: 'MOB',
      to: 'LAX',
      attributes: { prediction: 117 },
    },
    {
      id: '265',
      from: 'MSN',
      to: 'ORD',
      attributes: { prediction: 10135 },
    },
    {
      id: '266',
      from: 'MSP',
      to: 'CWA',
      attributes: { prediction: 2462 },
    },
    {
      id: '267',
      from: 'MUC',
      to: 'HKT',
      attributes: { prediction: 3804 },
    },
    {
      id: '268',
      from: 'NBO',
      to: 'LKG',
      attributes: { prediction: 1046 },
    },
    {
      id: '269',
      from: 'NOU',
      to: 'NRT',
      attributes: { prediction: 3692 },
    },
    {
      id: '270',
      from: 'OTZ',
      to: 'IAN',
      attributes: { prediction: 123 },
    },
    {
      id: '271',
      from: 'FIH',
      to: 'LOS',
      attributes: { prediction: 1045 },
    },
    {
      id: '272',
      from: 'GRO',
      to: 'LPA',
      attributes: { prediction: 2065 },
    },
    {
      id: '273',
      from: 'SDR',
      to: 'LPA',
      attributes: { prediction: 174 },
    },
    {
      id: '274',
      from: 'MFU',
      to: 'LUN',
      attributes: { prediction: 410 },
    },
    {
      id: '275',
      from: 'YYZ',
      to: 'MHT',
      attributes: { prediction: 658 },
    },
    {
      id: '276',
      from: 'BUR',
      to: 'MIA',
      attributes: { prediction: 10 },
    },
    {
      id: '277',
      from: 'PAD',
      to: 'FUE',
      attributes: { prediction: 1875 },
    },
    {
      id: '278',
      from: 'PBI',
      to: 'CVG',
      attributes: { prediction: 1561 },
    },
    {
      id: '279',
      from: 'PBM',
      to: 'CAY',
      attributes: { prediction: 413 },
    },
    {
      id: '280',
      from: 'PDA',
      to: 'VVC',
      attributes: { prediction: 636 },
    },
    {
      id: '281',
      from: 'NUX',
      to: 'UFA',
      attributes: { prediction: 477 },
    },
    {
      id: '282',
      from: 'NYU',
      to: 'MDL',
      attributes: { prediction: 3681 },
    },
    {
      id: '283',
      from: 'OAK',
      to: 'LGB',
      attributes: { prediction: 9271 },
    },
    {
      id: '284',
      from: 'OKC',
      to: 'LNK',
      attributes: { prediction: 38 },
    },
    {
      id: '285',
      from: 'OLH',
      to: 'ADQ',
      attributes: { prediction: 218 },
    },
    {
      id: '286',
      from: 'ONT',
      to: 'DFW',
      attributes: { prediction: 13072 },
    },
    {
      id: '287',
      from: 'OOL',
      to: 'NRT',
      attributes: { prediction: 6358 },
    },
    {
      id: '288',
      from: 'ORD',
      to: 'NRT',
      attributes: { prediction: 32584 },
    },
    {
      id: '289',
      from: 'ORY',
      to: 'PGX',
      attributes: { prediction: 407 },
    },
    {
      id: '290',
      from: 'OSL',
      to: 'BCN',
      attributes: { prediction: 2645 },
    },
    {
      id: '291',
      from: 'OSL',
      to: 'MAN',
      attributes: { prediction: 1879 },
    },
    {
      id: '292',
      from: 'OSL',
      to: 'TRD',
      attributes: { prediction: 49883 },
    },
    {
      id: '293',
      from: 'OSR',
      to: 'MUC',
      attributes: { prediction: 253 },
    },
    {
      id: '294',
      from: 'OVB',
      to: 'PEK',
      attributes: { prediction: 2291 },
    },
    {
      id: '295',
      from: 'SEA',
      to: 'MIA',
      attributes: { prediction: 3685 },
    },
    {
      id: '296',
      from: 'FLL',
      to: 'MKE',
      attributes: { prediction: 4123 },
    },
    {
      id: '297',
      from: 'STL',
      to: 'MKE',
      attributes: { prediction: 4155 },
    },
    {
      id: '298',
      from: 'CTA',
      to: 'MLA',
      attributes: { prediction: 3127 },
    },
    {
      id: '299',
      from: 'ESB',
      to: 'MLX',
      attributes: { prediction: 1967 },
    },
    {
      id: '300',
      from: 'PEK',
      to: 'MNL',
      attributes: { prediction: 3139 },
    },
    {
      id: '301',
      from: 'MXM',
      to: 'MOQ',
      attributes: { prediction: 19 },
    },
    {
      id: '302',
      from: 'RVK',
      to: 'MQN',
      attributes: { prediction: 109 },
    },
    {
      id: '303',
      from: 'BCN',
      to: 'MRS',
      attributes: { prediction: 1056 },
    },
    {
      id: '304',
      from: 'LIS',
      to: 'MRS',
      attributes: { prediction: 3067 },
    },
    {
      id: '305',
      from: 'DUR',
      to: 'MRU',
      attributes: { prediction: 521 },
    },
    {
      id: '306',
      from: 'BJI',
      to: 'MSP',
      attributes: { prediction: 1056 },
    },
    {
      id: '307',
      from: 'MZT',
      to: 'MSP',
      attributes: { prediction: 2887 },
    },
    {
      id: '308',
      from: 'CMN',
      to: 'NKC',
      attributes: { prediction: 3555 },
    },
    {
      id: '309',
      from: 'PSC',
      to: 'SEA',
      attributes: { prediction: 8034 },
    },
    {
      id: '310',
      from: 'STL',
      to: 'SEA',
      attributes: { prediction: 2671 },
    },
    {
      id: '311',
      from: 'SHA',
      to: 'JIU',
      attributes: { prediction: 1111 },
    },
    {
      id: '312',
      from: 'SHA',
      to: 'LYI',
      attributes: { prediction: 2837 },
    },
    {
      id: '313',
      from: 'SHA',
      to: 'WEH',
      attributes: { prediction: 2091 },
    },
    {
      id: '314',
      from: 'SHE',
      to: 'HGH',
      attributes: { prediction: 15577 },
    },
    {
      id: '315',
      from: 'POP',
      to: 'MIA',
      attributes: { prediction: 3387 },
    },
    {
      id: '316',
      from: 'POS',
      to: 'CUR',
      attributes: { prediction: 2047 },
    },
    {
      id: '317',
      from: 'POW',
      to: 'BEG',
      attributes: { prediction: 115 },
    },
    {
      id: '318',
      from: 'PPT',
      to: 'KXU',
      attributes: { prediction: 48 },
    },
    {
      id: '319',
      from: 'PRG',
      to: 'MAD',
      attributes: { prediction: 9526 },
    },
    {
      id: '320',
      from: 'PRG',
      to: 'STN',
      attributes: { prediction: 4510 },
    },
    {
      id: '321',
      from: 'PSA',
      to: 'EDI',
      attributes: { prediction: 1300 },
    },
    {
      id: '322',
      from: 'PSA',
      to: 'EIN',
      attributes: { prediction: 4266 },
    },
    {
      id: '323',
      from: 'PSA',
      to: 'HHN',
      attributes: { prediction: 4325 },
    },
    {
      id: '324',
      from: 'PSA',
      to: 'MAD',
      attributes: { prediction: 902 },
    },
    {
      id: '325',
      from: 'PTP',
      to: 'PAP',
      attributes: { prediction: 4025 },
    },
    {
      id: '326',
      from: 'PTY',
      to: 'IAH',
      attributes: { prediction: 10810 },
    },
    {
      id: '327',
      from: 'PYY',
      to: 'CNX',
      attributes: { prediction: 339 },
    },
    {
      id: '328',
      from: 'QSF',
      to: 'LYS',
      attributes: { prediction: 3622 },
    },
    {
      id: '329',
      from: 'RAI',
      to: 'BOS',
      attributes: { prediction: 1412 },
    },
    {
      id: '330',
      from: 'RAK',
      to: 'EMA',
      attributes: { prediction: 1233 },
    },
    {
      id: '331',
      from: 'RAP',
      to: 'DEN',
      attributes: { prediction: 8645 },
    },
    {
      id: '332',
      from: 'RBQ',
      to: 'LPB',
      attributes: { prediction: 1541 },
    },
    {
      id: '333',
      from: 'RDV',
      to: 'SLQ',
      attributes: { prediction: 5 },
    },
    {
      id: '334',
      from: 'SHJ',
      to: 'GOI',
      attributes: { prediction: 1542 },
    },
    {
      id: '335',
      from: 'RSW',
      to: 'ORD',
      attributes: { prediction: 16617 },
    },
    {
      id: '336',
      from: 'RUT',
      to: 'BOS',
      attributes: { prediction: 322 },
    },
    {
      id: '337',
      from: 'RVK',
      to: 'MQN',
      attributes: { prediction: 107 },
    },
    {
      id: '338',
      from: 'SAL',
      to: 'IAH',
      attributes: { prediction: 12641 },
    },
    {
      id: '339',
      from: 'SAN',
      to: 'MCO',
      attributes: { prediction: 107 },
    },
    {
      id: '340',
      from: 'SCU',
      to: 'FCO',
      attributes: { prediction: 1380 },
    },
    {
      id: '341',
      from: 'SDR',
      to: 'ALC',
      attributes: { prediction: 3169 },
    },
    {
      id: '342',
      from: 'SEA',
      to: 'FAI',
      attributes: { prediction: 6606 },
    },
    {
      id: '343',
      from: 'SEA',
      to: 'HLN',
      attributes: { prediction: 1308 },
    },
    {
      id: '344',
      from: 'SJU',
      to: 'SLU',
      attributes: { prediction: 2119 },
    },
    {
      id: '345',
      from: 'SJW',
      to: 'CAN',
      attributes: { prediction: 2703 },
    },
    {
      id: '346',
      from: 'SKK',
      to: 'UNK',
      attributes: { prediction: 62 },
    },
    {
      id: '347',
      from: 'SLU',
      to: 'BGI',
      attributes: { prediction: 3838 },
    },
    {
      id: '348',
      from: 'YXL',
      to: 'SUR',
      attributes: { prediction: 113 },
    },
    {
      id: '349',
      from: 'KDV',
      to: 'SUV',
      attributes: { prediction: 415 },
    },
    {
      id: '350',
      from: 'FCO',
      to: 'SVQ',
      attributes: { prediction: 3739 },
    },
    {
      id: '351',
      from: 'PEK',
      to: 'SWA',
      attributes: { prediction: 6730 },
    },
    {
      id: '352',
      from: 'ABX',
      to: 'SYD',
      attributes: { prediction: 7627 },
    },
    {
      id: '353',
      from: 'POM',
      to: 'SYD',
      attributes: { prediction: 1284 },
    },
    {
      id: '354',
      from: 'LRR',
      to: 'SYZ',
      attributes: { prediction: 177 },
    },
    {
      id: '355',
      from: 'GUM',
      to: 'TPE',
      attributes: { prediction: 4268 },
    },
    {
      id: '356',
      from: 'STN',
      to: 'KIR',
      attributes: { prediction: 2557 },
    },
    {
      id: '357',
      from: 'STN',
      to: 'TFS',
      attributes: { prediction: 5514 },
    },
    {
      id: '358',
      from: 'STR',
      to: 'SPC',
      attributes: { prediction: 694 },
    },
    {
      id: '359',
      from: 'SVO',
      to: 'LEJ',
      attributes: { prediction: 928 },
    },
    {
      id: '360',
      from: 'SWJ',
      to: 'NUS',
      attributes: { prediction: 39 },
    },
    {
      id: '361',
      from: 'SYD',
      to: 'ARM',
      attributes: { prediction: 1681 },
    },
    {
      id: '362',
      from: 'SYX',
      to: 'SHE',
      attributes: { prediction: 1562 },
    },
    {
      id: '363',
      from: 'SZX',
      to: 'FOC',
      attributes: { prediction: 15783 },
    },
    {
      id: '364',
      from: 'DUB',
      to: 'TRF',
      attributes: { prediction: 2163 },
    },
    {
      id: '365',
      from: 'TSA',
      to: 'TSN',
      attributes: { prediction: 967 },
    },
    {
      id: '366',
      from: 'FLR',
      to: 'TSR',
      attributes: { prediction: 843 },
    },
    {
      id: '367',
      from: 'GVA',
      to: 'TUN',
      attributes: { prediction: 3547 },
    },
    {
      id: '368',
      from: 'ELQ',
      to: 'TUU',
      attributes: { prediction: 571 },
    },
    {
      id: '369',
      from: 'FRL',
      to: 'TXL',
      attributes: { prediction: 973 },
    },
    {
      id: '370',
      from: 'SOF',
      to: 'TXL',
      attributes: { prediction: 2077 },
    },
    {
      id: '371',
      from: 'UDI',
      to: 'UBA',
      attributes: { prediction: 1992 },
    },
    {
      id: '372',
      from: 'DME',
      to: 'UGC',
      attributes: { prediction: 791 },
    },
    {
      id: '373',
      from: 'XMS',
      to: 'UIO',
      attributes: { prediction: 262 },
    },
    {
      id: '374',
      from: 'KGF',
      to: 'UKK',
      attributes: { prediction: 189 },
    },
    {
      id: '375',
      from: 'WNR',
      to: 'ULP',
      attributes: { prediction: 170 },
    },
    {
      id: '376',
      from: 'LBD',
      to: 'URC',
      attributes: { prediction: 158 },
    },
    {
      id: '377',
      from: 'DME',
      to: 'UUA',
      attributes: { prediction: 441 },
    },
    {
      id: '378',
      from: 'BKK',
      to: 'XMN',
      attributes: { prediction: 2189 },
    },
    {
      id: '379',
      from: 'YNJ',
      to: 'ICN',
      attributes: { prediction: 8334 },
    },
    {
      id: '380',
      from: 'YNT',
      to: 'CGQ',
      attributes: { prediction: 116 },
    },
    {
      id: '381',
      from: 'YOW',
      to: 'DCA',
      attributes: { prediction: 1401 },
    },
    {
      id: '382',
      from: 'TSN',
      to: 'KUL',
      attributes: { prediction: 6717 },
    },
    {
      id: '383',
      from: 'TSN',
      to: 'SZX',
      attributes: { prediction: 17715 },
    },
    {
      id: '384',
      from: 'TUP',
      to: 'ATL',
      attributes: { prediction: 573 },
    },
    {
      id: '385',
      from: 'YQB',
      to: 'YOW',
      attributes: { prediction: 920 },
    },
    {
      id: '386',
      from: 'YTE',
      to: 'YFB',
      attributes: { prediction: 588 },
    },
    {
      id: '387',
      from: 'YVR',
      to: 'IAH',
      attributes: { prediction: 4260 },
    },
    {
      id: '388',
      from: 'YVR',
      to: 'MSP',
      attributes: { prediction: 1718 },
    },
    {
      id: '389',
      from: 'VOZ',
      to: 'LED',
      attributes: { prediction: 448 },
    },
    {
      id: '390',
      from: 'VSG',
      to: 'KBP',
      attributes: { prediction: 1026 },
    },
    {
      id: '391',
      from: 'WAW',
      to: 'RIX',
      attributes: { prediction: 2677 },
    },
    {
      id: '392',
      from: 'WNZ',
      to: 'HAK',
      attributes: { prediction: 3608 },
    },
    {
      id: '393',
      from: 'WRO',
      to: 'DTM',
      attributes: { prediction: 1652 },
    },
    {
      id: '394',
      from: 'WRO',
      to: 'STN',
      attributes: { prediction: 4712 },
    },
    {
      id: '395',
      from: 'WUH',
      to: 'XFN',
      attributes: { prediction: 240 },
    },
    {
      id: '396',
      from: 'XKS',
      to: 'WNN',
      attributes: { prediction: 44 },
    },
    {
      id: '397',
      from: 'YEV',
      to: 'YHI',
      attributes: { prediction: 86 },
    },
    {
      id: '398',
      from: 'YHD',
      to: 'YQT',
      attributes: { prediction: 169 },
    },
    {
      id: '399',
      from: 'YHZ',
      to: 'IAD',
      attributes: { prediction: 190 },
    },
    {
      id: '400',
      from: 'YXS',
      to: 'YXJ',
      attributes: { prediction: 213 },
    },
    {
      id: '401',
      from: 'YXY',
      to: 'YFS',
      attributes: { prediction: 139 },
    },
    {
      id: '402',
      from: 'YYC',
      to: 'YVR',
      attributes: { prediction: 60230 },
    },
    {
      id: '403',
      from: 'YYZ',
      to: 'ANU',
      attributes: { prediction: 1355 },
    },
    {
      id: '404',
      from: 'YYZ',
      to: 'PVG',
      attributes: { prediction: 3161 },
    },
    {
      id: '405',
      from: 'FOC',
      to: 'XUZ',
      attributes: { prediction: 1354 },
    },
    {
      id: '406',
      from: 'YBX',
      to: 'YAY',
      attributes: { prediction: 630 },
    },
    {
      id: '407',
      from: 'GLA',
      to: 'AMS',
      attributes: { prediction: 9297 },
    },
    {
      id: '408',
      from: 'LGW',
      to: 'AMS',
      attributes: { prediction: 19761 },
    },
    {
      id: '409',
      from: 'STN',
      to: 'AMS',
      attributes: { prediction: 8014 },
    },
    {
      id: '410',
      from: 'LFW',
      to: 'ABJ',
      attributes: { prediction: 1940 },
    },
    {
      id: '411',
      from: 'HYA',
      to: 'ACK',
      attributes: { prediction: 2036 },
    },
    {
      id: '412',
      from: 'AFA',
      to: 'AEP',
      attributes: { prediction: 781 },
    },
    {
      id: '413',
      from: 'CDG',
      to: 'AGP',
      attributes: { prediction: 12126 },
    },
    {
      id: '414',
      from: 'MDW',
      to: 'ALB',
      attributes: { prediction: 4248 },
    },
    {
      id: '415',
      from: 'ACE',
      to: 'ALC',
      attributes: { prediction: 177 },
    },
    {
      id: '416',
      from: 'TRD',
      to: 'ALC',
      attributes: { prediction: 337 },
    },
    {
      id: '417',
      from: 'AGP',
      to: 'AMS',
      attributes: { prediction: 5834 },
    },
    {
      id: '418',
      from: 'BGO',
      to: 'AMS',
      attributes: { prediction: 9580 },
    },
    {
      id: '419',
      from: 'PHX',
      to: 'ANC',
      attributes: { prediction: 2599 },
    },
    {
      id: '420',
      from: 'SXM',
      to: 'ANU',
      attributes: { prediction: 4105 },
    },
    {
      id: '421',
      from: 'ITM',
      to: 'AOJ',
      attributes: { prediction: 4041 },
    },
    {
      id: '422',
      from: 'KRN',
      to: 'ARN',
      attributes: { prediction: 5791 },
    },
    {
      id: '423',
      from: 'CAI',
      to: 'ASW',
      attributes: { prediction: 17584 },
    },
    {
      id: '424',
      from: 'CAI',
      to: 'BGW',
      attributes: { prediction: 1197 },
    },
    {
      id: '425',
      from: 'MAD',
      to: 'BVA',
      attributes: { prediction: 5200 },
    },
    {
      id: '426',
      from: 'MEM',
      to: 'BWI',
      attributes: { prediction: 4300 },
    },
    {
      id: '427',
      from: 'ZHA',
      to: 'CAN',
      attributes: { prediction: 7045 },
    },
    {
      id: '428',
      from: 'MDE',
      to: 'CCS',
      attributes: { prediction: 1100 },
    },
    {
      id: '429',
      from: 'TYN',
      to: 'BAV',
      attributes: { prediction: 2610 },
    },
    {
      id: '430',
      from: 'ISB',
      to: 'BCN',
      attributes: { prediction: 897 },
    },
    {
      id: '431',
      from: 'VIE',
      to: 'BCN',
      attributes: { prediction: 8619 },
    },
    {
      id: '432',
      from: 'MCO',
      to: 'BDL',
      attributes: { prediction: 13958 },
    },
    {
      id: '433',
      from: 'LGW',
      to: 'BGI',
      attributes: { prediction: 19270 },
    },
    {
      id: '434',
      from: 'BLL',
      to: 'BGY',
      attributes: { prediction: 1724 },
    },
    {
      id: '435',
      from: 'MSY',
      to: 'BHM',
      attributes: { prediction: 4582 },
    },
    {
      id: '436',
      from: 'FNC',
      to: 'BHX',
      attributes: { prediction: 822 },
    },
    {
      id: '437',
      from: 'MCO',
      to: 'BKG',
      attributes: { prediction: 298 },
    },
    {
      id: '438',
      from: 'BBU',
      to: 'BLQ',
      attributes: { prediction: 1465 },
    },
    {
      id: '439',
      from: 'COK',
      to: 'BLR',
      attributes: { prediction: 8217 },
    },
    {
      id: '440',
      from: 'PHX',
      to: 'BNA',
      attributes: { prediction: 7493 },
    },
    {
      id: '441',
      from: 'ADZ',
      to: 'BOG',
      attributes: { prediction: 19886 },
    },
    {
      id: '442',
      from: 'VVC',
      to: 'BOG',
      attributes: { prediction: 1875 },
    },
    {
      id: '443',
      from: 'JAX',
      to: 'BOS',
      attributes: { prediction: 2052 },
    },
    {
      id: '444',
      from: 'TIA',
      to: 'BRI',
      attributes: { prediction: 3706 },
    },
    {
      id: '445',
      from: 'GRO',
      to: 'BRS',
      attributes: { prediction: 1690 },
    },
    {
      id: '446',
      from: 'SID',
      to: 'BRU',
      attributes: { prediction: 1268 },
    },
    {
      id: '447',
      from: 'LYS',
      to: 'BSK',
      attributes: { prediction: 484 },
    },
    {
      id: '448',
      from: 'NCE',
      to: 'BSL',
      attributes: { prediction: 1807 },
    },
    {
      id: '449',
      from: 'SXM',
      to: 'CDG',
      attributes: { prediction: 7099 },
    },
    {
      id: '450',
      from: 'ARN',
      to: 'CGN',
      attributes: { prediction: 1709 },
    },
    {
      id: '451',
      from: 'GGW',
      to: 'BIL',
      attributes: { prediction: 327 },
    },
    {
      id: '452',
      from: 'SEA',
      to: 'BIL',
      attributes: { prediction: 3329 },
    },
    {
      id: '453',
      from: 'MRS',
      to: 'BJA',
      attributes: { prediction: 779 },
    },
    {
      id: '454',
      from: 'VDS',
      to: 'BJF',
      attributes: { prediction: 487 },
    },
    {
      id: '455',
      from: 'KIX',
      to: 'BKK',
      attributes: { prediction: 21154 },
    },
    {
      id: '456',
      from: 'CLJ',
      to: 'CUF',
      attributes: { prediction: 765 },
    },
    {
      id: '457',
      from: 'CVG',
      to: 'CUN',
      attributes: { prediction: 2625 },
    },
    {
      id: '458',
      from: 'DFW',
      to: 'CUN',
      attributes: { prediction: 18996 },
    },
    {
      id: '459',
      from: 'YYJ',
      to: 'CUN',
      attributes: { prediction: 445 },
    },
    {
      id: '460',
      from: 'ISB',
      to: 'CJL',
      attributes: { prediction: 707 },
    },
    {
      id: '461',
      from: 'BSB',
      to: 'CNF',
      attributes: { prediction: 35848 },
    },
    {
      id: '462',
      from: 'CNF',
      to: 'CPQ',
      attributes: { prediction: 6375 },
    },
    {
      id: '463',
      from: 'DEN',
      to: 'DAL',
      attributes: { prediction: 102 },
    },
    {
      id: '464',
      from: 'IND',
      to: 'DAL',
      attributes: { prediction: 98 },
    },
    {
      id: '465',
      from: 'CAN',
      to: 'DAX',
      attributes: { prediction: 2891 },
    },
    {
      id: '466',
      from: 'TPA',
      to: 'DAY',
      attributes: { prediction: 1914 },
    },
    {
      id: '467',
      from: 'JLR',
      to: 'DEL',
      attributes: { prediction: 722 },
    },
    {
      id: '468',
      from: 'BNA',
      to: 'DEN',
      attributes: { prediction: 18422 },
    },
    {
      id: '469',
      from: 'PIA',
      to: 'DEN',
      attributes: { prediction: 962 },
    },
    {
      id: '470',
      from: 'SSH',
      to: 'BRU',
      attributes: { prediction: 977 },
    },
    {
      id: '471',
      from: 'CDG',
      to: 'BSL',
      attributes: { prediction: 6922 },
    },
    {
      id: '472',
      from: 'BEY',
      to: 'DXB',
      attributes: { prediction: 34030 },
    },
    {
      id: '473',
      from: 'JAI',
      to: 'DXB',
      attributes: { prediction: 1628 },
    },
    {
      id: '474',
      from: 'ISU',
      to: 'EBL',
      attributes: { prediction: 2227 },
    },
    {
      id: '475',
      from: 'SAV',
      to: 'DFW',
      attributes: { prediction: 2176 },
    },
    {
      id: '476',
      from: 'SFO',
      to: 'DFW',
      attributes: { prediction: 34973 },
    },
    {
      id: '477',
      from: 'AUH',
      to: 'DME',
      attributes: { prediction: 3413 },
    },
    {
      id: '478',
      from: 'KGF',
      to: 'DME',
      attributes: { prediction: 503 },
    },
    {
      id: '479',
      from: 'VOG',
      to: 'DME',
      attributes: { prediction: 5751 },
    },
    {
      id: '480',
      from: 'BEY',
      to: 'DOH',
      attributes: { prediction: 10169 },
    },
    {
      id: '481',
      from: 'SJO',
      to: 'DRK',
      attributes: { prediction: 115 },
    },
    {
      id: '482',
      from: 'LGA',
      to: 'DTW',
      attributes: { prediction: 23366 },
    },
    {
      id: '483',
      from: 'RSW',
      to: 'DTW',
      attributes: { prediction: 27675 },
    },
    {
      id: '484',
      from: 'EIN',
      to: 'DUB',
      attributes: { prediction: 2818 },
    },
    {
      id: '485',
      from: 'FCO',
      to: 'DUB',
      attributes: { prediction: 4672 },
    },
    {
      id: '486',
      from: 'RIX',
      to: 'DUB',
      attributes: { prediction: 4864 },
    },
    {
      id: '487',
      from: 'AUS',
      to: 'ELP',
      attributes: { prediction: 8923 },
    },
    {
      id: '488',
      from: 'STL',
      to: 'DSM',
      attributes: { prediction: 2751 },
    },
    {
      id: '489',
      from: 'RTM',
      to: 'FCO',
      attributes: { prediction: 4189 },
    },
    {
      id: '490',
      from: 'TAS',
      to: 'FCO',
      attributes: { prediction: 760 },
    },
    {
      id: '491',
      from: 'BNA',
      to: 'FLL',
      attributes: { prediction: 7449 },
    },
    {
      id: '492',
      from: 'MHT',
      to: 'FLL',
      attributes: { prediction: 236 },
    },
    {
      id: '493',
      from: 'PEK',
      to: 'FOC',
      attributes: { prediction: 36688 },
    },
    {
      id: '494',
      from: 'GIG',
      to: 'FOR',
      attributes: { prediction: 14641 },
    },
    {
      id: '495',
      from: 'DFW',
      to: 'FRA',
      attributes: { prediction: 12173 },
    },
    {
      id: '496',
      from: 'ZRH',
      to: 'FCO',
      attributes: { prediction: 10996 },
    },
    {
      id: '497',
      from: 'PVG',
      to: 'FKS',
      attributes: { prediction: 457 },
    },
    {
      id: '498',
      from: 'DKR',
      to: 'FNA',
      attributes: { prediction: 1788 },
    },
    {
      id: '499',
      from: 'DUB',
      to: 'FNC',
      attributes: { prediction: 549 },
    },
    {
      id: '500',
      from: 'STR',
      to: 'FNC',
      attributes: { prediction: 914 },
    },
    {
      id: '501',
      from: 'BCN',
      to: 'FRA',
      attributes: { prediction: 21399 },
    },
    {
      id: '502',
      from: 'FCO',
      to: 'FRA',
      attributes: { prediction: 26744 },
    },
    {
      id: '503',
      from: 'MEX',
      to: 'FRA',
      attributes: { prediction: 6862 },
    },
    {
      id: '504',
      from: 'ROV',
      to: 'FRA',
      attributes: { prediction: 1601 },
    },
    {
      id: '505',
      from: 'PUS',
      to: 'FUK',
      attributes: { prediction: 8054 },
    },
    {
      id: '506',
      from: 'ACI',
      to: 'GCI',
      attributes: { prediction: 687 },
    },
    {
      id: '507',
      from: 'CEN',
      to: 'GDL',
      attributes: { prediction: 2012 },
    },
    {
      id: '508',
      from: 'SNA',
      to: 'LAX',
      attributes: { prediction: 17 },
    },
    {
      id: '509',
      from: 'PUW',
      to: 'LWS',
      attributes: { prediction: 1306 },
    },
    {
      id: '510',
      from: 'KIX',
      to: 'LXR',
      attributes: { prediction: 1646 },
    },
    {
      id: '511',
      from: 'SXB',
      to: 'LYS',
      attributes: { prediction: 7887 },
    },
    {
      id: '512',
      from: 'PEN',
      to: 'JHB',
      attributes: { prediction: 5257 },
    },
    {
      id: '513',
      from: 'MTS',
      to: 'JNB',
      attributes: { prediction: 2204 },
    },
    {
      id: '514',
      from: 'REC',
      to: 'JPA',
      attributes: { prediction: 3788 },
    },
    {
      id: '515',
      from: 'DTM',
      to: 'KBP',
      attributes: { prediction: 2009 },
    },
    {
      id: '516',
      from: 'MUC',
      to: 'KBP',
      attributes: { prediction: 5587 },
    },
    {
      id: '517',
      from: 'PRG',
      to: 'KBP',
      attributes: { prediction: 5904 },
    },
    {
      id: '518',
      from: 'RNL',
      to: 'HIR',
      attributes: { prediction: 72 },
    },
    {
      id: '519',
      from: 'BKK',
      to: 'HKG',
      attributes: { prediction: 95668 },
    },
    {
      id: '520',
      from: 'CEB',
      to: 'HKG',
      attributes: { prediction: 10545 },
    },
    {
      id: '521',
      from: 'PVG',
      to: 'HKG',
      attributes: { prediction: 105231 },
    },
    {
      id: '522',
      from: 'TNA',
      to: 'HKG',
      attributes: { prediction: 2203 },
    },
    {
      id: '523',
      from: 'WUH',
      to: 'HKG',
      attributes: { prediction: 4806 },
    },
    {
      id: '524',
      from: 'AOJ',
      to: 'HND',
      attributes: { prediction: 22770 },
    },
    {
      id: '525',
      from: 'ASJ',
      to: 'HND',
      attributes: { prediction: 2974 },
    },
    {
      id: '526',
      from: 'NTQ',
      to: 'HND',
      attributes: { prediction: 3978 },
    },
    {
      id: '527',
      from: 'TPA',
      to: 'HPN',
      attributes: { prediction: 2785 },
    },
    {
      id: '528',
      from: 'DSN',
      to: 'HRB',
      attributes: { prediction: 667 },
    },
    {
      id: '529',
      from: 'HEK',
      to: 'HRB',
      attributes: { prediction: 1611 },
    },
    {
      id: '530',
      from: 'LAD',
      to: 'HRE',
      attributes: { prediction: 333 },
    },
    {
      id: '531',
      from: 'VFA',
      to: 'HRE',
      attributes: { prediction: 481 },
    },
    {
      id: '532',
      from: 'CLT',
      to: 'HTS',
      attributes: { prediction: 2322 },
    },
    {
      id: '533',
      from: 'ZAH',
      to: 'KER',
      attributes: { prediction: 241 },
    },
    {
      id: '534',
      from: 'PER',
      to: 'KGI',
      attributes: { prediction: 6908 },
    },
    {
      id: '535',
      from: 'FCO',
      to: 'ICN',
      attributes: { prediction: 2661 },
    },
    {
      id: '536',
      from: 'NAG',
      to: 'IDR',
      attributes: { prediction: 591 },
    },
    {
      id: '537',
      from: 'RUH',
      to: 'ISB',
      attributes: { prediction: 7546 },
    },
    {
      id: '538',
      from: 'YYZ',
      to: 'ISB',
      attributes: { prediction: 954 },
    },
    {
      id: '539',
      from: 'MUC',
      to: 'IST',
      attributes: { prediction: 18909 },
    },
    {
      id: '540',
      from: 'IXC',
      to: 'IXJ',
      attributes: { prediction: 575 },
    },
    {
      id: '541',
      from: 'DEN',
      to: 'JAC',
      attributes: { prediction: 4336 },
    },
    {
      id: '542',
      from: 'JCH',
      to: 'JAV',
      attributes: { prediction: 62 },
    },
    {
      id: '543',
      from: 'CMB',
      to: 'JED',
      attributes: { prediction: 1841 },
    },
    {
      id: '544',
      from: 'DUB',
      to: 'JFK',
      attributes: { prediction: 12974 },
    },
    {
      id: '545',
      from: 'RDU',
      to: 'JFK',
      attributes: { prediction: 11242 },
    },
    {
      id: '546',
      from: 'IST',
      to: 'KIV',
      attributes: { prediction: 6181 },
    },
    {
      id: '547',
      from: 'HYN',
      to: 'KMG',
      attributes: { prediction: 1462 },
    },
    {
      id: '548',
      from: 'BET',
      to: 'KPN',
      attributes: { prediction: 412 },
    },
    {
      id: '549',
      from: 'BJZ',
      to: 'MAD',
      attributes: { prediction: 1598 },
    },
    {
      id: '550',
      from: 'FCO',
      to: 'MAD',
      attributes: { prediction: 50764 },
    },
    {
      id: '551',
      from: 'NTE',
      to: 'MAD',
      attributes: { prediction: 2663 },
    },
    {
      id: '552',
      from: 'SXB',
      to: 'MAD',
      attributes: { prediction: 1026 },
    },
    {
      id: '553',
      from: 'FCO',
      to: 'LGW',
      attributes: { prediction: 11681 },
    },
    {
      id: '554',
      from: 'LPA',
      to: 'LGW',
      attributes: { prediction: 8719 },
    },
    {
      id: '555',
      from: 'UVF',
      to: 'LGW',
      attributes: { prediction: 8471 },
    },
    {
      id: '556',
      from: 'KBP',
      to: 'KTW',
      attributes: { prediction: 1519 },
    },
    {
      id: '557',
      from: 'BOM',
      to: 'KWI',
      attributes: { prediction: 10030 },
    },
    {
      id: '558',
      from: 'JFK',
      to: 'KWI',
      attributes: { prediction: 2414 },
    },
    {
      id: '559',
      from: 'MTY',
      to: 'LAP',
      attributes: { prediction: 787 },
    },
    {
      id: '560',
      from: 'IDA',
      to: 'LAS',
      attributes: { prediction: 915 },
    },
    {
      id: '561',
      from: 'RNO',
      to: 'LAS',
      attributes: { prediction: 31201 },
    },
    {
      id: '562',
      from: 'TUL',
      to: 'LAS',
      attributes: { prediction: 3079 },
    },
    {
      id: '563',
      from: 'YQR',
      to: 'LAS',
      attributes: { prediction: 858 },
    },
    {
      id: '564',
      from: 'TUL',
      to: 'LAX',
      attributes: { prediction: 1088 },
    },
    {
      id: '565',
      from: 'STN',
      to: 'LBC',
      attributes: { prediction: 5664 },
    },
    {
      id: '566',
      from: 'FRA',
      to: 'LEJ',
      attributes: { prediction: 8978 },
    },
    {
      id: '567',
      from: 'BNA',
      to: 'LGA',
      attributes: { prediction: 6074 },
    },
    {
      id: '568',
      from: 'VCE',
      to: 'LHR',
      attributes: { prediction: 2557 },
    },
    {
      id: '569',
      from: 'WNZ',
      to: 'LHW',
      attributes: { prediction: 1072 },
    },
    {
      id: '570',
      from: 'PIU',
      to: 'LIM',
      attributes: { prediction: 8532 },
    },
    {
      id: '571',
      from: 'FRA',
      to: 'LIS',
      attributes: { prediction: 20468 },
    },
    {
      id: '572',
      from: 'MCT',
      to: 'LKO',
      attributes: { prediction: 2802 },
    },
    {
      id: '573',
      from: 'JRO',
      to: 'MBA',
      attributes: { prediction: 3883 },
    },
    {
      id: '574',
      from: 'DUS',
      to: 'MLE',
      attributes: { prediction: 2413 },
    },
    {
      id: '575',
      from: 'ROR',
      to: 'MNL',
      attributes: { prediction: 1116 },
    },
    {
      id: '576',
      from: 'DPS',
      to: 'MOF',
      attributes: { prediction: 853 },
    },
    {
      id: '577',
      from: 'CDG',
      to: 'MPL',
      attributes: { prediction: 13023 },
    },
    {
      id: '578',
      from: 'VPY',
      to: 'MPM',
      attributes: { prediction: 895 },
    },
    {
      id: '579',
      from: 'BOO',
      to: 'MQN',
      attributes: { prediction: 1817 },
    },
    {
      id: '580',
      from: 'SXB',
      to: 'MRS',
      attributes: { prediction: 3391 },
    },
    {
      id: '581',
      from: 'GVA',
      to: 'MRU',
      attributes: { prediction: 949 },
    },
    {
      id: '582',
      from: 'EWR',
      to: 'MSN',
      attributes: { prediction: 1005 },
    },
    {
      id: '583',
      from: 'MSY',
      to: 'MEM',
      attributes: { prediction: 7437 },
    },
    {
      id: '584',
      from: 'MTT',
      to: 'MEX',
      attributes: { prediction: 4561 },
    },
    {
      id: '585',
      from: 'MKK',
      to: 'LUP',
      attributes: { prediction: 112 },
    },
    {
      id: '586',
      from: 'FRA',
      to: 'LUX',
      attributes: { prediction: 3343 },
    },
    {
      id: '587',
      from: 'CDG',
      to: 'LYS',
      attributes: { prediction: 18150 },
    },
    {
      id: '588',
      from: 'NTE',
      to: 'LYS',
      attributes: { prediction: 15488 },
    },
    {
      id: '589',
      from: 'STR',
      to: 'MAD',
      attributes: { prediction: 1242 },
    },
    {
      id: '590',
      from: 'BRU',
      to: 'MAN',
      attributes: { prediction: 7215 },
    },
    {
      id: '591',
      from: 'BDL',
      to: 'MCO',
      attributes: { prediction: 14861 },
    },
    {
      id: '592',
      from: 'PWM',
      to: 'MCO',
      attributes: { prediction: 2517 },
    },
    {
      id: '593',
      from: 'DXB',
      to: 'MEL',
      attributes: { prediction: 5702 },
    },
    {
      id: '594',
      from: 'YVR',
      to: 'MSP',
      attributes: { prediction: 3523 },
    },
    {
      id: '595',
      from: 'CLE',
      to: 'MSY',
      attributes: { prediction: 1095 },
    },
    {
      id: '596',
      from: 'MOB',
      to: 'MSY',
      attributes: { prediction: 54 },
    },
    {
      id: '597',
      from: 'SLC',
      to: 'MSY',
      attributes: { prediction: 1839 },
    },
    {
      id: '598',
      from: 'VSA',
      to: 'MTY',
      attributes: { prediction: 2907 },
    },
    {
      id: '599',
      from: 'BDU',
      to: 'OSL',
      attributes: { prediction: 5442 },
    },
    {
      id: '600',
      from: 'DXB',
      to: 'OSL',
      attributes: { prediction: 1776 },
    },
    {
      id: '601',
      from: 'AMS',
      to: 'PBM',
      attributes: { prediction: 9059 },
    },
    {
      id: '602',
      from: 'CKG',
      to: 'PEK',
      attributes: { prediction: 60119 },
    },
    {
      id: '603',
      from: 'HFE',
      to: 'PEK',
      attributes: { prediction: 26735 },
    },
    {
      id: '604',
      from: 'DJE',
      to: 'MUC',
      attributes: { prediction: 486 },
    },
    {
      id: '605',
      from: 'LNZ',
      to: 'MUC',
      attributes: { prediction: 2235 },
    },
    {
      id: '606',
      from: 'MRU',
      to: 'MUC',
      attributes: { prediction: 1067 },
    },
    {
      id: '607',
      from: 'FRA',
      to: 'MXP',
      attributes: { prediction: 13986 },
    },
    {
      id: '608',
      from: 'SVO',
      to: 'MXP',
      attributes: { prediction: 9785 },
    },
    {
      id: '609',
      from: 'MIM',
      to: 'MYA',
      attributes: { prediction: 717 },
    },
    {
      id: '610',
      from: 'BBN',
      to: 'MYY',
      attributes: { prediction: 418 },
    },
    {
      id: '611',
      from: 'LED',
      to: 'NCE',
      attributes: { prediction: 485 },
    },
    {
      id: '612',
      from: 'KUL',
      to: 'NNG',
      attributes: { prediction: 808 },
    },
    {
      id: '613',
      from: 'LGW',
      to: 'NOC',
      attributes: { prediction: 3209 },
    },
    {
      id: '614',
      from: 'BNE',
      to: 'NRT',
      attributes: { prediction: 5259 },
    },
    {
      id: '615',
      from: 'IST',
      to: 'NRT',
      attributes: { prediction: 3523 },
    },
    {
      id: '616',
      from: 'PDX',
      to: 'NRT',
      attributes: { prediction: 4287 },
    },
    {
      id: '617',
      from: 'NBO',
      to: 'NSI',
      attributes: { prediction: 1105 },
    },
    {
      id: '618',
      from: 'EGO',
      to: 'NUX',
      attributes: { prediction: 709 },
    },
    {
      id: '619',
      from: 'BTS',
      to: 'NYO',
      attributes: { prediction: 1574 },
    },
    {
      id: '620',
      from: 'MCI',
      to: 'OKC',
      attributes: { prediction: 4722 },
    },
    {
      id: '621',
      from: 'MCO',
      to: 'OMA',
      attributes: { prediction: 1340 },
    },
    {
      id: '622',
      from: 'HHN',
      to: 'OPO',
      attributes: { prediction: 3794 },
    },
    {
      id: '623',
      from: 'AUH',
      to: 'ORD',
      attributes: { prediction: 6346 },
    },
    {
      id: '624',
      from: 'PIT',
      to: 'ORD',
      attributes: { prediction: 11560 },
    },
    {
      id: '625',
      from: 'XNA',
      to: 'ORD',
      attributes: { prediction: 9632 },
    },
    {
      id: '626',
      from: 'ZIH',
      to: 'ORD',
      attributes: { prediction: 139 },
    },
    {
      id: '627',
      from: 'EDI',
      to: 'ORK',
      attributes: { prediction: 1298 },
    },
    {
      id: '628',
      from: 'CVG',
      to: 'PHL',
      attributes: { prediction: 6628 },
    },
    {
      id: '629',
      from: 'RSW',
      to: 'PHL',
      attributes: { prediction: 11075 },
    },
    {
      id: '630',
      from: 'SAN',
      to: 'PHL',
      attributes: { prediction: 6503 },
    },
    {
      id: '631',
      from: 'PIT',
      to: 'PHX',
      attributes: { prediction: 9717 },
    },
    {
      id: '632',
      from: 'CUN',
      to: 'PIT',
      attributes: { prediction: 1164 },
    },
    {
      id: '633',
      from: 'GLF',
      to: 'PJM',
      attributes: { prediction: 90 },
    },
    {
      id: '634',
      from: 'STL',
      to: 'MWA',
      attributes: { prediction: 751 },
    },
    {
      id: '635',
      from: 'MWQ',
      to: 'RGN',
      attributes: { prediction: 339 },
    },
    {
      id: '636',
      from: 'VIE',
      to: 'RIX',
      attributes: { prediction: 1932 },
    },
    {
      id: '637',
      from: 'MKY',
      to: 'ROK',
      attributes: { prediction: 1745 },
    },
    {
      id: '638',
      from: 'BOM',
      to: 'RPR',
      attributes: { prediction: 3897 },
    },
    {
      id: '639',
      from: 'LAS',
      to: 'RST',
      attributes: { prediction: 811 },
    },
    {
      id: '640',
      from: 'ORD',
      to: 'RSW',
      attributes: { prediction: 15722 },
    },
    {
      id: '641',
      from: 'LIM',
      to: 'POA',
      attributes: { prediction: 957 },
    },
    {
      id: '642',
      from: 'HNL',
      to: 'PPT',
      attributes: { prediction: 783 },
    },
    {
      id: '643',
      from: 'RAR',
      to: 'PPT',
      attributes: { prediction: 216 },
    },
    {
      id: '644',
      from: 'GVA',
      to: 'PRG',
      attributes: { prediction: 2053 },
    },
    {
      id: '645',
      from: 'HAJ',
      to: 'PRG',
      attributes: { prediction: 1501 },
    },
    {
      id: '646',
      from: 'MUC',
      to: 'PSA',
      attributes: { prediction: 2235 },
    },
    {
      id: '647',
      from: 'FNC',
      to: 'PXO',
      attributes: { prediction: 2713 },
    },
    {
      id: '648',
      from: 'SJP',
      to: 'RAO',
      attributes: { prediction: 624 },
    },
    {
      id: '649',
      from: 'SHJ',
      to: 'SAW',
      attributes: { prediction: 1410 },
    },
    {
      id: '650',
      from: 'ANC',
      to: 'SCC',
      attributes: { prediction: 1392 },
    },
    {
      id: '651',
      from: 'KMQ',
      to: 'SDJ',
      attributes: { prediction: 952 },
    },
    {
      id: '652',
      from: 'SXM',
      to: 'SDQ',
      attributes: { prediction: 2486 },
    },
    {
      id: '653',
      from: 'FAO',
      to: 'NYO',
      attributes: { prediction: 165 },
    },
    {
      id: '654',
      from: 'SEA',
      to: 'OAK',
      attributes: { prediction: 35647 },
    },
    {
      id: '655',
      from: 'CLE',
      to: 'SFO',
      attributes: { prediction: 3190 },
    },
    {
      id: '656',
      from: 'ORD',
      to: 'SFO',
      attributes: { prediction: 61103 },
    },
    {
      id: '657',
      from: 'YVR',
      to: 'SFO',
      attributes: { prediction: 19887 },
    },
    {
      id: '658',
      from: 'ATL',
      to: 'SFO',
      attributes: { prediction: 28467 },
    },
    {
      id: '659',
      from: 'FAT',
      to: 'SFO',
      attributes: { prediction: 3857 },
    },
    {
      id: '660',
      from: 'DLI',
      to: 'SGN',
      attributes: { prediction: 6163 },
    },
    {
      id: '661',
      from: 'HET',
      to: 'SHE',
      attributes: { prediction: 1174 },
    },
    {
      id: '662',
      from: 'ICN',
      to: 'SIN',
      attributes: { prediction: 30167 },
    },
    {
      id: '663',
      from: 'PLU',
      to: 'SJK',
      attributes: { prediction: 111 },
    },
    {
      id: '664',
      from: 'TNO',
      to: 'SJO',
      attributes: { prediction: 620 },
    },
    {
      id: '665',
      from: 'SJU',
      to: 'SKB',
      attributes: { prediction: 1320 },
    },
    {
      id: '666',
      from: 'BOS',
      to: 'SLK',
      attributes: { prediction: 338 },
    },
    {
      id: '667',
      from: 'IMP',
      to: 'SLZ',
      attributes: { prediction: 6045 },
    },
    {
      id: '668',
      from: 'HER',
      to: 'SMI',
      attributes: { prediction: 128 },
    },
    {
      id: '669',
      from: 'RDU',
      to: 'STL',
      attributes: { prediction: 2657 },
    },
    {
      id: '670',
      from: 'GNB',
      to: 'STN',
      attributes: { prediction: 3256 },
    },
    {
      id: '671',
      from: 'CPH',
      to: 'STR',
      attributes: { prediction: 2725 },
    },
    {
      id: '672',
      from: 'ATZ',
      to: 'SHJ',
      attributes: { prediction: 2174 },
    },
    {
      id: '673',
      from: 'DAM',
      to: 'SVO',
      attributes: { prediction: 834 },
    },
    {
      id: '674',
      from: 'ZAG',
      to: 'SXF',
      attributes: { prediction: 2018 },
    },
    {
      id: '675',
      from: 'MNL',
      to: 'SYD',
      attributes: { prediction: 4670 },
    },
    {
      id: '676',
      from: 'GLF',
      to: 'SYQ',
      attributes: { prediction: 454 },
    },
    {
      id: '677',
      from: 'PHL',
      to: 'SYR',
      attributes: { prediction: 7859 },
    },
    {
      id: '678',
      from: 'HGH',
      to: 'SYX',
      attributes: { prediction: 24720 },
    },
    {
      id: '679',
      from: 'BRS',
      to: 'SZG',
      attributes: { prediction: 176 },
    },
    {
      id: '680',
      from: 'EXT',
      to: 'SZG',
      attributes: { prediction: 262 },
    },
    {
      id: '681',
      from: 'SRZ',
      to: 'TDD',
      attributes: { prediction: 3336 },
    },
    {
      id: '682',
      from: 'FLW',
      to: 'TER',
      attributes: { prediction: 191 },
    },
    {
      id: '683',
      from: 'MAN',
      to: 'TFS',
      attributes: { prediction: 18176 },
    },
    {
      id: '684',
      from: 'LCE',
      to: 'TGU',
      attributes: { prediction: 4447 },
    },
    {
      id: '685',
      from: 'CBH',
      to: 'TIN',
      attributes: { prediction: 336 },
    },
    {
      id: '686',
      from: 'BRU',
      to: 'TIP',
      attributes: { prediction: 1403 },
    },
    {
      id: '687',
      from: 'CUU',
      to: 'TLC',
      attributes: { prediction: 4868 },
    },
    {
      id: '688',
      from: 'MSQ',
      to: 'TLL',
      attributes: { prediction: 272 },
    },
    {
      id: '689',
      from: 'SNR',
      to: 'TLS',
      attributes: { prediction: 1070 },
    },
    {
      id: '690',
      from: 'TAS',
      to: 'TMJ',
      attributes: { prediction: 2997 },
    },
    {
      id: '691',
      from: 'GEA',
      to: 'TOU',
      attributes: { prediction: 274 },
    },
    {
      id: '692',
      from: 'BNA',
      to: 'TPA',
      attributes: { prediction: 11321 },
    },
    {
      id: '693',
      from: 'MTY',
      to: 'TAM',
      attributes: { prediction: 1676 },
    },
    {
      id: '694',
      from: 'MUC',
      to: 'TAS',
      attributes: { prediction: 92 },
    },
    {
      id: '695',
      from: 'DME',
      to: 'TSE',
      attributes: { prediction: 3842 },
    },
    {
      id: '696',
      from: 'HFE',
      to: 'TSN',
      attributes: { prediction: 3556 },
    },
    {
      id: '697',
      from: 'VLL',
      to: 'BCN',
      attributes: { prediction: 3959 },
    },
    {
      id: '698',
      from: 'STN',
      to: 'BDS',
      attributes: { prediction: 1218 },
    },
    {
      id: '699',
      from: 'VPY',
      to: 'BEW',
      attributes: { prediction: 224 },
    },
    {
      id: '700',
      from: 'MAN',
      to: 'BGI',
      attributes: { prediction: 1300 },
    },
    {
      id: '701',
      from: 'MAN',
      to: 'ZRH',
      attributes: { prediction: 6742 },
    },
    {
      id: '702',
      from: 'RIX',
      to: 'VNO',
      attributes: { prediction: 6503 },
    },
    {
      id: '703',
      from: 'BOG',
      to: 'VUP',
      attributes: { prediction: 4738 },
    },
    {
      id: '704',
      from: 'SLA',
      to: 'VVI',
      attributes: { prediction: 771 },
    },
    {
      id: '705',
      from: 'KIJ',
      to: 'VVO',
      attributes: { prediction: 754 },
    },
    {
      id: '706',
      from: 'JJN',
      to: 'WUH',
      attributes: { prediction: 5520 },
    },
    {
      id: '707',
      from: 'DME',
      to: 'BHK',
      attributes: { prediction: 2349 },
    },
    {
      id: '708',
      from: 'YRL',
      to: 'YHP',
      attributes: { prediction: 72 },
    },
    {
      id: '709',
      from: 'PYJ',
      to: 'YKS',
      attributes: { prediction: 35 },
    },
    {
      id: '710',
      from: 'CUN',
      to: 'YQR',
      attributes: { prediction: 466 },
    },
    {
      id: '711',
      from: 'YHZ',
      to: 'YQY',
      attributes: { prediction: 2110 },
    },
    {
      id: '712',
      from: 'PSP',
      to: 'YVR',
      attributes: { prediction: 3194 },
    },
    {
      id: '713',
      from: 'YPW',
      to: 'YVR',
      attributes: { prediction: 1109 },
    },
    {
      id: '714',
      from: 'PHX',
      to: 'YYZ',
      attributes: { prediction: 6222 },
    },
    {
      id: '715',
      from: 'TLV',
      to: 'YYZ',
      attributes: { prediction: 3714 },
    },
    {
      id: '716',
      from: 'EXT',
      to: 'AMS',
      attributes: { prediction: 1501 },
    },
    {
      id: '717',
      from: 'SKB',
      to: 'ANU',
      attributes: { prediction: 4584 },
    },
    {
      id: '718',
      from: 'KGX',
      to: 'ANV',
      attributes: { prediction: 58 },
    },
    {
      id: '719',
      from: 'EWR',
      to: 'ARN',
      attributes: { prediction: 8445 },
    },
    {
      id: '720',
      from: 'RYG',
      to: 'ATH',
      attributes: { prediction: 121 },
    },
    {
      id: '721',
      from: 'BMI',
      to: 'ATL',
      attributes: { prediction: 13667 },
    },
    {
      id: '722',
      from: 'GRK',
      to: 'ATL',
      attributes: { prediction: 2362 },
    },
    {
      id: '723',
      from: 'MAO',
      to: 'ATL',
      attributes: { prediction: 869 },
    },
    {
      id: '724',
      from: 'MEI',
      to: 'ATL',
      attributes: { prediction: 1851 },
    },
    {
      id: '725',
      from: 'SFO',
      to: 'ABQ',
      attributes: { prediction: 1239 },
    },
    {
      id: '726',
      from: 'LHR',
      to: 'ABZ',
      attributes: { prediction: 25897 },
    },
    {
      id: '727',
      from: 'HAJ',
      to: 'ACE',
      attributes: { prediction: 1481 },
    },
    {
      id: '728',
      from: 'SVI',
      to: 'ACR',
      attributes: { prediction: 128 },
    },
    {
      id: '729',
      from: 'PTY',
      to: 'ADZ',
      attributes: { prediction: 2138 },
    },
    {
      id: '730',
      from: 'CNQ',
      to: 'AEP',
      attributes: { prediction: 2030 },
    },
    {
      id: '731',
      from: 'VKO',
      to: 'AER',
      attributes: { prediction: 17801 },
    },
    {
      id: '732',
      from: 'HIR',
      to: 'AFT',
      attributes: { prediction: 36 },
    },
    {
      id: '733',
      from: 'BWN',
      to: 'AKL',
      attributes: { prediction: 2141 },
    },
    {
      id: '734',
      from: 'EWR',
      to: 'ALB',
      attributes: { prediction: 4841 },
    },
    {
      id: '735',
      from: 'TRD',
      to: 'ALC',
      attributes: { prediction: 433 },
    },
    {
      id: '736',
      from: 'TEE',
      to: 'ALG',
      attributes: { prediction: 641 },
    },
    {
      id: '737',
      from: 'IAM',
      to: 'AZR',
      attributes: { prediction: 235 },
    },
    {
      id: '738',
      from: 'ZCO',
      to: 'BBA',
      attributes: { prediction: 193 },
    },
    {
      id: '739',
      from: 'NCE',
      to: 'BCN',
      attributes: { prediction: 3752 },
    },
    {
      id: '740',
      from: 'EIN',
      to: 'BDS',
      attributes: { prediction: 1148 },
    },
    {
      id: '741',
      from: 'GVA',
      to: 'BIQ',
      attributes: { prediction: 934 },
    },
    {
      id: '742',
      from: 'AZA',
      to: 'BIS',
      attributes: { prediction: 1015 },
    },
    {
      id: '743',
      from: 'OAK',
      to: 'BJX',
      attributes: { prediction: 352 },
    },
    {
      id: '744',
      from: 'CAI',
      to: 'BKK',
      attributes: { prediction: 6033 },
    },
    {
      id: '745',
      from: 'BRU',
      to: 'BLL',
      attributes: { prediction: 1235 },
    },
    {
      id: '746',
      from: 'GRO',
      to: 'BTS',
      attributes: { prediction: 1826 },
    },
    {
      id: '747',
      from: 'MYY',
      to: 'BTU',
      attributes: { prediction: 1339 },
    },
    {
      id: '748',
      from: 'FUE',
      to: 'DUS',
      attributes: { prediction: 5544 },
    },
    {
      id: '749',
      from: 'NUE',
      to: 'DUS',
      attributes: { prediction: 16238 },
    },
    {
      id: '750',
      from: 'ORD',
      to: 'DUS',
      attributes: { prediction: 3596 },
    },
    {
      id: '751',
      from: 'BKI',
      to: 'CGK',
      attributes: { prediction: 1285 },
    },
    {
      id: '752',
      from: 'MDC',
      to: 'CGK',
      attributes: { prediction: 12774 },
    },
    {
      id: '753',
      from: 'BBU',
      to: 'CGN',
      attributes: { prediction: 1545 },
    },
    {
      id: '754',
      from: 'MAN',
      to: 'CGN',
      attributes: { prediction: 2496 },
    },
    {
      id: '755',
      from: 'SVQ',
      to: 'CIA',
      attributes: { prediction: 2436 },
    },
    {
      id: '756',
      from: 'NIM',
      to: 'BKO',
      attributes: { prediction: 669 },
    },
    {
      id: '757',
      from: 'OAK',
      to: 'BLI',
      attributes: { prediction: 920 },
    },
    {
      id: '758',
      from: 'GRU',
      to: 'BOG',
      attributes: { prediction: 9475 },
    },
    {
      id: '759',
      from: 'TME',
      to: 'BOG',
      attributes: { prediction: 146 },
    },
    {
      id: '760',
      from: 'EDI',
      to: 'BOH',
      attributes: { prediction: 4893 },
    },
    {
      id: '761',
      from: 'SJU',
      to: 'BOS',
      attributes: { prediction: 16422 },
    },
    {
      id: '762',
      from: 'CPH',
      to: 'BRE',
      attributes: { prediction: 611 },
    },
    {
      id: '763',
      from: 'BTS',
      to: 'BRS',
      attributes: { prediction: 1171 },
    },
    {
      id: '764',
      from: 'GLA',
      to: 'BRS',
      attributes: { prediction: 10441 },
    },
    {
      id: '765',
      from: 'PVG',
      to: 'CKG',
      attributes: { prediction: 55962 },
    },
    {
      id: '766',
      from: 'DEN',
      to: 'CLE',
      attributes: { prediction: 6563 },
    },
    {
      id: '767',
      from: 'SBW',
      to: 'BTU',
      attributes: { prediction: 1361 },
    },
    {
      id: '768',
      from: 'LTN',
      to: 'BUD',
      attributes: { prediction: 12415 },
    },
    {
      id: '769',
      from: 'MMX',
      to: 'BUD',
      attributes: { prediction: 2394 },
    },
    {
      id: '770',
      from: 'TGD',
      to: 'BUD',
      attributes: { prediction: 465 },
    },
    {
      id: '771',
      from: 'PHX',
      to: 'BUR',
      attributes: { prediction: 30550 },
    },
    {
      id: '772',
      from: 'DOK',
      to: 'BUS',
      attributes: { prediction: 176 },
    },
    {
      id: '773',
      from: 'KCH',
      to: 'BWN',
      attributes: { prediction: 718 },
    },
    {
      id: '774',
      from: 'NRN',
      to: 'CAG',
      attributes: { prediction: 1960 },
    },
    {
      id: '775',
      from: 'BGW',
      to: 'CAI',
      attributes: { prediction: 773 },
    },
    {
      id: '776',
      from: 'DAM',
      to: 'CAI',
      attributes: { prediction: 6322 },
    },
    {
      id: '777',
      from: 'RSW',
      to: 'CAK',
      attributes: { prediction: 2854 },
    },
    {
      id: '778',
      from: 'DEL',
      to: 'CAN',
      attributes: { prediction: 2403 },
    },
    {
      id: '779',
      from: 'DOH',
      to: 'CAN',
      attributes: { prediction: 5155 },
    },
    {
      id: '780',
      from: 'YOW',
      to: 'CCC',
      attributes: { prediction: 577 },
    },
    {
      id: '781',
      from: 'LYS',
      to: 'CDG',
      attributes: { prediction: 21175 },
    },
    {
      id: '782',
      from: 'PRG',
      to: 'CDG',
      attributes: { prediction: 29124 },
    },
    {
      id: '783',
      from: 'VKO',
      to: 'CEK',
      attributes: { prediction: 3254 },
    },
    {
      id: '784',
      from: 'CWB',
      to: 'CGH',
      attributes: { prediction: 45034 },
    },
    {
      id: '785',
      from: 'EUN',
      to: 'CMN',
      attributes: { prediction: 3271 },
    },
    {
      id: '786',
      from: 'LIL',
      to: 'CMN',
      attributes: { prediction: 768 },
    },
    {
      id: '787',
      from: 'INN',
      to: 'CPH',
      attributes: { prediction: 2493 },
    },
    {
      id: '788',
      from: 'KBP',
      to: 'CPH',
      attributes: { prediction: 1472 },
    },
    {
      id: '789',
      from: 'LED',
      to: 'CPH',
      attributes: { prediction: 1749 },
    },
    {
      id: '790',
      from: 'BEY',
      to: 'DXB',
      attributes: { prediction: 30885 },
    },
    {
      id: '791',
      from: 'DMM',
      to: 'DXB',
      attributes: { prediction: 6901 },
    },
    {
      id: '792',
      from: 'LYP',
      to: 'DXB',
      attributes: { prediction: 569 },
    },
    {
      id: '793',
      from: 'TBZ',
      to: 'DXB',
      attributes: { prediction: 838 },
    },
    {
      id: '794',
      from: 'ZRH',
      to: 'DXB',
      attributes: { prediction: 18802 },
    },
    {
      id: '795',
      from: 'REN',
      to: 'DYU',
      attributes: { prediction: 1256 },
    },
    {
      id: '796',
      from: 'KRT',
      to: 'EBD',
      attributes: { prediction: 368 },
    },
    {
      id: '797',
      from: 'OKC',
      to: 'DEN',
      attributes: { prediction: 27820 },
    },
    {
      id: '798',
      from: 'YOW',
      to: 'DEN',
      attributes: { prediction: 1433 },
    },
    {
      id: '799',
      from: 'MSN',
      to: 'DFW',
      attributes: { prediction: 2500 },
    },
    {
      id: '800',
      from: 'BSB',
      to: 'CPQ',
      attributes: { prediction: 8791 },
    },
    {
      id: '801',
      from: 'NGB',
      to: 'CSX',
      attributes: { prediction: 10730 },
    },
    {
      id: '802',
      from: 'HAK',
      to: 'CTU',
      attributes: { prediction: 14379 },
    },
    {
      id: '803',
      from: 'HKG',
      to: 'CTU',
      attributes: { prediction: 9627 },
    },
    {
      id: '804',
      from: 'PZI',
      to: 'CTU',
      attributes: { prediction: 7051 },
    },
    {
      id: '805',
      from: 'HMO',
      to: 'CUL',
      attributes: { prediction: 2040 },
    },
    {
      id: '806',
      from: 'LAP',
      to: 'CUL',
      attributes: { prediction: 2725 },
    },
    {
      id: '807',
      from: 'IAH',
      to: 'CUU',
      attributes: { prediction: 1188 },
    },
    {
      id: '808',
      from: 'CFC',
      to: 'CWB',
      attributes: { prediction: 366 },
    },
    {
      id: '809',
      from: 'KPN',
      to: 'CYF',
      attributes: { prediction: 149 },
    },
    {
      id: '810',
      from: 'SGN',
      to: 'DAD',
      attributes: { prediction: 41185 },
    },
    {
      id: '811',
      from: 'MAF',
      to: 'DAL',
      attributes: { prediction: 12965 },
    },
    {
      id: '812',
      from: 'AUH',
      to: 'DAM',
      attributes: { prediction: 7993 },
    },
    {
      id: '813',
      from: 'MIA',
      to: 'DCA',
      attributes: { prediction: 36318 },
    },
    {
      id: '814',
      from: 'ICN',
      to: 'DEL',
      attributes: { prediction: 3092 },
    },
    {
      id: '815',
      from: 'JFK',
      to: 'DEL',
      attributes: { prediction: 6018 },
    },
    {
      id: '816',
      from: 'SIN',
      to: 'DEL',
      attributes: { prediction: 17631 },
    },
    {
      id: '817',
      from: 'HRG',
      to: 'DME',
      attributes: { prediction: 18584 },
    },
    {
      id: '818',
      from: 'LHR',
      to: 'DME',
      attributes: { prediction: 21916 },
    },
    {
      id: '819',
      from: 'BHH',
      to: 'DMM',
      attributes: { prediction: 164 },
    },
    {
      id: '820',
      from: 'MEL',
      to: 'DOH',
      attributes: { prediction: 6382 },
    },
    {
      id: '821',
      from: 'MXL',
      to: 'GDL',
      attributes: { prediction: 4959 },
    },
    {
      id: '822',
      from: 'TKU',
      to: 'GDN',
      attributes: { prediction: 1903 },
    },
    {
      id: '823',
      from: 'GVA',
      to: 'GLA',
      attributes: { prediction: 659 },
    },
    {
      id: '824',
      from: 'JFK',
      to: 'EZE',
      attributes: { prediction: 5777 },
    },
    {
      id: '825',
      from: 'BTT',
      to: 'FAI',
      attributes: { prediction: 373 },
    },
    {
      id: '826',
      from: 'LTN',
      to: 'DUB',
      attributes: { prediction: 13021 },
    },
    {
      id: '827',
      from: 'LBA',
      to: 'DUS',
      attributes: { prediction: 2847 },
    },
    {
      id: '828',
      from: 'SPC',
      to: 'DUS',
      attributes: { prediction: 2569 },
    },
    {
      id: '829',
      from: 'GYD',
      to: 'DXB',
      attributes: { prediction: 8543 },
    },
    {
      id: '830',
      from: 'PNQ',
      to: 'DXB',
      attributes: { prediction: 1706 },
    },
    {
      id: '831',
      from: 'PEK',
      to: 'DYG',
      attributes: { prediction: 4862 },
    },
    {
      id: '832',
      from: 'FRU',
      to: 'DYU',
      attributes: { prediction: 1146 },
    },
    {
      id: '833',
      from: 'BUD',
      to: 'EIN',
      attributes: { prediction: 4426 },
    },
    {
      id: '834',
      from: 'IST',
      to: 'ERZ',
      attributes: { prediction: 3871 },
    },
    {
      id: '835',
      from: 'BAL',
      to: 'ESB',
      attributes: { prediction: 2730 },
    },
    {
      id: '836',
      from: 'LAS',
      to: 'EUG',
      attributes: { prediction: 1395 },
    },
    {
      id: '837',
      from: 'HDN',
      to: 'EWR',
      attributes: { prediction: 391 },
    },
    {
      id: '838',
      from: 'NCL',
      to: 'EXT',
      attributes: { prediction: 2058 },
    },
    {
      id: '839',
      from: 'DEN',
      to: 'FAR',
      attributes: { prediction: 6340 },
    },
    {
      id: '840',
      from: 'ALG',
      to: 'FCO',
      attributes: { prediction: 5006 },
    },
    {
      id: '841',
      from: 'RTM',
      to: 'GNB',
      attributes: { prediction: 500 },
    },
    {
      id: '842',
      from: 'ATH',
      to: 'GOT',
      attributes: { prediction: 79 },
    },
    {
      id: '843',
      from: 'IAH',
      to: 'GRK',
      attributes: { prediction: 3885 },
    },
    {
      id: '844',
      from: 'RAB',
      to: 'HKN',
      attributes: { prediction: 64 },
    },
    {
      id: '845',
      from: 'CPH',
      to: 'IAD',
      attributes: { prediction: 4553 },
    },
    {
      id: '846',
      from: 'LGA',
      to: 'IAD',
      attributes: { prediction: 6901 },
    },
    {
      id: '847',
      from: 'BON',
      to: 'IAH',
      attributes: { prediction: 1382 },
    },
    {
      id: '848',
      from: 'FSZ',
      to: 'ICN',
      attributes: { prediction: 7052 },
    },
    {
      id: '849',
      from: 'MEM',
      to: 'ICT',
      attributes: { prediction: 2468 },
    },
    {
      id: '850',
      from: 'NAY',
      to: 'FUO',
      attributes: { prediction: 2402 },
    },
    {
      id: '851',
      from: 'HSV',
      to: 'FWA',
      attributes: { prediction: 34 },
    },
    {
      id: '852',
      from: 'PDX',
      to: 'GEG',
      attributes: { prediction: 15298 },
    },
    {
      id: '853',
      from: 'NQY',
      to: 'GLA',
      attributes: { prediction: 1082 },
    },
    {
      id: '854',
      from: 'PPT',
      to: 'GMR',
      attributes: { prediction: 99 },
    },
    {
      id: '855',
      from: 'BLL',
      to: 'GRO',
      attributes: { prediction: 1418 },
    },
    {
      id: '856',
      from: 'PSR',
      to: 'GRO',
      attributes: { prediction: 1305 },
    },
    {
      id: '857',
      from: 'DTW',
      to: 'GSO',
      attributes: { prediction: 3500 },
    },
    {
      id: '858',
      from: 'EWR',
      to: 'GSP',
      attributes: { prediction: 3033 },
    },
    {
      id: '859',
      from: 'HOU',
      to: 'GVA',
      attributes: { prediction: 10 },
    },
    {
      id: '860',
      from: 'LIS',
      to: 'GVA',
      attributes: { prediction: 15353 },
    },
    {
      id: '861',
      from: 'MIA',
      to: 'IND',
      attributes: { prediction: 1358 },
    },
    {
      id: '862',
      from: 'SBN',
      to: 'IND',
      attributes: { prediction: 29 },
    },
    {
      id: '863',
      from: 'SIN',
      to: 'HAK',
      attributes: { prediction: 6099 },
    },
    {
      id: '864',
      from: 'NRT',
      to: 'HAN',
      attributes: { prediction: 6463 },
    },
    {
      id: '865',
      from: 'FRA',
      to: 'HAV',
      attributes: { prediction: 1207 },
    },
    {
      id: '866',
      from: 'SFB',
      to: 'HGR',
      attributes: { prediction: 1179 },
    },
    {
      id: '867',
      from: 'KTM',
      to: 'HKG',
      attributes: { prediction: 1656 },
    },
    {
      id: '868',
      from: 'RUH',
      to: 'HKG',
      attributes: { prediction: 6747 },
    },
    {
      id: '869',
      from: 'LGW',
      to: 'HME',
      attributes: { prediction: 1765 },
    },
    {
      id: '870',
      from: 'PEK',
      to: 'HND',
      attributes: { prediction: 18832 },
    },
    {
      id: '871',
      from: 'DNZ',
      to: 'IST',
      attributes: { prediction: 6712 },
    },
    {
      id: '872',
      from: 'DUB',
      to: 'IST',
      attributes: { prediction: 3986 },
    },
    {
      id: '873',
      from: 'MCT',
      to: 'IST',
      attributes: { prediction: 2501 },
    },
    {
      id: '874',
      from: 'TIP',
      to: 'IST',
      attributes: { prediction: 8830 },
    },
    {
      id: '875',
      from: 'BWI',
      to: 'LIT',
      attributes: { prediction: 2792 },
    },
    {
      id: '876',
      from: 'DGO',
      to: 'MEX',
      attributes: { prediction: 4455 },
    },
    {
      id: '877',
      from: 'LED',
      to: 'KJA',
      attributes: { prediction: 2240 },
    },
    {
      id: '878',
      from: 'GSE',
      to: 'KLU',
      attributes: { prediction: 512 },
    },
    {
      id: '879',
      from: 'FUK',
      to: 'KMI',
      attributes: { prediction: 14009 },
    },
    {
      id: '880',
      from: 'HND',
      to: 'KUH',
      attributes: { prediction: 11642 },
    },
    {
      id: '881',
      from: 'LAX',
      to: 'IYK',
      attributes: { prediction: 1383 },
    },
    {
      id: '882',
      from: 'EWR',
      to: 'JAX',
      attributes: { prediction: 7384 },
    },
    {
      id: '883',
      from: 'MAN',
      to: 'JER',
      attributes: { prediction: 4158 },
    },
    {
      id: '884',
      from: 'MSY',
      to: 'JFK',
      attributes: { prediction: 10638 },
    },
    {
      id: '885',
      from: 'BKI',
      to: 'JHB',
      attributes: { prediction: 6420 },
    },
    {
      id: '886',
      from: 'SFJ',
      to: 'JSU',
      attributes: { prediction: 474 },
    },
    {
      id: '887',
      from: 'DUS',
      to: 'KGF',
      attributes: { prediction: 501 },
    },
    {
      id: '888',
      from: 'TNA',
      to: 'KHN',
      attributes: { prediction: 2433 },
    },
    {
      id: '889',
      from: 'CGK',
      to: 'KUL',
      attributes: { prediction: 56287 },
    },
    {
      id: '890',
      from: 'LTN',
      to: 'KUN',
      attributes: { prediction: 2469 },
    },
    {
      id: '891',
      from: 'KKH',
      to: 'KWK',
      attributes: { prediction: 77 },
    },
    {
      id: '892',
      from: 'SVO',
      to: 'LAD',
      attributes: { prediction: 418 },
    },
    {
      id: '893',
      from: 'MRY',
      to: 'LAS',
      attributes: { prediction: 897 },
    },
    {
      id: '894',
      from: 'YYZ',
      to: 'MHT',
      attributes: { prediction: 915 },
    },
    {
      id: '895',
      from: 'CLO',
      to: 'MIA',
      attributes: { prediction: 6472 },
    },
    {
      id: '896',
      from: 'IND',
      to: 'MIA',
      attributes: { prediction: 1254 },
    },
    {
      id: '897',
      from: 'NCE',
      to: 'MIR',
      attributes: { prediction: 1555 },
    },
    {
      id: '898',
      from: 'MEM',
      to: 'MKE',
      attributes: { prediction: 3666 },
    },
    {
      id: '899',
      from: 'MIA',
      to: 'MKE',
      attributes: { prediction: 161 },
    },
    {
      id: '900',
      from: 'STN',
      to: 'LNZ',
      attributes: { prediction: 2555 },
    },
    {
      id: '901',
      from: 'MAD',
      to: 'LPA',
      attributes: { prediction: 81530 },
    },
    {
      id: '902',
      from: 'KZN',
      to: 'LBD',
      attributes: { prediction: 392 },
    },
    {
      id: '903',
      from: 'EDI',
      to: 'LCJ',
      attributes: { prediction: 1341 },
    },
    {
      id: '904',
      from: 'YUL',
      to: 'LGA',
      attributes: { prediction: 12235 },
    },
    {
      id: '905',
      from: 'JER',
      to: 'LGW',
      attributes: { prediction: 29212 },
    },
    {
      id: '906',
      from: 'KRK',
      to: 'LGW',
      attributes: { prediction: 3596 },
    },
    {
      id: '907',
      from: 'RTM',
      to: 'LGW',
      attributes: { prediction: 6443 },
    },
    {
      id: '908',
      from: 'VNO',
      to: 'LGW',
      attributes: { prediction: 4063 },
    },
    {
      id: '909',
      from: 'BEY',
      to: 'LHR',
      attributes: { prediction: 9191 },
    },
    {
      id: '910',
      from: 'PHX',
      to: 'LIH',
      attributes: { prediction: 4173 },
    },
    {
      id: '911',
      from: 'BSL',
      to: 'LIS',
      attributes: { prediction: 1568 },
    },
    {
      id: '912',
      from: 'ORK',
      to: 'LPL',
      attributes: { prediction: 5623 },
    },
    {
      id: '913',
      from: 'MHD',
      to: 'LRR',
      attributes: { prediction: 939 },
    },
    {
      id: '914',
      from: 'TIP',
      to: 'LTD',
      attributes: { prediction: 298 },
    },
    {
      id: '915',
      from: 'BRU',
      to: 'MLA',
      attributes: { prediction: 3873 },
    },
    {
      id: '916',
      from: 'MRS',
      to: 'MLA',
      attributes: { prediction: 933 },
    },
    {
      id: '917',
      from: 'YYC',
      to: 'NAS',
      attributes: { prediction: 330 },
    },
    {
      id: '918',
      from: 'ADD',
      to: 'NBO',
      attributes: { prediction: 9210 },
    },
    {
      id: '919',
      from: 'FBM',
      to: 'NBO',
      attributes: { prediction: 786 },
    },
    {
      id: '920',
      from: 'MPM',
      to: 'NBO',
      attributes: { prediction: 829 },
    },
    {
      id: '921',
      from: 'DUS',
      to: 'NCE',
      attributes: { prediction: 5021 },
    },
    {
      id: '922',
      from: 'CDG',
      to: 'NCL',
      attributes: { prediction: 6904 },
    },
    {
      id: '923',
      from: 'SBH',
      to: 'NEV',
      attributes: { prediction: 33 },
    },
    {
      id: '924',
      from: 'CSX',
      to: 'NKG',
      attributes: { prediction: 13645 },
    },
    {
      id: '925',
      from: 'PEK',
      to: 'NKG',
      attributes: { prediction: 69058 },
    },
    {
      id: '926',
      from: 'FUK',
      to: 'NKM',
      attributes: { prediction: 6483 },
    },
    {
      id: '927',
      from: 'CDB',
      to: 'NLG',
      attributes: { prediction: 22 },
    },
    {
      id: '928',
      from: 'TMU',
      to: 'NOB',
      attributes: { prediction: 550 },
    },
    {
      id: '929',
      from: 'LEQ',
      to: 'NQY',
      attributes: { prediction: 221 },
    },
    {
      id: '930',
      from: 'CUN',
      to: 'MCI',
      attributes: { prediction: 1460 },
    },
    {
      id: '931',
      from: 'SJU',
      to: 'MCO',
      attributes: { prediction: 37987 },
    },
    {
      id: '932',
      from: 'SYD',
      to: 'MCY',
      attributes: { prediction: 10076 },
    },
    {
      id: '933',
      from: 'COU',
      to: 'MEM',
      attributes: { prediction: 2537 },
    },
    {
      id: '934',
      from: 'PNS',
      to: 'MEM',
      attributes: { prediction: 3680 },
    },
    {
      id: '935',
      from: 'TPA',
      to: 'MEM',
      attributes: { prediction: 8807 },
    },
    {
      id: '936',
      from: 'HUX',
      to: 'MEX',
      attributes: { prediction: 10256 },
    },
    {
      id: '937',
      from: 'DFW',
      to: 'MFE',
      attributes: { prediction: 12303 },
    },
    {
      id: '938',
      from: 'CGK',
      to: 'MFM',
      attributes: { prediction: 2898 },
    },
    {
      id: '939',
      from: 'FLL',
      to: 'MGA',
      attributes: { prediction: 907 },
    },
    {
      id: '940',
      from: 'DEN',
      to: 'MIA',
      attributes: { prediction: 11811 },
    },
    {
      id: '941',
      from: 'UIO',
      to: 'MIA',
      attributes: { prediction: 14052 },
    },
    {
      id: '942',
      from: 'LEA',
      to: 'MJK',
      attributes: { prediction: 143 },
    },
    {
      id: '943',
      from: 'PIK',
      to: 'MJV',
      attributes: { prediction: 1498 },
    },
    {
      id: '944',
      from: 'HOU',
      to: 'OAK',
      attributes: { prediction: 6715 },
    },
    {
      id: '945',
      from: 'LGW',
      to: 'SVG',
      attributes: { prediction: 2763 },
    },
    {
      id: '946',
      from: 'MFM',
      to: 'PEK',
      attributes: { prediction: 6910 },
    },
    {
      id: '947',
      from: 'DTW',
      to: 'PHL',
      attributes: { prediction: 24598 },
    },
    {
      id: '948',
      from: 'ISP',
      to: 'PHL',
      attributes: { prediction: 3184 },
    },
    {
      id: '949',
      from: 'MBJ',
      to: 'PHL',
      attributes: { prediction: 9137 },
    },
    {
      id: '950',
      from: 'TRN',
      to: 'NAP',
      attributes: { prediction: 20775 },
    },
    {
      id: '951',
      from: 'MBJ',
      to: 'NAS',
      attributes: { prediction: 526 },
    },
    {
      id: '952',
      from: 'HAM',
      to: 'NCE',
      attributes: { prediction: 613 },
    },
    {
      id: '953',
      from: 'CMF',
      to: 'NCL',
      attributes: { prediction: 448 },
    },
    {
      id: '954',
      from: 'TPE',
      to: 'NGB',
      attributes: { prediction: 6886 },
    },
    {
      id: '955',
      from: 'AXT',
      to: 'NGO',
      attributes: { prediction: 764 },
    },
    {
      id: '956',
      from: 'SPN',
      to: 'NGO',
      attributes: { prediction: 4401 },
    },
    {
      id: '957',
      from: 'SHE',
      to: 'NKG',
      attributes: { prediction: 14965 },
    },
    {
      id: '958',
      from: 'BRI',
      to: 'NRN',
      attributes: { prediction: 1974 },
    },
    {
      id: '959',
      from: 'FAO',
      to: 'NRN',
      attributes: { prediction: 1699 },
    },
    {
      id: '960',
      from: 'HGH',
      to: 'NRT',
      attributes: { prediction: 1515 },
    },
    {
      id: '961',
      from: 'KUL',
      to: 'NRT',
      attributes: { prediction: 14605 },
    },
    {
      id: '962',
      from: 'PHX',
      to: 'PIT',
      attributes: { prediction: 12104 },
    },
    {
      id: '963',
      from: 'GUM',
      to: 'OKJ',
      attributes: { prediction: 1072 },
    },
    {
      id: '964',
      from: 'WMO',
      to: 'OME',
      attributes: { prediction: 107 },
    },
    {
      id: '965',
      from: 'KUL',
      to: 'OOL',
      attributes: { prediction: 7344 },
    },
    {
      id: '966',
      from: 'HPN',
      to: 'ORD',
      attributes: { prediction: 10820 },
    },
    {
      id: '967',
      from: 'PEK',
      to: 'ORD',
      attributes: { prediction: 5941 },
    },
    {
      id: '968',
      from: 'PUJ',
      to: 'ORD',
      attributes: { prediction: 2677 },
    },
    {
      id: '969',
      from: 'CFE',
      to: 'ORY',
      attributes: { prediction: 10255 },
    },
    {
      id: '970',
      from: 'LDE',
      to: 'ORY',
      attributes: { prediction: 4450 },
    },
    {
      id: '971',
      from: 'LYS',
      to: 'OTP',
      attributes: { prediction: 1783 },
    },
    {
      id: '972',
      from: 'AZN',
      to: 'OVB',
      attributes: { prediction: 605 },
    },
    {
      id: '973',
      from: 'HNL',
      to: 'PDX',
      attributes: { prediction: 11270 },
    },
    {
      id: '974',
      from: 'ELS',
      to: 'PLZ',
      attributes: { prediction: 810 },
    },
    {
      id: '975',
      from: 'REP',
      to: 'PNH',
      attributes: { prediction: 22917 },
    },
    {
      id: '976',
      from: 'REC',
      to: 'PNZ',
      attributes: { prediction: 5820 },
    },
    {
      id: '977',
      from: 'TIH',
      to: 'PPT',
      attributes: { prediction: 868 },
    },
    {
      id: '978',
      from: 'SPU',
      to: 'SXF',
      attributes: { prediction: 1516 },
    },
    {
      id: '979',
      from: 'MIA',
      to: 'RSW',
      attributes: { prediction: 3984 },
    },
    {
      id: '980',
      from: 'BGA',
      to: 'RVE',
      attributes: { prediction: 242 },
    },
    {
      id: '981',
      from: 'TAI',
      to: 'SAH',
      attributes: { prediction: 2254 },
    },
    {
      id: '982',
      from: 'BZE',
      to: 'SAL',
      attributes: { prediction: 2041 },
    },
    {
      id: '983',
      from: 'SAN',
      to: 'SAT',
      attributes: { prediction: 6075 },
    },
    {
      id: '984',
      from: 'OTP',
      to: 'PRG',
      attributes: { prediction: 5589 },
    },
    {
      id: '985',
      from: 'TRD',
      to: 'PRG',
      attributes: { prediction: 1147 },
    },
    {
      id: '986',
      from: 'ZRH',
      to: 'PRN',
      attributes: { prediction: 4576 },
    },
    {
      id: '987',
      from: 'LGW',
      to: 'PSA',
      attributes: { prediction: 4276 },
    },
    {
      id: '988',
      from: 'MCO',
      to: 'PSE',
      attributes: { prediction: 2979 },
    },
    {
      id: '989',
      from: 'MWX',
      to: 'PVG',
      attributes: { prediction: 811 },
    },
    {
      id: '990',
      from: 'YXE',
      to: 'PVR',
      attributes: { prediction: 1834 },
    },
    {
      id: '991',
      from: 'MAN',
      to: 'RHO',
      attributes: { prediction: 170 },
    },
    {
      id: '992',
      from: 'MJT',
      to: 'RHO',
      attributes: { prediction: 58 },
    },
    {
      id: '993',
      from: 'BRU',
      to: 'ROB',
      attributes: { prediction: 2091 },
    },
    {
      id: '994',
      from: 'SJU',
      to: 'SBH',
      attributes: { prediction: 49 },
    },
    {
      id: '995',
      from: 'NOV',
      to: 'SDD',
      attributes: { prediction: 322 },
    },
    {
      id: '996',
      from: 'CDG',
      to: 'SDQ',
      attributes: { prediction: 1133 },
    },
    {
      id: '997',
      from: 'SFO',
      to: 'SEA',
      attributes: { prediction: 60048 },
    },
    {
      id: '998',
      from: 'ELM',
      to: 'SFB',
      attributes: { prediction: 1040 },
    },
    {
      id: '999',
      from: 'BEN',
      to: 'TUN',
      attributes: { prediction: 4593 },
    },
    {
      id: '1000',
      from: 'DOH',
      to: 'TUN',
      attributes: { prediction: 4639 },
    },
    {
      id: '1001',
      from: 'IST',
      to: 'TUN',
      attributes: { prediction: 7844 },
    },
    {
      id: '1002',
      from: 'SLC',
      to: 'TWF',
      attributes: { prediction: 1970 },
    },
    {
      id: '1003',
      from: 'XRY',
      to: 'TXL',
      attributes: { prediction: 645 },
    },
    {
      id: '1004',
      from: 'CAN',
      to: 'TXN',
      attributes: { prediction: 1724 },
    },
    {
      id: '1005',
      from: 'SBZ',
      to: 'STR',
      attributes: { prediction: 1728 },
    },
    {
      id: '1006',
      from: 'AMS',
      to: 'SIN',
      attributes: { prediction: 18327 },
    },
    {
      id: '1007',
      from: 'MES',
      to: 'SIN',
      attributes: { prediction: 7533 },
    },
    {
      id: '1008',
      from: 'SHJ',
      to: 'SKT',
      attributes: { prediction: 924 },
    },
    {
      id: '1009',
      from: 'SXF',
      to: 'SPU',
      attributes: { prediction: 130 },
    },
    {
      id: '1010',
      from: 'BPS',
      to: 'SSA',
      attributes: { prediction: 8485 },
    },
    {
      id: '1011',
      from: 'EMA',
      to: 'SSH',
      attributes: { prediction: 2424 },
    },
    {
      id: '1012',
      from: 'PAP',
      to: 'STI',
      attributes: { prediction: 92 },
    },
    {
      id: '1013',
      from: 'MSP',
      to: 'STL',
      attributes: { prediction: 29356 },
    },
    {
      id: '1014',
      from: 'BFS',
      to: 'STN',
      attributes: { prediction: 15810 },
    },
    {
      id: '1015',
      from: 'FLL',
      to: 'STT',
      attributes: { prediction: 3329 },
    },
    {
      id: '1016',
      from: 'KKN',
      to: 'VDS',
      attributes: { prediction: 1039 },
    },
    {
      id: '1017',
      from: 'CPH',
      to: 'VIE',
      attributes: { prediction: 16354 },
    },
    {
      id: '1018',
      from: 'KRR',
      to: 'VIE',
      attributes: { prediction: 2239 },
    },
    {
      id: '1019',
      from: 'PEN',
      to: 'BKK',
      attributes: { prediction: 7026 },
    },
    {
      id: '1020',
      from: 'LYS',
      to: 'BLJ',
      attributes: { prediction: 391 },
    },
    {
      id: '1021',
      from: 'EVN',
      to: 'VOZ',
      attributes: { prediction: 347 },
    },
    {
      id: '1022',
      from: 'CBT',
      to: 'VPE',
      attributes: { prediction: 840 },
    },
    {
      id: '1023',
      from: 'AGA',
      to: 'VRN',
      attributes: { prediction: 484 },
    },
    {
      id: '1024',
      from: 'CPH',
      to: 'VRN',
      attributes: { prediction: 306 },
    },
    {
      id: '1025',
      from: 'BOG',
      to: 'VVC',
      attributes: { prediction: 2006 },
    },
    {
      id: '1026',
      from: 'MEL',
      to: 'WGA',
      attributes: { prediction: 1216 },
    },
    {
      id: '1027',
      from: 'MYD',
      to: 'WIL',
      attributes: { prediction: 1313 },
    },
    {
      id: '1028',
      from: 'HAK',
      to: 'WUX',
      attributes: { prediction: 1382 },
    },
    {
      id: '1029',
      from: 'NUE',
      to: 'TFS',
      attributes: { prediction: 5759 },
    },
    {
      id: '1030',
      from: 'UPN',
      to: 'TIJ',
      attributes: { prediction: 2403 },
    },
    {
      id: '1031',
      from: 'HMA',
      to: 'TJM',
      attributes: { prediction: 1546 },
    },
    {
      id: '1032',
      from: 'TBO',
      to: 'TKQ',
      attributes: { prediction: 821 },
    },
    {
      id: '1033',
      from: 'HEL',
      to: 'TKU',
      attributes: { prediction: 3288 },
    },
    {
      id: '1034',
      from: 'HKG',
      to: 'TNA',
      attributes: { prediction: 2683 },
    },
    {
      id: '1035',
      from: 'ORD',
      to: 'TOL',
      attributes: { prediction: 2711 },
    },
    {
      id: '1036',
      from: 'DTW',
      to: 'TPA',
      attributes: { prediction: 35140 },
    },
    {
      id: '1037',
      from: 'HGH',
      to: 'TPE',
      attributes: { prediction: 9304 },
    },
    {
      id: '1038',
      from: 'KWI',
      to: 'TRV',
      attributes: { prediction: 2779 },
    },
    {
      id: '1039',
      from: 'XNN',
      to: 'XIY',
      attributes: { prediction: 18846 },
    },
    {
      id: '1040',
      from: 'PPT',
      to: 'TUB',
      attributes: { prediction: 502 },
    },
    {
      id: '1041',
      from: 'DFW',
      to: 'TXK',
      attributes: { prediction: 3467 },
    },
    {
      id: '1042',
      from: 'OSL',
      to: 'TXL',
      attributes: { prediction: 2963 },
    },
    {
      id: '1043',
      from: 'TRN',
      to: 'TXL',
      attributes: { prediction: 967 },
    },
    {
      id: '1044',
      from: 'CGH',
      to: 'UDI',
      attributes: { prediction: 11695 },
    },
    {
      id: '1045',
      from: 'NSK',
      to: 'UFA',
      attributes: { prediction: 248 },
    },
    {
      id: '1046',
      from: 'KUL',
      to: 'UPG',
      attributes: { prediction: 1724 },
    },
    {
      id: '1047',
      from: 'PHL',
      to: 'UVF',
      attributes: { prediction: 375 },
    },
    {
      id: '1048',
      from: 'ARN',
      to: 'VAA',
      attributes: { prediction: 2191 },
    },
    {
      id: '1049',
      from: 'GOT',
      to: 'VBY',
      attributes: { prediction: 161 },
    },
    {
      id: '1050',
      from: 'ZRH',
      to: 'VIE',
      attributes: { prediction: 33396 },
    },
    {
      id: '1051',
      from: 'NKG',
      to: 'XMN',
      attributes: { prediction: 20177 },
    },
    {
      id: '1052',
      from: 'LUX',
      to: 'XRY',
      attributes: { prediction: 112 },
    },
    {
      id: '1053',
      from: 'YCB',
      to: 'YHK',
      attributes: { prediction: 81 },
    },
    {
      id: '1054',
      from: 'YUL',
      to: 'YHZ',
      attributes: { prediction: 11774 },
    },
    {
      id: '1055',
      from: 'YVR',
      to: 'YKA',
      attributes: { prediction: 8018 },
    },
    {
      id: '1056',
      from: 'YQB',
      to: 'YKL',
      attributes: { prediction: 341 },
    },
    {
      id: '1057',
      from: 'BLA',
      to: 'CCS',
      attributes: { prediction: 19054 },
    },
    {
      id: '1058',
      from: 'CTA',
      to: 'CDG',
      attributes: { prediction: 8373 },
    },
    {
      id: '1059',
      from: 'DLA',
      to: 'CDG',
      attributes: { prediction: 5010 },
    },
    {
      id: '1060',
      from: 'FCO',
      to: 'CDG',
      attributes: { prediction: 57913 },
    },
    {
      id: '1061',
      from: 'TPE',
      to: 'CDG',
      attributes: { prediction: 3491 },
    },
    {
      id: '1062',
      from: 'WAW',
      to: 'CDG',
      attributes: { prediction: 19796 },
    },
    {
      id: '1063',
      from: 'YYY',
      to: 'YQB',
      attributes: { prediction: 256 },
    },
    {
      id: '1064',
      from: 'YWG',
      to: 'YTH',
      attributes: { prediction: 2907 },
    },
    {
      id: '1065',
      from: 'YYC',
      to: 'YXX',
      attributes: { prediction: 11064 },
    },
    {
      id: '1066',
      from: 'DXB',
      to: 'YYZ',
      attributes: { prediction: 6192 },
    },
    {
      id: '1067',
      from: 'YVR',
      to: 'YZF',
      attributes: { prediction: 1048 },
    },
    {
      id: '1068',
      from: 'PUJ',
      to: 'AMS',
      attributes: { prediction: 888 },
    },
    {
      id: '1069',
      from: 'BRW',
      to: 'ANC',
      attributes: { prediction: 2545 },
    },
    {
      id: '1070',
      from: 'CDV',
      to: 'ANC',
      attributes: { prediction: 2347 },
    },
    {
      id: '1071',
      from: 'JNU',
      to: 'ANC',
      attributes: { prediction: 7692 },
    },
    {
      id: '1072',
      from: 'LIS',
      to: 'ARN',
      attributes: { prediction: 3552 },
    },
    {
      id: '1073',
      from: 'WAW',
      to: 'ARN',
      attributes: { prediction: 3489 },
    },
    {
      id: '1074',
      from: 'AGS',
      to: 'ATL',
      attributes: { prediction: 15089 },
    },
    {
      id: '1075',
      from: 'FPO',
      to: 'ATL',
      attributes: { prediction: 909 },
    },
    {
      id: '1076',
      from: 'NAS',
      to: 'ATL',
      attributes: { prediction: 15005 },
    },
    {
      id: '1077',
      from: 'RTB',
      to: 'ATL',
      attributes: { prediction: 743 },
    },
    {
      id: '1078',
      from: 'BET',
      to: 'ATT',
      attributes: { prediction: 91 },
    },
    {
      id: '1079',
      from: 'AMS',
      to: 'AUH',
      attributes: { prediction: 3921 },
    },
    {
      id: '1080',
      from: 'SFO',
      to: 'AUS',
      attributes: { prediction: 5725 },
    },
    {
      id: '1081',
      from: 'IKT',
      to: 'BAX',
      attributes: { prediction: 1372 },
    },
    {
      id: '1082',
      from: 'BKO',
      to: 'ABJ',
      attributes: { prediction: 651 },
    },
    {
      id: '1083',
      from: 'ROB',
      to: 'ABJ',
      attributes: { prediction: 1227 },
    },
    {
      id: '1084',
      from: 'NUE',
      to: 'ACE',
      attributes: { prediction: 2519 },
    },
    {
      id: '1085',
      from: 'DLA',
      to: 'ADD',
      attributes: { prediction: 1790 },
    },
    {
      id: '1086',
      from: 'SVO',
      to: 'AGP',
      attributes: { prediction: 1424 },
    },
    {
      id: '1087',
      from: 'IST',
      to: 'ALA',
      attributes: { prediction: 5091 },
    },
    {
      id: '1088',
      from: 'JED',
      to: 'ALG',
      attributes: { prediction: 2544 },
    },
    {
      id: '1089',
      from: 'DXB',
      to: 'ALP',
      attributes: { prediction: 2100 },
    },
    {
      id: '1090',
      from: 'DAR',
      to: 'AMS',
      attributes: { prediction: 5093 },
    },
    {
      id: '1091',
      from: 'FRL',
      to: 'BBU',
      attributes: { prediction: 1079 },
    },
    {
      id: '1092',
      from: 'PRG',
      to: 'BCN',
      attributes: { prediction: 11501 },
    },
    {
      id: '1093',
      from: 'RUH',
      to: 'CGK',
      attributes: { prediction: 2250 },
    },
    {
      id: '1094',
      from: 'FCO',
      to: 'CGN',
      attributes: { prediction: 3903 },
    },
    {
      id: '1095',
      from: 'CTU',
      to: 'CSX',
      attributes: { prediction: 16493 },
    },
    {
      id: '1096',
      from: 'BKK',
      to: 'CTU',
      attributes: { prediction: 3245 },
    },
    {
      id: '1097',
      from: 'VER',
      to: 'CUN',
      attributes: { prediction: 3594 },
    },
    {
      id: '1098',
      from: 'DTW',
      to: 'CVG',
      attributes: { prediction: 7417 },
    },
    {
      id: '1099',
      from: 'BCN',
      to: 'CWL',
      attributes: { prediction: 229 },
    },
    {
      id: '1100',
      from: 'VLY',
      to: 'CWL',
      attributes: { prediction: 89 },
    },
    {
      id: '1101',
      from: 'BGW',
      to: 'DAM',
      attributes: { prediction: 2872 },
    },
    {
      id: '1102',
      from: 'BJL',
      to: 'CKY',
      attributes: { prediction: 188 },
    },
    {
      id: '1103',
      from: 'AMI',
      to: 'BMU',
      attributes: { prediction: 1401 },
    },
    {
      id: '1104',
      from: 'DEN',
      to: 'BNA',
      attributes: { prediction: 22772 },
    },
    {
      id: '1105',
      from: 'SOF',
      to: 'BOJ',
      attributes: { prediction: 1435 },
    },
    {
      id: '1106',
      from: 'BHU',
      to: 'BOM',
      attributes: { prediction: 1606 },
    },
    {
      id: '1107',
      from: 'ICN',
      to: 'BOM',
      attributes: { prediction: 2180 },
    },
    {
      id: '1108',
      from: 'PHX',
      to: 'BOS',
      attributes: { prediction: 11203 },
    },
    {
      id: '1109',
      from: 'ALC',
      to: 'BRE',
      attributes: { prediction: 1268 },
    },
    {
      id: '1110',
      from: 'PMI',
      to: 'BRE',
      attributes: { prediction: 8106 },
    },
    {
      id: '1111',
      from: 'NSI',
      to: 'BRU',
      attributes: { prediction: 2167 },
    },
    {
      id: '1112',
      from: 'AUX',
      to: 'BSB',
      attributes: { prediction: 761 },
    },
    {
      id: '1113',
      from: 'MSP',
      to: 'CMH',
      attributes: { prediction: 7148 },
    },
    {
      id: '1114',
      from: 'ALB',
      to: 'BWI',
      attributes: { prediction: 16563 },
    },
    {
      id: '1115',
      from: 'BDL',
      to: 'BWI',
      attributes: { prediction: 21996 },
    },
    {
      id: '1116',
      from: 'YIW',
      to: 'CAN',
      attributes: { prediction: 9198 },
    },
    {
      id: '1117',
      from: 'BRM',
      to: 'CCS',
      attributes: { prediction: 10344 },
    },
    {
      id: '1118',
      from: 'CLT',
      to: 'CDG',
      attributes: { prediction: 4402 },
    },
    {
      id: '1119',
      from: 'PNR',
      to: 'CDG',
      attributes: { prediction: 2001 },
    },
    {
      id: '1120',
      from: 'CXJ',
      to: 'CGH',
      attributes: { prediction: 3575 },
    },
    {
      id: '1121',
      from: 'BWN',
      to: 'CGK',
      attributes: { prediction: 3174 },
    },
    {
      id: '1122',
      from: 'LIM',
      to: 'CHM',
      attributes: { prediction: 220 },
    },
    {
      id: '1123',
      from: 'SLC',
      to: 'COS',
      attributes: { prediction: 2152 },
    },
    {
      id: '1124',
      from: 'SIN',
      to: 'CPH',
      attributes: { prediction: 3762 },
    },
    {
      id: '1125',
      from: 'SJJ',
      to: 'CPH',
      attributes: { prediction: 824 },
    },
    {
      id: '1126',
      from: 'TLL',
      to: 'CPH',
      attributes: { prediction: 6778 },
    },
    {
      id: '1127',
      from: 'MTR',
      to: 'CTG',
      attributes: { prediction: 664 },
    },
    {
      id: '1128',
      from: 'FLL',
      to: 'DCA',
      attributes: { prediction: 25347 },
    },
    {
      id: '1129',
      from: 'MIA',
      to: 'DCA',
      attributes: { prediction: 35214 },
    },
    {
      id: '1130',
      from: 'ORF',
      to: 'DCA',
      attributes: { prediction: 3054 },
    },
    {
      id: '1131',
      from: 'BOM',
      to: 'DEL',
      attributes: { prediction: 247120 },
    },
    {
      id: '1132',
      from: 'GOI',
      to: 'DEL',
      attributes: { prediction: 21494 },
    },
    {
      id: '1133',
      from: 'MAA',
      to: 'DEL',
      attributes: { prediction: 63796 },
    },
    {
      id: '1134',
      from: 'FRA',
      to: 'DLM',
      attributes: { prediction: 263 },
    },
    {
      id: '1135',
      from: 'TIF',
      to: 'DMM',
      attributes: { prediction: 1027 },
    },
    {
      id: '1136',
      from: 'DAC',
      to: 'DOH',
      attributes: { prediction: 9757 },
    },
    {
      id: '1137',
      from: 'CBR',
      to: 'DRW',
      attributes: { prediction: 1447 },
    },
    {
      id: '1138',
      from: 'SYR',
      to: 'CVG',
      attributes: { prediction: 1154 },
    },
    {
      id: '1139',
      from: 'ABQ',
      to: 'CVN',
      attributes: { prediction: 436 },
    },
    {
      id: '1140',
      from: 'EWR',
      to: 'CZM',
      attributes: { prediction: 430 },
    },
    {
      id: '1141',
      from: 'IAD',
      to: 'DAY',
      attributes: { prediction: 4617 },
    },
    {
      id: '1142',
      from: 'HPN',
      to: 'DCA',
      attributes: { prediction: 3668 },
    },
    {
      id: '1143',
      from: 'JFK',
      to: 'DCA',
      attributes: { prediction: 13150 },
    },
    {
      id: '1144',
      from: 'LAS',
      to: 'DCA',
      attributes: { prediction: 3379 },
    },
    {
      id: '1145',
      from: 'MSY',
      to: 'DCA',
      attributes: { prediction: 8436 },
    },
    {
      id: '1146',
      from: 'IDR',
      to: 'DEL',
      attributes: { prediction: 4275 },
    },
    {
      id: '1147',
      from: 'BUR',
      to: 'DEN',
      attributes: { prediction: 2433 },
    },
    {
      id: '1148',
      from: 'RDM',
      to: 'DEN',
      attributes: { prediction: 1083 },
    },
    {
      id: '1149',
      from: 'FWA',
      to: 'DFW',
      attributes: { prediction: 2260 },
    },
    {
      id: '1150',
      from: 'CDG',
      to: 'DUB',
      attributes: { prediction: 29719 },
    },
    {
      id: '1151',
      from: 'DBV',
      to: 'DUB',
      attributes: { prediction: 1795 },
    },
    {
      id: '1152',
      from: 'COD',
      to: 'DEN',
      attributes: { prediction: 946 },
    },
    {
      id: '1153',
      from: 'LNK',
      to: 'DEN',
      attributes: { prediction: 3095 },
    },
    {
      id: '1154',
      from: 'BNA',
      to: 'DFW',
      attributes: { prediction: 27050 },
    },
    {
      id: '1155',
      from: 'LGA',
      to: 'DFW',
      attributes: { prediction: 50462 },
    },
    {
      id: '1156',
      from: 'HRG',
      to: 'DUS',
      attributes: { prediction: 2045 },
    },
    {
      id: '1157',
      from: 'SOU',
      to: 'DUS',
      attributes: { prediction: 1355 },
    },
    {
      id: '1158',
      from: 'SUF',
      to: 'DUS',
      attributes: { prediction: 1760 },
    },
    {
      id: '1159',
      from: 'CGY',
      to: 'DVO',
      attributes: { prediction: 532 },
    },
    {
      id: '1160',
      from: 'TPA',
      to: 'IAD',
      attributes: { prediction: 14856 },
    },
    {
      id: '1161',
      from: 'CLE',
      to: 'IAH',
      attributes: { prediction: 21592 },
    },
    {
      id: '1162',
      from: 'DUB',
      to: 'FMM',
      attributes: { prediction: 3902 },
    },
    {
      id: '1163',
      from: 'BHX',
      to: 'FNC',
      attributes: { prediction: 677 },
    },
    {
      id: '1164',
      from: 'EMA',
      to: 'EDI',
      attributes: { prediction: 6463 },
    },
    {
      id: '1165',
      from: 'LGW',
      to: 'EDI',
      attributes: { prediction: 27776 },
    },
    {
      id: '1166',
      from: 'NAS',
      to: 'ELH',
      attributes: { prediction: 1827 },
    },
    {
      id: '1167',
      from: 'IKA',
      to: 'ESB',
      attributes: { prediction: 1659 },
    },
    {
      id: '1168',
      from: 'STR',
      to: 'ESB',
      attributes: { prediction: 594 },
    },
    {
      id: '1169',
      from: 'SXF',
      to: 'ESB',
      attributes: { prediction: 369 },
    },
    {
      id: '1170',
      from: 'LIR',
      to: 'EWR',
      attributes: { prediction: 970 },
    },
    {
      id: '1171',
      from: 'FRA',
      to: 'FAO',
      attributes: { prediction: 2310 },
    },
    {
      id: '1172',
      from: 'PTY',
      to: 'FLL',
      attributes: { prediction: 1431 },
    },
    {
      id: '1173',
      from: 'AGA',
      to: 'FRA',
      attributes: { prediction: 489 },
    },
    {
      id: '1174',
      from: 'JED',
      to: 'FRA',
      attributes: { prediction: 6559 },
    },
    {
      id: '1175',
      from: 'MZT',
      to: 'IAH',
      attributes: { prediction: 1800 },
    },
    {
      id: '1176',
      from: 'NRT',
      to: 'IAH',
      attributes: { prediction: 6745 },
    },
    {
      id: '1177',
      from: 'XNA',
      to: 'IAH',
      attributes: { prediction: 3892 },
    },
    {
      id: '1178',
      from: 'DPS',
      to: 'ICN',
      attributes: { prediction: 11446 },
    },
    {
      id: '1179',
      from: 'LGW',
      to: 'KEF',
      attributes: { prediction: 3767 },
    },
    {
      id: '1180',
      from: 'MZH',
      to: 'IST',
      attributes: { prediction: 3261 },
    },
    {
      id: '1181',
      from: 'SZF',
      to: 'IST',
      attributes: { prediction: 12305 },
    },
    {
      id: '1182',
      from: 'HEL',
      to: 'IVL',
      attributes: { prediction: 4360 },
    },
    {
      id: '1183',
      from: 'IAD',
      to: 'JED',
      attributes: { prediction: 838 },
    },
    {
      id: '1184',
      from: 'GIG',
      to: 'JFK',
      attributes: { prediction: 2922 },
    },
    {
      id: '1185',
      from: 'GVA',
      to: 'JFK',
      attributes: { prediction: 5028 },
    },
    {
      id: '1186',
      from: 'SMF',
      to: 'JFK',
      attributes: { prediction: 4008 },
    },
    {
      id: '1187',
      from: 'GYN',
      to: 'GRU',
      attributes: { prediction: 15379 },
    },
    {
      id: '1188',
      from: 'GRO',
      to: 'GSE',
      attributes: { prediction: 1210 },
    },
    {
      id: '1189',
      from: 'SFO',
      to: 'GUM',
      attributes: { prediction: 2424 },
    },
    {
      id: '1190',
      from: 'MIR',
      to: 'GVA',
      attributes: { prediction: 543 },
    },
    {
      id: '1191',
      from: 'STN',
      to: 'HAJ',
      attributes: { prediction: 5619 },
    },
    {
      id: '1192',
      from: 'SPU',
      to: 'HAM',
      attributes: { prediction: 453 },
    },
    {
      id: '1193',
      from: 'PTP',
      to: 'HAV',
      attributes: { prediction: 298 },
    },
    {
      id: '1194',
      from: 'KUO',
      to: 'HEL',
      attributes: { prediction: 11820 },
    },
    {
      id: '1195',
      from: 'CPH',
      to: 'HER',
      attributes: { prediction: 408 },
    },
    {
      id: '1196',
      from: 'CIF',
      to: 'HET',
      attributes: { prediction: 2131 },
    },
    {
      id: '1197',
      from: 'SFB',
      to: 'HGR',
      attributes: { prediction: 1149 },
    },
    {
      id: '1198',
      from: 'SAH',
      to: 'JIB',
      attributes: { prediction: 1366 },
    },
    {
      id: '1199',
      from: 'KTM',
      to: 'JKR',
      attributes: { prediction: 275 },
    },
    {
      id: '1200',
      from: 'AKJ',
      to: 'HND',
      attributes: { prediction: 41911 },
    },
    {
      id: '1201',
      from: 'KWI',
      to: 'HRG',
      attributes: { prediction: 1920 },
    },
    {
      id: '1202',
      from: 'BQS',
      to: 'HTA',
      attributes: { prediction: 502 },
    },
    {
      id: '1203',
      from: 'RJA',
      to: 'HYD',
      attributes: { prediction: 1661 },
    },
    {
      id: '1204',
      from: 'TPA',
      to: 'IAH',
      attributes: { prediction: 20735 },
    },
    {
      id: '1205',
      from: 'CDG',
      to: 'IBZ',
      attributes: { prediction: 1621 },
    },
    {
      id: '1206',
      from: 'STL',
      to: 'ICT',
      attributes: { prediction: 260 },
    },
    {
      id: '1207',
      from: 'LDB',
      to: 'IGU',
      attributes: { prediction: 606 },
    },
    {
      id: '1208',
      from: 'ANC',
      to: 'ILI',
      attributes: { prediction: 288 },
    },
    {
      id: '1209',
      from: 'DCA',
      to: 'ILM',
      attributes: { prediction: 105 },
    },
    {
      id: '1210',
      from: 'MPM',
      to: 'INH',
      attributes: { prediction: 192 },
    },
    {
      id: '1211',
      from: 'GVA',
      to: 'IOM',
      attributes: { prediction: 112 },
    },
    {
      id: '1212',
      from: 'JJU',
      to: 'JNS',
      attributes: { prediction: 42 },
    },
    {
      id: '1213',
      from: 'ATH',
      to: 'JSH',
      attributes: { prediction: 595 },
    },
    {
      id: '1214',
      from: 'ALA',
      to: 'KBL',
      attributes: { prediction: 299 },
    },
    {
      id: '1215',
      from: 'GYD',
      to: 'KBP',
      attributes: { prediction: 1909 },
    },
    {
      id: '1216',
      from: 'DLG',
      to: 'KGK',
      attributes: { prediction: 98 },
    },
    {
      id: '1217',
      from: 'PTY',
      to: 'KIN',
      attributes: { prediction: 937 },
    },
    {
      id: '1218',
      from: 'HND',
      to: 'KIX',
      attributes: { prediction: 68270 },
    },
    {
      id: '1219',
      from: 'AZN',
      to: 'KJA',
      attributes: { prediction: 500 },
    },
    {
      id: '1220',
      from: 'CMF',
      to: 'LBA',
      attributes: { prediction: 629 },
    },
    {
      id: '1221',
      from: 'LBD',
      to: 'LED',
      attributes: { prediction: 1016 },
    },
    {
      id: '1222',
      from: 'NJC',
      to: 'LED',
      attributes: { prediction: 767 },
    },
    {
      id: '1223',
      from: 'ILM',
      to: 'LGA',
      attributes: { prediction: 2848 },
    },
    {
      id: '1224',
      from: 'CAI',
      to: 'KIX',
      attributes: { prediction: 2558 },
    },
    {
      id: '1225',
      from: 'PVG',
      to: 'KIX',
      attributes: { prediction: 35499 },
    },
    {
      id: '1226',
      from: 'OSL',
      to: 'KKN',
      attributes: { prediction: 6304 },
    },
    {
      id: '1227',
      from: 'RUH',
      to: 'KMC',
      attributes: { prediction: 385 },
    },
    {
      id: '1228',
      from: 'CGD',
      to: 'KMG',
      attributes: { prediction: 2228 },
    },
    {
      id: '1229',
      from: 'MDL',
      to: 'KMG',
      attributes: { prediction: 1031 },
    },
    {
      id: '1230',
      from: 'WRY',
      to: 'KOI',
      attributes: { prediction: 97 },
    },
    {
      id: '1231',
      from: 'STN',
      to: 'KRK',
      attributes: { prediction: 8021 },
    },
    {
      id: '1232',
      from: 'BVA',
      to: 'KTW',
      attributes: { prediction: 1624 },
    },
    {
      id: '1233',
      from: 'CAN',
      to: 'KUL',
      attributes: { prediction: 10406 },
    },
    {
      id: '1234',
      from: 'DPS',
      to: 'KUL',
      attributes: { prediction: 22278 },
    },
    {
      id: '1235',
      from: 'MYY',
      to: 'KUL',
      attributes: { prediction: 15526 },
    },
    {
      id: '1236',
      from: 'LPL',
      to: 'KUN',
      attributes: { prediction: 1119 },
    },
    {
      id: '1237',
      from: 'HFE',
      to: 'KWE',
      attributes: { prediction: 1109 },
    },
    {
      id: '1238',
      from: 'AMM',
      to: 'KWI',
      attributes: { prediction: 11221 },
    },
    {
      id: '1239',
      from: 'LXR',
      to: 'KWI',
      attributes: { prediction: 6041 },
    },
    {
      id: '1240',
      from: 'BIS',
      to: 'LAS',
      attributes: { prediction: 1737 },
    },
    {
      id: '1241',
      from: 'FAT',
      to: 'LAS',
      attributes: { prediction: 6068 },
    },
    {
      id: '1242',
      from: 'LAS',
      to: 'LAX',
      attributes: { prediction: 92849 },
    },
    {
      id: '1243',
      from: 'MXP',
      to: 'LGW',
      attributes: { prediction: 12414 },
    },
    {
      id: '1244',
      from: 'EMK',
      to: 'KOT',
      attributes: { prediction: 321 },
    },
    {
      id: '1245',
      from: 'VNS',
      to: 'KTM',
      attributes: { prediction: 1780 },
    },
    {
      id: '1246',
      from: 'FRA',
      to: 'KTW',
      attributes: { prediction: 4848 },
    },
    {
      id: '1247',
      from: 'TRN',
      to: 'KTW',
      attributes: { prediction: 971 },
    },
    {
      id: '1248',
      from: 'AER',
      to: 'KUF',
      attributes: { prediction: 447 },
    },
    {
      id: '1249',
      from: 'FNT',
      to: 'MCO',
      attributes: { prediction: 2699 },
    },
    {
      id: '1250',
      from: 'DEL',
      to: 'LKO',
      attributes: { prediction: 22983 },
    },
    {
      id: '1251',
      from: 'ARN',
      to: 'LPA',
      attributes: { prediction: 477 },
    },
    {
      id: '1252',
      from: 'TXL',
      to: 'LPA',
      attributes: { prediction: 2834 },
    },
    {
      id: '1253',
      from: 'IQQ',
      to: 'LPB',
      attributes: { prediction: 1011 },
    },
    {
      id: '1254',
      from: 'RAK',
      to: 'LUX',
      attributes: { prediction: 382 },
    },
    {
      id: '1255',
      from: 'CPH',
      to: 'LYS',
      attributes: { prediction: 1252 },
    },
    {
      id: '1256',
      from: 'PTP',
      to: 'LYS',
      attributes: { prediction: 1727 },
    },
    {
      id: '1257',
      from: 'LIM',
      to: 'MAD',
      attributes: { prediction: 16042 },
    },
    {
      id: '1258',
      from: 'MUC',
      to: 'MAD',
      attributes: { prediction: 22356 },
    },
    {
      id: '1259',
      from: 'MVD',
      to: 'MAD',
      attributes: { prediction: 4336 },
    },
    {
      id: '1260',
      from: 'HRG',
      to: 'MAN',
      attributes: { prediction: 902 },
    },
    {
      id: '1261',
      from: 'ATL',
      to: 'MBJ',
      attributes: { prediction: 12368 },
    },
    {
      id: '1262',
      from: 'CVG',
      to: 'MCI',
      attributes: { prediction: 3411 },
    },
    {
      id: '1263',
      from: 'DOH',
      to: 'MEL',
      attributes: { prediction: 5896 },
    },
    {
      id: '1264',
      from: 'GLH',
      to: 'MEM',
      attributes: { prediction: 1148 },
    },
    {
      id: '1265',
      from: 'HEL',
      to: 'LGW',
      attributes: { prediction: 3587 },
    },
    {
      id: '1266',
      from: 'IBZ',
      to: 'NRN',
      attributes: { prediction: 2802 },
    },
    {
      id: '1267',
      from: 'SDJ',
      to: 'NRT',
      attributes: { prediction: 1923 },
    },
    {
      id: '1268',
      from: 'GDL',
      to: 'PHX',
      attributes: { prediction: 5725 },
    },
    {
      id: '1269',
      from: 'TUL',
      to: 'PHX',
      attributes: { prediction: 6509 },
    },
    {
      id: '1270',
      from: 'BFS',
      to: 'PMI',
      attributes: { prediction: 3876 },
    },
    {
      id: '1271',
      from: 'GRO',
      to: 'PMI',
      attributes: { prediction: 2560 },
    },
    {
      id: '1272',
      from: 'NBO',
      to: 'MRE',
      attributes: { prediction: 233 },
    },
    {
      id: '1273',
      from: 'ORY',
      to: 'MRU',
      attributes: { prediction: 3771 },
    },
    {
      id: '1274',
      from: 'ZRH',
      to: 'MUC',
      attributes: { prediction: 15775 },
    },
    {
      id: '1275',
      from: 'BUD',
      to: 'MXP',
      attributes: { prediction: 7540 },
    },
    {
      id: '1276',
      from: 'SVO',
      to: 'MXP',
      attributes: { prediction: 11101 },
    },
    {
      id: '1277',
      from: 'ITM',
      to: 'MYJ',
      attributes: { prediction: 9897 },
    },
    {
      id: '1278',
      from: 'MXP',
      to: 'RMF',
      attributes: { prediction: 146 },
    },
    {
      id: '1279',
      from: 'TIF',
      to: 'RUH',
      attributes: { prediction: 7259 },
    },
    {
      id: '1280',
      from: 'DOH',
      to: 'SAH',
      attributes: { prediction: 4119 },
    },
    {
      id: '1281',
      from: 'SVQ',
      to: 'SCQ',
      attributes: { prediction: 725 },
    },
    {
      id: '1282',
      from: 'YKS',
      to: 'PYJ',
      attributes: { prediction: 114 },
    },
    {
      id: '1283',
      from: 'BLA',
      to: 'PZO',
      attributes: { prediction: 1316 },
    },
    {
      id: '1284',
      from: 'GRU',
      to: 'REC',
      attributes: { prediction: 63786 },
    },
    {
      id: '1285',
      from: 'PIE',
      to: 'RFD',
      attributes: { prediction: 1614 },
    },
    {
      id: '1286',
      from: 'DSM',
      to: 'ORD',
      attributes: { prediction: 15664 },
    },
    {
      id: '1287',
      from: 'GSP',
      to: 'ORD',
      attributes: { prediction: 3501 },
    },
    {
      id: '1288',
      from: 'IAD',
      to: 'ORF',
      attributes: { prediction: 6398 },
    },
    {
      id: '1289',
      from: 'OSL',
      to: 'ORY',
      attributes: { prediction: 3425 },
    },
    {
      id: '1290',
      from: 'DXB',
      to: 'OTP',
      attributes: { prediction: 1191 },
    },
    {
      id: '1291',
      from: 'TGM',
      to: 'OTP',
      attributes: { prediction: 423 },
    },
    {
      id: '1292',
      from: 'LFW',
      to: 'OUA',
      attributes: { prediction: 3196 },
    },
    {
      id: '1293',
      from: 'JFK',
      to: 'PAP',
      attributes: { prediction: 7416 },
    },
    {
      id: '1294',
      from: 'CAY',
      to: 'PBM',
      attributes: { prediction: 310 },
    },
    {
      id: '1295',
      from: 'BKK',
      to: 'PEK',
      attributes: { prediction: 20200 },
    },
    {
      id: '1296',
      from: 'HAK',
      to: 'PEK',
      attributes: { prediction: 21245 },
    },
    {
      id: '1297',
      from: 'KVL',
      to: 'PHO',
      attributes: { prediction: 72 },
    },
    {
      id: '1298',
      from: 'SBP',
      to: 'PHX',
      attributes: { prediction: 3918 },
    },
    {
      id: '1299',
      from: 'AZA',
      to: 'PIA',
      attributes: { prediction: 1832 },
    },
    {
      id: '1300',
      from: 'PHL',
      to: 'PIT',
      attributes: { prediction: 25681 },
    },
    {
      id: '1301',
      from: 'AAX',
      to: 'PLU',
      attributes: { prediction: 1012 },
    },
    {
      id: '1302',
      from: 'WAW',
      to: 'PMI',
      attributes: { prediction: 954 },
    },
    {
      id: '1303',
      from: 'JNB',
      to: 'PNR',
      attributes: { prediction: 1888 },
    },
    {
      id: '1304',
      from: 'HHN',
      to: 'PRG',
      attributes: { prediction: 2197 },
    },
    {
      id: '1305',
      from: 'VNO',
      to: 'PRG',
      attributes: { prediction: 4713 },
    },
    {
      id: '1306',
      from: 'NNL',
      to: 'PTA',
      attributes: { prediction: 76 },
    },
    {
      id: '1307',
      from: 'GDL',
      to: 'PTY',
      attributes: { prediction: 1182 },
    },
    {
      id: '1308',
      from: 'DLC',
      to: 'PVG',
      attributes: { prediction: 52859 },
    },
    {
      id: '1309',
      from: 'MSP',
      to: 'RST',
      attributes: { prediction: 4038 },
    },
    {
      id: '1310',
      from: 'KHI',
      to: 'RZS',
      attributes: { prediction: 311 },
    },
    {
      id: '1311',
      from: 'SAT',
      to: 'SAN',
      attributes: { prediction: 6155 },
    },
    {
      id: '1312',
      from: 'ADB',
      to: 'SAW',
      attributes: { prediction: 28308 },
    },
    {
      id: '1313',
      from: 'BLE',
      to: 'SDL',
      attributes: { prediction: 79 },
    },
    {
      id: '1314',
      from: 'CDB',
      to: 'SDP',
      attributes: { prediction: 215 },
    },
    {
      id: '1315',
      from: 'EWR',
      to: 'SNN',
      attributes: { prediction: 3558 },
    },
    {
      id: '1316',
      from: 'AGP',
      to: 'SOF',
      attributes: { prediction: 436 },
    },
    {
      id: '1317',
      from: 'SVO',
      to: 'SOF',
      attributes: { prediction: 4264 },
    },
    {
      id: '1318',
      from: 'NDY',
      to: 'SOY',
      attributes: { prediction: 22 },
    },
    {
      id: '1319',
      from: 'BGO',
      to: 'SPU',
      attributes: { prediction: 460 },
    },
    {
      id: '1320',
      from: 'VIE',
      to: 'SPU',
      attributes: { prediction: 2478 },
    },
    {
      id: '1321',
      from: 'CTA',
      to: 'SSH',
      attributes: { prediction: 205 },
    },
    {
      id: '1322',
      from: 'ZRH',
      to: 'SSH',
      attributes: { prediction: 1950 },
    },
    {
      id: '1323',
      from: 'FLN',
      to: 'SCL',
      attributes: { prediction: 103 },
    },
    {
      id: '1324',
      from: 'MAD',
      to: 'SCU',
      attributes: { prediction: 950 },
    },
    {
      id: '1325',
      from: 'MCO',
      to: 'SEA',
      attributes: { prediction: 4667 },
    },
    {
      id: '1326',
      from: 'JSU',
      to: 'SFJ',
      attributes: { prediction: 316 },
    },
    {
      id: '1327',
      from: 'DFW',
      to: 'SFO',
      attributes: { prediction: 41616 },
    },
    {
      id: '1328',
      from: 'XMN',
      to: 'SHE',
      attributes: { prediction: 4524 },
    },
    {
      id: '1329',
      from: 'NBO',
      to: 'SHJ',
      attributes: { prediction: 1670 },
    },
    {
      id: '1330',
      from: 'MDW',
      to: 'SJC',
      attributes: { prediction: 3171 },
    },
    {
      id: '1331',
      from: 'SMF',
      to: 'SJC',
      attributes: { prediction: 2269 },
    },
    {
      id: '1332',
      from: 'IST',
      to: 'SJJ',
      attributes: { prediction: 5430 },
    },
    {
      id: '1333',
      from: 'SAT',
      to: 'SLC',
      attributes: { prediction: 3492 },
    },
    {
      id: '1334',
      from: 'ACE',
      to: 'STR',
      attributes: { prediction: 1205 },
    },
    {
      id: '1335',
      from: 'SAW',
      to: 'STR',
      attributes: { prediction: 9503 },
    },
    {
      id: '1336',
      from: 'LEJ',
      to: 'SUF',
      attributes: { prediction: 542 },
    },
    {
      id: '1337',
      from: 'OTP',
      to: 'SUJ',
      attributes: { prediction: 681 },
    },
    {
      id: '1338',
      from: 'DFW',
      to: 'SGF',
      attributes: { prediction: 10256 },
    },
    {
      id: '1339',
      from: 'LPL',
      to: 'TPS',
      attributes: { prediction: 1186 },
    },
    {
      id: '1340',
      from: 'NCE',
      to: 'TRD',
      attributes: { prediction: 472 },
    },
    {
      id: '1341',
      from: 'EZE',
      to: 'SYD',
      attributes: { prediction: 3181 },
    },
    {
      id: '1342',
      from: 'LNZ',
      to: 'SZG',
      attributes: { prediction: 1827 },
    },
    {
      id: '1343',
      from: 'CTU',
      to: 'SZX',
      attributes: { prediction: 35827 },
    },
    {
      id: '1344',
      from: 'NGB',
      to: 'TAO',
      attributes: { prediction: 5057 },
    },
    {
      id: '1345',
      from: 'DXB',
      to: 'TIP',
      attributes: { prediction: 6707 },
    },
    {
      id: '1346',
      from: 'GOT',
      to: 'TLL',
      attributes: { prediction: 411 },
    },
    {
      id: '1347',
      from: 'KRK',
      to: 'TLV',
      attributes: { prediction: 106 },
    },
    {
      id: '1348',
      from: 'ACY',
      to: 'TPA',
      attributes: { prediction: 3224 },
    },
    {
      id: '1349',
      from: 'HPN',
      to: 'TPA',
      attributes: { prediction: 2264 },
    },
    {
      id: '1350',
      from: 'HIJ',
      to: 'TPE',
      attributes: { prediction: 2037 },
    },
    {
      id: '1351',
      from: 'TIA',
      to: 'TSF',
      attributes: { prediction: 1443 },
    },
    {
      id: '1352',
      from: 'ZSJ',
      to: 'YWG',
      attributes: { prediction: 180 },
    },
    {
      id: '1353',
      from: 'YQT',
      to: 'YWP',
      attributes: { prediction: 50 },
    },
    {
      id: '1354',
      from: 'ZRH',
      to: 'ACE',
      attributes: { prediction: 1268 },
    },
    {
      id: '1355',
      from: 'PLO',
      to: 'ADL',
      attributes: { prediction: 8558 },
    },
    {
      id: '1356',
      from: 'EQS',
      to: 'AEP',
      attributes: { prediction: 595 },
    },
    {
      id: '1357',
      from: 'KRR',
      to: 'AER',
      attributes: { prediction: 1666 },
    },
    {
      id: '1358',
      from: 'STR',
      to: 'AGP',
      attributes: { prediction: 3633 },
    },
    {
      id: '1359',
      from: 'ALC',
      to: 'VLL',
      attributes: { prediction: 1986 },
    },
    {
      id: '1360',
      from: 'SLA',
      to: 'VVI',
      attributes: { prediction: 774 },
    },
    {
      id: '1361',
      from: 'EIN',
      to: 'WAW',
      attributes: { prediction: 1662 },
    },
    {
      id: '1362',
      from: 'EWR',
      to: 'WAW',
      attributes: { prediction: 2154 },
    },
    {
      id: '1363',
      from: 'FRL',
      to: 'WAW',
      attributes: { prediction: 1704 },
    },
    {
      id: '1364',
      from: 'LYG',
      to: 'XMN',
      attributes: { prediction: 500 },
    },
    {
      id: '1365',
      from: 'YOW',
      to: 'YEG',
      attributes: { prediction: 4011 },
    },
    {
      id: '1366',
      from: 'YVR',
      to: 'YPR',
      attributes: { prediction: 1226 },
    },
    {
      id: '1367',
      from: 'CUN',
      to: 'YUL',
      attributes: { prediction: 5347 },
    },
    {
      id: '1368',
      from: 'PVR',
      to: 'YUL',
      attributes: { prediction: 198 },
    },
    {
      id: '1369',
      from: 'YYC',
      to: 'YVR',
      attributes: { prediction: 69520 },
    },
    {
      id: '1370',
      from: 'SUR',
      to: 'YWP',
      attributes: { prediction: 62 },
    },
    {
      id: '1371',
      from: 'SFO',
      to: 'YYC',
      attributes: { prediction: 6213 },
    },
    {
      id: '1372',
      from: 'YLW',
      to: 'YYJ',
      attributes: { prediction: 2445 },
    },
    {
      id: '1373',
      from: 'GGT',
      to: 'YYZ',
      attributes: { prediction: 282 },
    },
    {
      id: '1374',
      from: 'YKT',
      to: 'ZEL',
      attributes: { prediction: 17 },
    },
    {
      id: '1375',
      from: 'FUE',
      to: 'ZQW',
      attributes: { prediction: 625 },
    },
    {
      id: '1376',
      from: 'SOF',
      to: 'ZRH',
      attributes: { prediction: 3799 },
    },
    {
      id: '1377',
      from: 'TIA',
      to: 'ZRH',
      attributes: { prediction: 660 },
    },
    {
      id: '1378',
      from: 'VIE',
      to: 'ZRH',
      attributes: { prediction: 36870 },
    },
    {
      id: '1379',
      from: 'SEA',
      to: 'ALW',
      attributes: { prediction: 2326 },
    },
    {
      id: '1380',
      from: 'MXP',
      to: 'AMM',
      attributes: { prediction: 1657 },
    },
    {
      id: '1381',
      from: 'AMM',
      to: 'ALY',
      attributes: { prediction: 1491 },
    },
    {
      id: '1382',
      from: 'ATH',
      to: 'AMM',
      attributes: { prediction: 1698 },
    },
    {
      id: '1383',
      from: 'YUL',
      to: 'BDL',
      attributes: { prediction: 1135 },
    },
    {
      id: '1384',
      from: 'EMK',
      to: 'BET',
      attributes: { prediction: 224 },
    },
    {
      id: '1385',
      from: 'BCN',
      to: 'BFS',
      attributes: { prediction: 4583 },
    },
    {
      id: '1386',
      from: 'LED',
      to: 'AMS',
      attributes: { prediction: 6427 },
    },
    {
      id: '1387',
      from: 'TMM',
      to: 'ANM',
      attributes: { prediction: 196 },
    },
    {
      id: '1388',
      from: 'NRN',
      to: 'AOI',
      attributes: { prediction: 1920 },
    },
    {
      id: '1389',
      from: 'SCL',
      to: 'ARI',
      attributes: { prediction: 4254 },
    },
    {
      id: '1390',
      from: 'SYD',
      to: 'ASP',
      attributes: { prediction: 3360 },
    },
    {
      id: '1391',
      from: 'BNA',
      to: 'ATL',
      attributes: { prediction: 20604 },
    },
    {
      id: '1392',
      from: 'GTR',
      to: 'ATL',
      attributes: { prediction: 1606 },
    },
    {
      id: '1393',
      from: 'MEX',
      to: 'ATL',
      attributes: { prediction: 12813 },
    },
    {
      id: '1394',
      from: 'ASB',
      to: 'ATQ',
      attributes: { prediction: 3991 },
    },
    {
      id: '1395',
      from: 'MCO',
      to: 'AUA',
      attributes: { prediction: 520 },
    },
    {
      id: '1396',
      from: 'LHR',
      to: 'AUH',
      attributes: { prediction: 23795 },
    },
    {
      id: '1397',
      from: 'FLL',
      to: 'AUS',
      attributes: { prediction: 5953 },
    },
    {
      id: '1398',
      from: 'CTS',
      to: 'AXT',
      attributes: { prediction: 3658 },
    },
    {
      id: '1399',
      from: 'TLV',
      to: 'AYT',
      attributes: { prediction: 2923 },
    },
    {
      id: '1400',
      from: 'MFR',
      to: 'AZA',
      attributes: { prediction: 1165 },
    },
    {
      id: '1401',
      from: 'DEL',
      to: 'BAH',
      attributes: { prediction: 8425 },
    },
    {
      id: '1402',
      from: 'SHJ',
      to: 'BAH',
      attributes: { prediction: 6639 },
    },
    {
      id: '1403',
      from: 'NTE',
      to: 'BGY',
      attributes: { prediction: 2619 },
    },
    {
      id: '1404',
      from: 'LPL',
      to: 'BHD',
      attributes: { prediction: 13082 },
    },
    {
      id: '1405',
      from: 'YYZ',
      to: 'BHX',
      attributes: { prediction: 1633 },
    },
    {
      id: '1406',
      from: 'BRU',
      to: 'BJM',
      attributes: { prediction: 1708 },
    },
    {
      id: '1407',
      from: 'DLM',
      to: 'BHX',
      attributes: { prediction: 3147 },
    },
    {
      id: '1408',
      from: 'ADD',
      to: 'BJR',
      attributes: { prediction: 4528 },
    },
    {
      id: '1409',
      from: 'SZX',
      to: 'BKI',
      attributes: { prediction: 3752 },
    },
    {
      id: '1410',
      from: 'NGO',
      to: 'BKK',
      attributes: { prediction: 11347 },
    },
    {
      id: '1411',
      from: 'AHO',
      to: 'BVA',
      attributes: { prediction: 1341 },
    },
    {
      id: '1412',
      from: 'MAN',
      to: 'BVC',
      attributes: { prediction: 796 },
    },
    {
      id: '1413',
      from: 'AUS',
      to: 'BWI',
      attributes: { prediction: 6636 },
    },
    {
      id: '1414',
      from: 'RSW',
      to: 'BWI',
      attributes: { prediction: 10642 },
    },
    {
      id: '1415',
      from: 'ZAG',
      to: 'BWK',
      attributes: { prediction: 292 },
    },
    {
      id: '1416',
      from: 'NYO',
      to: 'BZR',
      attributes: { prediction: 1279 },
    },
    {
      id: '1417',
      from: 'HAD',
      to: 'BMA',
      attributes: { prediction: 1122 },
    },
    {
      id: '1418',
      from: 'BDB',
      to: 'BNE',
      attributes: { prediction: 3414 },
    },
    {
      id: '1419',
      from: 'PMI',
      to: 'BOH',
      attributes: { prediction: 473 },
    },
    {
      id: '1420',
      from: 'AUS',
      to: 'BOS',
      attributes: { prediction: 2621 },
    },
    {
      id: '1421',
      from: 'PQI',
      to: 'BOS',
      attributes: { prediction: 1810 },
    },
    {
      id: '1422',
      from: 'SNW',
      to: 'BSX',
      attributes: { prediction: 106 },
    },
    {
      id: '1423',
      from: 'BRU',
      to: 'BUD',
      attributes: { prediction: 8781 },
    },
    {
      id: '1424',
      from: 'CGN',
      to: 'CAI',
      attributes: { prediction: 1221 },
    },
    {
      id: '1425',
      from: 'CGN',
      to: 'CAG',
      attributes: { prediction: 1923 },
    },
    {
      id: '1426',
      from: 'VIE',
      to: 'CAG',
      attributes: { prediction: 380 },
    },
    {
      id: '1427',
      from: 'LUX',
      to: 'CDG',
      attributes: { prediction: 2818 },
    },
    {
      id: '1428',
      from: 'RBA',
      to: 'CDG',
      attributes: { prediction: 7123 },
    },
    {
      id: '1429',
      from: 'ICN',
      to: 'CEB',
      attributes: { prediction: 13565 },
    },
    {
      id: '1430',
      from: 'FAI',
      to: 'CEM',
      attributes: { prediction: 160 },
    },
    {
      id: '1431',
      from: 'MEL',
      to: 'CHC',
      attributes: { prediction: 8615 },
    },
    {
      id: '1432',
      from: 'CJU',
      to: 'CJJ',
      attributes: { prediction: 21188 },
    },
    {
      id: '1433',
      from: 'CSX',
      to: 'CKG',
      attributes: { prediction: 10201 },
    },
    {
      id: '1434',
      from: 'MEX',
      to: 'CLQ',
      attributes: { prediction: 2619 },
    },
    {
      id: '1435',
      from: 'ICN',
      to: 'CNX',
      attributes: { prediction: 856 },
    },
    {
      id: '1436',
      from: 'SFO',
      to: 'COS',
      attributes: { prediction: 1107 },
    },
    {
      id: '1437',
      from: 'AGP',
      to: 'CPH',
      attributes: { prediction: 12520 },
    },
    {
      id: '1438',
      from: 'KEF',
      to: 'CPH',
      attributes: { prediction: 15650 },
    },
    {
      id: '1439',
      from: 'PMI',
      to: 'CPH',
      attributes: { prediction: 7624 },
    },
    {
      id: '1440',
      from: 'PSA',
      to: 'CPH',
      attributes: { prediction: 2612 },
    },
    {
      id: '1441',
      from: 'WAW',
      to: 'CPH',
      attributes: { prediction: 9537 },
    },
    {
      id: '1442',
      from: 'NQN',
      to: 'CRD',
      attributes: { prediction: 887 },
    },
    {
      id: '1443',
      from: 'GRO',
      to: 'CRL',
      attributes: { prediction: 9873 },
    },
    {
      id: '1444',
      from: 'JFK',
      to: 'CPH',
      attributes: { prediction: 4636 },
    },
    {
      id: '1445',
      from: 'KRP',
      to: 'CPH',
      attributes: { prediction: 19106 },
    },
    {
      id: '1446',
      from: 'SLC',
      to: 'HLN',
      attributes: { prediction: 3349 },
    },
    {
      id: '1447',
      from: 'SAN',
      to: 'HOU',
      attributes: { prediction: 6589 },
    },
    {
      id: '1448',
      from: 'BSL',
      to: 'HRG',
      attributes: { prediction: 1779 },
    },
    {
      id: '1449',
      from: 'LAS',
      to: 'HSV',
      attributes: { prediction: 250 },
    },
    {
      id: '1450',
      from: 'RDU',
      to: 'IAD',
      attributes: { prediction: 13043 },
    },
    {
      id: '1451',
      from: 'EBA',
      to: 'FDH',
      attributes: { prediction: 323 },
    },
    {
      id: '1452',
      from: 'GRZ',
      to: 'FDH',
      attributes: { prediction: 922 },
    },
    {
      id: '1453',
      from: 'VIE',
      to: 'FDH',
      attributes: { prediction: 3350 },
    },
    {
      id: '1454',
      from: 'ELH',
      to: 'FLL',
      attributes: { prediction: 1137 },
    },
    {
      id: '1455',
      from: 'XAP',
      to: 'FLN',
      attributes: { prediction: 7329 },
    },
    {
      id: '1456',
      from: 'CMN',
      to: 'FNA',
      attributes: { prediction: 1068 },
    },
    {
      id: '1457',
      from: 'LOS',
      to: 'FNA',
      attributes: { prediction: 271 },
    },
    {
      id: '1458',
      from: 'SFO',
      to: 'DFW',
      attributes: { prediction: 41850 },
    },
    {
      id: '1459',
      from: 'SCO',
      to: 'DME',
      attributes: { prediction: 1351 },
    },
    {
      id: '1460',
      from: 'SIN',
      to: 'DOH',
      attributes: { prediction: 7307 },
    },
    {
      id: '1461',
      from: 'MIR',
      to: 'DSA',
      attributes: { prediction: 676 },
    },
    {
      id: '1462',
      from: 'BWI',
      to: 'DTW',
      attributes: { prediction: 31859 },
    },
    {
      id: '1463',
      from: 'NTE',
      to: 'DUB',
      attributes: { prediction: 1849 },
    },
    {
      id: '1464',
      from: 'SVO',
      to: 'DXB',
      attributes: { prediction: 4635 },
    },
    {
      id: '1465',
      from: 'BWI',
      to: 'ECP',
      attributes: { prediction: 853 },
    },
    {
      id: '1466',
      from: 'MAD',
      to: 'EDI',
      attributes: { prediction: 3765 },
    },
    {
      id: '1467',
      from: 'SOU',
      to: 'EDI',
      attributes: { prediction: 11269 },
    },
    {
      id: '1468',
      from: 'AKN',
      to: 'EGX',
      attributes: { prediction: 34 },
    },
    {
      id: '1469',
      from: 'ORD',
      to: 'ELP',
      attributes: { prediction: 9941 },
    },
    {
      id: '1470',
      from: 'AUA',
      to: 'EWR',
      attributes: { prediction: 5108 },
    },
    {
      id: '1471',
      from: 'FLL',
      to: 'EWR',
      attributes: { prediction: 36389 },
    },
    {
      id: '1472',
      from: 'FRA',
      to: 'EWR',
      attributes: { prediction: 27494 },
    },
    {
      id: '1473',
      from: 'KBC',
      to: 'FAI',
      attributes: { prediction: 113 },
    },
    {
      id: '1474',
      from: 'SEA',
      to: 'FAI',
      attributes: { prediction: 14403 },
    },
    {
      id: '1475',
      from: 'GLA',
      to: 'FAO',
      attributes: { prediction: 1104 },
    },
    {
      id: '1476',
      from: 'ALG',
      to: 'FCO',
      attributes: { prediction: 6057 },
    },
    {
      id: '1477',
      from: 'FLR',
      to: 'FCO',
      attributes: { prediction: 8556 },
    },
    {
      id: '1478',
      from: 'MAD',
      to: 'FCO',
      attributes: { prediction: 55689 },
    },
    {
      id: '1479',
      from: 'MAN',
      to: 'FCO',
      attributes: { prediction: 2576 },
    },
    {
      id: '1480',
      from: 'EWR',
      to: 'GCM',
      attributes: { prediction: 1232 },
    },
    {
      id: '1481',
      from: 'IAH',
      to: 'GDL',
      attributes: { prediction: 6564 },
    },
    {
      id: '1482',
      from: 'TLC',
      to: 'GDL',
      attributes: { prediction: 13069 },
    },
    {
      id: '1483',
      from: 'CGN',
      to: 'GDN',
      attributes: { prediction: 1849 },
    },
    {
      id: '1484',
      from: 'EDI',
      to: 'GDN',
      attributes: { prediction: 2022 },
    },
    {
      id: '1485',
      from: 'DFW',
      to: 'GJT',
      attributes: { prediction: 2295 },
    },
    {
      id: '1486',
      from: 'BJF',
      to: 'HFT',
      attributes: { prediction: 137 },
    },
    {
      id: '1487',
      from: 'KIX',
      to: 'GMP',
      attributes: { prediction: 26359 },
    },
    {
      id: '1488',
      from: 'IST',
      to: 'GNY',
      attributes: { prediction: 6011 },
    },
    {
      id: '1489',
      from: 'BRS',
      to: 'GRO',
      attributes: { prediction: 1957 },
    },
    {
      id: '1490',
      from: 'BDL',
      to: 'GRR',
      attributes: { prediction: 81 },
    },
    {
      id: '1491',
      from: 'FSD',
      to: 'GRR',
      attributes: { prediction: 38 },
    },
    {
      id: '1492',
      from: 'IAH',
      to: 'GSP',
      attributes: { prediction: 3378 },
    },
    {
      id: '1493',
      from: 'BIA',
      to: 'GVA',
      attributes: { prediction: 586 },
    },
    {
      id: '1494',
      from: 'MIA',
      to: 'GYE',
      attributes: { prediction: 10718 },
    },
    {
      id: '1495',
      from: 'BHX',
      to: 'HAJ',
      attributes: { prediction: 2539 },
    },
    {
      id: '1496',
      from: 'KRK',
      to: 'HEL',
      attributes: { prediction: 860 },
    },
    {
      id: '1497',
      from: 'SVO',
      to: 'HEL',
      attributes: { prediction: 7296 },
    },
    {
      id: '1498',
      from: 'FRA',
      to: 'HER',
      attributes: { prediction: 4981 },
    },
    {
      id: '1499',
      from: 'DTW',
      to: 'HPN',
      attributes: { prediction: 4626 },
    },
    {
      id: '1500',
      from: 'IND',
      to: 'HSV',
      attributes: { prediction: 152 },
    },
    {
      id: '1501',
      from: 'PEK',
      to: 'JJN',
      attributes: { prediction: 1765 },
    },
    {
      id: '1502',
      from: 'MQP',
      to: 'JNB',
      attributes: { prediction: 7410 },
    },
    {
      id: '1503',
      from: 'ATH',
      to: 'JNX',
      attributes: { prediction: 1044 },
    },
    {
      id: '1504',
      from: 'KUL',
      to: 'JOG',
      attributes: { prediction: 5152 },
    },
    {
      id: '1505',
      from: 'DBV',
      to: 'KBP',
      attributes: { prediction: 657 },
    },
    {
      id: '1506',
      from: 'DTM',
      to: 'KBP',
      attributes: { prediction: 3679 },
    },
    {
      id: '1507',
      from: 'DUS',
      to: 'KBP',
      attributes: { prediction: 4782 },
    },
    {
      id: '1508',
      from: 'HAN',
      to: 'KHH',
      attributes: { prediction: 1233 },
    },
    {
      id: '1509',
      from: 'NGB',
      to: 'KHH',
      attributes: { prediction: 1119 },
    },
    {
      id: '1510',
      from: 'JEG',
      to: 'JQA',
      attributes: { prediction: 266 },
    },
    {
      id: '1511',
      from: 'XIY',
      to: 'JZH',
      attributes: { prediction: 2532 },
    },
    {
      id: '1512',
      from: 'WUH',
      to: 'ICN',
      attributes: { prediction: 1652 },
    },
    {
      id: '1513',
      from: 'ANC',
      to: 'ILI',
      attributes: { prediction: 367 },
    },
    {
      id: '1514',
      from: 'JGO',
      to: 'JEG',
      attributes: { prediction: 46 },
    },
    {
      id: '1515',
      from: 'ACK',
      to: 'JFK',
      attributes: { prediction: 334 },
    },
    {
      id: '1516',
      from: 'ARN',
      to: 'JFK',
      attributes: { prediction: 597 },
    },
    {
      id: '1517',
      from: 'DCA',
      to: 'JFK',
      attributes: { prediction: 13578 },
    },
    {
      id: '1518',
      from: 'GND',
      to: 'JFK',
      attributes: { prediction: 959 },
    },
    {
      id: '1519',
      from: 'MCI',
      to: 'JFK',
      attributes: { prediction: 2042 },
    },
    {
      id: '1520',
      from: 'SAN',
      to: 'JFK',
      attributes: { prediction: 19532 },
    },
    {
      id: '1521',
      from: 'SBW',
      to: 'JHB',
      attributes: { prediction: 1647 },
    },
    {
      id: '1522',
      from: 'ASO',
      to: 'JIM',
      attributes: { prediction: 639 },
    },
    {
      id: '1523',
      from: 'NKM',
      to: 'KMJ',
      attributes: { prediction: 1297 },
    },
    {
      id: '1524',
      from: 'DME',
      to: 'MAD',
      attributes: { prediction: 6280 },
    },
    {
      id: '1525',
      from: 'MVD',
      to: 'MAD',
      attributes: { prediction: 4200 },
    },
    {
      id: '1526',
      from: 'TFS',
      to: 'MAN',
      attributes: { prediction: 19768 },
    },
    {
      id: '1527',
      from: 'FLL',
      to: 'MCI',
      attributes: { prediction: 3405 },
    },
    {
      id: '1528',
      from: 'BNA',
      to: 'MCO',
      attributes: { prediction: 17466 },
    },
    {
      id: '1529',
      from: 'BQN',
      to: 'MCO',
      attributes: { prediction: 3903 },
    },
    {
      id: '1530',
      from: 'CNP',
      to: 'KUS',
      attributes: { prediction: 94 },
    },
    {
      id: '1531',
      from: 'MJT',
      to: 'KVA',
      attributes: { prediction: 370 },
    },
    {
      id: '1532',
      from: 'XUZ',
      to: 'KWE',
      attributes: { prediction: 458 },
    },
    {
      id: '1533',
      from: 'KHZ',
      to: 'KXU',
      attributes: { prediction: 126 },
    },
    {
      id: '1534',
      from: 'RHO',
      to: 'KZS',
      attributes: { prediction: 639 },
    },
    {
      id: '1535',
      from: 'JNB',
      to: 'LAD',
      attributes: { prediction: 8914 },
    },
    {
      id: '1536',
      from: 'BZN',
      to: 'LAS',
      attributes: { prediction: 911 },
    },
    {
      id: '1537',
      from: 'TUL',
      to: 'LAS',
      attributes: { prediction: 3510 },
    },
    {
      id: '1538',
      from: 'DUS',
      to: 'LAX',
      attributes: { prediction: 1706 },
    },
    {
      id: '1539',
      from: 'RKT',
      to: 'LBD',
      attributes: { prediction: 319 },
    },
    {
      id: '1540',
      from: 'ATH',
      to: 'LCA',
      attributes: { prediction: 38863 },
    },
    {
      id: '1541',
      from: 'HAM',
      to: 'LCA',
      attributes: { prediction: 680 },
    },
    {
      id: '1542',
      from: 'EIN',
      to: 'LCY',
      attributes: { prediction: 1604 },
    },
    {
      id: '1543',
      from: 'MJK',
      to: 'LEA',
      attributes: { prediction: 91 },
    },
    {
      id: '1544',
      from: 'CHO',
      to: 'LGA',
      attributes: { prediction: 1769 },
    },
    {
      id: '1545',
      from: 'YYZ',
      to: 'LGA',
      attributes: { prediction: 31265 },
    },
    {
      id: '1546',
      from: 'CTG',
      to: 'MDE',
      attributes: { prediction: 3064 },
    },
    {
      id: '1547',
      from: 'ABZ',
      to: 'LHR',
      attributes: { prediction: 30223 },
    },
    {
      id: '1548',
      from: 'YOW',
      to: 'LHR',
      attributes: { prediction: 4837 },
    },
    {
      id: '1549',
      from: 'GIG',
      to: 'LIM',
      attributes: { prediction: 2385 },
    },
    {
      id: '1550',
      from: 'MHT',
      to: 'LIR',
      attributes: { prediction: 139 },
    },
    {
      id: '1551',
      from: 'MYY',
      to: 'LMN',
      attributes: { prediction: 2149 },
    },
    {
      id: '1552',
      from: 'BRS',
      to: 'LRH',
      attributes: { prediction: 519 },
    },
    {
      id: '1553',
      from: 'CYB',
      to: 'LYB',
      attributes: { prediction: 176 },
    },
    {
      id: '1554',
      from: 'BES',
      to: 'LYS',
      attributes: { prediction: 5123 },
    },
    {
      id: '1555',
      from: 'LUX',
      to: 'LYS',
      attributes: { prediction: 527 },
    },
    {
      id: '1556',
      from: 'MLM',
      to: 'MEX',
      attributes: { prediction: 4929 },
    },
    {
      id: '1557',
      from: 'SAL',
      to: 'MGA',
      attributes: { prediction: 6995 },
    },
    {
      id: '1558',
      from: 'KRR',
      to: 'LED',
      attributes: { prediction: 1440 },
    },
    {
      id: '1559',
      from: 'ICN',
      to: 'MUC',
      attributes: { prediction: 4476 },
    },
    {
      id: '1560',
      from: 'JTR',
      to: 'MUC',
      attributes: { prediction: 400 },
    },
    {
      id: '1561',
      from: 'IAD',
      to: 'MVD',
      attributes: { prediction: 114 },
    },
    {
      id: '1562',
      from: 'BHX',
      to: 'MXP',
      attributes: { prediction: 2484 },
    },
    {
      id: '1563',
      from: 'GRU',
      to: 'MXP',
      attributes: { prediction: 6633 },
    },
    {
      id: '1564',
      from: 'DCA',
      to: 'MYR',
      attributes: { prediction: 357 },
    },
    {
      id: '1565',
      from: 'TSA',
      to: 'MZG',
      attributes: { prediction: 19062 },
    },
    {
      id: '1566',
      from: 'HKG',
      to: 'NAN',
      attributes: { prediction: 1638 },
    },
    {
      id: '1567',
      from: 'TCB',
      to: 'MHH',
      attributes: { prediction: 125 },
    },
    {
      id: '1568',
      from: 'CVG',
      to: 'MIA',
      attributes: { prediction: 4897 },
    },
    {
      id: '1569',
      from: 'SXM',
      to: 'MIA',
      attributes: { prediction: 5597 },
    },
    {
      id: '1570',
      from: 'TGZ',
      to: 'MID',
      attributes: { prediction: 1844 },
    },
    {
      id: '1571',
      from: 'MAN',
      to: 'MJV',
      attributes: { prediction: 5755 },
    },
    {
      id: '1572',
      from: 'BNA',
      to: 'MKE',
      attributes: { prediction: 2670 },
    },
    {
      id: '1573',
      from: 'MCO',
      to: 'MLI',
      attributes: { prediction: 1633 },
    },
    {
      id: '1574',
      from: 'AUH',
      to: 'MNL',
      attributes: { prediction: 15674 },
    },
    {
      id: '1575',
      from: 'HKG',
      to: 'MNL',
      attributes: { prediction: 86110 },
    },
    {
      id: '1576',
      from: 'CDG',
      to: 'MPL',
      attributes: { prediction: 14134 },
    },
    {
      id: '1577',
      from: 'AXU',
      to: 'MQX',
      attributes: { prediction: 143 },
    },
    {
      id: '1578',
      from: 'ORD',
      to: 'MSN',
      attributes: { prediction: 14543 },
    },
    {
      id: '1579',
      from: 'ESB',
      to: 'MSR',
      attributes: { prediction: 1689 },
    },
    {
      id: '1580',
      from: 'ALB',
      to: 'MSS',
      attributes: { prediction: 573 },
    },
    {
      id: '1581',
      from: 'SLP',
      to: 'MTY',
      attributes: { prediction: 1543 },
    },
    {
      id: '1582',
      from: 'CGN',
      to: 'NCE',
      attributes: { prediction: 3786 },
    },
    {
      id: '1583',
      from: 'CPH',
      to: 'NCE',
      attributes: { prediction: 13036 },
    },
    {
      id: '1584',
      from: 'SOU',
      to: 'NCE',
      attributes: { prediction: 1097 },
    },
    {
      id: '1585',
      from: 'SSH',
      to: 'NCL',
      attributes: { prediction: 2451 },
    },
    {
      id: '1586',
      from: 'BOM',
      to: 'NDC',
      attributes: { prediction: 354 },
    },
    {
      id: '1587',
      from: 'SYX',
      to: 'NGB',
      attributes: { prediction: 4319 },
    },
    {
      id: '1588',
      from: 'AOJ',
      to: 'NGO',
      attributes: { prediction: 6843 },
    },
    {
      id: '1589',
      from: 'HKG',
      to: 'NGO',
      attributes: { prediction: 8646 },
    },
    {
      id: '1590',
      from: 'MNL',
      to: 'NGO',
      attributes: { prediction: 13334 },
    },
    {
      id: '1591',
      from: 'PRG',
      to: 'NAP',
      attributes: { prediction: 3388 },
    },
    {
      id: '1592',
      from: 'FEN',
      to: 'NAT',
      attributes: { prediction: 1123 },
    },
    {
      id: '1593',
      from: 'CMN',
      to: 'NCE',
      attributes: { prediction: 2439 },
    },
    {
      id: '1594',
      from: 'AGP',
      to: 'NCL',
      attributes: { prediction: 9294 },
    },
    {
      id: '1595',
      from: 'PTP',
      to: 'PAP',
      attributes: { prediction: 3189 },
    },
    {
      id: '1596',
      from: 'BOS',
      to: 'PDX',
      attributes: { prediction: 4104 },
    },
    {
      id: '1597',
      from: 'IAH',
      to: 'PDX',
      attributes: { prediction: 17260 },
    },
    {
      id: '1598',
      from: 'BHY',
      to: 'PEK',
      attributes: { prediction: 2849 },
    },
    {
      id: '1599',
      from: 'CHG',
      to: 'PEK',
      attributes: { prediction: 318 },
    },
    {
      id: '1600',
      from: 'YYC',
      to: 'NRT',
      attributes: { prediction: 2172 },
    },
    {
      id: '1601',
      from: 'EDI',
      to: 'NWI',
      attributes: { prediction: 3412 },
    },
    {
      id: '1602',
      from: 'LBC',
      to: 'NYO',
      attributes: { prediction: 4255 },
    },
    {
      id: '1603',
      from: 'STL',
      to: 'OKC',
      attributes: { prediction: 5633 },
    },
    {
      id: '1604',
      from: 'EWR',
      to: 'OMA',
      attributes: { prediction: 3274 },
    },
    {
      id: '1605',
      from: 'GIG',
      to: 'OPO',
      attributes: { prediction: 1575 },
    },
    {
      id: '1606',
      from: 'BOS',
      to: 'ORD',
      attributes: { prediction: 67269 },
    },
    {
      id: '1607',
      from: 'PUJ',
      to: 'ORD',
      attributes: { prediction: 1744 },
    },
    {
      id: '1608',
      from: 'TRD',
      to: 'OSY',
      attributes: { prediction: 1034 },
    },
    {
      id: '1609',
      from: 'BNE',
      to: 'PER',
      attributes: { prediction: 27372 },
    },
    {
      id: '1610',
      from: 'CDG',
      to: 'PHL',
      attributes: { prediction: 10387 },
    },
    {
      id: '1611',
      from: 'MAD',
      to: 'OTP',
      attributes: { prediction: 9466 },
    },
    {
      id: '1612',
      from: 'SKG',
      to: 'OTP',
      attributes: { prediction: 1768 },
    },
    {
      id: '1613',
      from: 'TLV',
      to: 'OTP',
      attributes: { prediction: 12540 },
    },
    {
      id: '1614',
      from: 'LFW',
      to: 'OUA',
      attributes: { prediction: 4689 },
    },
    {
      id: '1615',
      from: 'CLE',
      to: 'PBI',
      attributes: { prediction: 1259 },
    },
    {
      id: '1616',
      from: 'TYS',
      to: 'PGD',
      attributes: { prediction: 1161 },
    },
    {
      id: '1617',
      from: 'DUB',
      to: 'PHL',
      attributes: { prediction: 4807 },
    },
    {
      id: '1618',
      from: 'ANC',
      to: 'PHX',
      attributes: { prediction: 2849 },
    },
    {
      id: '1619',
      from: 'SXB',
      to: 'PRG',
      attributes: { prediction: 1326 },
    },
    {
      id: '1620',
      from: 'SFO',
      to: 'PSP',
      attributes: { prediction: 11454 },
    },
    {
      id: '1621',
      from: 'MGA',
      to: 'PTY',
      attributes: { prediction: 3687 },
    },
    {
      id: '1622',
      from: 'LGW',
      to: 'PUJ',
      attributes: { prediction: 1621 },
    },
    {
      id: '1623',
      from: 'KIX',
      to: 'PVG',
      attributes: { prediction: 42652 },
    },
    {
      id: '1624',
      from: 'LGA',
      to: 'PWM',
      attributes: { prediction: 5434 },
    },
    {
      id: '1625',
      from: 'AZA',
      to: 'RDM',
      attributes: { prediction: 1141 },
    },
    {
      id: '1626',
      from: 'PDX',
      to: 'RDM',
      attributes: { prediction: 6597 },
    },
    {
      id: '1627',
      from: 'LGA',
      to: 'RDU',
      attributes: { prediction: 21322 },
    },
    {
      id: '1628',
      from: 'SXF',
      to: 'RHO',
      attributes: { prediction: 434 },
    },
    {
      id: '1629',
      from: 'HAM',
      to: 'RIX',
      attributes: { prediction: 4625 },
    },
    {
      id: '1630',
      from: 'VNO',
      to: 'RIX',
      attributes: { prediction: 11920 },
    },
    {
      id: '1631',
      from: 'PMV',
      to: 'PZO',
      attributes: { prediction: 1290 },
    },
    {
      id: '1632',
      from: 'VIE',
      to: 'TPE',
      attributes: { prediction: 2948 },
    },
    {
      id: '1633',
      from: 'CKG',
      to: 'XIY',
      attributes: { prediction: 12639 },
    },
    {
      id: '1634',
      from: 'JZH',
      to: 'XIY',
      attributes: { prediction: 2619 },
    },
    {
      id: '1635',
      from: 'IKS',
      to: 'YKS',
      attributes: { prediction: 624 },
    },
    {
      id: '1636',
      from: 'YVR',
      to: 'YLW',
      attributes: { prediction: 16858 },
    },
    {
      id: '1637',
      from: 'BRI',
      to: 'TIA',
      attributes: { prediction: 4281 },
    },
    {
      id: '1638',
      from: 'CUU',
      to: 'TLC',
      attributes: { prediction: 6807 },
    },
    {
      id: '1639',
      from: 'AUS',
      to: 'TLN',
      attributes: { prediction: 10 },
    },
    {
      id: '1640',
      from: 'DUS',
      to: 'TLV',
      attributes: { prediction: 638 },
    },
    {
      id: '1641',
      from: 'CTU',
      to: 'TNA',
      attributes: { prediction: 11263 },
    },
    {
      id: '1642',
      from: 'WAA',
      to: 'SHH',
      attributes: { prediction: 24 },
    },
    {
      id: '1643',
      from: 'ALA',
      to: 'SHJ',
      attributes: { prediction: 2429 },
    },
    {
      id: '1644',
      from: 'IAH',
      to: 'SHV',
      attributes: { prediction: 5737 },
    },
    {
      id: '1645',
      from: 'CPH',
      to: 'SIN',
      attributes: { prediction: 3279 },
    },
    {
      id: '1646',
      from: 'HRE',
      to: 'SIN',
      attributes: { prediction: 529 },
    },
    {
      id: '1647',
      from: 'PNH',
      to: 'SIN',
      attributes: { prediction: 8842 },
    },
    {
      id: '1648',
      from: 'FRA',
      to: 'SIP',
      attributes: { prediction: 621 },
    },
    {
      id: '1649',
      from: 'SKD',
      to: 'SIP',
      attributes: { prediction: 587 },
    },
    {
      id: '1650',
      from: 'SNA',
      to: 'SJC',
      attributes: { prediction: 19716 },
    },
    {
      id: '1651',
      from: 'MNL',
      to: 'SJI',
      attributes: { prediction: 3077 },
    },
    {
      id: '1652',
      from: 'SMI',
      to: 'SKG',
      attributes: { prediction: 488 },
    },
    {
      id: '1653',
      from: 'IAH',
      to: 'SLC',
      attributes: { prediction: 14582 },
    },
    {
      id: '1654',
      from: 'TOS',
      to: 'SOJ',
      attributes: { prediction: 911 },
    },
    {
      id: '1655',
      from: 'AMS',
      to: 'SPU',
      attributes: { prediction: 520 },
    },
    {
      id: '1656',
      from: 'LKL',
      to: 'TOS',
      attributes: { prediction: 1792 },
    },
    {
      id: '1657',
      from: 'KMQ',
      to: 'TPE',
      attributes: { prediction: 828 },
    },
    {
      id: '1658',
      from: 'MEX',
      to: 'TRC',
      attributes: { prediction: 11964 },
    },
    {
      id: '1659',
      from: 'ZAG',
      to: 'STR',
      attributes: { prediction: 2673 },
    },
    {
      id: '1660',
      from: 'MXP',
      to: 'SUF',
      attributes: { prediction: 8468 },
    },
    {
      id: '1661',
      from: 'WNN',
      to: 'SUR',
      attributes: { prediction: 36 },
    },
    {
      id: '1662',
      from: 'BLL',
      to: 'SVG',
      attributes: { prediction: 579 },
    },
    {
      id: '1663',
      from: 'TRD',
      to: 'SVG',
      attributes: { prediction: 3454 },
    },
    {
      id: '1664',
      from: 'SVO',
      to: 'SVX',
      attributes: { prediction: 15163 },
    },
    {
      id: '1665',
      from: 'PVG',
      to: 'TAE',
      attributes: { prediction: 2017 },
    },
    {
      id: '1666',
      from: 'KSQ',
      to: 'TAS',
      attributes: { prediction: 3326 },
    },
    {
      id: '1667',
      from: 'ROV',
      to: 'TAS',
      attributes: { prediction: 1459 },
    },
    {
      id: '1668',
      from: 'SCO',
      to: 'TBS',
      attributes: { prediction: 566 },
    },
    {
      id: '1669',
      from: 'TLV',
      to: 'TBS',
      attributes: { prediction: 1507 },
    },
    {
      id: '1670',
      from: 'APW',
      to: 'TBU',
      attributes: { prediction: 620 },
    },
    {
      id: '1671',
      from: 'GUA',
      to: 'TGU',
      attributes: { prediction: 1706 },
    },
    {
      id: '1672',
      from: 'NAP',
      to: 'TRS',
      attributes: { prediction: 2157 },
    },
    {
      id: '1673',
      from: 'DTM',
      to: 'TSR',
      attributes: { prediction: 1330 },
    },
    {
      id: '1674',
      from: 'OOL',
      to: 'TSV',
      attributes: { prediction: 1529 },
    },
    {
      id: '1675',
      from: 'CAI',
      to: 'TXL',
      attributes: { prediction: 1232 },
    },
    {
      id: '1676',
      from: 'CLE',
      to: 'ABE',
      attributes: { prediction: 3111 },
    },
    {
      id: '1677',
      from: 'YRF',
      to: 'YBI',
      attributes: { prediction: 97 },
    },
    {
      id: '1678',
      from: 'DMK',
      to: 'URT',
      attributes: { prediction: 3746 },
    },
    {
      id: '1679',
      from: 'DUS',
      to: 'VAR',
      attributes: { prediction: 1102 },
    },
    {
      id: '1680',
      from: 'BJF',
      to: 'VAW',
      attributes: { prediction: 131 },
    },
    {
      id: '1681',
      from: 'ARC',
      to: 'VEE',
      attributes: { prediction: 142 },
    },
    {
      id: '1682',
      from: 'CUN',
      to: 'VER',
      attributes: { prediction: 3615 },
    },
    {
      id: '1683',
      from: 'FNC',
      to: 'VIE',
      attributes: { prediction: 2087 },
    },
    {
      id: '1684',
      from: 'KHV',
      to: 'VKO',
      attributes: { prediction: 4716 },
    },
    {
      id: '1685',
      from: 'MAH',
      to: 'VLC',
      attributes: { prediction: 1238 },
    },
    {
      id: '1686',
      from: 'VLL',
      to: 'VLC',
      attributes: { prediction: 335 },
    },
    {
      id: '1687',
      from: 'PTY',
      to: 'VLN',
      attributes: { prediction: 1963 },
    },
    {
      id: '1688',
      from: 'VKO',
      to: 'VVO',
      attributes: { prediction: 9273 },
    },
    {
      id: '1689',
      from: 'SZZ',
      to: 'WAW',
      attributes: { prediction: 3940 },
    },
    {
      id: '1690',
      from: 'DTW',
      to: 'YHZ',
      attributes: { prediction: 1812 },
    },
    {
      id: '1691',
      from: 'YTZ',
      to: 'YOW',
      attributes: { prediction: 24641 },
    },
    {
      id: '1692',
      from: 'BHX',
      to: 'ABZ',
      attributes: { prediction: 7653 },
    },
    {
      id: '1693',
      from: 'LHR',
      to: 'ACC',
      attributes: { prediction: 4294 },
    },
    {
      id: '1694',
      from: 'OVD',
      to: 'ACE',
      attributes: { prediction: 1611 },
    },
    {
      id: '1695',
      from: 'SVI',
      to: 'ACR',
      attributes: { prediction: 160 },
    },
    {
      id: '1696',
      from: 'BOS',
      to: 'ACY',
      attributes: { prediction: 6701 },
    },
    {
      id: '1697',
      from: 'AMS',
      to: 'ADB',
      attributes: { prediction: 5023 },
    },
    {
      id: '1698',
      from: 'AKL',
      to: 'ADL',
      attributes: { prediction: 2273 },
    },
    {
      id: '1699',
      from: 'CBR',
      to: 'ADL',
      attributes: { prediction: 9104 },
    },
    {
      id: '1700',
      from: 'AFA',
      to: 'AEP',
      attributes: { prediction: 1230 },
    },
    {
      id: '1701',
      from: 'LEN',
      to: 'AGP',
      attributes: { prediction: 47 },
    },
    {
      id: '1702',
      from: 'TRD',
      to: 'AGP',
      attributes: { prediction: 693 },
    },
    {
      id: '1703',
      from: 'UIP',
      to: 'AJA',
      attributes: { prediction: 307 },
    },
    {
      id: '1704',
      from: 'LYC',
      to: 'AJR',
      attributes: { prediction: 1468 },
    },
    {
      id: '1705',
      from: 'NAN',
      to: 'AKL',
      attributes: { prediction: 16540 },
    },
    {
      id: '1706',
      from: 'BRU',
      to: 'ABJ',
      attributes: { prediction: 2037 },
    },
    {
      id: '1707',
      from: 'YXC',
      to: 'YYC',
      attributes: { prediction: 1209 },
    },
    {
      id: '1708',
      from: 'YYR',
      to: 'YYT',
      attributes: { prediction: 1367 },
    },
    {
      id: '1709',
      from: 'ATL',
      to: 'YYZ',
      attributes: { prediction: 16899 },
    },
    {
      id: '1710',
      from: 'YNA',
      to: 'YZV',
      attributes: { prediction: 225 },
    },
    {
      id: '1711',
      from: 'SJJ',
      to: 'ZAG',
      attributes: { prediction: 3232 },
    },
    {
      id: '1712',
      from: 'MTV',
      to: 'ZGU',
      attributes: { prediction: 54 },
    },
    {
      id: '1713',
      from: 'CGN',
      to: 'ZRH',
      attributes: { prediction: 10039 },
    },
    {
      id: '1714',
      from: 'PRG',
      to: 'ZRH',
      attributes: { prediction: 14025 },
    },
    {
      id: '1715',
      from: 'TLV',
      to: 'ZRH',
      attributes: { prediction: 16857 },
    },
    {
      id: '1716',
      from: 'TXL',
      to: 'ZRH',
      attributes: { prediction: 37000 },
    },
    {
      id: '1717',
      from: 'MEX',
      to: 'ACA',
      attributes: { prediction: 15450 },
    },
    {
      id: '1718',
      from: 'DUS',
      to: 'ACE',
      attributes: { prediction: 4448 },
    },
    {
      id: '1719',
      from: 'SXF',
      to: 'ADB',
      attributes: { prediction: 5171 },
    },
    {
      id: '1720',
      from: 'MRS',
      to: 'AGA',
      attributes: { prediction: 1561 },
    },
    {
      id: '1721',
      from: 'REC',
      to: 'AJU',
      attributes: { prediction: 2792 },
    },
    {
      id: '1722',
      from: 'SNW',
      to: 'AKY',
      attributes: { prediction: 19 },
    },
    {
      id: '1723',
      from: 'FKB',
      to: 'ALC',
      attributes: { prediction: 2475 },
    },
    {
      id: '1724',
      from: 'FRA',
      to: 'ALC',
      attributes: { prediction: 2477 },
    },
    {
      id: '1725',
      from: 'LGW',
      to: 'ALC',
      attributes: { prediction: 34009 },
    },
    {
      id: '1726',
      from: 'MME',
      to: 'ALC',
      attributes: { prediction: 701 },
    },
    {
      id: '1727',
      from: 'MIA',
      to: 'BAQ',
      attributes: { prediction: 3381 },
    },
    {
      id: '1728',
      from: 'ORD',
      to: 'BDL',
      attributes: { prediction: 23886 },
    },
    {
      id: '1729',
      from: 'TGD',
      to: 'BEG',
      attributes: { prediction: 5710 },
    },
    {
      id: '1730',
      from: 'JNU',
      to: 'ANC',
      attributes: { prediction: 10542 },
    },
    {
      id: '1731',
      from: 'SDP',
      to: 'ANC',
      attributes: { prediction: 540 },
    },
    {
      id: '1732',
      from: 'CTS',
      to: 'AOJ',
      attributes: { prediction: 4888 },
    },
    {
      id: '1733',
      from: 'HFS',
      to: 'ARN',
      attributes: { prediction: 611 },
    },
    {
      id: '1734',
      from: 'KLR',
      to: 'ARN',
      attributes: { prediction: 6095 },
    },
    {
      id: '1735',
      from: 'PMO',
      to: 'ARN',
      attributes: { prediction: 500 },
    },
    {
      id: '1736',
      from: 'KRT',
      to: 'ASM',
      attributes: { prediction: 353 },
    },
    {
      id: '1737',
      from: 'LPB',
      to: 'ASU',
      attributes: { prediction: 1821 },
    },
    {
      id: '1738',
      from: 'LGW',
      to: 'ATH',
      attributes: { prediction: 8141 },
    },
    {
      id: '1739',
      from: 'BAH',
      to: 'AUH',
      attributes: { prediction: 33485 },
    },
    {
      id: '1740',
      from: 'MSQ',
      to: 'AUH',
      attributes: { prediction: 1020 },
    },
    {
      id: '1741',
      from: 'MUC',
      to: 'AUH',
      attributes: { prediction: 6524 },
    },
    {
      id: '1742',
      from: 'ELP',
      to: 'AUS',
      attributes: { prediction: 11999 },
    },
    {
      id: '1743',
      from: 'AKI',
      to: 'BET',
      attributes: { prediction: 62 },
    },
    {
      id: '1744',
      from: 'LBA',
      to: 'BHD',
      attributes: { prediction: 5436 },
    },
    {
      id: '1745',
      from: 'GHA',
      to: 'ALG',
      attributes: { prediction: 1188 },
    },
    {
      id: '1746',
      from: 'AGA',
      to: 'AMS',
      attributes: { prediction: 1538 },
    },
    {
      id: '1747',
      from: 'JFK',
      to: 'AUH',
      attributes: { prediction: 7238 },
    },
    {
      id: '1748',
      from: 'CLT',
      to: 'AVL',
      attributes: { prediction: 6470 },
    },
    {
      id: '1749',
      from: 'DXB',
      to: 'AWZ',
      attributes: { prediction: 1030 },
    },
    {
      id: '1750',
      from: 'NAS',
      to: 'AXP',
      attributes: { prediction: 228 },
    },
    {
      id: '1751',
      from: 'LLI',
      to: 'AXU',
      attributes: { prediction: 1506 },
    },
    {
      id: '1752',
      from: 'AMS',
      to: 'AYT',
      attributes: { prediction: 9471 },
    },
    {
      id: '1753',
      from: 'ESB',
      to: 'AYT',
      attributes: { prediction: 11384 },
    },
    {
      id: '1754',
      from: 'LHR',
      to: 'CMN',
      attributes: { prediction: 4304 },
    },
    {
      id: '1755',
      from: 'JFK',
      to: 'BUD',
      attributes: { prediction: 5367 },
    },
    {
      id: '1756',
      from: 'PZO',
      to: 'BLA',
      attributes: { prediction: 1179 },
    },
    {
      id: '1757',
      from: 'OSD',
      to: 'BMA',
      attributes: { prediction: 1139 },
    },
    {
      id: '1758',
      from: 'MIA',
      to: 'BNA',
      attributes: { prediction: 6469 },
    },
    {
      id: '1759',
      from: 'HVB',
      to: 'BNE',
      attributes: { prediction: 2643 },
    },
    {
      id: '1760',
      from: 'MAR',
      to: 'BOG',
      attributes: { prediction: 780 },
    },
    {
      id: '1761',
      from: 'AUS',
      to: 'BOS',
      attributes: { prediction: 2654 },
    },
    {
      id: '1762',
      from: 'LAS',
      to: 'BOS',
      attributes: { prediction: 8568 },
    },
    {
      id: '1763',
      from: 'TMP',
      to: 'BRE',
      attributes: { prediction: 3020 },
    },
    {
      id: '1764',
      from: 'TXL',
      to: 'BRI',
      attributes: { prediction: 1134 },
    },
    {
      id: '1765',
      from: 'ESB',
      to: 'BRU',
      attributes: { prediction: 2073 },
    },
    {
      id: '1766',
      from: 'PEK',
      to: 'BRU',
      attributes: { prediction: 5587 },
    },
    {
      id: '1767',
      from: 'PIZ',
      to: 'BRW',
      attributes: { prediction: 275 },
    },
    {
      id: '1768',
      from: 'FAI',
      to: 'BTI',
      attributes: { prediction: 337 },
    },
    {
      id: '1769',
      from: 'AHO',
      to: 'BVA',
      attributes: { prediction: 1524 },
    },
    {
      id: '1770',
      from: 'MAN',
      to: 'BVC',
      attributes: { prediction: 764 },
    },
    {
      id: '1771',
      from: 'BEU',
      to: 'BVI',
      attributes: { prediction: 127 },
    },
    {
      id: '1772',
      from: 'BWI',
      to: 'COS',
      attributes: { prediction: 137 },
    },
    {
      id: '1773',
      from: 'BNA',
      to: 'DFW',
      attributes: { prediction: 28305 },
    },
    {
      id: '1774',
      from: 'JAC',
      to: 'DFW',
      attributes: { prediction: 3384 },
    },
    {
      id: '1775',
      from: 'NCE',
      to: 'DJE',
      attributes: { prediction: 457 },
    },
    {
      id: '1776',
      from: 'BTK',
      to: 'DME',
      attributes: { prediction: 1664 },
    },
    {
      id: '1777',
      from: 'LIS',
      to: 'DME',
      attributes: { prediction: 3434 },
    },
    {
      id: '1778',
      from: 'AHB',
      to: 'DMM',
      attributes: { prediction: 2979 },
    },
    {
      id: '1779',
      from: 'CAN',
      to: 'DOH',
      attributes: { prediction: 5508 },
    },
    {
      id: '1780',
      from: 'DTW',
      to: 'CHO',
      attributes: { prediction: 1237 },
    },
    {
      id: '1781',
      from: 'BUF',
      to: 'CLT',
      attributes: { prediction: 13687 },
    },
    {
      id: '1782',
      from: 'SHJ',
      to: 'CMB',
      attributes: { prediction: 5233 },
    },
    {
      id: '1783',
      from: 'CGR',
      to: 'CMG',
      attributes: { prediction: 753 },
    },
    {
      id: '1784',
      from: 'RAK',
      to: 'CMN',
      attributes: { prediction: 13513 },
    },
    {
      id: '1785',
      from: 'TIP',
      to: 'CMN',
      attributes: { prediction: 4264 },
    },
    {
      id: '1786',
      from: 'PSA',
      to: 'CND',
      attributes: { prediction: 1701 },
    },
    {
      id: '1787',
      from: 'UDI',
      to: 'CNF',
      attributes: { prediction: 2397 },
    },
    {
      id: '1788',
      from: 'TIM',
      to: 'DPS',
      attributes: { prediction: 2485 },
    },
    {
      id: '1789',
      from: 'CFU',
      to: 'DRS',
      attributes: { prediction: 1468 },
    },
    {
      id: '1790',
      from: 'BCN',
      to: 'DTM',
      attributes: { prediction: 2132 },
    },
    {
      id: '1791',
      from: 'HGH',
      to: 'CSX',
      attributes: { prediction: 9834 },
    },
    {
      id: '1792',
      from: 'CUR',
      to: 'CTG',
      attributes: { prediction: 289 },
    },
    {
      id: '1793',
      from: 'XMN',
      to: 'CTU',
      attributes: { prediction: 7401 },
    },
    {
      id: '1794',
      from: 'GYE',
      to: 'CUE',
      attributes: { prediction: 5908 },
    },
    {
      id: '1795',
      from: 'CLJ',
      to: 'CUF',
      attributes: { prediction: 1954 },
    },
    {
      id: '1796',
      from: 'MEX',
      to: 'CUL',
      attributes: { prediction: 16187 },
    },
    {
      id: '1797',
      from: 'TLC',
      to: 'CUN',
      attributes: { prediction: 17845 },
    },
    {
      id: '1798',
      from: 'DAY',
      to: 'CVG',
      attributes: { prediction: 53 },
    },
    {
      id: '1799',
      from: 'YWH',
      to: 'CXH',
      attributes: { prediction: 1807 },
    },
    {
      id: '1800',
      from: 'BET',
      to: 'CYF',
      attributes: { prediction: 620 },
    },
    {
      id: '1801',
      from: 'TRI',
      to: 'DAY',
      attributes: { prediction: 47 },
    },
    {
      id: '1802',
      from: 'GRB',
      to: 'DEN',
      attributes: { prediction: 1004 },
    },
    {
      id: '1803',
      from: 'GRR',
      to: 'DEN',
      attributes: { prediction: 1915 },
    },
    {
      id: '1804',
      from: 'MEM',
      to: 'DEN',
      attributes: { prediction: 6799 },
    },
    {
      id: '1805',
      from: 'MSN',
      to: 'DTW',
      attributes: { prediction: 14830 },
    },
    {
      id: '1806',
      from: 'ORD',
      to: 'DTW',
      attributes: { prediction: 39367 },
    },
    {
      id: '1807',
      from: 'SFO',
      to: 'DTW',
      attributes: { prediction: 17960 },
    },
    {
      id: '1808',
      from: 'FKB',
      to: 'DUB',
      attributes: { prediction: 2189 },
    },
    {
      id: '1809',
      from: 'IBZ',
      to: 'DUB',
      attributes: { prediction: 1987 },
    },
    {
      id: '1810',
      from: 'JER',
      to: 'DUB',
      attributes: { prediction: 1935 },
    },
    {
      id: '1811',
      from: 'DRS',
      to: 'DUS',
      attributes: { prediction: 18533 },
    },
    {
      id: '1812',
      from: 'FRU',
      to: 'DME',
      attributes: { prediction: 1344 },
    },
    {
      id: '1813',
      from: 'FRA',
      to: 'DMM',
      attributes: { prediction: 633 },
    },
    {
      id: '1814',
      from: 'KTM',
      to: 'DMM',
      attributes: { prediction: 2011 },
    },
    {
      id: '1815',
      from: 'IAD',
      to: 'DOH',
      attributes: { prediction: 8733 },
    },
    {
      id: '1816',
      from: 'FRA',
      to: 'FLL',
      attributes: { prediction: 1977 },
    },
    {
      id: '1817',
      from: 'SJO',
      to: 'FLL',
      attributes: { prediction: 4195 },
    },
    {
      id: '1818',
      from: 'GVA',
      to: 'FLR',
      attributes: { prediction: 1105 },
    },
    {
      id: '1819',
      from: 'ASM',
      to: 'DXB',
      attributes: { prediction: 1160 },
    },
    {
      id: '1820',
      from: 'CDG',
      to: 'DXB',
      attributes: { prediction: 28635 },
    },
    {
      id: '1821',
      from: 'FRU',
      to: 'DXB',
      attributes: { prediction: 593 },
    },
    {
      id: '1822',
      from: 'OTP',
      to: 'DXB',
      attributes: { prediction: 1187 },
    },
    {
      id: '1823',
      from: 'ASR',
      to: 'ECN',
      attributes: { prediction: 901 },
    },
    {
      id: '1824',
      from: 'BOH',
      to: 'EDI',
      attributes: { prediction: 5670 },
    },
    {
      id: '1825',
      from: 'ORK',
      to: 'EMA',
      attributes: { prediction: 2301 },
    },
    {
      id: '1826',
      from: 'ANF',
      to: 'ESR',
      attributes: { prediction: 781 },
    },
    {
      id: '1827',
      from: 'EDI',
      to: 'EWR',
      attributes: { prediction: 8784 },
    },
    {
      id: '1828',
      from: 'LIT',
      to: 'EWR',
      attributes: { prediction: 1351 },
    },
    {
      id: '1829',
      from: 'SPU',
      to: 'FRA',
      attributes: { prediction: 3637 },
    },
    {
      id: '1830',
      from: 'WDH',
      to: 'FRA',
      attributes: { prediction: 7368 },
    },
    {
      id: '1831',
      from: 'PRG',
      to: 'FRL',
      attributes: { prediction: 1332 },
    },
    {
      id: '1832',
      from: 'WRO',
      to: 'DTM',
      attributes: { prediction: 2426 },
    },
    {
      id: '1833',
      from: 'MDT',
      to: 'DTW',
      attributes: { prediction: 5372 },
    },
    {
      id: '1834',
      from: 'MAD',
      to: 'HAV',
      attributes: { prediction: 14391 },
    },
    {
      id: '1835',
      from: 'FRA',
      to: 'HEL',
      attributes: { prediction: 22037 },
    },
    {
      id: '1836',
      from: 'ATH',
      to: 'HER',
      attributes: { prediction: 53075 },
    },
    {
      id: '1837',
      from: 'PRG',
      to: 'HER',
      attributes: { prediction: 5028 },
    },
    {
      id: '1838',
      from: 'MIA',
      to: 'GHB',
      attributes: { prediction: 509 },
    },
    {
      id: '1839',
      from: 'TRE',
      to: 'GLA',
      attributes: { prediction: 504 },
    },
    {
      id: '1840',
      from: 'LPL',
      to: 'GNB',
      attributes: { prediction: 706 },
    },
    {
      id: '1841',
      from: 'CLE',
      to: 'GRB',
      attributes: { prediction: 2424 },
    },
    {
      id: '1842',
      from: 'LPL',
      to: 'GRO',
      attributes: { prediction: 2858 },
    },
    {
      id: '1843',
      from: 'MKE',
      to: 'GRR',
      attributes: { prediction: 3330 },
    },
    {
      id: '1844',
      from: 'CDG',
      to: 'GVA',
      attributes: { prediction: 37883 },
    },
    {
      id: '1845',
      from: 'DUB',
      to: 'GVA',
      attributes: { prediction: 4724 },
    },
    {
      id: '1846',
      from: 'HIR',
      to: 'GZO',
      attributes: { prediction: 845 },
    },
    {
      id: '1847',
      from: 'STN',
      to: 'GZT',
      attributes: { prediction: 1274 },
    },
    {
      id: '1848',
      from: 'TOS',
      to: 'HAA',
      attributes: { prediction: 552 },
    },
    {
      id: '1849',
      from: 'CAN',
      to: 'HAK',
      attributes: { prediction: 22209 },
    },
    {
      id: '1850',
      from: 'CTU',
      to: 'HAK',
      attributes: { prediction: 5808 },
    },
    {
      id: '1851',
      from: 'LGW',
      to: 'HAM',
      attributes: { prediction: 6849 },
    },
    {
      id: '1852',
      from: 'MAH',
      to: 'HAM',
      attributes: { prediction: 660 },
    },
    {
      id: '1853',
      from: 'NUE',
      to: 'HAM',
      attributes: { prediction: 18349 },
    },
    {
      id: '1854',
      from: 'BGO',
      to: 'HAU',
      attributes: { prediction: 997 },
    },
    {
      id: '1855',
      from: 'HAK',
      to: 'HGH',
      attributes: { prediction: 3166 },
    },
    {
      id: '1856',
      from: 'SOF',
      to: 'HHN',
      attributes: { prediction: 2218 },
    },
    {
      id: '1857',
      from: 'CGO',
      to: 'HKG',
      attributes: { prediction: 1694 },
    },
    {
      id: '1858',
      from: 'GUM',
      to: 'HKG',
      attributes: { prediction: 810 },
    },
    {
      id: '1859',
      from: 'JFK',
      to: 'DUB',
      attributes: { prediction: 24051 },
    },
    {
      id: '1860',
      from: 'ACE',
      to: 'DUS',
      attributes: { prediction: 3405 },
    },
    {
      id: '1861',
      from: 'VVI',
      to: 'EZE',
      attributes: { prediction: 6533 },
    },
    {
      id: '1862',
      from: 'TIJ',
      to: 'LAP',
      attributes: { prediction: 5124 },
    },
    {
      id: '1863',
      from: 'LIT',
      to: 'LAS',
      attributes: { prediction: 3333 },
    },
    {
      id: '1864',
      from: 'FRA',
      to: 'LAX',
      attributes: { prediction: 17561 },
    },
    {
      id: '1865',
      from: 'XNA',
      to: 'LAX',
      attributes: { prediction: 1131 },
    },
    {
      id: '1866',
      from: 'DAM',
      to: 'LCA',
      attributes: { prediction: 1507 },
    },
    {
      id: '1867',
      from: 'BKK',
      to: 'ICN',
      attributes: { prediction: 49214 },
    },
    {
      id: '1868',
      from: 'KKJ',
      to: 'ICN',
      attributes: { prediction: 2078 },
    },
    {
      id: '1869',
      from: 'MAD',
      to: 'ICN',
      attributes: { prediction: 3227 },
    },
    {
      id: '1870',
      from: 'TLV',
      to: 'ICN',
      attributes: { prediction: 3361 },
    },
    {
      id: '1871',
      from: 'IAD',
      to: 'ICT',
      attributes: { prediction: 141 },
    },
    {
      id: '1872',
      from: 'OMA',
      to: 'ICT',
      attributes: { prediction: 116 },
    },
    {
      id: '1873',
      from: 'ANC',
      to: 'ILI',
      attributes: { prediction: 409 },
    },
    {
      id: '1874',
      from: 'KNK',
      to: 'ILI',
      attributes: { prediction: 59 },
    },
    {
      id: '1875',
      from: 'UET',
      to: 'ISB',
      attributes: { prediction: 3932 },
    },
    {
      id: '1876',
      from: 'NAV',
      to: 'IST',
      attributes: { prediction: 7381 },
    },
    {
      id: '1877',
      from: 'HOU',
      to: 'JAN',
      attributes: { prediction: 8787 },
    },
    {
      id: '1878',
      from: 'CFC',
      to: 'JCB',
      attributes: { prediction: 396 },
    },
    {
      id: '1879',
      from: 'TUN',
      to: 'JED',
      attributes: { prediction: 3057 },
    },
    {
      id: '1880',
      from: 'MAN',
      to: 'JER',
      attributes: { prediction: 7579 },
    },
    {
      id: '1881',
      from: 'BDA',
      to: 'JFK',
      attributes: { prediction: 8595 },
    },
    {
      id: '1882',
      from: 'FEG',
      to: 'LED',
      attributes: { prediction: 736 },
    },
    {
      id: '1883',
      from: 'TRN',
      to: 'LUX',
      attributes: { prediction: 927 },
    },
    {
      id: '1884',
      from: 'KOE',
      to: 'LWE',
      attributes: { prediction: 598 },
    },
    {
      id: '1885',
      from: 'MAD',
      to: 'LYS',
      attributes: { prediction: 10718 },
    },
    {
      id: '1886',
      from: 'CMB',
      to: 'MAA',
      attributes: { prediction: 25877 },
    },
    {
      id: '1887',
      from: 'EAS',
      to: 'MAD',
      attributes: { prediction: 11635 },
    },
    {
      id: '1888',
      from: 'SDR',
      to: 'MAD',
      attributes: { prediction: 21012 },
    },
    {
      id: '1889',
      from: 'TXL',
      to: 'MAD',
      attributes: { prediction: 10314 },
    },
    {
      id: '1890',
      from: 'ABQ',
      to: 'MAF',
      attributes: { prediction: 2609 },
    },
    {
      id: '1891',
      from: 'WAT',
      to: 'LTN',
      attributes: { prediction: 3754 },
    },
    {
      id: '1892',
      from: 'FUE',
      to: 'LUX',
      attributes: { prediction: 552 },
    },
    {
      id: '1893',
      from: 'LEI',
      to: 'LUX',
      attributes: { prediction: 196 },
    },
    {
      id: '1894',
      from: 'WRL',
      to: 'LWT',
      attributes: { prediction: 418 },
    },
    {
      id: '1895',
      from: 'MCT',
      to: 'MAA',
      attributes: { prediction: 7102 },
    },
    {
      id: '1896',
      from: 'EMK',
      to: 'KSM',
      attributes: { prediction: 334 },
    },
    {
      id: '1897',
      from: 'BOM',
      to: 'KTM',
      attributes: { prediction: 1862 },
    },
    {
      id: '1898',
      from: 'MLE',
      to: 'KUL',
      attributes: { prediction: 2798 },
    },
    {
      id: '1899',
      from: 'CVG',
      to: 'LAS',
      attributes: { prediction: 6576 },
    },
    {
      id: '1900',
      from: 'DTW',
      to: 'LAS',
      attributes: { prediction: 32964 },
    },
    {
      id: '1901',
      from: 'PSP',
      to: 'LAS',
      attributes: { prediction: 1987 },
    },
    {
      id: '1902',
      from: 'BRU',
      to: 'LBA',
      attributes: { prediction: 1784 },
    },
    {
      id: '1903',
      from: 'GDN',
      to: 'LBC',
      attributes: { prediction: 3360 },
    },
    {
      id: '1904',
      from: 'URC',
      to: 'LBD',
      attributes: { prediction: 615 },
    },
    {
      id: '1905',
      from: 'GRX',
      to: 'MAD',
      attributes: { prediction: 18097 },
    },
    {
      id: '1906',
      from: 'DLA',
      to: 'LFW',
      attributes: { prediction: 1638 },
    },
    {
      id: '1907',
      from: 'ORF',
      to: 'LGA',
      attributes: { prediction: 7860 },
    },
    {
      id: '1908',
      from: 'LAX',
      to: 'LGB',
      attributes: { prediction: 10 },
    },
    {
      id: '1909',
      from: 'PMI',
      to: 'LIL',
      attributes: { prediction: 501 },
    },
    {
      id: '1910',
      from: 'DXB',
      to: 'LOS',
      attributes: { prediction: 21345 },
    },
    {
      id: '1911',
      from: 'BGY',
      to: 'LPL',
      attributes: { prediction: 2821 },
    },
    {
      id: '1912',
      from: 'SPC',
      to: 'MAN',
      attributes: { prediction: 709 },
    },
    {
      id: '1913',
      from: 'JFK',
      to: 'MCI',
      attributes: { prediction: 2034 },
    },
    {
      id: '1914',
      from: 'BKG',
      to: 'MCO',
      attributes: { prediction: 343 },
    },
    {
      id: '1915',
      from: 'EYW',
      to: 'MCO',
      attributes: { prediction: 1733 },
    },
    {
      id: '1916',
      from: 'BOB',
      to: 'MAU',
      attributes: { prediction: 81 },
    },
    {
      id: '1917',
      from: 'BOI',
      to: 'MSP',
      attributes: { prediction: 5531 },
    },
    {
      id: '1918',
      from: 'OKC',
      to: 'MSP',
      attributes: { prediction: 3812 },
    },
    {
      id: '1919',
      from: 'IAH',
      to: 'MSY',
      attributes: { prediction: 38380 },
    },
    {
      id: '1920',
      from: 'PKU',
      to: 'MES',
      attributes: { prediction: 4478 },
    },
    {
      id: '1921',
      from: 'VER',
      to: 'MEX',
      attributes: { prediction: 20266 },
    },
    {
      id: '1922',
      from: 'YYZ',
      to: 'MEX',
      attributes: { prediction: 10107 },
    },
    {
      id: '1923',
      from: 'GND',
      to: 'MIA',
      attributes: { prediction: 1212 },
    },
    {
      id: '1924',
      from: 'VKO',
      to: 'MJZ',
      attributes: { prediction: 1312 },
    },
    {
      id: '1925',
      from: 'CDG',
      to: 'MLA',
      attributes: { prediction: 3496 },
    },
    {
      id: '1926',
      from: 'EDI',
      to: 'MLA',
      attributes: { prediction: 1548 },
    },
    {
      id: '1927',
      from: 'DFW',
      to: 'MLI',
      attributes: { prediction: 2339 },
    },
    {
      id: '1928',
      from: 'MUC',
      to: 'MRS',
      attributes: { prediction: 9292 },
    },
    {
      id: '1929',
      from: 'LAX',
      to: 'MRY',
      attributes: { prediction: 7067 },
    },
    {
      id: '1930',
      from: 'DEA',
      to: 'MUX',
      attributes: { prediction: 190 },
    },
    {
      id: '1931',
      from: 'JMK',
      to: 'MXP',
      attributes: { prediction: 4272 },
    },
    {
      id: '1932',
      from: 'RIX',
      to: 'MXP',
      attributes: { prediction: 4444 },
    },
    {
      id: '1933',
      from: 'VLC',
      to: 'MXP',
      attributes: { prediction: 2529 },
    },
    {
      id: '1934',
      from: 'HYD',
      to: 'NAG',
      attributes: { prediction: 966 },
    },
    {
      id: '1935',
      from: 'IAD',
      to: 'MCO',
      attributes: { prediction: 38122 },
    },
    {
      id: '1936',
      from: 'HYD',
      to: 'MCT',
      attributes: { prediction: 5591 },
    },
    {
      id: '1937',
      from: 'ORB',
      to: 'MMX',
      attributes: { prediction: 76 },
    },
    {
      id: '1938',
      from: 'TUG',
      to: 'MNL',
      attributes: { prediction: 4319 },
    },
    {
      id: '1939',
      from: 'VNX',
      to: 'MPM',
      attributes: { prediction: 231 },
    },
    {
      id: '1940',
      from: 'AXU',
      to: 'MQX',
      attributes: { prediction: 178 },
    },
    {
      id: '1941',
      from: 'FLL',
      to: 'PTY',
      attributes: { prediction: 1496 },
    },
    {
      id: '1942',
      from: 'SVQ',
      to: 'ORY',
      attributes: { prediction: 13458 },
    },
    {
      id: '1943',
      from: 'PUS',
      to: 'NGO',
      attributes: { prediction: 3430 },
    },
    {
      id: '1944',
      from: 'GDN',
      to: 'NRN',
      attributes: { prediction: 2437 },
    },
    {
      id: '1945',
      from: 'MXP',
      to: 'NUE',
      attributes: { prediction: 3242 },
    },
    {
      id: '1946',
      from: 'GCI',
      to: 'NWI',
      attributes: { prediction: 284 },
    },
    {
      id: '1947',
      from: 'FMM',
      to: 'NYO',
      attributes: { prediction: 3026 },
    },
    {
      id: '1948',
      from: 'IAH',
      to: 'OKC',
      attributes: { prediction: 12792 },
    },
    {
      id: '1949',
      from: 'TNC',
      to: 'OME',
      attributes: { prediction: 152 },
    },
    {
      id: '1950',
      from: 'BOD',
      to: 'OPO',
      attributes: { prediction: 2099 },
    },
    {
      id: '1951',
      from: 'ABQ',
      to: 'ORD',
      attributes: { prediction: 9524 },
    },
    {
      id: '1952',
      from: 'FLL',
      to: 'ORD',
      attributes: { prediction: 16675 },
    },
    {
      id: '1953',
      from: 'ZRH',
      to: 'ORD',
      attributes: { prediction: 5760 },
    },
    {
      id: '1954',
      from: 'IAH',
      to: 'ORF',
      attributes: { prediction: 2770 },
    },
    {
      id: '1955',
      from: 'PSA',
      to: 'OSL',
      attributes: { prediction: 1749 },
    },
    {
      id: '1956',
      from: 'TOY',
      to: 'PVG',
      attributes: { prediction: 996 },
    },
    {
      id: '1957',
      from: 'HNL',
      to: 'SFO',
      attributes: { prediction: 43885 },
    },
    {
      id: '1958',
      from: 'LIH',
      to: 'SFO',
      attributes: { prediction: 7815 },
    },
    {
      id: '1959',
      from: 'AKL',
      to: 'SIN',
      attributes: { prediction: 10983 },
    },
    {
      id: '1960',
      from: 'CMB',
      to: 'SIN',
      attributes: { prediction: 21683 },
    },
    {
      id: '1961',
      from: 'MEL',
      to: 'SIN',
      attributes: { prediction: 41472 },
    },
    {
      id: '1962',
      from: 'MCO',
      to: 'PNS',
      attributes: { prediction: 1086 },
    },
    {
      id: '1963',
      from: 'KPB',
      to: 'PPV',
      attributes: { prediction: 0 },
    },
    {
      id: '1964',
      from: 'RHO',
      to: 'PRG',
      attributes: { prediction: 4173 },
    },
    {
      id: '1965',
      from: 'TIA',
      to: 'PSR',
      attributes: { prediction: 1830 },
    },
    {
      id: '1966',
      from: 'EZE',
      to: 'PUJ',
      attributes: { prediction: 753 },
    },
    {
      id: '1967',
      from: 'BWI',
      to: 'PVD',
      attributes: { prediction: 30951 },
    },
    {
      id: '1968',
      from: 'ZRH',
      to: 'PVG',
      attributes: { prediction: 5144 },
    },
    {
      id: '1969',
      from: 'GDL',
      to: 'SJD',
      attributes: { prediction: 6516 },
    },
    {
      id: '1970',
      from: 'DOM',
      to: 'SJU',
      attributes: { prediction: 2657 },
    },
    {
      id: '1971',
      from: 'CZS',
      to: 'RBR',
      attributes: { prediction: 2219 },
    },
    {
      id: '1972',
      from: 'WLH',
      to: 'RCL',
      attributes: { prediction: 95 },
    },
    {
      id: '1973',
      from: 'SFO',
      to: 'RDD',
      attributes: { prediction: 2358 },
    },
    {
      id: '1974',
      from: 'SZB',
      to: 'RDN',
      attributes: { prediction: 2665 },
    },
    {
      id: '1975',
      from: 'LAS',
      to: 'RDU',
      attributes: { prediction: 3866 },
    },
    {
      id: '1976',
      from: 'BSB',
      to: 'REC',
      attributes: { prediction: 29232 },
    },
    {
      id: '1977',
      from: 'KGD',
      to: 'RIX',
      attributes: { prediction: 2004 },
    },
    {
      id: '1978',
      from: 'BWI',
      to: 'ROC',
      attributes: { prediction: 5534 },
    },
    {
      id: '1979',
      from: 'SYD',
      to: 'ROT',
      attributes: { prediction: 887 },
    },
    {
      id: '1980',
      from: 'FNT',
      to: 'RSW',
      attributes: { prediction: 3234 },
    },
    {
      id: '1981',
      from: 'HKG',
      to: 'RUH',
      attributes: { prediction: 5937 },
    },
    {
      id: '1982',
      from: 'NYO',
      to: 'RYG',
      attributes: { prediction: 10048 },
    },
    {
      id: '1983',
      from: 'TSF',
      to: 'RYG',
      attributes: { prediction: 2457 },
    },
    {
      id: '1984',
      from: 'HOD',
      to: 'SAH',
      attributes: { prediction: 2786 },
    },
    {
      id: '1985',
      from: 'AUS',
      to: 'SAN',
      attributes: { prediction: 6560 },
    },
    {
      id: '1986',
      from: 'HPB',
      to: 'SCM',
      attributes: { prediction: 128 },
    },
    {
      id: '1987',
      from: 'EVN',
      to: 'SCO',
      attributes: { prediction: 440 },
    },
    {
      id: '1988',
      from: 'MUC',
      to: 'SKG',
      attributes: { prediction: 12690 },
    },
    {
      id: '1989',
      from: 'ANC',
      to: 'SNP',
      attributes: { prediction: 486 },
    },
    {
      id: '1990',
      from: 'LAS',
      to: 'SGF',
      attributes: { prediction: 2731 },
    },
    {
      id: '1991',
      from: 'XIY',
      to: 'SHE',
      attributes: { prediction: 4194 },
    },
    {
      id: '1992',
      from: 'CCU',
      to: 'SIN',
      attributes: { prediction: 4105 },
    },
    {
      id: '1993',
      from: 'HET',
      to: 'SZX',
      attributes: { prediction: 1500 },
    },
    {
      id: '1994',
      from: 'TZX',
      to: 'TBS',
      attributes: { prediction: 740 },
    },
    {
      id: '1995',
      from: 'VLI',
      to: 'TGH',
      attributes: { prediction: 72 },
    },
    {
      id: '1996',
      from: 'MAN',
      to: 'SOF',
      attributes: { prediction: 1329 },
    },
    {
      id: '1997',
      from: 'VIE',
      to: 'SPU',
      attributes: { prediction: 3706 },
    },
    {
      id: '1998',
      from: 'PEG',
      to: 'STN',
      attributes: { prediction: 2143 },
    },
    {
      id: '1999',
      from: 'BGO',
      to: 'SXF',
      attributes: { prediction: 1079 },
    },
    {
      id: '2000',
      from: 'KIN',
      to: 'SXM',
      attributes: { prediction: 2002 },
    },
    {
      id: '2001',
      from: 'SKB',
      to: 'SXM',
      attributes: { prediction: 2440 },
    },
    {
      id: '2002',
      from: 'BRU',
      to: 'TLS',
      attributes: { prediction: 6064 },
    },
    {
      id: '2003',
      from: 'CAN',
      to: 'TNA',
      attributes: { prediction: 10335 },
    },
    {
      id: '2004',
      from: 'ACY',
      to: 'TPA',
      attributes: { prediction: 3434 },
    },
    {
      id: '2005',
      from: 'CSX',
      to: 'TPE',
      attributes: { prediction: 2927 },
    },
    {
      id: '2006',
      from: 'PJM',
      to: 'SJO',
      attributes: { prediction: 1116 },
    },
    {
      id: '2007',
      from: 'CTU',
      to: 'SJW',
      attributes: { prediction: 4952 },
    },
    {
      id: '2008',
      from: 'NKG',
      to: 'SJW',
      attributes: { prediction: 388 },
    },
    {
      id: '2009',
      from: 'OVD',
      to: 'VLC',
      attributes: { prediction: 1639 },
    },
    {
      id: '2010',
      from: 'MQP',
      to: 'VNX',
      attributes: { prediction: 557 },
    },
    {
      id: '2011',
      from: 'XIY',
      to: 'TYN',
      attributes: { prediction: 4993 },
    },
    {
      id: '2012',
      from: 'CPH',
      to: 'UAK',
      attributes: { prediction: 741 },
    },
    {
      id: '2013',
      from: 'CNF',
      to: 'UDI',
      attributes: { prediction: 2518 },
    },
    {
      id: '2014',
      from: 'GWD',
      to: 'UET',
      attributes: { prediction: 192 },
    },
    {
      id: '2015',
      from: 'PBJ',
      to: 'ULB',
      attributes: { prediction: 9 },
    },
    {
      id: '2016',
      from: 'KDI',
      to: 'UPG',
      attributes: { prediction: 12569 },
    },
    {
      id: '2017',
      from: 'NRK',
      to: 'VBY',
      attributes: { prediction: 798 },
    },
    {
      id: '2018',
      from: 'RMI',
      to: 'VIE',
      attributes: { prediction: 1120 },
    },
    {
      id: '2019',
      from: 'BTK',
      to: 'VKO',
      attributes: { prediction: 1341 },
    },
    {
      id: '2020',
      from: 'WAG',
      to: 'WLG',
      attributes: { prediction: 257 },
    },
    {
      id: '2021',
      from: 'YGK',
      to: 'YYZ',
      attributes: { prediction: 3502 },
    },
    {
      id: '2022',
      from: 'LIS',
      to: 'ZAG',
      attributes: { prediction: 1702 },
    },
    {
      id: '2023',
      from: 'LAX',
      to: 'ZCL',
      attributes: { prediction: 3387 },
    },
    {
      id: '2024',
      from: 'ZTB',
      to: 'ZLT',
      attributes: { prediction: 102 },
    },
    {
      id: '2025',
      from: 'AKL',
      to: 'ZQN',
      attributes: { prediction: 20501 },
    },
    {
      id: '2026',
      from: 'DTW',
      to: 'APN',
      attributes: { prediction: 1517 },
    },
    {
      id: '2027',
      from: 'YYZ',
      to: 'YQG',
      attributes: { prediction: 4966 },
    },
    {
      id: '2028',
      from: 'YQD',
      to: 'YWG',
      attributes: { prediction: 1332 },
    },
    {
      id: '2029',
      from: 'YVR',
      to: 'YXY',
      attributes: { prediction: 11588 },
    },
    {
      id: '2030',
      from: 'YYJ',
      to: 'YYZ',
      attributes: { prediction: 9649 },
    },
    {
      id: '2031',
      from: 'ATL',
      to: 'ZRH',
      attributes: { prediction: 5593 },
    },
    {
      id: '2032',
      from: 'JFK',
      to: 'ZRH',
      attributes: { prediction: 21969 },
    },
    {
      id: '2033',
      from: 'MIA',
      to: 'ZRH',
      attributes: { prediction: 5615 },
    },
    {
      id: '2034',
      from: 'MJT',
      to: 'ATH',
      attributes: { prediction: 16124 },
    },
    {
      id: '2035',
      from: 'MLA',
      to: 'ATH',
      attributes: { prediction: 1084 },
    },
    {
      id: '2036',
      from: 'MYR',
      to: 'ATL',
      attributes: { prediction: 16946 },
    },
    {
      id: '2037',
      from: 'PUJ',
      to: 'ATL',
      attributes: { prediction: 3797 },
    },
    {
      id: '2038',
      from: 'BOG',
      to: 'AUC',
      attributes: { prediction: 2561 },
    },
    {
      id: '2039',
      from: 'DAC',
      to: 'AUH',
      attributes: { prediction: 9076 },
    },
    {
      id: '2040',
      from: 'SIN',
      to: 'AUH',
      attributes: { prediction: 9835 },
    },
    {
      id: '2041',
      from: 'FRA',
      to: 'BLQ',
      attributes: { prediction: 12169 },
    },
    {
      id: '2042',
      from: 'IXE',
      to: 'BLR',
      attributes: { prediction: 5440 },
    },
    {
      id: '2043',
      from: 'DAD',
      to: 'BMV',
      attributes: { prediction: 678 },
    },
    {
      id: '2044',
      from: 'KUL',
      to: 'BNE',
      attributes: { prediction: 2293 },
    },
    {
      id: '2045',
      from: 'RVK',
      to: 'BNN',
      attributes: { prediction: 486 },
    },
    {
      id: '2046',
      from: 'DTW',
      to: 'AMS',
      attributes: { prediction: 30707 },
    },
    {
      id: '2047',
      from: 'SNP',
      to: 'ANC',
      attributes: { prediction: 337 },
    },
    {
      id: '2048',
      from: 'CPO',
      to: 'ANF',
      attributes: { prediction: 304 },
    },
    {
      id: '2049',
      from: 'JFK',
      to: 'ANU',
      attributes: { prediction: 2380 },
    },
    {
      id: '2050',
      from: 'RHO',
      to: 'AOK',
      attributes: { prediction: 2809 },
    },
    {
      id: '2051',
      from: 'LYC',
      to: 'ARN',
      attributes: { prediction: 2793 },
    },
    {
      id: '2052',
      from: 'WAW',
      to: 'ARN',
      attributes: { prediction: 4265 },
    },
    {
      id: '2053',
      from: 'LRS',
      to: 'ATH',
      attributes: { prediction: 952 },
    },
    {
      id: '2054',
      from: 'PHL',
      to: 'ATH',
      attributes: { prediction: 5024 },
    },
    {
      id: '2055',
      from: 'BOG',
      to: 'ATL',
      attributes: { prediction: 5099 },
    },
    {
      id: '2056',
      from: 'BUF',
      to: 'ATL',
      attributes: { prediction: 29953 },
    },
    {
      id: '2057',
      from: 'GSO',
      to: 'ATL',
      attributes: { prediction: 13038 },
    },
    {
      id: '2058',
      from: 'VPS',
      to: 'ATL',
      attributes: { prediction: 14139 },
    },
    {
      id: '2059',
      from: 'CLT',
      to: 'AUA',
      attributes: { prediction: 6063 },
    },
    {
      id: '2060',
      from: 'VLN',
      to: 'AUA',
      attributes: { prediction: 1220 },
    },
    {
      id: '2061',
      from: 'CDG',
      to: 'AUH',
      attributes: { prediction: 14701 },
    },
    {
      id: '2062',
      from: 'DAC',
      to: 'AUH',
      attributes: { prediction: 9968 },
    },
    {
      id: '2063',
      from: 'VUP',
      to: 'BOG',
      attributes: { prediction: 6729 },
    },
    {
      id: '2064',
      from: 'SMF',
      to: 'BOI',
      attributes: { prediction: 1608 },
    },
    {
      id: '2065',
      from: 'SAH',
      to: 'BAH',
      attributes: { prediction: 5791 },
    },
    {
      id: '2066',
      from: 'MRV',
      to: 'BAX',
      attributes: { prediction: 820 },
    },
    {
      id: '2067',
      from: 'BFS',
      to: 'BCN',
      attributes: { prediction: 4790 },
    },
    {
      id: '2068',
      from: 'OTP',
      to: 'BEG',
      attributes: { prediction: 554 },
    },
    {
      id: '2069',
      from: 'CAI',
      to: 'BEN',
      attributes: { prediction: 3931 },
    },
    {
      id: '2070',
      from: 'FCO',
      to: 'BGO',
      attributes: { prediction: 1411 },
    },
    {
      id: '2071',
      from: 'BDS',
      to: 'BGY',
      attributes: { prediction: 5619 },
    },
    {
      id: '2072',
      from: 'KTM',
      to: 'BHR',
      attributes: { prediction: 310 },
    },
    {
      id: '2073',
      from: 'LXR',
      to: 'BHX',
      attributes: { prediction: 806 },
    },
    {
      id: '2074',
      from: 'SDY',
      to: 'BIL',
      attributes: { prediction: 427 },
    },
    {
      id: '2075',
      from: 'ORY',
      to: 'BIQ',
      attributes: { prediction: 27474 },
    },
    {
      id: '2076',
      from: 'ACC',
      to: 'BJL',
      attributes: { prediction: 3053 },
    },
    {
      id: '2077',
      from: 'LAX',
      to: 'BJX',
      attributes: { prediction: 3247 },
    },
    {
      id: '2078',
      from: 'MIR',
      to: 'BRS',
      attributes: { prediction: 589 },
    },
    {
      id: '2079',
      from: 'BBU',
      to: 'BRU',
      attributes: { prediction: 2894 },
    },
    {
      id: '2080',
      from: 'CAI',
      to: 'BRU',
      attributes: { prediction: 3414 },
    },
    {
      id: '2081',
      from: 'WST',
      to: 'BID',
      attributes: { prediction: 304 },
    },
    {
      id: '2082',
      from: 'LHR',
      to: 'BIO',
      attributes: { prediction: 4534 },
    },
    {
      id: '2083',
      from: 'DEN',
      to: 'BIS',
      attributes: { prediction: 4657 },
    },
    {
      id: '2084',
      from: 'PNK',
      to: 'CGK',
      attributes: { prediction: 20827 },
    },
    {
      id: '2085',
      from: 'CAI',
      to: 'CGN',
      attributes: { prediction: 1375 },
    },
    {
      id: '2086',
      from: 'VLC',
      to: 'CGN',
      attributes: { prediction: 3881 },
    },
    {
      id: '2087',
      from: 'TPE',
      to: 'CGO',
      attributes: { prediction: 2048 },
    },
    {
      id: '2088',
      from: 'CRL',
      to: 'CIA',
      attributes: { prediction: 16381 },
    },
    {
      id: '2089',
      from: 'WRO',
      to: 'BVA',
      attributes: { prediction: 1335 },
    },
    {
      id: '2090',
      from: 'MEM',
      to: 'BWI',
      attributes: { prediction: 5961 },
    },
    {
      id: '2091',
      from: 'EMA',
      to: 'BZG',
      attributes: { prediction: 1512 },
    },
    {
      id: '2092',
      from: 'HHN',
      to: 'CAG',
      attributes: { prediction: 1444 },
    },
    {
      id: '2093',
      from: 'BKK',
      to: 'CAN',
      attributes: { prediction: 35016 },
    },
    {
      id: '2094',
      from: 'NKG',
      to: 'CAN',
      attributes: { prediction: 25641 },
    },
    {
      id: '2095',
      from: 'FRA',
      to: 'CCS',
      attributes: { prediction: 8525 },
    },
    {
      id: '2096',
      from: 'DIB',
      to: 'CCU',
      attributes: { prediction: 5837 },
    },
    {
      id: '2097',
      from: 'NAG',
      to: 'CCU',
      attributes: { prediction: 3513 },
    },
    {
      id: '2098',
      from: 'DTW',
      to: 'CDG',
      attributes: { prediction: 7351 },
    },
    {
      id: '2099',
      from: 'HKG',
      to: 'CDG',
      attributes: { prediction: 29316 },
    },
    {
      id: '2100',
      from: 'KRK',
      to: 'CDG',
      attributes: { prediction: 4716 },
    },
    {
      id: '2101',
      from: 'KJA',
      to: 'CEK',
      attributes: { prediction: 656 },
    },
    {
      id: '2102',
      from: 'AVP',
      to: 'CLT',
      attributes: { prediction: 1982 },
    },
    {
      id: '2103',
      from: 'JED',
      to: 'CMB',
      attributes: { prediction: 3261 },
    },
    {
      id: '2104',
      from: 'ACK',
      to: 'DCA',
      attributes: { prediction: 1258 },
    },
    {
      id: '2105',
      from: 'KHI',
      to: 'DEL',
      attributes: { prediction: 383 },
    },
    {
      id: '2106',
      from: 'BNA',
      to: 'DEN',
      attributes: { prediction: 24716 },
    },
    {
      id: '2107',
      from: 'CLT',
      to: 'DEN',
      attributes: { prediction: 21670 },
    },
    {
      id: '2108',
      from: 'BGW',
      to: 'EBL',
      attributes: { prediction: 2293 },
    },
    {
      id: '2109',
      from: 'LIG',
      to: 'EDI',
      attributes: { prediction: 303 },
    },
    {
      id: '2110',
      from: 'EGN',
      to: 'ELF',
      attributes: { prediction: 372 },
    },
    {
      id: '2111',
      from: 'OME',
      to: 'ELI',
      attributes: { prediction: 157 },
    },
    {
      id: '2112',
      from: 'GRK',
      to: 'DFW',
      attributes: { prediction: 11361 },
    },
    {
      id: '2113',
      from: 'LHR',
      to: 'CPT',
      attributes: { prediction: 14966 },
    },
    {
      id: '2114',
      from: 'CTU',
      to: 'CSX',
      attributes: { prediction: 16785 },
    },
    {
      id: '2115',
      from: 'PER',
      to: 'CVQ',
      attributes: { prediction: 815 },
    },
    {
      id: '2116',
      from: 'GRU',
      to: 'CWB',
      attributes: { prediction: 55908 },
    },
    {
      id: '2117',
      from: 'CCU',
      to: 'DAC',
      attributes: { prediction: 10389 },
    },
    {
      id: '2118',
      from: 'BGW',
      to: 'DAM',
      attributes: { prediction: 3244 },
    },
    {
      id: '2119',
      from: 'PVD',
      to: 'DCA',
      attributes: { prediction: 9705 },
    },
    {
      id: '2120',
      from: 'ZRH',
      to: 'DEL',
      attributes: { prediction: 4441 },
    },
    {
      id: '2121',
      from: 'LBF',
      to: 'DEN',
      attributes: { prediction: 969 },
    },
    {
      id: '2122',
      from: 'MTY',
      to: 'DFW',
      attributes: { prediction: 13098 },
    },
    {
      id: '2123',
      from: 'TPA',
      to: 'DFW',
      attributes: { prediction: 27429 },
    },
    {
      id: '2124',
      from: 'YYZ',
      to: 'DFW',
      attributes: { prediction: 16162 },
    },
    {
      id: '2125',
      from: 'ESB',
      to: 'DIY',
      attributes: { prediction: 6590 },
    },
    {
      id: '2126',
      from: 'JNU',
      to: 'ELV',
      attributes: { prediction: 11 },
    },
    {
      id: '2127',
      from: 'BUD',
      to: 'EMA',
      attributes: { prediction: 1686 },
    },
    {
      id: '2128',
      from: 'TPA',
      to: 'EWR',
      attributes: { prediction: 26060 },
    },
    {
      id: '2129',
      from: 'CWL',
      to: 'GLA',
      attributes: { prediction: 3764 },
    },
    {
      id: '2130',
      from: 'LAS',
      to: 'GRI',
      attributes: { prediction: 1028 },
    },
    {
      id: '2131',
      from: 'GOT',
      to: 'DUS',
      attributes: { prediction: 2946 },
    },
    {
      id: '2132',
      from: 'NAP',
      to: 'DUS',
      attributes: { prediction: 1912 },
    },
    {
      id: '2133',
      from: 'BBO',
      to: 'DXB',
      attributes: { prediction: 451 },
    },
    {
      id: '2134',
      from: 'SFO',
      to: 'DXB',
      attributes: { prediction: 9233 },
    },
    {
      id: '2135',
      from: 'IST',
      to: 'DYU',
      attributes: { prediction: 1068 },
    },
    {
      id: '2136',
      from: 'HOU',
      to: 'ELP',
      attributes: { prediction: 8825 },
    },
    {
      id: '2137',
      from: 'STR',
      to: 'ESB',
      attributes: { prediction: 2094 },
    },
    {
      id: '2138',
      from: 'ATL',
      to: 'EWR',
      attributes: { prediction: 57613 },
    },
    {
      id: '2139',
      from: 'SFB',
      to: 'GSO',
      attributes: { prediction: 1350 },
    },
    {
      id: '2140',
      from: 'CTS',
      to: 'GUM',
      attributes: { prediction: 1070 },
    },
    {
      id: '2141',
      from: 'DBV',
      to: 'FCO',
      attributes: { prediction: 2176 },
    },
    {
      id: '2142',
      from: 'VCE',
      to: 'FCO',
      attributes: { prediction: 36910 },
    },
    {
      id: '2143',
      from: 'REC',
      to: 'FEN',
      attributes: { prediction: 5379 },
    },
    {
      id: '2144',
      from: 'CAP',
      to: 'FLL',
      attributes: { prediction: 96 },
    },
    {
      id: '2145',
      from: 'CTG',
      to: 'FLL',
      attributes: { prediction: 3617 },
    },
    {
      id: '2146',
      from: 'CLE',
      to: 'FNT',
      attributes: { prediction: 2386 },
    },
    {
      id: '2147',
      from: 'CMN',
      to: 'FRA',
      attributes: { prediction: 7091 },
    },
    {
      id: '2148',
      from: 'VRA',
      to: 'FRA',
      attributes: { prediction: 2914 },
    },
    {
      id: '2149',
      from: 'LGW',
      to: 'FRL',
      attributes: { prediction: 1108 },
    },
    {
      id: '2150',
      from: 'MSP',
      to: 'FSD',
      attributes: { prediction: 10049 },
    },
    {
      id: '2151',
      from: 'BCN',
      to: 'FUE',
      attributes: { prediction: 1518 },
    },
    {
      id: '2152',
      from: 'FMO',
      to: 'FUE',
      attributes: { prediction: 744 },
    },
    {
      id: '2153',
      from: 'CAI',
      to: 'GVA',
      attributes: { prediction: 4511 },
    },
    {
      id: '2154',
      from: 'CPH',
      to: 'HAJ',
      attributes: { prediction: 1616 },
    },
    {
      id: '2155',
      from: 'KSN',
      to: 'HAJ',
      attributes: { prediction: 556 },
    },
    {
      id: '2156',
      from: 'MAH',
      to: 'HAM',
      attributes: { prediction: 648 },
    },
    {
      id: '2157',
      from: 'TLS',
      to: 'HAM',
      attributes: { prediction: 2385 },
    },
    {
      id: '2158',
      from: 'BOG',
      to: 'EZE',
      attributes: { prediction: 5817 },
    },
    {
      id: '2159',
      from: 'SVG',
      to: 'FAE',
      attributes: { prediction: 468 },
    },
    {
      id: '2160',
      from: 'LEJ',
      to: 'FAO',
      attributes: { prediction: 883 },
    },
    {
      id: '2161',
      from: 'DRT',
      to: 'IAH',
      attributes: { prediction: 1451 },
    },
    {
      id: '2162',
      from: 'LRD',
      to: 'IAH',
      attributes: { prediction: 4196 },
    },
    {
      id: '2163',
      from: 'DPS',
      to: 'ICN',
      attributes: { prediction: 12479 },
    },
    {
      id: '2164',
      from: 'KHV',
      to: 'ICN',
      attributes: { prediction: 3215 },
    },
    {
      id: '2165',
      from: 'KJA',
      to: 'IKT',
      attributes: { prediction: 2336 },
    },
    {
      id: '2166',
      from: 'SDQ',
      to: 'HAV',
      attributes: { prediction: 1793 },
    },
    {
      id: '2167',
      from: 'BRE',
      to: 'HDF',
      attributes: { prediction: 250 },
    },
    {
      id: '2168',
      from: 'LGW',
      to: 'HEL',
      attributes: { prediction: 3132 },
    },
    {
      id: '2169',
      from: 'LGW',
      to: 'HER',
      attributes: { prediction: 8612 },
    },
    {
      id: '2170',
      from: 'WWK',
      to: 'HGU',
      attributes: { prediction: 185 },
    },
    {
      id: '2171',
      from: 'BGY',
      to: 'HHN',
      attributes: { prediction: 8737 },
    },
    {
      id: '2172',
      from: 'PSA',
      to: 'HHN',
      attributes: { prediction: 5133 },
    },
    {
      id: '2173',
      from: 'CEB',
      to: 'HKG',
      attributes: { prediction: 10151 },
    },
    {
      id: '2174',
      from: 'USM',
      to: 'HKG',
      attributes: { prediction: 2535 },
    },
    {
      id: '2175',
      from: 'YNZ',
      to: 'HKG',
      attributes: { prediction: 784 },
    },
    {
      id: '2176',
      from: 'KIX',
      to: 'HND',
      attributes: { prediction: 65345 },
    },
    {
      id: '2177',
      from: 'SNA',
      to: 'HNL',
      attributes: { prediction: 3318 },
    },
    {
      id: '2178',
      from: 'PPT',
      to: 'HOI',
      attributes: { prediction: 408 },
    },
    {
      id: '2179',
      from: 'RDU',
      to: 'HPN',
      attributes: { prediction: 185 },
    },
    {
      id: '2180',
      from: 'DXB',
      to: 'HYD',
      attributes: { prediction: 28894 },
    },
    {
      id: '2181',
      from: 'ALB',
      to: 'IAD',
      attributes: { prediction: 5402 },
    },
    {
      id: '2182',
      from: 'YUL',
      to: 'IAD',
      attributes: { prediction: 8024 },
    },
    {
      id: '2183',
      from: 'BWI',
      to: 'ISP',
      attributes: { prediction: 15890 },
    },
    {
      id: '2184',
      from: 'BGW',
      to: 'IST',
      attributes: { prediction: 5104 },
    },
    {
      id: '2185',
      from: 'ORD',
      to: 'JAX',
      attributes: { prediction: 11170 },
    },
    {
      id: '2186',
      from: 'BOM',
      to: 'JDH',
      attributes: { prediction: 1351 },
    },
    {
      id: '2187',
      from: 'DXB',
      to: 'KRT',
      attributes: { prediction: 13195 },
    },
    {
      id: '2188',
      from: 'IQT',
      to: 'LIM',
      attributes: { prediction: 16243 },
    },
    {
      id: '2189',
      from: 'FCO',
      to: 'KRK',
      attributes: { prediction: 766 },
    },
    {
      id: '2190',
      from: 'NRN',
      to: 'KRK',
      attributes: { prediction: 2646 },
    },
    {
      id: '2191',
      from: 'KWF',
      to: 'KTN',
      attributes: { prediction: 64 },
    },
    {
      id: '2192',
      from: 'FLL',
      to: 'JFK',
      attributes: { prediction: 39185 },
    },
    {
      id: '2193',
      from: 'JED',
      to: 'JFK',
      attributes: { prediction: 1188 },
    },
    {
      id: '2194',
      from: 'MUC',
      to: 'JFK',
      attributes: { prediction: 5848 },
    },
    {
      id: '2195',
      from: 'VIE',
      to: 'JMK',
      attributes: { prediction: 639 },
    },
    {
      id: '2196',
      from: 'AXD',
      to: 'JSH',
      attributes: { prediction: 618 },
    },
    {
      id: '2197',
      from: 'DUS',
      to: 'JSI',
      attributes: { prediction: 381 },
    },
    {
      id: '2198',
      from: 'TLV',
      to: 'KBP',
      attributes: { prediction: 8512 },
    },
    {
      id: '2199',
      from: 'KCG',
      to: 'KCL',
      attributes: { prediction: 3 },
    },
    {
      id: '2200',
      from: 'FRA',
      to: 'KEF',
      attributes: { prediction: 8262 },
    },
    {
      id: '2201',
      from: 'SEA',
      to: 'KEF',
      attributes: { prediction: 3865 },
    },
    {
      id: '2202',
      from: 'FRA',
      to: 'KIX',
      attributes: { prediction: 7707 },
    },
    {
      id: '2203',
      from: 'ARN',
      to: 'KLR',
      attributes: { prediction: 3004 },
    },
    {
      id: '2204',
      from: 'BSD',
      to: 'KMG',
      attributes: { prediction: 1434 },
    },
    {
      id: '2205',
      from: 'FUK',
      to: 'KMI',
      attributes: { prediction: 13973 },
    },
    {
      id: '2206',
      from: 'ITM',
      to: 'KMJ',
      attributes: { prediction: 21316 },
    },
    {
      id: '2207',
      from: 'HEL',
      to: 'KUO',
      attributes: { prediction: 6326 },
    },
    {
      id: '2208',
      from: 'HEL',
      to: 'LIS',
      attributes: { prediction: 4970 },
    },
    {
      id: '2209',
      from: 'VCE',
      to: 'LIS',
      attributes: { prediction: 3691 },
    },
    {
      id: '2210',
      from: 'VLI',
      to: 'LNE',
      attributes: { prediction: 170 },
    },
    {
      id: '2211',
      from: 'CRL',
      to: 'LPA',
      attributes: { prediction: 2457 },
    },
    {
      id: '2212',
      from: 'CIA',
      to: 'LPL',
      attributes: { prediction: 2268 },
    },
    {
      id: '2213',
      from: 'MIA',
      to: 'LRM',
      attributes: { prediction: 777 },
    },
    {
      id: '2214',
      from: 'IAH',
      to: 'MEM',
      attributes: { prediction: 11341 },
    },
    {
      id: '2215',
      from: 'PDX',
      to: 'MFR',
      attributes: { prediction: 6831 },
    },
    {
      id: '2216',
      from: 'LAS',
      to: 'MHT',
      attributes: { prediction: 3592 },
    },
    {
      id: '2217',
      from: 'AUA',
      to: 'MIA',
      attributes: { prediction: 10076 },
    },
    {
      id: '2218',
      from: 'CDG',
      to: 'LFW',
      attributes: { prediction: 3669 },
    },
    {
      id: '2219',
      from: 'EIN',
      to: 'LGW',
      attributes: { prediction: 4250 },
    },
    {
      id: '2220',
      from: 'ARN',
      to: 'LHR',
      attributes: { prediction: 39159 },
    },
    {
      id: '2221',
      from: 'GIG',
      to: 'LHR',
      attributes: { prediction: 2698 },
    },
    {
      id: '2222',
      from: 'CPH',
      to: 'LIN',
      attributes: { prediction: 3116 },
    },
    {
      id: '2223',
      from: 'FNC',
      to: 'LIS',
      attributes: { prediction: 52941 },
    },
    {
      id: '2224',
      from: 'ORD',
      to: 'LIT',
      attributes: { prediction: 11071 },
    },
    {
      id: '2225',
      from: 'STN',
      to: 'LJU',
      attributes: { prediction: 4729 },
    },
    {
      id: '2226',
      from: 'DKR',
      to: 'LOS',
      attributes: { prediction: 1024 },
    },
    {
      id: '2227',
      from: 'DRS',
      to: 'LPA',
      attributes: { prediction: 738 },
    },
    {
      id: '2228',
      from: 'BRS',
      to: 'MJV',
      attributes: { prediction: 4719 },
    },
    {
      id: '2229',
      from: 'ROK',
      to: 'MKY',
      attributes: { prediction: 1346 },
    },
    {
      id: '2230',
      from: 'KTW',
      to: 'MMX',
      attributes: { prediction: 1891 },
    },
    {
      id: '2231',
      from: 'DTW',
      to: 'MSN',
      attributes: { prediction: 15408 },
    },
    {
      id: '2232',
      from: 'PFO',
      to: 'NCL',
      attributes: { prediction: 2566 },
    },
    {
      id: '2233',
      from: 'ITM',
      to: 'NGS',
      attributes: { prediction: 15533 },
    },
    {
      id: '2234',
      from: 'PVG',
      to: 'NGS',
      attributes: { prediction: 720 },
    },
    {
      id: '2235',
      from: 'WUH',
      to: 'NNG',
      attributes: { prediction: 3132 },
    },
    {
      id: '2236',
      from: 'SZZ',
      to: 'NRN',
      attributes: { prediction: 1655 },
    },
    {
      id: '2237',
      from: 'AUH',
      to: 'MEL',
      attributes: { prediction: 7428 },
    },
    {
      id: '2238',
      from: 'MFE',
      to: 'MEM',
      attributes: { prediction: 3723 },
    },
    {
      id: '2239',
      from: 'CLT',
      to: 'MEX',
      attributes: { prediction: 3977 },
    },
    {
      id: '2240',
      from: 'TIJ',
      to: 'MEX',
      attributes: { prediction: 41437 },
    },
    {
      id: '2241',
      from: 'KIH',
      to: 'MHD',
      attributes: { prediction: 841 },
    },
    {
      id: '2242',
      from: 'LUX',
      to: 'MIR',
      attributes: { prediction: 3942 },
    },
    {
      id: '2243',
      from: 'BLK',
      to: 'MJV',
      attributes: { prediction: 1890 },
    },
    {
      id: '2244',
      from: 'EDI',
      to: 'MJV',
      attributes: { prediction: 3217 },
    },
    {
      id: '2245',
      from: 'NCL',
      to: 'MJV',
      attributes: { prediction: 6389 },
    },
    {
      id: '2246',
      from: 'LAX',
      to: 'MKE',
      attributes: { prediction: 14819 },
    },
    {
      id: '2247',
      from: 'DUS',
      to: 'MLA',
      attributes: { prediction: 4557 },
    },
    {
      id: '2248',
      from: 'BIA',
      to: 'NTE',
      attributes: { prediction: 791 },
    },
    {
      id: '2249',
      from: 'GTF',
      to: 'MSP',
      attributes: { prediction: 4101 },
    },
    {
      id: '2250',
      from: 'FWA',
      to: 'MSY',
      attributes: { prediction: 40 },
    },
    {
      id: '2251',
      from: 'YYC',
      to: 'MUC',
      attributes: { prediction: 1289 },
    },
    {
      id: '2252',
      from: 'CGN',
      to: 'MXP',
      attributes: { prediction: 4757 },
    },
    {
      id: '2253',
      from: 'KBP',
      to: 'MXP',
      attributes: { prediction: 4426 },
    },
    {
      id: '2254',
      from: 'HTS',
      to: 'MYR',
      attributes: { prediction: 1078 },
    },
    {
      id: '2255',
      from: 'LBV',
      to: 'NBO',
      attributes: { prediction: 932 },
    },
    {
      id: '2256',
      from: 'POL',
      to: 'NBO',
      attributes: { prediction: 782 },
    },
    {
      id: '2257',
      from: 'BUR',
      to: 'OAK',
      attributes: { prediction: 35876 },
    },
    {
      id: '2258',
      from: 'ALB',
      to: 'OGS',
      attributes: { prediction: 727 },
    },
    {
      id: '2259',
      from: 'GVA',
      to: 'OLB',
      attributes: { prediction: 1955 },
    },
    {
      id: '2260',
      from: 'LGA',
      to: 'OMA',
      attributes: { prediction: 1452 },
    },
    {
      id: '2261',
      from: 'TFS',
      to: 'OPO',
      attributes: { prediction: 1344 },
    },
    {
      id: '2262',
      from: 'GRU',
      to: 'ORD',
      attributes: { prediction: 5155 },
    },
    {
      id: '2263',
      from: 'CDG',
      to: 'NDJ',
      attributes: { prediction: 3243 },
    },
    {
      id: '2264',
      from: 'ABR',
      to: 'PIR',
      attributes: { prediction: 642 },
    },
    {
      id: '2265',
      from: 'MIA',
      to: 'PLS',
      attributes: { prediction: 10410 },
    },
    {
      id: '2266',
      from: 'ORY',
      to: 'PMI',
      attributes: { prediction: 2974 },
    },
    {
      id: '2267',
      from: 'BIQ',
      to: 'ORY',
      attributes: { prediction: 26810 },
    },
    {
      id: '2268',
      from: 'PRG',
      to: 'OSL',
      attributes: { prediction: 11584 },
    },
    {
      id: '2269',
      from: 'RJK',
      to: 'OSL',
      attributes: { prediction: 1116 },
    },
    {
      id: '2270',
      from: 'FAO',
      to: 'PAD',
      attributes: { prediction: 701 },
    },
    {
      id: '2271',
      from: 'DSN',
      to: 'PEK',
      attributes: { prediction: 7266 },
    },
    {
      id: '2272',
      from: 'IAD',
      to: 'PEK',
      attributes: { prediction: 6573 },
    },
    {
      id: '2273',
      from: 'EWR',
      to: 'PHL',
      attributes: { prediction: 6001 },
    },
    {
      id: '2274',
      from: 'MAG',
      to: 'POM',
      attributes: { prediction: 5212 },
    },
    {
      id: '2275',
      from: 'BEY',
      to: 'PRG',
      attributes: { prediction: 6835 },
    },
    {
      id: '2276',
      from: 'BOJ',
      to: 'PRG',
      attributes: { prediction: 3868 },
    },
    {
      id: '2277',
      from: 'SMF',
      to: 'SAN',
      attributes: { prediction: 34073 },
    },
    {
      id: '2278',
      from: 'CLT',
      to: 'STL',
      attributes: { prediction: 12970 },
    },
    {
      id: '2279',
      from: 'GLA',
      to: 'STN',
      attributes: { prediction: 17472 },
    },
    {
      id: '2280',
      from: 'MKE',
      to: 'SDF',
      attributes: { prediction: 1671 },
    },
    {
      id: '2281',
      from: 'TSO',
      to: 'PZE',
      attributes: { prediction: 871 },
    },
    {
      id: '2282',
      from: 'VLC',
      to: 'RAK',
      attributes: { prediction: 152 },
    },
    {
      id: '2283',
      from: 'VER',
      to: 'REX',
      attributes: { prediction: 1264 },
    },
    {
      id: '2284',
      from: 'JFK',
      to: 'RIC',
      attributes: { prediction: 9547 },
    },
    {
      id: '2285',
      from: 'EMA',
      to: 'RIX',
      attributes: { prediction: 2646 },
    },
    {
      id: '2286',
      from: 'MUC',
      to: 'RIX',
      attributes: { prediction: 3401 },
    },
    {
      id: '2287',
      from: 'HIR',
      to: 'RNA',
      attributes: { prediction: 72 },
    },
    {
      id: '2288',
      from: 'OSL',
      to: 'RRS',
      attributes: { prediction: 1244 },
    },
    {
      id: '2289',
      from: 'ORD',
      to: 'RST',
      attributes: { prediction: 5730 },
    },
    {
      id: '2290',
      from: 'MIA',
      to: 'RTB',
      attributes: { prediction: 466 },
    },
    {
      id: '2291',
      from: 'LGW',
      to: 'RTM',
      attributes: { prediction: 7433 },
    },
    {
      id: '2292',
      from: 'EVN',
      to: 'RTW',
      attributes: { prediction: 188 },
    },
    {
      id: '2293',
      from: 'EAM',
      to: 'RUH',
      attributes: { prediction: 3269 },
    },
    {
      id: '2294',
      from: 'MEX',
      to: 'SAL',
      attributes: { prediction: 4910 },
    },
    {
      id: '2295',
      from: 'AZA',
      to: 'SAT',
      attributes: { prediction: 255 },
    },
    {
      id: '2296',
      from: 'DFW',
      to: 'SAT',
      attributes: { prediction: 51702 },
    },
    {
      id: '2297',
      from: 'FRA',
      to: 'SAW',
      attributes: { prediction: 12066 },
    },
    {
      id: '2298',
      from: 'KIX',
      to: 'SEA',
      attributes: { prediction: 5387 },
    },
    {
      id: '2299',
      from: 'SKG',
      to: 'STR',
      attributes: { prediction: 11490 },
    },
    {
      id: '2300',
      from: 'WAW',
      to: 'SVG',
      attributes: { prediction: 1188 },
    },
    {
      id: '2301',
      from: 'TLL',
      to: 'SVO',
      attributes: { prediction: 1681 },
    },
    {
      id: '2302',
      from: 'FLL',
      to: 'SWF',
      attributes: { prediction: 3755 },
    },
    {
      id: '2303',
      from: 'TLS',
      to: 'SXB',
      attributes: { prediction: 4806 },
    },
    {
      id: '2304',
      from: 'STR',
      to: 'SXF',
      attributes: { prediction: 13091 },
    },
    {
      id: '2305',
      from: 'DXB',
      to: 'SXR',
      attributes: { prediction: 649 },
    },
    {
      id: '2306',
      from: 'BLQ',
      to: 'TPS',
      attributes: { prediction: 8516 },
    },
    {
      id: '2307',
      from: 'LTN',
      to: 'TPS',
      attributes: { prediction: 1650 },
    },
    {
      id: '2308',
      from: 'DUB',
      to: 'TRF',
      attributes: { prediction: 4606 },
    },
    {
      id: '2309',
      from: 'BRU',
      to: 'TRN',
      attributes: { prediction: 3503 },
    },
    {
      id: '2310',
      from: 'DMM',
      to: 'TRV',
      attributes: { prediction: 882 },
    },
    {
      id: '2311',
      from: 'SEA',
      to: 'TUS',
      attributes: { prediction: 3790 },
    },
    {
      id: '2312',
      from: 'CLY',
      to: 'TXL',
      attributes: { prediction: 601 },
    },
    {
      id: '2313',
      from: 'LAX',
      to: 'SMF',
      attributes: { prediction: 34362 },
    },
    {
      id: '2314',
      from: 'LAS',
      to: 'SMX',
      attributes: { prediction: 923 },
    },
    {
      id: '2315',
      from: 'YYZ',
      to: 'SNU',
      attributes: { prediction: 3294 },
    },
    {
      id: '2316',
      from: 'SZG',
      to: 'SOU',
      attributes: { prediction: 374 },
    },
    {
      id: '2317',
      from: 'TXL',
      to: 'SPC',
      attributes: { prediction: 826 },
    },
    {
      id: '2318',
      from: 'ABQ',
      to: 'STL',
      attributes: { prediction: 3600 },
    },
    {
      id: '2319',
      from: 'KDV',
      to: 'SUV',
      attributes: { prediction: 515 },
    },
    {
      id: '2320',
      from: 'ATH',
      to: 'SVO',
      attributes: { prediction: 6409 },
    },
    {
      id: '2321',
      from: 'TLL',
      to: 'SVO',
      attributes: { prediction: 1611 },
    },
    {
      id: '2322',
      from: 'UUS',
      to: 'SVO',
      attributes: { prediction: 10577 },
    },
    {
      id: '2323',
      from: 'DME',
      to: 'SVX',
      attributes: { prediction: 33056 },
    },
    {
      id: '2324',
      from: 'IAH',
      to: 'TYS',
      attributes: { prediction: 5075 },
    },
    {
      id: '2325',
      from: 'BSB',
      to: 'UDI',
      attributes: { prediction: 1018 },
    },
    {
      id: '2326',
      from: 'JFK',
      to: 'SYR',
      attributes: { prediction: 15385 },
    },
    {
      id: '2327',
      from: 'TSN',
      to: 'SZX',
      attributes: { prediction: 10317 },
    },
    {
      id: '2328',
      from: 'VGO',
      to: 'TFS',
      attributes: { prediction: 711 },
    },
    {
      id: '2329',
      from: 'LJU',
      to: 'TGD',
      attributes: { prediction: 1419 },
    },
    {
      id: '2330',
      from: 'PVG',
      to: 'TIJ',
      attributes: { prediction: 1892 },
    },
    {
      id: '2331',
      from: 'OSL',
      to: 'TLL',
      attributes: { prediction: 6345 },
    },
    {
      id: '2332',
      from: 'CMN',
      to: 'TLS',
      attributes: { prediction: 5982 },
    },
    {
      id: '2333',
      from: 'HAM',
      to: 'TLS',
      attributes: { prediction: 2361 },
    },
    {
      id: '2334',
      from: 'LIL',
      to: 'TLS',
      attributes: { prediction: 5779 },
    },
    {
      id: '2335',
      from: 'LIS',
      to: 'TLS',
      attributes: { prediction: 4605 },
    },
    {
      id: '2336',
      from: 'DME',
      to: 'TLV',
      attributes: { prediction: 23214 },
    },
    {
      id: '2337',
      from: 'GRU',
      to: 'TLV',
      attributes: { prediction: 3028 },
    },
    {
      id: '2338',
      from: 'LCA',
      to: 'TLV',
      attributes: { prediction: 4854 },
    },
    {
      id: '2339',
      from: 'XIY',
      to: 'TNA',
      attributes: { prediction: 4764 },
    },
    {
      id: '2340',
      from: 'AUS',
      to: 'TPA',
      attributes: { prediction: 3673 },
    },
    {
      id: '2341',
      from: 'PBI',
      to: 'TPA',
      attributes: { prediction: 10482 },
    },
    {
      id: '2342',
      from: 'HKT',
      to: 'TPE',
      attributes: { prediction: 933 },
    },
    {
      id: '2343',
      from: 'BMA',
      to: 'UME',
      attributes: { prediction: 6882 },
    },
    {
      id: '2344',
      from: 'TBG',
      to: 'UNG',
      attributes: { prediction: 698 },
    },
    {
      id: '2345',
      from: 'CAG',
      to: 'VCE',
      attributes: { prediction: 7794 },
    },
    {
      id: '2346',
      from: 'DBV',
      to: 'VIE',
      attributes: { prediction: 5711 },
    },
    {
      id: '2347',
      from: 'DLM',
      to: 'VIE',
      attributes: { prediction: 647 },
    },
    {
      id: '2348',
      from: 'LGW',
      to: 'VIE',
      attributes: { prediction: 13592 },
    },
    {
      id: '2349',
      from: 'LIN',
      to: 'VIE',
      attributes: { prediction: 2274 },
    },
    {
      id: '2350',
      from: 'PEK',
      to: 'SYX',
      attributes: { prediction: 12927 },
    },
    {
      id: '2351',
      from: 'YEV',
      to: 'YOC',
      attributes: { prediction: 125 },
    },
    {
      id: '2352',
      from: 'EWR',
      to: 'YQB',
      attributes: { prediction: 5188 },
    },
    {
      id: '2353',
      from: 'YXN',
      to: 'YRT',
      attributes: { prediction: 252 },
    },
    {
      id: '2354',
      from: 'MAN',
      to: 'YVR',
      attributes: { prediction: 3179 },
    },
    {
      id: '2355',
      from: 'ZRH',
      to: 'VIE',
      attributes: { prediction: 41013 },
    },
    {
      id: '2356',
      from: 'CRL',
      to: 'VLL',
      attributes: { prediction: 4158 },
    },
    {
      id: '2357',
      from: 'TLL',
      to: 'VNO',
      attributes: { prediction: 3625 },
    },
    {
      id: '2358',
      from: 'PAZ',
      to: 'VSA',
      attributes: { prediction: 1623 },
    },
    {
      id: '2359',
      from: 'BGY',
      to: 'WRO',
      attributes: { prediction: 2389 },
    },
    {
      id: '2360',
      from: 'HGU',
      to: 'WWK',
      attributes: { prediction: 148 },
    },
    {
      id: '2361',
      from: 'IAH',
      to: 'XNA',
      attributes: { prediction: 4932 },
    },
    {
      id: '2362',
      from: 'XIY',
      to: 'XNN',
      attributes: { prediction: 5572 },
    },
    {
      id: '2363',
      from: 'YXL',
      to: 'YAC',
      attributes: { prediction: 513 },
    },
    {
      id: '2364',
      from: 'YRL',
      to: 'YHD',
      attributes: { prediction: 494 },
    },
    {
      id: '2365',
      from: 'ZLT',
      to: 'YIF',
      attributes: { prediction: 182 },
    },
    {
      id: '2366',
      from: 'YVR',
      to: 'YXC',
      attributes: { prediction: 2470 },
    },
    {
      id: '2367',
      from: 'ABE',
      to: 'YYZ',
      attributes: { prediction: 754 },
    },
    {
      id: '2368',
      from: 'ISB',
      to: 'YYZ',
      attributes: { prediction: 1490 },
    },
    {
      id: '2369',
      from: 'BOS',
      to: 'BGR',
      attributes: { prediction: 214 },
    },
    {
      id: '2370',
      from: 'BHX',
      to: 'BHD',
      attributes: { prediction: 13388 },
    },
    {
      id: '2371',
      from: 'STR',
      to: 'BIA',
      attributes: { prediction: 732 },
    },
    {
      id: '2372',
      from: 'AZA',
      to: 'BIS',
      attributes: { prediction: 820 },
    },
    {
      id: '2373',
      from: 'KOE',
      to: 'BJW',
      attributes: { prediction: 524 },
    },
    {
      id: '2374',
      from: 'FNA',
      to: 'ACC',
      attributes: { prediction: 2322 },
    },
    {
      id: '2375',
      from: 'VIE',
      to: 'ACE',
      attributes: { prediction: 1035 },
    },
    {
      id: '2376',
      from: 'CTG',
      to: 'ADZ',
      attributes: { prediction: 3534 },
    },
    {
      id: '2377',
      from: 'PIK',
      to: 'AGP',
      attributes: { prediction: 3402 },
    },
    {
      id: '2378',
      from: 'SVO',
      to: 'AGP',
      attributes: { prediction: 2722 },
    },
    {
      id: '2379',
      from: 'URC',
      to: 'AKU',
      attributes: { prediction: 2891 },
    },
    {
      id: '2380',
      from: 'KYP',
      to: 'AKY',
      attributes: { prediction: 55 },
    },
    {
      id: '2381',
      from: 'ART',
      to: 'ALB',
      attributes: { prediction: 627 },
    },
    {
      id: '2382',
      from: 'YYZ',
      to: 'ALB',
      attributes: { prediction: 1142 },
    },
    {
      id: '2383',
      from: 'SVG',
      to: 'ALC',
      attributes: { prediction: 1083 },
    },
    {
      id: '2384',
      from: 'ZRH',
      to: 'ALC',
      attributes: { prediction: 2301 },
    },
    {
      id: '2385',
      from: 'MUC',
      to: 'AMM',
      attributes: { prediction: 916 },
    },
    {
      id: '2386',
      from: 'TLV',
      to: 'AMM',
      attributes: { prediction: 4695 },
    },
    {
      id: '2387',
      from: 'DUB',
      to: 'AMS',
      attributes: { prediction: 25571 },
    },
    {
      id: '2388',
      from: 'JFK',
      to: 'AMS',
      attributes: { prediction: 22213 },
    },
    {
      id: '2389',
      from: 'SGN',
      to: 'BKK',
      attributes: { prediction: 30496 },
    },
    {
      id: '2390',
      from: 'DAM',
      to: 'BUD',
      attributes: { prediction: 3164 },
    },
    {
      id: '2391',
      from: 'PMI',
      to: 'BUD',
      attributes: { prediction: 300 },
    },
    {
      id: '2392',
      from: 'CLE',
      to: 'BUF',
      attributes: { prediction: 3711 },
    },
    {
      id: '2393',
      from: 'AKL',
      to: 'BWN',
      attributes: { prediction: 2407 },
    },
    {
      id: '2394',
      from: 'KUL',
      to: 'BWN',
      attributes: { prediction: 6868 },
    },
    {
      id: '2395',
      from: 'DUB',
      to: 'BZG',
      attributes: { prediction: 2186 },
    },
    {
      id: '2396',
      from: 'FCO',
      to: 'CCS',
      attributes: { prediction: 5616 },
    },
    {
      id: '2397',
      from: 'LGA',
      to: 'BTV',
      attributes: { prediction: 4951 },
    },
    {
      id: '2398',
      from: 'SKP',
      to: 'BUD',
      attributes: { prediction: 4106 },
    },
    {
      id: '2399',
      from: 'SLC',
      to: 'BZN',
      attributes: { prediction: 6321 },
    },
    {
      id: '2400',
      from: 'BBU',
      to: 'BCN',
      attributes: { prediction: 4067 },
    },
    {
      id: '2401',
      from: 'CMN',
      to: 'BCN',
      attributes: { prediction: 9685 },
    },
    {
      id: '2402',
      from: 'MEX',
      to: 'BCN',
      attributes: { prediction: 1333 },
    },
    {
      id: '2403',
      from: 'BNE',
      to: 'BDB',
      attributes: { prediction: 3488 },
    },
    {
      id: '2404',
      from: 'YYZ',
      to: 'BDL',
      attributes: { prediction: 2918 },
    },
    {
      id: '2405',
      from: 'TPS',
      to: 'BDS',
      attributes: { prediction: 2192 },
    },
    {
      id: '2406',
      from: 'MAO',
      to: 'BEL',
      attributes: { prediction: 12738 },
    },
    {
      id: '2407',
      from: 'CDG',
      to: 'BES',
      attributes: { prediction: 8396 },
    },
    {
      id: '2408',
      from: 'JFK',
      to: 'CAI',
      attributes: { prediction: 13307 },
    },
    {
      id: '2409',
      from: 'TSV',
      to: 'CBR',
      attributes: { prediction: 1468 },
    },
    {
      id: '2410',
      from: 'AUH',
      to: 'CCJ',
      attributes: { prediction: 4802 },
    },
    {
      id: '2411',
      from: 'FRA',
      to: 'BLL',
      attributes: { prediction: 7858 },
    },
    {
      id: '2412',
      from: 'PHE',
      to: 'BME',
      attributes: { prediction: 138 },
    },
    {
      id: '2413',
      from: 'UIB',
      to: 'BOG',
      attributes: { prediction: 1690 },
    },
    {
      id: '2414',
      from: 'GRO',
      to: 'BOH',
      attributes: { prediction: 2332 },
    },
    {
      id: '2415',
      from: 'DAC',
      to: 'BOM',
      attributes: { prediction: 4538 },
    },
    {
      id: '2416',
      from: 'ICN',
      to: 'BOM',
      attributes: { prediction: 2645 },
    },
    {
      id: '2417',
      from: 'ZRH',
      to: 'BOS',
      attributes: { prediction: 6201 },
    },
    {
      id: '2418',
      from: 'SSA',
      to: 'BPS',
      attributes: { prediction: 7696 },
    },
    {
      id: '2419',
      from: 'HAM',
      to: 'BRI',
      attributes: { prediction: 1178 },
    },
    {
      id: '2420',
      from: 'MXP',
      to: 'BRI',
      attributes: { prediction: 19439 },
    },
    {
      id: '2421',
      from: 'TPS',
      to: 'BRI',
      attributes: { prediction: 1514 },
    },
    {
      id: '2422',
      from: 'MAN',
      to: 'BRU',
      attributes: { prediction: 9759 },
    },
    {
      id: '2423',
      from: 'PMI',
      to: 'BRU',
      attributes: { prediction: 539 },
    },
    {
      id: '2424',
      from: 'FAI',
      to: 'BRW',
      attributes: { prediction: 2654 },
    },
    {
      id: '2425',
      from: 'HER',
      to: 'BSL',
      attributes: { prediction: 2479 },
    },
    {
      id: '2426',
      from: 'TRV',
      to: 'CCJ',
      attributes: { prediction: 622 },
    },
    {
      id: '2427',
      from: 'DUB',
      to: 'CDG',
      attributes: { prediction: 33434 },
    },
    {
      id: '2428',
      from: 'KUL',
      to: 'CDG',
      attributes: { prediction: 7822 },
    },
    {
      id: '2429',
      from: 'OZC',
      to: 'CEB',
      attributes: { prediction: 2447 },
    },
    {
      id: '2430',
      from: 'BKK',
      to: 'CEI',
      attributes: { prediction: 19202 },
    },
    {
      id: '2431',
      from: 'DFW',
      to: 'CDG',
      attributes: { prediction: 5656 },
    },
    {
      id: '2432',
      from: 'PUF',
      to: 'CDG',
      attributes: { prediction: 11771 },
    },
    {
      id: '2433',
      from: 'CRK',
      to: 'CEB',
      attributes: { prediction: 1361 },
    },
    {
      id: '2434',
      from: 'KUN',
      to: 'CRL',
      attributes: { prediction: 2457 },
    },
    {
      id: '2435',
      from: 'ACA',
      to: 'CRP',
      attributes: { prediction: 30 },
    },
    {
      id: '2436',
      from: 'ZRH',
      to: 'CTA',
      attributes: { prediction: 2083 },
    },
    {
      id: '2437',
      from: 'RIS',
      to: 'CTS',
      attributes: { prediction: 1876 },
    },
    {
      id: '2438',
      from: 'SJW',
      to: 'CTU',
      attributes: { prediction: 4457 },
    },
    {
      id: '2439',
      from: 'TIA',
      to: 'CGN',
      attributes: { prediction: 732 },
    },
    {
      id: '2440',
      from: 'CAN',
      to: 'CGO',
      attributes: { prediction: 10471 },
    },
    {
      id: '2441',
      from: 'GRO',
      to: 'CIA',
      attributes: { prediction: 11877 },
    },
    {
      id: '2442',
      from: 'CJU',
      to: 'CJJ',
      attributes: { prediction: 17156 },
    },
    {
      id: '2443',
      from: 'BNA',
      to: 'CLE',
      attributes: { prediction: 7238 },
    },
    {
      id: '2444',
      from: 'MBJ',
      to: 'CLT',
      attributes: { prediction: 8988 },
    },
    {
      id: '2445',
      from: 'STT',
      to: 'CLT',
      attributes: { prediction: 4830 },
    },
    {
      id: '2446',
      from: 'AGP',
      to: 'CMN',
      attributes: { prediction: 1725 },
    },
    {
      id: '2447',
      from: 'EWR',
      to: 'CPH',
      attributes: { prediction: 12005 },
    },
    {
      id: '2448',
      from: 'VNO',
      to: 'CPH',
      attributes: { prediction: 11198 },
    },
    {
      id: '2449',
      from: 'YYZ',
      to: 'CZM',
      attributes: { prediction: 373 },
    },
    {
      id: '2450',
      from: 'DXB',
      to: 'DAC',
      attributes: { prediction: 25557 },
    },
    {
      id: '2451',
      from: 'ZNZ',
      to: 'DAR',
      attributes: { prediction: 5956 },
    },
    {
      id: '2452',
      from: 'BUD',
      to: 'CFU',
      attributes: { prediction: 446 },
    },
    {
      id: '2453',
      from: 'CGN',
      to: 'CPH',
      attributes: { prediction: 3144 },
    },
    {
      id: '2454',
      from: 'JNB',
      to: 'CPT',
      attributes: { prediction: 164691 },
    },
    {
      id: '2455',
      from: 'PGF',
      to: 'CRL',
      attributes: { prediction: 1332 },
    },
    {
      id: '2456',
      from: 'EMA',
      to: 'GCI',
      attributes: { prediction: 1824 },
    },
    {
      id: '2457',
      from: 'NDR',
      to: 'DUS',
      attributes: { prediction: 1371 },
    },
    {
      id: '2458',
      from: 'ORD',
      to: 'DUS',
      attributes: { prediction: 6154 },
    },
    {
      id: '2459',
      from: 'CUU',
      to: 'DFW',
      attributes: { prediction: 2198 },
    },
    {
      id: '2460',
      from: 'LBB',
      to: 'DFW',
      attributes: { prediction: 11064 },
    },
    {
      id: '2461',
      from: 'ABJ',
      to: 'DKR',
      attributes: { prediction: 5033 },
    },
    {
      id: '2462',
      from: 'VLI',
      to: 'DLY',
      attributes: { prediction: 33 },
    },
    {
      id: '2463',
      from: 'BAX',
      to: 'DME',
      attributes: { prediction: 6138 },
    },
    {
      id: '2464',
      from: 'BAH',
      to: 'DMM',
      attributes: { prediction: 5938 },
    },
    {
      id: '2465',
      from: 'CGK',
      to: 'DOH',
      attributes: { prediction: 7177 },
    },
    {
      id: '2466',
      from: 'SKG',
      to: 'DRS',
      attributes: { prediction: 786 },
    },
    {
      id: '2467',
      from: 'IST',
      to: 'DTM',
      attributes: { prediction: 674 },
    },
    {
      id: '2468',
      from: 'TOL',
      to: 'DTW',
      attributes: { prediction: 2097 },
    },
    {
      id: '2469',
      from: 'CPT',
      to: 'DUR',
      attributes: { prediction: 37541 },
    },
    {
      id: '2470',
      from: 'GPA',
      to: 'DUS',
      attributes: { prediction: 847 },
    },
    {
      id: '2471',
      from: 'LKO',
      to: 'DXB',
      attributes: { prediction: 2660 },
    },
    {
      id: '2472',
      from: 'PHX',
      to: 'GEG',
      attributes: { prediction: 5109 },
    },
    {
      id: '2473',
      from: 'CVQ',
      to: 'GET',
      attributes: { prediction: 297 },
    },
    {
      id: '2474',
      from: 'LIM',
      to: 'GIG',
      attributes: { prediction: 2090 },
    },
    {
      id: '2475',
      from: 'HAC',
      to: 'HND',
      attributes: { prediction: 9368 },
    },
    {
      id: '2476',
      from: 'MMY',
      to: 'HND',
      attributes: { prediction: 3128 },
    },
    {
      id: '2477',
      from: 'SYD',
      to: 'HBA',
      attributes: { prediction: 18349 },
    },
    {
      id: '2478',
      from: 'CGN',
      to: 'HDF',
      attributes: { prediction: 200 },
    },
    {
      id: '2479',
      from: 'ALC',
      to: 'HEL',
      attributes: { prediction: 772 },
    },
    {
      id: '2480',
      from: 'KEM',
      to: 'HEL',
      attributes: { prediction: 6931 },
    },
    {
      id: '2481',
      from: 'TKU',
      to: 'HEL',
      attributes: { prediction: 4164 },
    },
    {
      id: '2482',
      from: 'LCA',
      to: 'HER',
      attributes: { prediction: 2405 },
    },
    {
      id: '2483',
      from: 'TSN',
      to: 'HET',
      attributes: { prediction: 1307 },
    },
    {
      id: '2484',
      from: 'NRT',
      to: 'HGH',
      attributes: { prediction: 1456 },
    },
    {
      id: '2485',
      from: 'TAO',
      to: 'HGH',
      attributes: { prediction: 3388 },
    },
    {
      id: '2486',
      from: 'KIX',
      to: 'HKD',
      attributes: { prediction: 2511 },
    },
    {
      id: '2487',
      from: 'JFK',
      to: 'HKG',
      attributes: { prediction: 15981 },
    },
    {
      id: '2488',
      from: 'MEL',
      to: 'HKG',
      attributes: { prediction: 31598 },
    },
    {
      id: '2489',
      from: 'WNZ',
      to: 'HKG',
      attributes: { prediction: 2281 },
    },
    {
      id: '2490',
      from: 'GDL',
      to: 'HMO',
      attributes: { prediction: 6773 },
    },
    {
      id: '2491',
      from: 'AKL',
      to: 'HNL',
      attributes: { prediction: 2120 },
    },
    {
      id: '2492',
      from: 'OGG',
      to: 'HNL',
      attributes: { prediction: 56268 },
    },
    {
      id: '2493',
      from: 'NAP',
      to: 'FCO',
      attributes: { prediction: 12893 },
    },
    {
      id: '2494',
      from: 'REC',
      to: 'FEN',
      attributes: { prediction: 4437 },
    },
    {
      id: '2495',
      from: 'ATL',
      to: 'FLL',
      attributes: { prediction: 92677 },
    },
    {
      id: '2496',
      from: 'LGW',
      to: 'FLR',
      attributes: { prediction: 7142 },
    },
    {
      id: '2497',
      from: 'TIA',
      to: 'FLR',
      attributes: { prediction: 4313 },
    },
    {
      id: '2498',
      from: 'STN',
      to: 'FNC',
      attributes: { prediction: 3588 },
    },
    {
      id: '2499',
      from: 'RZE',
      to: 'FRA',
      attributes: { prediction: 1833 },
    },
    {
      id: '2500',
      from: 'SKG',
      to: 'FRA',
      attributes: { prediction: 6232 },
    },
    {
      id: '2501',
      from: 'SOF',
      to: 'FRL',
      attributes: { prediction: 2215 },
    },
    {
      id: '2502',
      from: 'REL',
      to: 'FTE',
      attributes: { prediction: 2756 },
    },
    {
      id: '2503',
      from: 'FLL',
      to: 'HPN',
      attributes: { prediction: 10531 },
    },
    {
      id: '2504',
      from: 'AYT',
      to: 'GLA',
      attributes: { prediction: 1004 },
    },
    {
      id: '2505',
      from: 'EWR',
      to: 'GLA',
      attributes: { prediction: 4705 },
    },
    {
      id: '2506',
      from: 'KUS',
      to: 'GOH',
      attributes: { prediction: 135 },
    },
    {
      id: '2507',
      from: 'EIN',
      to: 'GRO',
      attributes: { prediction: 5415 },
    },
    {
      id: '2508',
      from: 'KGS',
      to: 'GRZ',
      attributes: { prediction: 653 },
    },
    {
      id: '2509',
      from: 'DFW',
      to: 'GSP',
      attributes: { prediction: 4940 },
    },
    {
      id: '2510',
      from: 'DJE',
      to: 'GVA',
      attributes: { prediction: 1045 },
    },
    {
      id: '2511',
      from: 'ACE',
      to: 'HAJ',
      attributes: { prediction: 889 },
    },
    {
      id: '2512',
      from: 'MVY',
      to: 'HYA',
      attributes: { prediction: 229 },
    },
    {
      id: '2513',
      from: 'FRA',
      to: 'HYD',
      attributes: { prediction: 2296 },
    },
    {
      id: '2514',
      from: 'BRU',
      to: 'IAD',
      attributes: { prediction: 4868 },
    },
    {
      id: '2515',
      from: 'KWI',
      to: 'IAD',
      attributes: { prediction: 6332 },
    },
    {
      id: '2516',
      from: 'SAH',
      to: 'HOD',
      attributes: { prediction: 2293 },
    },
    {
      id: '2517',
      from: 'CVG',
      to: 'HOU',
      attributes: { prediction: 119 },
    },
    {
      id: '2518',
      from: 'VFA',
      to: 'HRE',
      attributes: { prediction: 810 },
    },
    {
      id: '2519',
      from: 'BOM',
      to: 'HYD',
      attributes: { prediction: 60215 },
    },
    {
      id: '2520',
      from: 'PHX',
      to: 'JFK',
      attributes: { prediction: 19740 },
    },
    {
      id: '2521',
      from: 'DXB',
      to: 'JNB',
      attributes: { prediction: 26022 },
    },
    {
      id: '2522',
      from: 'JAV',
      to: 'JQA',
      attributes: { prediction: 212 },
    },
    {
      id: '2523',
      from: 'RUH',
      to: 'KBL',
      attributes: { prediction: 1062 },
    },
    {
      id: '2524',
      from: 'HEL',
      to: 'KBP',
      attributes: { prediction: 3063 },
    },
    {
      id: '2525',
      from: 'UIO',
      to: 'IAH',
      attributes: { prediction: 3441 },
    },
    {
      id: '2526',
      from: 'MAH',
      to: 'IBZ',
      attributes: { prediction: 1546 },
    },
    {
      id: '2527',
      from: 'GOT',
      to: 'IST',
      attributes: { prediction: 2482 },
    },
    {
      id: '2528',
      from: 'KRT',
      to: 'IST',
      attributes: { prediction: 4081 },
    },
    {
      id: '2529',
      from: 'CCU',
      to: 'IXA',
      attributes: { prediction: 9314 },
    },
    {
      id: '2530',
      from: 'IXS',
      to: 'IXA',
      attributes: { prediction: 225 },
    },
    {
      id: '2531',
      from: 'DEN',
      to: 'JAC',
      attributes: { prediction: 16997 },
    },
    {
      id: '2532',
      from: 'KEF',
      to: 'JFK',
      attributes: { prediction: 10935 },
    },
    {
      id: '2533',
      from: 'NBO',
      to: 'KGL',
      attributes: { prediction: 6398 },
    },
    {
      id: '2534',
      from: 'MDL',
      to: 'KHM',
      attributes: { prediction: 290 },
    },
    {
      id: '2535',
      from: 'AXR',
      to: 'KKR',
      attributes: { prediction: 82 },
    },
    {
      id: '2536',
      from: 'MNL',
      to: 'KLO',
      attributes: { prediction: 22141 },
    },
    {
      id: '2537',
      from: 'RNB',
      to: 'KLR',
      attributes: { prediction: 334 },
    },
    {
      id: '2538',
      from: 'LJG',
      to: 'KMG',
      attributes: { prediction: 9136 },
    },
    {
      id: '2539',
      from: 'NGO',
      to: 'KMI',
      attributes: { prediction: 8235 },
    },
    {
      id: '2540',
      from: 'PEK',
      to: 'HYN',
      attributes: { prediction: 5336 },
    },
    {
      id: '2541',
      from: 'IND',
      to: 'IAD',
      attributes: { prediction: 5425 },
    },
    {
      id: '2542',
      from: 'CAE',
      to: 'IAH',
      attributes: { prediction: 3288 },
    },
    {
      id: '2543',
      from: 'HNL',
      to: 'IAH',
      attributes: { prediction: 12247 },
    },
    {
      id: '2544',
      from: 'DLA',
      to: 'LFW',
      attributes: { prediction: 1820 },
    },
    {
      id: '2545',
      from: 'DTW',
      to: 'LGA',
      attributes: { prediction: 41696 },
    },
    {
      id: '2546',
      from: 'LEI',
      to: 'LGW',
      attributes: { prediction: 4404 },
    },
    {
      id: '2547',
      from: 'HYL',
      to: 'KTN',
      attributes: { prediction: 774 },
    },
    {
      id: '2548',
      from: 'OME',
      to: 'KTS',
      attributes: { prediction: 12 },
    },
    {
      id: '2549',
      from: 'NYO',
      to: 'KTW',
      attributes: { prediction: 2252 },
    },
    {
      id: '2550',
      from: 'PEK',
      to: 'KUL',
      attributes: { prediction: 10225 },
    },
    {
      id: '2551',
      from: 'RHO',
      to: 'KZS',
      attributes: { prediction: 657 },
    },
    {
      id: '2552',
      from: 'LAX',
      to: 'LAP',
      attributes: { prediction: 629 },
    },
    {
      id: '2553',
      from: 'SGF',
      to: 'LAS',
      attributes: { prediction: 2600 },
    },
    {
      id: '2554',
      from: 'DXB',
      to: 'LAX',
      attributes: { prediction: 6398 },
    },
    {
      id: '2555',
      from: 'TUS',
      to: 'LAX',
      attributes: { prediction: 22338 },
    },
    {
      id: '2556',
      from: 'BHD',
      to: 'LBA',
      attributes: { prediction: 5740 },
    },
    {
      id: '2557',
      from: 'DUB',
      to: 'LBC',
      attributes: { prediction: 3100 },
    },
    {
      id: '2558',
      from: 'DUB',
      to: 'LCY',
      attributes: { prediction: 12178 },
    },
    {
      id: '2559',
      from: 'RTM',
      to: 'LCY',
      attributes: { prediction: 6331 },
    },
    {
      id: '2560',
      from: 'MUC',
      to: 'LED',
      attributes: { prediction: 13917 },
    },
    {
      id: '2561',
      from: 'PMI',
      to: 'LEJ',
      attributes: { prediction: 13315 },
    },
    {
      id: '2562',
      from: 'SSH',
      to: 'LGW',
      attributes: { prediction: 14598 },
    },
    {
      id: '2563',
      from: 'AUH',
      to: 'LHR',
      attributes: { prediction: 25581 },
    },
    {
      id: '2564',
      from: 'CTU',
      to: 'LHW',
      attributes: { prediction: 9815 },
    },
    {
      id: '2565',
      from: 'ZIH',
      to: 'MEX',
      attributes: { prediction: 7737 },
    },
    {
      id: '2566',
      from: 'LUX',
      to: 'NCE',
      attributes: { prediction: 1584 },
    },
    {
      id: '2567',
      from: 'DPS',
      to: 'NGO',
      attributes: { prediction: 2408 },
    },
    {
      id: '2568',
      from: 'LDY',
      to: 'LTN',
      attributes: { prediction: 3213 },
    },
    {
      id: '2569',
      from: 'FCO',
      to: 'LWO',
      attributes: { prediction: 1226 },
    },
    {
      id: '2570',
      from: 'GOT',
      to: 'LYS',
      attributes: { prediction: 885 },
    },
    {
      id: '2571',
      from: 'SPU',
      to: 'LYS',
      attributes: { prediction: 286 },
    },
    {
      id: '2572',
      from: 'LGW',
      to: 'MAD',
      attributes: { prediction: 24585 },
    },
    {
      id: '2573',
      from: 'BOH',
      to: 'MAH',
      attributes: { prediction: 659 },
    },
    {
      id: '2574',
      from: 'BIA',
      to: 'MAN',
      attributes: { prediction: 828 },
    },
    {
      id: '2575',
      from: 'CAI',
      to: 'MCT',
      attributes: { prediction: 6595 },
    },
    {
      id: '2576',
      from: 'GIG',
      to: 'MCZ',
      attributes: { prediction: 3038 },
    },
    {
      id: '2577',
      from: 'MHT',
      to: 'MDW',
      attributes: { prediction: 12600 },
    },
    {
      id: '2578',
      from: 'VLL',
      to: 'NRN',
      attributes: { prediction: 2255 },
    },
    {
      id: '2579',
      from: 'TAS',
      to: 'NRT',
      attributes: { prediction: 1379 },
    },
    {
      id: '2580',
      from: 'CGK',
      to: 'PGK',
      attributes: { prediction: 16555 },
    },
    {
      id: '2581',
      from: 'DSM',
      to: 'PHX',
      attributes: { prediction: 2808 },
    },
    {
      id: '2582',
      from: 'IKA',
      to: 'ORY',
      attributes: { prediction: 1958 },
    },
    {
      id: '2583',
      from: 'LRT',
      to: 'ORY',
      attributes: { prediction: 6965 },
    },
    {
      id: '2584',
      from: 'NCY',
      to: 'ORY',
      attributes: { prediction: 3960 },
    },
    {
      id: '2585',
      from: 'SXB',
      to: 'ORY',
      attributes: { prediction: 7681 },
    },
    {
      id: '2586',
      from: 'RIX',
      to: 'OSL',
      attributes: { prediction: 11636 },
    },
    {
      id: '2587',
      from: 'CDG',
      to: 'MSP',
      attributes: { prediction: 6001 },
    },
    {
      id: '2588',
      from: 'PIA',
      to: 'MSP',
      attributes: { prediction: 2437 },
    },
    {
      id: '2589',
      from: 'STL',
      to: 'MSY',
      attributes: { prediction: 3211 },
    },
    {
      id: '2590',
      from: 'ATL',
      to: 'MTY',
      attributes: { prediction: 3521 },
    },
    {
      id: '2591',
      from: 'MIR',
      to: 'MUC',
      attributes: { prediction: 1780 },
    },
    {
      id: '2592',
      from: 'DBV',
      to: 'MXP',
      attributes: { prediction: 2380 },
    },
    {
      id: '2593',
      from: 'SSH',
      to: 'MXP',
      attributes: { prediction: 810 },
    },
    {
      id: '2594',
      from: 'NGO',
      to: 'MYJ',
      attributes: { prediction: 1974 },
    },
    {
      id: '2595',
      from: 'MUR',
      to: 'MYY',
      attributes: { prediction: 535 },
    },
    {
      id: '2596',
      from: 'MEL',
      to: 'NAN',
      attributes: { prediction: 4397 },
    },
    {
      id: '2597',
      from: 'BIM',
      to: 'NAS',
      attributes: { prediction: 953 },
    },
    {
      id: '2598',
      from: 'KUL',
      to: 'PDG',
      attributes: { prediction: 4363 },
    },
    {
      id: '2599',
      from: 'DEN',
      to: 'PDX',
      attributes: { prediction: 45779 },
    },
    {
      id: '2600',
      from: 'BUD',
      to: 'PEK',
      attributes: { prediction: 3475 },
    },
    {
      id: '2601',
      from: 'EWR',
      to: 'PEK',
      attributes: { prediction: 6461 },
    },
    {
      id: '2602',
      from: 'HLD',
      to: 'PEK',
      attributes: { prediction: 2287 },
    },
    {
      id: '2603',
      from: 'CGN',
      to: 'NUE',
      attributes: { prediction: 874 },
    },
    {
      id: '2604',
      from: 'FWA',
      to: 'ORD',
      attributes: { prediction: 6275 },
    },
    {
      id: '2605',
      from: 'LGB',
      to: 'ORD',
      attributes: { prediction: 4095 },
    },
    {
      id: '2606',
      from: 'NRT',
      to: 'ORD',
      attributes: { prediction: 38429 },
    },
    {
      id: '2607',
      from: 'SAT',
      to: 'ORD',
      attributes: { prediction: 16482 },
    },
    {
      id: '2608',
      from: 'YHZ',
      to: 'ORD',
      attributes: { prediction: 1877 },
    },
    {
      id: '2609',
      from: 'YYC',
      to: 'ORD',
      attributes: { prediction: 10639 },
    },
    {
      id: '2610',
      from: 'LIS',
      to: 'ORK',
      attributes: { prediction: 1341 },
    },
    {
      id: '2611',
      from: 'ORY',
      to: 'ORN',
      attributes: { prediction: 4068 },
    },
    {
      id: '2612',
      from: 'YNZ',
      to: 'PEK',
      attributes: { prediction: 2584 },
    },
    {
      id: '2613',
      from: 'AKL',
      to: 'PER',
      attributes: { prediction: 4010 },
    },
    {
      id: '2614',
      from: 'EPR',
      to: 'PER',
      attributes: { prediction: 1640 },
    },
    {
      id: '2615',
      from: 'BDL',
      to: 'PHL',
      attributes: { prediction: 14487 },
    },
    {
      id: '2616',
      from: 'BWI',
      to: 'PHL',
      attributes: { prediction: 10102 },
    },
    {
      id: '2617',
      from: 'IAH',
      to: 'PHL',
      attributes: { prediction: 26302 },
    },
    {
      id: '2618',
      from: 'MDT',
      to: 'PHL',
      attributes: { prediction: 4029 },
    },
    {
      id: '2619',
      from: 'GYM',
      to: 'PHX',
      attributes: { prediction: 485 },
    },
    {
      id: '2620',
      from: 'MSP',
      to: 'PIA',
      attributes: { prediction: 2382 },
    },
    {
      id: '2621',
      from: 'SBN',
      to: 'PIE',
      attributes: { prediction: 1200 },
    },
    {
      id: '2622',
      from: 'GDX',
      to: 'PKC',
      attributes: { prediction: 127 },
    },
    {
      id: '2623',
      from: 'TAL',
      to: 'RBY',
      attributes: { prediction: 64 },
    },
    {
      id: '2624',
      from: 'BOS',
      to: 'RDU',
      attributes: { prediction: 17436 },
    },
    {
      id: '2625',
      from: 'SNW',
      to: 'RGN',
      attributes: { prediction: 1034 },
    },
    {
      id: '2626',
      from: 'CTA',
      to: 'PMF',
      attributes: { prediction: 4651 },
    },
    {
      id: '2627',
      from: 'MXP',
      to: 'PMO',
      attributes: { prediction: 23291 },
    },
    {
      id: '2628',
      from: 'ORY',
      to: 'PMO',
      attributes: { prediction: 4507 },
    },
    {
      id: '2629',
      from: 'FLG',
      to: 'PRC',
      attributes: { prediction: 1283 },
    },
    {
      id: '2630',
      from: 'ROV',
      to: 'PRG',
      attributes: { prediction: 2169 },
    },
    {
      id: '2631',
      from: 'LIN',
      to: 'PSR',
      attributes: { prediction: 2716 },
    },
    {
      id: '2632',
      from: 'PAP',
      to: 'PTP',
      attributes: { prediction: 2963 },
    },
    {
      id: '2633',
      from: 'SJU',
      to: 'PUJ',
      attributes: { prediction: 2697 },
    },
    {
      id: '2634',
      from: 'EWR',
      to: 'PVD',
      attributes: { prediction: 5933 },
    },
    {
      id: '2635',
      from: 'EMA',
      to: 'RAK',
      attributes: { prediction: 1586 },
    },
    {
      id: '2636',
      from: 'MDW',
      to: 'RNO',
      attributes: { prediction: 3453 },
    },
    {
      id: '2637',
      from: 'ACC',
      to: 'ROB',
      attributes: { prediction: 4206 },
    },
    {
      id: '2638',
      from: 'AMM',
      to: 'RUH',
      attributes: { prediction: 8945 },
    },
    {
      id: '2639',
      from: 'ATH',
      to: 'RYG',
      attributes: { prediction: 1435 },
    },
    {
      id: '2640',
      from: 'KHI',
      to: 'RYK',
      attributes: { prediction: 1608 },
    },
    {
      id: '2641',
      from: 'RLG',
      to: 'PMI',
      attributes: { prediction: 1102 },
    },
    {
      id: '2642',
      from: 'REC',
      to: 'PNZ',
      attributes: { prediction: 5570 },
    },
    {
      id: '2643',
      from: 'HGU',
      to: 'POM',
      attributes: { prediction: 5587 },
    },
    {
      id: '2644',
      from: 'HKN',
      to: 'POM',
      attributes: { prediction: 1068 },
    },
    {
      id: '2645',
      from: 'KUL',
      to: 'TRZ',
      attributes: { prediction: 7330 },
    },
    {
      id: '2646',
      from: 'BBU',
      to: 'TSF',
      attributes: { prediction: 3023 },
    },
    {
      id: '2647',
      from: 'ALC',
      to: 'SOU',
      attributes: { prediction: 2958 },
    },
    {
      id: '2648',
      from: 'GUM',
      to: 'SPN',
      attributes: { prediction: 3291 },
    },
    {
      id: '2649',
      from: 'KBP',
      to: 'SPU',
      attributes: { prediction: 1295 },
    },
    {
      id: '2650',
      from: 'RAO',
      to: 'SDU',
      attributes: { prediction: 3848 },
    },
    {
      id: '2651',
      from: 'DFW',
      to: 'SEA',
      attributes: { prediction: 44715 },
    },
    {
      id: '2652',
      from: 'KOA',
      to: 'SFO',
      attributes: { prediction: 10799 },
    },
    {
      id: '2653',
      from: 'MKE',
      to: 'SFO',
      attributes: { prediction: 7115 },
    },
    {
      id: '2654',
      from: 'CJB',
      to: 'SHJ',
      attributes: { prediction: 2554 },
    },
    {
      id: '2655',
      from: 'MXP',
      to: 'SIN',
      attributes: { prediction: 6621 },
    },
    {
      id: '2656',
      from: 'GYE',
      to: 'SJO',
      attributes: { prediction: 3062 },
    },
    {
      id: '2657',
      from: 'OBX',
      to: 'SKC',
      attributes: { prediction: 180 },
    },
    {
      id: '2658',
      from: 'CUN',
      to: 'SLC',
      attributes: { prediction: 2136 },
    },
    {
      id: '2659',
      from: 'DXB',
      to: 'SLL',
      attributes: { prediction: 851 },
    },
    {
      id: '2660',
      from: 'TNR',
      to: 'SMS',
      attributes: { prediction: 1785 },
    },
    {
      id: '2661',
      from: 'TFS',
      to: 'SNN',
      attributes: { prediction: 612 },
    },
    {
      id: '2662',
      from: 'BSX',
      to: 'SNW',
      attributes: { prediction: 36 },
    },
    {
      id: '2663',
      from: 'VLC',
      to: 'TSR',
      attributes: { prediction: 1408 },
    },
    {
      id: '2664',
      from: 'DFW',
      to: 'TXK',
      attributes: { prediction: 3499 },
    },
    {
      id: '2665',
      from: 'YVR',
      to: 'YCD',
      attributes: { prediction: 3587 },
    },
    {
      id: '2666',
      from: 'YYR',
      to: 'YDF',
      attributes: { prediction: 1461 },
    },
    {
      id: '2667',
      from: 'YZF',
      to: 'YEV',
      attributes: { prediction: 1086 },
    },
    {
      id: '2668',
      from: 'DUS',
      to: 'VOL',
      attributes: { prediction: 601 },
    },
    {
      id: '2669',
      from: 'CAG',
      to: 'VRN',
      attributes: { prediction: 7378 },
    },
    {
      id: '2670',
      from: 'TIA',
      to: 'VRN',
      attributes: { prediction: 7692 },
    },
    {
      id: '2671',
      from: 'LTN',
      to: 'WAT',
      attributes: { prediction: 3703 },
    },
    {
      id: '2672',
      from: 'VIE',
      to: 'WAW',
      attributes: { prediction: 13983 },
    },
    {
      id: '2673',
      from: 'YVP',
      to: 'XGR',
      attributes: { prediction: 196 },
    },
    {
      id: '2674',
      from: 'TXL',
      to: 'XRY',
      attributes: { prediction: 1412 },
    },
    {
      id: '2675',
      from: 'SHJ',
      to: 'SYZ',
      attributes: { prediction: 2073 },
    },
    {
      id: '2676',
      from: 'KWL',
      to: 'SZX',
      attributes: { prediction: 5983 },
    },
    {
      id: '2677',
      from: 'BGI',
      to: 'TAB',
      attributes: { prediction: 760 },
    },
    {
      id: '2678',
      from: 'SHA',
      to: 'TAO',
      attributes: { prediction: 20613 },
    },
    {
      id: '2679',
      from: 'IKA',
      to: 'TAS',
      attributes: { prediction: 598 },
    },
    {
      id: '2680',
      from: 'GRW',
      to: 'TER',
      attributes: { prediction: 1279 },
    },
    {
      id: '2681',
      from: 'RZR',
      to: 'THR',
      attributes: { prediction: 768 },
    },
    {
      id: '2682',
      from: 'KTS',
      to: 'TLA',
      attributes: { prediction: 0 },
    },
    {
      id: '2683',
      from: 'BEG',
      to: 'TLV',
      attributes: { prediction: 556 },
    },
    {
      id: '2684',
      from: 'SJO',
      to: 'TNO',
      attributes: { prediction: 695 },
    },
    {
      id: '2685',
      from: 'FTU',
      to: 'TNR',
      attributes: { prediction: 1761 },
    },
    {
      id: '2686',
      from: 'YCB',
      to: 'YCO',
      attributes: { prediction: 315 },
    },
    {
      id: '2687',
      from: 'CRL',
      to: 'TRN',
      attributes: { prediction: 2914 },
    },
    {
      id: '2688',
      from: 'CGN',
      to: 'TXL',
      attributes: { prediction: 68704 },
    },
    {
      id: '2689',
      from: 'HAK',
      to: 'TYN',
      attributes: { prediction: 3040 },
    },
    {
      id: '2690',
      from: 'SXF',
      to: 'VCE',
      attributes: { prediction: 7261 },
    },
    {
      id: '2691',
      from: 'CNF',
      to: 'VIX',
      attributes: { prediction: 14847 },
    },
    {
      id: '2692',
      from: 'KEF',
      to: 'YHZ',
      attributes: { prediction: 1278 },
    },
    {
      id: '2693',
      from: 'YQC',
      to: 'YKG',
      attributes: { prediction: 195 },
    },
    {
      id: '2694',
      from: 'YVZ',
      to: 'YPM',
      attributes: { prediction: 128 },
    },
    {
      id: '2695',
      from: 'YYZ',
      to: 'YQM',
      attributes: { prediction: 11791 },
    },
    {
      id: '2696',
      from: 'YYH',
      to: 'YHK',
      attributes: { prediction: 436 },
    },
    {
      id: '2697',
      from: 'LHR',
      to: 'YHZ',
      attributes: { prediction: 4804 },
    },
    {
      id: '2698',
      from: 'YDF',
      to: 'YJT',
      attributes: { prediction: 348 },
    },
    {
      id: '2699',
      from: 'SHE',
      to: 'YNJ',
      attributes: { prediction: 1559 },
    },
    {
      id: '2700',
      from: 'YGW',
      to: 'YPH',
      attributes: { prediction: 73 },
    },
    {
      id: '2701',
      from: 'PMI',
      to: 'AAL',
      attributes: { prediction: 447 },
    },
    {
      id: '2702',
      from: 'BKO',
      to: 'ABJ',
      attributes: { prediction: 137 },
    },
    {
      id: '2703',
      from: 'JER',
      to: 'ABZ',
      attributes: { prediction: 230 },
    },
    {
      id: '2704',
      from: 'BJL',
      to: 'ACC',
      attributes: { prediction: 2258 },
    },
    {
      id: '2705',
      from: 'FRA',
      to: 'ADA',
      attributes: { prediction: 988 },
    },
    {
      id: '2706',
      from: 'DEL',
      to: 'ADD',
      attributes: { prediction: 3706 },
    },
    {
      id: '2707',
      from: 'BBO',
      to: 'ADE',
      attributes: { prediction: 522 },
    },
    {
      id: '2708',
      from: 'AKL',
      to: 'ADL',
      attributes: { prediction: 2107 },
    },
    {
      id: '2709',
      from: 'MRV',
      to: 'AER',
      attributes: { prediction: 1385 },
    },
    {
      id: '2710',
      from: 'LUX',
      to: 'AGA',
      attributes: { prediction: 244 },
    },
    {
      id: '2711',
      from: 'YFB',
      to: 'YRT',
      attributes: { prediction: 952 },
    },
    {
      id: '2712',
      from: 'MAN',
      to: 'YVR',
      attributes: { prediction: 2680 },
    },
    {
      id: '2713',
      from: 'YYC',
      to: 'YXE',
      attributes: { prediction: 18215 },
    },
    {
      id: '2714',
      from: 'YLW',
      to: 'YXS',
      attributes: { prediction: 269 },
    },
    {
      id: '2715',
      from: 'YXJ',
      to: 'YYE',
      attributes: { prediction: 623 },
    },
    {
      id: '2716',
      from: 'PIE',
      to: 'YYZ',
      attributes: { prediction: 139 },
    },
    {
      id: '2717',
      from: 'YSB',
      to: 'YYZ',
      attributes: { prediction: 7934 },
    },
    {
      id: '2718',
      from: 'YZR',
      to: 'YYZ',
      attributes: { prediction: 1192 },
    },
    {
      id: '2719',
      from: 'AKL',
      to: 'ZQN',
      attributes: { prediction: 18073 },
    },
    {
      id: '2720',
      from: 'LPA',
      to: 'ZQW',
      attributes: { prediction: 704 },
    },
    {
      id: '2721',
      from: 'GRO',
      to: 'AHO',
      attributes: { prediction: 2179 },
    },
    {
      id: '2722',
      from: 'FMM',
      to: 'ALC',
      attributes: { prediction: 1903 },
    },
    {
      id: '2723',
      from: 'ALG',
      to: 'YUL',
      attributes: { prediction: 1614 },
    },
    {
      id: '2724',
      from: 'YUL',
      to: 'YVR',
      attributes: { prediction: 27290 },
    },
    {
      id: '2725',
      from: 'ABA',
      to: 'BAX',
      attributes: { prediction: 820 },
    },
    {
      id: '2726',
      from: 'TLV',
      to: 'BCN',
      attributes: { prediction: 4834 },
    },
    {
      id: '2727',
      from: 'SOU',
      to: 'AMS',
      attributes: { prediction: 3747 },
    },
    {
      id: '2728',
      from: 'TIP',
      to: 'AMS',
      attributes: { prediction: 3458 },
    },
    {
      id: '2729',
      from: 'BOO',
      to: 'ANX',
      attributes: { prediction: 595 },
    },
    {
      id: '2730',
      from: 'ATL',
      to: 'ATH',
      attributes: { prediction: 3747 },
    },
    {
      id: '2731',
      from: 'JTY',
      to: 'ATH',
      attributes: { prediction: 694 },
    },
    {
      id: '2732',
      from: 'TBS',
      to: 'ATH',
      attributes: { prediction: 407 },
    },
    {
      id: '2733',
      from: 'VCE',
      to: 'ATH',
      attributes: { prediction: 1227 },
    },
    {
      id: '2734',
      from: 'ABE',
      to: 'ATL',
      attributes: { prediction: 3075 },
    },
    {
      id: '2735',
      from: 'EVV',
      to: 'ATL',
      attributes: { prediction: 3342 },
    },
    {
      id: '2736',
      from: 'PHF',
      to: 'ATL',
      attributes: { prediction: 14276 },
    },
    {
      id: '2737',
      from: 'PRG',
      to: 'ATL',
      attributes: { prediction: 2826 },
    },
    {
      id: '2738',
      from: 'COK',
      to: 'AUH',
      attributes: { prediction: 6415 },
    },
    {
      id: '2739',
      from: 'EXT',
      to: 'AVN',
      attributes: { prediction: 215 },
    },
    {
      id: '2740',
      from: 'BJV',
      to: 'AYT',
      attributes: { prediction: 381 },
    },
    {
      id: '2741',
      from: 'FMO',
      to: 'AYT',
      attributes: { prediction: 467 },
    },
    {
      id: '2742',
      from: 'BOG',
      to: 'BAQ',
      attributes: { prediction: 34973 },
    },
    {
      id: '2743',
      from: 'GRU',
      to: 'BEL',
      attributes: { prediction: 11856 },
    },
    {
      id: '2744',
      from: 'AUC',
      to: 'BGA',
      attributes: { prediction: 308 },
    },
    {
      id: '2745',
      from: 'DXB',
      to: 'BLR',
      attributes: { prediction: 20201 },
    },
    {
      id: '2746',
      from: 'ZAG',
      to: 'BUD',
      attributes: { prediction: 1327 },
    },
    {
      id: '2747',
      from: 'JNB',
      to: 'BUQ',
      attributes: { prediction: 1179 },
    },
    {
      id: '2748',
      from: 'MRS',
      to: 'BVA',
      attributes: { prediction: 7356 },
    },
    {
      id: '2749',
      from: 'TZX',
      to: 'ECN',
      attributes: { prediction: 742 },
    },
    {
      id: '2750',
      from: 'IOM',
      to: 'EDI',
      attributes: { prediction: 848 },
    },
    {
      id: '2751',
      from: 'CWB',
      to: 'GIG',
      attributes: { prediction: 31241 },
    },
    {
      id: '2752',
      from: 'AKL',
      to: 'GIS',
      attributes: { prediction: 2553 },
    },
    {
      id: '2753',
      from: 'KWI',
      to: 'GOI',
      attributes: { prediction: 1157 },
    },
    {
      id: '2754',
      from: 'BGO',
      to: 'BLL',
      attributes: { prediction: 998 },
    },
    {
      id: '2755',
      from: 'RVK',
      to: 'BNN',
      attributes: { prediction: 345 },
    },
    {
      id: '2756',
      from: 'FLA',
      to: 'BOG',
      attributes: { prediction: 769 },
    },
    {
      id: '2757',
      from: 'LET',
      to: 'BOG',
      attributes: { prediction: 3999 },
    },
    {
      id: '2758',
      from: 'CCU',
      to: 'BOM',
      attributes: { prediction: 55817 },
    },
    {
      id: '2759',
      from: 'MXP',
      to: 'BPS',
      attributes: { prediction: 641 },
    },
    {
      id: '2760',
      from: 'EDI',
      to: 'BRE',
      attributes: { prediction: 2868 },
    },
    {
      id: '2761',
      from: 'FRA',
      to: 'BRE',
      attributes: { prediction: 20578 },
    },
    {
      id: '2762',
      from: 'HAJ',
      to: 'BRU',
      attributes: { prediction: 2489 },
    },
    {
      id: '2763',
      from: 'MRS',
      to: 'BRU',
      attributes: { prediction: 5273 },
    },
    {
      id: '2764',
      from: 'SXF',
      to: 'BRU',
      attributes: { prediction: 7045 },
    },
    {
      id: '2765',
      from: 'BGW',
      to: 'BSR',
      attributes: { prediction: 426 },
    },
    {
      id: '2766',
      from: 'TBS',
      to: 'HRK',
      attributes: { prediction: 164 },
    },
    {
      id: '2767',
      from: 'JED',
      to: 'IAD',
      attributes: { prediction: 1021 },
    },
    {
      id: '2768',
      from: 'MHT',
      to: 'IAD',
      attributes: { prediction: 3811 },
    },
    {
      id: '2769',
      from: 'SAN',
      to: 'IAD',
      attributes: { prediction: 14686 },
    },
    {
      id: '2770',
      from: 'BGF',
      to: 'DLA',
      attributes: { prediction: 978 },
    },
    {
      id: '2771',
      from: 'VLI',
      to: 'DLY',
      attributes: { prediction: 32 },
    },
    {
      id: '2772',
      from: 'LBD',
      to: 'DME',
      attributes: { prediction: 2761 },
    },
    {
      id: '2773',
      from: 'NVI',
      to: 'DME',
      attributes: { prediction: 864 },
    },
    {
      id: '2774',
      from: 'UUS',
      to: 'DME',
      attributes: { prediction: 6900 },
    },
    {
      id: '2775',
      from: 'BLR',
      to: 'CJB',
      attributes: { prediction: 4099 },
    },
    {
      id: '2776',
      from: 'MCO',
      to: 'CLE',
      attributes: { prediction: 7480 },
    },
    {
      id: '2777',
      from: 'ORF',
      to: 'CLE',
      attributes: { prediction: 2242 },
    },
    {
      id: '2778',
      from: 'LGW',
      to: 'CLT',
      attributes: { prediction: 6650 },
    },
    {
      id: '2779',
      from: 'SAV',
      to: 'CLT',
      attributes: { prediction: 11642 },
    },
    {
      id: '2780',
      from: 'IST',
      to: 'CMN',
      attributes: { prediction: 5918 },
    },
    {
      id: '2781',
      from: 'BMU',
      to: 'DPS',
      attributes: { prediction: 1393 },
    },
    {
      id: '2782',
      from: 'WRO',
      to: 'DSA',
      attributes: { prediction: 1291 },
    },
    {
      id: '2783',
      from: 'BNA',
      to: 'DTW',
      attributes: { prediction: 20408 },
    },
    {
      id: '2784',
      from: 'ZRH',
      to: 'CTA',
      attributes: { prediction: 1578 },
    },
    {
      id: '2785',
      from: 'MAD',
      to: 'CUN',
      attributes: { prediction: 4089 },
    },
    {
      id: '2786',
      from: 'MEM',
      to: 'DAL',
      attributes: { prediction: 3145 },
    },
    {
      id: '2787',
      from: 'CLE',
      to: 'DAY',
      attributes: { prediction: 3541 },
    },
    {
      id: '2788',
      from: 'SXF',
      to: 'DBV',
      attributes: { prediction: 1077 },
    },
    {
      id: '2789',
      from: 'ALB',
      to: 'DCA',
      attributes: { prediction: 4410 },
    },
    {
      id: '2790',
      from: 'BNA',
      to: 'DCA',
      attributes: { prediction: 7722 },
    },
    {
      id: '2791',
      from: 'JAX',
      to: 'DCA',
      attributes: { prediction: 8237 },
    },
    {
      id: '2792',
      from: 'BIL',
      to: 'DEN',
      attributes: { prediction: 11947 },
    },
    {
      id: '2793',
      from: 'BCN',
      to: 'DUB',
      attributes: { prediction: 8341 },
    },
    {
      id: '2794',
      from: 'JFK',
      to: 'DUS',
      attributes: { prediction: 6488 },
    },
    {
      id: '2795',
      from: 'ALG',
      to: 'DXB',
      attributes: { prediction: 2361 },
    },
    {
      id: '2796',
      from: 'FSZ',
      to: 'ICN',
      attributes: { prediction: 7911 },
    },
    {
      id: '2797',
      from: 'FUE',
      to: 'FMO',
      attributes: { prediction: 644 },
    },
    {
      id: '2798',
      from: 'CKY',
      to: 'FNA',
      attributes: { prediction: 137 },
    },
    {
      id: '2799',
      from: 'NBO',
      to: 'EBB',
      attributes: { prediction: 15647 },
    },
    {
      id: '2800',
      from: 'CPH',
      to: 'EDI',
      attributes: { prediction: 3839 },
    },
    {
      id: '2801',
      from: 'LGW',
      to: 'EGC',
      attributes: { prediction: 379 },
    },
    {
      id: '2802',
      from: 'AGP',
      to: 'EMA',
      attributes: { prediction: 11394 },
    },
    {
      id: '2803',
      from: 'PMY',
      to: 'EQS',
      attributes: { prediction: 300 },
    },
    {
      id: '2804',
      from: 'ERC',
      to: 'ESB',
      attributes: { prediction: 1876 },
    },
    {
      id: '2805',
      from: 'AZA',
      to: 'EUG',
      attributes: { prediction: 980 },
    },
    {
      id: '2806',
      from: 'BOO',
      to: 'EVE',
      attributes: { prediction: 1096 },
    },
    {
      id: '2807',
      from: 'AER',
      to: 'EVN',
      attributes: { prediction: 1345 },
    },
    {
      id: '2808',
      from: 'NRT',
      to: 'EWR',
      attributes: { prediction: 6151 },
    },
    {
      id: '2809',
      from: 'PMI',
      to: 'EXT',
      attributes: { prediction: 792 },
    },
    {
      id: '2810',
      from: 'CGN',
      to: 'FAO',
      attributes: { prediction: 2854 },
    },
    {
      id: '2811',
      from: 'CMN',
      to: 'FCO',
      attributes: { prediction: 8412 },
    },
    {
      id: '2812',
      from: 'TXL',
      to: 'FRL',
      attributes: { prediction: 1408 },
    },
    {
      id: '2813',
      from: 'OSS',
      to: 'FRU',
      attributes: { prediction: 4772 },
    },
    {
      id: '2814',
      from: 'TPE',
      to: 'ICN',
      attributes: { prediction: 46869 },
    },
    {
      id: '2815',
      from: 'MUC',
      to: 'IKA',
      attributes: { prediction: 909 },
    },
    {
      id: '2816',
      from: 'CPO',
      to: 'IQQ',
      attributes: { prediction: 1549 },
    },
    {
      id: '2817',
      from: 'BQL',
      to: 'ISA',
      attributes: { prediction: 146 },
    },
    {
      id: '2818',
      from: 'HKG',
      to: 'KHN',
      attributes: { prediction: 1228 },
    },
    {
      id: '2819',
      from: 'FEZ',
      to: 'HHN',
      attributes: { prediction: 1330 },
    },
    {
      id: '2820',
      from: 'SVD',
      to: 'GND',
      attributes: { prediction: 1351 },
    },
    {
      id: '2821',
      from: 'GRX',
      to: 'GRO',
      attributes: { prediction: 7546 },
    },
    {
      id: '2822',
      from: 'LHR',
      to: 'GRU',
      attributes: { prediction: 16357 },
    },
    {
      id: '2823',
      from: 'ALC',
      to: 'GSE',
      attributes: { prediction: 1914 },
    },
    {
      id: '2824',
      from: 'BOD',
      to: 'GVA',
      attributes: { prediction: 5826 },
    },
    {
      id: '2825',
      from: 'CDG',
      to: 'GVA',
      attributes: { prediction: 38417 },
    },
    {
      id: '2826',
      from: 'RIX',
      to: 'GVA',
      attributes: { prediction: 1351 },
    },
    {
      id: '2827',
      from: 'BSB',
      to: 'GYN',
      attributes: { prediction: 19135 },
    },
    {
      id: '2828',
      from: 'MUA',
      to: 'GZO',
      attributes: { prediction: 438 },
    },
    {
      id: '2829',
      from: 'MIR',
      to: 'HAJ',
      attributes: { prediction: 590 },
    },
    {
      id: '2830',
      from: 'VCE',
      to: 'HAJ',
      attributes: { prediction: 1458 },
    },
    {
      id: '2831',
      from: 'NHA',
      to: 'HAN',
      attributes: { prediction: 7148 },
    },
    {
      id: '2832',
      from: 'CGO',
      to: 'HKG',
      attributes: { prediction: 1473 },
    },
    {
      id: '2833',
      from: 'PUS',
      to: 'HKG',
      attributes: { prediction: 4047 },
    },
    {
      id: '2834',
      from: 'KUL',
      to: 'HKT',
      attributes: { prediction: 13818 },
    },
    {
      id: '2835',
      from: 'BOO',
      to: 'MJF',
      attributes: { prediction: 493 },
    },
    {
      id: '2836',
      from: 'FLL',
      to: 'MKE',
      attributes: { prediction: 559 },
    },
    {
      id: '2837',
      from: 'MAA',
      to: 'KWI',
      attributes: { prediction: 2874 },
    },
    {
      id: '2838',
      from: 'BOS',
      to: 'LAS',
      attributes: { prediction: 7684 },
    },
    {
      id: '2839',
      from: 'MFR',
      to: 'LAX',
      attributes: { prediction: 4462 },
    },
    {
      id: '2840',
      from: 'BAH',
      to: 'LCA',
      attributes: { prediction: 1637 },
    },
    {
      id: '2841',
      from: 'BBU',
      to: 'LCA',
      attributes: { prediction: 1519 },
    },
    {
      id: '2842',
      from: 'LHR',
      to: 'LCA',
      attributes: { prediction: 19284 },
    },
    {
      id: '2843',
      from: 'MEM',
      to: 'ICT',
      attributes: { prediction: 1941 },
    },
    {
      id: '2844',
      from: 'EVN',
      to: 'IKA',
      attributes: { prediction: 1160 },
    },
    {
      id: '2845',
      from: 'BOS',
      to: 'IND',
      attributes: { prediction: 3705 },
    },
    {
      id: '2846',
      from: 'SAT',
      to: 'IND',
      attributes: { prediction: 46 },
    },
    {
      id: '2847',
      from: 'SSA',
      to: 'IOS',
      attributes: { prediction: 5875 },
    },
    {
      id: '2848',
      from: 'MUX',
      to: 'ISB',
      attributes: { prediction: 755 },
    },
    {
      id: '2849',
      from: 'DEL',
      to: 'IST',
      attributes: { prediction: 6005 },
    },
    {
      id: '2850',
      from: 'KIX',
      to: 'IST',
      attributes: { prediction: 2861 },
    },
    {
      id: '2851',
      from: 'SIC',
      to: 'IST',
      attributes: { prediction: 3780 },
    },
    {
      id: '2852',
      from: 'MDE',
      to: 'JFK',
      attributes: { prediction: 2772 },
    },
    {
      id: '2853',
      from: 'PMO',
      to: 'JFK',
      attributes: { prediction: 663 },
    },
    {
      id: '2854',
      from: 'YHZ',
      to: 'JFK',
      attributes: { prediction: 3062 },
    },
    {
      id: '2855',
      from: 'JEG',
      to: 'JHS',
      attributes: { prediction: 651 },
    },
    {
      id: '2856',
      from: 'FAO',
      to: 'LDY',
      attributes: { prediction: 1213 },
    },
    {
      id: '2857',
      from: 'KCL',
      to: 'KCQ',
      attributes: { prediction: 10 },
    },
    {
      id: '2858',
      from: 'JFK',
      to: 'KEF',
      attributes: { prediction: 4536 },
    },
    {
      id: '2859',
      from: 'LED',
      to: 'KGD',
      attributes: { prediction: 12800 },
    },
    {
      id: '2860',
      from: 'HAM',
      to: 'KGS',
      attributes: { prediction: 2107 },
    },
    {
      id: '2861',
      from: 'NAS',
      to: 'KIN',
      attributes: { prediction: 1716 },
    },
    {
      id: '2862',
      from: 'ALC',
      to: 'KIR',
      attributes: { prediction: 1147 },
    },
    {
      id: '2863',
      from: 'PRG',
      to: 'KIV',
      attributes: { prediction: 337 },
    },
    {
      id: '2864',
      from: 'MMY',
      to: 'KIX',
      attributes: { prediction: 3550 },
    },
    {
      id: '2865',
      from: 'MRV',
      to: 'KJA',
      attributes: { prediction: 656 },
    },
    {
      id: '2866',
      from: 'OKA',
      to: 'KMQ',
      attributes: { prediction: 2900 },
    },
    {
      id: '2867',
      from: 'GEA',
      to: 'KNQ',
      attributes: { prediction: 384 },
    },
    {
      id: '2868',
      from: 'BGO',
      to: 'KRS',
      attributes: { prediction: 4488 },
    },
    {
      id: '2869',
      from: 'DYU',
      to: 'KUF',
      attributes: { prediction: 360 },
    },
    {
      id: '2870',
      from: 'BKI',
      to: 'KUL',
      attributes: { prediction: 82660 },
    },
    {
      id: '2871',
      from: 'ICN',
      to: 'KUL',
      attributes: { prediction: 9726 },
    },
    {
      id: '2872',
      from: 'SVX',
      to: 'LED',
      attributes: { prediction: 10562 },
    },
    {
      id: '2873',
      from: 'SJU',
      to: 'LGA',
      attributes: { prediction: 108 },
    },
    {
      id: '2874',
      from: 'BDA',
      to: 'LGW',
      attributes: { prediction: 6720 },
    },
    {
      id: '2875',
      from: 'MLE',
      to: 'LGW',
      attributes: { prediction: 4976 },
    },
    {
      id: '2876',
      from: 'ORK',
      to: 'LGW',
      attributes: { prediction: 4605 },
    },
    {
      id: '2877',
      from: 'OTP',
      to: 'LGW',
      attributes: { prediction: 4318 },
    },
    {
      id: '2878',
      from: 'DUB',
      to: 'NOC',
      attributes: { prediction: 1159 },
    },
    {
      id: '2879',
      from: 'GRO',
      to: 'NRN',
      attributes: { prediction: 7068 },
    },
    {
      id: '2880',
      from: 'BUD',
      to: 'MAD',
      attributes: { prediction: 6541 },
    },
    {
      id: '2881',
      from: 'MUC',
      to: 'MAD',
      attributes: { prediction: 25519 },
    },
    {
      id: '2882',
      from: 'BEL',
      to: 'MAO',
      attributes: { prediction: 12290 },
    },
    {
      id: '2883',
      from: 'MSP',
      to: 'MBS',
      attributes: { prediction: 1211 },
    },
    {
      id: '2884',
      from: 'CVG',
      to: 'MCI',
      attributes: { prediction: 3170 },
    },
    {
      id: '2885',
      from: 'DTW',
      to: 'MCI',
      attributes: { prediction: 9013 },
    },
    {
      id: '2886',
      from: 'SNN',
      to: 'LGW',
      attributes: { prediction: 9346 },
    },
    {
      id: '2887',
      from: 'AUH',
      to: 'LHE',
      attributes: { prediction: 9032 },
    },
    {
      id: '2888',
      from: 'HEL',
      to: 'LHR',
      attributes: { prediction: 29960 },
    },
    {
      id: '2889',
      from: 'BIA',
      to: 'LIL',
      attributes: { prediction: 535 },
    },
    {
      id: '2890',
      from: 'LHR',
      to: 'LIN',
      attributes: { prediction: 25169 },
    },
    {
      id: '2891',
      from: 'FON',
      to: 'LIR',
      attributes: { prediction: 151 },
    },
    {
      id: '2892',
      from: 'HAM',
      to: 'LIS',
      attributes: { prediction: 6052 },
    },
    {
      id: '2893',
      from: 'PDL',
      to: 'LIS',
      attributes: { prediction: 17268 },
    },
    {
      id: '2894',
      from: 'TMS',
      to: 'LIS',
      attributes: { prediction: 1880 },
    },
    {
      id: '2895',
      from: 'ALF',
      to: 'LKL',
      attributes: { prediction: 435 },
    },
    {
      id: '2896',
      from: 'PAD',
      to: 'LPA',
      attributes: { prediction: 1951 },
    },
    {
      id: '2897',
      from: 'CCF',
      to: 'LPL',
      attributes: { prediction: 1392 },
    },
    {
      id: '2898',
      from: 'OMA',
      to: 'LRD',
      attributes: { prediction: 107 },
    },
    {
      id: '2899',
      from: 'PHF',
      to: 'MCO',
      attributes: { prediction: 2650 },
    },
    {
      id: '2900',
      from: 'KHI',
      to: 'MCT',
      attributes: { prediction: 7920 },
    },
    {
      id: '2901',
      from: 'RUH',
      to: 'MCT',
      attributes: { prediction: 3955 },
    },
    {
      id: '2902',
      from: 'CHC',
      to: 'MEL',
      attributes: { prediction: 10108 },
    },
    {
      id: '2903',
      from: 'PHL',
      to: 'MEM',
      attributes: { prediction: 3282 },
    },
    {
      id: '2904',
      from: 'YVR',
      to: 'NRT',
      attributes: { prediction: 21763 },
    },
    {
      id: '2905',
      from: 'ADB',
      to: 'NUE',
      attributes: { prediction: 1212 },
    },
    {
      id: '2906',
      from: 'AMS',
      to: 'NUE',
      attributes: { prediction: 7746 },
    },
    {
      id: '2907',
      from: 'CGN',
      to: 'NUE',
      attributes: { prediction: 706 },
    },
    {
      id: '2908',
      from: 'HNL',
      to: 'OGG',
      attributes: { prediction: 62209 },
    },
    {
      id: '2909',
      from: 'HEL',
      to: 'MUC',
      attributes: { prediction: 16663 },
    },
    {
      id: '2910',
      from: 'SKG',
      to: 'MUC',
      attributes: { prediction: 11297 },
    },
    {
      id: '2911',
      from: 'THR',
      to: 'MHD',
      attributes: { prediction: 60586 },
    },
    {
      id: '2912',
      from: 'CFG',
      to: 'MIA',
      attributes: { prediction: 454 },
    },
    {
      id: '2913',
      from: 'TPA',
      to: 'MIA',
      attributes: { prediction: 17327 },
    },
    {
      id: '2914',
      from: 'TSF',
      to: 'MLA',
      attributes: { prediction: 1862 },
    },
    {
      id: '2915',
      from: 'ATL',
      to: 'MLB',
      attributes: { prediction: 7575 },
    },
    {
      id: '2916',
      from: 'HND',
      to: 'MMY',
      attributes: { prediction: 2285 },
    },
    {
      id: '2917',
      from: 'AMS',
      to: 'MNL',
      attributes: { prediction: 8591 },
    },
    {
      id: '2918',
      from: 'CYP',
      to: 'MNL',
      attributes: { prediction: 1706 },
    },
    {
      id: '2919',
      from: 'GUM',
      to: 'MNL',
      attributes: { prediction: 6196 },
    },
    {
      id: '2920',
      from: 'MKE',
      to: 'MQT',
      attributes: { prediction: 1079 },
    },
    {
      id: '2921',
      from: 'CDG',
      to: 'MRS',
      attributes: { prediction: 32401 },
    },
    {
      id: '2922',
      from: 'DUB',
      to: 'MRS',
      attributes: { prediction: 1186 },
    },
    {
      id: '2923',
      from: 'DVL',
      to: 'MSP',
      attributes: { prediction: 792 },
    },
    {
      id: '2924',
      from: 'LGA',
      to: 'MSP',
      attributes: { prediction: 23060 },
    },
    {
      id: '2925',
      from: 'MEM',
      to: 'MSP',
      attributes: { prediction: 15652 },
    },
    {
      id: '2926',
      from: 'TLL',
      to: 'MSQ',
      attributes: { prediction: 361 },
    },
    {
      id: '2927',
      from: 'VIE',
      to: 'MSQ',
      attributes: { prediction: 5023 },
    },
    {
      id: '2928',
      from: 'LAS',
      to: 'MSY',
      attributes: { prediction: 5671 },
    },
    {
      id: '2929',
      from: 'ACE',
      to: 'MUC',
      attributes: { prediction: 598 },
    },
    {
      id: '2930',
      from: 'RIX',
      to: 'MXP',
      attributes: { prediction: 4138 },
    },
    {
      id: '2931',
      from: 'TIP',
      to: 'MXP',
      attributes: { prediction: 1393 },
    },
    {
      id: '2932',
      from: 'LWY',
      to: 'MYY',
      attributes: { prediction: 1409 },
    },
    {
      id: '2933',
      from: 'MXP',
      to: 'NAP',
      attributes: { prediction: 33780 },
    },
    {
      id: '2934',
      from: 'VBS',
      to: 'NAP',
      attributes: { prediction: 3323 },
    },
    {
      id: '2935',
      from: 'LIL',
      to: 'OPO',
      attributes: { prediction: 1698 },
    },
    {
      id: '2936',
      from: 'CDG',
      to: 'VCE',
      attributes: { prediction: 32565 },
    },
    {
      id: '2937',
      from: 'DEL',
      to: 'VIE',
      attributes: { prediction: 5523 },
    },
    {
      id: '2938',
      from: 'FNC',
      to: 'VIE',
      attributes: { prediction: 561 },
    },
    {
      id: '2939',
      from: 'TFS',
      to: 'VIE',
      attributes: { prediction: 1287 },
    },
    {
      id: '2940',
      from: 'ONT',
      to: 'OAK',
      attributes: { prediction: 22385 },
    },
    {
      id: '2941',
      from: 'IST',
      to: 'ODS',
      attributes: { prediction: 3697 },
    },
    {
      id: '2942',
      from: 'BEG',
      to: 'OHD',
      attributes: { prediction: 434 },
    },
    {
      id: '2943',
      from: 'NRT',
      to: 'OKA',
      attributes: { prediction: 9007 },
    },
    {
      id: '2944',
      from: 'GAM',
      to: 'OME',
      attributes: { prediction: 335 },
    },
    {
      id: '2945',
      from: 'NRT',
      to: 'OOL',
      attributes: { prediction: 5505 },
    },
    {
      id: '2946',
      from: 'ARN',
      to: 'ORD',
      attributes: { prediction: 6508 },
    },
    {
      id: '2947',
      from: 'CAE',
      to: 'ORD',
      attributes: { prediction: 3487 },
    },
    {
      id: '2948',
      from: 'PIT',
      to: 'ORD',
      attributes: { prediction: 22256 },
    },
    {
      id: '2949',
      from: 'PRG',
      to: 'OSR',
      attributes: { prediction: 5240 },
    },
    {
      id: '2950',
      from: 'MUC',
      to: 'OTP',
      attributes: { prediction: 17321 },
    },
    {
      id: '2951',
      from: 'SFB',
      to: 'OWB',
      attributes: { prediction: 1238 },
    },
    {
      id: '2952',
      from: 'NRN',
      to: 'VLL',
      attributes: { prediction: 1804 },
    },
    {
      id: '2953',
      from: 'HJR',
      to: 'VNS',
      attributes: { prediction: 3447 },
    },
    {
      id: '2954',
      from: 'LIS',
      to: 'VRL',
      attributes: { prediction: 505 },
    },
    {
      id: '2955',
      from: 'TSR',
      to: 'VRN',
      attributes: { prediction: 899 },
    },
    {
      id: '2956',
      from: 'YYY',
      to: 'YUL',
      attributes: { prediction: 900 },
    },
    {
      id: '2957',
      from: 'YQB',
      to: 'YVB',
      attributes: { prediction: 91 },
    },
    {
      id: '2958',
      from: 'YOW',
      to: 'YVR',
      attributes: { prediction: 16189 },
    },
    {
      id: '2959',
      from: 'YXE',
      to: 'YWG',
      attributes: { prediction: 2101 },
    },
    {
      id: '2960',
      from: 'FSP',
      to: 'YYT',
      attributes: { prediction: 251 },
    },
    {
      id: '2961',
      from: 'YUL',
      to: 'YYY',
      attributes: { prediction: 845 },
    },
    {
      id: '2962',
      from: 'BNA',
      to: 'YYZ',
      attributes: { prediction: 2071 },
    },
    {
      id: '2963',
      from: 'MIA',
      to: 'YYZ',
      attributes: { prediction: 15992 },
    },
    {
      id: '2964',
      from: 'NRT',
      to: 'YYZ',
      attributes: { prediction: 8659 },
    },
    {
      id: '2965',
      from: 'SKB',
      to: 'YYZ',
      attributes: { prediction: 811 },
    },
    {
      id: '2966',
      from: 'TPE',
      to: 'SHE',
      attributes: { prediction: 1905 },
    },
    {
      id: '2967',
      from: 'BDO',
      to: 'SIN',
      attributes: { prediction: 3032 },
    },
    {
      id: '2968',
      from: 'LED',
      to: 'SIP',
      attributes: { prediction: 2625 },
    },
    {
      id: '2969',
      from: 'PLS',
      to: 'POP',
      attributes: { prediction: 145 },
    },
    {
      id: '2970',
      from: 'STN',
      to: 'POZ',
      attributes: { prediction: 5149 },
    },
    {
      id: '2971',
      from: 'NDY',
      to: 'PPW',
      attributes: { prediction: 17 },
    },
    {
      id: '2972',
      from: 'FRA',
      to: 'PRG',
      attributes: { prediction: 28046 },
    },
    {
      id: '2973',
      from: 'LBA',
      to: 'PRG',
      attributes: { prediction: 2192 },
    },
    {
      id: '2974',
      from: 'MVD',
      to: 'PTY',
      attributes: { prediction: 2420 },
    },
    {
      id: '2975',
      from: 'CLO',
      to: 'PUU',
      attributes: { prediction: 364 },
    },
    {
      id: '2976',
      from: 'CVG',
      to: 'PVD',
      attributes: { prediction: 141 },
    },
    {
      id: '2977',
      from: 'SPN',
      to: 'PVG',
      attributes: { prediction: 1750 },
    },
    {
      id: '2978',
      from: 'TPE',
      to: 'PVG',
      attributes: { prediction: 34751 },
    },
    {
      id: '2979',
      from: 'IAH',
      to: 'PVR',
      attributes: { prediction: 4539 },
    },
    {
      id: '2980',
      from: 'BOM',
      to: 'RAJ',
      attributes: { prediction: 6200 },
    },
    {
      id: '2981',
      from: 'SEA',
      to: 'RNO',
      attributes: { prediction: 7747 },
    },
    {
      id: '2982',
      from: 'CHC',
      to: 'ROT',
      attributes: { prediction: 3684 },
    },
    {
      id: '2983',
      from: 'ORD',
      to: 'RSW',
      attributes: { prediction: 10048 },
    },
    {
      id: '2984',
      from: 'ALY',
      to: 'RUH',
      attributes: { prediction: 2069 },
    },
    {
      id: '2985',
      from: 'KMC',
      to: 'RUH',
      attributes: { prediction: 401 },
    },
    {
      id: '2986',
      from: 'KHI',
      to: 'RYK',
      attributes: { prediction: 2001 },
    },
    {
      id: '2987',
      from: 'AMM',
      to: 'SAH',
      attributes: { prediction: 2303 },
    },
    {
      id: '2988',
      from: 'MIA',
      to: 'SAV',
      attributes: { prediction: 1060 },
    },
    {
      id: '2989',
      from: 'ZRH',
      to: 'SAW',
      attributes: { prediction: 3930 },
    },
    {
      id: '2990',
      from: 'LAS',
      to: 'SBN',
      attributes: { prediction: 1141 },
    },
    {
      id: '2991',
      from: 'MUC',
      to: 'SCN',
      attributes: { prediction: 4301 },
    },
    {
      id: '2992',
      from: 'ITM',
      to: 'SDJ',
      attributes: { prediction: 34777 },
    },
    {
      id: '2993',
      from: 'BOG',
      to: 'SDQ',
      attributes: { prediction: 1316 },
    },
    {
      id: '2994',
      from: 'BOS',
      to: 'SDQ',
      attributes: { prediction: 2054 },
    },
    {
      id: '2995',
      from: 'CCS',
      to: 'SDQ',
      attributes: { prediction: 3561 },
    },
    {
      id: '2996',
      from: 'LAX',
      to: 'SGF',
      attributes: { prediction: 1033 },
    },
    {
      id: '2997',
      from: 'HAJ',
      to: 'STN',
      attributes: { prediction: 6971 },
    },
    {
      id: '2998',
      from: 'YQB',
      to: 'YZV',
      attributes: { prediction: 2407 },
    },
    {
      id: '2999',
      from: 'CHC',
      to: 'ZQN',
      attributes: { prediction: 8465 },
    },
    {
      id: '3000',
      from: 'BDS',
      to: 'ZRH',
      attributes: { prediction: 589 },
    },
    {
      id: '3001',
      from: 'CAI',
      to: 'ZRH',
      attributes: { prediction: 4920 },
    },
    {
      id: '3002',
      from: 'STN',
      to: 'TIA',
      attributes: { prediction: 3790 },
    },
    {
      id: '3003',
      from: 'SVO',
      to: 'TJM',
      attributes: { prediction: 4168 },
    },
    {
      id: '3004',
      from: 'CDG',
      to: 'TLV',
      attributes: { prediction: 27859 },
    },
    {
      id: '3005',
      from: 'CGN',
      to: 'TLV',
      attributes: { prediction: 1965 },
    },
    {
      id: '3006',
      from: 'TRD',
      to: 'STN',
      attributes: { prediction: 2100 },
    },
    {
      id: '3007',
      from: 'BOJ',
      to: 'STR',
      attributes: { prediction: 403 },
    },
    {
      id: '3008',
      from: 'TRF',
      to: 'SVG',
      attributes: { prediction: 4708 },
    },
    {
      id: '3009',
      from: 'LEI',
      to: 'SVQ',
      attributes: { prediction: 1795 },
    },
    {
      id: '3010',
      from: 'IST',
      to: 'SVX',
      attributes: { prediction: 3617 },
    },
    {
      id: '3011',
      from: 'GVA',
      to: 'SXF',
      attributes: { prediction: 4075 },
    },
    {
      id: '3012',
      from: 'NRN',
      to: 'SXF',
      attributes: { prediction: 11340 },
    },
    {
      id: '3013',
      from: 'SAW',
      to: 'SXF',
      attributes: { prediction: 9048 },
    },
    {
      id: '3014',
      from: 'AMS',
      to: 'SXM',
      attributes: { prediction: 3381 },
    },
    {
      id: '3015',
      from: 'BHS',
      to: 'SYD',
      attributes: { prediction: 1439 },
    },
    {
      id: '3016',
      from: 'PEK',
      to: 'SZX',
      attributes: { prediction: 105881 },
    },
    {
      id: '3017',
      from: 'POS',
      to: 'TAB',
      attributes: { prediction: 10798 },
    },
    {
      id: '3018',
      from: 'IST',
      to: 'TBS',
      attributes: { prediction: 7307 },
    },
    {
      id: '3019',
      from: 'FMO',
      to: 'TFS',
      attributes: { prediction: 934 },
    },
    {
      id: '3020',
      from: 'LCG',
      to: 'TFS',
      attributes: { prediction: 413 },
    },
    {
      id: '3021',
      from: 'ELU',
      to: 'TGR',
      attributes: { prediction: 235 },
    },
    {
      id: '3022',
      from: 'CRL',
      to: 'TPS',
      attributes: { prediction: 2661 },
    },
    {
      id: '3023',
      from: 'COL',
      to: 'TRE',
      attributes: { prediction: 27 },
    },
    {
      id: '3024',
      from: 'TLV',
      to: 'ZRH',
      attributes: { prediction: 16852 },
    },
    {
      id: '3025',
      from: 'NVK',
      to: 'ANX',
      attributes: { prediction: 261 },
    },
    {
      id: '3026',
      from: 'AYT',
      to: 'ARN',
      attributes: { prediction: 452 },
    },
    {
      id: '3027',
      from: 'UME',
      to: 'ARN',
      attributes: { prediction: 12371 },
    },
    {
      id: '3028',
      from: 'BKK',
      to: 'ASB',
      attributes: { prediction: 1227 },
    },
    {
      id: '3029',
      from: 'CAE',
      to: 'ATL',
      attributes: { prediction: 11751 },
    },
    {
      id: '3030',
      from: 'BVA',
      to: 'WRO',
      attributes: { prediction: 1319 },
    },
    {
      id: '3031',
      from: 'AKN',
      to: 'WSN',
      attributes: { prediction: 9 },
    },
    {
      id: '3032',
      from: 'KKA',
      to: 'UNK',
      attributes: { prediction: 103 },
    },
    {
      id: '3033',
      from: 'LYS',
      to: 'VIE',
      attributes: { prediction: 5777 },
    },
    {
      id: '3034',
      from: 'SJU',
      to: 'VIJ',
      attributes: { prediction: 777 },
    },
    {
      id: '3035',
      from: 'LNB',
      to: 'VLI',
      attributes: { prediction: 88 },
    },
    {
      id: '3036',
      from: 'STN',
      to: 'VLL',
      attributes: { prediction: 2219 },
    },
    {
      id: '3037',
      from: 'PTY',
      to: 'VLN',
      attributes: { prediction: 1879 },
    },
    {
      id: '3038',
      from: 'LMC',
      to: 'VVC',
      attributes: { prediction: 169 },
    },
    {
      id: '3039',
      from: 'CMN',
      to: 'WAW',
      attributes: { prediction: 1154 },
    },
    {
      id: '3040',
      from: 'GVA',
      to: 'WAW',
      attributes: { prediction: 1987 },
    },
    {
      id: '3041',
      from: 'DUS',
      to: 'XRY',
      attributes: { prediction: 3779 },
    },
    {
      id: '3042',
      from: 'YQT',
      to: 'YAG',
      attributes: { prediction: 611 },
    },
    {
      id: '3043',
      from: 'ROR',
      to: 'YAP',
      attributes: { prediction: 500 },
    },
    {
      id: '3044',
      from: 'TUN',
      to: 'AMS',
      attributes: { prediction: 872 },
    },
    {
      id: '3045',
      from: 'KGX',
      to: 'ANV',
      attributes: { prediction: 64 },
    },
    {
      id: '3046',
      from: 'BNE',
      to: 'APW',
      attributes: { prediction: 470 },
    },
    {
      id: '3047',
      from: 'FRA',
      to: 'YYC',
      attributes: { prediction: 13995 },
    },
    {
      id: '3048',
      from: 'MCO',
      to: 'YYC',
      attributes: { prediction: 374 },
    },
    {
      id: '3049',
      from: 'LIS',
      to: 'YYZ',
      attributes: { prediction: 1649 },
    },
    {
      id: '3050',
      from: 'SPU',
      to: 'ZAG',
      attributes: { prediction: 10140 },
    },
    {
      id: '3051',
      from: 'RHO',
      to: 'ZQW',
      attributes: { prediction: 665 },
    },
    {
      id: '3052',
      from: 'CPH',
      to: 'ZRH',
      attributes: { prediction: 23377 },
    },
    {
      id: '3053',
      from: 'DOH',
      to: 'ZRH',
      attributes: { prediction: 5055 },
    },
    {
      id: '3054',
      from: 'GOT',
      to: 'ZRH',
      attributes: { prediction: 832 },
    },
    {
      id: '3055',
      from: 'LAX',
      to: 'ZRH',
      attributes: { prediction: 5788 },
    },
    {
      id: '3056',
      from: 'NBO',
      to: 'ZRH',
      attributes: { prediction: 5108 },
    },
    {
      id: '3057',
      from: 'RTM',
      to: 'AYT',
      attributes: { prediction: 472 },
    },
    {
      id: '3058',
      from: 'DXB',
      to: 'BAH',
      attributes: { prediction: 66757 },
    },
    {
      id: '3059',
      from: 'OTP',
      to: 'BCM',
      attributes: { prediction: 658 },
    },
    {
      id: '3060',
      from: 'DFW',
      to: 'ABQ',
      attributes: { prediction: 29605 },
    },
    {
      id: '3061',
      from: 'HAJ',
      to: 'ADB',
      attributes: { prediction: 1785 },
    },
    {
      id: '3062',
      from: 'MQX',
      to: 'ADD',
      attributes: { prediction: 4793 },
    },
    {
      id: '3063',
      from: 'PIK',
      to: 'AGP',
      attributes: { prediction: 2696 },
    },
    {
      id: '3064',
      from: 'PMI',
      to: 'AGP',
      attributes: { prediction: 15033 },
    },
    {
      id: '3065',
      from: 'LGW',
      to: 'AJA',
      attributes: { prediction: 114 },
    },
    {
      id: '3066',
      from: 'GOT',
      to: 'ALC',
      attributes: { prediction: 772 },
    },
    {
      id: '3067',
      from: 'ETZ',
      to: 'ALG',
      attributes: { prediction: 1287 },
    },
    {
      id: '3068',
      from: 'PMI',
      to: 'ALG',
      attributes: { prediction: 987 },
    },
    {
      id: '3069',
      from: 'DUS',
      to: 'AMS',
      attributes: { prediction: 7837 },
    },
    {
      id: '3070',
      from: 'KAN',
      to: 'AMS',
      attributes: { prediction: 2238 },
    },
    {
      id: '3071',
      from: 'SAH',
      to: 'BEY',
      attributes: { prediction: 707 },
    },
    {
      id: '3072',
      from: 'MAN',
      to: 'BFS',
      attributes: { prediction: 6365 },
    },
    {
      id: '3073',
      from: 'FRA',
      to: 'BGO',
      attributes: { prediction: 4258 },
    },
    {
      id: '3074',
      from: 'GRO',
      to: 'BGY',
      attributes: { prediction: 13415 },
    },
    {
      id: '3075',
      from: 'IAH',
      to: 'BHM',
      attributes: { prediction: 8769 },
    },
    {
      id: '3076',
      from: 'ORY',
      to: 'BIA',
      attributes: { prediction: 16482 },
    },
    {
      id: '3077',
      from: 'DEN',
      to: 'BIS',
      attributes: { prediction: 4330 },
    },
    {
      id: '3078',
      from: 'CPH',
      to: 'BKK',
      attributes: { prediction: 15001 },
    },
    {
      id: '3079',
      from: 'DXB',
      to: 'AUH',
      attributes: { prediction: 3461 },
    },
    {
      id: '3080',
      from: 'ECN',
      to: 'AYT',
      attributes: { prediction: 1670 },
    },
    {
      id: '3081',
      from: 'ALP',
      to: 'BAH',
      attributes: { prediction: 1046 },
    },
    {
      id: '3082',
      from: 'SYZ',
      to: 'BAH',
      attributes: { prediction: 3026 },
    },
    {
      id: '3083',
      from: 'AMM',
      to: 'BCN',
      attributes: { prediction: 835 },
    },
    {
      id: '3084',
      from: 'BRU',
      to: 'CMN',
      attributes: { prediction: 7142 },
    },
    {
      id: '3085',
      from: 'IOS',
      to: 'CNF',
      attributes: { prediction: 2920 },
    },
    {
      id: '3086',
      from: 'BLR',
      to: 'COK',
      attributes: { prediction: 12605 },
    },
    {
      id: '3087',
      from: 'BLQ',
      to: 'BOD',
      attributes: { prediction: 2202 },
    },
    {
      id: '3088',
      from: 'BBI',
      to: 'BOM',
      attributes: { prediction: 7013 },
    },
    {
      id: '3089',
      from: 'RET',
      to: 'BOO',
      attributes: { prediction: 295 },
    },
    {
      id: '3090',
      from: 'LHR',
      to: 'BOS',
      attributes: { prediction: 38162 },
    },
    {
      id: '3091',
      from: 'PIT',
      to: 'BOS',
      attributes: { prediction: 13096 },
    },
    {
      id: '3092',
      from: 'BHD',
      to: 'BRS',
      attributes: { prediction: 11144 },
    },
    {
      id: '3093',
      from: 'CPH',
      to: 'BRU',
      attributes: { prediction: 24249 },
    },
    {
      id: '3094',
      from: 'CTA',
      to: 'BSL',
      attributes: { prediction: 838 },
    },
    {
      id: '3095',
      from: 'NAP',
      to: 'BSL',
      attributes: { prediction: 1966 },
    },
    {
      id: '3096',
      from: 'TLV',
      to: 'BTS',
      attributes: { prediction: 1757 },
    },
    {
      id: '3097',
      from: 'DTM',
      to: 'BUD',
      attributes: { prediction: 1979 },
    },
    {
      id: '3098',
      from: 'AGP',
      to: 'CPH',
      attributes: { prediction: 12451 },
    },
    {
      id: '3099',
      from: 'MSP',
      to: 'BZN',
      attributes: { prediction: 6283 },
    },
    {
      id: '3100',
      from: 'SGN',
      to: 'CAH',
      attributes: { prediction: 1104 },
    },
    {
      id: '3101',
      from: 'KRT',
      to: 'CAI',
      attributes: { prediction: 22899 },
    },
    {
      id: '3102',
      from: 'TLV',
      to: 'CAI',
      attributes: { prediction: 3096 },
    },
    {
      id: '3103',
      from: 'VVI',
      to: 'CBB',
      attributes: { prediction: 13959 },
    },
    {
      id: '3104',
      from: 'HEA',
      to: 'CCN',
      attributes: { prediction: 82 },
    },
    {
      id: '3105',
      from: 'PBH',
      to: 'CCU',
      attributes: { prediction: 1079 },
    },
    {
      id: '3106',
      from: 'NAP',
      to: 'CDG',
      attributes: { prediction: 4552 },
    },
    {
      id: '3107',
      from: 'NCE',
      to: 'CDG',
      attributes: { prediction: 40980 },
    },
    {
      id: '3108',
      from: 'SGN',
      to: 'CDG',
      attributes: { prediction: 4216 },
    },
    {
      id: '3109',
      from: 'TNR',
      to: 'CDG',
      attributes: { prediction: 4045 },
    },
    {
      id: '3110',
      from: 'PSA',
      to: 'CGN',
      attributes: { prediction: 1842 },
    },
    {
      id: '3111',
      from: 'DFW',
      to: 'CHA',
      attributes: { prediction: 1152 },
    },
    {
      id: '3112',
      from: 'NAN',
      to: 'CHC',
      attributes: { prediction: 510 },
    },
    {
      id: '3113',
      from: 'WVB',
      to: 'CPT',
      attributes: { prediction: 1321 },
    },
    {
      id: '3114',
      from: 'MNL',
      to: 'CRM',
      attributes: { prediction: 2453 },
    },
    {
      id: '3115',
      from: 'SUB',
      to: 'BDJ',
      attributes: { prediction: 29897 },
    },
    {
      id: '3116',
      from: 'SHJ',
      to: 'BEY',
      attributes: { prediction: 5331 },
    },
    {
      id: '3117',
      from: 'HKT',
      to: 'DMK',
      attributes: { prediction: 9256 },
    },
    {
      id: '3118',
      from: 'DAC',
      to: 'DMM',
      attributes: { prediction: 776 },
    },
    {
      id: '3119',
      from: 'LOS',
      to: 'DOH',
      attributes: { prediction: 6109 },
    },
    {
      id: '3120',
      from: 'MKE',
      to: 'DTW',
      attributes: { prediction: 15695 },
    },
    {
      id: '3121',
      from: 'BOM',
      to: 'DAC',
      attributes: { prediction: 8088 },
    },
    {
      id: '3122',
      from: 'LCA',
      to: 'DAM',
      attributes: { prediction: 1316 },
    },
    {
      id: '3123',
      from: 'HAH',
      to: 'DAR',
      attributes: { prediction: 1536 },
    },
    {
      id: '3124',
      from: 'SYR',
      to: 'DAY',
      attributes: { prediction: 88 },
    },
    {
      id: '3125',
      from: 'GOP',
      to: 'DEL',
      attributes: { prediction: 818 },
    },
    {
      id: '3126',
      from: 'RUH',
      to: 'DEL',
      attributes: { prediction: 3948 },
    },
    {
      id: '3127',
      from: 'DSM',
      to: 'DEN',
      attributes: { prediction: 12295 },
    },
    {
      id: '3128',
      from: 'FLL',
      to: 'DEN',
      attributes: { prediction: 10529 },
    },
    {
      id: '3129',
      from: 'IDA',
      to: 'DEN',
      attributes: { prediction: 3378 },
    },
    {
      id: '3130',
      from: 'YQR',
      to: 'DEN',
      attributes: { prediction: 1899 },
    },
    {
      id: '3131',
      from: 'BNA',
      to: 'DFW',
      attributes: { prediction: 28451 },
    },
    {
      id: '3132',
      from: 'EVV',
      to: 'DFW',
      attributes: { prediction: 1213 },
    },
    {
      id: '3133',
      from: 'EWR',
      to: 'DUS',
      attributes: { prediction: 5246 },
    },
    {
      id: '3134',
      from: 'HDF',
      to: 'DUS',
      attributes: { prediction: 306 },
    },
    {
      id: '3135',
      from: 'KGS',
      to: 'DUS',
      attributes: { prediction: 2751 },
    },
    {
      id: '3136',
      from: 'IAH',
      to: 'BRO',
      attributes: { prediction: 5175 },
    },
    {
      id: '3137',
      from: 'MLA',
      to: 'BRU',
      attributes: { prediction: 4116 },
    },
    {
      id: '3138',
      from: 'PHL',
      to: 'BRU',
      attributes: { prediction: 2690 },
    },
    {
      id: '3139',
      from: 'NUE',
      to: 'FNC',
      attributes: { prediction: 554 },
    },
    {
      id: '3140',
      from: 'NDR',
      to: 'FRA',
      attributes: { prediction: 949 },
    },
    {
      id: '3141',
      from: 'NUE',
      to: 'FRA',
      attributes: { prediction: 15715 },
    },
    {
      id: '3142',
      from: 'ADF',
      to: 'ESB',
      attributes: { prediction: 1288 },
    },
    {
      id: '3143',
      from: 'FRA',
      to: 'EWR',
      attributes: { prediction: 23991 },
    },
    {
      id: '3144',
      from: 'BDS',
      to: 'FCO',
      attributes: { prediction: 19443 },
    },
    {
      id: '3145',
      from: 'EVN',
      to: 'FCO',
      attributes: { prediction: 1168 },
    },
    {
      id: '3146',
      from: 'POZ',
      to: 'FCO',
      attributes: { prediction: 1148 },
    },
    {
      id: '3147',
      from: 'SOG',
      to: 'FDE',
      attributes: { prediction: 31 },
    },
    {
      id: '3148',
      from: 'ALC',
      to: 'FEZ',
      attributes: { prediction: 1215 },
    },
    {
      id: '3149',
      from: 'BIM',
      to: 'FLL',
      attributes: { prediction: 237 },
    },
    {
      id: '3150',
      from: 'FRA',
      to: 'FLR',
      attributes: { prediction: 13531 },
    },
    {
      id: '3151',
      from: 'KMJ',
      to: 'FSZ',
      attributes: { prediction: 1371 },
    },
    {
      id: '3152',
      from: 'CGN',
      to: 'FUE',
      attributes: { prediction: 3075 },
    },
    {
      id: '3153',
      from: 'CTS',
      to: 'GAJ',
      attributes: { prediction: 950 },
    },
    {
      id: '3154',
      from: 'ADA',
      to: 'ESB',
      attributes: { prediction: 6445 },
    },
    {
      id: '3155',
      from: 'BJV',
      to: 'ESB',
      attributes: { prediction: 2004 },
    },
    {
      id: '3156',
      from: 'LED',
      to: 'EVN',
      attributes: { prediction: 503 },
    },
    {
      id: '3157',
      from: 'IAH',
      to: 'EWR',
      attributes: { prediction: 54169 },
    },
    {
      id: '3158',
      from: 'BHX',
      to: 'FAO',
      attributes: { prediction: 5792 },
    },
    {
      id: '3159',
      from: 'BRE',
      to: 'FAO',
      attributes: { prediction: 1308 },
    },
    {
      id: '3160',
      from: 'KBP',
      to: 'GYD',
      attributes: { prediction: 500 },
    },
    {
      id: '3161',
      from: 'DXB',
      to: 'HAM',
      attributes: { prediction: 9479 },
    },
    {
      id: '3162',
      from: 'OSL',
      to: 'HAU',
      attributes: { prediction: 10849 },
    },
    {
      id: '3163',
      from: 'CCN',
      to: 'HEA',
      attributes: { prediction: 73 },
    },
    {
      id: '3164',
      from: 'WWK',
      to: 'HGU',
      attributes: { prediction: 100 },
    },
    {
      id: '3165',
      from: 'PHL',
      to: 'GSP',
      attributes: { prediction: 2075 },
    },
    {
      id: '3166',
      from: 'CTS',
      to: 'GUM',
      attributes: { prediction: 861 },
    },
    {
      id: '3167',
      from: 'AYT',
      to: 'HAJ',
      attributes: { prediction: 5734 },
    },
    {
      id: '3168',
      from: 'SZX',
      to: 'HAK',
      attributes: { prediction: 8017 },
    },
    {
      id: '3169',
      from: 'SZX',
      to: 'HGH',
      attributes: { prediction: 40943 },
    },
    {
      id: '3170',
      from: 'NGB',
      to: 'HKG',
      attributes: { prediction: 6946 },
    },
    {
      id: '3171',
      from: 'SYD',
      to: 'HLZ',
      attributes: { prediction: 1279 },
    },
    {
      id: '3172',
      from: 'JFK',
      to: 'HKG',
      attributes: { prediction: 19034 },
    },
    {
      id: '3173',
      from: 'MUC',
      to: 'HKG',
      attributes: { prediction: 8102 },
    },
    {
      id: '3174',
      from: 'NRT',
      to: 'HKG',
      attributes: { prediction: 83625 },
    },
    {
      id: '3175',
      from: 'BHM',
      to: 'HOU',
      attributes: { prediction: 6459 },
    },
    {
      id: '3176',
      from: 'LAS',
      to: 'HOU',
      attributes: { prediction: 14851 },
    },
    {
      id: '3177',
      from: 'UFA',
      to: 'IST',
      attributes: { prediction: 1409 },
    },
    {
      id: '3178',
      from: 'DEL',
      to: 'IXB',
      attributes: { prediction: 9416 },
    },
    {
      id: '3179',
      from: 'BGY',
      to: 'OPO',
      attributes: { prediction: 2056 },
    },
    {
      id: '3180',
      from: 'BHM',
      to: 'ORD',
      attributes: { prediction: 3495 },
    },
    {
      id: '3181',
      from: 'BOS',
      to: 'LEB',
      attributes: { prediction: 1006 },
    },
    {
      id: '3182',
      from: 'LHR',
      to: 'LED',
      attributes: { prediction: 4716 },
    },
    {
      id: '3183',
      from: 'SXF',
      to: 'IST',
      attributes: { prediction: 2169 },
    },
    {
      id: '3184',
      from: 'TLV',
      to: 'IST',
      attributes: { prediction: 15053 },
    },
    {
      id: '3185',
      from: 'EWR',
      to: 'ITH',
      attributes: { prediction: 1978 },
    },
    {
      id: '3186',
      from: 'ISB',
      to: 'JED',
      attributes: { prediction: 2224 },
    },
    {
      id: '3187',
      from: 'BHX',
      to: 'JER',
      attributes: { prediction: 4307 },
    },
    {
      id: '3188',
      from: 'GEO',
      to: 'JFK',
      attributes: { prediction: 1839 },
    },
    {
      id: '3189',
      from: 'NRT',
      to: 'JFK',
      attributes: { prediction: 42692 },
    },
    {
      id: '3190',
      from: 'POS',
      to: 'JFK',
      attributes: { prediction: 14338 },
    },
    {
      id: '3191',
      from: 'MCI',
      to: 'JLN',
      attributes: { prediction: 728 },
    },
    {
      id: '3192',
      from: 'REC',
      to: 'JPA',
      attributes: { prediction: 5452 },
    },
    {
      id: '3193',
      from: 'DXB',
      to: 'LGW',
      attributes: { prediction: 25577 },
    },
    {
      id: '3194',
      from: 'NGO',
      to: 'KMJ',
      attributes: { prediction: 4741 },
    },
    {
      id: '3195',
      from: 'DXB',
      to: 'KRT',
      attributes: { prediction: 15919 },
    },
    {
      id: '3196',
      from: 'EGN',
      to: 'KRT',
      attributes: { prediction: 918 },
    },
    {
      id: '3197',
      from: 'BTS',
      to: 'KSC',
      attributes: { prediction: 2672 },
    },
    {
      id: '3198',
      from: 'BOM',
      to: 'KTM',
      attributes: { prediction: 3793 },
    },
    {
      id: '3199',
      from: 'IVL',
      to: 'KTT',
      attributes: { prediction: 154 },
    },
    {
      id: '3200',
      from: 'KSO',
      to: 'KZI',
      attributes: { prediction: 219 },
    },
    {
      id: '3201',
      from: 'ABQ',
      to: 'LAS',
      attributes: { prediction: 19402 },
    },
    {
      id: '3202',
      from: 'ORF',
      to: 'LAS',
      attributes: { prediction: 3549 },
    },
    {
      id: '3203',
      from: 'IAD',
      to: 'LAX',
      attributes: { prediction: 47824 },
    },
    {
      id: '3204',
      from: 'JFK',
      to: 'LAX',
      attributes: { prediction: 129906 },
    },
    {
      id: '3205',
      from: 'MSY',
      to: 'LAX',
      attributes: { prediction: 10920 },
    },
    {
      id: '3206',
      from: 'PPT',
      to: 'LAX',
      attributes: { prediction: 13024 },
    },
    {
      id: '3207',
      from: 'ALG',
      to: 'LHR',
      attributes: { prediction: 4220 },
    },
    {
      id: '3208',
      from: 'LCG',
      to: 'LHR',
      attributes: { prediction: 3782 },
    },
    {
      id: '3209',
      from: 'LIS',
      to: 'LIN',
      attributes: { prediction: 3036 },
    },
    {
      id: '3210',
      from: 'BRS',
      to: 'LIS',
      attributes: { prediction: 1453 },
    },
    {
      id: '3211',
      from: 'CLT',
      to: 'LIT',
      attributes: { prediction: 4776 },
    },
    {
      id: '3212',
      from: 'MYR',
      to: 'ORD',
      attributes: { prediction: 1146 },
    },
    {
      id: '3213',
      from: 'YVR',
      to: 'ORD',
      attributes: { prediction: 10076 },
    },
    {
      id: '3214',
      from: 'DXB',
      to: 'MCT',
      attributes: { prediction: 34173 },
    },
    {
      id: '3215',
      from: 'LGA',
      to: 'MDW',
      attributes: { prediction: 32972 },
    },
    {
      id: '3216',
      from: 'MKE',
      to: 'MEM',
      attributes: { prediction: 3984 },
    },
    {
      id: '3217',
      from: 'MLU',
      to: 'MEM',
      attributes: { prediction: 2286 },
    },
    {
      id: '3218',
      from: 'ADD',
      to: 'LOS',
      attributes: { prediction: 6455 },
    },
    {
      id: '3219',
      from: 'BSL',
      to: 'LPA',
      attributes: { prediction: 1939 },
    },
    {
      id: '3220',
      from: 'CNX',
      to: 'LPQ',
      attributes: { prediction: 1194 },
    },
    {
      id: '3221',
      from: 'DXB',
      to: 'LRR',
      attributes: { prediction: 1062 },
    },
    {
      id: '3222',
      from: 'MLA',
      to: 'LUX',
      attributes: { prediction: 169 },
    },
    {
      id: '3223',
      from: 'BCN',
      to: 'LXR',
      attributes: { prediction: 633 },
    },
    {
      id: '3224',
      from: 'SHJ',
      to: 'LXR',
      attributes: { prediction: 1317 },
    },
    {
      id: '3225',
      from: 'BOD',
      to: 'LYS',
      attributes: { prediction: 25727 },
    },
    {
      id: '3226',
      from: 'PUF',
      to: 'LYS',
      attributes: { prediction: 3863 },
    },
    {
      id: '3227',
      from: 'TOE',
      to: 'LYS',
      attributes: { prediction: 658 },
    },
    {
      id: '3228',
      from: 'LHR',
      to: 'MAA',
      attributes: { prediction: 4051 },
    },
    {
      id: '3229',
      from: 'TRN',
      to: 'MAD',
      attributes: { prediction: 5084 },
    },
    {
      id: '3230',
      from: 'KWA',
      to: 'MAJ',
      attributes: { prediction: 910 },
    },
    {
      id: '3231',
      from: 'WIL',
      to: 'MBA',
      attributes: { prediction: 1788 },
    },
    {
      id: '3232',
      from: 'FLL',
      to: 'MBJ',
      attributes: { prediction: 6011 },
    },
    {
      id: '3233',
      from: 'ECP',
      to: 'MCO',
      attributes: { prediction: 6493 },
    },
    {
      id: '3234',
      from: 'SLC',
      to: 'MEX',
      attributes: { prediction: 1695 },
    },
    {
      id: '3235',
      from: 'ADE',
      to: 'MGQ',
      attributes: { prediction: 381 },
    },
    {
      id: '3236',
      from: 'LAS',
      to: 'MHT',
      attributes: { prediction: 3543 },
    },
    {
      id: '3237',
      from: 'CTG',
      to: 'MIA',
      attributes: { prediction: 2524 },
    },
    {
      id: '3238',
      from: 'MHH',
      to: 'MIA',
      attributes: { prediction: 2330 },
    },
    {
      id: '3239',
      from: 'DYU',
      to: 'OVB',
      attributes: { prediction: 391 },
    },
    {
      id: '3240',
      from: 'GIG',
      to: 'PTY',
      attributes: { prediction: 3426 },
    },
    {
      id: '3241',
      from: 'JFK',
      to: 'PVG',
      attributes: { prediction: 5178 },
    },
    {
      id: '3242',
      from: 'EWR',
      to: 'PWM',
      attributes: { prediction: 6814 },
    },
    {
      id: '3243',
      from: 'MMO',
      to: 'RAI',
      attributes: { prediction: 180 },
    },
    {
      id: '3244',
      from: 'LED',
      to: 'NCE',
      attributes: { prediction: 967 },
    },
    {
      id: '3245',
      from: 'PQS',
      to: 'MOU',
      attributes: { prediction: 115 },
    },
    {
      id: '3246',
      from: 'CEB',
      to: 'MPH',
      attributes: { prediction: 3072 },
    },
    {
      id: '3247',
      from: 'CDG',
      to: 'MPL',
      attributes: { prediction: 16126 },
    },
    {
      id: '3248',
      from: 'MNL',
      to: 'MRQ',
      attributes: { prediction: 751 },
    },
    {
      id: '3249',
      from: 'LGA',
      to: 'MSN',
      attributes: { prediction: 1028 },
    },
    {
      id: '3250',
      from: 'TOH',
      to: 'MTV',
      attributes: { prediction: 48 },
    },
    {
      id: '3251',
      from: 'TIJ',
      to: 'MTY',
      attributes: { prediction: 6923 },
    },
    {
      id: '3252',
      from: 'SPU',
      to: 'MUC',
      attributes: { prediction: 2690 },
    },
    {
      id: '3253',
      from: 'AUH',
      to: 'MXP',
      attributes: { prediction: 4273 },
    },
    {
      id: '3254',
      from: 'BEY',
      to: 'MXP',
      attributes: { prediction: 1719 },
    },
    {
      id: '3255',
      from: 'MLA',
      to: 'MXP',
      attributes: { prediction: 4682 },
    },
    {
      id: '3256',
      from: 'MRU',
      to: 'MXP',
      attributes: { prediction: 1710 },
    },
    {
      id: '3257',
      from: 'SOF',
      to: 'MXP',
      attributes: { prediction: 3510 },
    },
    {
      id: '3258',
      from: 'LUX',
      to: 'NAP',
      attributes: { prediction: 185 },
    },
    {
      id: '3259',
      from: 'HUH',
      to: 'RFP',
      attributes: { prediction: 520 },
    },
    {
      id: '3260',
      from: 'DEN',
      to: 'RNO',
      attributes: { prediction: 11370 },
    },
    {
      id: '3261',
      from: 'LAX',
      to: 'RDD',
      attributes: { prediction: 1347 },
    },
    {
      id: '3262',
      from: 'EWR',
      to: 'RDU',
      attributes: { prediction: 13165 },
    },
    {
      id: '3263',
      from: 'ATH',
      to: 'RHO',
      attributes: { prediction: 45986 },
    },
    {
      id: '3264',
      from: 'PRG',
      to: 'RHO',
      attributes: { prediction: 2201 },
    },
    {
      id: '3265',
      from: 'MIA',
      to: 'RIC',
      attributes: { prediction: 1303 },
    },
    {
      id: '3266',
      from: 'KUN',
      to: 'RIX',
      attributes: { prediction: 1928 },
    },
    {
      id: '3267',
      from: 'TLS',
      to: 'RNS',
      attributes: { prediction: 3185 },
    },
    {
      id: '3268',
      from: 'ORD',
      to: 'ROA',
      attributes: { prediction: 3878 },
    },
    {
      id: '3269',
      from: 'PAH',
      to: 'ORD',
      attributes: { prediction: 2385 },
    },
    {
      id: '3270',
      from: 'BNA',
      to: 'ORF',
      attributes: { prediction: 3261 },
    },
    {
      id: '3271',
      from: 'BIA',
      to: 'ORY',
      attributes: { prediction: 15749 },
    },
    {
      id: '3272',
      from: 'DUS',
      to: 'ORY',
      attributes: { prediction: 3977 },
    },
    {
      id: '3273',
      from: 'FAO',
      to: 'OSL',
      attributes: { prediction: 1057 },
    },
    {
      id: '3274',
      from: 'DUB',
      to: 'OTP',
      attributes: { prediction: 2365 },
    },
    {
      id: '3275',
      from: 'FRL',
      to: 'OTP',
      attributes: { prediction: 986 },
    },
    {
      id: '3276',
      from: 'OMR',
      to: 'OTP',
      attributes: { prediction: 1820 },
    },
    {
      id: '3277',
      from: 'MAN',
      to: 'PAD',
      attributes: { prediction: 2038 },
    },
    {
      id: '3278',
      from: 'ELV',
      to: 'PEC',
      attributes: { prediction: 1 },
    },
    {
      id: '3279',
      from: 'BWN',
      to: 'PER',
      attributes: { prediction: 2546 },
    },
    {
      id: '3280',
      from: 'MEL',
      to: 'PER',
      attributes: { prediction: 65191 },
    },
    {
      id: '3281',
      from: 'MHT',
      to: 'PHL',
      attributes: { prediction: 24439 },
    },
    {
      id: '3282',
      from: 'BOO',
      to: 'RYG',
      attributes: { prediction: 3321 },
    },
    {
      id: '3283',
      from: 'DXB',
      to: 'SAH',
      attributes: { prediction: 9672 },
    },
    {
      id: '3284',
      from: 'LBA',
      to: 'PMI',
      attributes: { prediction: 6265 },
    },
    {
      id: '3285',
      from: 'TKK',
      to: 'PNI',
      attributes: { prediction: 1040 },
    },
    {
      id: '3286',
      from: 'SSA',
      to: 'PNZ',
      attributes: { prediction: 647 },
    },
    {
      id: '3287',
      from: 'CRL',
      to: 'PRG',
      attributes: { prediction: 3279 },
    },
    {
      id: '3288',
      from: 'ZAG',
      to: 'PRG',
      attributes: { prediction: 1499 },
    },
    {
      id: '3289',
      from: 'TIA',
      to: 'PRN',
      attributes: { prediction: 1820 },
    },
    {
      id: '3290',
      from: 'CCS',
      to: 'PTY',
      attributes: { prediction: 15444 },
    },
    {
      id: '3291',
      from: 'MEX',
      to: 'PTY',
      attributes: { prediction: 8508 },
    },
    {
      id: '3292',
      from: 'MAD',
      to: 'PUJ',
      attributes: { prediction: 4099 },
    },
    {
      id: '3293',
      from: 'LGW',
      to: 'PUY',
      attributes: { prediction: 933 },
    },
    {
      id: '3294',
      from: 'YYC',
      to: 'PVR',
      attributes: { prediction: 1272 },
    },
    {
      id: '3295',
      from: 'CTU',
      to: 'PZI',
      attributes: { prediction: 4502 },
    },
    {
      id: '3296',
      from: 'JFK',
      to: 'SAN',
      attributes: { prediction: 24126 },
    },
    {
      id: '3297',
      from: 'MIA',
      to: 'SAP',
      attributes: { prediction: 11103 },
    },
    {
      id: '3298',
      from: 'TGU',
      to: 'SAP',
      attributes: { prediction: 4115 },
    },
    {
      id: '3299',
      from: 'ATL',
      to: 'SAT',
      attributes: { prediction: 33584 },
    },
    {
      id: '3300',
      from: 'CCP',
      to: 'SCL',
      attributes: { prediction: 15269 },
    },
    {
      id: '3301',
      from: 'PUJ',
      to: 'SCL',
      attributes: { prediction: 777 },
    },
    {
      id: '3302',
      from: 'LAD',
      to: 'SDD',
      attributes: { prediction: 341 },
    },
    {
      id: '3303',
      from: 'ITM',
      to: 'SDJ',
      attributes: { prediction: 41559 },
    },
    {
      id: '3304',
      from: 'PAP',
      to: 'SDQ',
      attributes: { prediction: 1271 },
    },
    {
      id: '3305',
      from: 'ABZ',
      to: 'SOU',
      attributes: { prediction: 234 },
    },
    {
      id: '3306',
      from: 'MAN',
      to: 'SSH',
      attributes: { prediction: 8805 },
    },
    {
      id: '3307',
      from: 'DUS',
      to: 'STN',
      attributes: { prediction: 9821 },
    },
    {
      id: '3308',
      from: 'BIL',
      to: 'SDY',
      attributes: { prediction: 238 },
    },
    {
      id: '3309',
      from: 'CUN',
      to: 'SEA',
      attributes: { prediction: 104 },
    },
    {
      id: '3310',
      from: 'PHX',
      to: 'SEA',
      attributes: { prediction: 49603 },
    },
    {
      id: '3311',
      from: 'BAH',
      to: 'SHJ',
      attributes: { prediction: 6725 },
    },
    {
      id: '3312',
      from: 'AUH',
      to: 'SIN',
      attributes: { prediction: 7907 },
    },
    {
      id: '3313',
      from: 'VKO',
      to: 'SIP',
      attributes: { prediction: 487 },
    },
    {
      id: '3314',
      from: 'BUR',
      to: 'SJC',
      attributes: { prediction: 21530 },
    },
    {
      id: '3315',
      from: 'SBA',
      to: 'SJC',
      attributes: { prediction: 2571 },
    },
    {
      id: '3316',
      from: 'IAH',
      to: 'SJU',
      attributes: { prediction: 3945 },
    },
    {
      id: '3317',
      from: 'MUC',
      to: 'SKG',
      attributes: { prediction: 11894 },
    },
    {
      id: '3318',
      from: 'KWI',
      to: 'SKT',
      attributes: { prediction: 735 },
    },
    {
      id: '3319',
      from: 'BUR',
      to: 'SMF',
      attributes: { prediction: 21896 },
    },
    {
      id: '3320',
      from: 'BWN',
      to: 'SUB',
      attributes: { prediction: 1227 },
    },
    {
      id: '3321',
      from: 'BLQ',
      to: 'SUF',
      attributes: { prediction: 7109 },
    },
    {
      id: '3322',
      from: 'MSP',
      to: 'SUX',
      attributes: { prediction: 1707 },
    },
    {
      id: '3323',
      from: 'SXF',
      to: 'SVG',
      attributes: { prediction: 854 },
    },
    {
      id: '3324',
      from: 'CSX',
      to: 'SWA',
      attributes: { prediction: 4207 },
    },
    {
      id: '3325',
      from: 'LSY',
      to: 'SYD',
      attributes: { prediction: 2499 },
    },
    {
      id: '3326',
      from: 'PTP',
      to: 'SJU',
      attributes: { prediction: 1602 },
    },
    {
      id: '3327',
      from: 'YYZ',
      to: 'SJU',
      attributes: { prediction: 684 },
    },
    {
      id: '3328',
      from: 'HGH',
      to: 'TSN',
      attributes: { prediction: 4336 },
    },
    {
      id: '3329',
      from: 'GWD',
      to: 'TUK',
      attributes: { prediction: 432 },
    },
    {
      id: '3330',
      from: 'OKA',
      to: 'TAK',
      attributes: { prediction: 4521 },
    },
    {
      id: '3331',
      from: 'KUL',
      to: 'TGG',
      attributes: { prediction: 12947 },
    },
    {
      id: '3332',
      from: 'BEG',
      to: 'TIV',
      attributes: { prediction: 2937 },
    },
    {
      id: '3333',
      from: 'CUN',
      to: 'TLC',
      attributes: { prediction: 18045 },
    },
    {
      id: '3334',
      from: 'SZX',
      to: 'TNA',
      attributes: { prediction: 1534 },
    },
    {
      id: '3335',
      from: 'ORY',
      to: 'TOE',
      attributes: { prediction: 1581 },
    },
    {
      id: '3336',
      from: 'SSJ',
      to: 'TRD',
      attributes: { prediction: 139 },
    },
    {
      id: '3337',
      from: 'RHO',
      to: 'TXL',
      attributes: { prediction: 1005 },
    },
    {
      id: '3338',
      from: 'MEM',
      to: 'TYS',
      attributes: { prediction: 3987 },
    },
    {
      id: '3339',
      from: 'PIE',
      to: 'TYS',
      attributes: { prediction: 2075 },
    },
    {
      id: '3340',
      from: 'KGF',
      to: 'UKK',
      attributes: { prediction: 224 },
    },
    {
      id: '3341',
      from: 'DLA',
      to: 'ZRH',
      attributes: { prediction: 2759 },
    },
    {
      id: '3342',
      from: 'NUE',
      to: 'ZRH',
      attributes: { prediction: 6967 },
    },
    {
      id: '3343',
      from: 'SJU',
      to: 'AXA',
      attributes: { prediction: 1584 },
    },
    {
      id: '3344',
      from: 'LCA',
      to: 'BBU',
      attributes: { prediction: 2042 },
    },
    {
      id: '3345',
      from: 'ARN',
      to: 'BCN',
      attributes: { prediction: 9272 },
    },
    {
      id: '3346',
      from: 'LCG',
      to: 'BCN',
      attributes: { prediction: 6659 },
    },
    {
      id: '3347',
      from: 'SVQ',
      to: 'BCN',
      attributes: { prediction: 12213 },
    },
    {
      id: '3348',
      from: 'TNG',
      to: 'BCN',
      attributes: { prediction: 136 },
    },
    {
      id: '3349',
      from: 'ORD',
      to: 'BDL',
      attributes: { prediction: 19030 },
    },
    {
      id: '3350',
      from: 'DPS',
      to: 'BDO',
      attributes: { prediction: 4533 },
    },
    {
      id: '3351',
      from: 'IOM',
      to: 'BFS',
      attributes: { prediction: 524 },
    },
    {
      id: '3352',
      from: 'PHL',
      to: 'BGM',
      attributes: { prediction: 3248 },
    },
    {
      id: '3353',
      from: 'TBS',
      to: 'WAW',
      attributes: { prediction: 986 },
    },
    {
      id: '3354',
      from: 'DFW',
      to: 'XNA',
      attributes: { prediction: 14514 },
    },
    {
      id: '3355',
      from: 'FRA',
      to: 'XRY',
      attributes: { prediction: 2666 },
    },
    {
      id: '3356',
      from: 'LYG',
      to: 'XUZ',
      attributes: { prediction: 1787 },
    },
    {
      id: '3357',
      from: 'CDV',
      to: 'YAK',
      attributes: { prediction: 1336 },
    },
    {
      id: '3358',
      from: 'LAX',
      to: 'YEG',
      attributes: { prediction: 3229 },
    },
    {
      id: '3359',
      from: 'YQD',
      to: 'YFO',
      attributes: { prediction: 357 },
    },
    {
      id: '3360',
      from: 'YKU',
      to: 'YKQ',
      attributes: { prediction: 707 },
    },
    {
      id: '3361',
      from: 'EWR',
      to: 'YOW',
      attributes: { prediction: 4038 },
    },
    {
      id: '3362',
      from: 'YZF',
      to: 'YRA',
      attributes: { prediction: 224 },
    },
    {
      id: '3363',
      from: 'YCS',
      to: 'YRT',
      attributes: { prediction: 96 },
    },
    {
      id: '3364',
      from: 'DOK',
      to: 'BUS',
      attributes: { prediction: 112 },
    },
    {
      id: '3365',
      from: 'DAM',
      to: 'CAI',
      attributes: { prediction: 7190 },
    },
    {
      id: '3366',
      from: 'DUS',
      to: 'CAI',
      attributes: { prediction: 2166 },
    },
    {
      id: '3367',
      from: 'VVI',
      to: 'CBB',
      attributes: { prediction: 24130 },
    },
    {
      id: '3368',
      from: 'DAM',
      to: 'CCS',
      attributes: { prediction: 2141 },
    },
    {
      id: '3369',
      from: 'BOS',
      to: 'CDG',
      attributes: { prediction: 11636 },
    },
    {
      id: '3370',
      from: 'SXM',
      to: 'CDG',
      attributes: { prediction: 6034 },
    },
    {
      id: '3371',
      from: 'CGR',
      to: 'CGB',
      attributes: { prediction: 20328 },
    },
    {
      id: '3372',
      from: 'ICN',
      to: 'CGO',
      attributes: { prediction: 1716 },
    },
    {
      id: '3373',
      from: 'ACC',
      to: 'ABJ',
      attributes: { prediction: 3887 },
    },
    {
      id: '3374',
      from: 'OUA',
      to: 'ABJ',
      attributes: { prediction: 632 },
    },
    {
      id: '3375',
      from: 'TLC',
      to: 'ACA',
      attributes: { prediction: 5530 },
    },
    {
      id: '3376',
      from: 'KLN',
      to: 'ADQ',
      attributes: { prediction: 267 },
    },
    {
      id: '3377',
      from: 'CPH',
      to: 'AGP',
      attributes: { prediction: 3296 },
    },
    {
      id: '3378',
      from: 'GSE',
      to: 'AGP',
      attributes: { prediction: 1202 },
    },
    {
      id: '3379',
      from: 'SNN',
      to: 'AGP',
      attributes: { prediction: 1611 },
    },
    {
      id: '3380',
      from: 'ICN',
      to: 'ALA',
      attributes: { prediction: 1521 },
    },
    {
      id: '3381',
      from: 'TFS',
      to: 'ALC',
      attributes: { prediction: 930 },
    },
    {
      id: '3382',
      from: 'MSP',
      to: 'AMS',
      attributes: { prediction: 12744 },
    },
    {
      id: '3383',
      from: 'SEA',
      to: 'CUN',
      attributes: { prediction: 4867 },
    },
    {
      id: '3384',
      from: 'LEX',
      to: 'CVG',
      attributes: { prediction: 3177 },
    },
    {
      id: '3385',
      from: 'PER',
      to: 'HKG',
      attributes: { prediction: 10696 },
    },
    {
      id: '3386',
      from: 'IAH',
      to: 'HNL',
      attributes: { prediction: 14570 },
    },
    {
      id: '3387',
      from: 'SHE',
      to: 'CJU',
      attributes: { prediction: 663 },
    },
    {
      id: '3388',
      from: 'DAB',
      to: 'CLT',
      attributes: { prediction: 5672 },
    },
    {
      id: '3389',
      from: 'JAX',
      to: 'BHM',
      attributes: { prediction: 2767 },
    },
    {
      id: '3390',
      from: 'ACC',
      to: 'BJL',
      attributes: { prediction: 1386 },
    },
    {
      id: '3391',
      from: 'NCE',
      to: 'BLL',
      attributes: { prediction: 366 },
    },
    {
      id: '3392',
      from: 'RNO',
      to: 'BOI',
      attributes: { prediction: 5633 },
    },
    {
      id: '3393',
      from: 'MQN',
      to: 'BOO',
      attributes: { prediction: 1464 },
    },
    {
      id: '3394',
      from: 'SEA',
      to: 'BOS',
      attributes: { prediction: 5483 },
    },
    {
      id: '3395',
      from: 'PHX',
      to: 'CMH',
      attributes: { prediction: 10003 },
    },
    {
      id: '3396',
      from: 'PSA',
      to: 'CND',
      attributes: { prediction: 850 },
    },
    {
      id: '3397',
      from: 'CGH',
      to: 'CNF',
      attributes: { prediction: 67866 },
    },
    {
      id: '3398',
      from: 'ARN',
      to: 'CPH',
      attributes: { prediction: 38751 },
    },
    {
      id: '3399',
      from: 'PDG',
      to: 'BTH',
      attributes: { prediction: 6172 },
    },
    {
      id: '3400',
      from: 'AET',
      to: 'BTT',
      attributes: { prediction: 117 },
    },
    {
      id: '3401',
      from: 'BRS',
      to: 'BUD',
      attributes: { prediction: 1347 },
    },
    {
      id: '3402',
      from: 'VAR',
      to: 'BUD',
      attributes: { prediction: 1303 },
    },
    {
      id: '3403',
      from: 'NRN',
      to: 'BZR',
      attributes: { prediction: 1154 },
    },
    {
      id: '3404',
      from: 'PEN',
      to: 'CAN',
      attributes: { prediction: 1668 },
    },
    {
      id: '3405',
      from: 'JFK',
      to: 'CCS',
      attributes: { prediction: 1310 },
    },
    {
      id: '3406',
      from: 'VIG',
      to: 'CCS',
      attributes: { prediction: 9560 },
    },
    {
      id: '3407',
      from: 'ABJ',
      to: 'CDG',
      attributes: { prediction: 8399 },
    },
    {
      id: '3408',
      from: 'JFK',
      to: 'CDG',
      attributes: { prediction: 38937 },
    },
    {
      id: '3409',
      from: 'LIN',
      to: 'CDG',
      attributes: { prediction: 8782 },
    },
    {
      id: '3410',
      from: 'LIS',
      to: 'CDG',
      attributes: { prediction: 22122 },
    },
    {
      id: '3411',
      from: 'MRS',
      to: 'CDG',
      attributes: { prediction: 26251 },
    },
    {
      id: '3412',
      from: 'ROO',
      to: 'CGB',
      attributes: { prediction: 999 },
    },
    {
      id: '3413',
      from: 'HKG',
      to: 'CGK',
      attributes: { prediction: 29583 },
    },
    {
      id: '3414',
      from: 'VIE',
      to: 'CPH',
      attributes: { prediction: 14793 },
    },
    {
      id: '3415',
      from: 'DTW',
      to: 'CUN',
      attributes: { prediction: 1798 },
    },
    {
      id: '3416',
      from: 'GOH',
      to: 'JFR',
      attributes: { prediction: 700 },
    },
    {
      id: '3417',
      from: 'DXB',
      to: 'JNB',
      attributes: { prediction: 29756 },
    },
    {
      id: '3418',
      from: 'UTT',
      to: 'JNB',
      attributes: { prediction: 1032 },
    },
    {
      id: '3419',
      from: 'EVV',
      to: 'DTW',
      attributes: { prediction: 3367 },
    },
    {
      id: '3420',
      from: 'CCF',
      to: 'DUB',
      attributes: { prediction: 1716 },
    },
    {
      id: '3421',
      from: 'JNB',
      to: 'DUR',
      attributes: { prediction: 107579 },
    },
    {
      id: '3422',
      from: 'KRK',
      to: 'DUS',
      attributes: { prediction: 2916 },
    },
    {
      id: '3423',
      from: 'SDP',
      to: 'DUT',
      attributes: { prediction: 251 },
    },
    {
      id: '3424',
      from: 'AMS',
      to: 'DXB',
      attributes: { prediction: 26145 },
    },
    {
      id: '3425',
      from: 'IXB',
      to: 'DEL',
      attributes: { prediction: 8035 },
    },
    {
      id: '3426',
      from: 'TPE',
      to: 'DEL',
      attributes: { prediction: 4741 },
    },
    {
      id: '3427',
      from: 'SAW',
      to: 'DIY',
      attributes: { prediction: 4172 },
    },
    {
      id: '3428',
      from: 'PHC',
      to: 'DLA',
      attributes: { prediction: 373 },
    },
    {
      id: '3429',
      from: 'CGO',
      to: 'DLC',
      attributes: { prediction: 4608 },
    },
    {
      id: '3430',
      from: 'HIJ',
      to: 'DLC',
      attributes: { prediction: 3091 },
    },
    {
      id: '3431',
      from: 'HKG',
      to: 'DLC',
      attributes: { prediction: 3120 },
    },
    {
      id: '3432',
      from: 'ZRH',
      to: 'DOH',
      attributes: { prediction: 5386 },
    },
    {
      id: '3433',
      from: 'DUS',
      to: 'DRS',
      attributes: { prediction: 14280 },
    },
    {
      id: '3434',
      from: 'SYD',
      to: 'DRW',
      attributes: { prediction: 9357 },
    },
    {
      id: '3435',
      from: 'JIB',
      to: 'DXB',
      attributes: { prediction: 1956 },
    },
    {
      id: '3436',
      from: 'NCE',
      to: 'DXB',
      attributes: { prediction: 5825 },
    },
    {
      id: '3437',
      from: 'ABZ',
      to: 'EBJ',
      attributes: { prediction: 343 },
    },
    {
      id: '3438',
      from: 'AMM',
      to: 'EBL',
      attributes: { prediction: 736 },
    },
    {
      id: '3439',
      from: 'ZTH',
      to: 'EFL',
      attributes: { prediction: 122 },
    },
    {
      id: '3440',
      from: 'GRO',
      to: 'EMA',
      attributes: { prediction: 2538 },
    },
    {
      id: '3441',
      from: 'LHR',
      to: 'KEF',
      attributes: { prediction: 6157 },
    },
    {
      id: '3442',
      from: 'HRB',
      to: 'KIJ',
      attributes: { prediction: 1675 },
    },
    {
      id: '3443',
      from: 'PLS',
      to: 'KIN',
      attributes: { prediction: 208 },
    },
    {
      id: '3444',
      from: 'ALC',
      to: 'KIR',
      attributes: { prediction: 1325 },
    },
    {
      id: '3445',
      from: 'SVO',
      to: 'KLV',
      attributes: { prediction: 1378 },
    },
    {
      id: '3446',
      from: 'ARN',
      to: 'KRN',
      attributes: { prediction: 2346 },
    },
    {
      id: '3447',
      from: 'BLQ',
      to: 'GRO',
      attributes: { prediction: 4139 },
    },
    {
      id: '3448',
      from: 'MSP',
      to: 'FAR',
      attributes: { prediction: 10869 },
    },
    {
      id: '3449',
      from: 'MJM',
      to: 'FIH',
      attributes: { prediction: 1260 },
    },
    {
      id: '3450',
      from: 'TPA',
      to: 'FLL',
      attributes: { prediction: 32133 },
    },
    {
      id: '3451',
      from: 'FDH',
      to: 'FRA',
      attributes: { prediction: 3250 },
    },
    {
      id: '3452',
      from: 'SIN',
      to: 'FRA',
      attributes: { prediction: 37548 },
    },
    {
      id: '3453',
      from: 'DEN',
      to: 'GCK',
      attributes: { prediction: 1127 },
    },
    {
      id: '3454',
      from: 'LAX',
      to: 'GDL',
      attributes: { prediction: 32086 },
    },
    {
      id: '3455',
      from: 'ATL',
      to: 'GIG',
      attributes: { prediction: 5632 },
    },
    {
      id: '3456',
      from: 'REC',
      to: 'GIG',
      attributes: { prediction: 42627 },
    },
    {
      id: '3457',
      from: 'BCN',
      to: 'GRX',
      attributes: { prediction: 5800 },
    },
    {
      id: '3458',
      from: 'SEA',
      to: 'GTF',
      attributes: { prediction: 2972 },
    },
    {
      id: '3459',
      from: 'MYY',
      to: 'LGL',
      attributes: { prediction: 16 },
    },
    {
      id: '3460',
      from: 'BEL',
      to: 'PBM',
      attributes: { prediction: 497 },
    },
    {
      id: '3461',
      from: 'RGA',
      to: 'RGL',
      attributes: { prediction: 945 },
    },
    {
      id: '3462',
      from: 'HAM',
      to: 'RIX',
      attributes: { prediction: 2670 },
    },
    {
      id: '3463',
      from: 'CRK',
      to: 'KUL',
      attributes: { prediction: 4209 },
    },
    {
      id: '3464',
      from: 'XMN',
      to: 'KUL',
      attributes: { prediction: 7062 },
    },
    {
      id: '3465',
      from: 'LCA',
      to: 'KWI',
      attributes: { prediction: 614 },
    },
    {
      id: '3466',
      from: 'CJU',
      to: 'KWJ',
      attributes: { prediction: 15622 },
    },
    {
      id: '3467',
      from: 'MAN',
      to: 'LAS',
      attributes: { prediction: 860 },
    },
    {
      id: '3468',
      from: 'PSP',
      to: 'LAX',
      attributes: { prediction: 4368 },
    },
    {
      id: '3469',
      from: 'AMD',
      to: 'HYD',
      attributes: { prediction: 9730 },
    },
    {
      id: '3470',
      from: 'JAX',
      to: 'IAD',
      attributes: { prediction: 5098 },
    },
    {
      id: '3471',
      from: 'CLT',
      to: 'IAH',
      attributes: { prediction: 34369 },
    },
    {
      id: '3472',
      from: 'LNK',
      to: 'IAH',
      attributes: { prediction: 40 },
    },
    {
      id: '3473',
      from: 'MAF',
      to: 'IAH',
      attributes: { prediction: 7542 },
    },
    {
      id: '3474',
      from: 'SJU',
      to: 'IAH',
      attributes: { prediction: 8488 },
    },
    {
      id: '3475',
      from: 'BNE',
      to: 'ICN',
      attributes: { prediction: 4984 },
    },
    {
      id: '3476',
      from: 'NGO',
      to: 'ICN',
      attributes: { prediction: 25317 },
    },
    {
      id: '3477',
      from: 'PEK',
      to: 'ICN',
      attributes: { prediction: 55983 },
    },
    {
      id: '3478',
      from: 'BAH',
      to: 'ISB',
      attributes: { prediction: 2044 },
    },
    {
      id: '3479',
      from: 'FLL',
      to: 'ISP',
      attributes: { prediction: 6700 },
    },
    {
      id: '3480',
      from: 'FRU',
      to: 'IST',
      attributes: { prediction: 3458 },
    },
    {
      id: '3481',
      from: 'CGP',
      to: 'JED',
      attributes: { prediction: 2882 },
    },
    {
      id: '3482',
      from: 'DEN',
      to: 'JFK',
      attributes: { prediction: 4164 },
    },
    {
      id: '3483',
      from: 'SJU',
      to: 'JFK',
      attributes: { prediction: 23336 },
    },
    {
      id: '3484',
      from: 'GRU',
      to: 'JNB',
      attributes: { prediction: 11584 },
    },
    {
      id: '3485',
      from: 'FRA',
      to: 'KBP',
      attributes: { prediction: 10720 },
    },
    {
      id: '3486',
      from: 'IMK',
      to: 'KEP',
      attributes: { prediction: 44 },
    },
    {
      id: '3487',
      from: 'SYZ',
      to: 'KIH',
      attributes: { prediction: 1104 },
    },
    {
      id: '3488',
      from: 'SGN',
      to: 'KIX',
      attributes: { prediction: 5672 },
    },
    {
      id: '3489',
      from: 'NYO',
      to: 'KLU',
      attributes: { prediction: 417 },
    },
    {
      id: '3490',
      from: 'ICN',
      to: 'KMJ',
      attributes: { prediction: 1184 },
    },
    {
      id: '3491',
      from: 'KTN',
      to: 'KPB',
      attributes: { prediction: 156 },
    },
    {
      id: '3492',
      from: 'LED',
      to: 'KRR',
      attributes: { prediction: 1436 },
    },
    {
      id: '3493',
      from: 'AMS',
      to: 'KRS',
      attributes: { prediction: 3082 },
    },
    {
      id: '3494',
      from: 'SVG',
      to: 'KRS',
      attributes: { prediction: 1325 },
    },
    {
      id: '3495',
      from: 'AMM',
      to: 'KRT',
      attributes: { prediction: 2503 },
    },
    {
      id: '3496',
      from: 'AER',
      to: 'LED',
      attributes: { prediction: 2438 },
    },
    {
      id: '3497',
      from: 'OVB',
      to: 'LED',
      attributes: { prediction: 2706 },
    },
    {
      id: '3498',
      from: 'LCR',
      to: 'LET',
      attributes: { prediction: 88 },
    },
    {
      id: '3499',
      from: 'MCO',
      to: 'LGA',
      attributes: { prediction: 20360 },
    },
    {
      id: '3500',
      from: 'EYW',
      to: 'RSW',
      attributes: { prediction: 1084 },
    },
    {
      id: '3501',
      from: 'LCA',
      to: 'RUH',
      attributes: { prediction: 504 },
    },
    {
      id: '3502',
      from: 'RAH',
      to: 'RUH',
      attributes: { prediction: 1436 },
    },
    {
      id: '3503',
      from: 'MHK',
      to: 'MCK',
      attributes: { prediction: 230 },
    },
    {
      id: '3504',
      from: 'MIA',
      to: 'MCO',
      attributes: { prediction: 36538 },
    },
    {
      id: '3505',
      from: 'JAI',
      to: 'MCT',
      attributes: { prediction: 2828 },
    },
    {
      id: '3506',
      from: 'KUL',
      to: 'MDC',
      attributes: { prediction: 2155 },
    },
    {
      id: '3507',
      from: 'PHX',
      to: 'MDW',
      attributes: { prediction: 23505 },
    },
    {
      id: '3508',
      from: 'YYZ',
      to: 'LHE',
      attributes: { prediction: 1645 },
    },
    {
      id: '3509',
      from: 'ORD',
      to: 'LHR',
      attributes: { prediction: 39966 },
    },
    {
      id: '3510',
      from: 'IQT',
      to: 'LIM',
      attributes: { prediction: 15421 },
    },
    {
      id: '3511',
      from: 'LAX',
      to: 'LIM',
      attributes: { prediction: 9670 },
    },
    {
      id: '3512',
      from: 'GVA',
      to: 'LIS',
      attributes: { prediction: 10075 },
    },
    {
      id: '3513',
      from: 'ZRH',
      to: 'LJU',
      attributes: { prediction: 2835 },
    },
    {
      id: '3514',
      from: 'LAP',
      to: 'LMM',
      attributes: { prediction: 824 },
    },
    {
      id: '3515',
      from: 'MIA',
      to: 'LNK',
      attributes: { prediction: 115 },
    },
    {
      id: '3516',
      from: 'GRO',
      to: 'LPA',
      attributes: { prediction: 2397 },
    },
    {
      id: '3517',
      from: 'SHE',
      to: 'LYG',
      attributes: { prediction: 568 },
    },
    {
      id: '3518',
      from: 'BOS',
      to: 'MAD',
      attributes: { prediction: 2108 },
    },
    {
      id: '3519',
      from: 'SDR',
      to: 'MAD',
      attributes: { prediction: 10458 },
    },
    {
      id: '3520',
      from: 'PUJ',
      to: 'MAN',
      attributes: { prediction: 1809 },
    },
    {
      id: '3521',
      from: 'MIA',
      to: 'MAO',
      attributes: { prediction: 4609 },
    },
    {
      id: '3522',
      from: 'MEM',
      to: 'MBJ',
      attributes: { prediction: 2745 },
    },
    {
      id: '3523',
      from: 'SAT',
      to: 'MEX',
      attributes: { prediction: 5488 },
    },
    {
      id: '3524',
      from: 'CLO',
      to: 'MIA',
      attributes: { prediction: 7017 },
    },
    {
      id: '3525',
      from: 'PTP',
      to: 'MIA',
      attributes: { prediction: 121 },
    },
    {
      id: '3526',
      from: 'SYD',
      to: 'MIM',
      attributes: { prediction: 266 },
    },
    {
      id: '3527',
      from: 'ADE',
      to: 'SAH',
      attributes: { prediction: 11058 },
    },
    {
      id: '3528',
      from: 'ZRH',
      to: 'SAW',
      attributes: { prediction: 2854 },
    },
    {
      id: '3529',
      from: 'SEA',
      to: 'SMF',
      attributes: { prediction: 32991 },
    },
    {
      id: '3530',
      from: 'OAK',
      to: 'SNA',
      attributes: { prediction: 20100 },
    },
    {
      id: '3531',
      from: 'WNP',
      to: 'MNL',
      attributes: { prediction: 9695 },
    },
    {
      id: '3532',
      from: 'DUR',
      to: 'MQP',
      attributes: { prediction: 1055 },
    },
    {
      id: '3533',
      from: 'AUS',
      to: 'MSN',
      attributes: { prediction: 85 },
    },
    {
      id: '3534',
      from: 'LAX',
      to: 'MSO',
      attributes: { prediction: 903 },
    },
    {
      id: '3535',
      from: 'INL',
      to: 'MSP',
      attributes: { prediction: 1206 },
    },
    {
      id: '3536',
      from: 'MCO',
      to: 'MSP',
      attributes: { prediction: 17919 },
    },
    {
      id: '3537',
      from: 'IST',
      to: 'MSQ',
      attributes: { prediction: 2008 },
    },
    {
      id: '3538',
      from: 'JNB',
      to: 'MTS',
      attributes: { prediction: 2002 },
    },
    {
      id: '3539',
      from: 'DOH',
      to: 'MUC',
      attributes: { prediction: 6836 },
    },
    {
      id: '3540',
      from: 'LCY',
      to: 'MUC',
      attributes: { prediction: 3982 },
    },
    {
      id: '3541',
      from: 'OSL',
      to: 'MUC',
      attributes: { prediction: 7573 },
    },
    {
      id: '3542',
      from: 'TLV',
      to: 'MUC',
      attributes: { prediction: 5332 },
    },
    {
      id: '3543',
      from: 'TRS',
      to: 'MUC',
      attributes: { prediction: 4439 },
    },
    {
      id: '3544',
      from: 'CUL',
      to: 'MXL',
      attributes: { prediction: 1767 },
    },
    {
      id: '3545',
      from: 'BUD',
      to: 'MXP',
      attributes: { prediction: 7466 },
    },
    {
      id: '3546',
      from: 'WAW',
      to: 'MXP',
      attributes: { prediction: 4558 },
    },
    {
      id: '3547',
      from: 'MIM',
      to: 'MYA',
      attributes: { prediction: 607 },
    },
    {
      id: '3548',
      from: 'SHJ',
      to: 'NAG',
      attributes: { prediction: 1305 },
    },
    {
      id: '3549',
      from: 'SYD',
      to: 'NAN',
      attributes: { prediction: 19113 },
    },
    {
      id: '3550',
      from: 'NLA',
      to: 'NBO',
      attributes: { prediction: 473 },
    },
    {
      id: '3551',
      from: 'ABZ',
      to: 'NCL',
      attributes: { prediction: 2488 },
    },
    {
      id: '3552',
      from: 'SJC',
      to: 'OGG',
      attributes: { prediction: 1550 },
    },
    {
      id: '3553',
      from: 'HIJ',
      to: 'OKA',
      attributes: { prediction: 5806 },
    },
    {
      id: '3554',
      from: 'MAN',
      to: 'SPC',
      attributes: { prediction: 494 },
    },
    {
      id: '3555',
      from: 'FLL',
      to: 'STL',
      attributes: { prediction: 4696 },
    },
    {
      id: '3556',
      from: 'OPO',
      to: 'STN',
      attributes: { prediction: 10759 },
    },
    {
      id: '3557',
      from: 'ATL',
      to: 'STR',
      attributes: { prediction: 5236 },
    },
    {
      id: '3558',
      from: 'CEB',
      to: 'SUG',
      attributes: { prediction: 854 },
    },
    {
      id: '3559',
      from: 'XKS',
      to: 'SUR',
      attributes: { prediction: 66 },
    },
    {
      id: '3560',
      from: 'ANU',
      to: 'SVD',
      attributes: { prediction: 1343 },
    },
    {
      id: '3561',
      from: 'NUX',
      to: 'SVX',
      attributes: { prediction: 298 },
    },
    {
      id: '3562',
      from: 'ATL',
      to: 'SWF',
      attributes: { prediction: 1448 },
    },
    {
      id: '3563',
      from: 'SKB',
      to: 'SXM',
      attributes: { prediction: 2542 },
    },
    {
      id: '3564',
      from: 'VIE',
      to: 'SZG',
      attributes: { prediction: 5388 },
    },
    {
      id: '3565',
      from: 'RMQ',
      to: 'SZX',
      attributes: { prediction: 505 },
    },
    {
      id: '3566',
      from: 'APW',
      to: 'TBU',
      attributes: { prediction: 1071 },
    },
    {
      id: '3567',
      from: 'BDO',
      to: 'PDG',
      attributes: { prediction: 679 },
    },
    {
      id: '3568',
      from: 'BOI',
      to: 'PDX',
      attributes: { prediction: 10798 },
    },
    {
      id: '3569',
      from: 'EGX',
      to: 'PIP',
      attributes: { prediction: 16 },
    },
    {
      id: '3570',
      from: 'DFW',
      to: 'PIT',
      attributes: { prediction: 11268 },
    },
    {
      id: '3571',
      from: 'PUJ',
      to: 'PIT',
      attributes: { prediction: 1091 },
    },
    {
      id: '3572',
      from: 'NRN',
      to: 'PMI',
      attributes: { prediction: 2487 },
    },
    {
      id: '3573',
      from: 'SJO',
      to: 'PMZ',
      attributes: { prediction: 249 },
    },
    {
      id: '3574',
      from: 'FMN',
      to: 'PRC',
      attributes: { prediction: 323 },
    },
    {
      id: '3575',
      from: 'BRQ',
      to: 'PRG',
      attributes: { prediction: 2476 },
    },
    {
      id: '3576',
      from: 'LPL',
      to: 'TFS',
      attributes: { prediction: 2457 },
    },
    {
      id: '3577',
      from: 'SYZ',
      to: 'THR',
      attributes: { prediction: 3653 },
    },
    {
      id: '3578',
      from: 'STL',
      to: 'UIN',
      attributes: { prediction: 562 },
    },
    {
      id: '3579',
      from: 'CTS',
      to: 'UKB',
      attributes: { prediction: 11271 },
    },
    {
      id: '3580',
      from: 'BYN',
      to: 'ULN',
      attributes: { prediction: 131 },
    },
    {
      id: '3581',
      from: 'CNX',
      to: 'USM',
      attributes: { prediction: 3390 },
    },
    {
      id: '3582',
      from: 'VIE',
      to: 'VAR',
      attributes: { prediction: 2638 },
    },
    {
      id: '3583',
      from: 'MXP',
      to: 'TIA',
      attributes: { prediction: 3979 },
    },
    {
      id: '3584',
      from: 'DJJ',
      to: 'TIM',
      attributes: { prediction: 6082 },
    },
    {
      id: '3585',
      from: 'OAK',
      to: 'TLC',
      attributes: { prediction: 2011 },
    },
    {
      id: '3586',
      from: 'GOT',
      to: 'TLL',
      attributes: { prediction: 99 },
    },
    {
      id: '3587',
      from: 'EDI',
      to: 'TMP',
      attributes: { prediction: 1510 },
    },
    {
      id: '3588',
      from: 'CGQ',
      to: 'TNA',
      attributes: { prediction: 1855 },
    },
    {
      id: '3589',
      from: 'ONT',
      to: 'SFO',
      attributes: { prediction: 4824 },
    },
    {
      id: '3590',
      from: 'TWB',
      to: 'SGO',
      attributes: { prediction: 169 },
    },
    {
      id: '3591',
      from: 'HYN',
      to: 'SHA',
      attributes: { prediction: 2397 },
    },
    {
      id: '3592',
      from: 'OME',
      to: 'SHH',
      attributes: { prediction: 339 },
    },
    {
      id: '3593',
      from: 'KTM',
      to: 'SIN',
      attributes: { prediction: 2364 },
    },
    {
      id: '3594',
      from: 'DRK',
      to: 'SJO',
      attributes: { prediction: 124 },
    },
    {
      id: '3595',
      from: 'TMU',
      to: 'SJO',
      attributes: { prediction: 806 },
    },
    {
      id: '3596',
      from: 'KTW',
      to: 'TRN',
      attributes: { prediction: 653 },
    },
    {
      id: '3597',
      from: 'FCO',
      to: 'TRS',
      attributes: { prediction: 2268 },
    },
    {
      id: '3598',
      from: 'ALA',
      to: 'TSE',
      attributes: { prediction: 136 },
    },
    {
      id: '3599',
      from: 'MEM',
      to: 'STL',
      attributes: { prediction: 3601 },
    },
    {
      id: '3600',
      from: 'BDO',
      to: 'SUB',
      attributes: { prediction: 6388 },
    },
    {
      id: '3601',
      from: 'IXJ',
      to: 'SXR',
      attributes: { prediction: 9174 },
    },
    {
      id: '3602',
      from: 'NAA',
      to: 'SYD',
      attributes: { prediction: 615 },
    },
    {
      id: '3603',
      from: 'CLT',
      to: 'SYR',
      attributes: { prediction: 5011 },
    },
    {
      id: '3604',
      from: 'CAI',
      to: 'TAI',
      attributes: { prediction: 476 },
    },
    {
      id: '3605',
      from: 'RIX',
      to: 'TAS',
      attributes: { prediction: 992 },
    },
    {
      id: '3606',
      from: 'TZX',
      to: 'TBS',
      attributes: { prediction: 503 },
    },
    {
      id: '3607',
      from: 'NGO',
      to: 'TSN',
      attributes: { prediction: 4941 },
    },
    {
      id: '3608',
      from: 'VRN',
      to: 'TSR',
      attributes: { prediction: 936 },
    },
    {
      id: '3609',
      from: 'DUS',
      to: 'TXL',
      attributes: { prediction: 53030 },
    },
    {
      id: '3610',
      from: 'ULG',
      to: 'ULN',
      attributes: { prediction: 175 },
    },
    {
      id: '3611',
      from: 'YWB',
      to: 'YQC',
      attributes: { prediction: 338 },
    },
    {
      id: '3612',
      from: 'YYZ',
      to: 'YTS',
      attributes: { prediction: 4747 },
    },
    {
      id: '3613',
      from: 'YZF',
      to: 'YVR',
      attributes: { prediction: 955 },
    },
    {
      id: '3614',
      from: 'LIS',
      to: 'VCE',
      attributes: { prediction: 3675 },
    },
    {
      id: '3615',
      from: 'DEN',
      to: 'VEL',
      attributes: { prediction: 457 },
    },
    {
      id: '3616',
      from: 'ASU',
      to: 'VVI',
      attributes: { prediction: 2605 },
    },
    {
      id: '3617',
      from: 'CDG',
      to: 'WAW',
      attributes: { prediction: 19511 },
    },
    {
      id: '3618',
      from: 'MAD',
      to: 'WAW',
      attributes: { prediction: 3282 },
    },
    {
      id: '3619',
      from: 'ICN',
      to: 'WEH',
      attributes: { prediction: 2897 },
    },
    {
      id: '3620',
      from: 'RYG',
      to: 'WRO',
      attributes: { prediction: 1515 },
    },
    {
      id: '3621',
      from: 'NKG',
      to: 'XIY',
      attributes: { prediction: 4554 },
    },
    {
      id: '3622',
      from: 'YTL',
      to: 'XKS',
      attributes: { prediction: 79 },
    },
    {
      id: '3623',
      from: 'TPE',
      to: 'XMN',
      attributes: { prediction: 7084 },
    },
    {
      id: '3624',
      from: 'YVR',
      to: 'YBL',
      attributes: { prediction: 993 },
    },
    {
      id: '3625',
      from: 'YVR',
      to: 'YDQ',
      attributes: { prediction: 461 },
    },
    {
      id: '3626',
      from: 'LAX',
      to: 'YEG',
      attributes: { prediction: 1921 },
    },
    {
      id: '3627',
      from: 'HKG',
      to: 'YNZ',
      attributes: { prediction: 1049 },
    },
    {
      id: '3628',
      from: 'YQT',
      to: 'YOW',
      attributes: { prediction: 1039 },
    },
    {
      id: '3629',
      from: 'LAX',
      to: 'YYC',
      attributes: { prediction: 5879 },
    },
    {
      id: '3630',
      from: 'YQR',
      to: 'YYC',
      attributes: { prediction: 4033 },
    },
    {
      id: '3631',
      from: 'ACA',
      to: 'YYZ',
      attributes: { prediction: 882 },
    },
    {
      id: '3632',
      from: 'ANU',
      to: 'ATL',
      attributes: { prediction: 401 },
    },
    {
      id: '3633',
      from: 'FWA',
      to: 'ATL',
      attributes: { prediction: 2098 },
    },
    {
      id: '3634',
      from: 'ATL',
      to: 'ABE',
      attributes: { prediction: 3186 },
    },
    {
      id: '3635',
      from: 'DTW',
      to: 'ABE',
      attributes: { prediction: 4439 },
    },
    {
      id: '3636',
      from: 'OUA',
      to: 'ABJ',
      attributes: { prediction: 849 },
    },
    {
      id: '3637',
      from: 'PIK',
      to: 'AGP',
      attributes: { prediction: 2905 },
    },
    {
      id: '3638',
      from: 'CLT',
      to: 'AGS',
      attributes: { prediction: 4169 },
    },
    {
      id: '3639',
      from: 'VBS',
      to: 'AHO',
      attributes: { prediction: 2124 },
    },
    {
      id: '3640',
      from: 'ADD',
      to: 'AMM',
      attributes: { prediction: 4441 },
    },
    {
      id: '3641',
      from: 'DME',
      to: 'AMM',
      attributes: { prediction: 2184 },
    },
    {
      id: '3642',
      from: 'AYT',
      to: 'AMS',
      attributes: { prediction: 2653 },
    },
    {
      id: '3643',
      from: 'TRF',
      to: 'AMS',
      attributes: { prediction: 3062 },
    },
    {
      id: '3644',
      from: 'NEV',
      to: 'ANU',
      attributes: { prediction: 1072 },
    },
    {
      id: '3645',
      from: 'KEF',
      to: 'ARN',
      attributes: { prediction: 3868 },
    },
    {
      id: '3646',
      from: 'MJV',
      to: 'BHX',
      attributes: { prediction: 1738 },
    },
    {
      id: '3647',
      from: 'FLL',
      to: 'BIM',
      attributes: { prediction: 220 },
    },
    {
      id: '3648',
      from: 'KGL',
      to: 'BJM',
      attributes: { prediction: 2052 },
    },
    {
      id: '3649',
      from: 'AKL',
      to: 'BNE',
      attributes: { prediction: 37394 },
    },
    {
      id: '3650',
      from: 'DXB',
      to: 'BNE',
      attributes: { prediction: 6851 },
    },
    {
      id: '3651',
      from: 'GRO',
      to: 'BOH',
      attributes: { prediction: 2073 },
    },
    {
      id: '3652',
      from: 'JED',
      to: 'BOM',
      attributes: { prediction: 8414 },
    },
    {
      id: '3653',
      from: 'HYA',
      to: 'BOS',
      attributes: { prediction: 517 },
    },
    {
      id: '3654',
      from: 'IAH',
      to: 'BOS',
      attributes: { prediction: 22507 },
    },
    {
      id: '3655',
      from: 'EWR',
      to: 'BQN',
      attributes: { prediction: 2719 },
    },
    {
      id: '3656',
      from: 'AEP',
      to: 'BRC',
      attributes: { prediction: 13643 },
    },
    {
      id: '3657',
      from: 'SFB',
      to: 'CID',
      attributes: { prediction: 1139 },
    },
    {
      id: '3658',
      from: 'HKG',
      to: 'CLE',
      attributes: { prediction: 237 },
    },
    {
      id: '3659',
      from: 'SXM',
      to: 'CLT',
      attributes: { prediction: 5680 },
    },
    {
      id: '3660',
      from: 'DEN',
      to: 'CMH',
      attributes: { prediction: 6166 },
    },
    {
      id: '3661',
      from: 'CRL',
      to: 'CMN',
      attributes: { prediction: 4765 },
    },
    {
      id: '3662',
      from: 'BKO',
      to: 'COO',
      attributes: { prediction: 540 },
    },
    {
      id: '3663',
      from: 'PMI',
      to: 'CPH',
      attributes: { prediction: 965 },
    },
    {
      id: '3664',
      from: 'BOM',
      to: 'DXB',
      attributes: { prediction: 60277 },
    },
    {
      id: '3665',
      from: 'PEW',
      to: 'DXB',
      attributes: { prediction: 5894 },
    },
    {
      id: '3666',
      from: 'MAN',
      to: 'EDI',
      attributes: { prediction: 4712 },
    },
    {
      id: '3667',
      from: 'PRG',
      to: 'EDI',
      attributes: { prediction: 2389 },
    },
    {
      id: '3668',
      from: 'CAN',
      to: 'DAC',
      attributes: { prediction: 2171 },
    },
    {
      id: '3669',
      from: 'SGN',
      to: 'DAD',
      attributes: { prediction: 32295 },
    },
    {
      id: '3670',
      from: 'IXU',
      to: 'DEL',
      attributes: { prediction: 1221 },
    },
    {
      id: '3671',
      from: 'IAD',
      to: 'DFW',
      attributes: { prediction: 26287 },
    },
    {
      id: '3672',
      from: 'ONT',
      to: 'DFW',
      attributes: { prediction: 17616 },
    },
    {
      id: '3673',
      from: 'ORF',
      to: 'DFW',
      attributes: { prediction: 7486 },
    },
    {
      id: '3674',
      from: 'NRT',
      to: 'DLC',
      attributes: { prediction: 16594 },
    },
    {
      id: '3675',
      from: 'WUH',
      to: 'DLC',
      attributes: { prediction: 3614 },
    },
    {
      id: '3676',
      from: 'ISA',
      to: 'DMD',
      attributes: { prediction: 666 },
    },
    {
      id: '3677',
      from: 'HKT',
      to: 'DMK',
      attributes: { prediction: 4603 },
    },
    {
      id: '3678',
      from: 'MUC',
      to: 'DOH',
      attributes: { prediction: 8432 },
    },
    {
      id: '3679',
      from: 'PER',
      to: 'DRW',
      attributes: { prediction: 8287 },
    },
    {
      id: '3680',
      from: 'SSH',
      to: 'DSA',
      attributes: { prediction: 1352 },
    },
    {
      id: '3681',
      from: 'ATL',
      to: 'ELP',
      attributes: { prediction: 6942 },
    },
    {
      id: '3682',
      from: 'TPE',
      to: 'EWR',
      attributes: { prediction: 4920 },
    },
    {
      id: '3683',
      from: 'YYC',
      to: 'EWR',
      attributes: { prediction: 1819 },
    },
    {
      id: '3684',
      from: 'PVD',
      to: 'GRR',
      attributes: { prediction: 93 },
    },
    {
      id: '3685',
      from: 'ORD',
      to: 'GRU',
      attributes: { prediction: 5511 },
    },
    {
      id: '3686',
      from: 'ATL',
      to: 'GTR',
      attributes: { prediction: 1519 },
    },
    {
      id: '3687',
      from: 'CPH',
      to: 'GVA',
      attributes: { prediction: 5632 },
    },
    {
      id: '3688',
      from: 'BOG',
      to: 'GYE',
      attributes: { prediction: 7073 },
    },
    {
      id: '3689',
      from: 'AMM',
      to: 'FCO',
      attributes: { prediction: 3027 },
    },
    {
      id: '3690',
      from: 'DUJ',
      to: 'FKL',
      attributes: { prediction: 432 },
    },
    {
      id: '3691',
      from: 'FLL',
      to: 'FPO',
      attributes: { prediction: 2454 },
    },
    {
      id: '3692',
      from: 'KRK',
      to: 'FRA',
      attributes: { prediction: 3481 },
    },
    {
      id: '3693',
      from: 'LNK',
      to: 'GEG',
      attributes: { prediction: 28 },
    },
    {
      id: '3694',
      from: 'ORD',
      to: 'GLA',
      attributes: { prediction: 146 },
    },
    {
      id: '3695',
      from: 'ALC',
      to: 'GOT',
      attributes: { prediction: 930 },
    },
    {
      id: '3696',
      from: 'HND',
      to: 'HAC',
      attributes: { prediction: 4801 },
    },
    {
      id: '3697',
      from: 'ANI',
      to: 'HCR',
      attributes: { prediction: 106 },
    },
    {
      id: '3698',
      from: 'CDG',
      to: 'HEL',
      attributes: { prediction: 18513 },
    },
    {
      id: '3699',
      from: 'JFK',
      to: 'HEL',
      attributes: { prediction: 5578 },
    },
    {
      id: '3700',
      from: 'ATH',
      to: 'HER',
      attributes: { prediction: 39730 },
    },
    {
      id: '3701',
      from: 'KUL',
      to: 'HGH',
      attributes: { prediction: 8855 },
    },
    {
      id: '3702',
      from: 'WNZ',
      to: 'HGH',
      attributes: { prediction: 3917 },
    },
    {
      id: '3703',
      from: 'MEX',
      to: 'JAL',
      attributes: { prediction: 1389 },
    },
    {
      id: '3704',
      from: 'ALF',
      to: 'HVG',
      attributes: { prediction: 33 },
    },
    {
      id: '3705',
      from: 'AMA',
      to: 'IAH',
      attributes: { prediction: 5713 },
    },
    {
      id: '3706',
      from: 'GOT',
      to: 'IKA',
      attributes: { prediction: 678 },
    },
    {
      id: '3707',
      from: 'GRU',
      to: 'IPN',
      attributes: { prediction: 467 },
    },
    {
      id: '3708',
      from: 'MSQ',
      to: 'IST',
      attributes: { prediction: 1985 },
    },
    {
      id: '3709',
      from: 'MXP',
      to: 'IST',
      attributes: { prediction: 12676 },
    },
    {
      id: '3710',
      from: 'NBO',
      to: 'IST',
      attributes: { prediction: 3242 },
    },
    {
      id: '3711',
      from: 'CHC',
      to: 'IVC',
      attributes: { prediction: 10577 },
    },
    {
      id: '3712',
      from: 'DEL',
      to: 'IXB',
      attributes: { prediction: 10721 },
    },
    {
      id: '3713',
      from: 'BDA',
      to: 'JFK',
      attributes: { prediction: 3256 },
    },
    {
      id: '3714',
      from: 'LKO',
      to: 'MCT',
      attributes: { prediction: 4126 },
    },
    {
      id: '3715',
      from: 'YYC',
      to: 'MDW',
      attributes: { prediction: 29 },
    },
    {
      id: '3716',
      from: 'KWI',
      to: 'MED',
      attributes: { prediction: 421 },
    },
    {
      id: '3717',
      from: 'BIR',
      to: 'KTM',
      attributes: { prediction: 6804 },
    },
    {
      id: '3718',
      from: 'KTM',
      to: 'KUL',
      attributes: { prediction: 4545 },
    },
    {
      id: '3719',
      from: 'KHZ',
      to: 'KXU',
      attributes: { prediction: 192 },
    },
    {
      id: '3720',
      from: 'CPR',
      to: 'LAS',
      attributes: { prediction: 977 },
    },
    {
      id: '3721',
      from: 'GTF',
      to: 'LAS',
      attributes: { prediction: 2215 },
    },
    {
      id: '3722',
      from: 'SJC',
      to: 'LAS',
      attributes: { prediction: 25188 },
    },
    {
      id: '3723',
      from: 'ZLO',
      to: 'LAX',
      attributes: { prediction: 1915 },
    },
    {
      id: '3724',
      from: 'CDG',
      to: 'LBV',
      attributes: { prediction: 4671 },
    },
    {
      id: '3725',
      from: 'GJA',
      to: 'LCE',
      attributes: { prediction: 300 },
    },
    {
      id: '3726',
      from: 'ACR',
      to: 'LCR',
      attributes: { prediction: 104 },
    },
    {
      id: '3727',
      from: 'KGD',
      to: 'LED',
      attributes: { prediction: 8662 },
    },
    {
      id: '3728',
      from: 'PEK',
      to: 'LED',
      attributes: { prediction: 2765 },
    },
    {
      id: '3729',
      from: 'ROV',
      to: 'LED',
      attributes: { prediction: 1348 },
    },
    {
      id: '3730',
      from: 'CVG',
      to: 'LEX',
      attributes: { prediction: 3156 },
    },
    {
      id: '3731',
      from: 'AZD',
      to: 'MHD',
      attributes: { prediction: 1962 },
    },
    {
      id: '3732',
      from: 'CCS',
      to: 'LIS',
      attributes: { prediction: 2770 },
    },
    {
      id: '3733',
      from: 'LAP',
      to: 'LMM',
      attributes: { prediction: 1166 },
    },
    {
      id: '3734',
      from: 'STN',
      to: 'LPA',
      attributes: { prediction: 3213 },
    },
    {
      id: '3735',
      from: 'VIE',
      to: 'LPA',
      attributes: { prediction: 736 },
    },
    {
      id: '3736',
      from: 'DTW',
      to: 'MAD',
      attributes: { prediction: 153 },
    },
    {
      id: '3737',
      from: 'ORD',
      to: 'MAD',
      attributes: { prediction: 5248 },
    },
    {
      id: '3738',
      from: 'LAS',
      to: 'MAF',
      attributes: { prediction: 3333 },
    },
    {
      id: '3739',
      from: 'LHR',
      to: 'MAN',
      attributes: { prediction: 39824 },
    },
    {
      id: '3740',
      from: 'MAN',
      to: 'MBJ',
      attributes: { prediction: 917 },
    },
    {
      id: '3741',
      from: 'MEM',
      to: 'MIA',
      attributes: { prediction: 6448 },
    },
    {
      id: '3742',
      from: 'BFS',
      to: 'MJV',
      attributes: { prediction: 1430 },
    },
    {
      id: '3743',
      from: 'FNT',
      to: 'MKE',
      attributes: { prediction: 2526 },
    },
    {
      id: '3744',
      from: 'VLI',
      to: 'NOU',
      attributes: { prediction: 1958 },
    },
    {
      id: '3745',
      from: 'WLS',
      to: 'NOU',
      attributes: { prediction: 584 },
    },
    {
      id: '3746',
      from: 'PMI',
      to: 'NRN',
      attributes: { prediction: 3238 },
    },
    {
      id: '3747',
      from: 'NOU',
      to: 'NRT',
      attributes: { prediction: 3006 },
    },
    {
      id: '3748',
      from: 'TLC',
      to: 'OAK',
      attributes: { prediction: 2179 },
    },
    {
      id: '3749',
      from: 'DTW',
      to: 'OMA',
      attributes: { prediction: 4407 },
    },
    {
      id: '3750',
      from: 'TVC',
      to: 'MSP',
      attributes: { prediction: 852 },
    },
    {
      id: '3751',
      from: 'RIX',
      to: 'MUC',
      attributes: { prediction: 3231 },
    },
    {
      id: '3752',
      from: 'NAT',
      to: 'MXP',
      attributes: { prediction: 1123 },
    },
    {
      id: '3753',
      from: 'SEZ',
      to: 'NBO',
      attributes: { prediction: 1044 },
    },
    {
      id: '3754',
      from: 'GUM',
      to: 'NGO',
      attributes: { prediction: 12174 },
    },
    {
      id: '3755',
      from: 'TUS',
      to: 'ORD',
      attributes: { prediction: 6339 },
    },
    {
      id: '3756',
      from: 'AES',
      to: 'OSL',
      attributes: { prediction: 11922 },
    },
    {
      id: '3757',
      from: 'KRS',
      to: 'OSL',
      attributes: { prediction: 8710 },
    },
    {
      id: '3758',
      from: 'IST',
      to: 'OTP',
      attributes: { prediction: 14043 },
    },
    {
      id: '3759',
      from: 'DRG',
      to: 'OTZ',
      attributes: { prediction: 274 },
    },
    {
      id: '3760',
      from: 'KAJ',
      to: 'OUL',
      attributes: { prediction: 85 },
    },
    {
      id: '3761',
      from: 'TKU',
      to: 'OUL',
      attributes: { prediction: 1120 },
    },
    {
      id: '3762',
      from: 'SCL',
      to: 'PUJ',
      attributes: { prediction: 825 },
    },
    {
      id: '3763',
      from: 'ABQ',
      to: 'PDX',
      attributes: { prediction: 2949 },
    },
    {
      id: '3764',
      from: 'JFK',
      to: 'PDX',
      attributes: { prediction: 4281 },
    },
    {
      id: '3765',
      from: 'FNJ',
      to: 'PEK',
      attributes: { prediction: 1246 },
    },
    {
      id: '3766',
      from: 'SOV',
      to: 'PGM',
      attributes: { prediction: 7 },
    },
    {
      id: '3767',
      from: 'EWR',
      to: 'PHL',
      attributes: { prediction: 4833 },
    },
    {
      id: '3768',
      from: 'MCI',
      to: 'PHL',
      attributes: { prediction: 3084 },
    },
    {
      id: '3769',
      from: 'GYM',
      to: 'PHX',
      attributes: { prediction: 465 },
    },
    {
      id: '3770',
      from: 'BGR',
      to: 'PIE',
      attributes: { prediction: 1350 },
    },
    {
      id: '3771',
      from: 'DOM',
      to: 'PMV',
      attributes: { prediction: 166 },
    },
    {
      id: '3772',
      from: 'VTE',
      to: 'PNH',
      attributes: { prediction: 3600 },
    },
    {
      id: '3773',
      from: 'KVG',
      to: 'POM',
      attributes: { prediction: 388 },
    },
    {
      id: '3774',
      from: 'TPI',
      to: 'POM',
      attributes: { prediction: 180 },
    },
    {
      id: '3775',
      from: 'AXR',
      to: 'PPT',
      attributes: { prediction: 192 },
    },
    {
      id: '3776',
      from: 'RFP',
      to: 'PPT',
      attributes: { prediction: 6828 },
    },
    {
      id: '3777',
      from: 'TIH',
      to: 'PPT',
      attributes: { prediction: 1087 },
    },
    {
      id: '3778',
      from: 'BHX',
      to: 'PSA',
      attributes: { prediction: 1239 },
    },
    {
      id: '3779',
      from: 'SRZ',
      to: 'PSZ',
      attributes: { prediction: 424 },
    },
    {
      id: '3780',
      from: 'GTA',
      to: 'RBV',
      attributes: { prediction: 50 },
    },
    {
      id: '3781',
      from: 'PHX',
      to: 'RDU',
      attributes: { prediction: 3190 },
    },
    {
      id: '3782',
      from: 'LPQ',
      to: 'REP',
      attributes: { prediction: 1082 },
    },
    {
      id: '3783',
      from: 'MEX',
      to: 'SCL',
      attributes: { prediction: 8822 },
    },
    {
      id: '3784',
      from: 'YKM',
      to: 'SEA',
      attributes: { prediction: 4388 },
    },
    {
      id: '3785',
      from: 'LAS',
      to: 'SFO',
      attributes: { prediction: 62881 },
    },
    {
      id: '3786',
      from: 'VKG',
      to: 'SGN',
      attributes: { prediction: 1248 },
    },
    {
      id: '3787',
      from: 'JJN',
      to: 'SHA',
      attributes: { prediction: 3616 },
    },
    {
      id: '3788',
      from: 'BAV',
      to: 'SHE',
      attributes: { prediction: 1187 },
    },
    {
      id: '3789',
      from: 'BNE',
      to: 'SIN',
      attributes: { prediction: 37681 },
    },
    {
      id: '3790',
      from: 'FUK',
      to: 'SIN',
      attributes: { prediction: 9219 },
    },
    {
      id: '3791',
      from: 'PNH',
      to: 'SIN',
      attributes: { prediction: 8072 },
    },
    {
      id: '3792',
      from: 'SMF',
      to: 'SJD',
      attributes: { prediction: 1920 },
    },
    {
      id: '3793',
      from: 'IAH',
      to: 'SJO',
      attributes: { prediction: 13188 },
    },
    {
      id: '3794',
      from: 'NOB',
      to: 'SJO',
      attributes: { prediction: 134 },
    },
    {
      id: '3795',
      from: 'SJD',
      to: 'SLC',
      attributes: { prediction: 496 },
    },
    {
      id: '3796',
      from: 'ATL',
      to: 'YUL',
      attributes: { prediction: 6133 },
    },
    {
      id: '3797',
      from: 'YSJ',
      to: 'YUL',
      attributes: { prediction: 2420 },
    },
    {
      id: '3798',
      from: 'YYZ',
      to: 'YUL',
      attributes: { prediction: 67535 },
    },
    {
      id: '3799',
      from: 'YEV',
      to: 'YVQ',
      attributes: { prediction: 694 },
    },
    {
      id: '3800',
      from: 'YRT',
      to: 'YWG',
      attributes: { prediction: 1402 },
    },
    {
      id: '3801',
      from: 'AGU',
      to: 'TIJ',
      attributes: { prediction: 1950 },
    },
    {
      id: '3802',
      from: 'DAM',
      to: 'TIP',
      attributes: { prediction: 2329 },
    },
    {
      id: '3803',
      from: 'EWR',
      to: 'TLV',
      attributes: { prediction: 25294 },
    },
    {
      id: '3804',
      from: 'IAH',
      to: 'TPA',
      attributes: { prediction: 24019 },
    },
    {
      id: '3805',
      from: 'CDG',
      to: 'TRN',
      attributes: { prediction: 15497 },
    },
    {
      id: '3806',
      from: 'AOI',
      to: 'TSR',
      attributes: { prediction: 1190 },
    },
    {
      id: '3807',
      from: 'MUC',
      to: 'TSR',
      attributes: { prediction: 7243 },
    },
    {
      id: '3808',
      from: 'TOG',
      to: 'TWA',
      attributes: { prediction: 36 },
    },
    {
      id: '3809',
      from: 'GRU',
      to: 'UBA',
      attributes: { prediction: 473 },
    },
    {
      id: '3810',
      from: 'YDQ',
      to: 'YYE',
      attributes: { prediction: 325 },
    },
    {
      id: '3811',
      from: 'GEO',
      to: 'YYZ',
      attributes: { prediction: 777 },
    },
    {
      id: '3812',
      from: 'GRR',
      to: 'YYZ',
      attributes: { prediction: 647 },
    },
    {
      id: '3813',
      from: 'LAS',
      to: 'YYZ',
      attributes: { prediction: 7856 },
    },
    {
      id: '3814',
      from: 'YQG',
      to: 'YYZ',
      attributes: { prediction: 3997 },
    },
    {
      id: '3815',
      from: 'YXU',
      to: 'YYZ',
      attributes: { prediction: 5558 },
    },
    {
      id: '3816',
      from: 'YCO',
      to: 'YZF',
      attributes: { prediction: 1363 },
    },
    {
      id: '3817',
      from: 'GRZ',
      to: 'VIE',
      attributes: { prediction: 5844 },
    },
    {
      id: '3818',
      from: 'KRR',
      to: 'VIE',
      attributes: { prediction: 2058 },
    },
    {
      id: '3819',
      from: 'VQS',
      to: 'VIJ',
      attributes: { prediction: 311 },
    },
    {
      id: '3820',
      from: 'TSV',
      to: 'WIN',
      attributes: { prediction: 302 },
    },
    {
      id: '3821',
      from: 'NPE',
      to: 'WLG',
      attributes: { prediction: 7849 },
    },
    {
      id: '3822',
      from: 'KTN',
      to: 'WMK',
      attributes: { prediction: 19 },
    },
    {
      id: '3823',
      from: 'GDT',
      to: 'XSC',
      attributes: { prediction: 312 },
    },
    {
      id: '3824',
      from: 'YQT',
      to: 'YFH',
      attributes: { prediction: 728 },
    },
    {
      id: '3825',
      from: 'YVO',
      to: 'YHU',
      attributes: { prediction: 138 },
    },
    {
      id: '3826',
      from: 'ICN',
      to: 'YNJ',
      attributes: { prediction: 8082 },
    },
    {
      id: '3827',
      from: 'YPX',
      to: 'YZG',
      attributes: { prediction: 798 },
    },
    {
      id: '3828',
      from: 'YNC',
      to: 'ZEM',
      attributes: { prediction: 375 },
    },
    {
      id: '3829',
      from: 'FRA',
      to: 'ZRH',
      attributes: { prediction: 27983 },
    },
    {
      id: '3830',
      from: 'OPO',
      to: 'ZRH',
      attributes: { prediction: 3531 },
    },
  ],
};
